<?php
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
$messages = [
    'title' => 'Verificação de Registro do Website',

    'regularCheck' => 'Verificação automática',
    'manualCheck' => 'Verificação manual',

    'promoTitle' => 'Detecção rápida de indisponibilidade ou trabalho incorreto de seus websites',
    'promoDescription' => 'Os problemas do website geralmente são visíveis para os visitantes, mas não para os administradores, a menos que analisem constantemente os logs do website. Nossa nova Verificação de Registro de Website automatiza essa rotina e ajuda a resolver os problemas encontrados com eficiência.',
    'promoMore' => 'Saiba mais',
    'promoButton' => 'Consegui!',
    'checkEnabledTitle' => 'A verificação automática está ativada',
    'checkDisabledTitle' => 'A verificação automática está desativada',
    'disabledDescription' => 'Ative para detectar automaticamente problemas que podem tornar os websites indisponíveis ou causar seu funcionamento incorreto.',
    'websitesAllChecked' => '{count, plural, one {# website fica} other {# websites ficam}} verificado diariamente',
    'websitesAllCheckedAt' => '{count, plural, one {# website fica} other {# websites ficam}} verificado diariamente às %%time%%',
    'websitesChecked' => '%%count%% de %%totalCount%% websites são verificados diariamente',
    'websitesCheckedAt' => '%%count%% de %%totalCount%% websites são verificados diariamente às %%time%%',
    'checkedWebsites' => 'Lista de websites verificados',
    'lastCheckDescription' => 'A última verificação levou %%duration%% minutos.',
    'durationLess' => 'menos que 0.1',
    'month0' => '%%date%% Jan',
    'month1' => '%%date%% Fev',
    'month2' => '%%date%% Mar',
    'month3' => '%%date%% Abr',
    'month4' => '%%date%% Mai',
    'month5' => '%%date%% Jun',
    'month6' => '%%date%% Jul',
    'month7' => '%%date%% Ago',
    'month8' => '%%date%% Set',
    'month9' => '%%date%% Out',
    'month10' => '%%date%% Nov',
    'month11' => '%%date%% Dez',
    'export' => 'Exportar o relatório para CSV',
    'buttonRun' => 'Executar verificação manual',
    'buttonRunDescription' => 'Para verificar novamente websites corrigidos ou encontrar problemas que não apareceram durante a última verificação.',

    'websites.title' => 'Websites para verificar',
    'websites.description' => '%%selected%% de %%total%% websites selecionados',
    'websites.search' => 'Encontre websites...',
    'websites.new' => 'Todos os websites recém-criados',
    'websites.newHint' => 'Selecione para começar a verificar automaticamente todos os novos websites.',
    'websites.existing' => 'Todos os websites existentes',
    'websites.buttonSave' => 'Salvar',
    'websites.buttonCancel' => 'Cancelar',
    'websites.updateSuccess' => 'As configurações foram atualizadas',

    'tabs.problemDetails' => 'Detalhes do problema',
    'tabs.affectedWebsites' => 'Websites afetados',

    'chart.requests' => 'Solicitaões',
    'chart.errors' => 'Erros',

    'affected-websites.selected' => '%%selectedCount%% de %%totalCount%% websites estão selecionados',
    'affected-websites.none' => 'Nenhum',
    'affected-websites.all' => 'Todos',
    'affected-websites.searchForWebsite' => 'Pesquisar por website',
    'affected-websites.websites' => 'Websites',
    'affected-websites.showProblemDetails' => 'Mostrar detalhes do problema',

    'problem-report.domainTitle' => 'Problema relatado em %%domain%%',
    'problem-report.cumulativeTitle' => 'Problema relatado em {count, plural, one {# website} other {# websites}}',
    'problem-report.serverwideTitle' => 'Problema em todo o servidor relatado',
    'problem-report.problemAppearsOn' => 'O problema aparece em {count, plural, one {# website} other {# websites}} no total',
    'problem-report.seeTheConsolidatedReport' => 'Veja o relatório consolidado',
    'problem-report.cause' => 'Causa raiz',
    'problem-report.possibleSolutions' => 'Soluções possíveis',
    'problem-report.useAnOption' => 'Use uma opção para solução automática',
    'problem-report.repairTheWebsite' => 'Repare o website',
    'problem-report.selectAndRepair' => 'Selecione e repare vários websites',
    'problem-report.distributionOfTheProblem' => 'Distribuição do problema ao longo do tempo',
    'problem-report.serverTimezone' => 'Fuso horário do servidor (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => 'Seu fuso horário (UTC%%utcShift%%)',
    'problem-report.logEntries' => 'Exemplos de entradas de log indicando o problema',
    'problem-report.pleaseKeepInMind' => 'Nota: O Plesk gira constantemente os logs e eventualmente arquivará ou excluirá as entradas de log mencionadas.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—recomendamos após cada tentativa de correção.',
    'problem-report.recheckWebsite' => 'Verifique novamente o website manualmente',
    'problem-report.option' => 'Opção %%number%%:',
    'problem-report.recommended' => 'recomendado',
    'problem-report.numberOfEntries' => 'Número de entradas',
    'problem-report.logEntry' => 'Entrada de registro',
    'problem-report.logFile' => 'Arquivo de log',
    'problem-report.openWebsiteLogs' => 'Abrir logs do website',
    'problem-report.thisIsServerWideProblem' => 'Este é um problema em todo o servidor que afeta todos os websites hospedados',
    'problem-report.serverWideTitle' => 'Problema em todo o servidor relatado',
    'problem-report.checkDetectedIssue' => 'A verificação detectou o problema (fuso horário do servidor - UTC%%timezone%%):',
    'problem-report.todayAt' => 'hoje às %%time%%',
    'problem-report.yesterdayAt' => 'ontem às %%time%%',
    'problem-report.dateAt' => '%%date%% às %%time%%',
    'problem-report.firstProblemTime' => 'Primeira vez - %%info%%',
    'problem-report.lastProblemTime' => 'Última vez - %%info%%',

    'distribution-over-time.title' => 'Distribuição do problema ao longo do tempo',
    'distribution-over-time.titleYesterday' => 'Distribuição do problema ao longo do tempo (Ontem)',
    'distribution-over-time.titleToday' => 'Distribuição do problema ao longo do tempo (Hoje)',
    'distribution-over-time.serverTimezone' => 'Fuso horário do servidor (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'Seu fuso horário (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'Recomendamos que você compare o gráfico de distribuição de erros com %%link%% no Monitoramento',
    'distribution-over-time.resourceUsageCharts' => 'Gráficos de uso de recursos',
    'distribution-over-time.noDataForRecentTime' => 'Nenhum dado recentemente. %%suggestion%%',
    'distribution-over-time.pleseEnableRegularCheck' => 'Ative a verificação automática ou verifique o website manualmente',
    'distribution-over-time.pleseIncludeWebsiteForCheck' => 'Adicione o website à lista dos verificados automaticamente ou verifique o website manualmente',
    'distribution-over-time.pleaseWaitUntilRegularCheckWillBeStarted' => 'Aguarde até que a verificação automática seja iniciada ou verifique o website manualmente',
    'distribution-over-time.enableRegularCheck' => 'Ativar verificação automática',
    'distribution-over-time.addWebsiteToRegularCheckList' => 'Adicione o website à lista dos verificados automaticamente',
    'distribution-over-time.runManualCheck' => 'Executar verificação manual',

    'report.title' => 'Relatório sobre a última verificação',
    'report.groupByWebsites' => 'Agrupados por websites',
    'report.groupByProblems' => 'Por problemas',
    'report.columnWebsite' => 'Site',
    'report.columnStatus' => 'Problemas',
    'report.columnProblem' => 'Publicado',
    'report.columnAppearedOn' => 'Detectado em',
    'report.serverWideName' => 'Problemas em todo o servidor',
    'report.serverWideDescription' => 'Esses problemas afetam todo o servidor e seus websites hospedados.',
    'report.statusProblemsFound' => '%%count%% encontrado(s)',
    'report.statusProblemsFoundFull' => '{count, plural, one {# problema} other {# problema}} encontrato',
    'report.statusProblemsSolved' => '%%count%% desaparecido(s)',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# problema} other {# problemas}} desaparecido',
    'report.statusSuccess' => 'Sem problemas',
    'report.serverWide' => 'Todo o servidor',
    'report.appearedOn' => '{count, plural, one {# website} other {# websites}}',
    'report.recheckWebsite' => 'Verifique novamente o website',
    'report.actionOpen' => 'abrir',
    'report.actionManage' => 'Gerenciar',
    'report.actionLogs' => 'Visualizar logs',
    'report.searchWebsite' => 'Encontre websites...',
    'report.searchProblem' => 'Encontrar problemas...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# problema} other {# problemas}} em {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsTitle' => 'Nenhum problema foi encontrado em {websitesCount, plural, one {# website} other {# websites}}',
    'report.noProblemsDescription' => 'Parece que você mantém seus websites em boa forma. Muito bem!',

    'problems.columnTitle' => 'Publicado',
    'problems.columnRegular' => 'Verificação automática',
    'problems.columnManual' => 'Verificação manual',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% em %%toDate%%',
    'problems.notRun' => 'ainda não realizado',
    'problems.resultDetected' => 'Detectado',
    'problems.resultNotDetected' => 'Não detectado',
    'problems.resultNoProblems' => 'Sem problemas',

    'new-check.title' => 'Verificação manual',
    'new-check.titleForWebsite' => 'Verificação manual de %%website%%',
    'new-check.titleRunning' => 'Verificação manual de {count, plural, one {# website} other {# websites}}',
    'new-check.description' => '%%selected%% de %%total%% websites selecionados',
    'new-check.depth' => 'Período de verificação',
    'new-check.checkTheLast' => 'Verifique o último',
    'new-check.selectHours' => 'Horas',
    'new-check.selectMinutes' => 'Minutos',
    'new-check.ifYouHaveAnyProblemActivities' => 'Se você tentou corrigir os problemas do website, defina o período de tempo após essa tentativa. Caso contrário, o Plesk pode detectar problemas que você já resolveu.',
    'new-check.weAlsoRecommendVisiting' => 'Antes de executar uma verificação manual, recomendamos que você %%visitingTheWebsite%% e tente reproduzir o problema.',
    'new-check.visitingTheWebsite' => 'visite o site',
    'new-check.hours' => 'últimas horas',
    'new-check.websites' => 'Websites para verificar',
    'new-check.buttonSave' => 'Verificar',
    'new-check.buttonCancel' => 'Cancelar',
    'new-check.search' => 'Encontre websites...',
    'new-check.checkProblems' => 'Websites com problemas durante a última verificação',
    'new-check.allWebsites' => 'Todos websites',
];