<?php
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
$messages = [
    'title' => 'Проверка журнала сайта',

    'regularCheck' => 'Автоматическая проверка',
    'manualCheck' => 'Ручная проверка',

    'promoTitle' => 'Быстрое обнаружение недоступности или некорректной работы ваших сайтов',
    'promoDescription' => 'Проблемы с сайтом часто видны посетителям, но не администраторам, если только последние не занимаются постоянным анализом журналов сайта. Наша совершенно новая проверка журналов сайтов автоматизирует эту процедуру и помогает эффективно решать обнаруженные проблемы.',
    'promoMore' => 'Подробнее',
    'promoButton' => 'Понятно!',
    'checkEnabledTitle' => 'Автоматическая проверка включена',
    'checkDisabledTitle' => 'Автоматическая проверка отключена',
    'disabledDescription' => 'Включите для автоматического обнаружения проблем, которые могут сделать сайты недоступными или вызвать их некорректную работу.',
    'websitesAllChecked' => '{count, plural, one {# сайт проверяется} few {# сайта проверяются} many {# сайтов проверяются} other {# сайтов проверяются}} ежедневно',
    'websitesAllCheckedAt' => '{count, plural, one {# сайт проверяется} few {# сайта проверяются} many {# сайтов проверяются} other {# сайтов проверяются}} ежедневно в %%time%%',
    'websitesChecked' => '%%count%% из %%totalCount%% сайтов проверяются ежедневно',
    'websitesCheckedAt' => '%%count%% из %%totalCount%% сайтов проверяются ежедневно в %%time%%',
    'checkedWebsites' => 'Список проверенных сайтов',
    'lastCheckDescription' => 'Последняя проверка заняла %%duration%% минут.',
    'durationLess' => 'менее 0.1',
    'month0' => '%%date%% января',
    'month1' => '%%date%% февраля',
    'month2' => '%%date%% марта',
    'month3' => '%%date%% апреля',
    'month4' => '%%date%% мая',
    'month5' => '%%date%% июня',
    'month6' => '%%date%% июля',
    'month7' => '%%date%% августа',
    'month8' => '%%date%% сентября',
    'month9' => '%%date%% октября',
    'month10' => '%%date%% ноября',
    'month11' => '%%date%% декабря',
    'export' => 'Экспорт отчета в CSV',
    'buttonRun' => 'Запустить проверку вручную',
    'buttonRunDescription' => 'Перепроверить исправленные сайты или найти проблемы, которых не было при последней проверке.',

    'websites.title' => 'Сайты для проверки',
    'websites.description' => '%%selected%% из %%total%% сайтов выбрано',
    'websites.search' => 'Найти сайты...',
    'websites.new' => 'Все вновь созданные сайты',
    'websites.newHint' => 'Выберите, чтобы автоматически начинать проверку всех новых сайтов.',
    'websites.existing' => 'Все существующие сайты',
    'websites.buttonSave' => 'Сохранить',
    'websites.buttonCancel' => 'Отмена',
    'websites.updateSuccess' => 'Настройки обновлены',

    'tabs.problemDetails' => 'Информация о проблеме',
    'tabs.affectedWebsites' => 'Затронутые сайты',

    'chart.requests' => 'Запросы',
    'chart.errors' => 'Проблемы',

    'affected-websites.selected' => '%%selectedCount%% из %%totalCount%% сайтов выбрано',
    'affected-websites.none' => 'Нет',
    'affected-websites.all' => 'Все',
    'affected-websites.searchForWebsite' => 'Поиск сайтов',
    'affected-websites.websites' => 'Веб-сайты',
    'affected-websites.showProblemDetails' => 'Показать информацию о проблеме',

    'problem-report.domainTitle' => 'Сообщение о проблеме на %%domain%%',
    'problem-report.cumulativeTitle' => 'Сообщение о проблеме на {count, plural, one {# сайте} few {# сайтах} many {# сайтах} other {# сайтах}}',
    'problem-report.serverwideTitle' => 'Сообщение о проблеме на уровне сервера',
    'problem-report.problemAppearsOn' => 'Сообщение о проблеме на {count, plural, one {# сайте} few {# сайтах} many {# сайтах} other {# сайтах}}',
    'problem-report.seeTheConsolidatedReport' => 'Смотреть сводный отчет',
    'problem-report.cause' => 'Основная причина',
    'problem-report.possibleSolutions' => 'Возможные решения',
    'problem-report.useAnOption' => 'Используйте опцию для автоматического решения',
    'problem-report.repairTheWebsite' => 'Восстановить сайт',
    'problem-report.selectAndRepair' => 'Выбрать и восстановить несколько сайтов',
    'problem-report.distributionOfTheProblem' => 'Распределение проблемы во времени',
    'problem-report.serverTimezone' => 'Часовой пояс сервера (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => 'Ваш часовой пояс (UTC%%utcShift%%)',
    'problem-report.logEntries' => 'Примеры записей журнала, указывающих на проблему',
    'problem-report.pleaseKeepInMind' => 'Примечание: Plesk постоянно ротирует журналы и в конечном итоге архивирует или удаляет упомянутые записи журнала.',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%% — рекомендуется после попытки исправления.',
    'problem-report.recheckWebsite' => 'Перепроверить сайт вручную',
    'problem-report.option' => 'Опция %%number%%:',
    'problem-report.recommended' => 'рекомендуется',
    'problem-report.numberOfEntries' => 'Количество записей',
    'problem-report.logEntry' => 'Запись журнала',
    'problem-report.logFile' => 'Файл журнала',
    'problem-report.openWebsiteLogs' => 'Открыть журналы сайта',
    'problem-report.thisIsServerWideProblem' => 'Это общесерверная проблема, затрагивающая все размещенные сайты',
    'problem-report.serverWideTitle' => 'Сообщение о проблеме на уровне сервера',
    'problem-report.checkDetectedIssue' => 'Проверка обнаружила проблему (часовой пояс сервера - UTC%%timezone%%):',
    'problem-report.todayAt' => 'сегодня в %%time%%',
    'problem-report.yesterdayAt' => 'вчера в %%time%%',
    'problem-report.dateAt' => '%%date%% в %%time%%',
    'problem-report.firstProblemTime' => 'Первый раз - %%info%%',
    'problem-report.lastProblemTime' => 'Последний раз - %%info%%',

    'distribution-over-time.title' => 'Распределение проблемы во времени',
    'distribution-over-time.titleYesterday' => 'Распределение проблемы во времени (вчера)',
    'distribution-over-time.titleToday' => 'Распределение проблемы во времени (сегодня)',
    'distribution-over-time.serverTimezone' => 'Часовой пояс сервера (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => 'Ваш часовой пояс (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => 'Рекомендуем сравнить диаграмму распределения ошибок с %%link%% в Monitoring',
    'distribution-over-time.resourceUsageCharts' => 'Графики использования ресурсов',
    'distribution-over-time.noDataForRecentTime' => 'Нет данных за последнее время. %%suggestion%%',
    'distribution-over-time.pleseEnableRegularCheck' => 'Включите автоматическую проверку или проверьте сайт вручную',
    'distribution-over-time.pleseIncludeWebsiteForCheck' => 'Добавьте сайт в список автоматических проверок или проверьте его вручную',
    'distribution-over-time.pleaseWaitUntilRegularCheckWillBeStarted' => 'Подождите, пока начнется автоматическая проверка, или проверьте сайт вручную',
    'distribution-over-time.enableRegularCheck' => 'Включить автоматическую проверку',
    'distribution-over-time.addWebsiteToRegularCheckList' => 'Добавьте сайт в список автоматических проверок',
    'distribution-over-time.runManualCheck' => 'Запустить проверку вручную',

    'report.title' => 'Отчет о последней проверке',
    'report.groupByWebsites' => 'Сгруппировано по сайтам',
    'report.groupByProblems' => 'По проблемам',
    'report.columnWebsite' => 'Сайт',
    'report.columnStatus' => 'Проблемы',
    'report.columnProblem' => 'Проблема',
    'report.columnAppearedOn' => 'Обнаружено',
    'report.serverWideName' => 'Общесерверные проблемы',
    'report.serverWideDescription' => 'Эти проблемы затрагивают весь сервер и размещенные на нем сайты.',
    'report.statusProblemsFound' => '%%count%% обнаружено',
    'report.statusProblemsFoundFull' => '{count, plural, one {# проблема найдена} few {# проблемы найдено} many {# проблем найдено} other {# проблем найдено}}',
    'report.statusProblemsSolved' => '%%count%% устранено',
    'report.statusProblemsSolvedFull' => '{count, plural, one {# проблема исчезла} few {# проблемы исчезли} many {# проблем исчезли} other {# проблем исчезли}}',
    'report.statusSuccess' => 'Проблем нет',
    'report.serverWide' => 'Весь сервер',
    'report.appearedOn' => '{count, plural, one {# сайт} few {# сайта} many {# сайтов} other {# сайтов}}',
    'report.recheckWebsite' => 'Перепроверить сайт',
    'report.actionOpen' => 'Открыть',
    'report.actionManage' => 'Управление',
    'report.actionLogs' => 'Просмотр журналов',
    'report.searchWebsite' => 'Найти сайты...',
    'report.searchProblem' => 'Поиск проблем...',
    'report.groupByProblemsTotal' => '{totalRows, plural, one {# проблема} few {# проблемы} many {# проблем} other {# проблем}} на {websitesCount, plural, one {# сайте} few {# сайтах} many {# сайтах} other {# сайтах}}',
    'report.noProblemsTitle' => 'На {websitesCount, plural, one {# сайте} few {# сайтах} many {# сайтах} other {# сайтах}} проблем не найдено',
    'report.noProblemsDescription' => 'Похоже, ваши сайты в хорошем состоянии. Отлично!',

    'problems.columnTitle' => 'Проблема',
    'problems.columnRegular' => 'Автоматическая проверка',
    'problems.columnManual' => 'Ручная проверка',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% %%toDate%%',
    'problems.notRun' => 'еще не выполнено',
    'problems.resultDetected' => 'Обнаружено',
    'problems.resultNotDetected' => 'Не обнаружено',
    'problems.resultNoProblems' => 'Проблем нет',

    'new-check.title' => 'Ручная проверка',
    'new-check.titleForWebsite' => 'Ручная проверка %%website%%',
    'new-check.titleRunning' => 'Ручная проверка {count, plural, one {# сайта} few {# сайтов} many {# сайтов} other {# сайтов}}',
    'new-check.description' => '%%selected%% из %%total%% сайтов выбрано',
    'new-check.depth' => 'Период проверки',
    'new-check.checkTheLast' => 'Проверить последние',
    'new-check.selectHours' => 'Часы',
    'new-check.selectMinutes' => 'Минут',
    'new-check.ifYouHaveAnyProblemActivities' => 'Если вы пытались исправить проблемы с сайтом, установите период времени после этой попытки. В противном случае Plesk может обнаружить проблемы, которые вы уже решили.',
    'new-check.weAlsoRecommendVisiting' => 'Перед запуском ручной проверки мы рекомендуем вам %%visitingTheWebsite%% и попытаться воспроизвести проблему.',
    'new-check.visitingTheWebsite' => 'зайти на сайт',
    'new-check.hours' => 'последние часы',
    'new-check.websites' => 'Сайты для проверки',
    'new-check.buttonSave' => 'Проверить',
    'new-check.buttonCancel' => 'Отмена',
    'new-check.search' => 'Найти сайты...',
    'new-check.checkProblems' => 'Сайты с проблемами при последней проверке',
    'new-check.allWebsites' => 'Все сайты',
];