<?php
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
// This file contains structured and commented locale keys for Plesk 9.x

global $PROD_NAME;

$GLOBALS['lmsg_arr'] += [
    ////
    //// LOGIN SCREEN
    ////

    'login_up__access_denied_account_disabled' => "Acesso negado. A sua conta foi suspensa.",
    'login_up__login_has_been_locked' => "Você tentou entrar utilizando demasiadas vezes uma palavra-passe incorreta. Por razões de segurança, não será possível entrar com este nome de utilizador por algum tempo.",
    'login_up__unable_to_check_pass' => "Impossível verificar senha: %1",
    'login_up__warning_limits_licence_key' => "Um dos seguintes itens excedeu o limite definido pela sua chave de licença: número de contas de utilizadores, domínios, contas de correio ou utilizadores web alojados no seu servidor.\nContacte o departamento de vendas da Plesk para adquirir uma chave que lhe permitirá acolher o número desejado de utilizadores e domínios. Contacte com o departamento de assistência técnica da Plesk se considerar que recebeu esta mensagem por engano.\nO limite licenciado para contas de utilizadores/domínios/contas de correio/utilizadores web/pacotes de idioma: %2.\nO número de contas de utilizadores/domínios/contas de correio/utilizadores web/pacotes de idioma atualmente alojados: %3.", // PFW
    'login_up__short_warning_limits_licence_key' => "A quantidade de recursos operados excedeu os limites definidos pela sua licença de produto atual. Contacte o departamento de vendas da Plesk e adquira uma nova chave de licença.",
    'login_up__grace_period' => 'Está a operar atualmente dentro do período de graça da sua licença de produto. Para atualizar a licença do seu produto selecione opção Obter Chaves na %1Página de Informações acerca da Licença%2.',
    'login_up__partner_license_message' => 'Está a operar atualmente com uma licença de produto limitada, que requer o registo antes de ativar todas as suas funcionalidades. Para atualizar a licença do seu produto selecione a opção Obter Chaves na %1Página de Informações acerca da Licença%2.',
    'login_up__system_admin_disabled' => 'O superutilizador (conta raiz ou do administrador) está proibido de efetuar login no Plesk por razões de segurança.',

    ///
    /// Online help keys:
    ///

    'plesk_guide' => "Guia do Administrador do Plesk",
    'plesk_guide_reseller' => "Guia do Revendedor do Plesk",
    'plesk_guide_client' => "Guia do Cliente do Plesk",
    'plesk_guide_domain_admin' => "Guia do Administrador de Domínio do Plesk",
    'plesk_guide_mailuser' => "Guia do Utilizador de E-mail do Plesk",

    ////
    //// COMMON KEYS FOR NAVIGATION THROUGHOUT PANEL
    ////

    ///
    /// NAVIGATION PANE
    ///

    'bt_search' => 'Pesquisar', // multiple usage: TBI
    'nav__general' => 'Menu Principal',
    '__home' => 'Início',
    '__applications' => 'Aplicações',
    '__settings' => 'Configurações',
    'nav__system' => 'Sistema',
    '__master' => 'Mestre',

    ///
    /// END OF NAVIGATION PANE
    ///

    ///
    /// NAVIGATION KEYS
    ///

    // up level
    'bt_up_level' => 'Nível Superior',

    // object switcher

    ///
    /// END OF NAVIGATION KEYS
    ///

    ///
    /// LISTS
    ///

    // common operations on list objects
    'bt_remove_selected' => 'Eliminar',
    'bt_make_default' => 'Tornar predefinição',

    // common list object search keys
    'bt_show_all' => "Reiniciar pesquisa",

    ///
    /// END OF LISTS
    ///

    ////
    //// KEYS FOR USER HOME PAGES
    ////

    ///
    /// COMMON HOME PAGE KEYS
    ///

    // business object controls
    '__object_on' => 'Ativo',
    '__object_off' => 'Suspendido',

    '__home_description' => 'Voltar á Página Principal.',
    'indicator_title' => '%1% utilizadas, %2% livres', // tooltip for visual stats area

    ///
    /// END OF COMMON HOME PAGE KEYS
    ///

    '__invalid_url_requested' => 'Foi solicitado um URL inválido.',

    // business objects
    'mn_list__mail_names_for_client' => 'Contas de Correio na Conta de Utilizador %1',

    ///
    /// DOMAIN / DOMAIN ADMINISTRATOR
    ///

    // list objects filtering
    'domains_list__name__filter_title' => 'Nome',
    'domains_list__state__filter_title' => 'Utilização de Recursos',
    'domains_list__filter_state_any' => 'Qualquer',
    'domains_list__filter_state_overuse' => 'Sobre-utilização',
    'domains_list__filter_state_normal' => 'Dentro dos limites',
    'domains_list__status__filter_title' => 'Estado',
    'domains_list__filter_status_any' => 'Qualquer',
    'domains_list__filter_status_blocked' => 'Suspendido',
    'domains_list__filter_status_active' => 'Ativo',
    'domains_list__subrows__filter_title' => 'Apresentar',
    'domains_list__subrows_off' => 'Só domínios',
    'domains_list__subrows_subdomain_domainaliases' => 'Com subdomínios e nomes alternativos',
    'domains_list__subrows_subdomain' => 'Com subdomínios',
    'domains_list__subrows_domainaliases' => 'Com nomes alternativos',

    // objects list
    'domains_list__owner__title' => 'Proprietário',

    ///
    /// END OF DOMAINS
    ///

    ////
    //// KEYS FOR APPLICATION VAULT AND WEB APPLICATION MANAGEMENT
    ////

    ///
    /// APPLICATION VAULT / APS CATALOG
    ///

    // Application Vault / APS Catalog promotional block
    'site_apps__promo_browse_for_applications' => "Ver aplicações",
    'site_apps__promo_main_text' => "O catálogo Application Packaging Standard (APS) contém a lista de aplicações que podem ser atribuídas  a um domínio ou espaço web. Se quiser atribuir aplicações que não estão incluídas no catálogo, pode-o fazer facilmente seguindo as instruções de preparação em www.apsstandard.com",
    'site_apps__promo_download_now' => "Descarregar Aplicações:",
    'site_apps__promo_close' => "Fechar este bloco",
    'site_apps__promo_preset__mostused' => '%1 Mais Populares',
    'site_apps__promo_preset__lessused' => 'Seguintes %1 Mais Populares',
    'site_apps__promo_preset__all' => "Tudo",
    'site_apps__promo_disclaimer_note' => 'Por favor, note que as aplicações instaladas a partir de APS Catalog são fornecidas por terceiros e não são suportadas pelo Plesk.',
    'site_apps__promo_preset__page_title' => '%1 Aplicações APS',

    // Progress bar
    'site_apps__progress_initialization_message' => 'A adicionar aplicações...',

    // Errors
    'site_apps__no_applications_for_update' => 'Não tem nenhuma aplicação instalada no Repositório de Aplicações.',
    'site_apps__incorrect_download_preset_configuration' => 'Foram encontrados erros na configuração de predefinição de descarregamento do Catálogo APS.',
    'site_apps__aps_catalog_url_is_invalid' => 'O URL especificado não é válido.',
    'site_apps__no_updates_at_the_moment' => 'De momento, não existem nenhumas actualizações da aplicação.',
    'site_apps__incorrect_content_returned_by_catalog' => 'Foi recebida informação incorrecta do catálogo de aplicações APS. Por favor tente de novo mais tarde.',
    'site_apps__entered_aps_catalog_url_is_not_valid' => 'As configurações do Catálogo APS foram guardadas mas o Plesk não pode estabelecer uma ligação ao Catálogo APS especificado nestas configurações (%1). Certifique-se que o endereço do Catálogo APS está correto e que o catálogo APS neste endereço está ativo.',
    'site_apps__cannot_retrieve_updates' => 'Neste momento é impossível descarregar as actualizações da aplicação: impossível estabelecer a conexão ao catálogo APS (%1). Certifique-se que o endereço do Catálogo APS',
    'site_apps__no_site_applications_in_client_pool_to_install' => 'Não há aplicações web disponíveis para instalação.',
    'site_apps__site_applications_already_installed_in_root' => 'Já estão instaladas outras aplicações web no directório root destes alojamentos virtuais',
    'site_apps__dot_net_packages_not_supported_on_unix_platform' => "As aplicações web .NET não são suportadas na plataforma Unix/Linux",
    'site_apps__server_wide_packages_not_supported' => 'Não são suportadas aplicações web a nível de servidor.',
    'site_apps__applications_added_to_queue_for_adding_to_application_vault' => "Estão agendadas mais %1 aplicações web para adicionar ao Repositório de Aplicações.",
    'site_apps__applications_all_in_vault' => "As aplicações Web seleccionadas já se encontram presentes no Repositório de Aplicações.",
    'site_apps__applications_already_in_download_queue' => "De momento, estão a ser adicionadas %1 aplicações web ao Repositório de Aplicações.",
    'site_apps__applications_already_in_valut' => "%1 aplicações web seleccionadas já estão no Repositório de Aplicações.",

    // UI errors

    ///
    /// END OF APPLICATION VAULT / APS CATALOG
    ///

    ///
    /// APS CATEGORIES
    ///

    // General
    'site_apps__not_categorized' => 'Outras (sem categoria)',

    // Errors
    'site_apps__no_applications_in_category' => 'Não existem aplicações nesta categoria. Por favor, seleccione outra categoria.',
    'site_apps__no_category_selected__please_specify' => 'Seleccione uma categoria no menu da esquerda. Todas as aplicações da categoria seleccionada são exibidas nesta janela.',

    // Category: Back office
    // Category: Collaboration
    // Category: Front Office
    // Category: Infrastructure
    // Category: Personal
    // Category: Web

    ///
    /// END OF APS CATEGORIES
    ///

    ////
    //// KEYS FOR SETTINGS PAGE
    ////

    ///
    /// SERVER ADMINISTRATOR SETTINGS
    ///

    'administrator_account' => 'Conta de administrador',
    // Personal data - HOME/SERVER ADMINISTRATOR/ACCOUNT
    // Change password - HOME/SERVER ADMINISTRATOR/ACCOUNT
    // Interface preferences - HOME/SERVER ADMINISTRATOR/ACCOUNT

    'general' => 'Geral',
    // Server settings - HOME/SERVER ADMINISTRATOR/SERVER
    'bt_change_hostname' => 'Mudar o hostname',
    // System time - HOME/SERVER ADMINISTRATOR/SERVER
    // IP addresses - HOME/SERVER ADMINISTRATOR/SERVER
    // Scheduled tasks - HOME/SERVER ADMINISTRATOR/SERVER
    // FTP settings - HOME/SERVER ADMINISTRATOR/SERVER    // PFW

    'security' => 'Segurança',
    'bt_setup_firewall' => 'Configure a firewall',
    'bt_manage_firewall_rules' => 'Gerir as regras da firewall',
    'cu_firewall__rule' => 'Criar uma regra de Firewall',
    'cu_firewall__protocol' => 'Definir um protocolo para a regra (\'tcp\' ou \'udp\')',
    'cu_firewall__name' => "Definir um nome de regra",
    'cu_firewall__disabled' => 'Se \'true\', a regra é desativada após a criação',
    // Session idle time - HOME/SERVER ADMINISTRATOR/SECURITY
    // SSL/TLS certificates - HOME/SERVER ADMINISTRATOR/SECURITY
    // Shared SSL/TLS - HOME/SERVER ADMINISTRATOR/SECURITY    // PFW

    'dns' => 'DNS',
    'bt_select_dns_server' => 'Seleccione o servidor DNS', // PFW
    'bt_soa_records_template' => 'Modelo de registos SOA',
    'bt_restrict_creation_of_subzones' => 'Restringir a criação de sub-zonas',

    'databases' => 'Bases de dados',
    // Database hosting preferences - HOME/SERVER ADMINISTRATOR/SERVER

    'applications' => 'Aplicações',
    // ASP.NET settings - HOME/SERVER ADMINISTRATOR/APPLICATIONS & SERVICES    // PFW
    // IIS application pool - HOME/SERVER ADMINISTRATOR/APPLICATIONS & SERVICES    // PFW
    // SiteBuilder settings - HOME/SERVER ADMINISTRATOR/APPLICATIONS & SERVICES

    'mail' => 'Correio.',
    'bt_select_mailserver' => 'Seleccione o servidor de correio', // PFW
    // Mail server settings - HOME/SERVER ADMINISTRATOR/SERVER
    'bt_select_antivirus' => 'Selecionar antivírus', // PFW
    'bt_virus_protection_settings' => 'Definições da proteção de vírus',
    'bt_select_spamfilter' => 'Seleccione o filtro spam', // PFW
    // Spam filter settings - HOME/SERVER ADMINISTRATOR/SERVER
    'bt_select_webmail' => 'Selecionar Webmail',
    // Set up mailing lists server - HOME/SERVER ADMINISTRATOR/SERVER    // PFU

    'logs_and_statistics' => 'Registos e estatísticas',
    'bt_server_statistics_settings' => 'Configuração das estatísticas do servidor',
    'bt_select_web_statistics' => 'Software de estatísticas de rede disponível', // PFW
    // Action log - HOME/SERVER ADMINISTRATOR/LOGS & STATISTICS

    'control_panel_interface' => 'Interface do Plesk',

    'components_and_modules' => 'Componentes & módulos',
    // Server components - HOME/SERVER ADMINISTRATOR/SERVER
    'bt_setup_vpn' => 'Configurar VPN', // PFU
    'bt_setup_samba' => 'Configurar o samba',    // PFU

    ///
    /// END OF SERVER ADMINISTRATOR SETTINGS
    ///

    ///
    /// DOMAIN SETTINGS
    ///

    'domain_administrator_account' => 'Conta do administrador de domínio',
    // Interface preferences - HOME/DOMAIN ADMINISTRATOR/DOMAIN
    'bt_account_settings' => 'Definições de conta',

    'domain' => 'Domínio',
    'bt_dns_soa_records' => 'Registos SOA de DNS',
    // Mail settings - HOME/DOMAIN ADMINISTRATOR/MAIL
    'bt_task_scheduler_settings' => 'Definições da agenda de tarefas',

    'website' => 'Página web',
    // Web hosting settings - HOME/DOMAIN ADMINISTRATOR/WEBSITE
    // Bandwidth limiting - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS
    'bt_web_users_scripting' => 'Utilização de script\'s para os utilizadores de rede',
    // Anonymous FTP - HOME/DOMAIN ADMINISTRATOR/FILES

    // Applications - SETTINGS/SERVER/APPLICATIONS    // PFW
    // ASP.NET settings - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS    // PFW
    // PHP settings - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS    // PFW
    // IIS application pool - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS    // PFW

    // Security - SETTINGS/SERVER/SECURITY
    'bt_select_ssl_certificate' => 'Seleccione o certificado SSL/TLS',
    // Shared SSL/TLS - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS    // PFW

    // Logs & statistics - SETTINGS/SERVER/LOGS & STATISTICS
    'bt_web_statistics' => 'Estatísticas de rede',
    'bt_log_rotation_settings' => 'Definições da rotação de registo',

    ///
    /// END OF DOMAIN SETTINGS
    ///

    ////
    //// KEYS FOR LIMITS AND PERMISSIONS
    ////

    ///
    /// LIMITS
    ///

    '__limits' => "Limites", // template

    // overuse & oversell
    'limits__overuse_oversell_policy_legend' => "Política de sobreutilização e venda excessiva",
    'limits__overuse_policy_legend' => "Sobre-utilização",
    'limits__oversell_policy_legend' => "Venda excessiva",
    'limits__reseller_overuse_description' => "A política de sobreutilização informa o Plesk sobre o que fazer quando existe sobreutilização de recursos.",
    'limits__overuse_text' => "Politica de sobreutilização",

    // limit names
    'limit_group__disk_space_and_traffic' => 'Espaço em disco e tráfego',
    'limit__disk_space' => 'Espaço em disco',
    'limit__max_traffic' => 'Tráfego',
    'limit_group__client' => 'Clientes',
    'limit__max_cl' => 'Clientes',
    'limit_group__domain' => 'Domínios',
    'limit__max_dom' => 'Domínios',
    'limit__max_dom_powerUser' => 'Assinaturas',
    'limit__max_subdom' => 'Subdomínios',
    'limit__max_dom_aliases' => 'Nomes alternativos de domínio',
    'limit__max_wu' => 'Utilizadores de rede',
    'limit__max_subftp_users' => 'Contas FTP adicionais', // PFW
    'limit_group__mail' => 'Correio.',
    'limit__max_box' => 'Caixas de correio',
    'limit__mbox_quota' => 'Tamanho da caixa de correio',
    'limit__total_mboxes_quota' => 'Quota total das caixas de correio', // PFW
    'limit__max_maillists' => 'Listas de envio',
    'limit_group__database' => 'Bases de dados',
    'limit__max_mssql_db' => 'Base de dados Microsoft SQL Server', // PFW
    'limit__mssql_dbase_space' => 'Quota total de bases de dado MS SQL', // PFW
    'limit__max_odbc' => 'Ligações ODBC', // PFW
    // limit__max_db - CONFLICTED
    'limit__mysql_dbase_space' => 'Quota da base de dados MariaDB/MySQL', // PFW
    'limit__pgsql_dbase_space' => 'Quota de bases de dados PostgreSQL', // PFW
    'limit_group__application' => 'Aplicações',
    'limit__max_iis_app_pools' => 'Repositórios de aplicações de IIS', // PFW
    'limit_group__security' => 'Segurança',
    'limit_group__validity' => 'Data de expiração',
    'limit__expiration' => 'Data de expiração',
    'limit__validity' => 'Período de validade',
    'limit__max_site_builder' => 'Websites publicados com Presence Builder',
    'limit__max_site' => 'Domínios',
    'limit__mssql_dbase_filesize' => 'Tamanho de ficheiro da base de dados MS SQL',
    'limit__mssql_dbase_log_filesize' => 'Tamanho do ficheiro de registo da base de dados MS SQL',
    'limit__mssql_dbase_filesize_hint' => 'O tamanho máximo de um ficheiro de uma base de dados Microsoft SQL.',
    'limit__mssql_dbase_log_filesize_hint' => 'O tamanho máximo de um ficheiro de registo de uma base de dados Microsoft SQL.',
    'limit__units_mssql_dbase_filesize' => "MB",
    'limit__units_mssql_dbase_log_filesize' => "MB",

    'dom_pref__invalid_max_site_limit' => 'Limite de domínios inválido. O valor mínimo é 1.',

    'property__has_wrong_value' => 'A propriedade %1 possui um valor incorreto.',
    'property__name_outgoing_messages_domain_limit' => 'Estabelece o limite para a saída de mensagens por domínio (por hora). Para Ilimitado, especifique "-1". Especifique "default" para estabelecer o valor especificado como o padrão para o servidor.',
    'property__name_outgoing_messages_mbox_limit' => 'Estabelece o limite para a saída de mensagens por caixa de correio (por hora). Para o valor Ilimitado, especifique "-1". Especifique "default" para estabelecer o valor especificado como o padrão para o servidor.',
    'property__name_outgoing_messages_subscription_limit' => 'Estabelece o limite para a saída de mensagens por assinatura (por hora). Para o valor Ilimitado, especifique "-1". Especifique "default" para estabelecer o valor especificado como o padrão para o servidor.',

    // for CLI report & email notifications
    '__resource_notify' => 'Avisar',
    '__general' => 'Geral',
    '__template_shared' => 'Modelo partilhado',
    'limit__overuse' => 'Politica de sobreutilização',
    'limit__max_traffic_soft' => 'Avisar quando a utilização de tráfego atingir',
    'limit__disk_space_soft' => 'Avisar quando a utilização do espaço de disco for alcançada',
    '__overuse' => 'Politica de sobreutilização',
    'performance__title' => 'Desempenho',
    'performance__bandwidth' => 'Limite de utilização da largura de banda  (KB/S)',
    'performance__max_connections' => 'Ligações limitadas a',

    'gch__hosting_php_isapi' => 'Executar PHP como extensão ISAPI',
    'gch__hosting_ssi_html' => 'Utilização adicional de SSI para *.htm, *.html',
    'gch__hosting_php_handler_type' => 'executar PHP como',
    'gch__hosting_php_handler_id' => 'executar PHP como',
    'gch__hosting_php_served_by_nginx' => 'PHP servido por nginx',
    'gch__hosting_unpaid_website_status' => 'Estado de páginas web em assinaturas suspensas',
    'gch__mn_no_autoresponder' => 'Não existem respostas automáticas definidas para a conta de correio.',
    'gch__no_clients_selected' => "Nenhuma conta de cliente selecionada.",
    'gch__no_domains_selected' => "Nenhum domínio seleccionado",

    // limit units
    'limit__units_disk_space' => "MB",
    'limit__units_max_traffic' => "MB/mês",
    'limit__units_mbox_quota' => "KB",
    'limit__units_mysql_dbase_space' => "MB", // PFW
    'limit__units_mssql_dbase_space' => "MB", // PFW
    'limit__units_pgsql_dbase_space' => "MB", // PFW
    'limit__units_total_mboxes_quota' => "MB", // PFW

    // manipulations and statuses of limits
    '__resource_name' => 'Nome do recurso',
    '__resource_usage' => 'Usada',
    '__resource_limit' => 'Limite',

    '__never_expires' => 'Nunca expira',
    '__resource_free' => '%1 livre de %2',
    '__resource_unlimited' => '%1 utilizado, sem Limite',

    '__unlimited' => 'Ilimitado',
    '__increment' => "Incrementar (+)",
    '__decrement' => "Decrementar (-)",
    '__pt' => 'unidades',
    '__procent' => '%',
    '__overused' => 'Sobre-utilizado',
    '__left' => 'falta',
    '__available' => 'disponível',
    '__not_available' => 'Não incluído',

    ///
    /// END OF LIMITS
    ///


    ////
    //// KEYS FOR STATISTICS AND REPORTS
    ////

    ///
    /// SUMMARY / FULL REPORT
    ///

    // common full report
    'report__full_p' => 'P',
    'report__full_s' => 'F',
    'report__full_h' => 'T',
    'report__full_reseller_name' => 'Nome do revendedor', // reseller report
    'report__full_client_name' => 'Nome de cliente', // customer report
    'report__full_domain_name' => 'Nome do domínio', // domain report
    'report__full_owner' => 'Proprietário', // customer & domain reports
    'report__full_creation_date' => 'Data de criação',
    'report__full_size' => 'Dimensão',
    'report__full_traffic' => 'Tráfego',
    'report__full_active_clients' => 'Clientes ativos', // reseller report
    'report__full_clients' => 'Clientes', // reseller report
    'report__full_active_domains' => 'Domínios activos', // reseller & customer reports
    'report__full_domains' => 'Domínios', // reseller & customer reports
    'report__full_subdomains' => 'Sub-dom',
    'report__full_mboxes' => 'CCorreio',
    'report__full_disk_space' => 'Espaço em disco',
    'report__full_mail_groups' => 'MForw',
    'report__full_mail_autoresp' => 'Resp',
    'report__full_mail_antispam' => 'ASpam',
    'report__full_mail_antivirus' => 'AVir',
    'report__full_mail_lists' => 'ListCorreio',
    'report__full_web_users' => 'WebUsr',
    'report__full_mysql_databases' => 'BD MariaDB/MySQL',
    'report__full_mssql_databases' => 'BD MSSQL',
    'report__full_pgsql_databases' => 'PostgreSQL DB',

    // common summary report
    'report__section_general' => 'Geral',
    'report__version' => 'Versão do produto',
    'report__build' => 'Compilação do produto',
    'report__status' => 'Estado',
    'report__company_name' => 'Nome da empresa',
    'report__personal_name' => 'Nome',
    'report__login' => 'Nome de utilizador',
    'report__phone' => 'Telefone',
    'report__fax' => 'Fax',
    'report__email' => 'E-mail',
    'report__address' => 'Endereço',
    'report__city' => 'Cidade',
    'report__state' => 'Distrito',
    'report__zip_code' => 'Código Postal/CEP',
    'report__country' => 'País',
    'report__creation_date' => 'Data de criação',
    'report__expiration_date' => 'Data de expiração',
    'report__dumps_total_size' => 'Tamanho dos ficheiros de backup',
    'report__section_resellers' => 'Revendedores',
    'report__active_resellers' => 'Revendedores com assinaturas ativas',
    'report__resellers' => 'Revendedores',
    'report__section_full_resellers' => 'Revendedores',
    'report__section_clients' => 'Clientes',
    'report__active_clients' => 'Clientes com assinaturas ativas',
    'report__clients' => 'Clientes',
    'report__section_full_clients' => 'Clientes',
    'report__section_personal_clients' => 'Clientes pessoais',
    'report__active_personal_clients' => 'Os seus próprios clientes com assinaturas ativas',
    'report__personal_clients' => 'Clientes pessoais',
    'report__section_full_personal_clients' => 'Clientes pessoais',
    'report__section_domains' => 'Domínios',
    'report__disk_usage' => 'Utilização em disco',
    'report__traffic' => 'Tráfego',
    'report__active_domains' => 'Domínios activos',
    'report__domains' => 'Domínios',
    'report__subdomains' => 'Subdomínios',
    'report__mboxes' => 'Caixas de correio',
    'report__mail_groups' => 'Reencaminhamentos de correio',
    'report__mail_autoresp' => 'Respostas automáticas',
    'report__mail_lists' => 'Listas de envio',
    'report__web_users' => 'Utilizadores de rede',
    'report__mysql_databases' => 'Bases de dados do MariaDB/MySQL',
    'report__mssql_databases' => 'Bases de dados MSSQL',
    'report__pgsql_databases' => 'Bases de dados PostgreSQL',
    'report__section_full_domains' => 'Domínios',
    'report__section_personal_domains' => 'Domínios directos',
    // keys here are the same as in report__section_domains section
    'report__section_full_personal_domains' => 'Domínios directos',

    //New for Plesk 10
    'report__sitebuilder_sites' => 'Websites publicados com Presence Builder',
    'report__invalid_email' => 'Por favor especifique um endereço de e-mail válido.',


    // CLI-specific sections
    'report__section_hosting' => 'Alojamento',
    'report__section_webusers' => 'Utilizadores de rede',
    'report__section_mailnames' => 'Contas de Correio',
    'report__section_maillists' => 'Listas de envio',
    'report__section_databases' => 'Bases de dados',
    'report__section_siteapps' => 'Aplicações Web',
    'report__section_aspnetapps' => 'Aplicações ASP.NET', // PFW
    'report__owner_pname' => "Nome do fornecedor",
    'report__owner_login' => "Nome de utilizador do fornecedor",

    ///
    /// END OF SUMMARY / FULL REPORT
    ///

    ////
    //// KEYS FOR VARIOUS FEATURES
    ////

    ///
    /// SERVER INTERFACE
    ///

    // Locales
    // errors
    'locales__not_allowed' => 'O pacote de línguas especificado está instalado mas não está ativado no sistema.',

    ///
    /// END OF SERVER INTERFACE
    ///

    ///
    /// HOME PAGE CUSTOMIZATION
    ///

    ///
    /// SESSIONS
    ///

    'forgery_token_expired' => 'O token da sessão expirou.',

    ///
    /// END OF SESSIONS
    ///

    ///
    /// USER ACCOUNT CONVERSION
    ///

    //
    // USER ACCOUNT TYPE CHANGES
    //

    // resellers > customers
    'downgradeResellers__downgrade_resellers' => 'As seguintes contas de revendedor serão convertidas para contas de cliente',
    'downgradeResellers__downgrade' => 'Contas de revenda que vão ser convertidas',
    // controls
    'downgradeResellers__submit_downgrade' => 'Executar a conversão da conta.',
    'downgradeResellers__cancel_downgrade' => 'Cancelar a conversão da conta.',
    'downgradeResellers__confirm' => 'Confirme a conversão',
    'downgradeResellers__confirm_message' => 'Confirme a conversão da conta para prosseguir',
    // errors

    // customers > resellers
    'upgradeClients__upgrade_clients' => 'As seguintes contas de cliente serão convertidas para contas de revendedor',
    'upgradeClients__upgrade' => 'Contas de cliente que vão ser convertidas',
    // controls
    'upgradeClients__submit_upgrade' => 'Executar a conversão da conta.',
    'upgradeClients__cancel_upgrade' => 'Cancelar a conversão da conta.',
    'upgradeClients__confirm' => 'Confirme a conversão',
    'upgradeClients__confirm_message' => 'Confirme a conversão da conta para prosseguir',
    // errors
    'upgradeClient__user_is_already_reseller' => 'Impossível converter a conta \'%1\' numa conta de revendedor: \'%1\' já é um revendedor.',

    // domain administrators > customers
    'upgradeDomainUser__upgrade_domain_users' => 'As seguintes contas de administrador de domínio serão convertidas para contas de cliente',
    'upgradeDomainUser__upgrade' => 'Contas do administrador de domínio que vão ser convertidas',
    // controls
    'upgradeDomainUser__submit_upgrade' => 'Executar a conversão da conta.',
    'upgradeDomainUser__cancel_upgrade' => 'Cancelar a conversão da conta.',
    'upgradeDomainUser__confirm' => 'Confirme a conversão',
    'upgradeDomainUser__confirm_message' => 'Confirme a conversão da conta para prosseguir',
    // errors
    'upgradeDomainUser__non_upgradeable' => 'Contas do administrador de domínio que não podem ser convertidas',
    'upgradeDomainUser__non_upgradeable_domain_users' => 'As seguintes contas de administrador de domínio não puderam ser convertidas para contas de cliente:',
    'upgradeDomainUser__some_domains_were_not_converted' => 'Várias contas de administrador de domínio não puderam ser convertidas para contas de cliente. %%domainsList%%',
    'upgradeDomainUser__domain_user_does_not_exist' => 'A conta do administrador de domínio não existe',
    'upgradeDomainUser__domain_owner_must_be_a_reseller' => "O domínio deve pertencer directamente ao administrador do sistema ou revendedor.",
    'upgradeDomainUser__all_logins_already_used' => 'Impossível criar uma conta para o cliente resultante.',
    // notifications
    'upgradeDomainUser__upgrade_notification_subject' => 'A conta de administrador de domínio foi convertida',
    'upgradeDomainUser__upgrade_notification_body' => 'A sua conta de administrador de domínio foi convertida para uma conta de cliente com o nome de utilizador \'%%login%%\' e palavra-passe \'%%password%%\'.',

    //
    // USER ACCOUNT OWNER CHANGES
    //

    // errors
    'clientOwnerChanger__owner_has_no_permission' => 'O revendedor selecionado não possui a autorização \'%1\', mas alguns dos clientes possuem-na.',
    'clientOwnerChanger__application_not_allowed' => 'A aplicação \'%1\' não está disponível para o revendedor selecionado, mas está disponível para alguns dos clientes.',

    //
    // USER ACCOUNT STATE CHANGES
    //


    ///
    /// END OF USER ACCOUNT CONVERSION
    ///

    ///
    /// BANDWIDTH LIMITING
    ///

    'hosting_performance__traffic_bandwidth_label' => 'Utilização máxima da Largura de Banda (%1)',
    'hosting_performance__max_connection_label' => 'Conexões limitadas a',
    'performance__invalid_value' => "O valor é inválido. Deveria estar na gama entre %1 a %2.",

    ///
    /// END OF BANDWIDTH LIMITING
    ///

    ///
    /// WEBMAIL SELECTION (these keys are currently PfU-only)
    ///

    'webmail__server_legend' => 'Correio',
    'webmail__server_text' => 'Clientes de webmail disponíveis',
    'webmail__none' => 'Nenhum',

    ///
    /// END OF WEBMAIL SELECTION
    ///


    ////
    //// BACKUP/RESTORATION
    ////

    // random common keys:
    'backup__ip_mapping__server_ip' => 'Repositório de IP\'s do servidor',

    ///
    /// END OF BACKUP MANAGER ACTIONS
    ///

    ///
    /// COMMON SCREENS
    ///

    // Back Up
    // Comments - __comments
    '__default_backup_comment_server' => "Cópia de segurança do servidor.",
    '__default_backup_comment_reseller' => "Cópia de segurança da conta de revendedor criadao por %1.",
    '__default_backup_comment_client' => "Cópia de segurança da conta de cliente criada por %1.",
    '__default_backup_comment_domain' => "Cópia de segurança da assinatura criada por %1.",

    // Restoration & backup information

    // IP mapping
    'backup__ip_mapping__clients_ip' => "Repositório de IP do cliente %1",
    'backup__ip_mapping__resellers_ip' => "Repositório de IP do revendedor %1",

    // Conflicts occured
    'backup__restore__object_vhost' => 'Alojamento virtual',
    'backup__restore__object_plesk_admin' => 'Administrador Plesk',
    'backup__restore__object_ftpuser' => 'Conta de FTP',
    'backup__restore__object_frontpageuser' => 'Conta de FrontPage',
    'backup__restore__object_webuser' => 'utilizador web',
    'backup__restore__object_domain' => 'domínio',
    'backup__restore__object_subdomain' => 'sub-domínio',
    'backup__restore__object_domainalias' => 'nome alternativo de domínio',
    'backup__restore__object_client' => 'cliente',
    'backup__restore__object_reseller' => 'revendedor',
    'backup__restore__object_autoresponder' => 'resposta automática',
    'backup__restore__object_mailalias' => 'nome alternativo de e-mail',
    'backup__restore__object_database' => 'base de dados',
    'backup__restore__object_mailname' => 'conta de correio',
    'backup__restore__object_db_user' => 'utilizador de base de dados',
    'backup__restore__object_ssl_certificate' => 'Certificado SSL/TLS',
    'backup__restore__resellers_cannot_restore_converted_to_customers' => 'Os seguintes revendedores não podem ser restaurados pois foram convertidos em clientes: \'%1\'.',
    'backup__restore__customers_cannot_restore_converted_to_resellers' => 'Os seguintes clientes não podem ser restaurados pois foram convertidos em revendedores: \'%1\'.',
    'backup__restore__customers_cannot_restore_moved_to_another_owners' => 'Os seguintes clientes não podem ser restaurados pois foram movidos para outro proprietário: \'%1\'.',

    // Before migration starts
    'backup__restore__capability_not_enough_disk_text' => 'O espaço no disco do servidor de destino não é suficiente para transferir as assinaturas selecionadas. Disponível: %1 MB. Necessário: %2 MB. Note que o espaço necessário é calculado como a soma dos conteúdos de web, do correio e da base de dados dos domínios. O espaço necessário é calculado diariamente e armazenado na cache, de modo que a dimensão real dos domínios pode ser diferente da dimensão calculada. Certifique-se que os domínios selecionados não ocupam mais espaço que o disponível para prosseguir com a transferência.',
    'backup__restore__capability_not_enough_disk_resolution' => 'Por favor, crie espaço de disco no servidor de destino.',
    'backup__restore__capability_source_not_enough_disk_text' => 'O espaço de disco no servidor fonte não é suficiente para armazenar ficheiros temporários para transferência. Disponível: %1 MB. Necessário: %2 MB.',
    'backup__restore__capability_source_not_enough_disk_resolution' => 'Por favor, crie espaço de disco no servidor de origem.',
    'backup__restore__capability_not_enough_disk_resolution_url_text' => 'Informação do servidor',

    'backup__restore__capability_not_installed_component_text' => 'O componente %1 não está instalado no servidor de destino. %1 não estará disponível para todos os objetos repostos.',
    'backup__restore__capability_not_installed_component_resolution' => 'Por favor, instale %1. Note que isso pode levar alguns minutos.',
    'backup__restore__capability_existing_sys_user_text' => 'Um utilizador de sistema com o nome %1 já existe no servidor de destino.',
    'backup__restore__capability_existing_sys_user_resolution' => 'Por favor, altere o nome do utilizador de sistema já existente no servidor de destino.',
    'backup__restore__capability_license_usage_text' => 'Os seguintes limites de recursos (definidos pela chave de licença) serão excedidos no servidor de destino após a transferência de dados:',
    'backup__restore__capability_license_usage_resolution' => 'Por favor, instale no servidor de destino outra chave de licença que vai fornecer a quantidade necessária de recursos.',
    'backup__restore__capability_max_allowed_packet_text' => "O parâmetro 'max_allowed_packet' no servidor fonte da base de dados é %1, que é maior no servidor de destino, onde é %2. Alguns objetos da base de dados para os domínios especificados abaixo podem não ser repostos.",
    'backup__restore__capability_max_allowed_packet_resolution' => "Por favor, aumente o valor de 'max_allowed_packet' no servidor de destino da base de dados.",

    'backup__restore__capability_postgres_to_lower_version_text' => 'Impossível transferir as bases de dados do PostgreSQL, porque a versão do PostgreSQL no servidor de destino é anterior à do servidor fonte. A  versão atual é %1. A versão necessária é %2.',
    'backup__restore__capability_postgres_to_lower_version_text_resolution' => 'Por favor, instale a versão necessária do PostgreSQL no servidor de destino.',
    'backup__restore__capability_db_server_connection_problems' => 'Não foi possível ligar ao servidor de base de dados PostgreSQL. As bases de dados serão transferidas apenas se a ligação for reposta.',
    'backup__restore__capability_db_server_connection_problems_resolution' => 'Por favor, verifique as configurações de ligação no servidor de base de dados.',
    'backup__restore__capability_component_not_enabled_server_wide_text' => 'O componente %1 está desligado no servidor de destino.',
    'backup__restore__capability_component_not_enabled_server_wide_resolution' => 'Por favor, ligue %1 no servidor de destino.',
    'backup__restore__capability_not_configured_component_text' => 'O componente %1 está configurado no servidor de destino.',
    'backup__restore__capability_not_configured_component_resolution' => 'Por favor, configure %1 na página Ferramentas & Configurações.',

    'backup__restore__capability_webmail_is_not_available' => 'O webmail %1 não está disponível no servidor de destino. O Plesk utilizará o seguinte serviço de webmail: %2.',
    'backup__restore__capability_webmail_is_not_available_resolution' => 'Para utilizar o mesmo webmail que o servidor de origem, deve instalá-lo neste servidor.',
    'backup__restore__capability_webmail_is_not_installed_resolution' => 'Para utilizar o mesmo webmail do servidor de origem, deve instalá-lo no servidor de destino.',
    'backup__restore__capability_webmail_is_not_available_changed_on_subscriptions' => "O webmail '%1' não está disponível no servidor de destino. Nas seguintes assinaturas: %3, o Plesk utilizará o seguinte serviço de webmail: %2.",
    'backup__restore__capability_webmail_is_not_installed_custom_resolution' => 'Por favor, instale o webmail necessário no servidor de destino.',
    'backup__restore__capability_webmail_is_not_available_url_text' => 'Configurações do webmail',

    'backup__restore__capability_shell_is_not_available' => 'O shell %1 não está disponível no servidor de destino. Em vez deste, será utilizado um dos shell disponíveis.',
    'backup__restore__capability_shell_is_not_available_resolution' => 'Para utilizar o mesmo shell do servidor de origem, deve ativá-lo (in /etc/shells) ou instalá-lo no servidor de destino.',

    'backup__restore__capability_acl_network_not_allowed_dns_template' => 'O servidor DNS de destino não suporta redes no Modelo de Restrições de Transferência. Não serão repostos os registos com endereços IP de rede nas restrições de transferência DNS.',
    'backup__restore__capability_acl_network_not_allowed_dns_zone' => 'O servidor DNS de destino não suporta redes no Modelo de Restrições de Transferência, mas alguns domínios tem redes nas restrições de transferência DNS. Não serão repostos os registos com endereços IP de rede nas restrições de transferência DNS.',

    'backup__restore__capability_wrong_php_handler_text' => 'O PHP handler %1 não está disponível no servidor de destino. O Plesk utilizará o seguinte PHP handler: %2.',
    'backup__restore__capability_no_php_handler_text' => 'O PHP handler %1 está indisponível no servidor do destino.',
    'backup__restore__capability_wrong_php_handler_resolution' => 'Para utilizar o mesmo manipulador PHP do servidor fonte, deve ativá-lo ou instalá-lo no servidor de destino.',
    'bu_conflict_resolver_php_handler_replaced_in_plans' => 'O PHP handler %1 não está disponível. O Plesk utilizará %2 para os seguintes planos de serviço: {{objects}}',
    'bu_conflict_resolver_php_handler_replaced_in_sites' => 'O PHP handler %1 não está disponível. O Plesk utilizará %2 para os seguintes sites: {{objects}}',
    'bu_conflict_resolver_php_handler_not_allowed_in_sites' => 'O processador de PHP %1 não está disponível. Estará indisponível para os seguintes websites: {{objects}}',

    'backup__restore__capability_wrong_component_version_text' => 'O %1 %2 não está disponível no servidor de destino. A versão predefinida será utilizada.',
    'backup__restore__capability_wrong_component_version_resolution' => 'Para utilizar o mesmo %1 do servidor de origem, deve ativá-lo ou instalá-lo no servidor de destino.',

    'backup__restore__capability_antivirus_not_allowed_outgoing_text' => 'A política de utilização de antivírus no servidor de destino não permite definições pessoais (por endereço de email) de antivírus para envio de correio. Estas definições não serão transferidas.',
    'backup__restore__capability_antivirus_not_allowed_incoming_text' => 'A política de utilização de antivírus no servidor de destino não permite definições pessoais (por endereço de email) de antivírus para receção de correio. Estas definições não serão transferidas.',
    'backup__restore__capability_antivirus_not_allowed_personal_settings_text' => 'A política de utilização de antivírus no servidor de destino não permite definições pessoais (por endereço de email) de antivírus. Estas definições não serão transferidas.',
    'backup__restore__capability_antivirus_not_allowed_personal_settings_resolution' => "Para transferir definições pessoais (por endereço de email) de antivírus, ative as opções correspondentes em Ferramentas e definições > Definições de proteção contra vírus.",
    'backup__restore__capability_antivirus_not_active_text' => 'Nenhum software de antivírus está ativado. Todas as definições de antivírus do servidor de origem não funcionarão até que o software antivírus seja selecionado no servidor de destino.',
    'backup__restore__capability_antivirus_not_active_resolution' => 'Selecione o software antivírus na secção Ferramentas e definições > Definições de proteção contra vírus > Definições do antivírus.',

    'backup__restore__capability_antivirus_another_active_text' => 'O software do antivírus %2 não está disponível no servidor de destino. %1 será utilizado.',
    'backup__restore__capability_antivirus_another_active_resolution' => 'Para utilizar o mesmo antivírus do servidor de origem, por favor instale-o e selecione-o na secção Ferramentas e definições > Configurações da proteção contra vírus > Definições do antivírus.',
    'backup__restore__capability_not_available_sni_text' => 'SNI não está disponível no servidor de destino. Os sites web que tem o mesmo endereço IP não poderão utilizar os certificados SSL/TLS individuais.',
    'backup__restore__capability_not_available_sni_resolution' => "Por favor, verifique se o sistema operativo no servidor de destino suporta SNI e se o suporte para SNI está ativado no Plesk (na caixa 'Ative o suporte SNI, que permite usar certificados SSL/TLS em sites com o mesmo endereço IP' em Ferramentas & Configurações > Configurações do Servidor).",
    'backup__restore__capability_not_available_sni_resolution_url_text' => 'Configurações do servidor',

    'backup__restore__capability_vhost_already_exists_text' => 'A página web %1 não pode ser transferida: uma página web com o mesmo nome já existe no servidor de destino.',
    'backup__restore__capability_vhost_already_exists_resolution' => 'Por favor, altere o nome ou remova do servidor a página web com o mesmo nome.',
    'backup__restore__capability_removed_vhosts' => 'As seguintes assinaturas não serão restauradas por conter nomes de domínio já existentes no servidor de destino: %1',
    'backup__restore__capability_duplicate_php_handler_text' => 'No servidor de origem existem %3 manipuladores PHP diferentes do tipo %1 e versão %2. Em vez destes, um manipulador do tipo e versão adequados serão utilizados no servidor de destino. Note que as configurações de PHP no servidor fonte e de destino podem ser diferentes.',

    'backup__restore__capability_not_installed_frontpage_resolution' => 'O Plesk Installer não suporta o Microsoft FrontPage.',
    'backup__restore__capability_not_installed_python_resolution' => 'O Plesk Installer não suporta o Python. Por favor instale o Python manualmente.',

    'backup__restore__capability_mail_spamfilter_domain_keys_resolution_url_text' => 'Definições do servidor de correio',

    'backup__restore__capability_ftps_disabled' => 'A utilização de FTPS seguro é permitida no servidor de origem mas é proibido no servidor de destino. As aplicações de utilizadores que usam FTP podem não funcionar corretamente.',
    'backup__restore__capability_ftps_required' => 'A utilização de FTP não seguro é permitida no servidor de origem mas é proibida no servidor de destino. As aplicações de utilizadores que usam FTP podem não funcionar corretamente.',
    'backup__restore__capability_ftps_policy_resolution' => 'Alterar a política de FTP Seguro em Ferramentas & Configurações > Política de Segurança.',

    'backup__restore__capability_too_much_download_time_text' => '%1 megabytes de dados serão movidos do servidor de origem para o servidor de destino em %2 horas.',
    'backup__restore__capability_too_much_download_time_resolution' => 'Para uma transferência mais rápida, deve verificar a sua ligação de rede entre os servidores de origem e de destino e resolver os problemas (se existirem).',
    'backup__restore__too_low_download_speed' => "menos que 0,01",
    'backup__restore__capability_too_slow_download_speed_resolution' => 'Para uma transferência mais rápida, deve verificar a sua ligação de rede entre os servidores de origem e de destino e resolver os problemas (se existirem).',
    'backup__restore__capability_zero_download_speed_text' => 'A velocidade mínima aceitável de descarregamento é de %1 MBps. A velocidade de descarregamento entre o servidor de origem e de destino é de 0 MBps. Isso pode ser causado por problemas na ligação de rede. Não é possível fazer a transferência.',
    'backup__restore__capability_zero_download_speed_resolution' => 'Por favor, verifique a sua ligação de rede entre os servidores de origem e de destino e resolva os problemas (se existirem).',
    'backup__restore__capability_too_slow_download_speed_text' => 'A velocidade mínima aceitável de transferência é de %2 MBps. A velocidade de transferência entre o servidor de origem e de destino é de %1 MBps. Isso pode aumentar o tempo de transferência. No seu ambiente atual, a migração de %3 MB demorará %4 horas.',
    'backup__restore__capability_too_slow_download_speed_text_without_diskusage' => 'A velocidade mínima aceitável de transferência é de %2 MBps. A velocidade de transferência entre o servidor de origem e de destino é de %1 MBps. Isso pode aumentar o tempo de transferência.',

    'backup__restore__capability_remote_database_migration' => "Os seguintes domínios estão a utilizar bases de dados remotas: %1",
    'backup__restore__capability_remote_database_migration_resolution' => "Depois da transferência não remova esses domínios do servidor de origem se a versão do Plesk no servidor de origem for anterior à 11.5! Em vez disso, suspenda-os. Se remover os domínios, as bases de dados serão removidas do servidor remoto. Observação: Os ficheiros dump das bases de dados remotas serão armazenados no servidor de origem no %1 diretório.",

    'backup__restore__capability_mysql_50_to_51_migration' => 'Ficheiros de cópia de segurança dos servidores de base de dados MySQL anteriores à 5.1 (%1) podem não ser repostos no MySQL 5.1.x, porque MySQL 5.1.x manipula carateres Unicode de maneira diferente.',
    'backup__restore__capability_mysql_50_to_51_migration_resolution' => '',
    'backup__restore__capability_mysql_50_to_51_migration_kb_link_title' => 'Por favor, leia o artigo de base de conhecimento relacionado #136850',

    'backup__restore__capability_courier_not_installed_text' => 'O Courier-IMAP não está instalado no servidor de destino.',
    'backup__restore__capability_courier_not_installed_resolution' => 'Por favor, instale o Courier-IMAP pelo Plesk Installer.',
    'backup__restore__capability_dovecot_not_installed_text' => 'O Dovecot não está instalado no servidor de destino.',
    'backup__restore__capability_dovecot_not_installed_resolution' => 'Por favor, instale o Dovecot usando o Plesk Installer.',

    'backup__restore__wrong_stat_ttl_value_text' => 'O tempo de retenção das estatísticas de tráfego nas configurações dos seguintes objetos é inferior ao valor do servidor no servidor de destino.',
    'backup__restore__wrong_stat_ttl_value_resolution' => 'Por favor, altere o valor do servidor para o tempo de retenção das estatísticas no servidor de destino. Defina este tempo para igual a ou inferior ao valor mais reduzido nas configurações de domínio.',
    'bu_conflict_resolver_wrong_stat_ttl_value' => 'O tempo de retenção das estatísticas de tráfego em alguns domínios é inferior ao valor do servidor (%1). O valor será alterado para %1 para estes domínios.',
    'bu_conflict_resolver_wrong_stat_ttl_template_value' => 'O tempo de retenção das estatísticas de tráfego em alguns planos de serviços é inferior ao valor do servidor (%1). O valor será alterado para %1 para estes planos de serviço.',

    'backup__ip_mapping__map_dedicated_to_shared_ip' => 'O mapeamento de um endereço IP exclusivo para um partilhado vai desativar os FTP anónimos e HTTPS (exceto se o suporte SNI estiver ligado).',

    'backup__restore__no_postgresql_commands_text' => 'A assinatura utiliza uma base de dados PostgreSQL remota e o seu ficheiro de cópia de segurança temporário não pode ser gerado pois os comandos pg_dump e psql estão em falta no servidor de origem.',
    'backup__restore__no_postgresql_commands_resolution' => 'Instale qualquer pacote de cliente do PostgreSQL que suporte estes comandos.',
    'backup__restore__capability_apache_modules_disabled_text' => 'Os seguintes módulos do Apache estão desativados no servidor de destino: %1.',
    'backup__restore__capability_apache_modules_disabled_resolution' => 'Por favor, ative estes módulos para evitar possíveis problemas.',
    'backup__restore__capability_apache_modules_not_installed_text' => 'Os seguintes módulos do Apache não estão instalados no servidor de destino: %1.',
    'backup__restore__capability_apache_modules_not_installed_resolution' => 'Por favor, instale e ative estes módulos para evitar possíveis problemas.',

    'backup__restore__capability_license_not_supported_outgoing_antispam' => 'O limite de mensagens enviadas não é suportado pela sua licença. As configurações correspondentes não serão transferidas.',
    'backup__restore__capability_license_not_supported_outgoing_antispam_resolution' => 'Por favor, instale no servidor de destino outra chave de licença que forneça os recursos necessários.',
    'backup__restore__capability_disabled_outgoing_antispam' => 'O limite de mensagens enviadas está desligado no servidor de destino. As configurações correspondentes não serão transferidas.',
    'backup__restore__capability_disabled_outgoing_antispam_resolution' => 'Por favor, ligue o limite de mensagens enviadas servidor de destino.',
    'backup__restore__capability_disabled_outgoing_antispam_resolution_url_text' => 'Preferências de Correio do Servidor',

    'backup__restore__capability_outgoing_antispam_mbox_limit_not_supported' => 'O limite de mensagens enviadas de uma caixa de correio não é suportado pelo servidor de correio utilizado no servidor de destino. O valor deste limite não será transferido.',
    'backup__restore__capability_outgoing_antispam_mbox_limit_not_supported_resolution' => 'Altere o servidor de correio para o mesmo utilizado no servidor de origem.',
    'backup__restore__capability_outgoing_antispam_mbox_limit_not_supported_resolution_url_text' => 'Preferências de correio do Servidor',
    'backup__restore__capability_outgoing_antispam_domain_limit_not_supported' => 'O limite de mensagens enviadas de um domínio não é suportado pelo servidor de correio utilizado no servidor de destino. O valor deste limite não será transferido.',
    'backup__restore__capability_outgoing_antispam_domain_limit_not_supported_resolution' => 'Altere o servidor de correio para o mesmo utilizado no servidor de origem.',
    'backup__restore__capability_outgoing_antispam_domain_limit_not_supported_resolution_url_text' => 'Preferências de Correio do Servidor',
    'backup__restore__capability_outgoing_antispam_subscription_limit_not_supported' => 'O limite de mensagens enviadas de uma assinatura não é suportado pelo servidor de correio utilizado no servidor de destino. O valor deste limite não será transferido.',
    'backup__restore__capability_outgoing_antispam_subscription_limit_not_supported_resolution' => 'Altere o servidor de correio para o mesmo utilizado no servidor de origem.',
    'backup__restore__capability_outgoing_antispam_subscription_limit_not_supported_resolution_url_text' => 'Preferências de Correio do Servidor',

    'bu_conflict_resolver_absent_phosting' => 'Impossível restaurar os ficheiros especificados pois não existe um alojamento físico para os restaurar. Crie um domínio com alojamento físico e reinicie o backup.',
    'bu_conflict_resolver_resellers_management_is_not_supported' => 'Os dados dos revendedores não serão restaurados porque a administração de revendedores não é suportada.',

    'backup__restore__capability_modsecurity_not_installed_text' => 'A componente ModSecurity não está instalada no servidor de destino.',
    'backup__restore__capability_modsecurity_not_installed_resolution' => 'Por favor, instale o ModSecurity para manter a firewall para aplicações web a funcionar nos sites transferidos. Note que a instalação pode demorar alguns minutos.',
    'backup__restore__capability_modsecurity_not_installed_resolution_for_server' => 'Instale o ModSecurity caso deseje transferir as configurações da firewall para aplicações web. Note que a instalação pode demorar alguns minutos.',
    'backup__restore__capability_modsecurity_not_configured_text' => 'A componente ModSecurity não está configurada no servidor de destino.',
    'backup__restore__capability_modsecurity_not_configured_resolution' => 'Configure o ModSecurity caso deseje manter a firewall para aplicações web a funcionar nos sites transferidos.',
    'backup__restore__capability_modsecurity_not_configured_resolution_url_text' => 'Firewall para Aplicações Web (ModSecurity)',
    'backup__restore__capability_modsecurity_not_active_text' => 'O ModSecurity está desligado no servidor de destino.',
    'backup__restore__capability_modsecurity_not_active_resolution' => 'Ative o ModSecurity caso deseje manter a firewall para aplicações web a funcionar nos sites transferidos.',
    'backup__restore__capability_modsecurity_not_active_resolution_url_text' => 'Firewall para Aplicações Web (ModSecurity)',
    'bu_conflict_resolver_modsecurity_not_installed' => 'A componente ModSecurity não está instalada. As configurações da firewall para aplicativos web não serão restauradas para os seguintes objetos: {{objects}}',
    'bu_conflict_resolver_absent_websites_subscription' => "Os websites não podem ser restaurados pois pertencem à assinatura %1 não encontrada no Plesk:",
    'backup__restore__capability_not_installed_dns_text' => 'O componente %1 não está instalado no servidor de destino. O serviço de DNS estará indisponível e as configurações serão perdidas. Todos os websites de clientes estarão indisponíveis.',
    'bu_conflict_resolver_dns_not_installed' => 'O serviço de DNS não está instalado. As configurações de DNS não serão restauradas para os seguintes objetos: {{objects}}',
    'backup__restore__subscriptions_cannot_restore_moved_to_another_owners' => 'As seguintes assinaturas não podem ser restauradas pois foram movidas para outros proprietários: \'%1\'',
    'backup__restore__subscriptions_cannot_restore_moved_to_another_vendors' => 'As seguintes assinaturas não podem ser restauradas pois foram movidas para outros provedores: \'%1\'',
    'bu_conflict_resolver_sitebuilder_restore_util_is_not_installed' => 'Não é possível encontrar o utilitário de restauro do Construtor de Presença na Web para restaurar os dados do Construtor de Presença Web. O Construtor de Presença Web provavelmente não está instalado.',
    'backup__restore__capability_renamed_db' => 'O nome de base de dados "%1" já está a ser utilizado noutra subscrição. O nome da base de dados restaurada será mudado para "%2".',
    'backup__restore__capability_renamed_db_user' => 'O nome de utilizador de base de dados "%1" já está a ser utilizado noutra subscrição. O nome da base do utilizador da base de dados restaurada será mudado para "%2".',
    'backup__restore__capability_not_installed_perl_resolution' => 'O Plesk Installer não suporta o Perl. Por favor instale o ActiveState Perl manualmente.',
    'backup__restore__capability_php_handler' => '%%version%% %%type%% (id=%%id%%)',
    'backup__restore__capability_php_handler_served_by_apache' => '%%version%% %%type%% servido por Apache (id=%%id%%)',
    'backup__restore__capability_php_handler_served_by_nginx' => '%%version%% %%type%% servido por nginx (id=%%id%%)',


    '__sni' => 'SNI',
    '__kav' => 'Kaspersky Antivírus',
    '__drweb' => 'Odin Premium Antivirus',

    // Resource usage conflicts
    'backup__restore__resource_useage_conflicts' => 'Conflitos de Utilização de Recursos',
    'backup__restore__hint_resource_usage_conflicts' => 'Os conflitos de utilização de recursos ocorrem quando os limites de recursos do objecto reposto são excedidos após a reposição.',
    'backup__restore__text_resource_usage_resolution_policy_overusage' => 'Permitir sobre-utilização',
    'backup__restore__hint_resource_usage_resolution_policy_overusage' => 'Repor o objecto e permitir que utilize mais recursos que os atribuídos inicialmente.',
    'backup__restore__text_resource_usage_resolution_policy_do_not_restore' => 'Não repor',
    'backup__restore__hint_resource_usage_resolution_policy_do_not_restore' => 'Não repor objectos em conflito com a utilização de recursos.',
    // Configuration conflicts
    'backup__restore__configuration_conflicts' => 'Conflitos de Configuração',
    'backup__restore__hint_configuration_conflicts' => 'Os conflitos de configuração ocorrem quando o objecto reposto tem configurações e aplicações web que não estão disponíveis ou não tem permissões para os utilizar. Por exemplo, ocorrem conflitos de configuração se nas contas de correio repostas, existem configurações individuais de filtragem de spam e a configuração principal do servidor não o permitir.',
    'backup__restore__text_configuration_resolution_policy_automatic' => 'Automático',
    'backup__restore__hint_configuration_resolution_policy_automatic' => 'Repor o objeto e ligar automaticamente todas as opções de configuração incompatíveis que as suas permissões permitam gerir.',
    'backup__restore__text_configuration_resolution_policy_do_not_restore' => 'Não repor',
    'backup__restore__hint_configuration_resolution_policy_do_not_restore' => 'Não repor objectos que têm conflitos de configuração.',

    'backup__restore__dedicated_app_pool_restore_to_shared_text' => 'Repositórios de aplicação IIS exclusiva não são permitidos nas configurações do repositório de aplicação IIS.',
    'backup__restore__dedicated_app_pool_restore_to_shared_resolution' => 'Por favor, altere as suas configurações do repositório de aplicação IIS em Ferramentas & Configurações > Repositório de Aplicação IIS > Configurações Globais.',
    'backup__restore__shared_app_pool_restore_to_dedicated_text' => 'Repositórios de aplicação IIS partilhada não são permitidos nas configurações do repositório de aplicação IIS.',
    'backup__restore__shared_app_pool_restore_to_dedicated_resolution' => 'Por favor, altere as suas configurações do repositório de aplicação IIS em Ferramentas & Configurações > Repositório de Aplicação IIS > Configurações Globais.',

    'backup__restore__unable_allow_short_pop3 _names_text' => 'Nomes curtos de contas de correio POP3/IMAP não são permitidos no servidor de destino.',
    'backup__restore__unable_allow_short_pop3 _names_resolution' => 'Nomes curtos para contas de correio não estarão disponíveis após a reposição de dados.',

    // Restore status messages & errors:
    'backup__unable_to_open_log_file' => 'Impossível abrir o ficheiro de registo.',
    'backup__restore__customer_cannot_restore_nonexistent_subscription' => 'Impossível repor o assinatura %1: Este foi removido da sua conta e você não tem a permissão para criar assinaturas. Se tiver de repor a assinatura, entre em contacto com o seu fornecedor de serviços.',

    'backup__error11' => 'Espaço insuficiente no disco para a cópia de segurança.',
    'backup__error3011' => 'A ligação foi recusada: Não há programas a verificar o endereço e a porta especificados.',
    'backup__error3012' => 'Tempo limite da ligação.',
    'backup__error3013' => 'A rede não está acessível.',
    'backup__error3014' => 'Não há rota para o host.',
    'backup__error3015' => 'Falha na ligação.',
    'backup__error3016' => 'Impossível resolver nome do host.',
    'backup__error3017' => 'Nome de utilizador ou senha incorretos.',
    'backup__error3018' => 'Falha de ligação SSH.',

    'backup__error3110' => 'Impossível ligar ao agente de migração remota. A ligação ao host não está disponível.',
    'backup__error3111' => 'O agente de migração está bloqueado devido a uma tarefa de migração falhada ou está a ser utilizada por outro processo de migração. Por favor, reinicie o agente de migração no servidor de origem.',
    'backup__error3112' => 'A ligação ao host está indisponível ou o agente de migração não está em execução no host de origem.',
    'backup__error3113' => 'Impossível iniciar o agente de migração num host Linux. Por favor, verifique a ligação SSH ao host de origem.',
    'backup__error3114' => 'Impossível iniciar o agente de migração num host Linux: Falha de ligação SSH.',
    'backup__error3115' => 'Nome de utilizador ou senha incorretos.',
    'backup__error3116' => 'O utilizador especificado não possui privilégios de administrador.',

    'dns_t__unable_to_remove_ns_record' => 'Impossível remover o registo de NS do modelo de DNS: Cada zona de DNS deve ter pelo menos um registo de NS.',
    'dns__unsupported_server_zone_transfer' => 'Impossível transferir o Modelo de Restrições de Transferência por causa da configuração de DNS do servidor: No servidor de origem, os seguintes endereços de rede são permitidos para a transferência de zona, mas estes endereços são proibidos pelo Servidor DNS da Microsoft: %1',
    'dns__unsupported_domain_zone_transfer' => 'Impossível transferir o Modelo de Restrições de Transferência por causa da configuração de DNS dos domínios: Em alguns domínios, os seguintes endereços de rede são permitidos para a transferência de zona, mas estes endereços são proibidos pelo Servidor DNS da Microsoft: %1',
    ///
    /// END OF COMMON SCREENS
    ///

    ///
    /// DATABASE BACKUP - PFW // TBD
    ///

    // Actions

    'dbbackup__check_network_settings_failed' => 'Impossível aceder ao diretório compartilhado temporário na rede para os ficheiros de cópia de segurança. Por favor, verifique o diretório de rede, o nome de utilizador e a senha. Erro: %1',

    'dbbackup__temp_dir_wrong_value' => 'Foi especificado o valor inválido para o diretório temporário.',
    'dbbackup__network_temp_dir_wrong_value' => 'Foi especificado o valor inválido para o diretório de rede temporário .',
    'dbbackup__server_backup_not_configured' => 'As configurações de backup da base de dados não estão configuradas no servidor.',
    'dbbackup__temp_dir' => 'Diretório temporário',
    'dbbackup__temp_dir_hint' => 'O caminho até à pasta física no servidor remoto onde se encontra o servidor MS SQL. O servidor MS SQL deve ser capaz de aceder a esta pasta para ler e escrever ficheiros temporários de cópias de segurança. Por exemplo, C:\\DirectoryPath',
    'dbbackup__network_temp_dir_hint' => 'O caminho para a partilha de rede mapeou para a pasta física especificado acima. Plesk irá aceder à pasta partilhada para descarregar e carregar ficheiros de cópias de segurança. Por exemplo, \\\\ServerName\\DirectoryPath',
    'dbbackup__network_user_hint' => 'O nome de utilizador de um utilizador da rede no servidor remoto. Por exemplo, ServerName\\UserName. O utilizador deve ter acesso à pasta partilhada especificada acima.',
    'dbbackup__network_password_hint' => 'A palavra-passe dos utilizadores da rede',

    'dbbackup__success_import_without_dublicate_users' => 'Os seguintes utilizadores não foram importados: %1. Eles já existem no servidor da base de dados.',

    ///
    /// END OF DATABASE BACKUP
    ///

    ///
    /// LOGS & LOG ROTATION
    ///

    'log_rot__compress' => "Comprimir ficheiros de registo",
    'log_rot__log_rot_status' => "Estado da rotação do registo",
    'log_rot__log_rot_period' => "Condição de rotação de registo",
    'log_rot__log_rot_size' => "por tamanho",
    'log_rot__log_rot_time' => "por tempo",
    'log_rot__logrotation_enable' => "Ligar o rotacionamento do log",
    'log_rot__mail' => "Enviar os ficheiros de log processados para o e-mail",
    'log_rot__max_number_of_logfiles' => "Número máximo de ficheiros de log",
    'log_rot__time_period' => "Período",
    'log_rot__unable_turn_off' => 'Impossível desativar a rotação de registo porque ela é forçada a nível do servidor',
    'log_rot__unable_set_period' => 'Impossível definir o período de rotação do registo diferente de \'diário\', porque ele é forçado a nível do servidor',
    'log_rot__unable_set_max_log_files' => 'Impossível definir um número máximo de ficheiros de registo superior ao limite de todo o servidor %1',

    /// action log
    // common/various
    'actionlog__digit_expected' => "Um número esperado: %1",
    'actionlog__incorrect_rotation' => "Parâmetros de rotatividade do log especificados são inválidos: %1",
    'actionlog__unknown_rot_period' => "Período de rotação desconhecido: %1",
    'actionlog__unknown_rot_type' => "Tipo de rotação desconhecido: %1",
    'actionlog__session_preferences' => 'Configurações da sessão',
    'actionlog__nis2_delete_prohibited' => 'A remoção dos registos de log é proibida devido às restrições da diretiva NIS2 em vigor.',
    'actionlog__nis2_forbidden_rot_type' => "O tipo de rotação de log \"%1\" não pode ser utiliado devido às restrições da diretiva NIS2 em vigor.",
    // items (PFU schema)
    'actionlog__admin_info' => 'Informação do administrador',
    'actionlog__admin_preferences' => "Preferências de administrador.",
    'actionlog__service' => 'Serviço',
    'actionlog__ip_addr' => 'Endereço IP',
    'actionlog__client' => 'Conta de cliente',
    'actionlog__client_status' => 'Estado da conta de cliente',
    'actionlog__client_preferences' => "Preferências de interface do cliente",
    'actionlog__client_ip_pool' => "Repositório de IP do cliente",
    'actionlog__client_siteapp' => "Repositório de aplicações do cliente",
    'actionlog__client_guid' => "GUID do cliente",
    'actionlog__domain' => 'Domínio predefinido (o primeiro domínio adicionado a uma assinatura)',
    'actionlog__domain_owner' => 'Proprietário da assinatura',
    'actionlog__domain_plan' => 'Plano de serviço da assinatura',
    'actionlog__domain_status' => 'Domínio predefinido, estado',
    'actionlog__domain_dns' => 'Domínio predefinido, zona DNS',
    'actionlog__subdomain' => 'Sub-domínio de um domínio predefinido',
    'actionlog__domain_alias' => 'Domínio predefinido, nome alternativo',
    'actionlog__domain_alias_dns' => 'Domínio predefinido, zona DNS do nome alternativo',
    'actionlog__site' => 'Domínio',
    'actionlog__site_status' => 'Estado de domínio',
    'actionlog__site_dns' => 'Zona de DNS do domínio',
    'actionlog__site_guid' => 'GUID do domínio',
    'actionlog__site_subdomain' => 'Sub-domínio',
    'actionlog__site_alias' => 'Nome alternativo de domínio',
    'actionlog__site_alias_dns' => 'Zona de DNS do nome alternativo de domínio',
    'actionlog__domain_limits' => 'Limites do assinatura',
    'actionlog__domain_limit_size' => 'Limite de espaço em disco para assinatura',
    'actionlog__domain_limit_traffic' => 'Limite de tráfego para assinatura',
    'actionlog__domain_limits_powerUser' => 'Limites do assinatura',
    'actionlog__domain_limit_size_powerUser' => 'Limite de espaço em disco para assinatura',
    'actionlog__domain_limit_traffic_powerUser' => 'Limite de tráfego para assinatura',
    'actionlog__domain_guid' => "Domínio predefinido, GUID",
    'actionlog__cp_user' => 'Utilizador do Plesk',
    'actionlog__mailname' => 'Conta de correio',
    'actionlog__maillist' => 'Lista de envio',
    'actionlog__phosting' => 'Definições de alojamento',
    'actionlog__forwarding' => 'Reendereçamento padrão ou de janela (frame forwarding)',
    'actionlog__webuser' => 'Conta do utilizador de Web',
    'actionlog__site_application' => 'Aplicação web',
    'actionlog__license' => 'Chave de licença',
    'actionlog__additional_license' => 'Chave de licença adicional',
    'actionlog__template_domain' => "Plano de serviço do revendedor",
    'actionlog__template_admin' => "Plano de serviço do administrador",
    'actionlog__template_reseller' => 'Plano do revendedor',
    'actionlog__admin_alias' => 'Conta de administrador adicional', // PFW
    'actionlog__ftpuser' => 'Subconta de FTP', // PFW
    'actionlog__db_server' => 'Servidor da base de dados',
    'actionlog__db' => 'Base de dados',
    'actionlog__db_user' => 'Conta de utilizador de base de dados',
    'actionlog__client_sapppkg_pool' => "Aplicações do utilizador", // PFW, not used?
    'actionlog__remote_dns' => 'Estado do servidor remoto de DNS', // PFW
    'actionlog__reseller' => 'Conta de revenda',
    'actionlog__reseller_guid' => 'GUID do revendedor',
    'actionlog__reseller_ip_pool' => "Repositório de IP's do revendedor",
    'actionlog__reseller_limit_size' => 'Limite de espaço em disco para a conta de revenda',
    'actionlog__reseller_limit_traffic' => 'Limite de tráfego da conta de revenda',
    'actionlog__reseller_limits' => 'Limites da conta de revenda',
    'actionlog__reseller_permissions' => 'Permissões do revendedor',
    'actionlog__reseller_preferences' => "Preferências de interface do revendedor",
    'actionlog__reseller_siteapp' => "Aplicações web no repositório do revendedor",
    'actionlog__reseller_status' => 'Estado da conta de revenda',
    'actionlog__health_status' => 'Estado de integridade do servidor',
    // actions (PFU schema)
    'actionlog__limit_reached' => 'alcançado',
    'actionlog__added' => 'adicionado',
    'actionlog__removed' => 'removido',
    'actionlog__change' => 'modificado',
    'actionlog__update' => 'actualizado',
    'actionlog__move' => 'movido',
    'actionlog__upgrade' => 'actualizado', // PFU?
    'actionlog__update_or_add' => 'actualizado ou adicionado',
    'actionlog__expired' => 'expirou',
    'actionlog__create' => 'criou',
    'actionlog__delete' => 'apagou',
    'actionlog__service_stop' => 'parou',
    'actionlog__service_restart' => 'reiniciou',
    'actionlog__service_start' => 'começou',
    'actionlog__login' => 'entrou',
    'actionlog__logout' => 'saiu',
    'actionlog__install' => 'instalou',
    'actionlog__uninstall' => 'desinstalou',
    'actionlog__reconfigure' => 'reconfigurado',
    // events (PFW schema)
    'actionlog__event_pw_reset' => 'Pedido de reposição de palavra-passe',
    'actionlog__event_admin_update' => 'A informação do Administrador foi actualizada',
    'actionlog__event_admin_preferences_update' => "Preferências de administrador atualizadas",
    'actionlog__event_service_restart' => 'O serviço reiniciou',
    'actionlog__event_service_start' => 'O serviço iniciou',
    'actionlog__event_service_stop' => 'O serviço parou',
    'actionlog__event_ip_address_create' => 'Foi criado o endereço IP',
    'actionlog__event_ip_address_delete' => 'Foi eliminado o endereço IP',
    'actionlog__event_ip_address_update' => 'Endereço IP actualizado',
    'actionlog__event_client_create' => 'A conta do cliente foi criada',
    'actionlog__event_client_delete' => 'A conta do cliente foi eliminada',
    'actionlog__event_client_update' => 'A conta do cliente foi atualizada',
    'actionlog__event_client_status_update' => 'O estado da conta do cliente foi atualizado',
    'actionlog__event_client_preferences_update' => "As preferências de interface do cliente foram atualizadas",
    'actionlog__event_client_siteapp_added' => "A aplicação foi adicionada ao repositório de aplicações do cliente",
    'actionlog__event_client_siteapp_removed' => "A aplicação foi removida do repositório de aplicações do cliente",
    'actionlog__event_domain_limit_size_reached' => 'O limite de espaço em disco para assinatura foi alcançada',
    'actionlog__event_domain_limit_traffic_reached' => 'O limite de tráfego do domínio foi alcançado',
    'actionlog__event_domain_limit_size_reached_powerUser' => 'O limite de espaço em disco para assinatura foi alcançada',
    'actionlog__event_domain_limit_traffic_reached_powerUser' => 'Limite de tráfego para assinatura atingido',

    'actionlog__domain_limit_database' => 'Quota de bases de dados para subscrição',
    'actionlog__event_domain_limit_mysql_quota_reached' => 'A quota de bases de dados MariaDB/MySQL da subscrição foi atingida',
    'actionlog__event_domain_limit_mysql_soft_quota_reached' => 'A quota não restritiva de bases de dados MariaDB/MySQL da subscrição foi atingida',
    'actionlog__event_domain_limit_mssql_quota_reached' => 'A quota de bases de dados de servidor Microsoft SQL para esta subscrição foi atingida',
    'actionlog__event_domain_limit_mssql_soft_quota_reached' => 'A quota não restritiva de bases de dados de servidor Microsoft SQL para esta subscrição foi atingida',
    'actionlog__event_plesk_component_upgrade' => 'Componente Plesk atualizado',
    'actionlog__event_plesk_component_install' => 'Componente Plesk instalado',
    'actionlog__event_plesk_component_uninstall' => 'Componente Plesk desinstalado',
    'actionlog__event_domain_create' => 'Domínio predefinido (o primeiro domínio adicionado a uma assinatura) criado',
    'actionlog__event_domain_delete' => 'Domínio predefinido (o primeiro domínio adicionado a uma assinatura) eliminado',
    'actionlog__event_domain_update' => 'Domínio predefinido (o primeiro domínio adicionado a uma assinatura) atualizado',
    'actionlog__event_domain_owner_change' => 'O proprietário da assinatura foi alterada',
    'actionlog__event_domain_plan_change' => 'Plano de serviço da assinatura alterado',
    'actionlog__event_domain_status_update' => 'Domínio predefinido, estado atualizado',
    'actionlog__event_domain_dns_update' => 'Domínio predefinido, zona de DNS atualizada',
    'actionlog__event_subdomain_create' => 'O sub-domínio de um domínio predefinido foi criado',
    'actionlog__event_subdomain_delete' => 'O sub-domínio de um domínio predefinido foi eliminado',
    'actionlog__event_subdomain_update' => 'O sub-domínio de um domínio predefinido foi atualizado',
    'actionlog__event_domain_alias_create' => 'Domínio predefinido, nome alternativo foi criado',
    'actionlog__event_domain_alias_delete' => 'Domínio predefinido, nome alternativo foi eliminado',
    'actionlog__event_domain_alias_update' => 'Domínio predefinido, nome alternativo foi atualizado',
    'actionlog__event_domain_limits_update' => 'Limites da assinatura atualizados',
    'actionlog__event_cp_user_login' => 'O utilizador do Plesk está ligado',
    'actionlog__event_cp_user_logout' => 'O utilizador do Plesk está desligado',
    'actionlog__event_mailname_create' => 'A conta de correio criada',
    'actionlog__event_mailname_delete' => 'Conta de correio eliminada',
    'actionlog__event_mailname_clear' => 'Conta de correio esvaziada',
    'actionlog__event_mailname_update' => 'Conta de correio actualizada',
    'actionlog__event_maillist_create' => 'Foi criada lista de envio',
    'actionlog__event_maillist_delete' => 'A lista de envio foi eliminada',
    'actionlog__event_maillist_update' => 'A lista de envio foi actualizada',
    'actionlog__event_phys_hosting_create' => 'Criado alojamento físico',
    'actionlog__event_phys_hosting_delete' => 'Eliminado alojamento físico',
    'actionlog__event_phys_hosting_update' => 'Actualizado alojamento físico',
    'actionlog__event_forwarding_create' => 'Foi criado o alojamento standard ou de reendereçamento por frame',
    'actionlog__event_forwarding_delete' => 'Foi eliminado o alojamento standard ou de reendereçamento por frame',
    'actionlog__event_forwarding_update' => 'Foi actualizado o alojamento standard ou de reendereçamento por frame',
    'actionlog__event_webuser_create' => 'Criada a conta de um utilizador Web',
    'actionlog__event_webuser_delete' => 'Eliminada a conta de um utilizador Web',
    'actionlog__event_webuser_update' => 'Actualizada a conta de um utilizador Web',
    'actionlog__event_siteapp_install' => 'Aplicação web instalada',
    'actionlog__event_siteapp_reconfigure' => 'Aplicação web reconfigurada',
    'actionlog__event_siteapp_uninstall' => 'Aplicação web desinstalada',
    'actionlog__event_license_update' => 'Chave de licença actualizada',
    'actionlog__event_admin_alias_create' => 'Foi criada uma conta de administrador adicional',
    'actionlog__event_admin_alias_delete' => 'Conta de administrador adicional removida',
    'actionlog__event_admin_alias_update' => 'Conta de administrador adicional actualizada',
    'actionlog__event_ftpuser_create' => 'A sub-conta de FTP foi criada',
    'actionlog__event_ftpuser_update' => 'A sub-conta de FTP foi atualizada',
    'actionlog__event_ftpuser_delete' => 'A sub-conta de FTP foi eliminada',
    'actionlog__event_template_domain_create' => "O plano de serviço do revendedor foi criado",
    'actionlog__event_template_domain_update' => "O plano de serviço do revendedor foi atualizado",
    'actionlog__event_template_domain_delete' => "O plano de serviço do revendedor foi eliminado",
    'actionlog__event_template_admin_create' => "O plano de serviço do administrador foi criado",
    'actionlog__event_template_admin_update' => "O plano de serviço do administrador foi atualizado",
    'actionlog__event_template_admin_delete' => "O plano de serviço do administrador foi eliminado",
    'actionlog__event_database_server_create' => 'Servidor de base de dados criado',
    'actionlog__event_database_server_update' => 'Servidor de base de dados actualizado',
    'actionlog__event_database_server_delete' => 'Servidor de base de dados eliminado',
    'actionlog__event_remote_dns_status_update' => 'O estado do servidor remoto de DNS foi actualizado',
    'actionlog__event_session_preferences_update' => 'As configurações da sessão foram atualizadas',
    'actionlog__event_domain_alias_dns_update' => 'Domínio predefinido, a zona de DNS do nome alternativo de domínio foi atualizada',
    'actionlog__event_domain_move' => 'Domínio predefinido movido para uma nova assinatura',
    'actionlog__event_site_move' => 'Domínio movido para uma nova assinatura',
    'actionlog__event_site_subdomain_move' => 'Subdomínio movido para uma nova assinatura',
    'actionlog__event_subdomain_move' => 'Subdomínio de um domínio predefinido movido para uma nova assinatura',
    'actionlog__event_license_expired' => 'A licença do Plesk expirou.',
    'actionlog__event_database_create' => 'Base de dados criada',
    'actionlog__event_database_delete' => 'Base de dados removida',
    'actionlog__event_database_user_create' => 'Utilizador da base de dados criado',
    'actionlog__event_database_user_update' => 'As configurações da conta do utilizador da base de dados foram atualizadas.',
    'actionlog__event_database_user_delete' => 'A conta do utilizador da base de dados foi removida',
    'actionlog__event_client_guid_update' => "O GUID do cliente foi atualizado",
    'actionlog__event_domain_guid_update' => 'Domínio predefinido, GUID atualizado',
    'actionlog__event_reseller_create' => 'A conta de revenda foi criada',
    'actionlog__event_reseller_delete' => 'Conta de revenda eliminada',
    'actionlog__event_reseller_update' => 'Conta de revenda actualizada',
    'actionlog__event_reseller_guid_update' => 'Foi actualizado o GUID do revendedor',
    'actionlog__event_reseller_ip_pool_update' => "O repositório de IP's do revendedor foi actualizado",
    'actionlog__event_reseller_limit_size_reached' => 'O limite de espaço em disco para a conta de revenda foi alcançado',
    'actionlog__event_reseller_limit_traffic_reached' => 'O limite de tráfego da conta de revenda foi atingido',
    'actionlog__event_reseller_limits_update' => 'Os limites da conta de revenda foram actualizados',
    'actionlog__event_reseller_permissions_update' => 'As permissões da conta de revenda foram actualizadas',
    'actionlog__event_reseller_preferences_update' => "As preferências do revendedor foram actualizadas",
    'actionlog__event_reseller_siteapp_added' => "A aplicação foi adicionada ao repositório de aplicações do revendedor",
    'actionlog__event_reseller_siteapp_removed' => "A aplicação foi removida do repositório de aplicações do revendedor",
    'actionlog__event_reseller_status_update' => 'O estado da conta de revenda foi actualizado',
    'actionlog__event_template_reseller_create' => 'O plano do revendedor foi criado',
    'actionlog__event_template_reseller_delete' => 'O plano do revendedor foi eliminado',
    'actionlog__event_template_reseller_update' => 'O plano do revendedor foi atualizado',
    'actionlog__event_health_status_change' => 'O estado de integridade do servidor foi alterado',
    'actionlog__event_siteapp_upgrade' => 'As aplicações foram atualizadas',
    'actionlog__event_extension_install' => 'Extensão instalada',
    'actionlog__event_extension_uninstall' => 'Extensão desinstalada',
    'actionlog__event_extension_upgrade' => 'Extensão atualizada',
    'actionlog__event_extension_status_update' => 'Estado de extensão atualizado',
    'actionlog__event_additional_license_expired' => 'A licença adicional caducou',
    'actionlog__event_hostname_changed' => 'O hostname do servidor for modificado',
    'actionlog__event_smb_user_create' => 'Utilizador adicional criado',
    'actionlog__event_smb_user_delete' => 'Utilizador adicional apagado',
    'actionlog__event_smb_user_update' => 'Utilizador adicional atualizado',
    'actionlog__dns_record' => 'Registo DNS',
    'actionlog__dns_zone' => 'Zona DNS',

    // REMOTE SESSION
    'rsession_no_api_rpc_errmsg' => "O API RPC do Plesk não está instalado no host remoto. Entre em contacto com o seu fornecedor de serviço para obter assistência.",
    'rsession_no_account_errmsg' => "Impossível aceder ao serviço remoto com a sua conta. Provavelmente o serviço para a sua conta ainda não está activado. Por favor, espere alguns minutos, e tente de novo. Se encontrar este erro de novo, contacte o seu administrador de sistemas.",
    'rsession_no_domain_errmsg' => "Impossível aceder ao serviço remoto deste domínio. Provavelmente o serviço para este domínio ainda não está activado. Por favor, espere alguns minutos, e tente de novo. Se encontrar este erro de novo, contacte o seu administrador de sistemas.",
    'rsession_unknown_errmsg' => "O servidor remoto rejeitou a tentativa de estabelecer uma sessão. Contacte o seu administrador de sistemas. O erro foi: %1",
    'rsession_unknown2_errmsg' => "Erro desconhecido ao estabelecer uma sessão remota. O mais provável é que o servidor remoto não esteja a responder correctamente ou que não esteja mesmo a responder. Contacte o seu administrador de sistema para verificar os detalhes do erro no log de erros do servidor Web.",
    'rsession_no_connect_errmsg' => "Impossível aceder ao serviço remoto: a conexão para a sessão remota falhou. Contacte o seu administrador de sistemas para obter suporte.",

    // ANONYMOUS FTP
    'anonftp__allow_upload_incoming' => "Permitir o carregamento para o diretório de entrada",
    'anonftp__allow_create_dirs' => 'Permitir a criação de diretórios no diretório de entrada',
    'anonftp__allow_download_incoming' => 'Permitir a transferência a partir do diretório de entrada',
    'anonftp__display_login' => 'Apresentar mensagem de entrada',
    'anonftp__login_text' => 'Texto da mensagem',
    'anonftp__limit_incoming_disk_space' => "Limite de espaço em disco no directório de entrada",
    'anonftp__limit_maximum_bandwidth' => "Limite de largura de banda de download para este domínio FTP virtual",
    'anonftp__limit_maximum_connections' => "Limite de número de conexões simultâneas",
    'anonftp__unable_init' => "Impossível inicializar a conta de FTP anónimo: %1",
    'anonftp__unable_set_quota' => "Impossível configurar o limite de espaço em disco no directório de entrada: %1",
    'anonftp__unable_update' => "Impossível actualizar as propriedades da conta de FTP anónimo: %1",

    ///
    /// SSL/TLS CERTIFICATES
    ///

    // common keys
    '__certificates' => 'Certificados SSL/TLS', // page title
    // errors
    'class_sslcertificate__ca_not_signs' => "O certificado de CA não assina o certificado.",
    'class_sslcertificate__incompatible_pvt_key_cert' => "Par chave privada/certificado incompatível",
    'class_sslcertificate__invalid_cert_format' => "Formato inválido do certificado.",
    'class_sslcertificate__invalid_private_key_format' => "Formato inválido de chave privada.",
    'class_sslcertificate__prob_invalid_priv_key' => "Provavelmente, o formato da chave privada é inválido.",

    ///
    ///END OF SSL/TLS CERTIFICATES
    ///

    ///
    /// ASSORTED COMMON KEYS / TBI
    ///

    // non-UI
    '__no_files_to_upload' => 'Sem ficheiros para carregar.',
    'login_up__access_denied_no_permission' => "Acesso negado. Você não tem permissão para entrar.",
    'mail__unable_remove_pattern' => "Impossível remover o endereço da lista negra do servidor: %1", // PFW
    'mail__incorrect_network_format' => 'Formato de rede inválido: %1', // PFW
    'initconf__unable_change_passwd' => "Não é possível alterar a palavra-passe: do administrador:%1",
    'initconf__unable_get_passwd' => 'Não é possível obter a palavra-passe: de administrador atual: %1 falhou: %2',
    'initconf__invalid_hostname' => 'Erro no nome do anfitrião "%1"',
    'initconf__unable_reconfig' => 'Não foi possível configurar o Plesk: reconfig falhou: %1',
    'initconf__unable_update_admin' => 'Não foi possível atualizar as informações de contacto do administrador:%1',
    '__refresh' => 'Atualizar',
    '__dalias_not_exist' => 'O nome alternativo de domínio não existe.',
    '__bug146523_explanation' => 'As versões anteriores do Plesk permitiam utilizar até 16 carateres para nomes de utilizador de FTP. Esta versão do Plesk limita para 15 o número máximo de carateres permitidos para os nomes de utilizador de FTP. Para resolver este problema, reduza o comprimento do nome de utilizador FTP para 15 carateres para nomes de FTP afetados, e altere pelo menos um caracter nos nomes afetados de FTP para evitar o conflito de nomes de utilizador. Pedimos desculpa por qualquer inconveniente causado por esta alteração.',
    'domain__cannot_change_webmail' => 'Impossível alterar o webmail para o domínio: %1',
    'sb_publish_disable_warning' => 'Se a criação de página web com Presence Builder for desligada, o site anteriormente criado no Presence Builder será removido e todos os dados serão perdidos. Clique OK se quiser continuar.',
    '__sbnet_client_use_sbnet' => "Criar uma conta de utilizador correspondente no Presence Builder",
    'mail_resp_activate' => 'Ativar resposta automática',
    'limitsManger__limit_available_error' => 'Impossível atribuir a quantidade de  recursos necessária ("%%limitName%%"): só estão disponíveis %%available%% na sua conta.',
    'limitsManger__limit_reserved_error' => 'Impossível atribuir menos recursos ("%%limitName%%") que os que já estão em uso.',
    'domain__unable_to_rename_vhost_dir_already_exists' => 'Impossível renomear o domínio: Um diretório virtual com o mesmo nome já existe.',
    'domain_unable_to_rename' => 'Impossível renomear o domínio.',

    // Greylisting
    'spamfilter__general_settings_legend' => 'Geral',
    'spamfilter__spamassassin_status_legend' => 'Filtragem de spam do SpamAssassin',
    'spamfilter__spamassassin_settings_legend' => 'Configurações do SpamAssassin.',
    'spamfilter__spamassassin_server_status_legend' =>  "Ligar a filtragem de spam do SpamAssassin do servidor",
    'spamfilter__spamassassin_user_status_legend' => 'Ligar a filtragem de spam do SpamAssassin',
    'spamfilter__greylisting_status_legend' => 'Ligar a proteção de spam "greylisting" do servidor',
    'spamfilter__personal_settings_not_allowed' => 'A utilização de configurações individuais de filtragem de spam não é permitida pela política do sistema.',
    'spamfilter__required_score' => 'A pontuação que uma mensagem deve receber de modo a ser considerada spam',
    'spamfilter__rewrite_header_subject' => 'Adicionar o seguinte texto ao inicio do assunto de cada mensagem reconhecida como spam:',
    'spamfilter__use_mailuser_prefs' => 'Aplicar as definições individuais ao filtro de spam',
    'spamfilter__score_error' => 'A avaliação não deve ser negativa, a parte antes da casa decimal deve ser inferior a 100 e pode incluir não mais que dois dígitos após a casa decimal.',
    'spamfilter__rewrite_header_error' => 'O assunto da mensagem pode conter quaisquer carateres acentuados exceto o sinal numérico (#).',

    // template conflict keys
    'nonexistent_mail__mode_bounce' => 'Devoluções',
    'nonexistent_mail__mode_discard' => 'Descartar',
    'nonexistent_mail__mode_catch_addr' => 'Redirecionar para endereço de e-mail',
    'nonexistent_mail__mode_catch_ip' => 'Reenviar para o IP',
    'nonexistent_mail__bounce_not_supported' => 'O modo de devolução não é suportado',
    'nonexistent_mail__discard_not_supported' => 'O modo de descarte nãoé suportado',
    'nonexistent_mail__catch_not_supported' => 'O redirecionamento para endereço de e-mail não é suportado',
    'nonexistent_mail__redirect_not_supported' => 'O reendereçamento de IP não é suportado',
    'nonexistent_mail__ip_used_on_this_host' => 'O endereço IP resolve para o localhost',
    'nonexistent_mail_address_should_be_local_domain' => 'O endereço de email %1 para destinatários não existentes deve pertencer ao domínio selecionado, porque o controlo de mensagens enviadas está ativado. Caso contrário, então a política "Rejeitar" será aplicada na vez do reencaminhamento.',
    'nonexistent_mail_address_should_be_local_domain_not_restricted' => 'Visto que o controlo de correio a enviar está ativado, o endereço de e-mail especificado para o reencaminhamento de correio (%1) deve pertencer ao domínio selecionado. Caso contrário, então as mensagens enviadas para este endereço não serão contabilizadas no Controlo de Correio a Enviar.',
    // mail acc extras
    '__antivirus' => "Antivírus",

    // scripting languages errors
    'phosting__aspdotnet_not_enabled' => 'O suporte ASP.NET está desligado para esta página web.',
    'phosting__php_forced_by_site_isolation' => 'Impossível alterar as configurações de PHP: não foi dada a permissão de anular a política de segurança do servidor.',
    'phosting__option_forced_by_site_isolation' => 'Impossível alterar as configurações %1: não foi dada a permissão de anular a política de segurança do servidor.',
    'phosting__php_handler_id_not_registered' => 'O manipulador PHP não é permitido nas configurações de isolamento de site. O manipulador PHP predefinido será utilizado.',
    'phosting__php_served_by_nginx_is_not_available' => 'O processador PHP (aplicação FPM servida por nginx) não é permitido nas definições de isolamento site. O processador PHP predefinido será utilizado.',

    // tooltips

    'b_get_password_cancel' => 'Voltar para a tela anterior sem enviar o e-mail.',
    'b_get_password_send' => 'Clique OK para enviar a mensagem de recuperação da palavra-passe para o e-mail registado no sistema.',

    'b_back' => 'Voltar para a página anterior.',
    'b_next' => 'Ir para a próxima página.',

    'b_dnsnstemplatelist_remove' => 'Eliminar os servidores de nome seleccionados.',
    'b_dnsnstemplatelist_search' => 'Insira um padrão de procura e clique para encontrar servidores de nome.',
    'b_dnsnstemplatelist_show_all' => 'Exibir todos os servidores de nome.',

    'l_dnsnstemplatelist_ns' => 'Ordenar os registos do modelo de DNS por servidor de nome.',

    // filesharing management tool
    'cu__serverfilesharing_fsLinksAsHttps' => 'Gerar botões seguros para ficheiros e pastas',
    'cu__serverfilesharing_fsPublicFolderEnabled' => 'Ativar ficheiros públicos',
    'cu__serverfilesharing_fsPublicFolder' => 'Pasta para armazenamento de ficheiros públicos',
    'cu__serverfilesharing_fsPublicUrl' => 'URL para acesso de visitante a ficheiros públicos',
    'cu__serverfilesharing_fsPartnerFolderEnabled' => 'Ativar a proteção de palavra-passe de ficheiros públicos',
    'cu__serverfilesharing_fsPartnerFolder' => 'Pasta para armazenamento de ficheiros protegidos por palavra-passe',
    'cu__serverfilesharing_fsPartnersLogin' => 'Nome de utilizador para acesso a ficheiro',
    'cu__serverfilesharing_fsPartnersPassword' => 'Palavra-passe para acesso a ficheiro',
    'cu__serverfilesharing_fsDomain' => 'URL da pasta raiz da Web. Nome do domínio',
    'cu__serverfilesharing_fsPrefix' => 'URL da pasta raiz da Web. Prefixo',
    'cu__serverfilesharing_commandUpdate' => 'Atualizar as configurações de partilha de ficheiros',
    'cu__serverfilesharing_commandInfo' => 'Exibir as configurações atuais de partilha de ficheiros',
    'subscription_rename_is_forbidden' => 'A alteração do nome das assinaturas é proibida por uma política do servidor.',
    ///
    /// END OF RANDOM COMMON KEYS
    ///
    ///

    //Additional FTP Accounts
    'ftp__management_domain' => "Contas de FTP no Domínio %1", // for Additional FTP Accounts
    '__ftp_users_list' => "Sub-contas do FTP",
    'ftp__user_name' => "Nome da subconta do FTP",
    'ftp__user_home' => "Directório raiz",
    'ftp__invalid_path' => "Foi especificado um caminho inválido",
    'i_ftp_ses_sub_user' => 'Sessão de conta de FTP.',
    '__new_passwd' => "Nova senha %1",

    ////
    //// Errors with custom template of Apache configuration
    ////

    'apacheConfigurationFailedMessageSubject' => 'Impossível configurar um servidor web ao host <%%host%%>',
    'apacheConfigurationFailedMessageBody' => "Impossível gerar o ficheiro de configuração do servidor web no host <%%host%%> devido aos seguintes erros:\n\n%%error%%\n\nPor favor, resolva esses erros nos modelos de configuração do servidor web e crie o ficheiro novamente.",

    'apacheConfigurationMessageAdminTitle' => 'Falha na criação da configuração do servidor web',
    'apacheConfigurationMessageClientTitle' => 'Aviso',

    'apacheConfigurationFailedAdminHomeMessage' => 'O ficheiro da nova configuração não foi criado devido a erros nos modelos de configuração. A mensagem detalhada de erro foi enviada para o seu e-mail. Por favor, verifique o seu e-mail, resolva os erros, e clique em %1 para tentar gerar novamente a configuração.',
    'apacheConfigurationFailedAdminHomeMessageLink' => 'aqui', //used on linked text in apacheConfigurationFailedAdminHomeMessage
    'apacheConfigurationFailedAdminDomainMessage' =>  'A nova configuração para o domínio %1 não foi construída devido a erros nos modelos de configuração. A mensagem detalhada de erro foi enviada para o seu e-mail. Por favor, verifique o seu e-mail, resolva os erros, e clique em %2 para tentar gerar novamente a configuração.',
    'apacheConfigurationFailedAdminDomainMessageLink' => 'aqui', //used on linked text in apacheConfigurationFailedAdminDomainMessage

    'apacheConfigurationFailedUserDomainMessage' => 'A configuração do servidor web para o domínio %1 pode ser incompatível. Por favor, contacte o administrador do servidor para resolver o problema.',

    'apacheConfigurationFailedAdminDomainsMessage' => 'A nova configuração para alguns domínios não foi criada devido a erros nos modelos de configuração. A mensagem detalhada de erro foi enviada para o seu e-mail. Por favor, verifique o seu e-mail, resolva os erros, e clique em %1 para tentar gerar novamente a configuração.',
    'apacheConfigurationFailedAdminDomainsMessageLink' => 'aqui', //used on linked text in apacheConfigurationFailedAdminDomainsMessage

    'apacheConfigurationFailedUserDomainsMessage' => 'A configuração do servidor web para alguns domínios pode ser incompatível. Por favor, contacte o administrador do servidor para resolver o problema.',



    ///HOSTING PARAMETERS
    '__apache_errdocs' => "Documentos personalizados de erro",
    'dom_pref__webusers_script' => "Permitir a utilização de scripts aos utilizadores Web",
    '__seoRedirect' => 'Configurar o domínio preferencial como',
    '__seoRedirectToLanding' => 'domain.tld',
    '__seoRedirectToWww' => 'www.domain.tld',
    '__seoRedirectNone' => 'Nenhum',

    '__sites' => 'Domínios',
    'domain_plan__perm_denied_manage_phosting' => 'Não tem a permissão para gerir as configurações de alojamento.',
    '__owned_by_client' => 'pertencente ao cliente',
    'backup__restore__object_client_template' => 'Modelo de cliente',
    '__template_name' => 'Nome do plano de serviço',
    'template__not_exists' => 'Este plano de serviço não existe.',
    'template__exists' => 'Um plano com o nome %1 já existe.',
    'clientOwnerChanger__ip_not_in_pool' => 'O endereço IP especificado não está no repositório do revendedor.',
    '__owner_name' => 'Detentor do plano de serviço',

    'chown__error_check' => 'Foram encontrados alguns problemas durante a tentativa de atribuir alguns das assinaturas a um novo proprietário.',

    '__redirect_hint' => 'Você será redirecionado ao novo endereço em 15 segundos... Se não for automaticamente levado para o novo local, por favor, ative o javascript ou clique na hiperligação %%link%%.',

    'backup__restore__object_maillist' => 'Lista de envio',
    'backup__restore__object_site' => 'Site',
    'backup__restore__object_user' => 'Utilizador',
    'backup__restore__object_role' => 'Função',

    'limit__name_max_site' => 'sites web',

    'iis_pool__unable_rename_client' => "Impossível alterar o nome do Repositório de Aplicações IIS: %1.",

    'anonftp__is_not_supported_for_addon_domains' => 'O serviço de FTP anónimo é suportado apenas para o domínio principal de uma assinatura.',
    'anonftp__is_not_supported_for_addon_domains_powerUser' => 'O serviço de FTP anónimo é suportado apenas para o domínio principal de uma assinatura.',

    '__gb' => 'GB',
    '__tb' => 'TB',
    '__gb_month' => 'GB/mês',
    '__tb_month' => 'TB/mês',

    '__customer_total' => 'Total de clientes',
    '__site' => 'Site',
    '__def_site' => 'Site predefinido',
    '__subscription_name' => 'Nome da assinatura',
    '__subscription_name_powerUser' => 'Nome da assinatura',

    'limit__units_max_traffic_suffix' => '/mês',

    'dom_pref__discard' => "Rejeitar",

    'mail__pattern_already_exists' => 'O padrão "%1" já está na lista negra.',

    '__not_supported' => 'Não suportado',

    'plesk_key__sitebuilder' => 'Websites publicados com Presence Builder',
    'limit__name_max_site_builder' => 'Websites publicados com Presence Builder',
    'plesk_key__wpb-multi-language-sites-support' => 'Suporte para sites em diversos idiomas no Presence Builder',

    'login_up__access_denied_no_subscriptions' => "Acesso negado. Não existem assinaturas disponíveis para esta conta.",

    'interval__day' => '%1 dia(s)',
    'interval__hour' => '%1 hora(s)',
    'interval__minute' => '%1 minuto(s)',
    'interval__second' => '%1 segundo(s)',

    ///License options
    'plesk_key__backward_incompatibility' => 'Está a tentar utilizar uma chave de licença criada para outra versão do Plesk. Contacte os representantes de vendas da Plesk para obter uma chave de licença adequada.',
    //Standalone or virtualization
    'virtualization_any' => "Servidor físico ou qualquer solução de virtualização",
    'virtualization_pvc' => "Virtuozzo containers",
    'virtualization_vmware' => "VMWare",
    'virtualization_hyperv' => "Microsoft Hyper-V",
    'virtualization_xen' => "Xen",
    'virtualization_kvm' => "KVM",
    'virtualization_parallels_server' => "Servidor Virtuozzo",
    'plesk_key__virtualization' => "Válido para os seguintes ambientes:",
    'plesk_key__virtualization_only_key' => 'A chave de licença só pode ser utilizada no Plesk dentro de um ambiente virtual %1.',
    'plesk_key__virtualizations_only_key' => 'A chave de licença só pode ser utilizada no Plesk dentro dos seguintes ambientes virtuais: %1.',
    //Language options
    'plesk_key__invalid_locale_signature' => 'É proibida a utilização de pacotes personalizados de idioma',
    'plesk_key__allowed-locales' => 'Idiomas disponíveis',
    'plesk_key__allowed-locales-any' => 'Qualquer idioma',

    /// Web hosting settings on domain/subdomain

    '__cgi_bin_mode' => 'o diretório cgi-bin está localizado em',
    '_cgi_bin_mode_webspace' => 'o diretório raiz da assinatura',
    '_cgi_bin_mode_www_root' => 'o documento raiz deste domínio',

    /// Custom buttons
    'custom_button__sort_key' => 'Prioridade',
    'custom_button__place' => 'Localização',
    'custom_button__place_navigation' => 'Acesso comum',
    'custom_button__place_admin' => 'Página inicial do administrador',
    'custom_button__place_admin-settings' => 'Página de ferramentas e configurações do administrador',
    'custom_button__place_reseller' => "Página inicial do revendedor",
    'custom_button__place_reseller-settings' => 'Página de ferramentas e configurações do revendedor',
    'custom_button__place_client' => 'Página inicial do cliente',
    'custom_button__place_domain' => "Página de Sites Web & Domínios da Assinatura",
    'custom_button__place_domain_powerUser' => "Página de Sites Web & Domínios da Assinatura",
    'custom_button__place_domain-properties' => 'Ferramentas do website',
    'custom_button__private' => 'Apresentar unicamente a mim',
    'custom_button__image' => 'Imagem de fundo',
    'custom_button__conhelp' => "Texto de conselho de ferramenta",
    'custom_button__edit' => "Configurações de uma ligação para um serviço adicional",
    'custom_button__include_client_cname' => "Incluir o nome da empresa do cliente",
    'custom_button__include_client_email' => "Incluir e-mail do cliente",
    'custom_button__include_client_id' => "Incluir ID do cliente",
    'custom_button__include_client_pname' => "Incluir o nome de contacto do cliente",
    'custom_button__include_domain_id' => "Incluir o ID da assinatura, o ID do domínio e o ID do nome alternativo do domínio",
    'custom_button__include_domain_id_powerUser' => "Incluir o ID da assinatura, o ID do domínio e o ID do nome alternativo do domínio",

    'custom_button__include_domain_name' => "Incluir o nome de domínio principal",
    'custom_button__include_ftp_user' => "Incluir o utilizador FTP",
    'custom_button__include_ftp_pass' => "Incluir a palavra-passe FTP",
    'custom_button__internal_open' => "Abrir a URL no Plesk",
    'custom_button__text' => "Etiqueta do botão",
    'custom_button__url' => "URL",

    'custom_button__not_image' => 'O ficheiro não é um ficheiro de imagem.',
    'custom_button__big_image' => 'O arquivo não deve exceder 100 KB.',
    'custom_button__failed_copy_image' => 'Impossível copiar o ficheiro: %1',


    'backup__restore__cannot_restore_non_power_user_dump_in_power_user_mode' => 'Não é possível repor um backup de não-utilizador do Power User na visualização por Power User.',
    '__unknown_network_interface' => 'Interface de rede desconhecida',

    'init_conf__ip_address' => 'Endereço IP',

    //Confirmation page
    'bt_confirm' => 'Confirme',
    'b_confirm' => 'Confirmar a propriedade de seus sites web.',

    'performance__iss_app_pool_forced_by_site_isolation' => 'As configurações do repositório de aplicação IIS exclusivo são definidas de acordo com a política de segurança do servidor (configuração de isolamento de site).',
    'performance__iss_app_pool_forced_by_server_wide_settings' => 'As configurações do repositório de aplicação IIS exclusivo são definidas de acordo com as configurações de desempenho do servidor.',

    '__current' => 'Atual',

    //// New Promos Block

    'promo__you_are_about_to_exceed_license_limit_max_dom' => 'Utilizou quase todos os domínios fornecidos com a sua licença do Plesk (90% ou mais).',
    'promo__you_are_about_to_exceed_license_limit_max_dom_title' => 'Você utilizou quase todos os domínios.',
    'promo__you_are_about_to_exceed_license_limit_max_site_builder' => 'Utilizou quase todos os sites do Presence Builder fornecidos com a sua licença do Plesk (90% ou mais).',
    'promo__you_are_about_to_exceed_license_limit_max_site_builder_title' => 'Você utilizou quase todos os sites do Presence Builder.',
    'promo__button_hide' => 'Ocultar',
    'promo__button_next' => 'Seguinte >>',
    'promo__button_prev' => '<< Anterior',
    'promo__button_license' => 'Atualizar Licença',

    'promo__google_integration_title' => 'Integração com serviços do Google',
    'promo__google_integration' => 'Configurar a integração com serviços do Google, como AdSense, Google Apps, ferramentas do Webmaster.',
    'promo__google_integration_button' => 'Configurar',

    'promo__button_learn_more' => 'Aprender Mais',

    //// Plesk Branding in 10.1
    'panel_branding__description' => 'Pode personalizar a aparência da interface e as configurações de marca através dos temas personalizados. Para instruções de personalização dos temas do Plesk, consulte %1.',
    'panel_branding__description_link' => 'seguinte documento',

    ///// File Manager new buttons
    'bt_extract_archive' => 'Extrair ficheiros',
    'filemanager_error_extracting_files' => 'Ocorreu um erro ao extrair os ficheiros: %1',
    'filemanager_no_archive_files_specified' => 'Especifique os ficheiros que deseja extrair.',
    'filemanager_not_zip_archive_specified' => '%1 não pode ser extraído, não é um ficheiro ZIP.',
    'filemanager_files_successfully_extracted' => 'Os ficheiros foram extraídos.',
    'filemanager_error_file_download' => 'Falha no descarregamento do ficheiro: %1',
    'filemanager__user_poolgrp' => 'Grupo do repositório de aplicações',

    'loading' => 'A carregar...',
    'bt_create_archive' => 'Adicionar ao arquivo',
    'filemanager__pack' => "Caminho para o ficheiro: %1",
    'filemanager__archive_name' => 'Nome do ficheiro',
    'filemanager__empty_filename' => 'Por favor, insira o nome do ficheiro.',
    'filemanager_archive_created' => 'O ficheiro foi criado com sucesso.',
    'filemanager_error_creating_archive' => 'Impossível criar o ficheiro. %1',

    'cmd_dns__aaaa_dns_record_already_exist' => "Este registo estará em conflito com o AAAA registro para a zona.",
    'defaultcomponents__ftp_ipv6_hosting_not_supported' => "(o servidor de FTP não suporta endereços IPv6.)",
    'cmd_dns__glue_dns_record_conflict' => 'Este registo estará em conflito com o glue record para a zona \'%1\'.',
    '__ftp_ipv6_not_supported' => "(o servidor de FTP não suporta endereços IPv6.)",
    '__ipv6_not_supported' => 'IPv6 não é suportado.',
    'mail__ipv6_not_supported' => 'IPv6 não é suportado pelo servidor de correio.',
    'mail__relay_while_list_ipv6_not_supported' => 'A lista branca de encaminhamento de IPv6 não é suportada pelo servidor de correio.',
    'mail__relay_while_list_ipv6_mask_mul_16' => 'O valor de máscara deve ser um múltiplo de 16.',
    'mail__ip_or_mask_is_invalid' => 'O endereço ou máscara de IP é inválido.',
    'nonexistent_mail__redirect_ipv6_not_supported' => 'O redirecionamento para endereços IPv6 não é suportado.',
    'sa__invalid_trusted_networks' => 'Redes confiáveis especificadas incorretamente: %1',
    'dns_add__enter_ipv6_address' => "Endereço IPv6",
    'license_trial_days_left' => 'O seu Plesk está a operar com uma licença de teste que irá expirar em %1 dias.',
    'excl_ipv6_num' => 'Endereço IPv6 exclusivo',
    '__ip_mask' => "Máscara de sub-rede",
    '__ipv4_addr' => 'Endereço IPv4',
    '__ipv6_addr' => 'Endereço IPv6',
    'template__num_excl_ipv6s' => 'Atribuir endereços IPv6 exclusivos ao revendedor',
    'anonftp__exclusive_ipv4_required' => 'É necessário um endereço de IPv4 exclusivo para configurar e utilizar o FTP anónimo.',
    'anonftp__ipv4_already_used' => 'Impossível configurar o serviço de FTP anónimo para esta página web porque este já está configurado em outro domínio no mesmo endereço IPv4.',


    'restart__kav' => "Kaspersky Antivírus",
    '__view_migration_log_detailed_info' => 'Ver o registo',

    'chown__error_ip_absent_in_ip_pool' => 'O endereço IP %1 não está presente no repositório de IP do utilizador alvo.',
    'chown__error_ip_not_exist' => 'O endereço IP com identificação \'%1\' não existe.',
    'chown__error_domain_ip_not_selected' => 'Deve ser selecionado pelo menos um endereço IP para o domínio %1. Verifique os valores selecionados para o mapeamento de IP.',

    'mail__ip_or_mask_is_invalid_ipv6' => 'O endereço ou máscara de IPv6 é inválido: O endereço IP deve ser um endereço unicast válido.',

    '__subscriptions' => 'Assinaturas',

    '__owned_by_reseller' => 'pertencente ao revendedor',
    '__owned_by_provider' => 'pertencente ao fornecedor',

    'service_plan__anonymous' => 'Personalizado',
    'subscription_not_locked__change_limits_warning' => 'Esta assinatura não está bloqueada: Os limites de utilização de recursos serão alterados durante a sincronização com o plano de serviço.',
    'subscription_not_locked__change_permissions_warning' => 'Esta assinatura não está bloqueada: As permissões serão alteradas durante a sincronização com o plano de serviço.',

    'subscription__conflict_resolution_policy' => 'Política de resolução de conflitos',
    'subscription__conflict_resolution_policy_lock' => "Bloquear assinatura",

    'backup__list__backup_warnings' => 'Avisos',
    'backup__list__backup_info' => 'Informação',
    'backup__restore__object_reseller_template' => 'Modelo de revendedor',
    'backup__restore__object_domain_template' => 'Modelo de domínio',

    'subscription__unable_lock_anonymous' => 'Esta assinatura não está ligada a um plano de serviço, portanto, não pode ser desbloqueado.',
    'subscription__unable_sync_anonymous' => 'Esta assinatura não está ligada a um plano de serviço, portanto, não pode ser sincronizada.',
    'subscription__unable_sync_locked' => 'Esta assinatura está bloqueada, portanto, não pode ser sincronizada.',
    'subscription__locked' => 'A assinatura está bloqueada.',
    'component_name__urlrewrite' => "Reescrever URL",
    '__quantity' => 'Quantidade',
    'hst__www_root_dir_absent' =>  'Atenção: O diretório especificado como raiz do documento não existe.',
    'object_creation__domain_is_not_a_webspace' => 'Este objeto pode ser criado apenas numa assinatura.',
    'phosting__webspace_hosting_with_sites_cannot_be_deleted' => 'A assinatura contém sítios, portanto, não pode alterar o tipo de alojamento ou eliminá-lo.',
    'phosting__apache_error_docs_are_not_enabled' => 'Documentos de erro personalizados não estão ativados no domínio.',
    'phosting__addon_domain_ip_must_match_webspace' => 'Erro: Falha ao atualizar o endereço IP.Os domínios de adição não podem ser atribuídos a um endereço IP não atribuído ao domínio principal da assinatura.',
    'domain_plan__unable_change' => 'Impossível alterar o plano de serviço: %1.',
    'domain_plan__different_hosting_type' => 'O atual tipo de alojamento é diferente do tipo especificado no plano de serviço.',
    'domain_plan__addon_text' => 'Plano de complemento',
    'domain_plan__addon_description' => 'O plano de complemento é utilizado para suplementar um plano de alojamento.',
    'asp_net__managed_runtime_version' => 'Versão do tempo de execução gerido por ASP.NET',
    'plan__can_not_change_hosting_type' => 'É impossível alterar o tipo de alojamento durante a edição de um plano.',
    'plan__apply_problems' => 'O plano não foi aplicado por a problemas com as seguintes funcionalidades: %1',
    'plan_save__subscription_update_problem' => 'Impossível aplicar alterações do plano para %1.',
    '__perm_denied_subscription_suspended_by_backuprestore' => "A assinatura está temporariamente suspensa até o término do processo de backup ou reposição. Por favor, volte mais tarde.",
    '__login_incorrect_plain_shadow_password' => 'Foi especificada a palavra-passe incorreta para a conta de administrador. Por favor, utilize as credenciais do administrador (raiz) do sistema, ou obtenha a palavra-passe correta. Para saber mais sobre como obter a palavra-passe, leia o ficheiro /etc/psa/README.psa.shadow.',

    '__perm_denied_ip' => 'Não pode enviar o endereço IP que não possui.',

    'dns__dns_zone_not_synchronized' => 'A zona de DNS foi alterada. Se desejar aplicar alterações ao modelo de DNS desta zona, clique no botão \'Aplicar Alterações do Modelo de DNS\' nesta página, ou escolha a opção \'Aplicar as alterações para todas as zonas\' no Painel de Administração do Servidor > Ferramentas & Configurações > Configurações do Modelo de DNS > Aplicar Alterações no Modelo de DNS.',
    'dns__dns_zone_synchronize_link' => 'Clique',
    'dns__dns_zone_synchronize_done' => 'A zona de DNS foi sincronizada com sucesso.',

    'dns__dns_zone_template_error' => 'Ocorreram problemas ao sincronizar zonas DNS com o modelo de zona DNS.%1',

    'dns__soa_rname_type_owner' => 'Endereço de e-mail do proprietário do website',
    'dns__soa_rname_type_domain' => 'Endereço de e-mail do domínio',
    'dns__soa_rname_type_external' => 'Endereço de e-mail externo',
    'dns__soa_rname_enforce_email' => 'Proibir a alteração do endereço de e-mail RNAME por domínio',
    'dns__soa_rname_label' => 'E-mail (RNAME)',
    'dns__soa_rname_hint' => 'O endereço de e-mail da pessoa responsável pela zona de domínio DNS. Devolvido pelo servidor DNS em resposta a consultas SOA.',

    'dns__dns_zone_soa_sync_title' => 'Substituir configurações de SOA para todos os domínios existentes',
    'dns__dns_zone_soa_sync_legend' => 'Necessária confirmação',
    'dns__dns_zone_soa_sync_text' => 'Atualizar registos SOA de todos os domínios alojados, aplicando as alterações feitas no modelo SOA?',

    'cu_db__repair_mysql_dbus' => "Reparar as senhas de utilizador do MariaDB/MySQL. Esta operação é necessária caso tenha atualizado para o Plesk 11 a partir de versões antigas.",

    'cu_scheduled_backup_comment' => 'Cópia de segurança agendada',
    'cu_scheduled_backup_error' => 'Ocorreu um erro durante o procedimento de cópia de segurança: %1',
    'cu_scheduled_backup_mail_subject' => '<%1> Ocorreu um erro durante a cópia de segurança agendada.',
    'cu_scheduled_backup_mail_message' => "%1\nPonto de entrada do Plesk: %2\n\nOcorreram os seguintes erros durante o procedimento de cópia de segurança agendado:\n\n%3",

    'cu_scheduled_backup_hourly' => 'Cópia de segurança de intervalo de horas',
    'cu_scheduled_backup_daily' => 'Cópia de segurança diária',
    'cu_scheduled_backup_weekly' => 'Cópia de segurança semanal',
    'cu_scheduled_backup_monthly' => 'Cópia de segurança mensal',
    'cu_scheduled_backup_comment_backup_all' => '%1. Toda a configuração e conteúdo.',
    'cu_scheduled_backup_comment_backup_vhost' => '%1. Toda a configuração e conteúdo exceto mensagens de email.',
    'cu_scheduled_backup_comment_backup_mail' => '%1. Apenas configuração e mensagens de email.',
    'cu_scheduled_backup_comment_backup_mail_file' => '%1. Toda a configuração e conteúdo exceto bases de dados do utilizador.',
    'cu_scheduled_backup_comment_backup_mail_database' => '%1. Toda a configuração e conteúdo exceto ficheiros do utilizador.',
    'cu_scheduled_backup_comment_backup_database' => '%1. Apenas configuração e bases de dados do utilizador.',
    'cu_scheduled_backup_comment_backup_file' => '%1. Apenas configuração e ficheiros do utilizador',
    'cu_scheduled_backup_comment_backup_domain' => '%1. Configuração do domínio.',

    'cu_scheduled_backup_to_cloud_not_allowed' => 'Armazenar cópias de segurança agendadas num armazenamento remoto na nuvem é uma funcionalidade premium. Contacte o seu fornecedor de alojamento para a desbloquear.',

    'i_backup_invalid_file' => 'Este não é um ficheiro de backup válido. Os dados não podem ser repostos deste ficheiro. Clique no nome de backup para detalhes.',

    'filemanager_resulting_archive_exists' => 'O ficheiro %1 já existe no diretório alvo.',

    'agent_unable_to_connect' => 'Impossível ligar ao agente em \'%2\'. Por favor, verifique se o agente está instalado e a executar e se existem problemas de ligação com o host \'%2\'.',
    'agent_test_connection_failed' => 'Falha na ligação com o agente em \'%2\'.',

    'agent_unable_to_resolve_host' => 'Impossível localizar o host remoto \'%1\'. Por favor, verifique se há problemas na ligação com o host.',
    'agent_unknown_curl_error' => 'Ocorreu o erro \'%1\' durante a ligação ao agente em \'%2\'.',
    'agent_unexpected_htp_code' => 'O código HTTP inesperado \'%1\' foi recebido na requisição HTTP ao agente em \'%2\'.',
    'agent_unable_to_auth' => 'Impossível autenticar no host \'%1\'. Para resolver este problema, siga as instruções em http://kb.plesk.com/116606.',
    'agent_internal_server_error' => 'Foi encontrado um erro interno do servidor durante a execução do comando no host remoto \'%1\'.',
    'agent_response_is_empty' => 'Foi recebida uma resposta vazia à requisição HTTP ao agente em \'%1\'.',

    'migration__disabled_due_to_local_file_does_not_exist' => 'Impossível encontrar o Migration & Transfer Agent no cache local. Por favor, reabra o Migration & Transfer Agent para resolver o problema.',

    '__hosting_webdeploy' => "Publicação do Web Deploy",
    'cu_domain__webdeploy' => "Publicação do Web Deploy (predefinido: %1)",
    'cu_dom_tpl__webdeploy' => "Publicação do Web Deploy (predefinido: %1)",
    'cu_subdomain__webdeploy' => "Publicação do Web Deploy (predefinido: %1)",
    'webdeploy__not_installed' => "Microsoft Web Deploy não está instalado no servidor",
    'webdeploy__forced_by_site_isolation' => "Impossível alterar as configurações de publicação do Web Deploy: Não tem permissão para anular a política de segurança do servidor. Contacte o seu fornecedor para mais detalhes.",



    'backup__restore_options__admin__server_configuration_license' => 'Chave de licença',
    'migration_start_migrate_server_license' => 'Chave de licença de transferência',

    'defaultcomponents__delegation_rule_not_exist' => '(a regra de delegação necessária \'appPoolPipeline, appPoolNetFx\' não existe)',

    '__o' => 'D',

    'i_backup_created_by_admin' => 'O backup foi criado pelo administrador.',
    'i_backup_created_by_reseller' => 'O backup foi criado por um revendedor.',
    'i_backup_created_by_client' => 'O backup foi criado por um cliente.',

    'migration__object_exists_on_target_host' => '(já existe no host de destino)',

    'cu_cl_pref__manage_website_maintenance' => 'Acesso a operações avançadas: Cópia de Site Web',
    'cu_cl_pref__manage_protected_dirs' => 'Gestão dos diretórios protegidos com palavra-passe.',
    'cu_cl_pref__manage_mail_settings' => 'Capacidade de alterar as configurações de correio',


    'cu__command_update_php_settings' => 'Atualiza as configurações de PHP.',
    'cu__php_settings_option' => 'Define o caminho para o ficheiro com configurações de PHP.',

    'cu__additional_php_settings_option' => 'Define o caminho para o ficheiro com diretivas adicionais de PHP.',
    'cu__command_show_php_settings' => 'Exibe as configurações atuais de PHP.',
    'cu__general_settings' => 'Configurações gerais:',
    'cu__performance_settings' => 'Configurações de desempenho:',
    'cu__php_fpm_settings' => 'Definições PHP-FPM:',
    'cu__additional_directives' => 'Diretrizes adicionais:',

    'php_settings_permission_required' => 'Gestão das configurações comuns de PHP',
    'php_settings_performance_permission_required' => 'Gestão das configurações de desempenho de host',
    'php_settings_customized' => 'Configurações PHP foram personalizadas',
    'php_settings_synchronized_with_plan' => 'As configurações de PHP devem estar sincronizadas com o plano.',
    'phosting__unknown_shell_type' => 'Shell não disponível',

    'login_up__access_denied_subscription_deleted' => 'Acesso negado: O sua assinatura foi removida.',

    'role_restricted_to_subscription' => '(transferida com a assinatura: %1)',

    'filemanager__extract' => "Extrair ficheiros para: %1",

    'cu__license_command_check_installed_license' => 'Verificar a validade da chave de licença instalada (volta para o código de saída 0 se a chave estiver válida e para 1 se estiver inválida)',

    'promo__mobile_manager_title' => 'Plesk Mobile Server Manager',
    'promo__mobile_manager' => "Amplie a funcionalidade do Plesk para poder controlar e monitorizar o servidor a partir de dispositivos móveis (BlackBerry, iPhone e Androide).",
    'promo__mobile_monitor_title' => 'Plesk Mobile Server Monitor',
    'promo__mobile_monitor' => 'Obtenha as informações mais importantes sobre os servidores do Plesk a qualquer hora e em qualquer lugar a partir de um dispositivo móvel (BlackBerry, iPhone e Androide).',
    'promo__mobile_button' => 'Aprender Mais',

    'subDomainNameHint' => 'Introduzir * para criar um subdomínio universal. Os visitantes do website serão redirecionados para este subdomínio, independentemente do nome do subdomínio introduzido no navegador.',
    'subdomains__wildcard_name_invalid' => "O nome de sub-domínio é inválido. Pode utilizar apenas carateres alfanuméricos, um hífen (-) e um asterisco (*) para nomes de sub-domínio wildcard.",
    'subdomains__name_invalid' => "O nome de sub-domínio é inválido. Pode utilizar apenas carateres alfanuméricos e um hífen (-) para nomes de sub-domínio.",

    'domain__wildcard_no_www_prefix' => 'Não é possível utilizar o prefixo www para subdomínios com wildcard.',

    '__service_title__milter' => "Milter do Plesk Postfix",
    '__service_description__milter' => "Filtro de correio Plesk Postfix",
    '__milter' => "Milter do Postfix",
    'restart__milter' => "Milter do Plesk (%1)",
    'restart__pop3' => "Servidor POP3 Courier",
    'restart__pop3s' => "Servidor POP3 Courier com suporte a SSL/TLS",
    'restart__imap' => "Servidor IMAP Courier",
    'restart__imaps' => "Servidor IMAP Courier com suporte a SSL/TLS",
    'restart__authdaemon' => "Autenticação daemon courier IMAP",
    'restart__imap-pop3' => "Servidor Dovecot IMAP e POP3",


    'addon_packages_not_supported' => 'Complementos para o pacote de aplicações APS não são suportados.',
    'cu_domain__unable_to_automaticaly_select_ip' => 'Impossível atribuir automaticamente um endereço IP para o domínio. Por favor, introduza um endereço IP utilizando a opção -ip',

    'plesk_key__mb_accounts' => 'Contas de utilizador (revendedores e clientes) no Customer and Business Manager',

    'actionlog__subdomain_dns' => 'Zona de DNS do sub-domínio',
    'actionlog__site_subdomain_dns' => 'Zona DNS de um sub-domínio num domínio adicional',

    // PfW only
    'actionlog__event_site_create' => 'O domínio foi criado',
    'actionlog__event_site_delete' => 'O domínio foi eliminado',
    'actionlog__event_site_update' => 'O domínio foi atualizado',

    'actionlog__event_site_status_update' => 'O estado do domínio foi atualizado',
    'actionlog__event_site_dns_update' => 'Zona DNS do domínio atualizada',
    'actionlog__event_site_guid_update' => 'O GUID do domínio foi atualizado',

    'actionlog__event_site_subdomain_create' => 'O sub-domínio foi criado',
    'actionlog__event_site_subdomain_delete' => 'O sub-domínio foi eliminado',
    'actionlog__event_site_subdomain_update' => 'O sub-domínio foi atualizado',

    'actionlog__event_site_alias_create' => 'O nome alternativo de domínio foi criado',
    'actionlog__event_site_alias_delete' => 'O nome alternativo de domínio foi eliminado',
    'actionlog__event_site_alias_update' => 'O nome alternativo de domínio foi atualizado',

    'actionlog__event_site_alias_dns_update' => 'A zona DNS de um nome alternativo de domínio foi atualizada',
    'actionlog__event_subdomain_dns_update' => 'A zona DNS de um sub-domínio num domínio predefinido foi atualizada',
    'actionlog__event_site_subdomain_dns_update' => 'A zona DNS de um sub-domínio foi atualizada',
    // End of PfW only

    'win_policy__bad_password' => 'Falha na validação. A senha é inválida.',
    'win_policy__password_too_short' => 'Falha na validação. A senha não preenche os requisitos da politica de senhas porque é muito curta.',
    'win_policy__password_too_long' => 'Falha na validação. A senha não preenche os requisitos da politica de senhas porque é muito longa.',
    'win_policy__password_not_complex_enough' => 'A validação falhou. A palavra-passe não é suficientemente complexa e não cumpre os requisitos da política de palavra-passe. As palavras-passe fortes têm de conter, pelo menos, todos os seguintes itens: oito carateres; um caráter de letra maiúscula ou minúscula; três números e um caráter especial (!, @, #, $, %, ^, &, *, ?, _, ~) ou um número e dois carateres especiais.',

    //// Activation Code feature
    'plesk_key__license_update_failed' => 'Não é possível atualizar a licença de produto.',


    'filemanager__error_path_is_not_allowed' => 'O caminho não é permitido',
    'filemanager__error_path_is_invalid' => 'O caminho é inválido',
    'filemanager__error_path_not_found' => 'Caminho não encontrado',
    'filemanager__error_path_already_exists' => 'O caminho já existe',
    'filemanager__error_access_is_denied' => 'Acesso recusado',
    'filemanager__error_directory_not_empty' => 'A pasta não está vazia',
    'filemanager__error_sharing_violation' => 'Violação da partilha',
    'filemanager__error_not_same_device' => 'O caminho de destino não é no mesmo equipamento',
    'filemanager__unable_to_resolve_realpath' => "Impossível encontrar o ficheiro %1 no local especificado",
    'filemanager__access_to_realpath_denied' => "Acesso ao caminho real negado: %1 a %2.",
    'bt_exit' => 'Sair',

    'filemanager__copy_error__' => "Impossível copiar %1 para %2: %3",
    'filemanager__copy_move' => "Copiar (mover) arquivos de %1",
    'filemanager__count_size__' => 'Tamanho da selecção: %1',
    'filemanager__count_size_error__' => 'Não foi possível contar o tamanho de %1: %2',
    'filemanager__create_dir_error__' => "Impossível criar directório %1: %2",
    'filemanager__dir_not_exists' => "Directório %1 não existe.",
    'filemanager__dirname' => "Nome do diretório",
    'filemanager__filename' => "Nome do ficheiro",
    'filemanager__is_no_such' => "Não há nenhum arquivo ou directório com o nome %1",
    'filemanager__empty_selection' => "Nenhum/nenhuns ficheiro(s) selecionado(s).",
    'filemanager__move_error__' => "Impossível mover %1 para %2: %3",
    'filemanager__not_allowed' => "Não lhe é permitido alterar as permissões deste ficheiro.",
    'filemanager__remove' => "Remover arquivos de %1",
    'filemanager__remove_error__' => "Impossível remover arquivo %1: %2",
    'filemanager__set_win_permissions_dir' => "Definir permissões para a pasta %1",
    'filemanager__set_win_permissions_file' => "Definir permissões para o arquivo %1",
    'filemanager__touch_confirm' => "Você tem certeza de que deseja alterar o timestamp para os arquivos seleccionados?",
    'filemanager__upload_error__' => "Impossível carregar %1 para %2: %3",
    'filemanager__upload_file' => "Carregar arquivo",
    'filemanager__upload_file_src' => "Caminho para o ficheiro",
    'filemanager__max_image_size_exceeded' => 'Impossível exibir a imagem. O tamanho da imagem não pode ser maior que %2 bytes',

    '__fastcgi_unix_support' => 'Suporte FastCGI',

    'dns__subdomain_dns_zone_parent' => 'Os registos de DNS deste sub-domínio estão armazenados na zona principal de DNS. Pode alterar a zona principal %1 ou criar uma zona separada para o sub-domínio.',
    'dns__subdomain_dns_zone_parent_link' => 'aqui',
    'dns__no_dns_zone' => 'Nenhuma zona de DNS atribuída ao domínio. Para gerir a zona de DNS para seu domínio, clique no botão \'Restore Defaults\'.',
    'dns__unable_turn_on_subdomain_zone' => 'Impossível habilitar a zona do subdomínio pois há um registro CNAME para este subdomínio em sua zona de domínio.',

    '__hosting_write_modify' => 'Permissões adicionais de escrita/modificação',

    'aspdotnet__group_framework_version' => "Versão do Framework",

    'bt_restore_default' => "Repor predefinição",
    'b_autoinstaller' => 'Atualizar o Plesk ou as suas componentes.',
    'b_autoinstaller_configure' => 'Atualizar configurações.',
    'b_autoinstaller_install' => 'Instale os componentes seleccionados.',

    '__iis_app_pool__use_dedicated' => 'Repositório de aplicações IIS exclusivo',
    '__iis_app_pool__use_dedicated_addons' => 'Conjunto de aplicações IIS dedicado para cada página web',
    '__iis_app_pool__enable_32bit_app_on_win64' => 'Ativar aplicações de 32 bits',
    '__iis_app_pool__load_user_profile' => 'Carregar perfil do utilizador',
    'bt_iis_app_pool' => "Repositório de Aplicações IIS",

    'performance__cpu_usage' => 'Utilização máxima de CPU (%)',
    'performance__cpu_usage_action' => 'Ação de limite',
    'performance__cpu_usage_interval' => 'Intervalo do limite (minutos)',
    'performance__cpu_usage_action_not_supported' => 'A ação especificada não é suportada pelo servidor de rede.',

    'performance__idle_timeout_action_not_supported' => 'A ação de tempo limite especificada não é suportada pelo servidor de rede.',
    'performance__max_worker_processes' => 'Número máximo de processos de trabalho',
    'performance__idle_timeout' => 'Tempo limite inativo (minutos)',
    'performance__idle_timeout_action' => 'Ação de tempo limite',
    'performance__recycling_by_time' => 'Reciclagem em intervalos regulares (minutos)',
    'performance__recycling_by_requests' => 'Reciclagem quando o número máximo de solicitações é alcançado',
    'performance__recycling_by_virtual_memory' => 'Reciclagem quando a quantidade máxima de memória virtual é utilizada',
    'performance__recycling_by_private_memory' => 'Reciclagem quando a quantidade máxima de memória privada é utilizada',
    'performance__managed_pipeline_mode' => 'Gerir o modo pipeline',
    'performance__managed_pipeline_mode_not_supported' => 'O modo indicado não é suportado pelo servidor web.',

    'iis_app_pool' => 'Administração do repositório de aplicações do IIS.',
    'b_iis_app_pool' => 'Administrar o repositório de aplicações do IIS.',
    'iis_app_pool_cl_dom' => 'Gestão do repositório de aplicações IIS.',

    'bt_protect' => 'Proteger',
    'bt_unprotect' => 'Remover Proteção',
    'bt_show_additional_users' => 'Mostra utilizadores adicionais',
    'bt_hide_additional_users' => 'Ocultar utilizadores adicionais',
    'error_doc__code_400' => 'Pedido Errado',
    'error_doc__code_401' => 'Não autorizado',
    'error_doc__code_401.1' => 'Sem autorização - O Login falhou',
    'error_doc__code_401.2' => 'Sem autorização - O Login falhou devido à configuração do servidor',
    'error_doc__code_401.3' => 'Sem autorização - Sem autorização devido ao ACL estar no recurso',
    'error_doc__code_401.4' => 'Sem autorização - Autorização falhada por filtro',
    'error_doc__code_401.5' => 'Sem autorização - Autorização falhada pela app de ISAPI/CGI',
    'error_doc__code_401.7' => 'Não autorizado - Negado devido a política de autorização de URL',
    'error_doc__code_403' => 'Proibido',
    'error_doc__code_403.1' => 'Proibido - Acesso negado para execução',
    'error_doc__code_403.2' => 'Proibido - Acesso negado para leitura',
    'error_doc__code_403.3' => 'Proibido - Acesso negado para escrita',
    'error_doc__code_403.4' => 'Proibido - requer SSL',
    'error_doc__code_403.5' => 'Proibido - Requer SSL 128',
    'error_doc__code_403.6' => 'Proibido - endereço de IP rejeitado',
    'error_doc__code_403.7' => 'Proibido - requer certificado de Cliente',
    'error_doc__code_403.8' => 'Proibido - Foi-lhe negado o acesso ao site',
    'error_doc__code_403.9' => 'Proibido - muitos utilizadores',
    'error_doc__code_403.10' => 'Proibido - Configuração inválida',
    'error_doc__code_403.11' => 'Proibido - Alteração de palavra-passe',
    'error_doc__code_403.12' => 'Proibido - Acesso negado para mapeador',
    'error_doc__code_403.13' => 'Proibido - certificado de Cliente revogado',
    'error_doc__code_403.14' => 'Proibido - Listagem de diretórios negada',
    'error_doc__code_403.15' => 'Proibido - Licenças de acesso do cliente foi excedida',
    'error_doc__code_403.16' => 'Proibido - Certificado do cliente é suspeito ou mal formado',
    'error_doc__code_403.17' => 'Proibido - certificado de Cliente expirou ou ainda não è válido',
    'error_doc__code_403.18' => 'Proibido - não pode executar o pedido deste repositório da aplicação',
    'error_doc__code_403.19' => 'Proibido - Acesso negado para CGI',
    'error_doc__code_403.20' => 'Proibido - Falha no login de passaporte',
    'error_doc__code_404' => 'Não encontrado',
    'error_doc__code_404.2' => 'Não Encontrado - Negado devido a política de suspensão',
    'error_doc__code_404.3' => 'Não Encontrado - Negado devido a política de MIMEMAP',
    'error_doc__code_405' => 'Método não permitido',
    'error_doc__code_406' => 'Não aceitável',
    'error_doc__code_407' => 'Requer autenticação de proxy',
    'error_doc__code_408' => 'Terminou o tempo de espera do pedido',
    'error_doc__code_412' => 'Falha na pré-condição',
    'error_doc__code_414' => 'Requisição-URI muito longa',
    'error_doc__code_415' => 'Tipo de mídia não suportada',
    'error_doc__code_431' => 'Os cabeçalhos de pedido são demasiado grandes',
    'error_doc__code_500' => 'Erro interno do servidor',
    'error_doc__code_500.12' => 'Erro interno do servidor - Reinício da aplicação',
    'error_doc__code_500.13' => 'Erro interno do servidor - Servidor ocupado',
    'error_doc__code_500.15' => 'Erro interno do servidor - Proibida a requisição direta para GLOBAL.ASA',
    'error_doc__code_500.16' => 'Erro interno do servidor - Erro de acesso ao UNC',
    'error_doc__code_500.17' => 'Erro interno do servidor - Armazenamento da autorização de URL não encontrado',
    'error_doc__code_500.18' => 'Erro interno do servidor - Armazenamento da autorização de URL não pode ser aberto',
    'error_doc__code_500.19' => 'Erro interno do servidor - Metadados de ficheiros rejeitados',
    'error_doc__code_500.100' => 'Erro interno do servidor - Erro do ASP',
    'error_doc__code_501' => 'Não está implementado',
    'error_doc__code_502' => 'Bad gateway',
    'error_doc__code_503' => 'O serviço está temporariamente indisponível',

    'mimetype_edit__already_exists' => 'Já está definido para esta extensão o tipo MIME.',
    'mimetype_edit__not_exists' => 'O tipo MIME não existe.',

    'php__group_php_version' => "Versão do PHP",

    'virtualdir__path' => 'Caminho',
    'virtualdir__read' => 'Autorização de leitura',
    'virtualdir__read_short' => 'R',
    'virtualdir__write' => 'Autorização de escrita',
    'virtualdir__write_short' => 'W',
    'virtualdir__source' => 'Acesso à fonte do Script',
    'virtualdir__source_short' => 'F',
    'virtualdir__browse' => 'Browsing do Diretório',
    'virtualdir__browse_short' => 'C',
    'virtualdir__script_execute' => 'Permissões de Execução',
    'virtualdir__script_execute_short' => 'E',
    'virtualdir__log_visits' => 'Log das visitas',
    'virtualdir__app_create' => 'Criar aplicação',
    'virtualdir__app_create_short' => 'A',
    'virtualdir__auth_anon' => 'Ativa a autenticação anónima.',
    'virtualdir__auth_windows' => 'Ativa a autenticação pelo Windows.',
    'virtualdir__auth_not_enabled' => 'A autenticação anónima ou pelo Windows deve estar ativada.',
    'virtualdir__require_ssl' => 'Exigir SSL/TLS',
    'virtualdir__enable_default_doc' => 'Utilizar os documentos predefinidos',
    'virtualdir__default_doc' => 'Ordem de procura dos documentos predefinida',
    'virtualdir__enable_parent_paths' => 'Permitir a utilização de caminhos parentais',
    'virtualdir__execute_in_mta' => 'Permitir correr a aplicação em modo MTA (multi-threaded apartment)',
    'virtualdir_create__title' => 'Criar directório virtual em %1',
    'virtualdir_edit__title' => 'Propriedades do directório virtual %1',
    'virtualdir_edit__legend' => 'Directório Virtual',
    'virtualdir_edit__application_legend' => 'Configurações da Aplicação',
    'virtualdir_edit__security_legend' => 'Segurança do Directório',
    'virtualdir_edit__documents_legend' => 'Documentos',
    'virtualdir_edit__list_legend' => 'Directórios virtuais aninhados(nested)',
    'virtualdir_error__path_not_in__' => 'O caminho especificado não è válido',
    'virtualdir_root' => 'Directórios virtuais',
    'virtualdir_root__title' => 'Directórios virtuais',
    'virtualdir_root__list_legend' => 'Directórios virtuais',
    'virtualdir_se__none' => 'Nenhum',
    'virtualdir_se__script' => 'Só Scripts',
    'virtualdir_se__script_execute' => 'Scripts e Executáveis',
    'virtualdirs__title' => 'Directórios virtuais',
    'virtualdirs__path_not_exists' => 'Caminho Inválido.',
    'virtualdirs__select_for_remove' => "Seleccione os directórios virtuais a serem removidos.",
    'virtualdirs_remove__title' => 'Remover os directórios virtuais',

    'asp_max_buffer_text' => 'Tamanho máximo da buffer de ASP (KB)',
    'asp_max_body_text' => 'Tamanho máximo do corpo de um pedido em ASP (KB)',
    'asp_buffers_legend' => 'Definições de ASP',
    'asp_client_debug_text' => 'Permitir o debugging do script pelo lado do cliente de ASP',
    'asp_server_debug_text' => 'Permitir o debugging do script pelo lado do servidor de ASP',

    'permissions__group_or_user_name' => 'Grupo ou nomes de utilizadores',
    'permissions__FullControl' => 'Controlo Total',
    'permissions__Modify' => 'Modifica',
    'permissions__ReadAndExecute' => 'Ler & Executar',
    'permissions__ListFolderContents' => 'Exibir o Conteúdo da Pasta',
    'permissions__Read' => 'Ler',
    'permissions__Write' => 'Escrever',
    'permissions__ReadControl' => 'Controlo de leitura',
    'permissions__WriteControl' => 'Controlo de Escrita',
    'permissions__ExecuteControl' => 'Executar Controlo',
    'permissions__TraverseFolderOrExecuteFile' => 'Atravessar Pasta / Executar Ficheiro',
    'permissions__ListFolderOrRead' => 'Exibir Pasta / Ler Dados',
    'permissions__CreateFilesOrWrite' => 'Criar Ficheiros / Escrever Dados',
    'permissions__CreateFoldersOrAppend' => 'Criar Pastas / Adicionar Dados',
    'permissions__DeleteSubfoldersandFiles' => 'Eliminar Sub-pastas e Ficheiros',
    'permissions__Delete' => 'Eliminar',
    'permissions__ChangePermissions' => 'Mudar permissões',
    'permissions__TakeOwnership' => 'Assume a Propriedade',
    'permissions__inherited_from' => 'Herdado de',
    'permissions__not_inherited' => '<não foi herdado>',
    'permissions__apply_to' => 'Aplicar a',
    'permissions__apply_onto' => 'Aplicar a:',
    'permissions__apply_onto1' => 'Só nesta pasta',
    'permissions__apply_onto2' => 'Só subpasta',
    'permissions__apply_onto3' => 'Esta pasta e sub-pastas',
    'permissions__apply_onto4' => 'Só ficheiros',
    'permissions__apply_onto5' => 'Esta pasta e ficheiros',
    'permissions__apply_onto6' => 'Só sub-pasta e ficheiros',
    'permissions__apply_onto7' => 'Esta pasta, sub-pastas, e ficheiros',

    'filemanager__not_allowed_dir' => "Não tem permissão para alterar as permissões da pasta.",

    'filemanager__allow' => "Permitir",
    'filemanager__deny' => "Negar",
    'filemanager__user_domusr' => 'Administrador de página web',
    'filemanager__user_webusr' => 'Utilizador Web',
    'filemanager__user_admins' => 'Administrador Local',
    'filemanager__user_system' => 'Utilizador de sistema',
    'filemanager__user_aspnet' => 'Utilizador de ASP.NET',
    'filemanager__user_poolusr' => 'Utilizador do repositório de Aplicações',
    'filemanager__user_sysaccount' => 'Utilizador adicional de sistema',

    'bt_permissions_advanced' => 'Avançado',
    'b_permissions_advanced' => 'Clique para visualizar e definir permissões especiais.',

    'hotlink-protection_invalid_friend_domain' => 'Nome inválido para domínio amigável.',
    'hotlink-protection_duplicate_friend_domain' => 'Nome duplicado para domínio amigável.',
    'hotlink-protection_invalid_extensions' => 'As extensões de ficheiros contêm carateres indevidos.',

    'i_domain_alias_status_on' => 'O nome alternativo de domínio está activado.',
    'i_domain_alias_status_off' => 'O nome alternativo de domínio está desactivado.',
    'i_domain_alias_status_with_parent' => 'O nome alternativo de domínio está desactivado porque o domínio está desligado.',
    'i_domain_alias_turn_off' => 'Clique para desactivar.',
    'i_domain_alias_turn_on' => 'Clique para activar',

    'domain_alias__control_title' => 'Nome alternativo de domínio %1',
    'domain_alias__control_info_legend' => 'Informações',
    'domain_alias__control_status_title' => 'F',
    'domain_alias__control_name_title' => 'Nome do serviço',
    'domain_alias__control_details_title' => 'Detalhes',

    'domain_alias__invalid_values' => 'O nome de domínio especificado é inválido. Nomes de domínio podem conter letras, algarismos e hifens. Cada parte do nome de domínio entre dois pontos não pode ser maior que 63 símbolos.',
    'domain_alias__domain_already_exists' => "Nome incorreto do nome alternativo de domínio %1. O domínio %1 já existe.",
    'domain_alias__www_prefix_domain_already_exists' => "Nome incorreto do nome alternativo de domínio www.%1. Este nome alternativo já foi criado para o domínio %1.",
    'domain_alias__webmail_enabled_domain_already_exists' => 'Nome incorreto do webmail do nome alternativo de domínio %1. Este nome alternativo já foi criado para o domínio %1.',
    'domain_alias__lists_enabled_domain_already_exists' => 'Nome incorreto das listas de nome alternativo de domínio %1. Este nome alternativo já foi criado para o domínio %1.',
    'domain_alias__dns_record_already_exists' => 'Impossível configurar o nome alternativo de domínio %1 porque já existe um registo DNS a apontar ao host %1.',
    'domain_alias__domain_alias_already_exists' => "Já existe um nome alternativo de domínio com esse nome.",
    'domain_aliases__mail_server_not_support_aliases' => 'O servidor de correio não permite a funcionalidade de nomes alternativos de domínio. Os nomes alternativos de domínio podem não funcionar correctamente.',
    'domain_alias__restrict_domain_creation' => 'O nome especificado para o nome alternativo de domínio é proibido por uma política do servidor. Se este nome alternativo de domínio lhe pertencer, entre em contacto com seu fornecedor de alojamento.',
    'domain_alias__restrict_creation_with_www' => 'Por favor introduza um nome de domínio sem o prefixo \'www\'\\. O prefixo www para o domínio será adicionado automaticamente à configuração do servidor web.',
    'domain_unable_to_set_name' => 'Nome incorreto %1.',

    'domain_alias__domain_service_dns_disabled' => 'Este domínio é servido por outro servidor DNS.',
    'domain_alias__domain_service_dns_enabled_master' => 'Este servidor DNS é agora o servidor de nomes Principal para esta zona de DNS.',
    'domain_alias__domain_service_dns_enabled_slave' => 'Este servidor DNS é agora o servidor de nomes Secundário para esta zona de DNS.',
    'domain_alias__domain_service_mail_enabled' => 'O serviço de correio está ligado no domínio.',
    'domain_alias__domain_service_mail_disabled' => 'O serviço de correio está desligado no domínio.',
    'domain_alias__domain_service_mail_mx' => '%1 é utilizado como o servidor de correio.',

    'domain_alias__service_seoRedirect_hint' => 'Ao abrir o URL do pseudónimo, os visitantes serão redirecionados para o URL do domínio principal. O Plesk utiliza o redirecionamento compatível HTTP 301, compatível com motores de pesquisa, o que significa que a classificação do motor de pesquisa não será dividida entre os URLs',

    'bt_task_run_now' => 'Executar Agora',
    'ftp__read_perm' => "Autorização de leitura",
    'ftp__write_perm' => "Autorização de escrita",

    'filemanager__upload_backup_file_hint' => 'Aqui pode carregar os ficheiros de cópia de segurança para o armazenamento do Plesk. O tamanho máximo do ficheiro é limitado a dois gigabytes.',

    '__default_for_mssql' => 'predefinição para o MS SQL',

    '__login_does_not_pass_validation' => "O nome de utilizador é inválido. Certifique-se que ele preenche os seguintes requisitos: %1",
    '__login_allowed_symbols' => 'São permitidos apenas carateres alfanuméricos, incluindo pontos, traços e sublinhados. O primeiro caratere deve ser alfanumérico.',

    'restart__nginx' => 'Reverter servidor proxy (nginx)',
    'restart__php-fpm' => 'PHP-FPM %1',

    'admin_ed__i_would_like_recieve_announce' => "Gostaria de receber informações gerais e anúncios sobre produtos Plesk.",
    'admin_ed__i_would_like_recieve_tech_announce' => "Gostaria de receber informação relativa a segurança e outros avisos técnicos da Plesk.",

    '__login_status_inactive' => 'A sua conta está inativa. Contacte o administrador do Plesk.',

    'migration__task_keep_in_process' => 'OK',
    'migration__task_keep_in_process_conhelp' => 'Voltar à página de Ferramentas & Configurações. A migração vai continuar em segundo plano.',

    'chk_js__warning_about_ftp_login_syntax' => "Pode utilizar símbolos alfanuméricos, traços e sublinhados no nome de utilizador.",
    'chk_js__warning_about_passwd_syntax' => "Não utilize aspas, espaço e carateres do alfabeto nacional na sua palavra-passe.\nO comprimento da palavra-passe deve ser entre %1 e %2 carateres, e não deverá conter o nome do utilizador.",
    'chk_js__warning_about_plesk_login_syntax' => "Pode utilizar carateres minúsculos alfanuméricos, ponto, traço e sublinhados no nome de utilizador.",
    'chk_js__warning_about_admin_passwd_syntax' => "Gebruik geen aanhalingstekens, spaties, puntkomma of landspecifieke karakters in een wachtwoord.\nHet wachtwoord moet tussen de %1 en %2 tekens lang zijn en mag niet de gebruikersnaam bevatten.",

    'cmd_server__admin_alias_not_found' => "Não foi possível localizar a conta de administrador adicional.",

    'panel_branding__skins_already_exists' => "Observação: O tema '%1' já existe. Ele será substituído pelo tema que está a instalar atualmente.",
    'panel_branding__skins_file_exists' => "Impossível criar um diretório para o tema '%1': Já existe um ficheiro com esse nome.",

    'actionlog__login_failed' => 'falha no login',
    'actionlog__event_cp_user_login_failed' => 'Falha no login do utilizador do Plesk',
    'actionlog__api_login_failed' => 'falha no login através do API',
    'actionlog__event_cp_user_api_login_failed' => 'Falha no login do utilizador do Plesk através do API',
    'actionlog__pw_reset' => 'redefinição de palavra-passe solicitada',
    'actionlog__pw_admin_force_reset' => 'reposição forçada da palavra-passe do administrador solicitada',

    'ch_pass_admin__email_subject' => "Lembrete da palavra-passe do Plesk",
    'ch_pass_admin__email_body' => "Olá, %1.\n\nA palavra-passe do administrador não pode ser enviada por email por motivos de segurança.\n\nPara iniciar sessão como 'admin', utilize o comando 'plesk login'.\n\nPara definir uma nova palavra-passe de 'admin', utilize o comando 'plesk bin admin --set-password -passwd <new_password>'.\n\n",
    'ch_pass_admin__message_send_error' => 'Não foi possível enviar o email: %1',

    'ch_pass_by_secret__email_subject' => "Lembrete da palavra-passe do Plesk",
    'ch_pass_by_secret__email_body' => "Olá %2,\n\nPara definir uma nova palavra-passe, siga a hiperligação: %1\n\nO seu início de sessão: %3",
    'ch_pass_by_secret__message_send_error' => 'Impossível enviar o código secreto: %1',
    'ch_pass_by_secret__title' => 'Alterar a sua palavra-passe?',
    'ch_pass_by_secret__secret' => 'Código secreto',

    'custom_button__noframe' => "Não utilizar enquadramentos",

    'custom_button__internal_hint' => 'Defina se deseja abrir o URL numa página Plesk ou numa nova janela do navegador.',
    'custom_button__noframe_hint' => 'Se adicionar uma tecla personalizada que leve para uma extensão do Plesk ou uma aplicação no Painel de Cliente, pode definir de que forma esta extensão/aplicação deve ser apresentada: num quadro ou como parte do GUI do Plesk.',


    'actionlog__patch' => 'Atualizar',
    'actionlog__patch_available' => 'disponível',
    'actionlog__event_patch_available' => 'Atualização disponível',
    'actionlog__patch_installed' => 'instalou',
    'actionlog__event_patch_installed' => 'Atualização instalada',

    'actionlog__extension' => 'Extensão',
    'actionlog__extension_status' => 'Estado da extensão',
    'actionlog__cloning' => 'Clonagem de servidor',
    'actionlog__cloning_complete' => 'completa',
    'actionlog__event_cloning_complete' => 'Clonagem de servidor completa',

    'actionlog__ssl_web_binding' => 'Certificado SSL/TLS no domínio',
    'actionlog__ssl_web_binding_update' => 'atribuído/não atribuído',
    'actionlog__event_ssl_web_binding_update' => 'Certificado SSL/TLS no domínio atribuído/não atribuído',

    'actionlog__ssl_web_mail_binding' => 'Certificado SSL/TLS para webmail',
    'actionlog__ssl_web_mail_binding_update' => 'atribuído/não atribuído',
    'actionlog__event_ssl_web_mail_binding_update' => 'Certificado SSL/TLS no webmail atribuído/não atribuído',

    'actionlog__ssl_mail_binding' => 'Certificado SSL/TLS no servidor de correio',
    'actionlog__ssl_mail_binding_update' => 'atribuído/não atribuído',
    'actionlog__event_ssl_mail_binding_update' => 'Certificado SSL/TLS no servidor de correio atribuído/não atribuído',

    'actionlog__ssl_panel_binding' => 'Certificado SSL/TLS no Plesk',
    'actionlog__ssl_panel_binding_update' => 'atribuído/não atribuído',
    'actionlog__event_ssl_panel_binding_update' => 'Certificado SSL/TLS no Plesk atribuído/não atribuído',

    'actionlog__hostname' => 'Hostname do servidor',
    'actionlog__hostname_changed' => 'modificado',

    'actionlog__smb_user' => 'Utilizador adicional',
    'actionlog__smb_user_create' => 'Utilizador adicional criado',
    'actionlog__smb_user_delete' => 'Utilizador adicional apagado',
    'actionlog__smb_user_update' => 'Utilizador adicional atualizado',

    'actionlog__event_mail_management_status_update' => 'Atualização de estado de gestão do correio',
    'actionlog__mail_management' => 'Estado de gestão do correio',
    'actionlog__mail_management_status_update' => 'actualizado',

    'virtualization_openvz' => 'OpenVZ',

    'passwordSecurityLevelCheckFailed' => 'A sua palavra-passe não é suficientemente complexa. De acordo com a política do servidor, a força mínima da palavra-passe é %1. Para melhorar a resistência da palavra-passe, utilize números, carateres maiúsculos e minúsculos, e carateres especiais como !,@,#,$,%,^,&,*,?,_,~',
    'passwordSecurityLevelCheckFailedVeryWeak' => 'Muito fraca',
    'passwordSecurityLevelCheckFailedWeak' => 'Fraca',
    'passwordSecurityLevelCheckFailedMediocre' => 'Média',
    'passwordSecurityLevelCheckFailedStrong' => 'Forte',
    'passwordSecurityLevelCheckFailedStronger' => 'Muito forte',

    'dns__dns_default_ipv4_modified' => 'Registos com este endereço IP serão considerados como alterados pelo cliente e não serão sincronizados com o modelo de DNS do servidor.',
    'dns__dns_default_ipv6_modified' => 'Registos com este endereço IP serão considerados como alterados pelo cliente e não serão sincronizados com o modelo de DNS do servidor.',

    'dns__view_dns_record_master_title' => 'A visualizar os Registos de Recursos',
    'dns__view_dns_record_off_title' => 'A visualizar os Registos de Servidor de Nome',
    'dns__view_dns_record_slave_title' => 'A visualizar os Registos de Servidor DNS Primário',

    'dns_unable_to_resolve_hostname' => "Não foi possível resolver o nome do anfitrião \"%1\": %2\nCertifique-se de que o sistema operativo da resolução DNS está definido e funciona corretamente.",

    'no_database_server_available' => 'Não existem servidores de base de dados disponíveis para esta assinatura.',

    'database_used_by_application_can_not_be_moved' => 'Não é possível mover a base de dados: Esta base de dados é utilizada por uma aplicação de sítio web.',
    'database_user_update_orphaned_is_restricted' => 'É proibido atualizar contas de utilizador de base de dados órfãs. Apenas as pode apagar ou reparar.',

    'database_unable_to_get_max_filesize_default_message' => 'Impossível determinar o tamanho máximo da base de dados: \'%1\'',
    'database_unable_to_set_max_filesize_default_message' => 'Impossível definir o tamanho máximo do ficheiro da base de dados: \'%1\'',
    'database_unable_to_get_max_log_filesize_default_message' => 'Impossível determinar o tamanho máximo do ficheiro de registo da base de dados: \'%1\'',
    'database_unable_to_set_max_log_filesize_default_message' => 'Impossível definir o tamanho máximo do ficheiro de registo da base de dados: \'%1\'',

    'database_unable_to_get_max_filesize' => 'Impossível determinar o limite existente num ficheiro com tamanho \'%1\' da base de dados Microsoft SQL. É impossível determinar um novo limite.',
    'database_unable_to_set_max_filesize' => 'Impossível determinar o limite de tamanho de ficheiro da base de dados Microsoft SQL \'%1\'.',
    'database_unable_to_get_max_log_filesize' => 'Impossível determinar o limite existente num ficheiro de registo com tamanho \'%1\' da base de dados Microsoft SQL. É impossível determinar um novo limite.',
    'database_unable_to_set_max_log_filesize' => 'Impossível determinar o limite de tamanho de ficheiro de registo da base de dados Microsoft SQL \'%1\'.',

    'database_unable_to_create_because_max_filesize' => 'Impossível criar a base de dados Microsoft SQL \'%1\': O seu tamanho de ficheiro é superior ao tamanho máximo permitido.',
    'database_unable_to_move_because_max_filesize' => 'Impossível mover a base de dados Microsoft SQL \'%1\': O seu tamanho de ficheiro é superior ao tamanho máximo permitido: %2.',
    'database_unable_to_create_because_max_log_filesize' => 'Impossível criar a base de dados Microsoft SQL \'%1\': O seu tamanho de ficheiro de registo é superior ao tamanho máximo permitido.',
    'database_unable_to_move_because_max_log_filesize' => 'Impossível mover a base de dados Microsoft SQL \'%1\': O seu tamanho de ficheiro de registo é superior ao tamanho máximo permitido: %2.',
    'database_unable_to_restore_because_max_filesize' => 'Impossível restaurar a base de dados Microsoft SQL \'%1\': O seu tamanho de ficheiro é superior ao tamanho máximo permitido.',

    'sandbox_mssql_server_registered_as_usual_db_server' => 'Um servidor MS SQL idêntico já se encontra registado em Plesk. Especifique outro servidor MS SQL como uma sandbox.',
    'database_server__mssql_server_registered_as_sandbox' => 'Um servidor sandbox MS SQL idêntico já se encontra registado em Plesk. Especifique outro servidor MS SQL como uma sandbox.',

    'database_server_mysql_unable_to_connect_via_cli' => 'Não foi possível ligar ao servidor através de \'%1\': %2',

    'bu_conflict_resolver_feature_not_available' => 'A funcionalidade %1 não é suportada pelos seguintes nós de serviço: %2. Esta funcionalidade estará desativada para todos os objetos criados nestes nós.',
    'bu_conflict_resolver_feature_not_available_single_server' => 'A funcionalidade %1 não é suportada por este servidor. Esta funcionalidade estará desativada para todos os objetos repostos.',
    'bu_conflict_resolver_component_unavailable_in_sites' => 'O componente %1 não está instalado. Não estará disponível para os seguintes sites: {{objects}}',
    'bu_conflict_resolver_component_replaced_in_sites' => 'O componente %1 não está instalado. Será substituído por %2 para os seguintes sites: {{objects}}',

    'bu_conflict_resolver_restoration_of_object_end_to_dot_not_supported' => 'A versão atual do Plesk não suporta nomes de utilizador com o carater ponto (.). Não serão restaurados clientes e revendedores com esses nomes de utilizador.',
    'bu_conflict_resolver_unable_to_find_backup_part' => 'Impossível encontrar um ficheiro de backup com os dados para o %1 %2. Os dados para o %1 %2 não serão repostos.',

    'bu_conflict_resolver_zone_master_removed' => "Não foi possível restaurar o registo de DNS principal: o registo na zona secundária aponta para o endereço IP existente %1. O registo de DNS principal será removido da zona secundária.",
    'bu_conflict_resolver_dns_not_supported_https' => 'Suporte para registos HTTPS DNS está desativado. Os registos HTTPS não serão repostos para os seguintes domínios: {{objects}}',

    'bu_conflict_resolver_not_available_scripting' => '%1 não é suportado.',
    'bu_conflict_resolver_not_available_scripting_in_sites' => '%1 não é suportado. Não estará disponível para os seguintes sites: {{objects}}',
    'bu_conflict_resolver_not_available_component' => 'O componente %1 não está instalado.',
    'bu_conflict_resolver_disabled_in_multi_server' => 'Não estará disponível para os seguintes nós de serviço: {{objects}}',
    'bu_conflict_resolver_disabled_in_single_server' => 'Não estará disponível para os seguintes objetos: {{objects}}',
    'bu_conflict_resolver_not_available_db' => 'Os seguintes servidores de base de dados não estão disponíveis neste servidor: %1.',

    'bu_conflict_resolver_smarthost_not_supported' => 'A gestão de smarthosts não é suportada. As definições do smarthost não serão restauradas.',

    'bu_conflict_resolver_mssql_native_dump_restore_not_available' => 'O ficheiro de cópia de segurança da base de dados MS SQL está armazenado em formato nativo MS SQL, que apenas pode ser restaurado para o servidor MS SQL local ou para o servidor remoto MS SQL com definições de cópia de segurança completamente configuradas. Algumas das suas bases de dados não foram restauradas porque não há servidor MS SQL apropriado registado no Plesk. Os seguintes domínios foram afetados: {{objects}}. Por favor, contacte o seu fornecedor de serviços.',

    'bu_conflict_resolver_not_available_webmail' => 'O serviço de webmail %1 não está disponível. Será substituído por %2 para os seguintes objetos: {{objects}}',
    'bu_conflict_resolver_not_available_webmail_plan' => 'O serviço de webmail %1 não está disponível. Será substituído por %2 para os seguintes planos de serviço: {{objects}}',
    'bu_conflict_resolver_not_available_rename_db_user' => "Bases de dados do tipo '%1' não suportam nomes de login que coincidem com nomes de base de dados. O utilizador '%2' será renomeado '%3' para a base de dados '%4' .",

    'bu_conflict_resolver_wrong_hard_quota_value' => 'O limite de uso do espaço de disco não está definido na configuração do servidor de destino. O valor desta configuração será alterado para "Sem Limites".',
    'bu_conflict_resolver_wrong_max_connections_value' => 'O limite do número de ligações não está definido na configuração do servidor de destino. O valor desta configuração será alterado para "Sem Limites".',
    'bu_conflict_resolver_wrong_traffic_bandwidth_value' => 'O limite de uso de tráfego não está definido na configuração do servidor de destino. O valor desta configuração será alterado para "Sem Limites".',
    'cu__pleskrestore_backup_file_extracted' => 'O ficheiro de backup foi extraído para "%1".',
    '__mod_bw_not_supported' => 'O módulo mod_bw para o servidor web Apache não é suportado devido à configuração do sistema de ficheiros. Os limites de utilização de tráfego e o número máximo de ligações não funcionarão.',
    'bu_conflict_resolver_pop3_only_relay_auth_not_supported' => 'Não é suportada a autorização POP3 para encaminhamento de correio, em vez disso, será utilizado POP3 antes da autorização SMTP. ({{objects}})',
    'bu_conflict_resolver_service_plan_name' => 'Plano de serviço \'%1\'',
    'bu_conflict_resolver_replaced_in_plans' => '%1 não é suportado. Será substituído por %2 para os seguintes planos de serviço: {{objects}}',
    'bu_conflict_resolver_replaced_in_sites' => '%1 não é suportado. Será substituído por %2 para os seguintes sites web: {{objects}}',
    'bu_conflict_resolver_absent_objects_in_dump' => 'Os seguintes objetos não foram encontrados no ficheiro de cópia de segurança: %1',
    'bu_conflict_resolver_absent_domains' => 'Alguns objetos não podem ser restaurados pois pertencem aos seguintes domínios não encontrados no Plesk: %1',
    'bu_conflict_resolver_absent_parent_domains' => "Alguns websites não podem ser restaurados pois pertencem aos seguintes domínios principais não encontrados no Plesk:\n%1",
    'bu_conflict_resolver_dns_not_supported' => 'Impossível restaurar as zonas de DNS: O serviço de DNS foi desligado nas configurações do servidor.',
    'bu_conflict_resolver_mail_not_supported' => 'Impossível restaurar as caixas de correio: O serviço de correio foi desligado nas configurações do servidor.',
    'bu_conflict_resolver__cpu_limit_action_not_supported' => 'A ação de limite de CPU especificada não é suportada pelo servidor de rede IIS. O valor será restaurado para %1.',
    'bu_conflict_detector_server_ssl_cert_name' => 'Certificado SSL/TLS %1 do servidor',
    'bu_conflict_detector_domain_ssl_cert_name' => 'Certificado SSL/TLS %2 do domínio %1',
    'bu_conflict_detector_ssl_cert_name' => 'Certificado SSL/TLS %1',
    'bu_conflict_resolver_absent_objects' => 'O conteúdo dos seguintes objetos não pode ser restaurado pois os objetos não foram encontrados no Plesk: %1',
    'bu_conflict_resolver_absent_objects_mailuser' => 'O conteúdo das seguintes caixas de correio não podem ser restaurados pois as caixas de correio não foram encontrados no Plesk: %1',
    'bu_conflict_resolver_absent_objects_maillist' => 'O conteúdo das seguintes listas de envio não pode ser restaurado pois as bases de dados não foram encontrados no Plesk: %1',
    'bu_conflict_resolver_absent_objects_database' => 'O conteúdo das seguintes bases de dados não pode ser restaurado pois as bases de dados não foram encontradas no Plesk: %1',
    'bu_conflict_resolver__remove_conflicted_aps_app' => 'A recuperação da aplicação "%1" em "%2" falhou porque outra aplicação já está instalada em "%3". Poderá remover a aplicação instalada e tentar novamente.',
    'bu_conflict_resolver_not_available_mail_autoresponders' => 'A função de resposta automática no correio não é suportado.',
    'bu_conflict_resolver_not_available_mail_content' => 'A restauração de conteúdo do correio não é suportado.',
    'bu_conflict_resolver_invalid_mail_name' => 'As seguintes caixas de correio não foram restauradas porque o subendereçamento de email está ativado e certos endereços de email contêm o símbolo "%1": %2',
    'bu_conflict_resolver_invalid_user_name' => 'Os seguintes utilizadores não foram restauradas porque o subendereçamento de email está ativado e certos endereços de email contêm o símbolo "%1": %2',
    'bu_conflict_resolver_licenses_expired' => 'As seguintes licenças perderam a validade e não serão restauradas: {{objects}}',
    'bu_conflict_resolver_licenses_invalid' => 'As seguintes licenças já não são válidas ou perderam a validade e não serão restauradas: {{objects}}',
    'expiration_unsupported' => "O limite 'expiration' não é suportado.",

    'component_name__dbconnector' => "Conector de base de dados",
    'component_name__mysqlserver' => 'Servidor MariaDB/MySQL',
    'component_name__troubleshooting' => 'Resolução de problemas',
    'component_name__savi' => 'Interface Sophos Anti-Virus',

    '__subscription_has_no_license_key' => 'Os recursos da assinatura são fornecidos pelo nó de serviço #%1, que não tem uma chave de licença associada.',
    '__subscription_has_expired_license_key' => 'Os recursos da assinatura são fornecidos pelo nó de serviço #%1, cuja chave de licença %2 está expirada.',

    '__cfgmonConfigurationFileSaveErrorSubject' => '<%%host%%> Impossível guardar ficheiros de configuração',
    '__cfgmonConfigurationFileSaveErrorBody' => "Impossível guardar alguns ficheiros de configurações no host <%%host%%>: Ocorreram os seguintes erros:\n\n%%errors%%",

    'mail__enable_email_subaddressing_cli_desc' => 'Esta opção ativa a capacidade de configurar endereços de email do estilo VERP para listas de correio',
    'mail__enter_right_ip_mask' => "Insira a máscara IP entre 1 e 32",
    'mail__enter_right_ip_mask_24' => "Insira a máscara IP entre 24 e 32",
    'mail__invalid_dom_name' => "O nome de domínio %1 é inválido.",
    'mail__invalid_pop_lock_time' => "Tempo de bloqueio de POP3 é inválido.",
    'mail__invalid_rbl_server' => "O nome da área DNS é inválido.",
    'mail__total_files_size' => "Tamanho total de repositório: %1",
    'mail__filename_already_in_repository' => "Já existe um ficheiro com o mesmo nome no repositório.",
    'mail__no_white_list_mask_feature_24' => "Utilize um valor de máscara de 24 ou superior.\nO seu servidor de e-mail não suporta a configuração de máscaras. Nós podemos apenas emular configuração de máscara para valores não menores do que 24.",
    'mail__unable_add_new_mail_name' => "Não foi possível adicionar a conta de correio: %1",
    'mail_server_is_not_installed' => 'O servidor de correio eletrónico (Postfix ou Qmail) não está instalado. Instale-o para continuar o trabalho.',
    'mail_server_not_available' => 'Não existem servidores de correio suportados disponíveis no nó de serviço.',
    '__not_installed' => '(não está instalado)',
    'mail__service_node_outgoing_messages_is_disabled' => 'A filtragem de spam nas mensagens de e-mail enviadas está desativada.',
    'mail__service_node_does_not_support_outgoing_messages_domain_limit' => 'O nó de serviço não suporta o limite do número de mensagens de e-mail enviadas de um domínio para o domínio %1.',
    'mail__service_node_does_not_support_outgoing_messages_mbox_limit' => 'O nó de serviço não suporta o limite do número de mensagens de e-mail enviadas de uma caixa de correio para o domínio %1.',

    'mail__outgoing_email_mode_explicit_ip_unspecified' => 'Especificar um endereço de pelo menos um tipo (IPv4 ou IPv6).',

    'mail__outgoing_email_mode_invalid' => 'Foi especificado um modo inválido de saída de correio.',
    'mail__outgoing_email_mode_explicit_ip_v4_invalid' => 'Foi especificado um endereço IPv4 inválido.',
    'mail__outgoing_email_mode_explicit_ip_v6_invalid' => 'Foi especificado um endereço IPv6 inválido.',
    'mail__outgoing_email_mode_unavailable' => 'A alteração do modo de envio de mensagens não é suportada, provavelmente porque o servidor de correio do Postfix não está instalado neste servidor.',

    'mail__autoresponder_attachment_not_supported' => 'O servidor de correio utilizado atualmente não suporta a gestгo de anexos de resposta automática.',

    'mail__smtp_white_list_not_supported' => 'O servidor de correio atualmente utilizado não suporta a passagem de endereços de IP à lista branca.',
    'mail__smtp_whitelist_cidr_not_supported' => 'As máscaras CIDR não são suportadas pelo servidor de correio atualmente selecionado. Especifique o endereço IP no formato \'192.*.0.*\'.',
    'mail__smtp_whitelist_mask_not_supported' => 'Os padrões de IP universais não são suportados pelo servidor de correio atualmente selecionado. Especifique o endereço IP no formato \'192.0.0.0/8\'.',

    'sfdk_server_wide_verify_failed' => 'Impossível alterar as configurações para o serviço de verificação DKIM',

    'sfdk_domain__serverwide_disabled' => 'Desligado de acordo com as politicas do servidor',
    'feature__domainkeys__serverwide_disabled' => 'A proteção DKIM de spam em todo o servidor está desligada',

    'defaultcomponents__error_set_default' => 'Não foi possível definir %1 como predefinição de %2: %3',
    'defaultcomponents__error_set_default_none' => 'Não foi possível definir componente sem predefinição para %1: %2',
    'defaultcomponents__required_package_not_default' => 'O componente %1 necessário para este trabalho não é predefinido.',

    '__percentage' => '%',
    '__seconds' => 'Segundos',
    '__resource_remain' => 'Faltam',

    '__not_registered' => '(não está registado)',
    '__php_handler_id' => 'Versão de PHP',
    '__php_handler_id_string' => 'PHP %1 (%2)',
    '__php_handler_not_registered' => 'O PHP handler "%1" não está registado. Provavelmente foi removido do servidor. Registe um processador com as mesmas propriedades e tente novamente.',
    '__php_handler_not_registered_on_domain' => 'Domínio "%1": o processador PHP "%2" não está registado. Provavelmente foi removido do servidor. Registe um processador com as mesmas propriedades e tente novamente.',
    '__php_fpm_handler' => 'Aplicação FPM',
    '__php_fpm-dedicated_handler' => 'Aplicação FPM exclusiva',

    'mailname_create_assigned_user_dublicate_error' => 'Impossível criar um utilizador para a caixa de correio. O utilizador com o nome de utilizador %1 já existe e tem outra caixa de correio.',
    'mailname_create_assigned_user_role_absent_error' => 'Impossível criar um utilizador para a caixa de correio. A função predefinida %1 do utilizador não existe.',

    'gphd__mime_types' => 'Tipos MIME',
    'gphd__handlers' => 'Manipuladores Apache',
    'gphd__ip_restrictions_allow' => 'Permitir acesso ao site para hosts e redes específicos (exceto os negados)',
    'gphd__ip_restrictions_deny' => 'Negar acesso ao site para hosts e redes específicos',
    'gphd__directory_index' => 'Ficheiros de Índice',
    'gphd__nginx_transparent_mode' => 'O modo em que o Apache manipula o conteúdo estático e dinâmico, enquanto que o nginx apenas passa requisições HTTP e respostas sem alteração.',
    'gphd__nginx_serve_static' => 'Servir ficheiros estáticos diretamente pelo nginx',
    'gphd__nginx_static_extensions' => 'Extensões de ficheiros estáticos que podem ser manipulados pelo nginx',
    'gphd__nginx_serve_php' => 'Processar ficheiros PHP pelo nginx',
    'gphd__www_root' => 'Diretório de raiz WWW',

    'eol__none' => 'não modificar',
    'eol__lf' => 'converter para estilo Unix',
    'eol__cr' => 'converter para estilo MacOS',
    'eol__crlf' => 'converter para estilo Windows',

    'ui__dns_bad_zone' => 'Zona inconsistente "%1":',
    'ui__dns_ns_has_no_address_records' => 'O registo NS "%1" não possui registos de endereço (A ou AAAA).',
    '__dns_bad_zone' => 'Zona inconsistente "%1":',
    '__dns_ns_has_no_address_records' => 'O registo NS "%1" não possui registos de endereço (A ou AAAA).',
    '__dns_ptr_is_wildcard' => 'O registo PTR "%1" é inválido: O registo aponta para um domínio genérico.',

    'firewall_database_user_remote_access_rule_name' => '[%1][%2] Permite acesso remoto para o usuário de base de dados \'%3\' do cliente \'%4\'',
    'firewall_database_user_remote_access_rule_name_removed' => '[%1][%2] %3',
    'firewall_database_user_remote_access_mssql_server_port_undefined' => 'Impossível permitir ligações remotas para o utilizador \'%1\' da base de dados: Impossível determinar o número da porta TCP utilizado pelo servidor Microsoft SQL \'%2\'. Estas são as possíveis razões: o protocolo TCP/IP não está ativado nas configurações de rede do servidor ou o servidor está configurado para utilizar portas TCP dinâmicas. Configure o servidor para uma porta TCP fixa e reinicie a ligação remota.',

    'command__convertResellerHasCustomer' => 'A conta de revendedor \'%1\' possui uma ou várias contas de cliente. Para converter esta conta de revendedor para uma conta de cliente, transfira primeiro estas contas de cliente para um novo proprietário ou converta-as em contas de revendedor.',
    'command__convertResellerNotReseller' => 'Apenas contas de revendedor podem ser convertidas em contas de cliente \'%1\' não é um revendedor.',
    'command__convertResellerToCustomerSubscriptionNotSynchronized' => 'Impossível sincronizar a assinatura com o plano de serviços. As seguintes configurações da assinatura entram em conflito com o plano de serviços: %%problems%%.',

    'moveCustomer__wrong_customer_type' => 'A conta \'%1\' é uma conta de revendedor. As contas de revendedor não podem ser transferidas para um novo proprietário, pois o proprietário é o administrador do servidor.',
    'moveCustomer__wrong_owner_type' => "A conta de cliente '%1' pode ser transferida apenas para um revendedor ou administrador, nunca para outro cliente.",
    'moveCustomer__customer_already_belongs_to_owner' => 'A conta de cliente \'%1\' já pertence ao utilizador selecionado.',
    'upgradeClient__user_is_admin' => 'A conta \'%1\' não pode ser convertida numa conta de revendedor por ser uma conta de administrador.',

    'mail__error_setting_max_connections_courier' => 'Impossível definir o número máximo de ligações (IMAP, POP3, IMAP por SSL/TLS ou POP3 por SSL/TLS): %1',
    'mail__error_setting_max_connections_dovecot' => 'Impossível definir o número máximo de ligações (IMAP, POP3, IMAP por SSL/TLS ou POP3 por SSL/TLS): %1',
    'mail__error_setting_max_connections_per_ip_courier' => 'Impossível definir o número máximo de ligações (IMAP, POP3, IMAP por SSL/TLS ou POP3 por SSL/TLS) por endereço de IP: %1',
    'mail__error_setting_max_connections_per_ip_dovecot' => 'Impossível definir o número máximo de ligações (IMAP, POP3, IMAP por SSL/TLS ou POP3 por SSL/TLS) por endereço de IP para um utilizador de correio específico: %1',
    'outgoing_messages_limit_value_invalid' => 'O valor deve situar-se no intervalo %%MIN%%..%%MAX%%. Apenas o administrador Plesk pode ajustar essa configuração.',
    'outgoing_messages_server_settings_catch_address_are_not_local' => "Os seguintes domínios usam endereços de e-mail externos para o reencaminhamento de correio, de correio enviado para endereços inexistentes. As mensagens enviadas para esses endereços não serão consideradas no Controlo de Mensagens Enviadas:\n %1",
    'outgoing_messages_white_list_not_empty' => 'Grenser for utgående e-postmeldinger vil ikke fungere for avsendere som har IP-adresser på mailserverens hviteliste. For eksempel, hvis localhost (127.0.0.0 / 8, ::1 / 128) er på hvitelisten, vil all e-post fra den lokale serveren bli sendt, uansett begrensninger. Avsendere kan bruke enten lokale IP-adresser (nettsteder og brukerdefinerte skript som hostes på den lokale serveren) eller eksterne IP-adresser (kunder som sender e-post fra e-postklienter installert på datamaskinen eller mobile enheter). For å få grensene til å fungere for alle avsendere (både lokale og eksterne), fjern alle IP-adresser og nettverk fra hvitelisten. Merk at å fjerne localhost (127.0.0.0 / 8, ::1 / 128) fra the hvitelisten kan forstyrre driften av nettsteder og skript som sender e-post fra denne serveren. For detaljer om begrensninger for utgående e-post, se Administratorveiledningen, Beskyttelse mot utgående spam.',
    'outgoing_messages_relay_open' => 'A transmissão de correio está aberta: os limites para mensagens enviadas não funcionarão.',

    'notification_aps_app_updates_available' => 'Atualizações disponíveis para as seguintes aplicações:',
    'notification_aps_app_updates_installed' => 'As atualizações foram instaladas automaticamente para as seguintes aplicações:',
    'notification_aps_app_updates_requirements' => 'Estão disponíveis atualizações para as seguintes aplicações, mas não podem ser instaladas pois as configurações de alojamento dos websites correspondentes não cumprem os requisitos de instalação:',
    'notification_admin_aps_app_updates_available_item' => '%%name%% (%%url%%). Versão instalada: %%from%%. Versão disponível: %%to%%.',
    'notification_admin_aps_app_updates_available_plugin_item' => 'Plugin "%%name%%" em %%parentName%% (%%url%%). Versão instalada: %%from%%. Versão disponível: %%to%%.',
    'notification_admin_aps_app_updates_available_theme_item' => 'Tema "%%name%%" em %%parentName%% (%%url%%). Versão instalada: %%from%%. Versão disponível: %%to%%.',
    'notification_reseller_aps_app_updates_available_item' => '%%name%% (%%url%%). Versão instalada: %%from%%. Versão disponível: %%to%%.',
    'notification_reseller_aps_app_updates_available_plugin_item' => 'Plugin "%%name%%" em %%parentName%% (%%url%%). Versão instalada: %%from%%. Versão disponível: %%to%%.',
    'notification_reseller_aps_app_updates_available_theme_item' => 'Tema "%%name%%" em %%parentName%% (%%url%%). Versão instalada: %%from%%. Versão disponível: %%to%%.',
    'notification_client_aps_app_updates_available_item' => '%%name%% (%%url%%). A sua versão: %%from%%. Versão disponível: %%to%%.',
    'notification_client_aps_app_updates_available_plugin_item' => 'Plugin "%%name%%" em %%parentName%% (%%url%%). A sua versão: %%from%%. Versão disponível: %%to%%.',
    'notification_client_aps_app_updates_available_theme_item' => 'Tema "%%name%%" em %%parentName%% (%%url%%). A sua versão: %%from%%. Versão disponível: %%to%%.',
    'notification_admin_aps_app_updates_installed_item' => '%%name%% (%%url%%). Novas versão: %%to%%. Versão anterior: %%from%%.',
    'notification_reseller_aps_app_updates_installed_item' => '%%name%% (%%url%%). Novas versão: %%to%%. Versão anterior: %%from%%.',
    'notification_client_aps_app_updates_installed_item' => '%%name%% (%%url%%). Nova versão: %%to%%. Versão anterior: %%from%%.',
    'notification_admin_aps_app_updates_requirements_item' => '%%name%% (%%url%%). Versão instalada: %%from%%. Versão disponível: %%to%%.',
    'notification_reseller_aps_app_updates_requirements_item' => '%%name%% (%%url%%). Versão instalada: %%from%%. Versão disponível: %%to%%.',
    'notification_client_aps_app_updates_requirements_item' => '%%name%% (%%url%%). A sua versão: %%from%%. Versão disponível: %%to%%.',
    'notification_aps_app_updates_no_installation_url' => 'aplicação externa',

    'notification_outgoing_mail_exceeded_limits_domains' => 'Domínios',
    'notification_outgoing_mail_exceeded_limits_mails' => 'Endereços de E-mail',
    'notification_outgoing_mail_exceeded_limits_subscriptions' => 'Assinaturas',
    'notification_outgoing_mail_exceeded_limits_limit_value' => '%1 mensagens por hora',
    'notification_outgoing_mail_exceeded_limits_limit_value_unlimited' => 'Ilimitado',
    'notification_outgoing_mail_exceeded_limits_object' => '%1, o limite é %2',
    'notification_outgoing_mail_exceeded_limits_attempt' => '%1 tentativa(s) para exceder os limites de %2 até %3',
    'notification_outgoing_mail_exceeded_limits_attempt_still_exceeding' => '%1 tentativa(s) para exceder os limites de %2 até ao momento',

    'restart__docker' => "Docker",
    'restart__fail2ban' => "Exclusão de Endereços IP (Fail2Ban)",

    'backup__restore__capability_fail2ban_not_installed_text' => 'O Fail2ban não está instalado no servidor de destino.',
    'backup__restore__capability_fail2ban_not_installed_resolution' => 'Instale o Fail2ban. Note que isso pode demorar alguns minutos.',

    'plesk_key__no_reseller_support' => 'Não é possível gerir os revendedores devido a restrições da licença.',
    'plesk_key__no_customers_support' => 'Não é possível gerir os clientes devido a restrições da licença.',
    'panel_interface_uimodes__service_provider_view_not_allowed' => 'Impossível trocar para a visualização de Fornecedor de Serviço devido a restrições da licença.',
    'plesk_key__no_security_core_support' => 'As funcionalidades do Security Core (ModSecurity e Fail2Ban) não estão disponíveis devido a restrições da licença.',
    'plesk_key__outgoing-antispam' => 'Controlo de mensagens enviadas',
    'plesk_key__security-core' => 'Security Core (ModSecurity e Fail2Ban)',
    'plesk_key__can-manage-accounts' => 'Gestão de contas',
    'plesk_key__can-manage-subscriptions' => 'Gestão de assinaturas',
    'plesk_key__can-manage-customers' => 'Gestão de clientes',
    'plesk_key__can-manage-resellers' => 'Gestão de revendedores',
    'plesk_key__can-manage-custom-view' => 'Disponibilidade do modo restrito',
    'plesk_key__limits_exceeded_no_subscriptions_management' => 'A gestão de assinaturas está desligada, mas possui diversas assinaturas (%1).',
    'plesk_key__limits_exceeded_no_resellers_management' => 'A gestão de revendedores está desligada, mas possui diversos revendedores (%1).',
    'plesk_key__limits_exceeded_no_customers_management' => 'A gestão de clientes está desligada, mas tem vários clientes (%1).',
    'plesk_key__limits_unlimited_subscriptions' => 'Certos recursos da subscrição que já não é possível administrar na interface do Plesk (tais como limites de caixas de correio e espaço em disco do domínio) estão agora configurados como ilimitados.',
    'plesk_key__no_subscriptions_support' => 'Não é possível gerir as assinaturas devido a restrições da licença.',
    'plesk_key__no_custom_view_support' => 'Não pode utilizar o modo restrito devido a restrições de licença.',
    'plesk_key__trial_forbidden_region' => 'Lamentamos, o Plesk não está disponível atualmente na sua região.',
    'additional_key__main_key' => 'A chave é uma chave principal: Não é possível carregar uma chave principal como chave adicional.',

    'gch__hosting_waf_rule_engine' => 'Modo da firewall para aplicações web',

    'backup__fieldset__restoration_options' => 'Opções de reposição',
    'backup__restore_options__restore' => 'Restaurar',
    'backup__restore_options__domain__domain_configuration' => 'Configuração de domínio',
    'backup__restore_options__domain__virtual_host_content' => 'Conteúdo do alojamento virtual',
    'backup__restore_options__domain__mail' => 'Correio.',
    'backup__restore_options__domain__databases' => 'Bases de dados',
    'backup__restore_options__client__client_configuration' => 'Configuração da conta do cliente',
    'backup__restore_options__client__domains' => "Domínios do cliente",
    'backup__restore_options__reseller__reseller_configuration' => 'Configuração da conta de revendedor',
    'backup__restore_options__reseller__personal_domains' => "Domínios do revendedor",
    'backup__restore_options__reseller__clients' => "Clientes do revendedor",
    'backup__restore_options__admin__server_configuration' => 'Configurações do servidor',
    'backup__restore_options__admin__administrator_configuration' => 'Configuração da conta de administrador',
    'backup__restore_options__admin__personal_domains' => "Domínios do administrador",
    'backup__restore_options__admin__personal_clients' => "Clientes do administrador",
    'backup__restore_options__admin__resellers' => 'Revendedores',

    'badge_new' => 'Novo',
    'upgrade_php_on_subscription' => 'Oppgrader PHP på abonnementet ditt til versjon 5.3.0 eller nyere.',

    'pkey_notify__body_expiration_notification' => 'A chave de licença expirou. Algumas funcionalidades podem estar indisponíveis. Por favor, contacte o seu fornecedor de serviços.',

    'crontab__crontab_entry_exists' => "A tarefa programada já existe.",
    'crontab__crontab_entry_not_exists' => "A tarefa programada não existe.",
    'crontab__invalid_values_found' => "Valores incorretos nos parâmetros",
    'crontab__cmd_max_len' => "O comando não pode exceder %1 caracteres.",

    'domain__domain_exists' => "Existe um domínio com o prefixo 'www' e o mesmo nome: %1.%2.",
    'domain__subdomain_exists' => "Existe um subdomínio com o prefixo 'www' e o mesmo nome: %1.%2.",
    'domain__dalias_exists' => "Existe um nome alternativo de domínio com o prefixo 'www' e o mesmo nome: %1.%2.",
    'domain__record_exists' => "Existe um registo DNS a apontar para o host %1. %2.",

    'ip_addr__cannot_assign_certificate' => "Certificado '%1' não pode ser definido como padrão: chave privada em falta.",
    'ip_addr__update_dns_error' => 'Problemas ao atualizar o endereço IP em zonas DNS. %1',
    'ip_addr__cannot_add_dhcp_enabled' => 'Não é possível adicionar o endereço IP.Esta interface de rede obtém os endereços IP automaticamente.',
    'ip_addr__cannot_remove_dhcp_enabled' => 'Não é possível remover o endereço IP %1.Esta interface de rede obtém os endereços IP automaticamente.',
    'ip_addr__cannot_repair_dhcp_enabled' => 'Não é possível reparar o endereço IP %1.Esta interface de rede obtém os endereços IP automaticamente.',
    'ip_addr__cannot_change_interface_dhcp_enabled' => 'Não é possível alterar a interface do endereço IP %1 porque a interface de rede %2 obtém os endereços IP automaticamente.',

    'shm_lmsg__limit_for_resource_exceeded' => 'O limite da assinatura do número de %%type%% foi excedido. O limite é %%limit%% e atualmente está em utilização %%usage%%.',
    'shm_lmsg__resource_is_forbidden_for_creation' => 'A criação de %%type%% não é permitida para esta assinatura.',
    'shm_lmsg__resource_title__db-mysql' => 'Bases de dados do MariaDB/MySQL',
    'shm_lmsg__resource_title__db-mssql' => 'Base de dados MS SQL',
    'shm_lmsg__resource_title__db-postgresql' => 'Bases de dados PostgreSQL',
    'shm_lmsg__resource_title__db-user' => 'utilizadores da base de dados',
    'shm_lmsg__resource_title__iis-application-pool' => 'Repositórios de aplicações de IIS',
    'shm_lmsg__resource_title__additional-ftp-account' => 'contas FTP adicionais',

    'db_user_unable_remove_mysql_global_privileges' => 'Impossível remover os privilégios globais MariaDB/MySQL do utilizador da base de dados %1. Motivo: %2',
    'report__client_description' => 'Descrição',

    'db__user_role_error' => 'Foi definida uma função incorreta do utilizador da base de dados: %1. Por favor, escolha uma das seguintes funções: %2.',

    'subscription_unable_to_set_max_filesize_warning' => 'Impossível definir o limite de tamanho do ficheiro para as seguintes bases de dados do servidor Microsoft SQL dado que têm um tamanho de ficheiro maior: %1.',
    'subscription_unable_to_set_max_log_filesize_warning' => 'Impossível definir o limite de tamanho do ficheiro de registo para as seguintes bases de dados do servidor Microsoft SQL dado que têm um tamanho de ficheiro de registo maior: %1.',
    'ipaddress__cannot_set_up_public_ip_need_ipaddress' => 'Impossível definir um endereço IP público: deve existir um endereço IP privado.',
    'ipaddress__cannot_set_up_public_ip_need_ipv6' => 'Impossível definir um endereço IPv4 público para o endereço IPv6.',
    'ipaddress__cannot_set_up_public_ip_need_ipv4' => 'Impossível definir um endereço IPv6 público para o endereço IPv4.',
    'ipaddress__cannot_set_up_public_ip_invalid' => 'Não foi possível configurar um endereço IP público: endereço IP inválido.',

    '__user_already_exists' => "O utilizador %1 já existe.",
    '__user_name_is_empty' => "Especifique um nome de utilizador.",

    'upgrade_php_on_domain' => 'Impossível encontrar a versão PHP 5.3.0 ou posterior em qualquer um dos seus domínios WordPress. Tente atualizar o PHP.',

    'component_name__waf' => 'Firewall para Aplicações Web',
    'component_name__vcs' => 'Sistema de Controlo de Versão',

    'virtualization_lxc' => 'LXC',
    'virtualization_docker' => 'Docker',
    'possibleSpoofingDetected' => 'Foi detetada uma possível tentativa de falsificação: A ligação tentou apresentar conteúdo irrelevante.',
    'forceResetPasswordUpdated' => 'A sua palavra-passe foi modificada. Utilize a nova palavra-passe para iniciar sessão no Plesk.',

    'php_handlers_error_no_available_instance' => 'Não é possível criar um domínio: não há processadores PHP disponíveis.',
    'domain_error_unable_to_apply_hosting_settings' => 'Não é possível aplicar as configurações de alojamento: %1',

    'plesk_not_configured' => 'O Plesk não está configurado. Vá para o painel de controle para executar a configuração pós-instalação.',
    'cmd_mail__mail_password_duplicated' => 'O par de endereço de e-mail e palavra-passe especificado já existe no servidor de correio. Especifique outro endereço de e-mail ou palavra-passe.',

    'extensionRequirementOs' => 'O sistema operativo (%1) não é suportado pelo pacote.',
    'extensionRequirementPleskMinVersion' => 'O Plesk %1 é a versão mais antiga suportada pelo pacote.',
    'extensionRequirementPleskMaxVersion' => 'As versões a partir de Plesk %1 não são suportadas pelo pacote.',
    'extensionBlacklisted' => 'A extensão %1 não é autorizada para instalação.',
    'extensionDisabled' => 'A extensão está desativada.',


    'optimization_settings__unable_set_mpm_event' => 'Não é possível definir o modo mpm_event: exige módulo do Apache PHP5 desligado, mas este módulo é utilizado por domínios.',
    'optimization_settings__unable_turn_off_php' => 'Não é possível desligar o módulo Apache PHP5: é utilizado por domínios.',

    'hst_def__fp_admin_login' =>  'Utilizador FTP',
    'hst_def__fp_admin_passwd' =>  'Palavra-passe FTP',

    'database_user_orphaned_old_password_wrong' => "Não é possível reparar o utilizador órfão '%1': a palavra-passe está incorreta.",
    'cannot_load_partner_central_property_key_no_exist' => "Não é possível recuperar as propriedades personalizadas: a chave de licença não existe.",
    'extensionScriptFailure' => "A execução de %1 falhou com a mensagem seguinte:\n%3",
    '__ssl_redirect' => "Redirecionamento permanente seguro para SEO 301 de HTTP para HTTPS",
    'component_name__dotnetcore' => '.NET Core',
    'mail__dkim_not_supported' => 'A gestão DKIM não é suportada.',
    'mail__dmarc_not_supported' => 'A gestão DMARC não é suportada.',
    'mail__relay_white_list_not_supported' => 'A gestão de passagem à lista branca  não é suportada.',
    'mail__black_list_not_supported' => 'A gestão de lista negra não é suportada.',
    'mail__autoresponder_not_supported' => 'A gestão de resposta automática não é suportada.',
    'defaultcomponents__not_supported_version' => '(versão não suportada)',
    'component_name__nodejs' => 'Node.js',

    'certificate__not_found' => 'O certificado "%1" não foi encontrado.',
    'certificate__unable_setup_certificate' => 'Impossível instalar o certificado: O conteúdo da chave e certificado privado estão em falta.',
    'certificate__used_by_panel' => 'Um dos certificados que vai eliminar é utilizado como segurança do Plesk.',
    'certificate__used_by_mail_server' => 'Um dos certificados que vai eliminar é utilizado para a segurança do servidor de correio.',
    'certificate__used_by_domain_service' => 'Um dos certificados que vai eliminar é utilizado pelo serviço do domínio.',
    'mail_server__not_installed' => 'Impossível instalar o certificado para o servidor de correio porque o servidor de correio não está instalado.',

    'email_activation_mail_subject' => 'Por favor, ative a sua conta no Plesk',
    'email_activation_mail_body' => "Foi criada uma conta no servidor do Plesk %1\n\nInformações da conta:\nNome: %2\nEndereço de e-mail: %3\n\nSe esta informação estiver correta e a conta tiver sido criada para si, ative-a na hiperligação seguinte:\n\n%4\n\nAo ativar a conta, autoriza o proprietário do servidor a recolher, armazenar, processar e utilizar os seus dados pessoais (nome e e-mail) para criar e dar suporte à sua conta, de acordo com a legislação de proteção de dados aplicável ​​em vigor, como parte de um contrato.",

    'backup_transport_permission_name' => '%1 gestão',
    'backup_transport_permission_description' => 'Permite utilizar %1 para armazenar cópias de segurança.',

    'domain_move_err_target_no_hosting' => 'Impossível mover o domínio para uma assinatura sem alojamento.',
    'domain_move_err_already_in_target' => 'O domínio já pertence à assinatura de destino.',
    'domain_move_err_main_domain' => 'O domínio principal não pode ser movido.',
    'domain_move_err_subdomain_without_parent' => 'Impossível mover o subdomínio %1 sem o domínio principal %2.',
    'domain_move_err_root_exists' => 'O caminho de destino para www_root%1 já existe.',
    'domain_move_err_nested_roots' => 'Impossível mover o domínio porque partilha a raiz do documento com outro domínio: %1.',
    'domain_move_err_no_mail_service' => 'Impossível mover o domínio porque o serviço de correio está desativado na assinatura de destino.',
    'domain_move_err_app' => "A aplicação instalada em %1 não foi movida para a assinatura '%2': %3",
    'domain_move_database_used_by_app' => "A base de dados '%1' em %2 é utilizada pela aplicação movida. Para reatribuir a base de dados a '%3', execute `plesk bin database --assign-to-subscription`",
    'domain_move_target_locked' => "A assinatura de destino '%1' foi bloqueada para sincronização.",
    'domain_move_filesharing_disabled' => 'A partilha de ficheiros foi desativada.',
    'domain_move_website_preview_disabled' => 'A pré-visualização do website foi desativada.',
    'domain_move_additional_webserver_settings' => "Analise as diretivas do servidor de rede do domínio adicional para prevenir configurações interrompidas.",
    'domain_move_no_permission' => "%1 não é permitido para a assinatura '%2'.",
    'domain_move_no_access' => "Sem acesso à assinatura '%1'.",
    'domain_split_no_create_permission' => "A criação de domínio não é permitida.",
    'domain_split_empty_login' => 'É obrigatório o nome de utilizador do sistema.',
    'domain_split_empty_password' => 'É obrigatória a palavra-passe do utilizador do sistema.',
    'domain_split_err_home_exists' => 'O domínio %1 não pode ser movido porque o seu caminho inicial de destino já existe em %2. Renomeie o domínio para o mover para uma nova assinatura.',
    'domain_split_err_no_hosting_subdomains' => 'O domínio não pode ser movido para uma nova assinatura porque o domínio não tem alojamento, mas possui subdomínios. Para mover o domínio, altere o seu valor "Tipo de alojamento" para "Alojamento de websites" (em Configurações de alojamento).',
    'domain_split_target_locked' => "A assinatura de destino '%1' está bloqueada para sincronização.",
    'domain_split_target_unsynced' => "A assinatura de destino '%1' não foi sincronizada com o plano devido a: %2.",
    'domain_merge_scheduled_backup_deactivated' => "A cópia de segurança agendada foi desativada em '%1'.",
    'domain_merge_database_error' => "A base de dados '%1' em %2 não foi movida para a assinatura '%3': %4",
    'domain_merge_anon_ftp_deactivated' => "O FTP anónimo em '%1' foi desligado.",
    'domain_merge_smb_user_access' => "O utilizador adicional '%1' foi movido para a assinatura '%2' mas o seu acesso à assinatura foi revogado.",
    'domain_merge_scheduled_tasks' => "As tarefas agendadas foram movidas para a assinatura de destino. Rever a configuração de tarefas.",
    'domain_merge_scheduled_tasks_deactivated' => "As tarefas agendadas foram movidas para assinatura de destino e desativadas. Rever a configuração de tarefas.",
    'domain_merge_no_remove_permission' => "A remoção de assinaturas não é permitida.",
    'domain_merge_err_has_addons' => 'Impossível mover o domínio principal com os seus domínios adicionais; mova o(s) domínio(s) %1 primeiro.',
    'domain_merge_err_has_webusers' => 'Impossível mover o domínio principal com utilizadores de rede.',
    'domain_merge_err_root_exists' => 'O caminho de destino para %1 já existe.',

    'database_server_edit_used_for_psa' => 'Não é permitido atualizar o servidor da base de dados MariaDB/MySQL local.',
    'suggest_repair_main_suggestion_ui' => '<b>Pode corrigir este erro</b> utilizando o utilitário "plesk repair".',
    'suggest_repair_main_suggestion_cli' =>  'Pode corrigir este erro utilizando o utilitário "plesk repair".',
    'suggest_repair_repair_kit_link_title' => 'aceda a Diagnosticar e Reparar',
    'suggest_repair_using_cli_and_ui' => 'Para tal, execute o comando "plesk repair %1" através da CLI ou %2 e clique em Reparar junto a "Base de Dados Plesk"',
    'suggest_repair_using_cli' => 'Para tal, execute o comando "plesk repair %1" através da CLI',

    'backup__restore__capability_duplicate_php_handler_resolution' => '',
    'bu_conflict_resolver_dns_not_available' => 'O serviço DNS estava indisponível quando a cópia de segurança foi criada. No entanto, há zonas DNS ativas na cópia de segurança, que serão ativadas para os seguintes objetos: {{objects}}',
    'plesk_key__system-resources-limits-enabled' => 'Controlador de recursos (Cgroups)',
    'plesk_key__remote-smartermail-enabled' => 'Suporte para SmarterMail remoto',
    'plesk_key__complete-backup-solution' => 'Backup to Cloud Pro',
    'defaultcomponents__no_license' => '(não é permitida pela chave de licença)',
    'plesk_key__validation_failed' => '%1 (Código de erro: %2)',
    'promo__button_details' => 'Detalhes',
    'promo__extension_catalog_title' => 'Catálogo de Extensões',
    'promo__extension_catalog_description' => 'Descubra o novo catálogo de extensões e reforce o seu Plesk através de uma variedade de extensões potentes!',
    'promo__button_open_catalog' => 'Abrir o Catálogo',

    'backup__repository_check_login' => "Não foi possível aceder ao armazenamento: %1 Certifique-se de que introduziu as credenciais de armazenamento corretas.",
    'backup__repository_check_error_list' => "Não foi possível aceder ao armazenamento: %1 Certifique-se de que introduziu as definições de armazenamento corretas.",
    'backup__repository_check_error_mkdir' => "Não foi possível criar o diretório: %1 Verifique se tem permissões para criar pastas no armazenamento.",
    'backup__repository_check_error_upload' => "Não foi possível enviar o ficheiro para o armazenamento: %1 Verifique se tem permissões para enviar ficheiros para o armazenamento.",
    'backup__repository_check_error_download' => "Não foi possível transferir o ficheiro do armazenamento: %1 Verifique se tem permissões para enviar e transferir ficheiros do armazenamento.",
    'backup__repository_check_error_resume-upload' => "Não foi possível retomar o envio do ficheiro para o armazenamento: %1 Verifique se tem permissões para retomar envios para o armazenamento.",
    'backup__repository_check_error_resume-download' => "Não foi possível retomar a transferência do ficheiro do armazenamento: %1 Verifique se tem permissões para retomar transferências de ficheiros do armazenamento.",
    'backup__repository_check_error_enable-utf8' => "Não foi possível operar o armazenamento: %1 Verifique se o armazenamento suporta a codificação UTF8.",
    'backup__repository_check_error_rm' => "Não foi possível operar o armazenamento: %1 Verifique se tem permissões para apagar ficheiros do armazenamento.",
    'backup__repository_check_error_rmdir' => "Não foi possível operar o armazenamento: %1 Verifique se tem permissões para apagar pastas do armazenamento.",

    'backup__ftp_repository_check_login' => "%1 Pode verificá-los independentemente com o comando: %2",
    'backup__ftp_repository_check_error_list' => "%1 Pode verificá-los independentemente com o comando: %2",
    'backup__ftp_repository_check_error_mkdir' => "%1 Pode verificá-lo independentemente com o comando: %2",
    'backup__ftp_repository_check_error_upload' => "%1 Pode verificá-lo independentemente com os comandos: %2 %3",
    'backup__ftp_repository_check_error_download' => "%1 Pode verificá-lo independentemente com os comandos: %2 %3",
    'backup__ftp_repository_check_error_resume-upload' => "%1 Pode verificá-lo independentemente com os comandos: %2 %3 %4",
    'backup__ftp_repository_check_error_resume-download' => "%1 Pode verificá-lo independentemente com os comandos: %2 %3",
    'backup__ftp_repository_check_error_enable-utf8' => "%1 Pode verificá-lo independentemente com o comando: %2",
    'backup__ftp_repository_check_error_rm' => "%1 Pode verificá-lo independentemente com os comandos: %2 %3",
    'backup__ftp_repository_check_error_rmdir' => "%1 Pode verificá-lo independentemente com os comandos: %2 %3",

    'sfdmarc_server_wide_enable_failed' => 'Não foi possível mudar as definições de DMARC. Para ativar esta opção, ative a proteção DKIM e SPF contra spam.',
    'spf_server_wide_disable_failed' => 'Não foi possível mudar as definições para a proteção SPF contra spam. Para desativar SPF, desative DMARC para correio recebido.',
    'sfdk_server_wide_verify_disable_failed' => 'Não foi possível mudar as definições para a proteção DKIM contra spam. Para desativar DKIM, desative DMARC para correio recebido.',

    'ccs_not_supported' => 'A IIS Central Certificate Store não está configurada no sistema.',
    'ccs_not_enabled' => 'A gestão de IIS Central Certificate Store não está ativada no Plesk.',
    'ad_not_supported' => 'O servidor não está ligado a um domínio.',

    'component_name__appinit' => "Inicialização da Aplicação",
    'component_name__cors' => "Partilha de recursos de origem cruzada",
    'component_name__httpcompression' => 'Compressão de Conteúdo HTTP',
    'common_feature_is_not_supported' => 'Esta funcionalidade já não é suportada.',
    'common_feature_is_not_supported_in_proto' => 'Esta funcionalidade não é suportada para a versão %1 do protocolo.',
    'autoinstaller__plesk_component' => 'Componente do Plesk',
    'plesk_key__key_expired' => 'A sua licença caducou. Para continuar a utilizar o Plesk, %1.',
    'plesk_key__key_purchase' => 'adquira uma nova licença',
    'plesk_key__key_expired_period' => 'A sua chave de licença caducou há mais de %1 dias.',

    'sa_action_move' => 'Mover spam para a pasta "Lixo eletrónico"',

    'bu_conflict_resolver_tomcat_not_supported' => 'As aplicações Java já não são suportadas. Elas estarão indisponível para os seguintes websites: {{objects}}',
    'bu_conflict_resolver_unity_mobile_not_supported' => 'As versões móveis de websites alojados com UNITY Mobile já não são suportadas. Elas estarão indisponível para os seguintes websites: {{objects}}',
    'bu_conflict_resolver_antivirus_personal_management_not_allowed' => 'A política de utilização do servidor não permite a utilização de definições personalizadas de antivírus. Elas serão restauradas de forma incompleta para contas de email dos seguintes domínios: {{objects}}',

    'module__not_installed' => "A extensão %1 não está instalada",

    'mail__mail_autodiscovery_server_error' => 'Especificar um nome personalizado de domínio para a autodescoberta de correio',
    'mail__error_mail_autodiscovery_enable' => 'Não é possível definir a autodescoberta de correio: %1',
    'mail__error_mail_autodiscovery_server' => 'Não é possível definir um nome personalizado de domínio para a autodescoberta de correio: %1',
    'mail__error_mail_autodiscovery_reconfigure_dns' => 'Não é possível reconfigurar a autodescoberta de domínios de registos DNS: %1',

    'mail__smarthost_not_configured_error' => 'Um smarthost não está configurado.',
    'mail__smarthost_attach_domains_error' => 'Anexar domínios ao smarthost foi concluído com erros:',

    '__invalid_url' => 'URL "%1" não é válido',
    'actionlog__cloning_start' => 'início',
    'actionlog__event_cloning_start' => 'Servidor a clonar início',

    '__UPLOAD_ERR_FORM_SIZE' => "Tamanho do arquivo carregado excede o limite permitido",
    '__UPLOAD_ERR_INI_SIZE' => "Tamanho do arquivo carregado excede o limite permitido",
    '__UPLOAD_ERR_NO_FILE' => "Nenhum arquivo recebido",
    '__UPLOAD_ERR_OK' => "Arquivo carregado com sucesso",
    '__UPLOAD_ERR_PARTIAL' => "O Arquivo foi parcialmente carregado, por favor tente novamente",
    '__UPLOAD_ERR_NO_TMP_DIR' => 'Falta o directório temporário',
    '__UPLOAD_ERR_CANT_WRITE' => 'Falha ao escrever o ficheiro para o disco',
    '__UPLOAD_ERR_UNKNOWN' => 'Ocorreu um erro desconhecido ao carregar o ficheiro',
    '__accounts' => "Contas",
    '__access' => "Acesso",
    '__address' => "Endereço",
    '__addresses' => "Endereços",
    '__acl_records' => 'Registos ACL',
    '__admin_repository' => "Repositório do administrador",
    '__all' => 'Tudo',
    '__allowed' => "Permitido",
    '__anonftp_status' => "FTP Anónimo",
    '__antispam' => "AntiSpam",
    '__apache_restart' => "...%1 o servidor de rede está a ser reinicializado, aguarde por favor...",
    '__asp' => "Microsoft ASP",
    '__asp_dot_net' => "Microsoft ASP.NET",
    '__asp_dot_net_support' => "Suporte para Microsoft ASP.NET",
    '__asp_win_support' => "Suporte para Microsoft ASP",
    '__attachments' => "Anexos",
    '__attachments_list' => "Anexos",
    '__author' => 'Autor',
    '__autoresp_name_already_exists' => "Resposta automática com o nome %1 já existe.",
    '__autoresponder' => "Resposta automática",
    '__autoresponders' => "Respostas automáticas",
    '__autoresponders_list' => "Respostas automáticas",
    '__autoresponder_attachment_files' => "Ficheiros anexos da resposta automática",
    '__auto_updates_list' => 'Atualizações disponíveis',
    '__backup_utilites' => "Utilitários de Backup",
    '__bind_status' => "Status do servidor DNS",
    '__bu_is_not_installed' => "Este serviço está temporariamente indisponível, pois as ferramentas de backup não foram instaladas.",
    '__bu_not_support_in_key' => "Capacidade de backup não é suportada pela sua chave de licença.",
    '__notifications_not_support_in_key' => 'Não são suportados avisos pela chave de licença',
    'disabled_by_key' => 'Não é suportado pela chave de licença',
    '__bytes' => "bytes",
    '__can_not_use_reserved_words' => "Não pode usar as palavras reservadas.",
    '__certificate' => "Certificado",
    '__cgi_support' => "Suporte para CGI",
    '__city' => "Cidade",
    '__cl_not_exist' => "Conta de cliente não existe.",
    '__client' => 'Cliente',
    '__client_card' => "Informações do cliente",
    '__client_contact_name' => "Nome de contacto do cliente",
    '__client_form' => "Formulário do cliente",
    '__client_ip_pool' => "Repositório de IP do cliente",
    '__client_limits' => "Limites da conta de cliente",
    '__client_permissions' => "Permissões do cliente",
    '__client_preferences' => "Preferências do cliente",
    '__client_status' => "Estado do cliente",
    '__client_total' => "Total de clientes",
    '__client_with_login_name_already_exists' => "Já existe um utilizador com o nome de utilizador \"%1\".",
    '__client_domuser_with_login_already_exists' => "O nome de utilizador  '%1' já está em utilização pelo administrador do domínio '%1'.",
    '__clients_global_changes' => "Operações em grupo em contas de clientes",
    '__cmd_not_found' => "Comando desconhecido: %1",
    '__comments' => "Comentários",
    '__component_version' => "Versão do componente",
    '__component_not_installed' => "O componente %1 não foi instalado",
    '__confirm_overwrite' => "Confirme a substituição.",
    '__confirm_stop' => "Tem de confirmar a interrupção do processo.",
    '__confirm_passwd' => "Confirme a senha %1",
    '__conhelp' => "Descrição",
    '__contact_name' => "Nome de contacto",
    '__country' => "País",
    '__countries' => 'País',
    '__country_unknown' => 'Não foi possível reconhecer o subcódigo do país.',
    '__courier-imap' => 'Servidor Courier',
    '__create_domain' => 'Criar um domínio',
    '__crypted' => 'Encriptado',
    '__cp_access' => "Acesso ao Plesk",
    '__cp_user' => "Utilizador do Plesk",
    '__create' => "Criar",
    '__create_client_template_without_template' => "Criar conta de utilizador sem modelo",
    '__create_domain_for' => "Criar um domínio para <b>%1</b>",
    '__create_domain_template_without_template' => "Criar domínio sem modelo",
    '__creation_date' => "Data de criação",
    '__crontab_unix' => "Agenda de Tarefas",
    '__crontab_win' => "Agenda de Tarefas",
    '__ct_month_jan' => 'Janeiro',
    '__ct_month_feb' => 'Fevereiro',
    '__ct_month_mar' => 'Março',
    '__ct_month_apr' => 'Abril',
    '__ct_month_may' => 'Mai.',
    '__ct_month_jun' => 'Junho',
    '__ct_month_jul' => 'Julho',
    '__ct_month_aug' => 'Agosto',
    '__ct_month_sep' => 'Setembro',
    '__ct_month_oct' => 'Outubro',
    '__ct_month_nov' => 'Novembro',
    '__ct_month_dec' => 'Dezembro',
    '__custom_button' => "Botão personalizado",
    '__custom_buttons_list' => "Botões personalizados",
    '__daily' => "Diariamente",
    '__database_not_activated' => "%1 não foi activado na página de administração do servidor.",
    '__database_not_installed' => "Base de dados %1 não está instalada.",
    '__database_not_run' => "Base de dados %1 não está rodando.",
    '__database_is_corrupt' => "A base de dados do Plesk está corrompida. Execute o Reconfigurador para o reparar.",
    '__databases' => "Bases de dados",
    '__databases_list' => "Bases de dados",
    '__database_type_not_supported_by_key' => 'Para utilizar o servidor %1, é necessário possuir suporte na sua chave de licença. Por favor, consulte o seu representante de vendas Plesk.',
    '__date_immediately' => "hoje",
    '__date_never' => "nunca",
    '__day(s)' => "Dia(s)",
    '__day0' => "Dom",
    '__day1' => "Seg",
    '__day2' => "Ter",
    '__day3' => "Qua",
    '__day4' => "Qui",
    '__day5' => "Sex",
    '__day6' => "Sáb",
    '__days' => "%1 dia(s)",
    '__db_admin_login_empty' => "Inseriu um nome de utilizador vazio, desativando assim o controlo sobre %1 na interface. Deseja continuar?",
    '__db_unable_to_unregister' => 'Não é possível remover os parâmetros da conexão à base de dados',
    '__db_db_exists' => 'Existe pelo menos uma base de dados no servidor.',
    '__db_unable_to_change_server_name' => 'O nome para o servidor não pode ser mudado.',
    '__db_unable_to_change_port' => 'A porta para o servidor não pode ser mudado.',
    '__db_already_exist' => "Base de dados %1 já existe.",
    '__db_credentials_invalid' => "As credenciais da Base de dados não são válidas.",
    '__db_invalid_password_characters' => 'A palavra-passe contém carateres inválidos',
    '__db_engine' => "Engenho de base de dados", // indirect
    '__db_type' => "Tipo de base de dados",
    '__db_user' => "Utilizador de base de dados",
    '__db_server' => 'Servidor da base de dados',
    '__def_domain' => "Domínio predefinido",
    '__default_for_mysql' => 'predefinições do MySQL',
    '__default_for_mariadb' => 'predefinido para MariaDB',
    '__default_for_percona' => 'predefinido para Percona',
    '__default_for_postgresql' => 'predefinições do PostgreSQL',
    '__delete' => "Eliminar",
    '__demo' => "Esta função não está disponível na versão de demonstração.",
    '__directory' => "Diretório",
    '__disable_lock_screen' => 'Impeça os utilizadores de trabalhar no Plesk até que as interfaces estejam completamente carregadas',
    '__dismiss_news?' => "Tem a certeza que quer fechar completamente o bloco de notícias?\n\nNão poderá viszualizar o bloco de notícias até que estejam disponiveis mais noticias.",
    '__description' => "Descrição",
    '__disabled' => "desligado",
    '__disk_space_limit' => "Limite de espaço em disco",
    '__cgroups_cpu_usage_limit' => 'Limite de utilização de CPU',
    '__cgroups_ram_usage_limit' => 'Limite de utilização de RAM',
    '__cgroups_disk_read_usage_limit' => 'Limite de largura de banda para leitura de disco',
    '__cgroups_disk_write_usage_limit' => 'Limite de largura de banda para gravaзгo de disco',
    '__disk_usage_by' => "Espaço de disco usado por %1",
    '__dns' => "DNS",
    '__dns_record_already_exist' => "O registo DNS '%1' já existe.",
    '__dns_master_should_be_remote' => "Deve ter dois servidores de nome autoritativos em hosts separados.",
    '__dns_record_not_exist' => "Registo DNS não existe.",
    '__dns_server' => "Servidor de DNS", // indirect
    '__dom_id_is_undefined' => "ID de domínio está indefinida.",
    '__dom_name' => "Nome do domínio",
    '__dom_name_is_invalid' => "Nome do domínio é invalido. Por favor, assegure-se que o nome do domínio só contem símbolos alfanuméricos, pontos e hífenes, e não tem mais do que 255 símbolos de comprimento. Cada parte do domínio entre dois pontos não pode ser maior que 63 símbolos.",
    '__dom_not_exist' => "Domínio não existe.",
    '__domain' => "Domínio",
    '__domain_' => 'Domínio %1',
    '__domain_form' => "Formulário de domínio",
    '__domain_id' => "ID do domínio",
    '__domain_is_turned_off_for_backup' => "O website %1 é temporariamente desligado para back-up ou restauração e não está disponível atualmente.",
    '__domain_limits' => "Limites do domínio",
    '__domain_name' => "Nome do domínio",
    '__mail_name_in_ASCII_form' => "Nome da conta de correio em formato ASCII",
    '__message_error' => 'Erro',
    '__message_warning' => 'Aviso',
    '__message_info' => 'Informação',
    '__domain_name_in_ASCII_form' => "nome de domínio em forma de ASCII",
    '__domain_repository' => "Repositório de domínio %1",
    '__domain_status' => "Estado de domínio",
    '__domain_found_tech' => "Tecnologia encontrada no domínio",
    '__domain_dns' => 'Zona de DNS do domínio',
    '__domain_total_powerUser' => "Quantidade total para a assinatura",
    '__domain_user' => "Administrador de domínio",
    '__domains_global_changes' => "Operações de grupo em domínios",
    '__mailnames_global_changes' => "Operações de Grupo nas Contas de Correio",
    '__backup_manager' => 'Gestão de cópias de segurança',
    '__domains_list' => "Domínios",
    'domains_list__list_header' => "domínios",
    //this is a part of phrases like No domains (and others), so it should not be capitalized
    '__double_www_warning' => "O nome de domínio começa por www, no entanto é utilizado o prefixo WWW.\nContinuar mesmo assim?",
    '__dovecot' => 'Servidor Dovecot IMAP e POP3',
    '__dsmail' => "Serviço de correio",
    '__dsmaillist' => "Serviço de lista de envio",
    '__dumps_tot_size' => "Tamanho total dos ficheiros de cópia de segurança no armazenamento local",
    '__email' => "E-mail",
    '__email_addr_is_invalid' => "Endereço de e-mail é inválido.",
    '__enabled' => "ligado",
    '__enter_cert_text' => "Insira o texto de certificado",
    '__enter_size' => "Insira tamanho",
    '__exclusive' => "Dedicado",
    '__expiration_date' => "Data de expiração",
    '__fax' => "Fax",
    '__file' => "Ficheiro",
    '__file_is_empty' => "O ficheiro está vazio.",
    '__file_name' => "Nome do ficheiro",
    '__file_type' => 'Tipo de arquivo',
    '__filemanager' => "Gestor de Ficheiros",
    '__filepath_is_empty' => "Caminho para o arquivo está vazio",
    '__files_list' => "Ficheiros",
    '__frontpage' => "Microsoft FrontPage",
    '__ftp' => "FTP", // +indirect
    '__ftp_settings' => "Definições de FTP",
    '__ftp_serv' => "Servidor de FTP", // indirect
    '__ftp_server_parameters_are_empty' => "Primeiro deve configurar as propriedades da conta de FTP",
    '__ftp_status' => "Estado do servidor de FTP",
    '__full_day0' => "Domingo",
    '__full_day1' => "Segunda-feira",
    '__full_day2' => "Terça-feira",
    '__full_day3' => "Quarta-feira",
    '__full_day4' => "Quinta-feira",
    '__full_day5' => "Sexta-feira",
    '__full_day6' => "Sábado",
    '__full_month1' => "Janeiro",
    '__full_month10' => "Outubro",
    '__full_month11' => "Novembro",
    '__full_month12' => "Dezembro",
    '__full_month2' => "Fevereiro",
    '__full_month3' => "Março",
    '__full_month4' => "Abril",
    '__full_month5' => "Mai.",
    '__full_month6' => "Junho",
    '__full_month7' => "Julho",
    '__full_month8' => "Agosto",
    '__full_month9' => "Setembro",
    '__giga' => "G",
    '__h' => "T",
    '__hard_disk_quota' => "Quota de disco rígido",
    '__hard_disk_quota_not_supported' => 'a quota do disco rígido não é suportada devido á configuração dos sistema de ficheiros do servidor',
    '__help_topic_not_found' => 'O tópico de ajuda que pediu (%1) não existe.',
    '__hosting_ip_dns_ip_not_equiv' => "Nenhum dos endereços IP especificados nos registos DNS A conferem com os endereços IP usados para alojamento.",
    '__hosting_scripting' => "Suporte para script de Alojamento",
    '__hosting_setup_page_title' => "Página de configuração de alojamento físico para o domínio %1",
    '__hosting_title' => "Alojamento (%1)",
    '__hosting_type' => "Tipo de alojamento",
    '__hostname_is_empty' => "Nome do host está vazio.",
    '__hour(s)' => 'Hora(s)',
    '__hst_type_incorrect' => "Tipo de alojamento está incorrecto.",
    '__http' => "HTTP", //indirect
    '__htype' => "T",
    '__idle_time' => "Tempo de inação",
    '__iface' => "Interface",
    '__image' => "Imagem",
    '__imap_status' => "Status do servidor IMAP",
    '__incorrect_databases_login_pass' => "As credenciais que especificou para aceder ao PostgreSQL estão incorrectas.",
    '__incorrect_ip_or_network_address' => 'Endereço IP ou rede incorrecta.',
    '__info' => 'Informações',
    '__install' => "Instalar",
    '__install_prefix' => "Instalar prefixo",
    '__invalid_cert_id' => "ID de certificado inválida",
    '__invalid_context' => "Contexto inválido: %1",
    '__invalid_db_usr_name' => "O nome de utilizador de base de dados é inválido.",
    '__invalid_dir_name' => "O nome do directório não é válido",
    '__invalid_dom_name' => "Nome de domínio é inválido.",
    '__invalid_filename' => "Nome de arquivo inválido. Não use aspas simples e/ou combinação com \"../\".",
    '__invalid_id' => "Identificador inválido.",
    '__invalid_lines_num' => "Valor de número de linhas inapropriado, somente dígitos são permitidos.",
    '__invalid_max_letter_size' => "Tamanho máximo de mensagem inválido.",
    '__invalid_restart_apache_interval' => "Intervalo de reinicio do Apache é inválido",
    '__invalid_tmpl_name' => "Nome do modelo é inválido.",
    '__invalid_value' => "O valor não é válido.",
    '__ip_addr' => "Endereço IP",
    '__ip_address_and_mask' => "Máscara do endereço IP e Sub-Rede",
    '__ip_alias__mask' => "Máscara do endereço IP e Sub-Rede",
    '__ip_addr_is_invalid' => "Endereço IP é inválido.",
    '__ip_addr_list' => "Endereços IP",
    '__ip_address_and_mask_hint' => 'Por exemplo, %1',
    '__is_owner' => "D",
    '__java_engine' => "Java", // indirect
    '__jdk' => "JDK",
    '__kb' => "KB",
    '__kbps' => "KB/s",
    '__kbytes' => "KBytes",
    '__key_for_virtuozzo_only' => "A sua chave de licença é apropriada para uso apenas no ambiente do Virtuozzo containers.",
    '__key_limits_exceeding' => "Esta acção excede o limite definido pela sua licença. Se você recebeu esta mensagem, deve contactar seu fornecedor ou o fabricante para estender os limites da sua licença.",
    '__kilo' => "K",
    '__keywords' => 'Palavras chave',
    '__lang_unknown' => 'Não foi possível reconhecer o idioma.',
    '__languages' => 'Idioma',
    '__learn_more' => 'Saber mais',
    '__loading' => 'A carregar...',
    '__locales' => "Pacotes de idiomas",
    '__lists' => "Listas de envio",
    '__literal_bytes' => "B",
    '__processing' => "Espere por favor.<br>A Carregar",
    '__locale' => "Idioma da interface",
    '__locale_is_not_defined' => "Idioma da interface não está definido.",
    '__local_server_mysql' => 'Servidor MariaDB/MySQL local',
    '__local_server_postgresql' => 'Servidor local de PostgreSQL',
    '__local_server_mssql' => 'Servidor MS SQL local',
    '__log_and_statistics_files' => 'Ficheiros de log e relatórios estatísticos',
    '__config_files' => 'Ficheiros de Config',
    '__chroot_files' => 'Ambiente Chrooted',
    '__login' => "%1 Login",
    '__login1' => "Entrar",
    '__login_disabled' => "Login proibido",
    '__login_enabled' => "Login permitido",
    '__login_incorrect' => "Você inseriu uma senha ou nome de usuário incorreto.",
    '__login_name' => "%1 nome de utilizador",
    '__login_name_is_invalid' => "%1 nome de utilizador é inválido.",
    '__logon_time' => "Hora de entrada",
    '__ma' => "Nomes alternativos de e-mail",
    '__mail' => "Correio.",
    '__mail_alias_name' => "Nome alternativo de e-mail",
    '__mail_autodiscovery' => 'Autodescoberta de correio',
    '__mail_exchanger_name_is_invalid' => "Nome do servidor de troca de e-mail é inválido.",
    '__mail_groups' => "Grupos de e-mail",
    '__mail_list_engine' => "Software de listas de envio",
    '__mail_name' => "Conta de correio",
    '__mail_name_form' => "Propriedades da conta de correio",
    '__mail_names' => "Contas de correio",
    '__mail_serv' => "Servidor de Correio",
    '__mail_user' => 'Utilizador de e-mail',
    '__mailgroup' => "Grupo de e-mail",
    '__maillist' => "Lista de envio",
    '__maillists' => "Listas de envio",
    '__maillist_member' => 'Membro da lista de envio',
    '__mailname' => "Conta de correio",
    '__mailname_redir_self' => "A conta de correio não pode redirecionar o correio para si própria.",
    '__max_dom_num_reached_for_cl' => "O limite do número de domínios foi alcançado para esta conta de cliente.",
    '__max_file_size_available' => "Tamanho máximo de arquivo permitido %1",
    '__max_subdom_num_reached_for_cl' => "O limite do número de subdomínios foi alcançado para esta conta de cliente.",
    '__max_subdom_num_reached_for_dom' => "O limite do número de subdomínios foi alcançado para o domínio.",
    '__max_subdom_num_reached_for_key' => "O limite do número de subdomínios permitido pela chave de licença foi alcançado.",
    '__max_traffic_limit' => "Limite de tráfego",
    '__maximum_excl_ip_num' => "Contas de correio",
    '__mb' => "MB",
    '__mbytes' => "megabytes",
    '__mb_month' => "MB/mês",
    '__mb_sec' => "MB/Seg",
    '__gb_sec' => "GB/Seg",
    '__tb_sec' => "TB/Seg",
    '__mega' => "M",
    '__minute(s)' => 'Minuto(s)',
    '__mls_not_in_key' => "A sua chave de produto não suporta a interface multilingue.",
    '__modification_date' => "Data de modificação",
    '__module' => "Extensão",
    '__month' => "Mês",
    '__month(s)' => "Mês(es)",
    '__month1' => "Jan.",
    '__month10' => "Out",
    '__month11' => "Nov.",
    '__month12' => "Dez",
    '__month2' => "Fev",
    '__month3' => "Mar.",
    '__month4' => "Abril",
    '__month5' => "Mai.",
    '__month6' => "Junho",
    '__month7' => "Julho",
    '__month8' => "Ago",
    '__month9' => "Set",
    '__monthly' => "Mensalmente",
    '__months' => "Meses",
    '__moved_permanently' => 'Movido Permanentemente',
    '__mssql' => "Servidor Microsoft SQL",
    '__mssql__server' => "Servidor",
    'mssql__server' => "Nome do servidor Microsoft SQL",
    'mssql__unable_to_change_server_name_db_exists' => "O nome para o servidor não pode ser mudado: existe pelo menos uma base de dados nele.",
    '__mssql_status' => "Status do servidor Microsoft SQL",
    '__multiply_login_deny' => "Impossível efetuar o login. Um outro utilizador com o mesmo nome de utilizador (%1) já está a utilizar o Plesk.",
    '__mysql' => "MySQL",
    '__mysql_status' => "Estado do servidor de MySQL",
    '__mysql_version' => "Versão MySQL",
    '__mariadb' => "MariaDB",
    '__mariadb_status' => "Estado do servidor MariaDB",
    '__mariadb_version' => "Versão MariaDB",
    '__percona' => "Percona",
    '__percona_status' => "Estado do servidor Percona",
    '__percona_version' => "Versão Percona",
    '__name' => "Nome",
    '__name_invalid' => "Nome é inválido.",
    '__nameserver' => "Nome do servidor",
    '__network' => "Rede",
    '__networks' => "Redes",
    '__no' => "Não",
    '__no_ip_address_with_properly_type_available' => "Não foi possível repor o backup dos dados porque não existe um endereço de IP adequado para o repor.",
    '__no_clients_specified' => "Não há contas de clientes especificadas.",
    '__no_comments' => "Não há comentários.",
    '__nologin' => "Proibido",
    '__none' => "Nenhum",
    '__not_configured' => "Não configurado",
    '__not_implemented_yet' => "Ainda não está implementado",
    '__not_supported_by_ftp' => "(não suportado pelo servidor FTP)",
    '__notification' => "Notificação",
    '__num_displayed' => "%1 de %2 exibidos",
    '__num_is_invalid' => "Número é inválido.",
    '__object_not_found' => 'Objecto não encontrado: %1',
    '__off' => "Desligado",
    '__ok' => "OK",
    '__old_passwd' => "Antiga %1 senha",
    '__on' => "Ligado",
    '__others' => "Outros",
    '__other_ip__will_be_added' => 'Outros endereços IP disponíveis (vão ser adicionados ao repositório de IP do cliente)',
    '__p' => "P",
    '__passwd' => "%1 Senha",
    '__passwd_is_invalid' => "%1 senha é inválida.",
    '__path' => "Caminho",
    '__perl_unix_support' => "Suporte para Perl",
    '__perl_win_support' => "Suporte para Perl",
    '__perm_denied' => "Permissão negada.",
    '__permissions' => "Autorizações",
    '__personal_name' => "Nome",
    '__pg_admin_not_activated' => "PostgreSQL não foi activado na página de administração do servidor.",
    '__pg_not_inst' => "PostgreSQL não foi instalado.",
    '__pg_not_run_or_inst' => "PostgreSQL não foi instalado ou não está rodando.",
    '__pg_not_support_in_key' => "PostgreSQL não é suportado pela chave de licença",
    '__phone' => "Telefone",
    '__phosting' => "Alojamento Físico",
    '__php_support' => "Suporte para PHP",
    '__php_run_as_isapi' => "executar como extensão de ISAPI",
    '__php_safe_mode' => "PHP 'safe_mode' ligado",
    '__php_version' => "Versão de PHP",
    '__physical' => "Alojamento Físico",
    '__plesk_stat_pdir' => "Proteger o directório '/plesk-stat/webstat/ '",
    '__plesk_stat_dir_name' => "Estatísticas de domínio",
    '__plesk_stat_protect' => "Proteger o acesso às estatísticas da web com nome de utilizador e palavra-passe do utilizador FTP",
    '__plesk_stat_protect_install' => "Acessível através de um diretório protegido por palavra-passe '/ plesk-stat/webstat/ '",
    '__pop3_imap' => "POP3/IMAP", // indirect
    '__pop3_status' => "Estado do servidor POP3",
    '__popen_error' => "Um erro ocorreu durante a chamada à função popen.",
    '__port' => 'Porta',
    '__postgres' => "PostgreSQL",
    '__postgresql' => "PostgreSQL",
    '__postgresql_status' => "Status do PostgreSQL",
    '__preferences' => "Configurações",
    '__account_preferences' => "Preferências da Conta",
    '__interface_preferences_general' => 'Geral',
    '__interface_preferences_default' => 'Preferências Predefinidas do Interface',
    '__interface_preferences_admin' => "Preferências do Interface de Administrador",
    '__interface_template' => 'Modelo de personalização de interface',
    '__interface_preferences' => "Preferências de interface",
    '__proceed?' => "Você deseja continuar?",
    '__provider_contact_name' => "Nome de contato do proprietário",
    '__python_unix_support' => "Suporte para Python",
    '__python_win_support' => "Suporte para Python",
    '__quota' => "Quota",
    '__r' => "R",
    '__reconfigure' => "Reconfigurar",
    '__record_type' => "Tipo de registo",
    '__release' => "Revisão",
    '__remote_db_not_supported_by_key' => 'O alojamento de bases de dados remotas não é suportado pela sua chave de licença.',
    '__remove_protection' => 'Remover Proteção',
    '__report' => "Relatório",
    '__report_size_na' => "O serviço não está disponível",
    '__reports_list' => "Relatórios",
    '__requested' => "Necessário",
    '__required_fields' => "Campos obrigatórios",
    '__resp_name_invalid' => "Nome de resposta automática é inválido. Use apenas carateres alfanuméricos, pontos, sublinhado e espaços em branco.",
    '__c' => "A", // Access to panel
    '__s' => "F",
    '__server_name_is_invalid' => "O nome de Servidor não é válido.",
    '__screenshots' => 'Imagens',
    '__script_warning' => "Ao remover a capacidade de scripting deste domínio irá fazer com que todos os scripts sejam exibidos em texto claro quando forem chamados por um browser. É aconselhável que o administrador remova todos os scripts dependentes deste domínio.",
    '__sec' => "Segundos",
    '__second(s)' => "Segundo(s)",
    '__see_list_of_logged_in' => "Veja a lista dos utilizadores logados actualmente.",
    '__select_certs_to_remove' => "Seleccione certificados a serem removidos.",
    '__select_files_to_remove' => "Seleccione arquivos a serem removidos.",
    '__select_ip' => "Atribuir um endereço IP",
    '__select_ip_to_remove' => "Seleccione um endereço IP a serem removido.",
    '__select_domain_template' => "Utilizar a configuração do modelo de domínio",
    '__select_templates_to_remove' => "Seleccione modelos a serem removidos.",
    '__server' => "Servidor",
    '__service_title__plesk' => "Plesk",
    '__service_description__plesk' => "Plesk",
    '__service_title__mysql' => "Servidor da base de dados MariaDB/MySQL",
    '__service_description__mysql' => "Servidor da base de dados MariaDB/MySQL",
    '__service_title__web' => "Servidor Web",
    '__service_description__web' => "Servidor Web",
    '__service_title__smtp' => "Servidor SMTP",
    '__service_description__smtp' => "Servidor SMTP",
    '__service_title__mail' => "Servidor IMAP/POP3",
    '__service_description__mail' => "Servidor IMAP/POP3",
    '__service_title__dns' => "Servidor de DNS",
    '__service_description__dns' => "Servidor de DNS",
    '__service_title__postgresq' => "Servidor da base de dados PostgreSQL",
    '__service_description__postgresq' => "Servidor da base de dados PostgreSQL",
    '__service_title__spamassassin' => "Serviço de filtro de spam SpamAssassin",
    '__service_description__spamassassin' => "Serviço de filtro de spam SpamAssassin",
    '__all_services' => "Todos os serviços",
    '__sessions' => "Sessões",
    'sessions__feature_ftp_session_manager_not_supported' => "As sessões de FTP não são suportadas pelo servidor de FTP actual",
    '__sessions_list' => "Sessões",
    '__set' => "Ligar",
    '__shared' => "Partilhado",
    '__shell_access_warning' => "Permitir o acesso ao sistema é altamente perigoso para a segurança do sistema. Permita o acesso ao sistema só se compreender claramente, o que está a fazer, e só a utilizadores em que confia. Quer na realidade permitir o acesso ao sistema?",
    '__siteapp_not_support_in_key' => "As aplicações web não são suportadas pela chave de licença",
    '__siteapp_cannot_reconfigure_with_remote_database' => 'A configuração desta aplicação Web foi modificada manualmente. De modo a proteger essas modificações manuais, a reconfiguração pelo Plesk não está disponível.',
    '__site_management' => "Publicação na rede", // indirect
    '__size' => "Dimensão",
    '__skins' => 'Skin',
    '__smtp' => "SMTP", // indirect
    '__smtp_status' => "Status de servidor SMTP",
    '__some_fields_are_empty_or_invalid' => "Alguns campos estão vazios ou contêm valores impróprios.",
    '__no_email_addresses_selected' => 'Nenhum endereço de e-mail foi selecionado.',
    '__unable_to_set_parameters' => "Não foi possível definir parâmetros do componente.",
    '__spamassassin' => "Filtro de Spam",
    '__spamassassin_status' => "Status do SpamAssassin",
    '__spamd_status' => 'Status do Spam Filter',
    '__splited_backup' => "(Cópia de Segurança multi-volume)",
    '__split_backup_file' => "Criar cópia de segurança multi-volume",
    '__split_backup_size' => "Tamanho do Volume",
    '__split_backup_less_than_500' => "Não são suportados volumes com menos de 500 megabytes",
    '__ssi' => "SSI",
    '__ssi_support' => "Suporte para SSI",
    '__ssi_with_html' => "Utilização adicional de SSI para *.htm, *.html",
    '__ssl' => 'SSL/TLS',
    '__ssl_support' => "Suporte SSL/TLS",
    '__same_ssl' => "Utilizar um só directório para alojar conteúdo SSL/TLS e não-SSL/TLS",
    '__same_ssl_cu' => "Conteúdo comum SSL/TLS e não SSL/TLS",
    '__state' => "Estado/Província",

    '__status__Active' => 'Ativo',
    '__status__active' => 'ativo',
    '__status__Passive' => 'Desligado',
    '__status__passive' => 'desligado',
    '__status__off' => 'desligado',
    '__status__with_parent' => 'desligado',
    '__status__backup_restore' => 'temporariamente suspenso para backup ou reposição',
    '__status__admin' => 'suspenso pelo administrador do servidor',
    '__status__resseler' => 'suspenso pelo revendedor',
    '__status__client' => 'suspenso pelo cliente',
    '__status__unknown' => 'estado desconhecido',

    '__status_of' => "estado %1",
    // end of akss part

    // shramko part

    '__stunnel' => "Stunnel",
    '__stunnel_server' => "Servidor Stunnel", // indirect
    '__subdomain' => "Sub-domínio",
    '__subdomain_name' => "Nome de subdomínio",
    '__subdomain_name_in_ASCII_form' => "Nome do sub-domínio em formato ASCII",
    '__subdomains' => "Subdomínios",
    '__domainaliases' => "Nomes alternativos de domínio",
    '__subdomains_list' => "Subdomínios",
    '__subdomains_not_support_in_key' => "Operações de sub-domínio não são suportados pela sua chave de licença",
    '__sys_user_type' => "Utilizador FTP",
    '__sys_user_type_main' => "Use a conta do utilizador de FTP do domínio principal",
    '__sys_user_type_native' => "Criar uma conta de utilizador de FTP separada para este sub-domínio",
    '__target_domain' => "Domínio destino",
    '__template' => "Modelo",
    '__template_not_accepted' => "Não foi possível aceitar o modelo: as seguintes limitações foram excedidas.",
    '__templates' => "Modelos",
    '__templates_list' => "Modelos",
    '__tera' => "T",
    '__title' => "Título",
    '__total' => "Total %1",
    '__total_size' => "Tamanho total",
    '__total_used' => "Total usado",
    '__traffic' => "Tráfego",
    '__traffic_by_client' => "Tráfego por cliente",
    '__traffic_by_domain' => "Tráfego por domínio",
    '__traffic_by_service' => "Tráfego por serviço",
    '__traffic_history' => "Histórico de tráfego",
    '__unable_change_locale' => "Não foi possível mudar o idioma do interface: %1",
    '__unable_create_new_dom' => "Impossível criar um domínio: %1",
    '__unable_define_dom_name' => "Impossível definir nome do domínio: %1",
    '__unable_define_necessary_properties' => "Impossível definir todas as propriedades requeridas.",
    '__unable_define_properties' => "Impossível definir propriedades: %1",
    '__unable_exec_util' => "Impossível executar utilidade: %1",
    '__unable_get_dns_a_recs' => "Impossível obter os endereços IP para a zona DNS A nesta conta de alojamento: %1",
    '__unable_get_mbox_quota' => "Impossível obter a informação sobre o limite de tamanho da caixa de correio.",
    '__unable_redirect_to_myself' => "Impossível redirecionar para si próprio.",
    '__unable_redirect_to_my_alias' => "Impossível redirecionar para o nome alternativo.",
    '__default_domain_redirect_to_myself' => "Impossível definir o domínio como o predefinido para o endereço IP:\n detectada uma redirecção para si próprio.",
    '__unable_remove_client' => "Impossível remover cliente: %1",
    '__unable_set_up_mbox_quota' => "Impossível configurar quota de caixa de correio: %1",
    '__unable_setup_pass' => "Impossível definir senha: %1",
    '__unable_to_create_new_account' => "Impossível criar um conta: %1",
    '__unable_to_define_db_size' => "Impossível definir tamanho da base de dados",
    '__unable_to_enable_short_names' => "Impossível permitir a utilização de nomes de correio curtos para contas POP3/IMAP.",
    '__unable_to_fetch_data_from_submit' => "Impossível recolher os dados submetidos: %1",
    '__unable_to_open_file' => "Impossível abrir o arquivo %1: %2.",
    '__unable_to_update_subdomain' => "Impossível realizar alterações no sub-domínio: %1",
    '__unable_update_cl_data' => "Impossível salvar as modificações da conta de utilizador: %1",
    '__unable_update_db_params' => "Impossível actualizar parâmetros da base de dados: %1",
    '__unable_update_dom_data' => "Impossível actualizar os dados do cliente do domínio: %1",
    '__undefined' => "indefinido",
    '__uninstall' => "Desinstalar",
    '__unknown_error' => "Erro desconhecido",
    '__unlimited_lower' => "Ilimitado",
    '__unset' => "Desligar",
    '__update' => "Atualizar",
    '__uploaded_file_is_invalid' => "Arquivo carregado é inválido: %1",
    '__url' => "URL",
    '__usage' => "Utilização em disco",
    '__user_already_logged' => "Um outro utilizador com o mesmo nome de utilizador (%1) já está a utilizar o Plesk.",
    '__version' => "Versão",
    '__aps_license' => "Chave de licença",
    '__vh_type' => "Tipo de alojamento virtual",
    '__vhosts_apache_status' => "Estado do servidor de rede",
    '__wrong_charset_conversion' => 'Caracteres(charset) errados, a conversão de "%1" para "%2" não é permitida',
    '__warning_' => "Aviso!",
    '__warning_excl_ip_num' => "Endereço IP exclusivo",
    '__warning_expiration' => "Data de expiração",
    '__web_scripting' => "Web scripting", // indirect
    '__web_serv' => "Servidor Web", // indirect
    '__web_statistic' => "Estatísticas de rede", // indirect
    '__webmail' => "Correio", // +indirect
    '__webstat_not_installed' => "Webalizer não está atualmente instalado no servidor. Contacte o administrador do servidor para ter o Webalizer instalado.",
    '__webstat_support' => "Estatísticas de rede",
    '__webstat_awstats_support' => "AWStats",
    '__webstat_webalizer_support' => "Webalizer",
    '__webstat_awstats' => "AWStats",
    '__webstat_webalizer' => "Webalizer",
    '__webstat_type_change_warning' => "Quando troca o programa de estatísticas, todos os relatórios criados com esse programa anterior são eliminados e os novos relatórios são criados de acordo com a informação contida nos ficheiros de log ainda no servidor. O que significa que se configurou o sistema (em Domínios > nome de domínio > gestor de Log > Rotação de Log) para manter os ficheiros de log para o mês anterior, então as estatísticas de rede vão estar disponíveis só a partir do mês anterior. Quer trocar de programa estatístico ?",
    '__webstat_perm_denied' => 'Não tem as permissões para gerir as estatísticas de rede.',
    '__webuser' => "Utilizador Web",
    '__sysusers_list' => "Utilizadores do sistema",
    '__sysuser' => "Utilizador do sistema",
    '__weekly' => "Semanalmente",
    '__whats_new_in_version' => "Novidades no Plesk %1?",
    '__wrong_hosting_type__virtual_required' => "Esta operação só é permitida em domínios com alojamento Web.",
    '__wrong_hosting_type__none' => 'Não existe alojamento físico configurado no domínio %1.',
    '__wrong_hosting_type__std_fwd' => 'O domínio %1 tem configurado o reencaminhamento padrão. Esta operação só é permitida em domínios com alojamento Web.',
    '__wrong_hosting_type__frm_fwd' => 'O domínio %1 tem configurado o reencaminhamento por janela. Esta operação só é permitida em domínios com alojamento Web.',
    '__wu' => "Utilizadores de rede",
    '__www' => "WWW",
    '__www_prefix_was_changed' => "Prefixo WWW foi alterado. Modifique o certificado SSL/TLS de acordo.",
    '__year' => "Ano",
    '__year(s)' => "Ano(s)",
    '__yes' => "Sim",
    '__you' => "Você",
    '__zip_code' => "Código Postal/CEP",
    '__form_normal' => "Normal",
    '__form_advanced' => "Avançado",

    'admin_ed__edit_administrator_info' => "Edição de perfil do administrador",
    'admin_ed__create_default_client' => "Eu gostaria de criar uma conta de cliente padrão.",
    'admin_ed__unable_update' => "Impossível actualizar informações do administrador: %1",

    'auth__update_admin_info' => "Por favor insira as informações do administrador. Estas informações são necessárias para operar %1.",
    'auth__you_not_have_perm' => "Não tem permissão para administrar este domínio.",
    'auth__key_expired_admin' => 'A sua licença Plesk caducou. Para continuar a utilizar o Plesk, renove a sua licença ou compre uma nova.',
    'auth__key_expired_admin_restricted' => 'A sua licença Plesk caducou. Contacte o seu fornecedor de serviços para continuar a utilizar o Plesk.',
    'auth__key_expired_client' => 'A licença Plesk caducou. Contacte o seu fornecedor de alojamento.',
    'autoinstaller__not_installed' => 'O componente da instalação automática não está instalado.',
    'autoinstaller__release_action' => 'Operações disponíveis',
    'autoinstaller__release_action_icon' => 'F',
    'autoinstaller__release_action_upgrade' => 'A atualizar para uma nova versão do Plesk',
    'autoinstaller__release_action_update' => 'A actualizar ou a adicionar novos componentes',
    'autoinstaller__release_action_up2date' => 'Tem uma versão actualizada',
    'autoinstaller__component_action' => 'Estado',
    'autoinstaller__component_action_icon' => 'F',
    'autoinstaller__component_action_install' => 'Não instalado',
    'autoinstaller__component_action_update' => 'Estão disponíveis actualizações',
    'autoinstaller__component_action_upgrade' => 'Está disponível uma actualização',
    'autoinstaller__component_action_up2date' => 'Tem uma versão actualizada',
    'autoinstaller__component_action_error' => 'Não estão disponíveis actualizações',
    'autoinstaller__component_serverbuildtime' => 'Ultima versão',
    'autoinstaller__component_localbuildtime' => 'A sua versão',
    'autoinstaller__component_installed_version' => 'A sua versão',
    'autoinstaller__component_available_version' => 'Ultima versão',
    'autoinstaller__component' => 'Componente',
    'autoinstaller__components' => 'Componentes',
    'autoinstaller__components_title' => '%1 Componentes',
    'autoinstaller__component_dependency_note' => 'necessário para a instalação dos componentes que seleccionou',
    'autoinstaller__install_confirm' => 'Sim, eu desejo instalar estes componentes',
    'autoinstaller__install_confirm_request' => 'Por favor seleccione a checkbox para confirmar',
    'autoinstaller__install_title' => 'Confirme a instalação dos Componentes Seleccionados',
    'autoinstaller__key_update_confirm' => 'Confirme que quer ignorar a actualização da chave e instalar a chave predefinida',
    'autoinstaller__key_update_confirm_request' => 'Por favor seleccione a checkbox para confirmar.',
    'autoinstaller__key_update_failed' => '<p> Plesk não pode atualizar a licença do produto.</p> <p> %1</p> <p> Continuar com a atualização sem ter uma licença de produto apropriada resultará na instalação de uma licença predefinida de funcionalidade limitada. Aconselha-se que os administradores adquiram primeiro a licença apropriada antes de continuar com a atualização do produto.</p>',
    'autoinstaller__email' => 'Envie notificação para',
    'autoinstaller__email_admin' => "E-mail do administrador",
    'autoinstaller__email_email' => 'lizado',
    'autoinstaller__release' => 'Nome da versão',
    'autoinstaller__releases' => 'Versões disponíveis',
    'autoinstaller__releases_title' => 'Atualizador do Plesk',
    'autoinstaller__select_components_to_install' => 'Seleccione os componentes que deseja instalar',
    'autoinstaller__status_error' => 'Erro: %1.',
    'autoinstaller__status_install_error' => 'A instalação não pôde ser começada: %1.',
    'autoinstaller__status_install_busy' => 'A instalação não pôde ser iniciada: outro procedimento de instalação está actualmente a correr.',
    'autoinstaller__status_install_ok' => 'A instalação foi iniciada. Será notificado de progresso de instalação através de e-mail (%1).',
    'autoinstaller__status_query_busy' => 'A instalação está em progresso.',
    'autoinstaller__status_query_error' => 'Foi impossível saber o estado da instalação: %1',
    'autoinstaller__status_unknown' => 'Impossível obter o estado da instalação automática.',
    'autoinstaller__status_busy' => 'A instalação automática está ocupada, espere por favor.',
    'autoinstaller__configure_title' => 'Configurações de Actualização',
    'autoinstaller__preferences_legend' => 'Configurações',
    'autoinstaller__target' => 'Directório temporário de transferência',
    'autoinstaller__target_invalid' => "Especifique o caminho absoluto(absolute path)",
    'autoinstaller__check_updates' => 'Verificar as atualizações quando o administrador entrar no Plesk',
    'autoinstaller__check_updates_warning' => 'Estão disponíveis novas <a href="%1">actualizações</a> para %2',
    'autoinstaller__source_type' => 'Tipo de fonte',
    'autoinstaller__source' => 'URL da fonte',
    'autoinstaller_source__preferences_legend' => 'Configurações',
    'autoinstaller_source__type' => 'Tipo de fonte',
    'autoinstaller_source__url_invalid' => 'Fonte inválida',
    'autoinstaller_source__url_invalid_network' => 'URL da fonte é inválido (Exemplo: http://fonte, ftp://fonte)',
    'autoinstaller_source__url' => 'URL da fonte',
    'autoinstaller__source_invalid_network' => 'Especificou um endereço de rede inválido',
    'backup__repository' => 'Localização de armazenamento dos ficheiros de cópias de segurança',
    'backup__error_notify_email' => 'Enviar o aviso de erros, caso ocorram durante a backup, para o e-mail',
    'backup__dump_info' => "Informação do Backup",
    'backup__dump_file_name_not_defined' => "O nome do arquivo de backup não está especificado",
    'backup__local_file' => 'Ficheiro local de backup',
    'backup__domain_ftp' => 'servidor de FTP remoto',
    'backup__wrong_path' => "Caminho incorrecto para armazenamento dos ficheiros de cópias de segurança: Não utilize a sequência de caracteres ../../",
    'backup__unable_to_connect_to_ftp_server' => "Não foi possível conectar ao servidor de ftp: %1",
    'backup__unable_to_read_file' => 'Impossível ler o ficheiro de backup.',
    'backup__backup_task_does_not_exist' => "Não existe uma tarefa de backup, deve criar a tarefa antes de a ligar.",
    'backup__restore_params' => "Parâmetros de restauração",
    'backup__confirmation' => "Aviso: o domínio estará inactivo durante o backup/reposição.",
    'backup__backup_method' => 'Método de backup',
    'backup__dumpfile_name' => "Nome do ficheiro de cópias de segurança",
    'backup__dumpfile_name_is_invalid' => "Nome de arquivo de backup inválido: use somente caracteres alfanuméricos, traço, ponto e sublinhado, não use nome como description.* como nome de arquivo de backup.",
    'backup__email_required' => "É necessário o seu endereço de e-mail para o manter informado sobre o progresso do procedimento de backup/reposição. Por favor especifique o seu e-mail nos detalhes da conta.",
    'backup__error_during_backup' => "Impossível criar arquivo de backup: %1",
    'backup__input_email_warning' => "Deve especificar um e-mail para a notificação ou não selecionar a caixa de verificação.",
    'backup__make_download' => "não grave o arquivo de backup no armazenamento, só o descarregue",
    'backup__make_dump' => 'crie um ficheiro de cópia de segurança e guarde-o no armazenamento local',
    'backup__makedump_to_ftp' => 'criar o ficheiro de backup e guardá-lo no servidor de FTP remoto',
    'backup__restore_ip' => "Endereço IP para reposição",
    'backup__select_dumpfile' => "Seleccione um arquivo de backup.",
    'backup__time' => "Hora do backup",
    'backup__day' => 'Dia do Backup',
    'backup__view_dump_info' => "Visualizar as informações de backup para o domínio %1",
    'backup__wrong_domain_name' => "O arquivo de backup contém os dados para o domínio %1, por isso não pode ser usado no domínio %2",
    'backup__incorrect_ftp_user_or_passwd' => "Palavra passe ou utilizador de FTP incorrecta(o). Corrija as Propriedades da Conta de FTP",
    'backup__access_denied' => "Acesso negado. Por favor, corrija as Propriedades da Conta de FTP",
    'backup__restore_from' => "Repor %1",
    'backup__domain_session_failed' => 'Não foi feito o backup ao domínio %1',
    'backup__client_session_failed' => 'Não foi feito o backup ao cliente %1',
    'backup__domain_session_restore_failed' => 'O domínio %1 não foi reposto',
    'backup__client_session_restore_failed' => 'Conta do cliente %1 não foi restaurada',
    'backup__domain_session_complete' => 'Foi feito o backup ao domínio %1',
    'backup__domain_session_backup' => 'Backup do domínio %1',
    'backup__client_session_backup' => 'Backup do cliente %1',
    'backup__domain_stop_title' => 'A cancelar o backup do domínio %1',
    'backup__client_stop_title' => 'Cancelar backup da conta do cliente %1',
    'backup__domain_restore_stop_title' => 'A cancelar a reposição do domínio %1',
    'backup__client_restore_stop_title' => 'Cancelar restauração da conta do cliente %1',
    'backup__domain_session_backup_stop' => 'Está quase a cancelar o processo de backup! O ficheiro de backup não será criado.',
    'backup__backup_stop_confirm' => 'Sim, quero interromper o processo de backup',
    'backup__restore_stop_confirm' => 'Sim, quero interromper o processo de reposição',
    'backup__domain_session_restore' => 'Reposição do domínio %1',
    'backup__domain_session_restore_stop' => 'Está perto de cancelar o processo de reposição ativo!',
    'backup__domain_backup_file_info' => 'Informação do Arquivo de Backup do Domínio',
    'backup__domain_backup_file_list' => 'arquivos de backup existentes',
    'backup__domain_backup_progress' => 'Progresso do Back-up do website %1',
    'backup__domain_restore_progress' => 'Progresso da restauração do website %1',
    'backup__domain_backup_progress_elapsed_time' => 'Duração: %1',
    'backup__domain_restore_progress_elapsed_time' => 'Duração: %1',
    'backup__domain_restore_session_complete' => 'Domínio %1 foi reposto',
    'backup__domain_restore_session_complete_message' => 'O domínio %1 foi reposto.',
    'backup__domain_backup_file_delete' => 'Os seguintes arquivos de backup serão removidos:',
    'backup__domain_backup_file_for_remove' => 'Seleccione os arquivos de backup que quer remover',
    'backup__backup_overwrite_file_confirm' => 'Confirme a substituição',
    'backup__backup_overwrite_file_confirm_text' => 'Um arquivo de backup com o nome "%1" já existe. Quer substitui-lo ?',
    'backup__backup_confirm_overwrite' => 'Confirme a substituição do ficheiro',
    'backup__backup_overwrite_legeng' => 'Substituir',
    'backup__backup_not_contain_domain' => 'O arquivo de backup não contém informação acerca do domínio %1',
    'backup__backup_not_contain_client' => 'O ficheiro de backup não contém informação acerca do cliente %1',
    'backup__backup_client_info' => "Backup das preferências e detalhes da conta de cliente.",
    'backup__client_backup_progress' => 'Progresso do Back-up da Conta do Cliente %1',
    'backup__client_session_complete' => 'Conta do cliente %1 é armazenada',
    'backup__client_backup_file_info' => 'Informação do ficheiro de Backup do Cliente',
    'backup__restore_client_info' => "Repor as preferências e detalhes da conta de cliente.",
    'backup__client_session_restore' => 'Restaurar Conta do Cliente %1',
    'backup__client_db_server_map' => 'Mapeamento dos Servidores de Base de Dados',
    'backup__domain_db_server_map' => 'Mapeamento dos Servidores de Base de Dados',
    'backup__client_restore_session_complete_message' => 'Conta do cliente %1 foi restaurada.',
    'backup__client_restore_session_complete' => 'Conta do cliente %1 foi restaurada.',
    'backup__restore_select_some' => 'Seleccione, por favor, os objectos que deseja repor.',
    'backup__client_restore_progress' => 'Progresso da restauração para a Conta do Cliente %1',
    'backup__new_backup' => 'Criar Novo Backup',
    'backup__done' => 'Executado:',
    'backup__done_domains' => '%1 domínios(s) de %2',
    'backup__done_clients' => '%1 cliente(s) de %2',
    'backup__remaining' => 'Faltam:',
    'backup__remaining_domains' => '%1 domínio(s)',
    'backup__remaining_clients' => '%1 cliente(s)',
    'backup__overall_backup_progress' => 'Progresso geral do backup',
    'backup__comment_n_a' => 'Nd.',
    'backup__command_ignore' => 'O comando "%1" é ignorado',
    'backup__no_objects' => 'não existem objectos para backup',
    'backup__cli_warning_not_enough_ip' => 'ATENÇÃO: não tem endereços IP suficientes para executar o mapeamento de IP predefinido:',
    'backup__local_repository' => "Armazenamento do Plesk",
    'backup__ftp_repository' => 'Armazenamento FTP',
    'backup__ftp_login' => 'Nome de utilizador',
    'backup__ftp_password' => 'Senha',
    'backup__ftp_account_settings' => 'Definições da Conta de FTP',
    'backup__ftp_account_preferences' => 'Preferências da conta de FTP',
    'backup__repository_not_exist' => 'O diretório não existe',
    'backup__repository_not_readable' => 'Não é possível ler o directório especificado',
    'backup__ftp_repository_not_configure' => 'Para usar um armazenamento de cópia de segurança FTP, <a href="%1">especifique primeiro a conta de FTP</a>',
    'backup__ftp_repository_list_not_configure' => 'Não foram especificadas as configurações da conta',
    'backup__repository_list_unable_listing' => 'Impossível obter a lista dos ficheiros',
    'backup__ftp_repository_unable_listing' => 'Impossível obter a listagem do directório "%1":',
    'backup__repository_legend' => 'Armazenamento de ficheiros de cópias de segurança',
    'backup__store_in_repository' => 'Guardar ficheiros em',
    'backup__local_repository_lable' => 'Armazenamento local',
    'backup__ftp_repository_lable' => 'Armazenamento FTP',
    'backup__ftp_repository_not_configure_hint' => '(configurações da conta não especificadas)',
    'backup__ftp_repository_not_configure_or_forbidden_hint' => '(a conta de FTP não foi especificada ou não é suportada)',
    'backup__other_user_process_modified' => 'O processo de backup ou de migração foi parado por outro utilizador.',
    'backup__another_user_exist' => 'A operação em curso foi iniciada por outro utilizador do Plesk. Este utilizador ainda está no Plesk.',
    'backup__ftp_repository_wait' => 'Aguarde enquanto se recolhe a informação sobre o armazenamento FTP',
    'backup__ftp_write_test_failed' => 'Falha no teste de escrita para a conta de FTP %1:',
    'backup__ftp_storage' => 'Armazenamento FTP(S)',
    'bt_upload_to_repository' => 'Carregar ficheiros para armazenamento local',
    'bt_new_restore' => "Restaurar",
    'bt_backup_schedule' => "Agendar Backup",
    'backup_exist_backups' => "Arquivos de backup existentes",
    'backup_dialog__page_title' => "Criação do arquivo de backup",
    'backup_dialog__please_wait' => "O processo de backup está prestes a começar. Esta operação pode levar algum tempo. Por favor, espere...",
    'backup_conf__page_title' => 'Configuração de Backup',
    'bt_accept' => "Aceitar",
    'bt_access' => "Acesso",
    'bt_action_log' => "Registo de ações",
    'bt_add' => "Adicionar",
    'bt_add_client' => "Atribuir a Utilizadores",
    'bt_database_server_add' => 'Adicionar Servidor de Base de Dados',
    'bt_add_services' => "Adicionar Serviços",
    'bt_anonftp_stats' => "Estat. FTP anónimo.",
    'bt_anonymous_ftp' => "FTP Anónimo",
    'bt_aspdotnet' => "ASP.NET",
    'bt_attach' => "Anexar",
    'bt_autoinstaller' => 'Sistema de actualizações',
    'bt_auto-updates' => 'Sistema de actualizações',
    'bt_back' => "<< Anterior",
    'bt_backup' => "Cópia de segurança",
    'bt_backup_configure' => "Definições de Backup",
    'bt_buy_certs' => "Adquirir Certificados",
    'bt_card' => "Cartão",
    'bt_cert' => "Certificado",
    'bt_certificates' => "Certificados",
    'bt_change_passwd' => "Alterar Palavra-passe",
    'bt_clear' => "Limpar",
    'bt_client_templates' => "Modelos de cliente",
    'bt_clients' => "Clientes",
    'bt_codepage_change' => 'Mudar Código de Página(Codepage)',
    'bt_comp_info' => "Informações de componente",
    'bt_configure_maillists' => "Configurar o Mailman",
    'bt_configure' => 'Configurar',
    'bt_copy' => "Copiar",
    'bt_copy_move' => "Copiar/Mover",
    'bt_create' => "Criar",
    'bt_create_account' => "Criar uma conta",
    'bt_create_dir' => "Adicionar um directório",
    'bt_create_file' => "Adicionar um ficheiro",
    'bt_count_size' => "Calcular Tamanho",
    'bt_crontab_unix' => "Crontab",
    'bt_crontab_win' => "Agenda de Tarefas",
    'bt_custom_button_new' => "Adicionar um botão",
    'bt_custom_buttons' => "Personalizar teclas",
    'bt_customize' => "Personalizar",
    'bt_databases' => "Bases de dados",
    'bt_database_servers' => 'Servidores de Base de Dados',
    'bt_sqlservers' => "Servidores de Base de Dados",
    'bt_db_usr_new' => "Adicionar um utilizador da base de dados",
    'bt_db_new' => "Adicionar uma base de dados",
    'bt_db_phpmyadmin' => "MySQL Admin",
    'bt_dbuser_default' => "Predefinição para o DB Web Admin",
    'bt_decline' => "Recusar",
    'bt_default' => "Predefinido",
    'bt_defaultcomponents' => "Serviços de Terceiros",
    'bt_defaults' => "Predefinições",
    'bt_delete' => "Eliminar",
    'bt_directories' => "Diretórios Protegidos",
    'bt_disable' => "Desativar",
    'bt_dns_zone_sync' => 'Aplicar Alterações do Modelo de DNS',
    'bt_dnsrecord_add' => 'Adicionar Registo',
    'bt_do_backup' => "Efetuar cópia de segurança",
    'bt_do_restore' => "Restaurar",
    'bt_do_upload' => "Carregar",
    'bt_domain_aliases' => "Nomes alternativos de Domínio",
    'bt_domain_templates' => "Modelos de Domínio",
    'bt_domain_user' => "Administrador de Domínio",
    'bt_domain_user_passwd' => "Senha do Administrador do Domínio",
    'bt_domains' => "Domínios",
    'bt_domain_alias_add' => 'Adicionar Nome alternativo de Domínio',
    'bt_download' => "Transferência",
    'bt_edit' => "Editar",
    'bt_enable' => "Ligar",
    'bt_export' => 'Exporta',
    'bt_extras' => "Extras",
    'bt_finish' => "Concluir",
    'bt_ftp_account' => "Propriedades da Conta de FTP",
    'bt_forget_password' => "Esqueceu-se da sua senha?",
    'bt_fp_ssl_webadmin' => "FP-SSL/TLS Webadmin",
    'bt_fp_webadmin' => "FP Webadmin",
    'bt_ftp_stats' => "FTP Stats",
    'bt_get_password' => "Obter Senha",
    'bt_global_changes' => "Modifica",
    'bt_help' => "Ajuda",
    'bt_hide_aliases' => "Ocultar nomes alternativos",
    'bt_hide_toolbar' => 'Ocultar barra de ferramentas',
    'bt_hide_subdomains' => "Ocultar subdomínios",
    'bt_hide_domainaliases' => "Ocultar os Nomes alternativos de Domínio",
    'bt_home' => "Início",
    'bt_hosting' => "Alojamento",
    'bt_icf' => 'Firewall',
    'bt_install' => "Instalar",
    'bt_ip_aliasing' => "Endereços IP",
    'bt_ip_add' => "Adicionar Endereço IP",
    'bt_ip_pool' => "Repositório de IP",
    'bt_key_info' => "Informações acerca da Licença",
    'bt_key_buyonline_addons' => 'Solicitar Suplementos do Plesk.',
    'bt_key_buyonline_upgrades' => 'Solicitar Atualizações do Plesk.',
    'bt_key_buyonline_new' => 'Encomendar Nova Chave',
    'bt_limits' => "Limites",
    'bt_locale_add' => 'Adicionar Idioma',
    'bt_locales' => 'Pacotes de idiomas',
    'bt_log_manager' => "Gestor de Log",
    'bt_login' => "Login",
    'bt_logo' => "Aplicação de imagem corporativa",
    'bt_logo_send_link' => "Anexar Link",
    'bt_logo_send_logo' => "Anexar Logo",
    'bt_logout' => "Sair",
    'bt_logrotation' => "Rotação de registo",
    'bt_mail' => "Correio.",
    'bt_mail_alias_add' => "Adicionar nome alternativo de correio",
    'bt_mail_aliases' => "Nomes alternativos de E-mail",
    'bt_mail_group_add' => "Adicionar membro",
    'bt_mail_groups' => "Grupos",
    'bt_mail_name_add' => "Adicionar conta de correio",
    'bt_mail_preferences' => "Configurações",
    'bt_mail_group' => "Grupo de E-mail",
    'bt_mail_mailbox' => "Caixa de Correio",
    'bt_mail_redirect' => "Redirecionar",
    'bt_mail_resp_add' => "Adicionar resposta automática",
    'bt_mail_resp_attach_add' => "Adicionar anexo",
    'bt_mail_resp_files' => "Arquivos Anexados",
    'bt_mail_responders' => "Respostas automáticas",
    'bt_mail_spamfilter' => "Filtro de Spam",
    'bt_mail_webmail' => "Correio",
    'bt_maillist_new' => "Adicionar lista de envio",
    'bt_maillists' => "Listas de envio",
    'bt_mailman' => "Mailman",
    'bt_make_dump' => "Criar Backup",
    'bt_manage' => "Gerir",
    'bt_master' => "Mestre",
    'bt_migrate' => 'Migrar mais',
    'bt_modules_add' => 'Adicionar Módulo',
    'bt_modules_manage' => 'Gerir Módulos',
    'bt_move' => "Mover",
    'bt_new_client' => "Adicionar conta de cliente",
    'bt_new_domain' => "Adicionar Domínio",
    'bt_next' => "Seguinte >>",
    'bt_next_page' => "Seguinte",
    'bt_network_add' => "Adicionar rede",
    'bt_notifications' => "Avisos",
    'bt_off' => "Desligado",
    'bt_on' => "Ligado",
    'bt_on_off' => "Ligar/Desligar",
    'bt_performance' => 'Desempenho',
    'bt_permissions' => "Autorizações",
    'bt_phpmyadmin' => "PhpMyAdmin",
    'bt_postgre_sql' => "PostgreSQL",
    'bt_preferences' => "Configurações",
    'bt_prev_page' => "Anterior",
    'bt_preview' => 'Antever Site',
    'bt_print' => "Imprimir",
    'bt_reboot' => "Reinicializar",
    'bt_reload' => "Recarregar",
    'bt_refresh' => "Atualizar",
    'bt_register' => "Registar",
    'bt_remove' => "Eliminar",
    'bt_enable_selected' => 'Ligar',
    'bt_disable_selected' => 'Desativar',
    'bt_repair_ip' => "Reparar IP",
    'bt_report' => "Relatório",
    'bt_report_new' => "Adicionar esquema",
    'bt_reset' => "Restaurar",
    'bt_restart_services' => "Gestão de Serviços",
    'bt_save' => "Gravar",
    'bt_send_by_email' => "Enviar Por E-mail",
    'bt_send_file' => "Enviar Arquivo",
    'bt_send_mail' => "Enviar E-mail",
    'bt_send_passwd' => "Enviar Senha",
    'bt_send_text' => "Enviar Texto",
    'bt_server' => "Servidor",
    'bt_server_add' => "Adicionar Servidor",
    'bt_server_preferences' => "Definições do Servidor",
    'bt_servers_list' => "Servidores",
    'bt_sessions' => "Sessões",
    'bt_set' => "Definir",
    'bt_set_as_default' => "Configurar Como Predefinido",
    'bt_setup' => 'Configurações',
    'bt_show_aliases' => "Mostrar nomes alternativos",
    'bt_show_subdomains' => "Mostrar subdomínios",
    'bt_show_domainaliases' => "Exibir nomes alternativos de domínio",
    'bt_shutdown' => "Desligar",
    'bt_site_apppkgs' => "Cofre de aplicações",
    'bt_site_apppool' => "Repositório de Aplicações",
    'bt_application-pool' => "Aplicações Web",
    'bt_site_apps' => "Aplicações Web",
    'bt_site_app_add' => "Instalar Aplicação",
    'bt_site_builder' => "Suporte do Presence Builder",
    'bt_skeleton' => 'Modelo de Alojamento Virtual',
    'bt_skins' => 'Skin',
    'bt_skin_add' => 'Adicionar máscara',
    'bt_skin_manual' => 'Referência das Máscaras Personalizadas do Plesk', // not used
    'bt_skin_download' => 'Descarregar a Skin',
    'bt_skin_replace' => 'Actualizar a Skin',
    'bt_skip' => 'Saltar',
    'bt_spamassassin' => "Filtro de Spam",
    'bt_spamassassin_train' => "Treinando",
    'bt_spamfilter' => "Filtro de Spam",
    'bt_start' => "Iniciar",
    'bt_stop' => "Parar",
    'bt_recycle' => "Recicle",
    'bt_statistics' => "Estatísticas",
    'bt_subdomain_new' => "Adicionar subdomínio",
    'bt_subdomains' => "Subdomínios",
    'bt_submit' => "Submeter",
    'bt_summary_report' => "Relatório resumido",
    'bt_support' => "Suporte",
    'bt_switch' => "Trocar",
    'bt_system_time' => "Hora do sistema",
    'bt_task_new' => "Adicionar Tarefa",
    'bt_dom_tmpl_add' => 'Adicionar modelo do domínio',
    'bt_cl_tmpl_add' => 'Adicionar um modelo do cliente',
    'bt_cron_backup' => 'Configurações de Cópias de Segurança Agendadas',
    'bt_test' => "Testar Ligação",
    'bt_text' => "Texto",
    'bt_touch' => "Alterar o grupo data-hora",
    'bt_traffic' => "Tráfego",
    'bt_traffic_history' => "Histórico do Tráfego",
    'bt_update' => "Atualizar",
    'bt_upload' => "Carregar",
    'bt_upload_from_ftp' => "Carregar por FTP",
    'bt_virtualdirs' => 'Diretórios Virtuais',
    'bt_virtualdir_new' => 'Adicionar directório virtual',
    'bt_virtualdir_add' => 'Adicionar directório virtual',
    'bt_web_app_new' => "Instalar Aplicação Java",
    'bt_web_stats' => "Web Stats",
    'bt_web_stats_ssl' => "Estatísticas de rede SSL/TLS",
    'bt_web_user_add' => "Adicionar utilizador da Web",
    'bt_web_users' => "Utilizadores de rede",
    'bt_webadmin' => "Webadmin",
    'bt_webalizer' => "Webalizer",
    'bt_whats_new_full' => "Ver a lista completa das modificações",
    'cert_add__unable_set_ca_cert' => "Impossível configurar certificado CA: %1",
    'cert_add__unable_set_cert' => "Impossível configurar certificado: %1",
    'cert_add__unable_set_private_key' => "Impossível configurar a chave privada: %1",
    'certificates_list__certificate_used_as_default' => "Um dos certificados que vai eliminar é usado como Certificado Predefinido.",
    'certificates_list__certificates_assigned_on_ip' => "Um ou vários certificados estão atribuídos aos endereços IP.",
    'ch_pass__admin_pass' => "A alterar palavra-passe do administrador",
    'ch_pass__old_pass' => "Palavra-passe antiga",
    'ch_pass__pass_confirm' => "Confirme",
    'ch_pass__unable_change_admin_pass' => "Não é possível alterar a palavra-passe: do administrador:%1",
    'check_mail_cycle__aliases' => "Foi detectado um ciclo no correio, o endereço \"%1\" faz parte dos nomes alternativos desta conta.",
    'check_mail_cycle__autoresponders' => "Foi detetado um ciclo no correio, o endereço \"%1\" faz parte das respostas automáticas desta conta.",
    'check_mail_cycle__mail_groups' => "Foi detectado um ciclo no correio, o endereço \"%1\" faz parte do grupo de correio desta conta.",
    'check_mail_cycle__mail_name' => "Foi detectado um ciclo no correio, o endereço \"%1\" coincide com esta conta de correio.",
    'check_mail_cycle__redirect' => "Foi detetado um ciclo no correio, o endereço \"%1\" coincide com o redirecionamento desta conta.",
    'check_mail_dup__redirect' => "Foi detetado um redirecionamento duplicado, o endereço \"%1\" coincide com o redirecionamento desta conta de correio.",
    'check_mail_dup__mail_groups' => "Foi detetado um redirecionamento duplicado, o endereço \"%1\" está englobado pelo grupo de correio desta conta de correio.",
    'check_maillist_cycle__admin' => "Foi detetado um ciclo no correio, o email do Administrador \"%1\" coincide com o endereço da lista de envio.",
    'check_maillist_cycle__member' => "Foi detectado um circuito fechado no email, o endereço \"%1\" coincide com o endereço da lista de envio.",

    // end of shramko part

    // serge part
    'cl_ed__edit_cl' => "Detalhes da conta %1",
    'cl_limits__cl' => "Limites do cliente %1",
    'cl_logo__setup_logo_pref' => "Configurar propriedades de logo para o cliente %1",
    'cl_new__enter_new_cl_data' => "Insira as informações sobre o novo cliente",
    'cl_new__unable_to_sent_notification' => 'A conta de utilizador foi criada, no entanto, o envio da notificação ao cliente falhou: %1',
    'cl_perm__all_ip' => "Todos os IP's disponíveis",
    'cl_perm__all_ip_based_hst_will_be_nb' => "Todas contas de alojamento baseadas em IP, para o cliente, serão transferidas para baseadas em nome.",
    'cl_perm__allow_client_create_domain' => "Os campos que está a tentar selecionar são aplicáveis apenas a Clientes que têm permissão para criar domínios.",
    'cl_perm__allow_create_nb_w_ip' => "Cliente pode criar alojamento baseado em nome usando %1",
    'cl_perm__allow_creation_ip_based_hosting' => "Permitir criação de contas de alojamento baseadas em IP",
    'cl_perm__available_ips' => "IP's Disponíveis",
    'cl_perm__change_limits' => "Ajuste de limites",
    'cl_perm__cl_disk_space' => "Espaço total em disco disponível",
    'cl_perm__cl_expiration' => "Período de validade da conta do cliente",
    'cl_perm__cl_max_box' => "Caixas de correio",
    'cl_perm__cl_max_db' => "Bases de dados",
    'cl_perm__cl_max_dom' => "Domínios",
    'cl_perm__cl_max_maillists' => "Listas de envio",
    'cl_perm__cl_max_subdom' => "Subdomínios",
    'cl_perm__cl_max_traffic' => "Quantidade total de tráfego disponível",
    'cl_perm__cl_max_wu' => "Utilizadores de rede",
    'cl_perm__cl_mbox_quota' => "Tamanho máximo da caixa de correio desta conta de utilizador",
    'cl_perm__current_maximum_exp_date' => "O valor máximo actual de período de validade do domínio é %1; requerido %2",
    'cl_perm__current_maximum_mailbox_quota' => "O valor do limite actualmente definido quanto à quantidade de espaço de disco atribuído para alojar as caixas de correio nesta conta de utilizador é de %1; pedido %2",
    'cl_perm__current_total_requested' => "O valor total actual de limites do domínio para %1 é %2; requerido %3",
    'cl_perm__current_total_requested_dom' => "Número atual de %1 pertencentes a este cliente é %2; pedido %3",
    'cl_perm__disk_space' => "quantidade máxima de espaço em disco",
    'cl_perm__dashboard_stdgui' => 'Interface do utilizador',
    'cl_perm__dashboard' => 'Vista da página Inicial',
    'cl_perm__stdgui' => 'Vista padrão',
    'cl_perm__manage_dashboard' => 'Gestão da página Inicial',
    'cl_perm__dashboard_and_stdgui' => 'Permitido visualizar a página Inicial e padrão',
    'cl_perm__dashboard_only' => 'Só permitir visualizar a página Inicial',
    'cl_perm__stdgui_only' => 'Só permitir visualizar a vista padrão',
    'cl_perm__edit_cl' => "Permissões do cliente %1",
    'cl_perm__exp_date_exceeded' => "O período de validade que está a tentar estabelecer excede o limite especificado para os domínios individuais relacionados com este cliente.",
    'cl_perm__invalid_value' => "Valor inválido, só são permitidos dígitos.",
    'cl_perm__limit_disk_space' => "%1 Limitar a quantidade de espaço total em disco",
    'cl_perm__limit_expiration' => "%1 Limitar o período de validade para a conta do cliente",
    'cl_perm__limit_max_box' => "%1 Limite de número máximo de caixas de correio",
    'cl_perm__limit_max_db' => "%1 Limite de número máximo de bases de dados",
    'cl_perm__limit_max_dom' => "%1 Limite de número máximo de domínios",
    'cl_perm__limit_max_maillists' => "%1 Limite de número máximo de listas de envio",
    'cl_perm__limit_max_subdom' => "%1 Limite de número máximo de subdomínios",
    'cl_perm__limit_max_traffic' => "%1 Limite de quantidade total de tráfego",
    'cl_perm__limit_max_wu' => "%1 Limite de número máximo de utilizadores de rede",
    'cl_perm__limit_mbox_quota' => "%1 Definir a quota da caixa de correio",
    'cl_perm__limits_exceeded' => "Um ou vários limites que está a tentar definir já foram excedidos pelos limites definidos para os domínios individuais pertencentes a este cliente. O limite total para o cliente tem que ser maior ou igual à soma total dos limites do domínio definidos para esta conta de cliente.",
    'cl_perm__mailbox_quota_exceeded' => "O limite da quantidade de espaço de disco atribuído para as caixas de correio que está a tentar inserir excede os limites definidos para os domínios pertencentes a este cliente.",
    'cl_perm__mailbox_quota_exceeds_server_limit' => "O limite da quantidade de espaço atribuído para as caixas de correio que está a tentar definir excede o limite imposto a nível de servidor.",
    'cl_perm__make_dumps' => "Backup e reposição de dados",

    'cl_perm__max_box' => "número máximo de caixas de correio",
    'cl_perm__max_db' => "Número máximo de bases de dados",
    'cl_perm__max_dom' => "domínios",
    'cl_perm__max_maillists' => "número máximo de listas de envio",
    'cl_perm__max_subdom' => "subdomínios",
    'cl_perm__max_traffic' => "quantidade máxima de tráfego",
    'cl_perm__max_wu' => "número máximo de utilizadores de rede",
    'cl_perm__max_dom_aliases' => "nomes alternativos de domínio",
    'cl_perm__mbox_quota' => "Quota da caixa de correio",
    'cl_perm__not_allow_create_nb_hst' => "Cliente não pode criar alojamento baseado em nome.",
    'cl_perm__this_ip_used_vrt_hst' => "Este endereço IP é usado para alojamento virtual.\nPara eliminar este endereço IP, remova o serviço de alojamento ou mude o seu tipo para baseado em nome.",
    'cl_perm__unable_off_ipb_creating' => "O cliente já tem o serviço de alojamento baseado em IP. Para desactivar esta funcionalidade ao cliente, desseleccione a checkbox \"Criação de Domínio\" ou remova todas as contas de alojamento baseadas em IP.",
    'cl_perm__unable_off_nb_creating' => "Este cliente já tem o serviço de alojamento baseado no nome. Para desactivar esta característica do cliente, desseleccione a checkbox \"Criação de Domínio\" ou remova todas as contas de alojamento baseadas em nome.",
    'cl_perm__unable_set_domain_limit' => "Impossível limitar o número máximo de domínios: cliente já tem %1 domínios",
    'cl_perm__unable_update_client_limitations' => "Impossível modificar os limites da conta do cliente: %1",
    'cl_pref__edit_cl' => "Preferências do cliente %1",
    'class_anonftp__create_ftp_domain' => "Não há domínio de FTP virtual para esta dom_id, tente criá-lo primeiro.",
    'class_anonftp__incoming_disk_space_should_be_lower' => "O limite de espaço de disco que está a tentar estabelecer (%1) não deverá exceder o disco o limite de espaço total definido para o domínio (%2)",
    'class_anonftp__invalid_input_only_digits' => "Valor especificado inválido, somente dígitos são permitidos",
    'class_anonftp__unable_change_ownerships' => "Impossível alterar a propriedade ou as permissões para o arquivo de quota: %1",
    'class_anonftp__unable_copy_quota_file' => "Impossível copiar arquivo de quota: %1",
    'class_anonftp__unable_get_disk_usage' => "Impossível recuperar informação de uso em disco no directório de entrada: %1",
    'class_anonftp__unable_parse_quota_file' => "Impossível analisar o arquivo de quota.",
    'class_anonftp__unable_read_quota_file' => "Impossível ler o arquivo de quota: %1",
    'class_anonftp__unable_update_quota' => "Foi impossível actualizar a quota: os arquivos no directório de entrada usam %1 KBs de espaço de disco o que excede o novo valor de quota",
    'class_anonftp__unable_write_temp_file' => "Não foi possível escrever no arquivo temporário: %1",
    'class_bsdomain__warn_max_date__' => "O período de validade foi fixado em %1",
    'class_client__client_creation_notification' => "Notificação de criação de cliente.",
    'class_client__client_with_contact_name_already_exists' => "Já existe um cliente com o nome %1.",
    'class_client__disk_space' => "Espaço em disco",
    'class_client__invalid_max_dom' => "O valor do números de domínios é inválido, só são permitidos dígitos.",
    'class_client__limit_exceed' => "A quantidade pretendida de %1 não pode ser atribuída porque iria exceder os limites da conta do cliente %2 da conta (%3). Se quiser atribuir mais recursos, vá a Clientes > nome de cliente > Limites e modifique os limites como desejado. Depois volte a este ecrã e tente ajustar as atribuições de novo.",
    'class_client__limit_exceed_unlimited' => "Caso deseje atribuir uma quantidade ilimitada de recursos (%1), primeiro deve ir a Clientes > nome de cliente > Limites e selecione a caixa de verificação ilimitada correspondente ao tipo de recurso pretendido. Depois volte a este ecrã e tente ajustar as atribuições de novo.",
    'class_client__max_box' => "Caixas de correio",
    'class_client__max_db' => "Bases de dados",
    'class_client__max_maillists' => "Listas de envio",
    'class_client__max_subdom' => "Subdomínios",
    'class_client__max_traffic' => "Tráfego máximo",
    'class_client__max_wu' => "Utilizadores de rede",
    'class_client__max_dom_aliases' => "Nomes alternativos de domínio",
    'class_client__mbox_quota' => "Quota da caixa de correio",
    'class_client__unable_define_cl_status' => "Impossível definir estado da conta do cliente: %1",
    'class_client__unable_define_inactive_dom' => "Impossível definir domínios inactivos %1",
    'class_client__unable_del_ip' => "Não foi possível remover os IP's: %1",
    'class_db__db_name_not_set' => "O nome de base de dados não foi definido.",
    'class_db__db_not_exist_for_curr_dom' => "A base de dados não existe neste domínio.",
    'class_db__invalid_db_or_dom_name' => "O domínio ou a ID da base de dados é inválida ou nome de base de dados não está definido.",
    'class_db__invalid_pass' => "A senha é inválida.",
    'class_db__mailgrp_member_exist' => "O membro de grupo de e-mail já existe.",
    'class_db__access_hosts_notsupport' => 'As configurações de acesso ao host não são suportadas para este tipo de base de dados',
    'class_db__unable_add' => 'Impossível adicionar o registo de acesso ao host: %1',
    'class_db__unable_del' => 'Impossível eliminar o registo de acesso ao host: %1',
    'class_db__inc_user_not_exist' => 'O utilizador de base de dados "%1" não existe',
    'class_db__inc_access_record_exist' => 'Este registo de acesso já existe',
    'class_db__inc_access_record_not_exist' => 'O registo de acesso inserido não existe',
    'class_db__inc_unable_del_last_record' => 'Impossível eliminar o ultimo registo de acesso ao host',
    'class_domtmpleditform__dns_master' => "Principal",
    'class_domtmpleditform__dns_slave' => "Secundário",
    'class_domtmpleditform__dns_type' => "Tipo de zona de DNS do domínio",
    'cmd_dns__a_dns_record_already_exist' => "Este registo estará em conflito com o A registro para a zona.",
    'cmd_dns__domain_last_ns' => 'Não é possível eliminar o último registo DNS NS para o domínio.',
    'cmd_dns__canonical_dom_name_is_invalid' => "O nome canónico do domínio é inválido.",
    'cmd_dns__cname_dns_record_already_exist' => "Este registo estará em conflito com o CNAME registro para a zona.",
    'cmd_dns__cname_in_rr_combination' => 'Existe um combinação incorrecta de registos DNS na zona DNS',
    'cmd_dns__cname_coexist_with_data' => 'Um registo DNS CNAME não pode coexistir com outros registos DNS na mesma zona.',
    'cmd_dns__dns_record_type_is_invalid' => "Tipo de registo DNS é inválido.",
    'cmd_dns__ext_host_is_not_resolved' => "O nome canónico %1 não é resolvido para um registo A ou AAAA.",
    'cmd_dns__domain_restore_dns_zone_failed_add_record' => 'Impossível adicionar o registo %1 à zona %2: %3',
    'cmd_dns__mail_dom_name_is_invalid' => "Nome do servidor de troca de e-mail é inválido.",
    'cmd_dns__mx_priority_is_invalid' => "Prioridade MX inválida.",
    'cmd_dns__name_server_is_invalid' => "Servidor de nome é inválido.",
    'cmd_dns__network_mask_should_be_24_16_or_8' => "Máscara de rede deve ser 24, 16 ou 8.",
    'cmd_dns__this_dns_record_already_exists' => "Este registo DNS já existe.",
    'cmd_dns__unable_add_record' => "Impossível adicionar o registo '%1': %2",
    'cmd_dns__unable_add_a_record' => "Impossível adicionar registo A: %1",
    'cmd_dns__unable_add_cname_record' => "Impossível adicionar registo CNAME: %1",
    'cmd_dns__unable_add_dns_record' => "Impossível adicionar registo DNS: %1.",
    'cmd_dns__unable_add_ext_ns_record' => "Impossível adicionar registo EXT_NS: %1",
    'cmd_dns__unable_add_ns_record' => "Impossível adicionar registo NS: %1",
    'cmd_dns__unable_add_ptr_record' => "Impossível adicionar registo PTR: %1",
    'cmd_dns__unable_add_txt_record' => "Não foi possível adicionar o registo TXT: %1",
    'cmd_dns__unable_create_dns_zone' => "Impossível criar a zona DNS %1",
    'cmd_dns__unable_define_dns_record' => "Impossível definir o registo DNS %1.",
    'cmd_dns__unable_get_default_dns_zone_status_set_true' => "Impossível obter o status predefinido da zona DNS: %1",
    'cmd_dns__unable_insert_a_record' => "Impossível inserir registo A: %1",
    'cmd_dns__unable_insert_mx_record' => "Impossível inserir registo MX: %1",
    'cmd_dns__unable_insert_ns_record' => "Impossível inserir registo NS: %1",
    'cmd_dns__unable_set_dns_zone_status' => "Impossível definir o status da zona DNS: %1",
    'cmd_domains__dom_already_exists' => "O domínio %1 já existe.",
    'cmd_domains__dns_record_already_exists' => "Impossível criar o domínio %1 porque já existe um registo DNS a apontar ao host %1.",
    'cmd_domains__dom_already_exists1' => "Existem %2 subdomínios neste domínio. O domínio %1 já existe.",
    'cmd_domains__dom_already_exists2' => "o sub-domínio %1 já existe.",
    'cmd_domains__dalias_already_exists' => "Este nome alternativo de domínio já existe.",
    'cmd_domains__domain_alias_already_exists' => 'Já existe um nome alternativo de domínio com esse nome.',
    'cmd_domains__unable_del_mail_for_dom' => "Impossível eliminar os serviços de correio para o domínio: %1",
    'cmd_domains__unable_delete_anonymous_ftp' => "Impossível eliminar a conta de FTP anónimo para o domínio: %1",
    'cmd_domains__unable_update_dom_param' => "Impossível actualizar os parâmetros do domínio: %1.",
    'cmd_domains__unable_rename_client_exist' => "o nome para login de administrador já se encontra em uso.",
    'cmd_hosting__hst_type_is_not_physical_hst' => "O tipo de alojamento não é físico.",
    'cmd_hosting__unable_create_user' => "Impossível criar o utilizador %2: %1",
    'cmd_hosting__unable_define_ip_addr_for_name_based_virtual_hosts' => "Impossível definir endereço IP para os alojamentos virtuais baseados em nomes: %1",
    'cmd_hosting__unable_del_old_hst' => "Impossível eliminar o alojamento previamente configurado: %1",
    'cmd_hosting__unable_del_protected_directory' => "Impossível eliminar directório protegido: %1.",
    'cmd_hosting__unable_del_web_user' => "Impossível eliminar o utilizador web: %1",
    'cmd_hosting__unable_make/update_virtual_host' => "Impossível criar ou actualizar o Alojamento Virtual: %1",
    'cmd_hosting__unable_make_frame_forward_hst' => "Impossível activar o alojamento de reendereçamento por janela.",
    'cmd_hosting__unable_rebuild_ftp_config' => "Impossível reconstruir o arquivo de configuração proftpd: %1.",
    'cmd_hosting__unable_set_up_ssl' => "Impossível configurar SSL/TLS: %1.",
    'cmd_hosting__unable_unprotect_ssl_directory' => "Impossível remover protecção do directório SSL/TLS: %1",
    'cmd_hosting__unable_update_dest_url' => "Não foi possível actualizar o URL de destino %1",
    'cmd_hosting__unable_update_dns_zone_for_dom_unable_exec_util' => "Não foi possível actualizar a zona de DNS para o domínio: a execução do utilitário falhou.",
    'cmd_hosting__unable_update_ftp_passwd' => "Impossível actualizar senha de FTP %1",
    'cmd_hosting__unable_update_user' => "Impossível actualizar o utilizador %2: %1",
    'cmd_hosting__unknown_hst_type' => "Tipo de alojamento desconhecido.",
    'cmd_hosting__you_not_have_permission_del_hst' => "Não tem a permissão para terminar o serviço de alojamento.",
    'cmd_mail__autoresponder__not_configured' => "A resposta automática para esta conta de correio não está configurada",
    'cmd_mail__addr_already_used_in_mail_redirect' => "Endereço %1 já está a ser usado num redirecionamento de e-mail.",
    'cmd_mail__alias_already_exists' => "o nome alternativo já existe.",
    'cmd_mail__autoresp_id_and_mailname_id_not_match' => "O ID da resposta automática e o ID da conta de correio não correspondem.",
    'cmd_mail__autoresp_id_is_undefined' => "ID de resposta automática está indefinido.",
    'cmd_mail__mail_alias_already_exists_in_mail_name' => "Um nome alternativo de correio com este nome já existe para a conta de correio %1.",
    'cmd_mail__mail_name_already_exists_in_maillists' => "A conta de correio %1 já está inscrita nesta lista de envio.",
    'cmd_mail__mail_name_alredy_exist_in_dom' => "A conta de correio %1 já existe no domínio.",
    'cmd_mail__mail_name_not_exist' => "A conta de correio não existe.",
    'cmd_mail__mail_name_passwd_part' => "A senha não deve conter o nome da conta de correio.",
    'cmd_mail__maillist_already_exist_in_this_dom' => "A lista de envio %1 já existe neste domínio.",
    'cmd_mail__mailname_already_exist_in_mg' => "A conta de correio %1 já existe no grupo de correio.",
    'cmd_mail__mailname_already_exist_in_this_dom' => "A conta de correio %1 já existe no domínio.",
    'cmd_mail__mailname_already_exists' => "A conta de correio já existe.",
    'cmd_mail__mailname_is_invalid' => "O nome da conta de correio %1 é inválido.",
    'cmd_mail__mailname_unable_update' => "Impossível actualizar as propriedades da conta de correio:",
    'cmd_mail__max_autoresp_reached_for_this_dom' => "O número máximo de respostas automáticas foi atingido neste domínio.",
    'cmd_mail__max_mail_groups_num_has_been_reached_for_this_dom' => "O número máximo de grupos de correio foi atingido neste domínio.",
    'cmd_mail__max_num_of_redirects_has_been_reached_for_this_dom' => "O número máximo de redirecionamentos foi atingido neste domínio.",
    'cmd_mail__max_postboxes_num_has_been_reached' => "O número máximo de caixas de correio foi atingido.",
    'cmd_mail__no_members_specified' => "não tem membros especificados.",
    'cmd_mail__the_passwd_is_too_simple_choose_another' => "A senha é muito simples, escolha outra.",
    'cmd_mail__this_addr_already_exist_in_mg_or_mn' => "Este endereço e-mail já está a ser utilizado.",
    'cmd_mail__unable_define_autoresp_id' => "Impossível definir ID de reposta automática %1",
    'cmd_mail__unable_update_mail_for_dom' => "Falhou a modificação das definições do serviço de correio para o domínio %1",
    'cmd_mail__unable_del_mail_for_dom' => "Não foi possível remover o serviço de correio do domínio %1",
    'cmd_mail__unable_del_mail_redirection' => "Impossível remover redirecionamento de e-mail %1",
    'cmd_mail__unable_remove_autoresp' => "Impossível remover respostas automáticas: %1",
    'cmd_mail__unable_remove_mail_group_members' => "Impossível remover os membros do grupo de e-mail: %1",
    'cmd_mail__unable_turn_off_mail_group' => "Falha ao desligar o grupo de correio: %1",
    'cmd_mail__unable_update_mail_redirect' => "Impossível atualizar o redirecionamento de e-mail %1",
    'cmd_mail__uploaded_file_is_too_big' => "O tamanho do arquivo carregado é muito grande.",
    'cmd_mail__additionally' => "Adicionalmente:",
    'cmd_pd__invalid_login' => "Nome de utilizador incorreto.",
    'cmd_pd__this_user_already_exist' => "Este utilizador já existe.",
    'cmd_pd__unable_define_hst_type' => "Impossível definir tipo de alojamento.",
    'cmd_pd__unable_upd_pd_usr' => "Impossível actualizar as propriedades do utilizador do directório protegido: %1.",
    'cmd_pd__user_is_undefined' => "Utilizador indefinido.",
    'cmd_server__no_enough_free_disk_space' => "Espaço em disco insuficiente.",
    'cmd_server__old_passwd_is_incorrect_please_try_again' => "a senha antiga está incorrecta. Por favor, tente novamente.",
    'cmd_web_usr__max_web_users_reached_for_this_dom' => "o limite máximo de utilizadores de rede foi alcançado para este domínio.",
    'cmd_web_usr__unable_create_user' => "impossível criar utilizador de sistema: %1",
    'cmd_web_usr__unable_define_max_web_users_limit' => "impossível definir o limite máximo de utilizadores de rede: %1",
    'cmd_web_usr__user_already_exists' => "o utilizador já existe.",
    'cmd_web_usr__web_user_name_is_invalid' => "o nome do utilizador web %1 é inválido.",
    'cmd_web_usr__web_user_not_exist' => "o utilizador web não existe.",
    'common_func__exec_bad_argument' => "o argumento exec não deve conter o símbolo das aspas simples.",
    '__eol' => 'Quebras de linha',
    'eol__binary_file' => 'Impossível modificar o estilo de quebra de linha no ficheiro binário.',
    'cp_access_admin_deny' => "Acesso do administrador para o endereço '%1' é restrito de acordo com a política de restrição actualmente aplicada.",
    'create_domain_warn__' => "As seguintes excepções foram feitas durante a criação do domínio:",
    'create_domain__client_select' => 'Selecione o cliente para o qual você deseja criar o domínio',

    'dashboard__nav_button_name' => "Início",
    'dalias__list_title' => 'Nomes alternativos de domínio para o domínio %1',
    'dalias__list_legend' => 'Nomes alternativos de domínio',
    'dalias__list_header' => 'Nomes alternativos de domínio',
    'dalias__list_status' => 'F',
    'dalias__list_name' => 'Nome do nome alternativo de domínio',
    'dalias__list_ascii_name' => 'Em formato ASCII',
    'dalias__remove_title' => 'Os seguintes nomes alternativos de domínio para o domínio %1 serão removidos:',
    'dalias__select_domain_aliases_to_remove' => 'Seleccione os nomes alternativos de domínio a serem removidos.',
    'dalias__mail_turn_on_failed' => 'Impossível ligar o serviço de e-mail: %1',
    'dalias__web_turn_on_failed' => 'Incapaz de ativar o serviço web: %1',
    'db_usr_edit__db_usr_name_old' => "Antigo nome de utilizador da base de dados",
    'database_server_edit_form__cannot_infer_type' => 'Não foi possível inferir o método de ligação a partir dos dados facultados. Especifique "127.0.0.1" como nome do anfitrião do servidor da base de dados para ligar através de TCP/IP com a porta facultada, o deixe o campo da porta em branco para utilizar o socket de Unix "%1".',
    'database_server_edit_form__duplicate' => 'Um servidor de base de dados com esta combinação de endereço e numero de porta já se encontra registado.',
    'database_server_edit_form__host_is_invalid' => 'O nome de anfitrião especificado não é válido.',
    'database_server_edit_form__port_is_invalid' => 'O número de porta especificado não é válido.',
    'database_server_error__consult_admin' => 'Contacte o administrador do servidor.',
    'database_server_error__last__connection_failed' => 'A ultima tentativa de controlar este servidor de bases de dados falhou por problemas de rede.',
    'database_server_error__last__permission_denied' => 'A ultima tentativa de controlar este servidor de bases de dados falhou porque a conta inserida não tinha privilégios de administração.',
    'database_server_error__last__credentials_not_set' => "A última tentativa de ligação a este servidor falhou porque não foram especificados um nome de utilizador e senha de administrador válidos.",
    'database_server_error__last__other_error' => 'A ultima tentativa de controlar este servidor de bases de dados falhou.',
    'database_server_error__real__connection_failed' => 'A conexão ao servidor de base de dados falhou por causa de problemas de rede:',
    'database_server_error__real__permission_denied' => 'A conexão ao servidor de base de dados falhou porque a conta inserida não tem privilégios de administração:',
    'database_server_error__real__duplicate_object' => 'A conexão ao servidor de base de dados falhou por um conflito de nomes:',
    'database_server_error__real__unacceptable_name' => 'A conexão ao servidor de base de dados falhou por causa do nome do objecto ser inválido;',
    'database_server_error__real__unacceptable_password' => 'A conexão ao servidor de base de dados falhou por não ser possível aceitar a senha:',
    'database_server_error__real__credentials_not_set' => "O Plesk não pode ligar-se ao servidor da base de dados porque não foram especificados um nome de utilizador e senha de administrador válidos.",
    'database_server_error__real__other_error' => 'A ligação ao servidor de bases de dados falhou:',
    'database_server_error__test__connection_failed' => 'O teste de ligação ao servidor da base de dados falhou por causa de problemas de rede:',
    'database_server_error__test__permission_denied' => 'O teste da ligação ao servidor da base de dados falhou porque a conta inserida não tem privilégios de administração:',
    'database_server_error__test__duplicate_object' => 'O teste da ligação ao servidor da base de dados falhou por causa de um conflito de nomes:',
    'database_server_error__test__unacceptable_name' => 'O teste da ligação ao servidor da base de dados falhou por causa do nome do objeto ser inválido:',
    'database_server_error__test__unacceptable_password' => 'O teste da ligação ao servidor de base de dados falhou por não ser possível aceitar a senha:',
    'database_server_error__test__credentials_not_set' => "O teste de ligação a este servidor falhou porque não foram especificados um nome de utilizador e senha de administrador válidos.",
    'database_server_error__test__other_error' => 'O teste da ligação ao servidor da base de dados falhou:',

    'db__create_new_db' => "Adicionar uma base de dados",
    'db__db_add' => "Adicionar base de dados",
    'db__db_for_dom' => "Banco de dados do Website %1",
    'db__db_id_undefined' => "ID de base de dados está indefinida.",
    'db__db_name' => "Nome da base de dados",
    'db__db_not_exist' => "A base de dados não existe.",
    'db__db_type' => "Tipo",
    'db__db_server' => "Servidor da base de dados",
    'db_server_not_exist' => "O servidor de Base de Dados não existe.",
    'db__db_user_not_exist' => "O utilizador de base de dados não existe.",
    'db__domain_not_exist' => "Domínio não existe.",
    'db__enter_db_name' => "Insira novo nome da base de dados.",
    'db__invalid_db_id' => "Identificador da base de dados é inválido.",
    'db__invalid_db_name' => "O nome da base de dados não é válido. O nome da base de dados só pode conter símbolos do alfabeto latino, dígitos, sublinhado ou traço. Não pode ser maior que 63 símbolos.",
    'db__max_db_reached_for_dom' => "O limite do número de bases de dados foi atingido para este domínio.",
    'db__max_mssql_db_reached_for_dom' => "Foi alcançado o limite máximo do número de bases de dados no servidor de SQL Microsoft para este domínio",
    'db__postgres_not_connect_for_admin' => "Impossível conectar ao PostgreSQL. Ligue o suporte ao PostgreSQL na página de administração do servidor.",
    'db__postgres_not_connect_for_client' => "Impossível conectar ao PostgreSQL. Contacte o administrador do sistema para obter ajuda.",
    'db__remove_db_on_domain' => "Serão removidas as seguintes bases de dados do website %2 pertencente ao cliente %1:",
    'db__remove_db_on_domain_of_cl' => "Serão removidas as seguintes bases de dados do domínio %2 pertencente ao cliente %1:",
    'db__remove_db_linked_resource' => 'Esta base de dados está em uso por uma aplicação web. Só pode ser removida após desinstalar a aplicação web.',
    'db__remove_db_users' => "Serão removidos os seguintes utilizadores das bases de dados %3 do domínio %2 pertencente ao cliente %1:",
    'db__remove_db_users_of_cl' => "Serão removidos os seguintes utilizadores das bases de dados %3 do domínio %2 pertencente ao cliente %1:",
    'db__select_db_for_remove' => "Seleccione as bases de dados a serem removidas.",
    'db__select_db_users_for_remove' => "Seleccione os utilizadores de bases de dados para remoção.",
    'db__unable_create_db_user' => "Impossível criar o utilizador de base de dados: %1",
    'db__unable_define_db_name' => "Impossível definir nome de base de dados: %1",
    'db__unable_define_db_user' => "Impossível definir o utilizador de base de dados: %1",
    'db__unable_define_db_users' => "Impossível definir os utilizadores de base de dados: %1",
    'db__unable_select_dom_name' => "Impossível seleccionar nome de domínio: %1",
    'db_edit__db_for_dom' => "Utilizadores para a base de dados %1 no domínio %2",
    'db_edit__invalid_db_name' => "O nome da base de dados é inválido.",
    'db_edit__no_users' => "Não existe nenhum utilizador com credenciais para esta base de dados.",
    'db_edit__unable_define_db_usrs' => "Impossível definir utilizadores da base de dados: %1",
    'db_edit__unable_select_db_usr' => "Impossível seleccionar utilizador da base de dados.",
    'db_edit__db_user_password_for_' => "Por favor, insira a senha para entrar como o utilizador  %1 da base de dados",
    'db_list__tab_title_db_type' => "T",
    'db_usr_edit__add_db_usr' => "Adicionar utilizador de base de dados",
    'db_usr_edit__db_usr_name' => "Nome do utilizador de base de dados",
    'db_usr_edit__edit_db_usr' => "Configurar autenticações para uma conta de utilizador de base de dados",
    'db_usr_edit__for_db' => "na base de dados %1",
    'db_usr_edit__not_create_pass' => "Esta operação resultará na criação de uma conta de utilizador da base de dados sem senha.\nDeseja criar um utilizador sem atribuir uma senha?",
    'dbuser__only_one_user_can_be_default' => "Só um utilizador pode ser o predefinido.",
    'db_server__cannot_delete_default' => "O servidor de base de dados predefinido não pode ser eliminado.",
    'db_server__cannot_delete_local' => "O servidor local de bases de dados não pode ser eliminado.",
    'db_server__cannot_delete_used' => 'Um servidor da base de dados não pode ser excluído enquanto existirem bases de dados ou utilizadores da base de dados hospedados nele.',
    'demo__disabled_in_demo' => "Esta operação não é suportada na versão de demonstração.",
    'defaultcomponents__title' => "Seleccionando Serviços de Terceiros",
    'defaultcomponents__select_default' => "Seleccione o componente %1 predefinido", //to check
    'defaultcomponents__not_installed' => "(não está instalado)",
    'defaultcomponents__not_configured' => "(não configurado)", // to check
    'defaultcomponents__not_opted_to_install_support_files' => "Algumas das categorias de serviços contêm selecções inválidas, ou nenhuma selecção foi feita.",
    'defaultcomponents__depends_on' => "(requer %1)",
    'defaultcomponents__parameters' => "Parâmetros de %1",
    'component_name__antivirus' => "Antivírus",
    'component_name__database' => "Servidor SQL",
    'component_name__sqladmin' => "MySQL Web Admin",
    'component_name__sqladminmysql' => "MySQL Web Admin",
    'component_name__dnsserver' => "Servidor DNS",
    'component_name__firewall' => "Firewall",
    'component_name__ftpserver' => "Servidor FTP",
    'component_name__java' => "Java",
    'component_name__mailserver' => "Servidor de correio",
    'component_name__local_mailserver' => "Servidor de correio local",
    'component_name__psa' => "Plesk",
    'component_name__script' => "Scripting web",
    'component_name__spamfilter' => "Filtro de Spam",
    'component_name__stats' => "Estatísticas de rede",
    'component_name__stunnel' => "SSL/TLS Wrapper",
    'component_name__webmail' => "Correio",
    'component_name__webpublish' => "Publicação na rede",
    'component_name__webserver' => "Servidor de rede",
    'dns__dns_record_invalid_values' => 'Foram especificados valores de registo DNS incorretos: %1: %2',
    'dns__dns_record_not_found' => 'Não foi encontrado registo DNS',
    'dns__dns_zone_invalid_values' => 'Foram especificados valores incorrectos na Zona DNS.',

    'dns__soa_mname_title' => 'Nome do servidor principal',
    'dns__soa_mname_legend' => 'Servidor do nome',
    'dns__soa_mname_autoselect' => '(Seleção automática)',

    'dns__dns_zone_off_remove_title' => "Os seguintes registos de recursos serão removidos da zona %1:",
    'dns__dns_zone_master_remove_title' => "Remover os Registros de Recursos da Zona de DNS %1",
    'dns__dns_zone_slave_remove_title' => "Os seguintes registos do servidor de nome principal para %1 serão removidos:",
    'dns_add__param_ttl' => "TTL",
    'dns_add__enter_spf' => 'Insira a cadeia do registo',
    'dns_add__is_spf_syntax' => 'Registo SPF',
    'dns_add__spf_value_is_invalid' => "O valor do registo de SPF é incorrecto, tem que começar com 'v=spf'",
    'dns__dns_zone_status' => "Status de zona DNS.",
    'dns__invalid_ip_address' => "O endereço IP do novo servidor DNS principal é inválido ou está vazio.",
    'dns__ip_address' => "Endereço IP",
    'dns__master_dns_type' => "é um servidor DNS principal",
    'dns__masters' => "servidores DNS principais",
    'dns__soa_minimum_too_large' => 'Não é recomendável fazer a cache das respostas negativas por mais de três horas.',
    'dns__select_masters_to_remove' => "Seleccione os servidores primários de DNS a remover.",
    'dns__select_template_record_to_remove' => 'Seleccione os registos DNS do modelo a remover.',
    'dns__nameservers_for_domain' => "Nomes de servidores para o domínio",
    'dns__remove_dns_zone_of_domain__' => "Remoção de registos DNS do domínio %1",
    'dns__remove_dns_zone_template__' => "Os seguintes registos DNS serão removidos do modelo:",
    'dns__remove_this_dns_record?' => "Você tem certeza de que deseja remover este registo DNS?",
    'dns__restore_default' => "A repor a zona DNS pelo modelo",
    'dns__restore_default_confirm' => "Ao repor a zona de DNS, descartará a configuração DNS atualmente usada. Quer prosseguir ?",
    'dns__restore_default_error' => "Erro ao repor a zona DNS:",
    'dns__slave_dns_type' => "é um servidor de DNS secundário",
    'dns__subdomain_dns_rec_removed' => "O registo tipo A foi removido da zona do sub-domínio %1.",
    'dns__zone_switched_off_no_ns' => "A zona foi desligada porque não existe nenhum registo NS %1, o qual deve estar presente na zona. Para adicionar o registo à zona, clique o botão Adicionar Registo.",
    'dns__cant_switch_on_no_ns' => "A zona não pode ser ligada porque não existe nenhum registo NS %1, o qual deve estar presente na zona. Para adicionar o registo à zona, clique o botão Adicionar Registo.",
    'dns__unable_activate/deactivate_dns' => "Impossível activar/desactivar DNS: %1",
    'dns__unable_add_dns_master_duplicate_entry' => "Não foi possível adicionar servidor DNS principal: entrada duplicada.",
    'dns__unable_add_dns_master_local_ip' => "Não foi possível adicionar o endereço IP para o servidor DNS principal: este registo deve ser criado num servidor remoto.",
    'dns__unable_define_dns_record' => "Impossível definir o registo DNS: %1",
    'dns__unable_get_dns_template_status' => "Impossível obter o status do modelo de DNS.",
    'dns__unable_remove_dns_rec' => "Impossível remover o registo DNS: %1",
    'dns__warnings__' => "Resultado da modificação da zona DNS:",
    'dns__you_not_have_perm_manage_dns' => "Não tem permissão para administrar a zona de DNS para este domínio.",
    'dns__cant_create_record_with_server_ip' => "Impossível adicionar este endereço IP pois correspondente ao endereço IP deste servidor.",

    'dns__tabs_acl' => "Restrições de Transferência",
    'dns__acl_add_network_legend' => "Adicionar rede",
    'dns__acl_add_ip_legend' => "Adicionar Endereço IP",
    'dns__acl_network_not_allowed' => "Este endereço de rede não é autorizado pelo DNS no Windows.",
    'dns__acl_enter_ip_address_with_mask' => "Endereço/máscara IP",
    'dns__acl_enter_ip_address' => "Endereço IP",
    'dns__acl_list_network_legend' => "Lista de redes autorizadas a obter uma cópia da zona DNS.",
    'dns__acl_list_ip_legend' => "Endereços IP autorizados a obter uma cópia da zona DNS.",
    'bt_dns_acl_add_network' => "Adicionar rede",
    'bt_dns_acl_add_ip' => "Adicionar Endereço IP",

    'dns_add__add_rec_for_zone' => "Adicionar %1 à zona %2",
    'dns_add__canonical_dom_name_is_invalid' => "O nome canónico do domínio é inválido.",
    'dns_add__enter_canonical_name' => "Insira um nome canónico",
    'dns_add__enter_dom_name' => "Nome do domínio",
    'dns_add__enter_ip_address' => "Endereço IP",
    'dns_add__enter_ip_mask' => "Endereço de IP e máscara de rede",
    'dns_add__enter_mail_domain' => "Domínio do e-mail",
    'dns_add__enter_mail_exchanger' => "Servidor exchange de e-mail",
    'dns_add__enter_nameserver' => "Servidor de nome",
    'dns_add__enter_txt_record' => "Insira um registo TXT",
    'dns_add__enter_service_name' => "Nome do serviço",
    'dns_add__hint_service_name' => "Exemplo: SIP (sem símbolo de sublinhado)",
    'dns_add__enter_protocol' => "Protocolo",
    'dns_add__hint_protocol_name' => "Exemplo: TCP (sem símbolo de sublinhado)",
    'dns_add__protocol_tcp' => "TCP",
    'dns_add__protocol_udp' => "UDP",
    'dns_add__enter_srv_priority' => "Prioridade",
    'dns_add__specify_weight_of_service' => "Peso relativo para registos com a mesma prioridade",
    'dns_add__enter_target_host' => "Host alvo",
    'dns_add__hint_target_host' => "Exemplo: exemplo.com",
    'dns_add__enter_target_port' => "Porta alvo",
    'dns_add__caa_tag' => "Etiqueta",
    'dns_add__caa_value' => "Valor",
    'dns_add-invalid-A_ip' => "Endereço IP é inválido.",
    'dns_add-invalid-AAAA_ip' => "Endereço IP é inválido.",
    'dns_add-invalid-PTR_ip_mask' => "Par endereço IP/máscara da rede é inválido.",
    'dns_add-invalid-SRV_service_name' => "Nome de serviço inválido",
    'dns_add-invalid-SRV_protocol_name' => "Protocolo inválido",
    'dns_add-invalid-SRV_target_port' => "Porta-alvo inválida",

    'dns_add__invalid_ip' => "Endereço IP é inválido.",
    'dns_add__low' => "baixo",
    'dns_add__mail_dom_name_is_invalid' => "Nome de domínio de e-mail é inválido.",
    'dns_add__nameserver_is_invalid' => "Servidor de nome é inválido.",
    'dns_add__record' => "registo %1",
    'dns_add__select_prefer_for_mail_exchange_server' => "Especifique a prioridade do servidor de troca de e-mail",
    'dns_add__unable_insert_new_dns_rec' => "Impossível inserir novo registo DNS: %1",
    'dns_add__very_high' => "muito alta",
    'dom_ctrl__allowed' => "Permitido",
    'dom_ctrl__db' => "Bases de dados do MariaDB/MySQL",
    'dom_ctrl__mssql_db' => "Base de dados MS SQL",
    'dom_ctrl__disk_space' => "Espaço em disco",
    'dom_ctrl__dom_adm' => "Domínio %1 de %2",
    'dom_ctrl__dom_cl' => "Domínio %1",
    'dom_ctrl__domain_has_forwarding_with_undefined_fwd_url' => "Domínio tem configuração de encaminhamento com URL indefinida",
    'dom_ctrl__domain_has_frame_forwarding' => "O domínio está  ser reendereçado por janela para a URL %1",
    'dom_ctrl__domain_has_no_hosting' => "O domínio não tem nenhum alojamento configurado",
    'dom_ctrl__domain_has_physical_hosting' => "O domínio tem alojamento Web no endereço IP %1",
    'dom_ctrl__domain_has_standard_forwarding' => "O domínio está  ser reendereçado para a URL %1",
    'dom_ctrl__maillists' => "Listas de envio",
    'dom_ctrl__mboxes' => "Caixas de correio",
    'dom_ctrl__mg' => "Reencaminhamentos de correio",
    'dom_ctrl__resource_name' => "Recurso",
    'dom_ctrl__resp' => "Respostas automáticas",
    'dom_ctrl__subdom' => "Subdomínios",
    'dom_ctrl__dom_aliases' => "Nomes alternativos de domínio",
    'dom_ctrl__traffic' => "Tráfego",
    'dom_ctrl__unable_activate/deactivate_dom' => "Impossível activar/desactivar domínio: %1",
    'dom_ctrl__used' => "Usada",
    // end of serge part

    // maverick part
    'dom_ctrl__wu' => "Utilizadores de rede",
    'dom_pref__bounce_with_phrase' => "Devolver incluindo mensagem",
    'dom_pref__bounce' => "Devoluções",
    'dom_pref__catch_addr' => "Enviar para endereço determinado",
    'dom_pref__reject' => 'Rejeitar',
    'dom_pref__confirm_domain_removing' => "Por favor, não se esqueça de informar os visitantes do domínio sobre a mudança do nome deste domínio. Tem certeza que deseja modificar o nome do domínio?",
    'dom_pref__db_inconsystency' => "Inconsistência de base de dados.",
    'dom_pref__dbs' => "bases de dados",
    'dom_pref__delete_traffic_stat' => "Reter as estatísticas de tráfego e Web",
    'dom_pref__delete_traffic_stat_older' => "Reter as estatísticas de tráfego e Web",
    'dom_pref__dom_level_name_conflict' => "O nome de utilizador do administrador do domínio conflitua com o nome de utilizador de um dos clientes.",
    'dom_pref__invalid_disk_space_limit' => "Limite de espaço de disco inválido. Valor máximo: %1",
    'dom_pref__invalid_expiration_date_limit' => "Período de validade inválido.",
    'dom_pref__invalid_max_traffic_limit' => "Limite de tráfego inválido. Valor máximo: %1",
    'dom_pref__limits_of_dom' => "Limites para o domínio %1",
    'dom_pref__mail_grps' => "Grupos de e-mail",
    'dom_pref__mail_nonexistent_user' => "O que fazer com e-mail enviado a um utilizador não existente?",
    'dom_pref__mail_redirs' => "Redirecionamentos de e-mail",
    'dom_pref__mail_resps' => "Respostas automáticas",
    'dom_pref__max_limit_is_invalid' => "%1 é inválido.",
    'dom_pref__max_num_of_%objects_is_invalid' => "Número máximo de %1 é inválido.",
    'dom_pref__new_limit_less_currently_used' => "%1: necessários - %2, actualmente usados - %3",
    'dom_pref__older_that' => "para",
    'dom_pref__postboxes' => "caixas de correio",
    'dom_pref__preferences_of_dom' => "Preferências para o domínio %1",
    'dom_pref__redirect_to_itself' => "O domínio será reendereçado para si próprio",
    'dom_pref__traffic_logging_period_couldnt_be_lower' => "Você especificou o tempo de retenção de estatísticas de tráfego de domínio para ser menor do que o valor total definido para o servidor (%1 mês(es)). O período de retenção de estatísticas será definido como igual ao valor predefinido para o servidor (%1 mês(es)).",
    'dom_pref__unable_add_www_prefix_in_dom' => "Impossível adicionar um prefixo www ao domínio: %1",
    'dom_pref__unable_define_physical_hst_param' => "Impossível definir parâmetros de alojamento físico: %1",
    'dom_pref__unable_rename_domain' => "Não foi possível mudar o nome do domínio %1: %2",
    'dom_pref__unable_set_up_mbox_quota' => "Impossível definir quota da caixa de correio para este domínio: %1",
    'dom_pref__unable_set_up_web_user_script' => "Não foi possível activar o scripting para os utilizadores de rede: %1",
    'dom_pref__unlimited' => "Ilimitado",
    'dom_pref__web_usrs' => "utilizadores de rede",
    'dom_pref__you_already_have_%object' => "Você já tem %1",
    'cu_domain__error_unable_update_ftp_users' => 'Não foi possível atualizar os utilizadores do FTP do domínio: %1',
    'dom_cli__warning_ignore_quota' => 'AVISO: A opção "-hard_quota" foi ignorada: não são suportadas quotas de  disco rígido',
    'dom_user_client_login_exist' => "Impossível permitir o acesso do administrador de domínio ao Plesk no domínio %1: o nome de utilizador já se encontra em utilização.",
    'domain__unable_to_turn_on_service' => "Falha ao ligar o serviço %1.",
    'domains__change_the_status_of_domain?' => "Você tem certeza de que deseja alterar o status do domínio %1?",
    'domains__unable_to_change_client_status' => "Impossível alterar o estado da conta do cliente: %1",
    'domains__unable_update_apache_settings' => "Impossível actualizar configurações Apache",
    'domains__you_do_not_have_permissions_to_delete_domains' => "Não tem permissões para eliminar domínios.",
    'domains_list__unable_remove_doms' => "Impossível remover domínios: %1",

    'domain_aliases_remove__select_domain_aliases_for_remove' => 'Seleccione os nomes alternativos de domínio a serem removidos.',
    'domain_aliases_remove__title' => 'A remover os nomes alternativos do domínio',
    'domain_aliases__max_aliases_reached_for_dom' => "O limite do número de nome alternativo foi alcançado para este domínio.",
    'domain_edit__edit_title' => 'Editar o nome de nome alternativo do domínio',
    'domain_alias_edit__type' => 'Tipo de nome alternativo do domínio',
    'domain_aliases__list_header' => 'Nomes alternativos de domínio',
    'domain_aliases__name' => 'Nome',
    'domain_aliases__type' => 'Tipo',
    'domain_aliases__type_full' => 'Web+FTP+EMail',
    'domain_aliases__type_web_ftp' => 'Web+FTP',
    'domain_aliases__page_title' => 'Nomes alternativos de domínio',
    'domain_aliases__legend' => 'Nomes alternativos de domínio',
    'domain_alias__domain_exists' => 'Já existe um domínio com esse nome.',
    'domain_alias__subdomain_exists' => 'Já existe um subdomínio com esse nome.',
    'domain_alias__dns_record_exists' => 'Já existe um registo de DNS com esse nome de nome alternativo de domínio',
    'domain_alias__domain_alias_exists' => "Já existe um nome alternativo de domínio com esse nome.",
    'domain_alias__invalid_type_full' => 'O servidor de correio não suporta nome alternativo de domínio',
    'domain_alias__redirect_exists' => 'Detetado um redirecionamento para si próprio',

    'ds__anonymous_ftp' => "FTP Anónimo",
    'drweb__pagetitle' => 'Definições do antivírus',
    'drweb__drweb' => 'Verificação de correio por Antivírus',
    'drweb__drweb_direction' => 'A verificar o correio por viroses',
    'drweb__drweb_direction_off' => 'Não verificar os virús',
    'drweb__drweb_direction_any' => 'Correio a entrar e a sair',
    'drweb__drweb_direction_from' => 'Só correio a sair',
    'drweb__drweb_direction_to' => 'Só correio a entrar',
    'drweb__disable_reason_key' => 'O Dr.Web não é suportado pela chave de licença.',
    'drweb__disable_reason_perm' => 'Não tem permissão para administrar o Dr.Web.',
    'drweb__disable_reason_install' => 'O Dr.Web não está instalado.',
    'drweb__filters' => 'Filtros Antivírus',
    'ds__dns' => "Zona DNS",
    'ds__mail' => "Correio.",
    'dumps_list__deletion_page_title' => "Serão removidos os seguintes ficheiros de backup do domínio %1:",
    'dumps_list__dumpfile_is_invalid' => "O arquivo %1 não é um arquivo de backup de domínio válido.",
    'dumps_list__page_title' => "Armazenamento de ficheiros de cópias de segurança",
    'dumps_upload__page_title' => "A carregar ficheiros de cópias de segurança para armazenamento",
    'dumps_list__repository_is_not_exist' => "Armazenamento dos ficheiros de cópias de segurança não existe.",
    'dumps_list__unable_to_remove' => "Impossível remover arquivo de backup: %1",
    'dumps_list__dumpfile_can_conflict' => "O nome de ficheiro especificado entra em conflito com o ficheiro %1 Por favor, introduza outro nome de ficheiro.",
    'dusr_ed__allow_dl_usr_access' => "Permitir o acesso ao administrador do domínio",
    'dusr_ed__information' => "Editar as propriedades do Administrador de Domínio %1",
    'dusr_ed__locale' => "Idioma do administrador de domínio",
    'dusr_ed__skin' => "Skin do interface do administrador de domínio",
    'dusr_ed__personal_information' => 'Formulário do cliente',
    'ess__error' => "Erro",
    'example__' => "Exemplo: %1",
    'extras__allow_certificate_purchasing' => "Permitir aquisição de certificado",
    'extras__allow_domain_registration' => "Permitir registo de domínio",
    'extras__allow_extras' => "Permitir serviços extra",
    'extras__buy_new_key' => "A sua licença atual não permite que modifique estes objetos.",
    'extras__setup_services' => "Configurar serviços adicionais",

    'ruleeditform__error' => 'Não é possível atualizar a regra de firewall.',
    'ruleeditform__name_is_required' => 'Especifique o nome da regra.',
    'ruleeditform__profiles_is_required' => 'Selecione pelo menos um perfil.',
    'ruleeditform__invalid_ip' => 'O endereço IP ou rede especificados são inválidos.',
    'ruleeditform__invalid_port' => 'A porta especificada é inválida. Os valores permitidos são 1000 ou 1000-1051',

    'get_password__encrypted_password' => "Impossível enviar informações da palavra-passe: a palavra-passe está gravada de forma encriptada.",
    'get_password__mail_error' => "Ocorreu um erro durante a tentativa de enviar a palavra-passe para o e-mail %1: %2",
    'get_password__mail_ok' => "A palavra-passe foi enviada com sucesso para o e-mail: %1",
    'get_password__message' => "O seu nome de utilizador para aceder ao sistema: %1\nA sua palavra-passe é %2",
    'get_password__subject' => "A senha para acesso ao sistema",
    'groups__available' => "Grupos de e-mail disponíveis",
    'groups__groups_for_mailname' => "Grupos de correio aos quais a conta de correio %1 pertence",
    'groups__member_of' => "Membro dos seguintes grupos de e-mail",
    'help__help_area' => "Área de ajuda.",
    'hst_def__auth_disabled' => "proibido",
    'hst_def__auth_enabled' => "permitido",
    'hst_def__change_curr_dns_ip' => "O endereço IP atual do registo DNS A será alterado",
    'hst_def__cr_hosting_ip_dns_ip_not_equiv' => "Nenhum dos endereços IP do registo DNS A coincide com o endereço IP designado para a conta de alojamento a ser criada",
    'hst_def__dest_url' => "URL destino",
    'hst_def__disk_quota' => "Quota de disco",
    'hst_def__disk_space_limit_exceed_incoming_quota' => "O limite de espaço em disco que você está tentando definir é excedido pelo limite de espaço em disco no directório de entrada de FTP anónimo. O limite de espaço em disco no directório de entrada de FTP anónimo não pode exceder o limite de espaço em disco do domínio.",
    'hst_def__frame_forwarding_definition' => "Atribuição de reendereçamento por janela para o domínio %1",
    'hst_def__ftpuser_for_hst_not_exist_in_system' => "Atenção: O utilizador FTP %1 é utilizado numa conta de alojamento mas não existe no sistema.",
    'hst_def__hst_type_is_not_defined' => "Tipo de alojamento não está definido",
    'hst_def__ip_based' => "Baseado em IP",
    'hst_def__name_based_power_anonymous_ftp_down' => "A transferência desta conta de alojamento para um endereço IP partilhado irá indisponibilizar o FTP Anónimo do domínio. Quer prosseguir ?",
    'hst_def__password_is_invalid_password_syntax' => "A senha não é válida.\nNão use aspas, espaços e caracteres de alfabetos nacionais na sua senha.\nO comprimento da senha deverá ser de 5 a 14 caracteres. A senha não deverá conter o nome do utilizador.",
    'hst_def__shell' => "Acesso SSH ao shell do servidor no utilizador do sistema de assinatura",
    'hst_def__shell_windows' => "Acesso ao Desktop remoto para o servidor sob o usuário do sistema do assinante",
    'hst_def__standard_forwarding_definition' => "Atribuição do reendereçamento padrão para o domínio %1",
    'hst_def__title_name_based' => "Baseado em nome",
    'hst_def__unable_create/update_physic_hst' => "Impossível criar/actualizar alojamento físico: %1",
    'hst_def__unable_create/update_std_fwd' => "Impossível criar/actualizar reendereçamento padrão: %1",
    'hst_def__unable_create_forwarding_myself' => "Impossível criar um reendereçamento para o próprio domínio.",
    'hst_def__unable_turn_same_ssl_while_ssl_off' => "Impossível permitir a utilização de um único directório para guardar o conteúdo SSL/TLS e não-SSL/TLS: O suporte ao SSL/TLS está desligado..",
    'hst_def__unable_turn_on_ssl_cert_not_defined' => "Não foi possível ligar o suporte de SSL/TLS: não existe um certificado de SSL/TLS instalado.",
    'hst_def__url_is_invalid' => "URL é inválida.",
    'hst_def__virtual_host_access' => "Acesso ao alojamento virtual para o domínio %1",
    'hst_def__virtual_host_uses_non_existed_ip_address' => "ATENÇÃO. Este alojamento virtual está a usar um endereço IP inexistente para alojamento.",
    'hst_def__you_have_no_ips' => "Não tem endereços IP disponíveis e não tem permissão para criar alojamento baseado em nome.",
    'hst_sel__header' => "Para alojar um site Web nesta máquina, selecione a opção de alojamento Físico.\n Para configurar o reencaminhamento de um domínio para um site noutra máquina, selecione a opção de Reencaminhamento de Janela ou Reencaminhamento padrão.\n Com o reencaminhamento padrão, um utilizador é direcionado para o site e o endereço URL do site de destino é apresentado no browser do utilizador, assim o utilizador sabe que foi reencaminhamento. Com o reencaminhamento em janela, o utilizador é reencaminhamento para o site sem se aperceber que o site reside, na realidade, noutro local.",
    'hst_sel__physical_hst' => "Alojamento Físico",
    'hst_sel__select_hst_type' => "Seleccione um tipo de alojamento para o domínio",
    'hst_sel__select_hst_type_warning' => "Seleccione um tipo de alojamento para o domínio",
    'hst_sel__hosting_exists' => "Impossível criar o alojamento, já se encontra configurado para este domínio. Será redireccionado à página de administração de Alojamento.",
    'hst_sel__standard_frw' => "Reendereçamento padrão",
    'hst_sel__frame_frw' => "Re-endereçamento em Janela",
    '__frame_frw' => "Re-endereçamento em Janela",
    '__hosting_exists' => "Impossível criar o alojamento, já se encontra configurado para este domínio. Será redireccionado à página de administração de Alojamento.",
    '__choose_hst_type' => "Seleccione o tipo de alojamento que requer.",
    '__no_hst_conf' => "Não existe nenhum tipo de alojamento configurado para seu domínio.",
    '__physical_hst' => "Alojamento Físico",
    '__select_hst_type' => "Seleccione um tipo de alojamento para o domínio",
    '__standard_frw' => "Reendereçamento padrão",
    '__warning' => "Atenção! Todos os parâmetros previamente fixados serão perdidos. Tem a certeza que quer mudar o tipo de alojamento?",
    'i_cl_off' => "Cliente está inativo.",
    'i_cl_off_by_admin' => "A conta de cliente foi suspensa pelo administrador do servidor.",
    'i_cl_off_expired' => "Conta do cliente expirou.",
    'i_cl_on' => "Cliente está ativo.",

    'icf__title' => 'Firewall de Conexão Internet',
    'icf__if_legend' => 'Interfaces',
    'icf__mode' => 'Modo',

    'invalid_value' => 'O valor é inválido',

    'ip_addr__already_exists' => "Endereço IP %1 já existe.",
    'ip_addr__cant_add' => "IP %1 não existe ou pertence ao Repositório de IP de outro cliente",
    'ip_alias__interface' => "Interface",
    'ip_alias__invalid_ip_nm_bsd_vrt_hsts' => "Endereço IP para alojamento virtual baseado em nome %1 é inválido.",
    'ip_alias__invalid_ip_or_netmask' => "Par endereço IP/máscara da rede é inválido.",
    'ip_alias__orig_ip_can_not_be_deleted' => "O endereço IP %1 é o IP original do servidor, por isso não o pode remover.",
    'ip_alias__ip_is_invalid' => "Endereço IP %1 é inválido.",
    'ip_alias__ip_mask_is_invalid' => "Máscara de IP %1 é inválida.",
    'ip_alias__ip_not_exist' => "O endereço IP %1 não existe.",
    'ip_alias__ip_address_and_mask' => 'endereço IP e máscara da rede',
    'ip_alias__mask' => "Máscara de sub-rede",
    'ip_alias__remove_selected_ip_aliases?' => "Tem a certeza de que quer remover os endereços IP seleccionados?",
    'ip_alias__select_ip' => "Seleccione no mínimo um endereço IP da lista para removê-lo.",
    'ip_alias__this_ip_used_for_domain' => "(%1) este endereço IP é usado para o domínio %2.",
    'ip_alias__this_ip_used_for_nm_bsd_vrt_hsts' => "(%1) este endereço IP é utilizado para alojamento virtual baseado em nome.",
    'ip_alias__unable_add_ip' => "Impossível adicionar o IP: %1",
    'ip_alias__unable_remove_ip' => "Impossível remover o(s) IP: %1",
    'ip_ctrl__anonymous_ftp_exists_in_domain' => "Você não pode alterar o tipo de endereço IP para partilhado, pois isto tornará o FTP anónimo para o domínio '%1' indisponível.",
    'ip_ctrl__ip_addr' => "Endereço IP %2 na interface %1",
    'ip_ctrl__ip_exists_many_pools' => "Não pode alterar o tipo de endereço IP. O endereço IP pertence aos repositórios de vários clientes ao mesmo tempo.",
    'ip_ctrl__ssl_cert' => "Certificado SSL/TLS",
    'limit__date_in_past' => "Período de validade é inválido. %1 é no passado.",
    'limit__enter_date' => "Insira data",
    'limit__max_db' => "Bases de dados",
    'limit__name_disk_space' => "espaço em disco",
    'limit__name_max_box' => "caixas de correio",
    'limit__name_max_db' => "Bases de dados do MariaDB/MySQL",
    'limit__name_max_dom' => "domínios",
    'limit__name_max_maillists' => "listas de envio",
    'limit__name_max_subdom' => "subdomínios",
    'limit__name_max_traffic' => "tráfego",
    'limit__name_max_wu' => "utilizadores de rede",
    'limit__name_mbox_quota' => "Quota da caixa de correio",
    'limit__name_max_mn' => "contas de correio",
    'limit__name_max_cl' => 'clientes',
    'limit__name_total_mboxes_quota' => "quota total da caixa de correio",
    'limit__name_mysql_dbase_space' => "Espaço da base de dados MariaDB/MySQL",
    'limit__name_mssql_dbase_space' => "Espaço da base de dados MSSQL",
    'limit__name_pgsql_dbase_space' => "Espaço da base de dados PostgreSQL",
    'limit__name_expiration' => 'data de validade',

    'locale_upload__unable_to_install' => 'Não foi possível instalar o arquivo do pacote de idioma',
    'locale_upload__wrong_package' => 'O ficheiro carregado não contém um pacote de língua válido para esta versão do Plesk.',
    'locale_upload__wrong_locale' => 'O ficheiro carregado não contém um pacote de idioma válido.',

    'ma__create_title' => 'Criar nome alternativo de e-mail para %1',
    'ma__edit_title' => "Editar nome alternativo de e-mail %1",
    'ma__enter_new_alias' => "insira novo nome alternativo.",
    'ma__invalid_alias' => "Nome alternativo de e-mail inválido.",
    'ma__mail_aliases_mailname' => "Nomes alternativos de correio para a conta de correio %1",
    'ma__mailname_does_not_exist' => "A conta de correio não existe.",
    'ma__select_ma_for_remove' => "Seleccione nomes alternativos de e-mail a serem removidos.",
    'ma__unable_to_add_new_ma' => "Impossível adicionar um nome alternativo de e-mail: %1",

    'mail_queue__not_allowed_by_license_key' => 'A chave de licença não permite a gestão da fila de correio.',
    'maillist__' => "Lista de envio %1",
    'maillist__already_exists' => "A lista de envio já existe.",
    'maillist__mail_alias_already_exists_in_this_domain' => "O nome alternativo de correio %1 já existe neste domínio",
    'maillists__' => "Listas de envio %1",
    'maillists__limit_cl_max_maillists' => "O limite do número de listas de envio foi alcançado para este cliente (limite: %1 utilizado: %2)",
    'maillists__limit_dom_max_maillists' => "O limite do número de listas de envio foi alcançado para este domínio.",
    'maillists__list' => "Listas de envio",
    'maillists__mailman_not_installed_or_conf' => "\nExtensões do servidor Mailman não estão actualmente instaladas\nou bem configuradas no servidor. Contacte o administrador do servidor para ter as extensões do servidor Mailman instaladas ou bem configuradas.",
    'maillists__status' => "O serviço de envio foi ligado",
    'maillists__unable_to_delete__' => "Impossível eliminar a lista de envio: %1",
    'maillists__disabled_text' => 'Não pode administrar as listas de envio porque a componente do servidor Mailman não está instalada ou não está configurada.',
    'maillist_member__already_exists' => 'O membro da lista de envio já existe.',
    'maillist_member__not_exists' => 'Esse utilizador não existe na lista de envio.',
    'mailserver_switching_warning' => "Aviso!\n\nEstá quase a modificar o modo como o servidor executa a entrega do email.\nEsta operação deve ser efectuada somente na configuração inicial e não garante que todos os parâmetros serão salvos.\nCaso o servidor já tenha sido configurado pode provocar conflitos.\nNão conseguirá transferir os seus emails a partir do servidor de mail actual.\nSe este servidor estiver em produção, será melhor reconsiderar seriamente cancelar esta modificação.",
    'manager__access_denied' => "Acesso negado: %1",
    'manager__admin' => "Administrador",
    'manager__client' => 'Cliente',
    'manager__domain' => "Domínio",
    'manager__domain_cl_limit_exceeding' => "O limite do número de domínios está atingido nesta conta de cliente",
    'manager__domain_is_not_yours' => "domínio %1 não pertence a você",
    'manager__domain_key_limit_exceeding' => "O limite de criação de domínios definido pela sua chave de licença foi atingido",
    'manager__no_perm_to_call' => "Você não tem permissão para chamar %1",
    'manager__no_perm_to_create_domains' => "Você não tem permissão para criar domínios",
    'manager__no_perm_to_modify_domain' => "Você não tem permissão para modificar domínio %1",
    'manager__no_perm_to_modify_domains' => "Você não tem permissão para modificar domínios",
    'manager__no_perm_to_remove_domain' => "Você não tem permissão para remover domínio %1",
    'manager__no_perm_to_remove_domains' => "Você não tem permissão para remover domínios",
    'manager__node_doesnt_exist' => "%1 não existe.",
    'manager__user_disabled' => "A sua conta foi suspensa. Não pode operar o sistema.",
    'mail_quota_unsupported' => "Não suportado pelo servidor de e-mail",
    'mbox_quota_unsupported' => "Não suportado pelo servidor de e-mail",
    'mn__create_title' => "Criar conta de correio",
    'mn__edit_title' => "Configurações",
    'mn__files_list_title' => "Arquivos Anexados",
    'mn__files_remove' => "Remover ficheiros do repositório de anexos. Estes ficheiros são possivelmente usados por respostas automáticas. Eles serão removidos de ambos: os repositórios e as respostas automáticas que fazem uso destes ficheiros.",
    'mn__files_select_for_remove' => "Seleccione arquivos a serem removidos.",
    'mn__mail_alias_form' => "Formulário de nome alternativo de e-mail",
    'mn__mail_aliases_list' => "Nomes alternativos de e-mail",
    'mn__mailbox' => "Administração da caixa de correio",
    'mn__unable_define_mn' => "Impossível configurar as contas de correio: %1",
    'mn__unable_remove_mbox_quota' => "Impossível remover quota de caixa de mensagens: %1",
    'mn__upload_file' => "Carregar arquivo",
    'mn_edit__attach_filename_changed' => 'O nome do ficheiro carregado %1 foi alterado para %2, porque o nome original não contém só carateres ASCII.',
    'mn_edit__add_mail_group_members_or_turn_off_box' => "Você deve adicionar um membro de grupo de e-mail antes de disponibilizar o grupo de e-mail.",
    'mn_edit__add_resp_or_turn_off_box' => "Deve adicionar uma resposta automática ou não selecionar a caixa de verificação da resposta automática.",
    'mn_edit__attachments' => "Anexos",
    'mn_edit__dom_quota_less_then_quota' => "O tamanho desta caixa de correio não pode exceder o limite do espaço de disco atribuído ás caixas de correio deste domínio.",
    'mn_edit__enter_external_rcpnt_email' => "Insira o endereço de e-mail do membro do grupo de e-mail externo",
    'mn_edit__enter_mail_redir_or_turn_off_box' => "Você deve redirecionar correio ou desselecionar a caixa de verificação de redirecionamento.",
    'mn_edit__ext_rcpnt_email_invalid' => "Endereço de e-mail do destinatário externo é inválido.",
    'mn_edit__file_exists' => "Arquivo já existe. Substituir?",
    'mn_edit__files_deld_from_repository' => "Estes ficheiros e respostas automáticas os contendo serão removidos do repositório. Deseja continuar?",
    'mn_edit__mail_name' => "Conta de correio",
    'mn_edit__mail_name_invalid' => "O nome da conta de correio é inválido.",
    'mn_edit__mail_redir' => "Redirecionamentos de e-mail",
    'mn_edit__mail_redir_add' => "Adicionar um membro ao Grupo de Correio",
    'mn_edit__mail_resps' => "Respostas automáticas",
    'mn_edit__mailbox' => "Caixa de Correio",
    'mn_edit__enable_mailbox' => "Caixa de Correio",
    'mn_edit__mailgroup' => "Grupo de e-mail",
    'mn_edit__mailgroup_addresses' => "Membros de Grupo de e-mail",
    'mn_edit__mailgroup_disabled' => "Apenas disponível após criar uma conta de correio.",
    'mn_edit__max_dom_quota' => "Predefinição para o domínio (%1)",
    'mn_edit__mbox_quota_invalid' => "O tamanho especificado da caixa de correio está incorrecto.",
    'mn_edit__new_resp_name' => "Novo nome de resposta automática",
    'mn_edit__no_autoresponders' => "Você deve adicionar no mínimo uma resposta automática antes de ligar ou desligar o serviço de respostas automáticas.",
    'mn_edit__no_file_sel' => "Não seleccionou um arquivo.",
    'mn_edit__no_mail_addresses' => "Nenhum endereço de e-mail foi inserido ou selecionado.",
    'mn_edit__none' => "Nenhum",
    'mn_edit__not_create_pass' => "Não será criada a palavra-passe para esta conta.\nSem palavra-passe, o utilizador não será capaz de visualizar e/ou enviar e-mail.",
    'mn_edit__redir_email_invalid' => "O endereço final de redirecionamento é inválido.",
    'mn_edit__redirect_addr' => "Redirecionar endereço",
    'mn_edit__remove_autoresp?' => "Você tem certeza de que deseja remover a resposta automática?",
    'mn_edit__remove_rcpnts?' => "Você tem certeza de que deseja remover estes receptores:",
    'mn_edit__repository' => "Repositório",
    'mn_edit__resps_attach' => "Ficheiros anexos de resposta automática",
    'mn_edit__select_rcpnt_from_list' => "Seleccione no mínimo um recipient da lista para remover.",
    'mn_edit__select_registered_users' => "Seleccione os utilizadores registados",
    'mn_edit__selected_postbox_have_not_setup_passwd' => "Você escolheu ter uma caixa de correio mas não definiu a senha para a mesma.",
    'mn_edit__unable_act_deact_mail_group' => "Impossível ativar/desativar grupo de e-mail: %1",
    'mn_edit__unable_act_deact_mail_redir' => "Impossível ativar/desativar redirecionamento: %1",
    'mn_edit__unable_act_deact_postbox' => "Impossível ativar/desativar a caixa de correio: %1",
    'mn_edit__unable_act_deact_resp' => "Impossível ativar/desativar respostas automáticas: %1",
    'mn_edit__unable_add_attach' => "Impossível adicionar arquivo anexo: %1",
    'mn_edit__unable_add_mail_group_member' => "Impossível adicionar membro de grupo de e-mail: %1",
    'mn_edit__unable_add_resp' => "Impossível adicionar resposta automática: %1",
    'mn_edit__unable_change_mail_name' => "Impossível mudar o nome de correio: %1",
    'mn_edit__unable_deactivate_mail_group' => "Impossível desactivar grupo de e-mail: %1",
    'mn_edit__unable_deactivate_resp' => "Impossível desativar respostas automáticas: %1",
    'mn_edit__unable_define_resp_id' => "Impossível definir ID da resposta automática: %1",
    'mn_edit__unable_remove_attach' => "Impossível remover arquivo(s) anexo(s): %1",
    'mn_edit__unable_remove_autoresp' => "Impossível remover respostas automáticas: %1",
    'mn_edit__unable_remove_mail_group_member' => "Impossível remover membros de grupo de e-mail: %1",
    'mn_edit__wrong_way' => 'As mensagens enviadas a %1 não vão ser entregues, porque esta conta de correio não tem uma caixa de correio nem o reendereçamento ligado.',
    'mn_edit__mailbox_is_disabled_mail_not_removed' => 'A caixa de correio no endereço %1 foi desligada. As mensagens na caixa de correio não foram eliminadas, mas não as poderá obter pelos protocolos IMAP ou POP3.',
    'mn_list__mail_names_for_domain' => "Contas de correio no domínio %1",
    'mn_list__sa_cannot_unable' => "Impossível ligar o filtro de spam",
    'mn_list__tab_cp_access' => "N",
    'mn_list__tab_title_client' => 'Cliente',
    'mn_list__tab_title_domain' => 'Domínio',
    'mn_list__tab_title_autoresp' => "A",
    'mn_list__tab_title_box' => "B",
    'mn_list__tab_title_group' => "G",
    'mn_list__tab_title_name' => "Nome",
    'mn_list__tab_title_redirect' => "F",
    'mn_list__tab_title_spamfilter' => "F",
    'mn_list__tab_title_virusfilter' => 'AV',
    'mn_list__tab_title_drweb' => 'AV',
    'mn_list__unable_remove_mns' => "Impossível remover as contas de correio: %1",
    'module_upload__module_was_installed' => 'Este módulo já se encontra instalado. Se deseja instalar uma versão mais recente deste módulo, desinstale este módulo através do Plesk e tente instalar de novo.',
    'module_upload__unable_to_install' => 'Não foi possível instalar o arquivo do pacote do módulo',
    'module_upload__wrong_package' => 'O ficheiro carregado não contém um pacote de módulo suportado.',
    'module_upload__wrong_module' => 'O ficheiro carregado não contém um pacote de módulo.',

    'news_articles_title' => 'Notícias do Plesk',
    'notification_text__invalid_subject_length' => "Comprimento do assunto do aviso inválido. Deve ser de 1 a 255 caracteres.",
    'notification_text__invalid_text_length' => "O comprimento do texto de notificação não é válido. Deve ser de 1 a 65533 caracteres.",
    'notification_text__subject' => "Assunto do aviso",
    'notification_text__text' => "Texto de notificação",
    'notification_text__title' => "Editar notificação",
    'notification_text__unable_set_text' => "Impossível modificar texto de notificação:",

    'odbc__cant_add_dsn' => "Impossível adicionar DSN %1: %2",
    'odbc__cant_connect' => "Impossível conectar à fonte de dados usando as configurações definidas. Servidor retornou: %1",
    'odbc__cant_delete_dsn' => "Impossível eliminar DSN %1: %2",
    'odbc__cant_get_drivers_info' => "Incapaz de adquirir informações sobre os drivers",
    'odbc__cant_get_drivers' => "Impossível obter uma lista dos drivers ODBC: %1",
    'odbc__cant_open_info_file' => "Não pode abrir o ficheiro com a informação dos drivers de ODBC",
    'odbc__cant_parse_string' => "Impossível analisar a string de conexão",
    'odbc__driver_not_set' => "Driver não está definido",
    'odbc__driver_or_name_not_set' => "Driver ou nome da conexão ODBC não foram definidos",
    'odbc__dsn_already_exists' => "Um DSN com este nome (%1) já existe no sistema",
    'odbc__dsn_not_exists' => "Este DSN não existe",
    'odbc__enter_dsn_name' => "Insira nome do DSN",
    'odbc__invalid_dsn_name' => "Sintaxe errada para nome de conexão ODBC (%1): por favor use apenas símbolos alfanuméricos.",
    'odbc__no_such_driver' => "O driver ODBC com este nome (%1) não é suportado",
    'odbc__unknown_driver' => "O nome do driver é desconhecido (%1)",
    'odbc_dsn_system' => "Sistema DSN",

    'pb__aliases' => "Nomes alternativos",
    'pb__anonftp' => "FTP Anónimo",
    'pb__autoinstaller_releases' => 'Sistema de actualizações',
    'pb__cert' => "Certificados",
    'pb__cl_pool' => "Endereços IP",
    'pb__cl_pool_ctrl' => "%1",
    'pb__cl_pref' => "Configurações",
    'pb__cl_rpt' => "Relatório",
    'pb__cl_rpt_list' => "Personalizar",
    'pb__cl_templates' => "Modelos de cliente",
    'pb__cl_traffic' => "Tráfego",
    'pb__cl_traffic_history' => "Histórico de tráfego",
    'pb__cl_traffic_of' => "Tráfego de %1",
    'pb__client' => "%1",
    'pb__clients' => "Clientes",
    'pb__comp_info' => "Componentes do Servidor",
    'pb__common_acl' => 'Permitir a transferência ACL',
    'pb__cp_access' => "Acesso",
    'pb__crontab' => "Agenda de Tarefas",
    'pb__scheduler' => "Agenda de Tarefas",
    'pb__custom_buttons' => "Personalizar teclas",
    'pb__databases_db' => 'Bases de dados',
    'pb__sqlservers_db' => 'Servidores SQL', //to check
    'pb__db' => "Bases de dados",
    'pb__db_edit' => "%1",
    'pb__db_server_edit' => '%1',
    'pb__db_servers' => 'Servidores de base de dados',
    'pb__dl_usr_ed' => "Administrador de domínio",
    'pb__dns' => "DNS",
    'pb__dns_template' => "DNS",
    'pb__dns_t' => "DNS",
    'pb__dom_ctrl' => "%1",
    'pb__dom_lim' => "Limites do domínio",
    'pb__dom_pref' => "Configurações",
    'pb__dom_sum_report' => "Sumário de domínio",
    'pb__dom_templates' => "Modelos de Domínio",
    'pb__dom_traffic' => "Tráfego de %1",
    'pb__domains' => "Domínios",
    'pb__domain_aliases' => 'Nomes alternativos de Domínio',
    'pb__dumps_list' => "Armazenamento de ficheiros de cópia de segurança",
    'pb__forwarding_setup' => "Configurações de Reendereçamento",
    'pb__filemanager' => "Gestor de Ficheiros",
    'pb__ip_aliasing' => "Endereços IP",
    'pb__ip_clients' => "Remover endereços IP",
    'pb__license_management' => 'Informações acerca da Licença',
    'pb__locales' => 'Pacotes de idiomas',
    'pb__log_files' => "Arquivos de log",
    'pb__mail' => 'Correio.',
    'pb__mail_name_files' => "Arquivos anexos",
    'pb__mail_name_redirects' => "Redirecionamentos de e-mail",
    'pb__mail_name_resp_attach_add' => "Novo anexo",
    'pb__mail_name_resp_edit' => "%1",
    'pb__mail_name_responders' => "Respostas automáticas",
    'pb__mail_names' => "Correio.",
    'pb__maillists' => "Listas de envio",
    'pb__modules' => 'Módulos',
    'pb__modules_management' => 'Administração de Módulos',
    'pb__notifications' => "Avisos",
    'pb__odbc' => "ODBC",
    'pb__phosting_setup' => "Configurações de alojamento físico",
    'pb__prtd_dirs' => "Diretórios Protegidos",
    'pb__prtdir_edit' => "%1",
    'pb__report_list' => "Personalizar",
    'pb__server' => "Servidor",
    'pb__sessions' => "Sessões",
    'pb__sapp_pool' => "Repositório de Aplicações Web",
    'pb__siteapp_install' => 'Instalação da aplicação web',
    'pb__site_app_pkgs' => 'Aplicações Web',
    'pb__site_apps' => "Aplicações Web",
    'pb__additional_key_info' => 'Propriedades da Chave',
    'pb__additional_key_properties' => 'Propriedades da Chave',
    'pb__skins' => 'Skin',
    'pb__skin_info' => '%1',
    'pb__spamassassin' => "Filtro de Spam",
    'pb__statistics' => "Estatísticas",
    'pb__subdom_ctrl' => "%1",
    'pb__subdomains' => "Subdomínios",
    'pb__templates' => "Modelos",
    'pb__virtualdirs' => 'Directórios virtuais',
    'pb__web_users' => "Utilizadores de rede",
    'pdir__invalid_hst' => "Tipo de alojamento inválido. O tipo tem que ser físico.",
    'pdir__pd_id_is_undefined' => "ID de directório protegido indefinido.",
    'pdir__pdir_exist' => "Um directório com este nome já está protegido.",
    'pdir__pdir_not_exist' => "Directório protegido não existe.",
    'pdir__pdir_usr_not_exist' => "O utilizador de directório protegido não existe.",
    'pdir__remove_pdir_usrs' => "Serão removidos os seguintes utilizadores de diretório protegido %2 no domínio %1:",
    'pdir__remove_pdir_usrs_on_subdom' => "Os seguintes utilizadores do diretório protegido %2 no sub-domínio %1 serão removidos:",
    'pdir__select_pdir_usrs_for_remove' => "Seleccione os utilizadores de directório protegido para remoção.",
    'pdir__select_pdirs_to_remove' => "Seleccione os directórios para remover a protecção.",
    'pdir__unable_define_pdir_users' => "Impossível definir utilizadores de directório protegido.",
    'pdir__unable_define_pdirs_properties' => "Impossível definir as propriedades dos directórios protegidos: %1",
    'pdir__unable_select_dom_param' => "Impossível seleccionar parâmetros do domínio: %1",
    'pdir_ed__dir_already_protect' => "Este directório já está protegido.",
    'pdir_ed__invalid_login' => "O nome do utilizador é inválido.",
    'pdir_ed__login_exists' => "Este utilizador já existe. Tente um outro nome de utilizador.",
    'pdir_ed__pdir_users' => "Utilizadores de directório protegido",
    'pdir_ed__ssl' => "SSL/TLS",
    'pdir_ed__ssl_or_nonssl_should_be_checked' => "No mínimo uma caixa de verificação (SSL/TLS e/ou Não-SSL/TLS) deve ser selecionada.",
    'pdir_ed__unable_cr_pdir_usr' => "Impossível criar o utilizador de directório protegido: %1",
    'pdir_ed__unable_create_pdir' => "Impossível criar directório protegido: %1",
    'pdir_ed__unable_define_hst_type' => "Impossível definir tipo de alojamento.",
    'pdir_ed__unable_update_pdir' => "Impossível atualizar diretório protegido: %1",
    'pdir_ed__wrong_symbol_in_header' => "Por favor, não use símbolo %1 no cabeçalho do diretório",
    'pdir_usr_ed__not_create_pass' => "Não será criada uma senha para o novo utilizador de directório protegido.\nSem senha o utilizador não poderá efectuar o login.",
    'pdir_usr_ed__unable_select_pdir_usr' => "Impossível seleccionar o utilizador de directório protegido: %1",
    'pdir_usrs_list__unable_define_pdir_usrs' => "Impossível definir utilizadores de directório protegido: %1",
    'pdir_usrs_list__unable_remove_pd_usrs' => "Impossível remover os utilizadores de directório protegido: %1",
    'phosting__anonftp_encrypt' => 'A senha de utilizador de FTP está codificada, não pode ser usada por proteger o directório /plesk-stat/webstat/. Por favor reintroduza a sua senha de FTP, ou não seleccione a opção "acessível por directório protegido por senha \'/plesk-stat/webstat/\'"',
    'phosting__hosting_and_dns_ip_difference_warning' => "O nome de domínio %%domain_name%% resolve para o endereço de IP %%dns_ip_address%%. Ao seu site Web foi atribuído o endereço IP %%hosting_ip_address%%. Se o seu site Web não for aberto no browser quando inserir o nome de domínio, vá á área de gestão de DNS (Domínios > Nome de Domínio > DNS) e altere as propriedades do registo de recursos A: atribuindo o endereço de IP %%hosting_ip_address%% ao nome de domínio %%domain_name%%.",
    'phosting__ip_change_warning' => "Endereço IP alterado. As alterações correspondentes foram também feitas na zona DNS do domínio.",
    'phosting__other_hosting_exists_on_ip' => "Impossível mudar o certificado porque este endereço de IP está a ser usado numa ou em várias contas de alojamento.",
    'phosting__unable_to_change_certificate' => "Impossível instalar o certificado: %1",
    'phosting__unable_to_change_ip_address' => "Impossível alterar o endereço IP: %1",
    'phosting__unable_to_set_cert' => "Impossível definir o certificado SSL/TLS: %1",
    'phosting__unable_update' => "Impossível atualizar preferências de alojamento: %1",
    'phosting__unable_manage' => "Não foi possível administrar o alojamento: %1",
    'phosting__failed_to_add_logs_fail2ban' => "Não foi possível configurar o fail2ban para controlar os registos do domínio. Os registos serão automaticamente controlados da próxima vez que o serviço fail2ban reiniciar.\n%1",

    'picker_acl_record__tittle' => 'Seleccione um registo ACL',
    'picker_autoresponder__title' => 'Selecionar uma Resposta Automática',
    'picker_black_list__domain_name' => 'Seleccione um Nome de Domínio',
    'picker_certificate' => 'Seleccione o certificado SSL/TLS',

    'picker_dns_zone_template__title' => 'Seleccione um Registo de Recursos',
    'picker_domain__title' => 'Selecione um Domínio',
    'picker_domain_alias__title' => 'Seleccione um Nome alternativo de Domínio',
    'picker_resource_record__title' => 'Seleccione um Registo de Recursos',
    'picker_disabled_resource_record__title' => 'Seleccione um Servidor de Nome',
    'picker_ip_address__title' => 'Seleccionar um Endereço IP',
    'picker_ip_address_clients__title' => 'Selecionar os Clientes que Utilizam Este Endereço IP',
    'picker_mail_queue' => 'Selecionar as Mensagens de E-mail',
    'picker_site_application__title' => 'Seleccionar uma Aplicação Web',
    'picker_subdomain__title' => 'Seleccionar um Sub-domínio',
    'picker_web_user__title' => 'Seleccionar um Utilizador Web',
    'picker_custom_button__title' => 'Seleccionar um Botão Personalizado',
    'picker_license_key__title' => "Selecção da chave de licença",
    'picker_spamfilter_address__title' => 'Seleccione um Endereço do Filtro de Spam',
    'picker_white_list__networks' => 'Selecção das redes',

    'plesk_key__action_logs' => "Registo de ações realizadas pelos utilizadores do Plesk",
    'plesk_key__app_vault' => "Cofre de aplicações",
    'plesk_key__backup' => "Capacidade de usar as funções de backup",
    'plesk_key__client_templs' => "Capacidade de gerir os modelos de cliente",
    'plesk_key__clients' => "Número máximo de contas de utilizador",
    'plesk_key__resellers_only' => "Contas de utilizadores (revendedores)",
    'plesk_key__customers_only' => "Contas de utilizadores (clientes)",
    'plesk_key__domains' => "Domínios",
    'plesk_key__domain_aliases' => "Nomes alternativos de domínio",
    'plesk_key__subdomains_limit' => "Subdomínios",
    'plesk_key__databases' => "Bases de dados",
    'plesk_key__mssql_databases' => "Base de dados MS SQL",
    'plesk_key__manage_dashboard' => 'Capacidade de gerir a página Inicial',
    'plesk_key__drweb' => "Gestão de antivírus",
    'plesk_key__event_manager' => "Gestor de eventos",
    'plesk_key__expirations' => "Gerenciamento das datas de expiração de contas",
    'plesk_key__group_ops' => "Modificação de objetos mútiplos de uma vez",
    'plesk_key__expiration' => "Data limite da chave",
    'plesk_key__edition_name' => "Edição do Plesk",
    'plesk_key__key_number' => "Número da chave",
    'plesk_key__languages' => "Pacotes de idiomas",
    'plesk_key__mailnames' => "Contas de correio",
    'plesk_key__migration_manager' => "Migration & Transfer Manager",
    'plesk_key__mssql' => "Capacidade de usar Microsoft SQL Server",
    'plesk_key__myplesk_func' => "Links para adquirir certificados SSL/TLS e serviços de registro de domínio",
    'plesk_key__myplesk_server_id' => "Identificador de servidor slave MPC",
    'plesk_key__notifications' => "Gerenciamento das notificações",
    'plesk_key__postgresql' => "Capacidade de usar PostgreSQL",
    'plesk_key__qmail_queue' => 'Capacidade de gerir a fila de correio',
    'plesk_key__remote_db' => 'Host de Banco de Dados Remoto',
    'plesk_key__slave_servers' => "Servidores escravos",
    'plesk_key__spamassassin' => "Gestão do filtro spam",
    'plesk_key__subdomains' => "Gestão de subdomínios",
    'plesk_key__sys_access' => "Gestão do acesso ao servidor",
    'plesk_key__traffic_reports' => "Capacidade de usar relatório de tráfego",
    'plesk_key__tts' => "Central de Atendimento",
    'plesk_key__virtuozzo' => "Válido somente para o Virtuozzo containers",
    'plesk_key__webusers' => "Utilizadores de rede",
    'plesk_key__cpu_cores' => 'Cores de CPU',
    'plesk_key__ram' => 'Memória',
    'plesk_key__license_update_date' => 'Próximo update da chave de licença',
    'plesk_key__autoinstaller_config' => 'Gerenciamento das configurações do atualizador',
    'plesk_key__check_wrong' => "A chave de licença é inválida. De modo a poder utilizar o Plesk, obtenha e instale uma nova chave de licença válida.",
    'plesk_key__upload_check_wrong' => 'A chave de licença carregada não é válida.',
    'plesk_key__revert_check_wrong' => 'A chave de licença instalada anteriormente não é válida.',
    'plesk_key__viruozzo_only_key' => 'A chave de licença só pode ser utilizada no Plesk dentro do Virtuozzo containers.',
    'plesk_key__ip_ranges_exceeded' => 'Só é possível utilizar esta cópia licenciada do Plesk nos seguintes endereços IP: %2. Os seguintes endereços IP não estão abrangidos pela sua licença: %1.', //%1 not allowed addresses list separated by comma, %2 allowed IP addresses list separated by comma
    'plesk_key__limits_exceeded' => 'A quantidade de recursos utilizados ​​atualmente excede os limites definidos pela sua licença.',
    'plesk_key__wp-toolkit-deluxe' => 'WP Toolkit Deluxe',
    // For the keys below: %1 limit value, %2 used value, %3 delta value
    'plesk_key__limits_exceeded_lim_dom' => 'O número de sites Web alojados no servidor excede os limites definidos pela sua licença. Tem alojados %2 sites; a sua licença permite-lhe alojar só %1 sites.',
    'plesk_key__limits_exceeded_lim_domain_aliases' => 'O número de nomes alternativos de domínio no servidor excede o limite definido pela sua licença. Existem %2 nomes alternativos de domínio; a sua licença permite-lhe alojar apenas %1 nomes alternativos de domínio.',
    'plesk_key__limits_exceeded_lim-subdom' => 'O número de subdomínios no servidor excede o limite definido pela sua licença. Tem %2 subdomínio(s); a sua licença permite-lhe alojar apenas %1 subdomínio(s).',
    'plesk_key__limits_exceeded_lim-db' => 'O número de bases de dados no servidor excede o limite definido pela sua licença. Tem %2 base(s) de dados; a sua licença permite-lhe alojar apenas %1 base(s) de dados.',
    'plesk_key__limits_exceeded_lim-mssql-db' => 'O número de bases de dados MS SQL no servidor excede o limite definido pela sua licença. Tem %2 base(s) de dados; a sua licença permite-lhe alojar apenas %1 base(s) de dados.',
    'plesk_key__limits_exceeded_lim_cl' => 'O número de contas de cliente existentes excede os limites definidos pela sua licença. Serve atualmente %2 contas de cliente; a sua licença permite-lhe servir só %1 contas de cliente.',
    'plesk_key__limits_exceeded_lim_mn' => 'O número de contas de e-mail existentes excede os limites definidos pela sua licença. Serve atualmente %2 contas de e-mail; a sua licença permite-lhe servir só %1 contas de e-mail.',
    'plesk_key__limits_exceeded_lim_wu' => 'O numero de contas de utilizadores de rede existentes excede os limites definidos pela sua licença. Serve actualmente %2 contas de utilizadores de rede; a sua licença permite-lhe servir só %1 contas de utilizadores de rede.',
    'plesk_key__limits_exceeded_MLS' => 'O numero de pacotes de idiomas actualmente instalados, excede os limites definidos na sua licença. Existem %2 pacotes de idiomas instalados; a sua licença permite a instalação de apenas %1 pacotes de idiomas.',
    'plesk_key__wrong_version' => 'Está a tentar utilizar uma chave de licença criada para outra versão do Plesk. Contacte os representantes de vendas da Plesk para obter uma chave de licença adequada.',
    'plesk_key__other_product' => 'Está a tentar utilizar uma chave de licença criada para outro produto. Contacte os representantes de vendas da Plesk para obter uma chave de licença adequada.',
    'plesk_key__invalid_machine_id_trial' => 'A sua licença atual não é válida porque já foi ativada noutro servidor Plesk. Para continuar a utilizar o Plesk, deve instalar uma nova licença ou voltar a instalar a sua licença atual introduzindo o seu código de ativação (caso o possua).',
    'plesk_key__invalid_machine_id_retail' => 'A sua licença atual não é válida porque já foi ativada noutro servidor Plesk. O CLUF do WebPros (https://www.plesk.com/legal/) proíbe a utilização de uma licença individual em dois ou mais servidores ao mesmo tempo. Para continuar a utilizar o Plesk, deve instalar uma nova licença ou instalar a sua licença atual novamente introduzindo o seu código de ativação, que lhe foi enviado por email quando adquiriu a licença. <br>Não consegue encontrar o código de ativação? Pode recuperá-lo através do Plesk 360. Para o fazer, inicie sessão em https://platform360.io/ com o email que utilizou para adquirir a licença, vá ao separador "Licenses" e veja o seu código de ativação da licença. Como alternativa pode contactar a Plesk Licensing e adquirir Assistência utilizando o formulário online (https://www.plesk.com/licensing-and-purchase-support/). Lembre-se de mencionar o número da sua licença na secção "How can we help you?" do formulário.',
    'plesk_key__limits_exceeded_error' => 'Impossível instalar a chave de licença: Os recursos atualmente em uso no painel de controlo excedem os limites definidos da sua chave de licença carregada.',
    'plesk_key__limits_exceeded_note' => 'Os recursos atualmente em uso no painel de controlo excedem os limites definidos da sua chave de licença carregada.',
    'plesk_key__hardware_limits_exceeded' => 'A configuração do hardware ultrapassa os limites definidos pela sua licença Plesk.',
    'plesk_key__hardware_limits_exceeded_lim-ram' => 'O servidor tem %1 de memória instalados, mas a sua licença não permite mais de %2.',
    'plesk_key__hardware_limits_exceeded_lim-cpu-cores' => 'O servidor tem %1 cores de CPU instalados, mas a sua licença não permite mais de %2.',
    'plesk_key__key_file_invalid' => 'O arquivo transferido não é válido ou não contém uma chave de licença.',
    'plesk_key__server_request_error' => 'Não foi possível atualizar a licença. Certifique-se de que as ligações com o servidor de licença ka.plesk.com na porta TCP %1 não estejam bloqueadas. <a href="https://support.plesk.com/hc/en-us/articles/12388137260695" target="_blank">Veja como o fazer</a>.',
    'key__no_key_file_in_zip' => 'O arquivo .zip transferido não contém ficheiro da chave',
    'key__key_upload' => 'Instalação da chave de licença',
    'additional_key__prop_name' => 'Propriedade',
    'additional_key__prop_value' => 'Valor',
    'additional_key__descr_name' => 'Nome da Chave',
    'additional_key__descr_key_number' => 'Número da chave',
    'additional_key__descr_key_vz' => "Esta chave de licença é apropriada para uso apenas no ambiente do Virtuozzo containers.",
    'additional_key__descr_key_mailboxes' => 'Caixas de correio',
    'additional_key__descr_lim_date' => 'Data de expiração',
    'additional_key__descr_license_update_date' => 'Próximo update da chave de licença',
    'additional_key__file_invalid' => 'O arquivo transferido não é válido ou não contém uma chave de licença.',
    'additional_key__file_incompatible' => 'O arquivo da chave transferido não é válido para esta aplicação.',
    'additional_key__not_exists' => 'Sem chave de licença instalada.',
    'additional_key_update__result_response' => 'Resposta do servidor de licenças: %1',
    'additional_key_update__result_network' => 'Não foi possível conectar ao servidor de licenças. Assegure-se que a sua rede permite as comunicações para %1: %2.',
    'additional_key_update__result_lock' => 'A actualização da Chave já se encontra em progresso',
    'additional_key_update__result_internal_error' => 'Ocorreu um erro ao actualizar a chave da licença: %1',

    'proceed_to_cl_pool' => "Prosseguir para configurar o repositório de IP do cliente",
    'proceed_to_hosting_setup' => "Continuar com a configuração de alojamento",
    'removeCerts__remove_certificates_cp' => "Os seguintes certificados serão removidos:",
    'removeCerts__remove_certificates_domain' => "Os seguintes certificados pertencentes à %1 serão removidos:",
    'removeClientsIP_remove_clients_ip' => "Este endereço IP será removido dos repositórios dos seguinte clientes:",
    'removeMailAliases__remove_mail_aliases' => "Os seguintes nomes alternativos de correio vão ser removidos da conta de correio %1:",
    'removeMailNames__remove_mailnames' => "As seguintes contas de correio e nomes alternativos vão ser removidos do domínio %1:",
    'removeMailNames__remove_mailnames_of_cl' => "As seguintes contas de correio e nomes alternativos vão ser removidos do domínio %2 do cliente %1:",
    'removeMailNames__these_mailnames_will_not_delete' => "Estas contas de correio não vão ser eliminadas.",
    'removeFtpSessions__remove_title' => "As seguintes sessões de FTP serão terminadas:",
    'removeTemplates__remove_templates' => "Os seguintes modelos serão removidos:",
    'resp_edit__always_respond' => "Sempre responder",
    'resp_edit__reply_subject' => "Assunto da resposta",
    'resp_edit__answer_subject' => "Responder com assunto",
    'resp_edit__answer_txt' => "Responder com texto",
    'resp_edit__attach' => "Anexar arquivos",
    'resp_edit__default_subject' => "Re: %1",
    'resp_edit__for' => "para",
    'resp_edit__frw_rqst_email' => "Na resposta automática, encaminhe a mensagem original para o email especificado",
    'resp_edit__fwd_email_invalid' => "Endereço de encaminhamento é inválido.",
    'resp_edit__in_body' => "no corpo",
    'resp_edit__in_subject' => "no assunto",
    'resp_edit__invalid_resp_freq' => "Frequência de resposta é inválida.",
    'resp_edit__invalid_rqst_txt' => "Texto de solicitação inválido.",
    'resp_edit__invalid_store_lim_num' => "Valor limite é inválido.",
    'resp_edit__limits_title' => "Limites",
    'resp_edit__maximum_allowed_resp_freq_reached' => "Número máximo de resposta por dia excede a taxa definida. Permitido: %1, necessário: %2",
    'resp_edit__no_files_sel' => "Não seleccionou um arquivo.",
    'resp_edit__no_txt_supplied' => "Nenhum texto fornecido.",
    'resp_edit__reply_title' => "Responder",
    'resp_edit__reply_to_address' => "Endereço de retorno",
    'resp_edit__reply_to_invalid' => "Endereço de retorno é inválido.",
    'resp_edit__reply_uniq_email' => "Responder para um único endereço, e não mais",
    'resp_edit__conditions_title' => "Condições",
    'resp_edit__request_title' => "Solicitar",
    'resp_edit__resp' => "Resposta automática",
    'resp_edit__resp_name' => "Nome da resposta automática",
    'resp_edit__resp_not_exist' => "Resposta automática não existe.",
    'resp_edit__resp_status' => "Estado de resposta automática",
    'resp_edit__rqst_txt' => 'Texto de solicitação',
    'resp_edit__select_files_on_server_for_attach' => "Seleccione os arquivos que você deseja anexar",
    'resp_edit__store_up_to' => "Gravar até",
    'resp_edit__subj_line_invalid' => "Linha de assunto está incorrecta.",
    'resp_edit__text_too_big' => "O texto da mensagem de resposta é muito grande.",
    'resp_edit__times_in_a_day' => "Vezes por dia.",
    'resp_edit__unable_define_resp_cond' => "Impossível definir a condição de resposta automática: %1",
    'resp_edit__unable_define_resp_status' => "Impossível definir estado da resposta automática: %1",
    'resp_edit__unable_turn_on_resp' => "Impossível ativar a resposta automática: %1",
    'resp_edit__uniq_email' => "Endereços de e-mail únicos",
    'resp_edit__content_type' => 'Formato do correio enviado',
    'resp_edit__content_type_text' => 'Texto',
    'resp_edit__content_type_html' => 'HTML',
    'resp_edit__charset' => 'Codificação',
    'restart__dns' => 'Servidor DNS(%1)',
    'restart__drweb' => 'Antivírus premium do Plesk',
    'restart__mail' => "Servidor IMAP/POP3 (%1)",
    'restart__mssql' => "Microsoft SQL server",
    'restart__mysql' => "Servidor MariaDB/MySQL",
    'restart__postgresql' => "PostgreSQL",
    'restart__psa' => "Serviços",
    'restart__smtp' => "Servidor SMTP (%1)",
    'restart__spamd' => "Filtro de Spam",
    'restart__spamassassin' => "SpamAssassin",
    'restart__stunnel' => "Stunnel",
    'restart__web' => "Servidor WEB (%1)",
    'restart__ftp' => "Servidor de FTP (%1)",
    'restart__service_start' => 'Por favor, aguarde algum tempo para que o serviço seja iniciado.',
    'restart__service_stop' => 'Por favor, aguarde algum tempo para que o serviço seja parado.',
    'restart__service_restart' => 'Por favor, aguarde algum tempo para que o serviço seja reiniciado.',
    'rm_domains__some_domains_are_not_exist' => "Alguns dos domínios especificados não existem. Eles foram possivelmente removidos por um outro utilizador.",
    'rpt_cl_dom_data_bases' => "DBMySQL",
    'rpt_cl_dom_mssql_data_bases' => "DBMSSQL",
    'rpt_cl_dom_mail_groups' => "Gr.e-mail",
    'rpt_cl_dom_mail_lists' => "L.e-mail",
    'rpt_cl_dom_mail_resps' => "Resp.Autom",
    'rpt_cl_dom_mail_antispam' => "AntiSpam",
    'rpt_cl_dom_mail_antivirus' => "Antivírus",
    'rpt_cl_dom_postboxes' => "Cx.Mens",
    'rpt_cl_dom_redirects' => "Redirecionamentos",
    'rpt_cl_dom_subdomains' => "Sub-dom",
    'rpt_cl_dom_domain_aliases' => "Nomes alternativos",
    'rpt_cl_dom_web_users' => "UtilizadoresW",
    'rpt_cl_report_for_admin__' => "Relatório para o administrador %1",
    'rpt_cl_report_for_reseller__' => "Relatório para o revendedor %1",
    'rpt_cl_report_for_cl__' => "Relatório sobre o cliente %1",
    'rpt_cl_section_domains' => "Domínios",
    'rpt_cl_section_full_domains' => "Domínios",
    'rpt_cl_section_general' => "Geral",
    'rpt_create' => "Criar relatório",
    'rpt_empty' => "O relatório deve conter no mínimo um secção",
    'rpt_dom_report_for_dom__' => "Relatório do Domínio para %1",
    'rpt_dom_section_databases' => "Bases de dados",
    'rpt_dom_section_full_databases' => "Bases de dados",
    'rpt_dom_section_full_maillists' => "Listas de envio",
    'rpt_dom_section_full_mailnames' => "Contas de correio",
    'rpt_dom_section_full_webusers' => "Utilizadores de rede",
    'rpt_dom_section_full_siteapps' => 'Aplicações web',
    'rpt_dom_section_full_aspnetapps' => 'Aplicações Web ASP.NET',
    'rpt_dom_section_general' => "Geral",
    'rpt_dom_section_hosting' => "Alojamento",
    'rpt_dom_section_maillists' => "Listas de envio",
    'rpt_dom_section_mailnames' => "Contas de correio",
    'rpt_dom_section_siteapps' => 'Aplicações web',
    'rpt_dom_section_aspnetapps' => 'Aplicações Web ASP.NET',
    'rpt_dom_section_webusers' => "Utilizadores de rede",
    'rpt_dom_title_wa_status' => "F",
    'rpt_edit__' => "Editar relatório %1",
    'rpt_enter_email_address' => "Insira o endereço de e-mail para o qual o relatório será enviado.",
    'rpt_list' => "Formatos de relatório personalizado",
    'rpt_section_full' => "Completo",
    'rpt_section_none' => "Nenhum",
    'rpt_section_summary' => "Resumo",
    'rpt_default_full' => 'Relatório completo',
    'rpt_default_summary' => 'Relatório resumido',

    // end of kooper part

    // pit part

    'rpt_send_report_by_email_error__' => "Erro ao enviar o relatório: %1",
    'rpt_send_report_by_email_ok__' => "O relatório foi enviado para %1",
    'sa_action' => "Ação",
    'sa_action_del' => "Eliminar",
    'sa_action_desc' => "O que fazer com spam",
    'sa_action_save' => "Marcar como spam e gravar na caixa de correio",
    'sa_admin_blacklist' => "Lista preta do administrador",
    'sa_admin_whitelist' => "Lista branca do administrador",
    'sa_db_del_confirm' => "Tem a certeza que deseja apagar a base de dados do Filtro de Spam ?",
    'sa_eml_in_ignorelist' => "Este e-mail está na lista de ignorados",
    'sa_empty_email' => "Impossível adicionar um padrão de e-mail em branco.",
    'sa_exists_email' => "Este e-mail padrão já existe.",
    'sa_disabled__mailname_not_filtering' => "A actual configuração do servidor não permite a utilização de filtros de correio para esta conta de correio",
    'sa_disabled__filtering_is_disabled' => 'O filtro de Spam foi desligado pelo administrador do servidor',
    'sa_disabled__hasnt_mailbox' => "Impossível ligar o filtro de Spam sem uma caixa de correio",
    'sa_enable_filter' => "Ligar o filtro de spam",
    'sa_forget' => "esqueça",
    'sa_from' => "De",
    'sa_ham' => "ham",
    'sa_pattern_is_invalid' => "O padrão não é válido.",
    'sa_spam' => "spam",
    'sa_trainer__page_title' => 'Treino do filtro de Spam',
    'sa_trainer__tools_legend' => 'Ferramentas',
    'sa_trainer__info_legend' => 'Informações',
    'sa_trainer__messages_list_legend' => 'Mensagens na sua caixa de correio',
    'sa_trainer__c' => 'T',
    'sa_trainer__l' => 'N',
    'sa_trainer__subject' => 'Assunto',
    'sa_trainer__from' => 'De',
    'sa_trainer__date' => 'Data',
    'sa_trainer__info_text' => 'Mensagens aprendidas: %1 como spam, %2 não sendo spam, %3 total.',
    'sa_trainer__messages' => 'mensagem(s)',
    'sa_trainer__select__all' => 'Tudo',
    'sa_trainer__select__spam_only' => 'Spam',
    'sa_trainer__select__ham_only' => 'Não-Spam',
    'sa_trainer__select__unknown_only' => 'Desconhecido',
    'sa_trainer__cannot_remove_messages' => 'Impossível remover as mensagens seleccionadas da caixa do correio.',
    'sa_trainer__remove_messages_confirm' => 'Tem a certeza que deseja remover as mensagens seleccionadas da caixa de correio?',
    'sa_subj' => "Assunto",
    'sa_training' => "Treino do filtro de Spam",
    'sa_training_legend' => "Treinamento de filtro bayesiano",
    'sa_use_srv_settings' => "Usar configurações do servidor",
    'sa_user_blacklist' => "A lista negra de utilizador",
    'sa_user_whitelist' => "A lista branca de utilizador",
    'sa_usr_disabled_by_srv' => "Não são permitidas definições individuais do filtro de spam pelo administrador",
    'sa_usr_no_postbox' => "Não é possível ativar a filtragem de spam porque a caixa de correio está desativada para esta conta de e-mail.",
    'sa_filters' => 'Filtros de Spam',
    'spamfilter__tools_legend' => 'Ferramentas',
    'spamfilter__prefs_legend' => 'Configurações',
    'spamfilter__max_children' => 'Número máximo de processos spamd de trabalhador a executar',
    'spamfilter__rewrite_header_subject_hint' => 'Deixe este campo em branco se não quiser adicionar texto. Insira _SCORE_ se quiser incluir a avaliação no assunto da mensagem.',
    'spamfilter__reject_spam' => 'Eliminar o correio spam quando chegar à caixa de correio',
    'spamfilter__enabled' => 'Ligada',
    'spamfilter_addresses_list__items' => 'endereços',
    'spamfilter_addresses__remove_title' => 'Os seguintes endereços vão ser removidos da lista:',
    'spamfilter_addresses__empty_selection' => 'Sem endereços seleccionados.',
    'server__admin_info' => "Informação do administrador",
    'server__ctrl_panel' => "Plesk",
    'server__enter_bug_essence_below' => "Insira a descrição do bug abaixo",
    'server__power_management' => "Administração de energia",
    'server__services' => "Serviços",
    'server__system' => "Sistema",
    'server__title' => "Administração do Servidor",
    'server_preferences__admin_skin' => "Aparência da interface do administrador",
    'server_preferences__default_language' => "Linguagem predefinida",
    'server_preferences__default_skin' => "Skin predefinida",
    'server_preferences__restart_apache_interval' => "Intervalo de reinício do Apache",
    'server_preferences__system' => 'Preferências do Sistema',
    'mail__tabs_preferences' => "Configurações",
    'mail__tabs_white_list' => "Lista Branca",
    'mail__tabs_smarthost' => "Smarthost",
    'server_preferences__use_vocabulary' => "Confirme as senhas para as caixas de correio no dicionário",
    'sessions__agreement' => "Sim, Eu desejo finalizar estas sessões.",
    'sessions__select_sessions_for_remove' => "Seleccione as sessões a serem finalizadas.",
    'sessions__tabs_cp_sessions' => 'Sessões do Plesk',
    'sessions__tabs_ftp_sessions' => 'Sessões FTP',
    'sessions__ftp_sessions_login' => 'Nome de utilizador FTP',
    'sessions__ftp_sessions_domain' => 'Nome do domínio',
    'sessions__ftp_sessions_path' => 'Localização atual',
    'sessions__ftp_sessions_file' => 'Nome do ficheiro',
    'sessions__ftp_sessions_action' => 'Estado',
    'sessions__ftp_sessions_speed' => 'Velocidade, KB/s',
    'sessions__ftp_sessions_comp' => 'Progresso, %',

    'site_apps__access_level' => 'Nível de acesso',
    'site_apps__access_level_commercial' => 'Comercial',
    'site_apps__access_level_free' => 'Grátis',
    'site_apps__action_installer' => "Instalação da aplicação web",
    'site_apps__action_reconfigure' => "Reconfiguração de uma aplicação web",
    'site_apps__custom_button_level' => 'Deseja criar um botão personalizado para aceder esta aplicação?',
    'site_apps__custom_button_level_false_domain_user_only' => 'Não',
    'site_apps__custom_button_level_domain_user_only' => 'Sim',
    'site_apps__custom_button_level_false' => 'Não',
    'site_apps__custom_button_level_domain' => 'Sim, e só disponibilize para o domínio actual.',
    'site_apps__custom_button_level_client' => 'Sim, e disponibilize para todos os domínios do cliente.',
    'site_apps__custom_button_level_admin' => 'Sim, e disponibilize para todos os domínios.',
    'site_apps__description' => "Descrição",
    'site_apps__dir_used_by_sapp__' => "O directório \"%1\" é usado por outra aplicação web",
    'site_apps__dir_used_by_unknown__' => "O directório \"%1\" já existe. O seu conteúdo será substituído se continuar.",
    'site_apps__dir_invalid_name__' => "O nome do directório %1 é incorrecto",
    'site_apps__file_name' => 'Nome do ficheiro da aplicação web',
    'site_apps__invalid_install_prefix' => "O prefixo da instalação é inválido",
    'site_apps__invalid_package' => "Aplicação web inválida",
    'site_apps__key_status' => 'A licenciar',
    'site_apps__key_status_free' => 'Distribuído livremente. Não requer uma chave de licença',
    'site_apps__key_status_ok' => 'A chave de licença exigida está instalada',
    'site_apps__key_status_problem' => 'A chave de licença exigida não está instalada',
    'site_apps__name' => "Nome",
    'site_apps__no_domains' => 'A aplicação web não pode ser instalada. Já existe outra aplicação web instalada no directório raiz deste domínio. Considere criar um sub-domínio para a aplicação web.',
    'site_apps__package_info_' => "Informação da Aplicação Web",
    'site_apps__package_integrated' => "aplicação de base, não pode ser removida",
    'site_apps__pool_select_packages_to_add' => 'Seleccione as aplicações web a adicionar ao repositório',
    'site_apps__release' => "Revisão",
    'site_apps__resource_used_by_sapp' => "Este recurso é utilizado pela aplicação web instalada",
    'site_apps__root_used_by_sapp' => "Este recurso é utilizado por uma aplicação web instalada",
    'site_apps__these_domains_will_not_delete' => 'Estes (sub)domínios não serão eliminados',
    'site_apps__upload_site_app_pkg_title' => 'Carregar uma nova aplicação web',
    'site_apps__version' => "Versão",
    'site_apps__access_to' => "Acesso a %1",
    'site_builder_requires' => '%1 - %3',
    'skeleton__archiver_not_installed' => "Impossível descomprimir o arquivo. Possivelmente o software de compressão não está instalado no servidor. Contacte o administrador do {$PROD_NAME} para ter este software instalado.",
    'skeleton__archive_corrupted' => "A verificação de ficheiro descobriu que o arquivo ou está danificado ou este tipo de arquivo não é suportado.",
    'skeleton__archive_too_large' => "A verificação do arquivo constatou que o tamanho do mesmo é muito grande.",
    'skeleton__not_supported_archive_type' => "Este tipo de arquivo(arquivo %1) não é suportado",
    'skin_download__title' => 'Descarregar a Skin',
    'skin_download_now__title' => 'A descarregar a skin',
    'skin_download_now__text' => 'A criação do pacote da máscara está em processamento.<br>Este procedimento pode demorar algum tempo.<br>Quando a janela de diálogo aparecer, poderá continuar a operar o Plesk.',
    'skin_file__help_for_using_types' => "Por favor, use o arquivo de skin num dos seguintes formatos",
    'skin_info__title' => 'Propriedades da Skin',
    'skin_mng_err__rpm_not_skin' => 'Este RPM não é um pacote de máscara do Plesk',
    'skin_mng_err__psa_install_noreloc' => 'Não foi possível instalar o RPM da Skin no local especificado.',
    'skin_mng_err__already_exists' => 'O directório de instalação da skin já existe, e contém um pacote de skin já instalado.',
    'skin_mng_err__rpm_upgrade_nonrpm' => 'O arquivo carregado não é um RPM de Skin válido.',
    'skin_mng_err__rpm_upgrade_noskin' => 'O arquivo carregado não é um pacote de Skin válido.',
    'skin_mng_err__rpm_upgrade_base' => "O arquivo carregado não é um {$PROD_NAME} pacote de Skin válido.",
    'skin_mng_err__rpm_upgrade_other' => 'Não foi possível instalar a skin: formato de skin inválido.',
    'skin_mng_err__no_a_skin' => "O arquivo carregado não é um {$PROD_NAME} pacote de Skin válido.",
    'skin_upload__title' => 'Carregar a nova skin',
    'skin_upload__already_exists' => "A skin '%1' já existe",
    'skin_upload__unable_to_apply' => "O ficheiro transferido não contém uma máscara do Plesk ou o formato de ficheiro não é suportado.",
    'skin_upload__unable_to_rename__' => "Impossível alterar o nome da skin de  %2 para %1: %3.",
    'skin_upload__file_name' => 'Caminho para o arquivo do pacote da skin',
    'skins_list__title' => 'Arquivo de skins',
    'skins_remove__title' => 'Remoção de skin',
    'skins_remove__select_skins_for_remove' => 'Seleccione as skins a serem removidas',

    'spf__unable_update' => 'Impossível actualizar os parâmetros SPF',
    'statistics__active_domains' => "Domínios activos",
    'statistics__clients' => "Clientes",
    'statistics__subdomains' => "Subdomínios",
    'statistics__cpu' => "CPU",
    'statistics__databases' => "Bases de dados",
    'statistics__db_users' => "Utilizadores de base de dados",
    'statistics__dirs' => "Directórios protegidos",
    'statistics__dom_active' => "Ativo",
    'statistics__dom_passive' => "Passivo",
    'statistics__dom_problem' => "Problema",
    'statistics__domains' => "Domínios",
    'statistics__domains_with_host' => "Domínios com alojamento",
    'statistics__doms' => "Domínios",
    'statistics__filesystem' => "Sistema de arquivos",
    'statistics__general' => "Geral",
    'statistics__hdd_available' => "Disponível",
    'statistics__hdd_capacity' => "Utilização",
    'statistics__hdd_total' => "Total",
    'statistics__hdd_usage' => "Uso de disco rígido",
    'statistics__hdd_used' => "Usada",
    'statistics__ip' => "Endereço IP",
    'statistics__key_number' => "Número da chave",
    'statistics__l1' => "Último 1 minuto",
    'statistics__l15' => "Últimos 15 minutos",
    'statistics__l5' => "Últimos 5 minutos",
    'statistics__la' => "Uso da CPU",
    'statistics__mail_autoresponders' => "Respostas automáticas",
    'statistics__mail_boxes' => "Caixas de correio",
    'statistics__mail_groups' => "Grupos de e-mail",
    'statistics__mail_lists' => "Listas de envio",
    'statistics__mail_redirects' => "Redirecionamentos de e-mail",
    'statistics__mem' => "Uso de memória",
    'statistics__mem_usage' => "Utilização",
    'statistics__memory_available' => "Disponível",
    'statistics__memory_buffer' => "Buffer",
    'statistics__memory_cached' => "Cached",
    'statistics__memory_free' => "Livre",
    'statistics__memory_shared' => "Partilhado",
    'statistics__memory_total' => "Total",
    'statistics__memory_used' => "Usada",
    'statistics__os' => "SO",
    'statistics__problem_clients' => "Clientes com problema",
    'statistics__problem_domains' => "Domínios com problema",
    'statistics__swap' => "Uso de Swap",
    'statistics__swap_free' => "Livre",
    'statistics__swap_total' => "Total",
    'statistics__swap_usage' => "Utilização",
    'statistics__swap_used' => "Usada",
    'statistics__system_stat' => "Informação do Servidor",
    'statistics__unable_define_active_doms' => "Impossível definir o número de domínios activos: %1",
    'statistics__unable_define_inactive_doms' => "Impossível definir o número de domínios inactivos: %1",
    'statistics__failed_define_swap_usage' => 'Não foi possível definir Utilização de Swap',
    'statistics__failed_define_load_averages' => 'Não foi possível definir Médias de Carga',
    'statistics__up_time' => "Tempo de funcionamento do sistema:",
    'statistics__ver' => "Versão",
    'statistics__web_users' => "Utilizadores de rede",
    'statistics__mem_win' => "Utilização da Memória Física",
    'statistics__memory_total_win' => "Total",
    'statistics__memory_used_win' => "Usada",
    'statistics__memory_free_win' => "Disponível",
    'statistics__swap_win' => "Utilização da Memória Virtual",
    'statistics__swap_total_win' => "Total",
    'statistics__swap_used_win' => "Usada",
    'statistics__swap_free_win' => "Disponível",
    'status__domain_has_reasons_to_be_off' => "O domínio ainda está suspenso devido á seguinte razão: %1",
    'subdomain__create__' => "Criar um sub-domínio no domínio %1",
    'subdomain__edit__' => "Gerir o sub-domínio %1",
    'subdomain__invalid_name' => "Nome de sub-domínio inválido: use só simbolos alfanuméricos e traços.",
    'subdomain__incorrect_name' => "Nome de sub-domínio inválido.",
    'subdomains__maillists_enabled_in_domain' => "O nome do sub-domínio.%1 é incorrecto: este nome de domínio já se encontra em uso pelas listas de envio do domínio %1.",
    'subdomains__dalias_exists' => 'Já existe um nome alternativo de domínio com esse nome.',
    'subdomains__name_exists' => "Já existe um subdomínio com esse nome.",
    'subdomains__regular_domain_exists' => "Já existe um domínio com esse nome.",
    'subdomains__domain_alias_exists' => 'Já existe um nome alternativo de domínio com esse nome.',
    'subdomains__remove_subdomains_on_domain' => "Os seguintes subdomínios para o domínio %1 serão removidos:",
    'subdomains__select_subdomains_for_remove' => "Seleccione os subdomínios a serem removidos.",
    'subdomains__webmail_enabled_in_domain' => "Nome do sub-domínio do webmail %1 é incorreto: este nome de domínio já se encontra em uso para acesso ao Webmail do domínio %1.",
    'subdomains__dns_record_already_exists' => 'Impossível criar o sub-domínio %1 porque já existe um registo DNS a apontar ao host %1.',
    'subdomains__www_prefix_in_domain' => "Nome de sub-domínio www.%1 incorrecto: o domínio %1 já tem o prefixo WWW.",
    'subdomains__user_type_quota_exceeds' => 'Impossível mudar a conta do utilizador porque iria exceder o espaço de disco atribuído.',
    'subdomains__creation_in_dns_slave' => "O servidor de nomes do Plesk está a funcionar como servidor de nomes secundário para este domínio. Para que o seu subdomínio resolva corretamente, assegure-se de que o ficheiro de zona do servidor DNS principal contém o registo %1.",
    'sys_user__attributes_not_changed' => "\nOs seguintes atributos do utilizador de sistema não foram alterados: %1",
    'sys_user__no_access_without_password' => "Você não definiu a senha. O utilizador de sistema será criado, mas não será capaz de entrar no sistema, até que lhe seja dada uma senha. Deseja continuar?",
    'sys_user__no_hard_quota' => "não suportado",
    'sysuser__zero_quota_is_unlimited' => "0 para ilimitado",
    'template__num_excl_ips' => "Atribuir endereços IP exclusivos ao cliente",
    'template__sel_sh_ips' => "Os endereços IP partilhados seleccionados",
    'template__av_sh_ips' => "Endereços IP partilhados disponíveis",
    'template__up_to_excl_ip' => "Até %1 endereços IP",
    'templates__all_clients' => "todos os clientes",
    'templates__cl_domain_templates' => "Modelos para %1",
    'templates__cl_templates' => "Modelos de cliente",
    'time__invalid_ip' => "Endereço IP ou nome de domínio inválido.",
    '__please_select_country' => 'Por favor, seleccione o seu país',
    'time__unable_set_time' => "Impossível definir hora do sistema: %1",
    'time__sinchronization_setup_error' => 'Não foi possível definir a sincronização do relógio: timemng falhou: %1',
    'time__sinchronization_disable_error' => 'Não foi possível desativar a sincronização do relógio: timemng falhou: %1',
    'tmpl__create' => "Criar modelo",
    'tmpl__edit__' => 'Modelo %1',
    'tmpl__logrotation_warn' => "Rotacionamento de log no domínio criado por este modelo será executado somente em caso de criação subsequente de conta de Alojamento físico para o mesmo.",
    'tmpl__name' => "Nome do modelo",
    'tmpl__dom_exist' => "Já existe um modelo de domínio com esse nome no repositório de modelos do administrador ou do cliente.",
    'tmpl__name_invalid' => "Nome do modelo está inválido ou vazio.",
    'tmpl__use_next_ip_addr' => "Será utilizado o próximo endereço IP livre",
    'tmpl_name_already_exists' => "O modelo com o nome '%1' já existe.",

    'vh_based__no_free_ip_for_vh' => "Não há endereços IP livres para o alojamento virtual baseado em IP. Por favor, adicione um endereço IP.",

    'wu__at_domains_text' => "Permitir o acesso no formato utilizadorweb@%1",
    'wu__unable_create' => "Impossível criar o utilizador web: %1",
    'wu_edit__disk_quota' => "Quota de disco",
    'wu_edit__invalid_pass' => "Senha é inválida.",
    'wu_edit__invalid_quota' => "O valor da quota especificado para o espaço de disco não é válido. Por favor, insira um numero positivo.",
    'wu_edit__invalid_quota_value' => "A quota de espaço de disco é menor que a que está em uso (%1MB). Algumas funcionalidades podem não ficar disponíveis. Tem a certeza que quer continuar?",
    'wu_edit__not_create_pass' => "Esta acção não irá criar uma senha para o novo utilizador web.\nSem senha o utilizador não será capaz de entrar no sistema.",
    'wu_edit__unable_update' => "Impossível actualizar a propriedade do utilizador web: %1",

    'dns__tabs_general' => 'Definições da Zona',
    'dns__tabs_zone_settings' => 'Registos SOA',
    'soa__seconds' => 'segundos',
    'soa__minutes' => 'minutos',
    'soa__hours' => 'horas',
    'soa__days' => 'dias',

    'DomainSubdirectory' => 'Subdirectório de destino',

    'filemanager__select_codepage' => 'seleccione o Codepage:',

    'bt_server_app_add' => 'Adicionar aplicação de servidor',
    'packages_list' => 'Aplicações Locais',

    'bt_packages_management' => 'Administração de Pacotes',
    'pb__packages_management' => 'Administração de Aplicações',
    'bt_package_new' => 'Adicionar aplicação',
    '__packages' => 'Aplicações Locais',

    'dom_ctrl__mysql_dbase_space' => 'Quota total de bases de dado MariaDB/MySQL',
    'dom_ctrl__mssql_dbase_space' => 'Quota total de bases de dado MS SQL',

    'dns_add__enter_ixfr_path' => 'Insira o caminho de IXFR',

    'cmd_dns__txt_dns_record_already_exist' => 'Registo SPF TXT já existe. Não pode ser apenas um registro SPF. Para adicionar um registro, eliminação antes do existente.',

    'component_name__network' => 'Rede',
    'component_name__sitebuilder' => 'Presence Builder',

    'bt_skin_set' => 'Skin de jogo',
    'bt_set_skin' => 'Skin de jogo',
    'firewall__rule_already_exists' => 'Regra com o nome %1 já existe',
    'firewall__rule_readonly' => 'A regra "%1" é apenas de leitura',
    'pb__firewall' => 'Firewall',

    '__webstat_smarterstats' => 'SmarterStats',

    'mn_list__tab_title_antivirus' => 'AV',

    'bt_antivirus' => 'Antivírus',
    'antivirus__antivirus' => 'Protecção Antivírus',
    'antivirus__antivirus_direction_off' => 'Desligado',
    'antivirus__antivirus_direction_any' => 'Correio a entrar e a sair',
    'antivirus__antivirus_direction_from' => 'Só correio a sair',
    'antivirus__antivirus_direction_to' => 'Só correio a entrar',
    'antivirus__unable_to_update_settings' => 'Não é possível modificar as definições do antivírus: %1',




    '__normal' => 'Normal',
    '__low' => 'Baixa',
    '__high' => 'Alta',

    'mail__antivirus' => "Antivírus interno do servidor de correio",
    'mail__use_internal_antivirus' => 'Utilize o antivírus interno',

    'sa__tabs_blacklist' => 'Lista Negra',

    '__mysql_databases' => 'Bases de dados do MariaDB/MySQL',

    'cl_perm__mysql_dbase_space' => 'Quota total de bases de dado MariaDB/MySQL',
    'cl_perm__mssql_dbase_space' => 'Quota total de bases de dado MS SQL',
    'cl_perm__max_mssql_db' => 'Número máximo de bases de dados do servidor Microsoft SQL',
    'cl_perm__total_mboxes_quota' => 'Quota total das caixas de correio',

    'i_i_cl_on' => 'A conta do cliente está ativada.',
    'i_i_cl_off_by_admin' => 'A conta do cliente foi suspensa pelo administrador.',

    'sa_exists_tn' => 'A Rede já se encontra na lista.',

    'defaultcomponents__not_activated' => 'inactivados',

    'bt_traffic_at_domains' => 'Tráfego',

    '__awstats_perl_warning' => 'Sem o Perl instalado, o AWStats não vai permitir que os utilizadores verifiquem as estatísticas de anos anteriores.',

    'class_client__mysql_dbase_space' => 'O valor ultrapassa o limite do cliente.',
    'class_client__mssql_dbase_space' => 'O valor ultrapassa o limite do cliente.',
    'class_client__max_mssql_db' => 'O valor ultrapassa o limite do cliente.',

    'dns__remove_transfer_restrictions_list_items' => 'As seguintes redes serão removidas da lista de controlo de acesso:',

    'bt_up' => "Cima",
    'bt_down' => "Baixo",

    'bt_install_selected' => 'Instalar as chaves de licença seleccionadas.', // SELECTED


    'dom_pref__the_domain_resolves_to_another_ip_address' => 'O domínio resolve para outro endereço IP: (%1). Por favor corrija as definições de DNS.',

    'mn_edit__mailbox_enable_if_mailgroup_enabled' => 'O servidor de correio que está a utilizar não suporta ter em simultâneo caixas de correio e grupos de correio ligados. Clique OK para permitir caixas de correio em detrimento dos grupos de correio. Clique Cancelar para deixar tudo igual.',

    'mn_edit__mailgroup_enable_if_mailbox_enabled' => 'O servidor de correio que está a utilizar não suporta ter em simultâneo caixas de correio e grupos de correio ligados. Clique OK para permitir os grupos de correioem detrimento das caixas de correio. Clique Cancelar para deixar tudo igual.',

    'mysql_dbase_space_limit' => 'Limite do espaço da base de dados MariaDB/MySQL',
    'mysql_dbase_usage' => 'Utilização do espaço da base de dados MariaDB/MySQL',
    'mssql_dbase_space_limit' => 'Limite do espaço da base de dados Microsoft SQL',
    'mssql_dbase_usage' => 'Utilização do espaço da base de dados Microsoft SQL',

    '__statistics' => "estatísticas", //indirect

    'dns__soa_minimum_value_is_big' => 'Configurar o valor do TTL Mínimo para mais de 3 horas pode tornar o seu domínio inacessível a alguns dos administradores de domínio. É recomendado que só coloque esse valor, no caso do seu registar de nomes de domínio insistir.',

    'virusfilter__interface_not_available' => 'Não estão disponíveis filtros de vírus.',
    'virusfilter__none_virus_filter' => 'Nenhum',
    'virusfilter__mailname_status_text' => 'Antivírus (%1)',
    'virusfilter__status_none' => 'desligado',
    'virusfilter__status_any' => 'correio a entrar e a sair',
    'virusfilter__status_outgoing' => 'só correio a sair',
    'virusfilter__status_incoming' => 'só correio a entrar',

    'visibility__root_override_parse_error' => 'Existe um erro de sintaxe no ficheiro %1 na linha %2.',

    'sb__not_support_publishing_api' => "A publicação automática não é permitida pelo componente",

    'component_name__cphosting' => "Hospedagem do Plesk",

    'dom_pref__unable_set_up_total_mboxes_quota' => 'A configuração da quota das caixas de correio não é permitida por este servidor de correio.',
    '__unable_get_total_mboxes_quota' => 'A configuração da quota das caixas de correio não é permitida por este servidor de correio.',

    'install_prefix__parent_not_exists' => "O directório pai não existe.",

    'bt_change_version' => 'Alterar Versão',
    'pb__aspdotnet' => 'ASP.NET',

    '__check_all' => "Seleccionar Tudo",
    '__uncheck_all' => "Limpar Tudo",

    'dns__editing_domain_controller_zone' => "A modificação de registos de zona DNS de um controlador de domínio pode causar problemas de funcionamento do domínio",

    'pb__interface_management' => "Gestão de Interface",
    'interface_management__tabs_skins' => "Skin",
    'interface_management__tabs_interface_templates' => "Modelos de Interface",
    'interface_management__tabs_locales' => "Pacotes de idiomas",
    'locales_list__title' => "Repositório dos pacotes de idioma",
    'locales_list__legend' => "Idiomas disponíveis",
    'locales_list__active_title' => "F",
    'locales_list__locale_title' => "Pacote de linguagem",
    'locales_list__lang_title' => "Idioma",
    'locales_list__country_title' => "País",
    'locales_list__used_title' => "Usada",

    'backup__suspend_warning_during_backup' => "O domínio estará indisponível durante o processo de backup",
    'backup__suspend_warning_during_restore' => "O domínio estará indisponível durante o processo de reposição",
    'backup__suspend_domain' => "Suspender domínio",

    'locales_list__mls_limit' => "Sua licença atual do Plesk permite utilizar %2 línguas. Neste momento, tem %1 língua definida como disponível para os utilizadores, o que excede o número fornecido com a licença. Selecione %2 línguas que deseje utilizar e deixe o resto indisponível aos utilizadores clicando nos seus ícones da coluna 'S'.",

    'bt_change_owner' => 'Atribuir Novo Proprietário',
    'chown__limit_name' => 'Nome do recurso',
    'chown__error_limits' => "Impossível continuar a transferência da assinatura: esta assinatura requer mais recursos do que a conta do utilizador de destino pode disponibilizar",
    'chown__error_empty_ip_pool' => "Impossível continuar a transferência da assinatura: O repositório de IP do novo proprietário está vazio. Por favor, primeiro, atribua um endereço IP ao cliente.",

    'backup__backup_time' => 'Hora do backup',
    'backup__backup_time_hour' => 'horas',
    'backup__backup_time_minute' => 'minutos',
    'backup__every' => 'a cada',
    'backup__day_of_month' => 'dia do mês',

    'subdomain__select_hst_type' => 'Seleccione o tipo de alojamento para o sub-domínio',
    'hst_sel__subdom_subfolder_hst' => 'Sub-domínio na sub-pasta',
    'subdomain__www_root_folder_not_exists' => 'O directório de inicio do site %1 não existe',
    '__site_home_dir' => 'Directório de inicio do site',
    'subdomain__aspnet_disabled_domain' => 'desligado pelo domínio',

    'domains__remove_description' => 'Todos os dados do domínio, incluindo o conteúdo e definições do domínio e respectivos subdomínios, aplicações locais, conteúdos de caixas de correio, definições dos filtros do antivírus e de spam, ficheiros de registo, repositório dos dados de cópias de segurança do domínio e certificados SSL/TLS serão eliminados. Se não possuir um ficheiro de cópia de segurança na sua máquina local, todos os dados serão perdidos de forma permanente.',
    'subdomains__remove_description' => 'Todos os dados do sub-domínio, incluindo o conteúdo e configurações sub-domínio, dados das aplicações locais e ficheiros de log serão eliminados. Se não tiver um arquivo de backup na sua máquina local, todos os dados serão perdidos permanentemente.',

    'mail__tabs_spam_filtering' => 'Filtro Spam',
    'mail__tabs_antivirus' => 'Antivírus',
    'antivirus__use_server_settings_scan' => 'Utilizar as definições predefinidas a nível de servidor (Procurar)',
    'antivirus__use_server_settings_no_scan' => 'Utilizar as definições predefinidas a nível de servidor (Não procurar)',
    'antivirus__check_for_viruses' => 'Procurar vírus',
    'antivirus__dont_check_for_viruses' => 'Não procurar vírus',
    'antivirus__incoming_mail' => 'Correio a entrar',
    'antivirus__outgoing_mail' => 'Correio a sair',

    'domain_alias__CNAME_dns_record_exists' => 'Já existe um registo CNAME de DNS com esse nome',
    'domain_alias__A_dns_record_exists' => 'Já existe um registo A de DNS com esse nome',
    'domain_alias__bad_prefix' => 'Prefixo errado para o nome alternativo do domínio',
    'domain_alias__domain_doesnt_exist' => "O domínio não existe",

    'dns__zone_ttl_message_info' => 'Se o valor TTL não for especificado, o valor TTL no SOA Record Template (%1) será utilizado para este registo DNS.',

    '__webalizer_support' => 'Webalizer',
    '__awstats_support' => 'AWStats',
    '__smarterstats_support' => 'SmarterStats',

    'site_apps__make_default_warning_message' => "Será criado um ficheiro com o nome index.html de modo a reendereçar para a aplicação web seleccionada. Se já existir um ficheiro com o nome index.html, será copiado para index.html.old e substituído pelo novo. Carregue em OK para confirmar",

    'bt_ftp_ctrl' => "Contas FTP adicionais",
    'ftp_users_no_permission' => "Não tem permissão de gerir as contas FTP adicionais deste domínio",
    'ftp_users_limit_reached' => "Foi alcançado o limite de subcontas de FTP neste domínio",
    'pb__ftp_ctrl' => "Gestão de FTP",
    'class_client__max_subftp_users' => "Contas FTP adicionais",

    '__client_form_settings' => "Definições do cliente",
    '__sbnet_client_keep_sbnet' => "Mantenha a conta de utilizador correspondente no Presence Builder",
    '__sbnet_cant_add_more_sites' => "Este cliente alcançou o limite da quantidade de sites que pode utilizar no Presence Builder",
    '__sbnet_legend_text' => "Integração do Presence Builder",
    '__sbnet_synchronize_user_with_sbnet' => "Criar uma conta de utilizador correspondente no Presence Builder",
    '__sbnet_client_warning_delete_sb_user' => "Está a tentar remover uma conta de utilizador do Presence Builder associado a este cliente. Esta ação removerá todos os sites Web e definições do utilizador no sistema do Presence Builder, impedindo a modificação de sites web existentes através do Presence Builder, mesmo que mais tarde ative esta opção. Se mais tarde criar este utilizador do Presence Builder de novo, vai ter de criar e publicar todos os sites web de raiz. Quer desligar a possibilidade de criar e publicar sites web através do Presence Builder?",
    'sb__build_site_with_subdomains' => "Criar subdomínios de Blog e de Galeria Fotográfica",
    '__sbnet_client_dont_have_sbuser' => "Não pode criar ou publicar o site utilizando Presence Builder: O utilizador do Presence Builder não existe",

    '__component_disabled' => "Componente desligada",

    'subdomains__physical_path_not_exist' => "Existem ssubdomínios ligados a pastas físicas inexistentes",

    'dnsserver_bind_to_msdns_switching_warning' => "Aviso: só os primeiros 254 endereços IP das subredes com máscaras /8 e /16 localizadas na Lista de Controlo de Acessos serão transferidos. Eles serão transferidos como endereços IP separados. Deseja continuar?",

    '__sbnet_net_framework_required_for_site' => "Os sites do Presence Builder podem necessitar de suporte do ASP.NET 2.0 no seu domínio. Recomendamos que ative o suporte ASP.NET 2.0 se está a utilizar o Presence Builder.",

    'subdomain_auto_create_dir' => "Criar directório físico para o sub-domínio",

    'sa_trainer__unable_to_get_messages_list' => "Não foi possível obter a lista das mensagens da caixa de correio: %1",
    'sa_trainer__pass_doesnt_exist' => "Falta a senha desta conta de correio",

    '__sitebuilder_error' => "Um erro ocorreu ao tentar se conectar ao Presence Builder. Entre em contato com o seu prestador de serviço para assistência.",
    'wsb_error_user_not_exist' => "O utilizador do Presence Builder não existe.",
    'wsb_error_site_already_exist' => "O site já existe no Presence Builder.",
    'wsb_error_site_limit_reached' => "Atingiu o limite do número de sites no Presence Builder.",
    'wsb_error_internal_error' => "Ocorreu um erro interno do Presence Builder. Por favor, contacte o administrador",
    'wsb_error_user_already_exist' => "Já existe um utilizador do Presence Builder com esse nome.",
    'sb_error_user_not_exist' => "O utilizador do Presence Builder não existe",
    'wsb_error_object_not_found' => "O Presence Builder não conseguiu encontrar a entrada correta do host",

    'mg_no_mail_groups' => "Sem grupos de correio",

    'drweb__drweb_incoming' => 'Verificação antivírus de correio a chegar',
    'drweb__drweb_outgoing' => 'Verificação antivírus de correio a sair',
    'drweb__disable_reason_serv' => 'O servidor de correio não suporta as definições do filtro antivírus a nível da caixa de correio',

    'vz_sitebuilder3_client_cant_be_created' => "Impossível criar conta do cliente: Não está instalada uma versão do SiteBuilder 3.1 ou mais recente",

    // new limits

    'class_client__max_odbc' => "Ligações ODBC",
    'cl_perm__max_odbc' => "Número máximo de conexões ODBC",

    // domain aliases DNS
    'domain_alias__list_status' => 'F',
    'domain_alias__list_name' => 'Nome do nome alternativo de domínio',
    'domain_alias__list_ascii_name' => 'Em formato ASCII',


    // Interface Customization Templates
    'interface_preferences' => 'Gestão de Interface',
    'pb__interface_templates' => 'Gestão de interface',
    'pb__interface_clients' => 'Clientes a utilizar %1',

    // service management
    'bt_service_showall' => "Exibir Tudo",
    'bt_service_hideall' => "Ocultar Tudo",
    'bt_service_start' => "Iniciar",
    'bt_service_stop' => "Parar",
    'bt_service_restart' => "Reiniciar",
    'bt_service_disable' => "Desativar",
    'bt_service_manual' => "Manual",
    'bt_service_auto' => "Auto",
    'service_startup_auto' => 'Automático',
    'service_startup_manual' => 'Manual',
    'service_startup_disabled' => 'Desligado',
    'service_action_ok' => "A operação do serviço %1 foi completada com sucesso",
    'service_action_failed_disabled_service' => "Impossível completar a operação do serviço %1 porque está desligado",
    'service_action_failed_error' => "Impossível completar a operação: %1",
    'service_group_action_ok' => "A operação dos seguintes serviços foi completada com sucesso: %1",
    'service_group_action_disabled' => "Impossível completar a operação com os seguintes serviços porque estão desligados:\n%1",
    'service_group_action_failed' => "Impossível completar a operação nos seguintes serviços: %1. Para receber informação detalhada do erro, execute a operação separadamente em cada serviço",

    // php 4vs5
    'bt_php' => "Configurações PHP",

    'bt_insert' => "Inserir",

    // wsb integration
    'wsb_error_sitebuilder_database_error' => "Erro na base de dados do Presence Builder: Por favor, contacte o administrador",
    'wsb_error_sitebuilder_access_denied_error' => "Impossível abrir o ficheiro: Presence Builder não tem direitos de acesso para o ficheiro ou pasta necessário. Por favor, contacte o administrador",
    'wsb_error_sitebuilder_connection_failed' => "Impossível ligar o Presence Builder porque não há ligação. Por favor, contacte o administrador",
    'wsb_error_critical_during_operation' => "Ocorreu um erro critico no Presence Builder\n%1",
    'wsb_error_license_during_operation' => "Ocorreu um erro na licença do Presence Builder:\n%1",
    'wsb_error_during_operation' => "Ocorreu um erro no Presence Builder:\n%1",
    'wsb_error_license_error' => "Foi encontrado um limite na licença do Presence Builder",

    // Other
    '__confrim_service_stop' => "Atenção! A execução do Plesk pode parar caso o serviço %1 seja interrompido. Tem certeza que quer interromper o serviço %1?",
    'index_redirect_help_text' => 'Agora vai ser redirigido automaticamente para o site pedido. Se o seu browser não suportar a redirecção, por favor clique %1 aqui %2',
    'bt_default_settings' => "Repor Predefinições",
    'logfiles__remove_failed' => "Impossível eliminar o ficheiro %1: o ficheiro está bloqueado por outra aplicação. Por favor, tente mais tarde",
    'subdomain__invalid_homedirectory' => "O directório root, do sub-domínio, especificado é inválido",
    'scheduler_item__empty_filename' => "Por favor, introduza o ficheiro executável a executar.",
    'subdomains__overlapped_domain_exists' => 'O sub-domínio é sobreposto pela zona DNS do domínio %1',
    'subdomains__overlapped_domain_alias_exists' => 'O sub-domínio é sobreposto pela zona DNS do nome alternativo de domínio %1',
    'services_action_none_selected' => 'Impossível completar a operação: por favor seleccione os serviços necessários',
    'cl_perm__max_subftp_users' => "número máximo de contas FTP adicionais",
    'login_up__access_denied_no_cp_access' => 'Acesso recusado. No tem autorização para aceder ao Plesk.',
    'drweb__disable_reason_admin' => "As definições do filtro antivírus ao nível da caixa de correio não são permitidas pela política do servidor.",

    '__use_default' => 'Utilizar predefinição',

    'webalizer_hidden_referrer__already_exist' => 'Esse registo já existe.',
    'webalizer_group_referrer__already_exist' => 'Já existe um grupo de originadores com esse nome.',

    'pb__dashboard' => 'Início',

    'server_interface__page_title' => 'Preferências da Interface do Servidor',
    'server_interface__tabs_locales' => 'Pacotes de idiomas',
    'server_interface__tabs_skins' => 'Skin',
    'server_interface__tabs_interface_templates' => 'Modelos de Interface',
    'bt_server_interface' => 'Preferências da Interface',
    'pb__server_interface' => 'Preferências da Interface',

    'bt_wizard_next' => 'Seguinte >>',
    'bt_wizard_prev' => '<< Anterior',

    '__limit_exceeded_max_dom_server' => 'Não pode criar alojar domínios porque o servidor chegou ao limite do número de domínios permitido pela chave de licença. Por favor contacte o fornecedor do serviço para resolver este problema.',
    '__limit_exceeded_max_subdom_server' => 'Não pode alojar mais subdomínios neste servidor. Por favor, contacte o seu fornecedor de serviços.',
    '__limit_exceeded_max_dom_aliases_server' => 'Não pode alojar mais nomes alternativos neste servidor. Por favor, contacte o seu fornecedor de serviços.',
    '__limit_exceeded_max_wu_server' => 'Não pode criar mais utilizadores de rede porque alcançou o limite do número de utilizadores de rede permitidas no servidor pela sua chave de licença. Por favor contacte o fornecedor do serviço para resolver este problema.',
    '__limit_exceeded_max_mn_server' => 'Não pode criar mais contas de correio porque alcançou o limite do número de contas de correio permitidas no servidor pela sua chave de licença. Por favor contacte o fornecedor do serviço para resolver este problema.',

    '__limit_exceeded_max_cl_useradmin' => 'Alcançou o limite do número de contas de cliente definidas na sua chave de licença (%2)',
    '__limit_exceeded_max_dom_useradmin' => 'Alcançou o limite do numero de domínios definido pela sua chave de licença (%2)',
    '__limit_exceeded_max_subdom_useradmin' => 'Atingiu o limite do numero de subdomínios definido pela sua chave de licença (%2)',
    '__limit_exceeded_max_dom_aliases_useradmin' => 'Alcançou o limite do numero de nomes alternativos de domínio definido pela sua chave de licença (%2).',
    '__limit_exceeded_disk_space_useradmin' => 'Não tem espaço de disco livre disponível',
    '__limit_exceeded_max_wu_useradmin' => 'Atingiu o limite do numero de contas de utilizador Web definido pela sua chave de licença (%2)',
    '__limit_exceeded_max_db_useradmin' => 'Alcançou o limite do numero de bases de dados definido pela sua chave de licença (%2)',
    '__limit_exceeded_max_box_useradmin' => 'Alcançou o limite do numero de caixas de correio definido pela sua chave de licença (%2)',
    '__limit_exceeded_max_mn_useradmin' => 'Alcançou o limite do número de contas de e-mail definido pela sua chave de licença (%2)',
    '__limit_exceeded_max_maillists_useradmin' => 'Alcançou o limite do numero de listas de envio definido pela sua chave de licença (%2)',

    '__limit_exceeded_max_dom_userclient' => 'Alcançou o limite do numero de domínios (%2)',
    '__limit_exceeded_max_subdom_userclient' => 'Chegou ao limite do numero de subdomínios (%2) permitidos pelo seu fornecedor do serviço.',
    '__limit_exceeded_max_dom_aliases_userclient' => 'Alcançou o limite do numero de nomes alternativos de domínio (%2)',
    '__limit_exceeded_disk_space_userclient' => 'Alcançou o limite de utilização do espaço de disco (%2)',
    '__limit_exceeded_max_traffic_userclient' => 'Alcançou o limite de utilização da quantidade de tráfego mensal (%2)',
    '__limit_exceeded_max_wu_userclient' => 'Chegou ao limite do numero de utilizadores de rede (%2) permitidos pelo seu fornecedor do serviço.',
    '__limit_exceeded_max_db_userclient' => 'Alcançou o limite do numero de bases de dados (%2)',
    '__limit_exceeded_max_box_userclient' => 'Alcançou o limite do numero de caixas de correio (%2)',
    '__limit_exceeded_max_maillists_userclient' => 'Alcançou o limite do numero de listas de envio (%2)',
    '__limit_exceeded_expiration_userclient' => 'A sua conta expirou em %2',

    '__limit_exceeded_max_subdom_userdomain' => 'Chegou ao limite do numero de subdomínios (%2) permitidos pelo seu fornecedor do serviço.',
    '__limit_exceeded_max_dom_aliases_userdomain' => 'Alcançou o limite do numero de nomes alternativos de domínio (%2)',
    '__limit_exceeded_disk_space_userdomain' => 'Alcançou o limite de utilização do espaço de disco (%2)',
    '__limit_exceeded_max_traffic_userdomain' => 'Alcançou o limite de utilização da quantidade de tráfego mensal (%2)',
    '__limit_exceeded_max_wu_userdomain' => 'Atingiu o limite do numero de contas de utilizador Web (%2)',
    '__limit_exceeded_max_db_userdomain' => 'Alcançou o limite do numero de bases de dados (%2)',
    '__limit_exceeded_max_box_userdomain' => 'Alcançou o limite do numero de caixas de correio (%2)',
    '__limit_exceeded_max_maillists_userdomain' => 'Alcançou o limite do numero de listas de envio (%2)',
    '__limit_exceeded_expiration_userdomain' => 'A sua conta expirou em %2',

    'sapp_error_validation_not_found' => 'Impossível validar a aplicação web porque um dos ficheiros necessários (%1) não foi encontrado. Contacte o suporte do Plesk para assistência.',
    'sapp_error_validation_spec_failed' => 'A aplicação web carregada não está conforme as especificações AppPacks: %1.',
    'sapp_error_validation_register' => 'Impossível registar a aplicação web  localizada no directório "%1": %2 Deve remover a aplicação web do servidor porque não irá funcionar convenientemente.',

    'sapp__install_failed' => 'A instalação da aplicação web falhou: %1',
    'sapp__install_res_failed' => 'Falha ao criar o recurso pedido.',

    'server_preferences__subdomains_blog_and_photo' => 'Criar subdomínios de Blog e Galeria Fotográfica por predefinição',
    'plesk_key__blog_and_photo' => 'Funcionalidade de gerir o estado predefinido da checkbox Criar subdomínios de Blog e Galeria Fotográfica',
    'ip_ctrl__cannot_make_exclusive_ip_with_more_than_one_client' => 'Impossível configurar o IP como exclusivo caso esteja atribuído a mais de um cliente',

    // 8.1.1

    '__write_modify_warning' => 'Ao seleccionar as permissões adicionais de escrita/modificação vai permitir que algumas aplicações Web funcionem correctamente, mas também vai aumentar significativamente os riscos de segurança',
    '__write_modify_subdomain_warning' => 'Ao seleccionar as permissões adicionais de escrita/modificação vai permitir que algumas aplicações Web funcionem correctamente, mas também vai aumentar significativamente os riscos de segurança',

    'phosting__php_incorrect_version_used' => "Foram detectados problemas na versão de PHP. Para resolver estes problemas, seleccione a checkbox com a versão de PHP necessária e clique OK. Para desactivar o PHP neste domínio, clique OK sem seleccionar a versão de PHP",
    'fp__mail_preferences' => 'Definições de correio',

    'mail__invalid_white_pattern' => 'O valor especificado é inválido. Utilize os seguintes formatos: correio@exemplo.com para endereços de e-mail, exemplo.com para domínios.',
    'mail__invalid_black_pattern' => 'Especificou um entrada inválida. Por favor utilize o seguinte formato: correio@exemplo.com para o endereço de e-mail, exemplo.com para domínios.',

    'resp_edit__reply_as_html' => 'Enviar como HTML',
    'exception__path_very_long' => "O caminho é muito longo. Por favor, certifique-se que existem menos de %1 carateres no caminho",

    // 8.2


    //SAPP
    'sapp_on' => 'Ligado',
    'sapp_off' => 'Desligado',
    'sapp_directive_aspect' => 'Necessário',
    'sapp_databases_num' => 'Bases de dados',
    'sapp_db_required' => 'Necessário',
    'sapp_Required' => 'Necessário',
    'sapp_Variant' => 'Variante',
    'sapp_db_id' => 'Id da base de dados',
    'sapp_db_id_type' => 'Tipo de DB (id: %1)',
    'sapp_db_id_min_version' => 'Versão min da DB (id: %1)',
    'sapp_db_id_table_prefix' => 'Prefixo da tabela DB (id: %1)',
    'sapp_Default' => 'Valor predefinido',
    'sapp_apache_mod_req' => 'Módulo Apache',
    'sapp_dbtype_not_installed' => 'não instalado',
    'sapp_apache_mod_not_installed' => 'não instalado',
    'sapp_error_invalid_type' => 'A aplicação "%1" não suporta a acção pedida.',
    'sapp_error_unknown_app_type' => 'Tipo de aplicação não suportado: %1.',
    'sapp__ssl_text' => 'Instalar a aplicação no alojamento em "http://" ou "https://"?',
    'sapp__app_to_upgrade' => 'Aplicações a ser actualizadas',
    'sapp__upgrade_apps_title' => 'Actualizar aplicações',
    'sapp__upgrade_to_ver' => 'Actualizar para a versão',
    'sapp__choose_pkg_ver' => 'Seleccione um pacote...',
    'sapp__pkg_cant_upgrade_pkg' => 'O pacote "%1" não pode ser utilizado para actualizar a aplicação web "%2".',
    'sapp__app_ugrade_error' => 'Impossível actualizar a aplicação: %1. Por favor contacte o administrador de sistema.',
    'sapp__no_suitable_db_found' => 'Não foi encontrada uma base de dados apropriada.',
    'sapp__upgrade_success' =>  'A actualização foi actualizada com sucesso.',
    'sapp__pkg_info_changelog' => 'Histórico das modificações',
    'sapp_requirement_legend' => 'Características do alojamento necessárias pela aplicação',

    // other
    'bt_apply' => 'Aplicar',
    'mn_edit__add_alias_if_mailbox_disabled' => 'Para criar um nome alternativo de correio a caixa de correio deve estar ligada nesta conta de correio. Quer ligar a caixa de correio ?',
    'mn_edit__mailbox_disable_if_has_alias' => 'Ao desligar a caixa de correio irá remover os nomes alternativos de correio porque não vão funcionar. Quer desligar a caixa de correio ?',
    'antivirus__disable_reason_install' => 'Não pode gerir o antivírus porque não está instalado.',
    'antivirus__disable_reason_key' => 'Não pode ativar o antivírus porque não está ativo com uma chave de licença apropriada',
    'antivirus__disable_reason_deny_personal_settings' => 'Não pode gerir o antivírus porque a política do servidor proíbe as definições individuais de antivírus.',
    'change_foreign_user_password' => 'Alterar senha',
    'change_foreign_user_password_hint' => "O utilizador não pertence a esta aplicação. Clique no link para ir para uma outra aplicação de modo a modificar a senha do utilizador. Para isso, tem de ter os direitos necssários na aplicação.",
    'cf_url_text' => 'URL JDBC',
    'cf_sendStringParametersAsUnicode_text' => 'Formato da String',
    'lang_unknown' => 'Idioma desconhecido',
    'pb__cl_ed' => 'Detalhes do cliente',
    'pb__actionlog' => 'Registo de ações',
    'pb__cl_limits' => 'Limites do cliente',
    'pb__edit' => 'Editar',
    'pb__subdom_edit' => 'Definições de alojamento',

    // NEW 8.3 FEATURES

    'backup_mail_content' => 'Executar o backup do conteúdo das caixas de correio',

    'maillist_import_result' => "\nQuantidade de endereços de email no ficheiro: %1\nquantidade de endereços de email importados: %2\nquantidade de endereços de email já existentes: %3\nquantidade de endereços de email duplicados no ficheiro especificado: %4\nquantidade de endereços de email inválidos no ficheiro: %5",
    'maillist_import_error' => 'Impossível importar a lista de endereços de email',

    //  spaw

    'spaw__unable_to_edit_no_body' => "O ficheiro seleccionado ou está vazio ou não é um documento HTML válido no código seleccionado. Por favor, seleccione o código correcto ou simplesmente adicione conteúdo ao ficheiro.",

    'dom_pref__external_mail_srv' => "Redirecionar para um servidor de correio externo com o endereço IP:",
    'mn_edit__store_messages' => 'Caixa de Correio',

    // aps

    'sapp__before_upgrade_notice' => 'Recomendamos que execute um backup à aplicação e aos dados de utilizador antes de executar a actualização.',
    'sapp__application_properties' => 'Propriedades da aplicação',
    'sapp__application_root_descr' => 'A página principal da aplicação',

    'sapp__aps_license_invalid_id' => 'A chave de licença tem um ID inválido: %1.',
    'sapp__aps_lic_key_alredy_exists' => 'A licença com a chave numero %1 já existe na base de dados.',
    'sapp__aps_lic_del_used' => 'Impossível eliminar a chave de licença, está a ser utilizada por uma das aplicações instaladas.',
    'sapp__aps_lic_del_unknown' => 'Impossivel eliminar a chave de licença: %1',
    'sapp__aps_cappi_duplicate' => "Esta aplicação já existe no repositório de aplicações do cliente",
    'sapp__appi_not_shared_no_install' => "Não existe essa aplicação no repositório de aplicações do cliente. Se quiser instalar esta aplicação num site, deve primeiro adicionar esta aplicação ao repositório de aplicações do cliente.",
    'sapp__appi_shared_not_client' => "Não existe essa aplicação no repositório de aplicações do cliente. Se quiser atualizar esta aplicação para a versão especificada, deve primeiro adicionar esta aplicação ao repositório do cliente.",
    'sapp__apply_license_script_not_found' => 'Impossível encontrar o script de "aplicação da licença" desta aplicação web.',
    'sapp__unable_to_activate_key' => 'Ocorreu um erro ao tentar activar a chave de licença: %1',
    'sapp__unable_to_delete_ai_instances_exists' => 'Existem aplicações web instaladas que requerem a presença desta aplicação web no sistema.',
    'sapp__unable_to_delete_ai_in_pool' => 'Esta aplicação ainda está no repositório de um cliente. Se quer remover esta aplicação, tem de primeiro removê-la de todos os repositórios dos clientes ou definir com sendo grátis.',
    'sapp__unable_to_delete_app_template' => 'Impossível remover a aplicação #%1: %2',
    'sapp__limit_exceeded_client' => 'Atingiu o limite do numero de vezes que pode instalar esta aplicação web (%2).',


    // atis module

    '_week_on' => 'semana de',
    '__week_first' => 'primeiro',
    '__week_second' => 'segunda',
    '__week_third' => 'terceira',
    '__week_fourth' => 'quarta',
    '__week_last' => 'último',
    '__not_started' => 'Em espera',
    '__started' => 'Em execução',
    '__cancel_pending' => 'A cancelar',
    '__canceled' => 'Cancelado',
    '__error' => 'Erro',
    '__done' => 'Realizado',

    '__php_cgi_handler' => 'Aplicação CGI',
    '__php_isapi_handler' => 'Extensão ISAPI',
    '__php_fastcgi_handler' => 'Aplicação FastCGI',
    '__php_module_handler' => 'mod_php',
    '__php_run_as' => 'correr como',

    'cf_dbfolder_text' => 'Pasta da Base de Dados',
    'cf_isnewdb_text' => 'Criar Base de Dados',
    'cf_isnewdb_title' => 'Selecione a caixa de verificação se a base de dados tiver de ser criada',

    'pb__site_apps_upgrade' => 'Actualização da aplicação web',

    'detach' => 'Desligar',
    'preferences' => "Alterar Palavra-passe",

    'toolsbar__switch_user?' => "Tem a certeza que deseja entrar sob outra conta de utilizador ?",
    '__aps_left' => 'Instalações restantes',
    'aps__license_key' => 'Chave de licença',
    'aps__download_code' => 'Descarregar a chave de licença e o código de activação',
    'aps__license_key_hint' => 'Obter a partir do servidor de licenças utilizando o código de activação',
    'aps__database_not_available' => 'não está disponível, por favor, verifique os limites do domínio ou do cliente',
    'aps__yes' => 'sim',
    'aps__no' => 'não',
    '__click_to_enlarge' => 'Clique para aumentar',
    'site_apps__back_to_list' => 'Voltar à lista',
    'sapp__pkg_info_installation_requirements' => 'Requisitos da instalação',
    '__close_window' => 'Fechar',

    //SAPP END

    'skin_info__already_default' => 'A skin já está definida como a predefinida',

    //move this to other file after splitting drweb to module
    'drweb:virus_filter_full_name' => 'Antivírus premium do Plesk',
    'drweb:properties_page_title' => 'Definições do Plesk Premium Antivirus para %1',
    'drweb:properties_legend' => 'Configurações',
    'drweb:status' => 'A verificar o correio por viroses',

    // sb integration
    'sitebuilder_wizard' => 'Assistente do Presence Builder',
    'dom_site_builder' => 'Clique para abrir o Assistente do Presence Builder.',
    'sb_plesk_admin_url' => 'URL do servidor do Presence Builder. Assegure-se que este endereço é resolvido no DNS',
    'sb_plesk_admin_login' => 'Nome do utilizador do administrador do Presence Builder',
    'sb_plesk_admin_password' => 'Senha do administrador',
    'sb_sitebuilder_preferences' => 'Credenciais do administrador do Presence Builder',
    'sb__server' => 'Preferências do Administrador do Sistema Presence Builder',
    'sb__sitebuilder_support' => 'Suporte do Presence Builder',
    'sb_keep_sb_user' => 'Mantenha a conta de utilizador correspondente no Presence Builder',
    'sb_create_sb_user' => 'Criar uma conta de utilizador correspondente no Presence Builder',
    'sb__build_site_using_sitebuilder' => "Criar o site Web utilizando o Presence Builder",
    'sb_no_current_sb_server_set' => 'Ainda não foi configurada a ligação ao Presence Builder: necessita de acrescentar um registo A ao modelo da zona DNS que irá apontar para o servidor do Presence Builder.',
    'sb_unable_update_sb_server_sb_return_message' => "Impossível obter a informação a partir do sistema Presence Builder:\n%1",
    'sb_unable_connect_sb_wrong_con_params' => "Impossível ligar ao Presence Builder: palavra-passe ou nome de utilizador errado.",
    'sb_init_sb_manager' => "A inicializar o administrador do Presence Builder: %1",
    'sb_err_couldnt_connect_sb' => "Impossível ligar ao sistema Presence Builder.",
    'sb_err_client_dont_have_sbuser' => "Este cliente não tem uma conta de cliente no Presence Builder.",
    'sb_err_sitebuilder_not_configured' => "O Presence Builder não está configurado.",
    'sb_err_you_dont_have_sbaccount' => "A autorização do Presence Builder falhou.",
    'sb_error_critical_during_operation' => "Ocorreu o seguinte erro no Presence Builder:\n%1",
    'sb_err_sso_is_not_enabled' => "O suporte ao Single sign-on está desligado no Plesk.",

    'warning__super_zone_exist' => "A zona %1 foi criada, no entanto, o nome da zona é uma sub-zona de outra já existente %2, que pertence ao utilizador %3. É possível de configurar, no entanto verifique que escolheu a conta de utilizador correcta.",
    'error__super_zone_exist' => "Impossível criar a zona DNS porque a super-zona pertence a outro utilizador.",

    'locales__files_not_exits' => 'Impossível mudar o idioma: os ficheiros do pacote de idioma de interface especificado não existem no sistema.',
    'locales__unavailable' => 'Impossível mudar o idioma: o pacote de idioma de interface especificado não está disponível.',

    // DB BU

    'pb__dbbackup_list' => 'Arquivos de backup da base de dados',
    // server
    'dbbackup__server_backup_settings' => 'Backup',
    'dbbackup__network_temp_dir' => 'Directório temporário da rede',
    'dbbackup__network_user' => 'Nome de utilizador',
    'dbbackup__network_pass' => 'Senha',
    // domain
    'dbbackup__add_database_legend' => 'Repor um backup de uma base de dados',
    'dbbackup__add_database_restore' => 'Repor a base de dados a partir de um arquivo de backup',
    'dbbackup__add_database_file' => 'Arquivo de backup da base de dados',
    'dbbackup__add_database_user' => 'Nome do utilizador predefinido',
    'dbbackup__add_database_pass' => 'Senha do utilizador predefinido',
    'dbbackup__add_database_pass2' => 'Confirmação da senha do utilizador predefinido',

    'bt_dbbackup_now' => 'Efetuar cópia de segurança',

    'bt_repair' => 'Reparar',

    'dbbackup__mssql_dump_upload_not_allowed' => 'O upload de descarregamento de SQL Server é proibido pelo fornecedor de alojamento.',

    // APS categories

    'cf_invalid_password' => 'A senha não pode ser maior que 16 caracteres',
    'cf_invalid_description_length' => 'A descrição não pode ser maior que 256 símbolos',
    'ip_addr__ip_used_by_external_mail_server' => 'O endereço IP %1 já está a ser usado por um servidor de correio externo',

    // 8.4.1

    '__ftp_login_is_invalid' => 'O nome de utilizador ou a palavra-passe do utilizador de FTP não é válida. Por favor, introduza as credenciais corretas do utilizador de FTP',

    // 8.6

    'dns__dns_serial_update_limit_warning' => 'Foi atingido o limite das modificações ao número de série. Não podem ser efetuadas mais modificações á zona DNS, hoje.',
    'dns__zone_apply_changes' => 'As modificações feitas aos registos DNS ainda não foram salvas. As modificações executadas estão destacadas em baixo. Clique Actualizar para aplicar as modificações á zona DNS ou clique Reverter para cancelar as modificações.',
    'dns__update_dns_zone' => 'Clique para salvar as modificações efectuadas aos registos DNS',
    'dns__revert_dns_zone' => 'Clique para cancelar as alterações feitas aos registos DNS',
    'bt_revert' => 'Reverter',
    'dns__dns_zone_has_beed_updated' => 'As modificações feitas aos registos DNS foram salvas.',
    'dns__dns_zone_has_beed_reverted' => 'As modificações feitas aos registos DNS foram canceladas',
    'db__nondefault_server_not_allowed' => 'Só é permitida a utilização de servidores de bases de dados predefinidos',

    'site_apps__non_removable' => 'Itens que não podem ser removidos',
    'site_apps__non_removable_items' => 'As seguintes aplicações web não podem ser removidas:',

    'rpt_reseller_section_general' => 'Geral',
    'rpt_reseller_section_domains' => 'Domínios',
    'rpt_reseller_section_clients' => 'Clientes',
    'statistics__cl_active_domains' => "Domínios activos",
    'rpt_reseller_cl_domains' => "Domínios",
    'rpt_reseller_cl_subdomains' => "Subdomínios",
    'by__cl_domains' => "domínios do cliente",
    'dom_ctrl__cl_mboxes' => "Caixas de correio",
    'rpt_reseller_cl_redirects' => "Redirecionamentos",
    'rpt_reseller_cl_mail_groups' => "Grupos de e-mail",
    'rpt_reseller_cl_mail_resps' => "Respostas automáticas",
    'rpt_reseller_cl_mail_lists' => "Listas de envio",
    'rpt_reseller_cl_web_users' => "Utilizadores de rede",
    'rpt_reseller_cl_data_bases' => "Bases de dados",

    'statistics__active_clients' => 'Clientes com assinaturas ativas',
    'statistics__clients_active_domains' => 'Domínios activos',
    'statistics__clients_doms' => 'Domínios',
    'statistics__cl_doms' => 'Domínios',
    '__clients_subdomains' => 'Subdomínios',
    '__clients_domains' => 'Domínios',
    'dom_ctrl__clients_mboxes' => 'Caixas de correio',
    'dom_ctrl__clients_redir' => 'Redirecionamentos',
    'dom_ctrl__clients_mg' => 'Grupos de e-mail',
    'dom_ctrl__clients_resp' => 'Respostas automáticas',
    'dom_ctrl__clients_maillists' => 'Listas de envio',
    'dom_ctrl__clients_wu' => 'Utilizadores de rede',
    'dom_ctrl__clients_db' => 'Bases de dados',

    'dom_ctrl__cl_redir' => 'Redirecionamentos', // to resolve!
    'dom_ctrl__cl_mg' => 'Grupos de e-mail', // to resolve!
    'dom_ctrl__cl_resp' => 'Respostas automáticas', // to resolve!
    'dom_ctrl__cl_maillists' => 'Listas de envio', // to resolve!
    'dom_ctrl__cl_wu' => 'Utilizadores de rede', // to resolve!
    'dom_ctrl__cl_db' => 'Bases de dados', // to resolve!

    'rpt_cl_section_clients' => 'Clientes',

    'rpt_admin_section_general' => 'Geral',
    'rpt_admin_section_resellers' => 'Revendedores',
    'rpt_admin_section_clients' => 'Clientes',
    'rpt_admin_section_personal_clients' => 'Clientes pessoais',
    'rpt_admin_section_domains' => 'Domínios',
    'rpt_admin_section_personal_domains' => 'Domínios directos',

    'rpt_reseller_section_personal_domains' => 'Domínios directos',

    // RESELLERS

    // Resellers > Reseller Account Templates > Create Reseller Account Template
    'limits__oversell_text' => "Permitir vender mais que os recursos atribuídos",
    'limits__reseller_oversell_description' => "A venda excessiva permite ao revendedor vender mais recursos que os que tem atribuídos Caso seja permitido, o revendedor é controlado pelos recursos reais utilizados em vez dos recursos inicialmente atribuídos",
    'limits__overuse_block_text' => "Politica de sobreutilização",
    'limits__overuse_block_true_text' => "A sobre-utilização não é permitida",
    'limits__reseller_overuse_block_true_description' => "Bloquear a utilização excessiva de recursos. A utilização real dos recursos não pode exceder a quantidade inicial de recursos atribuídos",
    'limits__overuse_block_false_text' => "A sobre-utilização é permitida",
    'limits__reseller_overuse_block_false_description' => "Permitir exceder o uso de recursos, permite que o revendedor utilize mais recursos que os inicialmente permitidos A utilização real dos recursos pode exceder os recursos atribuídos inicialmente.",
    'limits__reseller_overuse_notify_text' => "Avisar o revendedor ao atingir os limites de recursos",
    'reseller_perm__manage_sh_access_disabled' => "O revendedor não pode permitir ou retirar o acesso a shell",
    'reseller_perm__manage_sh_access_chrooted' => "O revendedor só pode permitir o acesso a ambiente chrooted",
    'reseller_perm__manage_sh_access_any' => "O revendedor não pode permitir o acesso a shell",
    'template__reseller_num_excl_ips' => "Atribuir endereços IP exclusivos ao revendedor",

    // Reseller's Home page
    'domains__reseller_info' => "%1 clientes, %2 domínios, %3 de disco utilizado, %4 de dados transferido.",
    'domains__reseller_info_hiding_traffic' => "%1 clientes, %2 domínios, %3 de disco utilizado.",

    // Reseller's session in the Customer Panel - Home page

    'feature__aps_categories__reseller' => "Todas as aplicações locais estão agora ordenadas por categorias, ficando mais simples escolher a aplicação certa a instalar.",
    'feature__domainkeys__reseller' => "Pode utilizar o mecanismo de autenticação de e-mail DKIM para reduzir a quantidade de spam e e-mails de phishing.",

    '__reseller_form' => "Formulário de revendedor",

    // Reseller's session in the control panel - Home page > Create Customer Template
    'template__shared_text' => "Disponibilize este modelo a outros utilizadores",
    'template__shared_description' => "Seleccione esta opção se quer disponibilizar este modelo aos seus clientes.",

    // DOMAINS

    // Domain > Domain Admin Permissions

    'domain_perm__manage_sh_access_disabled' => "O administrador de domínio não pode gerir o acesso de shell",
    'domain_perm__manage_sh_access_chrooted' => "O administrador de domínio pode permitir o acesso só a um ambiente de chrooted",
    'domain_perm__manage_sh_access_any' => "O administrador de domínio pode permitir o acesso a qualquer tipo de shell",

    // APS Catalog
    'bt_add_to_vault' => "Adicionar ao Repositório",
    'bt_hide_updates' => "Ocultar actualizações disponíveis",
    'bt_show_updates' => "Mostrar as actualizações disponíveis",

    '__site_apps__applications' => "Aplicações",
    //search elements
    // Application; Vendor; Packager; Certification level;

    '__site_apps__apps_selected_to_add_to_vault' => "Aplicações seleccionadas para adicionar ao repositório",
    'site_apps__application_selected' => "Selecção",
    'site_apps__currently_in_vault' => "Outras versões no repositório:",
    'site_apps__new_versions' => "Novas versões:",
    'site_apps__patches' => "Correcções:",
    'site_apps__applications_have_been_scheduled_for_adding_to_application_vault' => "Numero de aplicações agendadas para adicionar ao repositório %1",
    'site_apps__applications_downloading_now' => "As seguintes aplicações estão agora a ser descarregadas: %1", // temporary workaround string, to be removed later

    'site_apps__package_already_exist_in_vault' => "Já existe no repositório",

    // Server > Action Log
    'bt_skin_edit' => "Editar a Descrição da Skin",
    'limits__oversell_legend' => "Vender em excesso",
    'limitsManager__limit_available_error' => "Impossível atribuir a quantidade de  recursos necessária (%%quantity%% %%limitName%%). Só estão disponíveis %%available%% %%limitName%%.",
    'limitsManager__limit_reserved_error' => "Impossível definir o limite pretendido de utilização do recurso (%%quantity%% %%limitName%%) porque o novo valor é menor do que a quantidade de recursos reservados para os seus clientes ou utilizado por si (%%reserved%% %%limitName%%) .",
    'limitsManager__limit_used_error' => "Impossível definir o limite de utilização de recursos (%%quantity%% %%limitName%%) porque o novo valor é menor do que a quantidade de recursos já utilizados pela sua conta e sites (%%used%% %%limitName%%) .",

    'domains_list__resource__filter_title' => "Utilização de Recursos",

    // APS CATALOG
    'site_apps__application_catalog_preferences' => "Catálogo de aplicações APS",
    'site_apps__applications_have_updates' => "Estão disponíveis actualizações para as seguintes aplicações:\n%1\nPara ver as actualizações, certifique-se que a área de Procura está visível, seleccione a checkbox <b>Ver somente as aplicações com actualizações disponíveis</b> e procure as aplicações que necessita.",
    'site_apps__progress_adding_to_vault' => "A adicionar ao repositório:",
    'site_apps__progress_done_message' => "Progresso:",
    'site_apps__progress_applications_left' => "Faltam %1 de %2 aplicações",
    'site_apps__download_item_long_task_title' => "Descarregar a aplicação APS (%1)",
    'site_apps__download_transaction_long_task_title' => "Descarregar aplicações do Catálogo APS",
    'site_apps__last_check_for_updates' => "ultima verificação de actualizações: %1",
    'site_apps__all_sucessfully_added_to_app_vault' => "Todas as aplicações agendadas foram adicionadas com sucesso ao Repositório de Aplicações",
    'site_apps__number_of_apps_sucessfully_added_to_app_vault' => "%1 aplicações agendadas foram adicionadas ao Repositório de Aplicações com sucesso.",
    'site_apps__no_search_results' => 'Não foram encontradas aplicações. Tente um pedido diferente de procura ou navegue nas aplicações por categorias.',
    'site_apps__search_results_title' => 'Resultados da procura',
    '__site_apps__search_by_application' => 'Nome da aplicação',
    '__site_apps__search_by_vendor' => 'Vendedor',
    '__site_apps__search_by_vendor__all' => 'Todos os vendedores',
    '__site_apps__search_by_packager' => 'Empacotador',
    '__site_apps__search_by_certification_level' => 'Nível de certificação',
    '__site_apps__search_by_cert__any' => 'Qualquer',
    '__site_apps__search_by_cert__silver_and_higher' => 'Prata e acima',
    '__site_apps__search_by_cert__gold_and_higher' => 'Ouro e acima',
    '__retry' => 'Repetir',
    'site_apps__application_packager_site' => 'Empacotador',
    'site_apps__add_to_pool_message' => "As aplicações marcadas como \\\"available for all\\\" são automaticamente distribuídas a todos os revendedores e clientes com o número de instalações ilimitadas. As aplicações restringidas são distribuídas a todos os revendedores e clientes manualmente, individualmente, com o número de instalações explicitamente especificadas.",
    'site_apps__make_available_for_all' => "Disponibilizar as aplicações seleccionadas a todos os utilizadores",

    'site_apps__broadcast_app_text' => "As aplicações marcadas como \\\"available for all\\\" são automaticamente distribuídas a todos os revendedores e clientes com o número de instalações ilimitadas. As aplicações restringidas são distribuídas a todos os revendedores e clientes manualmente, individualmente, com o número de instalações explicitamente especificadas.",
    'site_apps__broadcast_app_name' => 'Disponibilizar a aplicação a todos os utilizadores',

    // User Application Pool per application
    'site_apps__available_clients' => 'Utilizadores disponíveis',
    'site_apps__no_more_clients_to_add_to_pool' => 'Não existem mais contas de utilizador a quem pode fornecer esta aplicação',

    // Installed application instances
    'site_apps__installations' => 'Instalações',

    // Hosting setup redesign
    '__domain_name_and_ip_address' => "Nome do domínio e endereço IP",
    '__assign_ip_address' => "Atribuir um endereço IP",
    '__switch_on_service' => "Ligar serviço",
    '__hosting_configuration' => "Configuração de alojamento",
    '__vrt_hst' => "Alojamento da página Web",
    '__vrt_hst_hint' => "Alojar um site Web neste servidor.",
    '__fwd' => "Redirecionamento",
    '__web_hosting_settings' => "Definições de alojamento",
    '__fwd_hint' => "Redirecionar as visitas para outro site Web.",
    '__none_hint' => "Não alojar, de momento, um site Web.",
    '__login_hint' => "O nome de utilizador é utilizado para aceder ao site Web por FTP",
    '__password_hint' => "A palavra-passe é utilizada para aceder ao site Web por FTP",
    '__advanced_hosting_setup' => "Configurar definições avançadas do alojamento Web",
    '__domain_creation_successful' => "O domínio foi criado.",
    'bt_hosting_settings' => "Configurações de alojamento",
    '__change_hosting_type' => "Mudar o tipo de alojamento do domínio %1",
    '__hosting_type_change_warning' => "Quando mudar o tipo de reendereçamento do alojamento, todos os ficheiros e directórios relacionados com o seu site vão ser removidos do servidor. Certifique-se que guardou uma copia local do seu site",
    '__current_hosting_type' => "Tipo de alojamento actual",
    '__new_hosting_type' => "Novo tipo de alojamento",
    '__fwd_settings' => "Definições de reendereçamento",
    '__fwd_settings_legend' => "Definições de reendereçamento",
    '__fwd_destination_url' => "URL destino",
    '__fwd_type' => "Tipo de re-endereçamento",
    '__fwd_type_standart' => "Reendereçamento padrão",
    '__fwd_type_standart_hint' => "Redirecionar as visitas do web site para outro site e exibir o endereço de destino, de modo a que se apercebam do redirecionamento.",
    '__fwd_type_frame' => "Re-endereçamento em Janela",
    '__fwd_type_frame_hint' => "Redirecionar as visitas do web site para outro site e não exibir o endereço de destino, de modo a que não se apercebam do redirecionamento.",
    '__hosting_type_template_warning' => "O tipo de alojamento que especificou é diferente do tipo especificado no modelo. Caso continue, as definições de alojamento Web no modelo selecionado vão ser ignoradas. Tem a certeza que deseja o tipo de alojamento selecionado?",

    '__no_resellers_selected' => "Tem de seleccionar pelo menos uma conta de revenda.",

    'ippool_Manager__no_available_ips' => "Não existem endereços IP vagos no repositório de IP's.",
    'ippool_Manager__ip_shared' => "partilhado",
    'ippool_Manager__ip_exclusive' => "dedicado",

    'ippoolManager__ip_shared' => "partilhado",
    'ippoolManager__ip_exclusive' => "dedicado",

    '__users_list' => "Utilizadores",
    '__users' => "Utilizadores",
    '__user_name' => "Nome do utilizador",

    'limit__name_max_dom_aliases' => "nomes alternativos de domínio",
    'limit__name_max_subftp_users' => "contas FTP adicionais",
    'limit__name_max_mssql_db' => "Base de dados Microsoft SQL Server",
    'limit__name_max_iis_app_pools' => "Repositórios de aplicações de IIS",
    'limit__name_max_odbc' => "Ligações ODBC",
    'total_mboxes_quota_unsupported' => 'Não suportado pelo servidor de e-mail',
    'limit_soft__disk_space' => 'Notifique ao atingir o espaço em disco',
    'limit_soft__max_traffic' => 'Notifique ao atingir o tráfego',
    'limitsManager__commit_failed' => "Impossível alterar o limite dos recursos.",
    'limitsManager__date_in_past' => "Data limite incorrecta %1.",
    'limitsManager__limit_not_supported' => "Os limites para o recurso de tipo %1 não podem ser definidos.",
    'limitsManager__limit_oversell_inconsistency' => "Impossível atribuir a quantidade de  recursos especificada com a permissão de venda excessiva desligada.",
    'limitsManager__limit_overuse_inconsistency' => "A utilização dos recursos excede os limites definidos.",
    'limitsManager__no_resource_available' => "Não existem mais recursos disponíveis deste tipo (%%limitName%%). Necessário: %%quantity%%; disponível: %%unused%%.",
    'limitsManager__no_total_resource_available' => "Não existem recursos deste tipo (%%limitName%%) disponíveis no seu Fornecedor de Serviço. Necessário: %%quantity%%; disponível: %%unused%%.",
    'limitsManager__invalid_expiration_limit' => "A data de validade deve ser menor ou igual a %1.",
    'limitsManager__invalid_disk_space_limit' => "A quantidade de espaço em disco deve ser menor ou igual a %1.",
    'limitsManager__invalid_max_traffic_limit' => "A quantidade de tráfego deve ser menor ou igual a %1.",
    'ippoolManager__ip_has_suballocations' => "Impossível mudar o tipo, o endereço IP já foi atribuído a um utilizador. O endereço IP %%ip%% já foi atribuído a outro(s) utilizador(es) como endereço IP %%reserved%%.",
    'ippoolManager__ip_is_already_in_pool' => "Este endereço IP já está atribuído a este utilizador.",
    'ippoolManager__ip_is_not_in_pool' => "O endereço IP não existe no repositório %%ip%%.",
    'ippoolManager__can_not_allocate_ip' => "O endereço IP %%ip%% está disponível apenas como %%available%%.",
    'ippoolManager__unable_to_set_default_type' => "O endereço IP %%ip%% não pode ser atribuído como exclusivo.",
    'ippoolManager__ip_used_by_hst_or_frw' => "O endereço IP %%ip%% já está a ser utilizado nos alojamentos.",
    'ippoolManager__active_anon_ftp_on_ip' => "O acesso ao FTP Anónimo já está ligado para o endereço IP %%ip%%",
    'ippoolManager__no_vacant_ips' => "Não existem endereços IP vagos.",
    'ippoolManager__no_available_ips' => "Não existem endereços IP disponíveis.",
    'templates__dublicate_name' => "Já existe um modelo com esse nome. Selecione outro nome para este modelo.",
    'cl_perm__client_limits_exceeded' => "Os valores especificados para os limites de recursos excedem os valores permitidos pelo seu plano de alojamento, ou os valores fornecem menos recursos que os actualmente utilizados pelos seus sites.",
    'cl_perm__reseller_limits_exceeded' => "Os valores especificados para os limites de recursos excedem os valores permitidos pelo seu plano de alojamento, ou os valores fornecem menos recursos que os actualmente utilizados pelas suas contas de cliente e sites.",

    'site_apps__preferences_show_all_versions_title' => "Mostrar toda a lista de versões para cada aplicação obtida do catálogo",
    'site_apps__preferences_show_all_versions_hint' => "Se esta opção estiver seleccionada, pode implicar uma espera prolongada a obter todas as versões de cada aplicação cada vez que abre o catálogo. Se esta opção não estiver seleccionada, só as ultimas versões são exibidas.",
    '__select_user_template' => "Criar uma conta de utilizador baseada num modelo",
    'ip_already_added_to_all_clients' => "O endereço IP já está atribuído a todos os utilizadores.",

    'site_apps__cancelled_apps' => "Cancelou a atribuição das seguintes aplicações: %2",

    'sb_url_is_not_resolved' => 'URL não pode ser resolvido: verificar suas configurações de DNS. URL %1 deve resolver o endereço IP do servidor com o Presence Builder instalado.',

    'ip_addr__is_last_on_interface' => 'Impossível remover o endereço IP %%ip%% porque é o ultimo endereço IP presente no interface de rede.',
    'ip_addr__used_for_current_session' => 'Impossível remover o endereço IP %%ip%% porque está a ser utilizado por uma sessão activa.',
    'ip_addr__used_for_hosting' => 'Impossível remover o endereço IP %%ip%% porque está a ser utilizado para alojar um site Web.',
    'ip_addr__is_main' => 'Impossível remover o endereço IP %%ip%% porque é o endereço IP primário do interface de rede.',
    'ip_addr__ip_used_by_message_submission' => 'Impossível remover o endereço IP %%ip%% porque está a ser utilizado para o serviço de correio alternativo.',

    // RESELLER ACTION LOG

    '__cl_domains' => 'domínios de clientes',
    'excl_ip_num' => 'Endereço IP exclusivo',

    'sb_err_sitebuilder_not_installed' => 'O Presence Builder não está instalado.',

    '__perm_allow_oversell_can_not_be_revoked' => 'A permissão de venda excessiva não pode ser revogada ao utilizador porque o utilizador já atribuiu mais recursos que os disponíveis, a manter o modo de venda excessiva.',
    'limitsManager__invalid_limit_value' => 'Especificou um valor incorrecto %%value%% para o limite %%limit_name%%',
    'limit__max_mn' => 'Número máximo de contas de correio',

    'limits__client_overuse_description' => 'A politica de sobreutilização informa o Plesk sobre o que fazer quando os recursos são utilizados acima do inicialmente atribuído.',
    'limits__client_overuse_block_true_description' => 'Bloquear a utilização excessiva de recursos. A utilização real dos recursos não pode exceder a quantidade inicial de recursos atribuídos',
    'limits__client_overuse_block_false_description' => 'Permitir exceder a utilização de recursos, permite que o cliente utilize mais recursos que os inicialmente permitidos. A utilização real dos recursos não pode exceder a quantidade inicial de recursos atribuídos',
    'limits__client_overuse_notify_text' => 'Avisar o cliente ao atingir os limites de recursos',

    'limits__domain_overuse_description' => 'A politica de sobreutilização informa o Plesk sobre o que fazer quando os recursos são utilizados acima do inicialmente atribuído.',
    'limits__domain_overuse_block_true_description' => 'A política de sobreutilização informa o Plesk sobre o que fazer quando existe sobreutilização de recursos.',
    'limits__domain_overuse_block_false_description' => 'Permitir exceder o uso de recursos, permite que o domínio utilize mais recursos que os inicialmente permitidos A utilização real dos recursos pode exceder os recursos atribuídos inicialmente.',
    'limits__domain_overuse_notify_text' => 'Avisar o proprietário do domínio ao atingir os limites de recursos',

    'dns__dns_rr_delete' => 'Itens a remover',
    'dns__delete_rr' => 'Os seguintes registos DNS vão ser removidos da zona DNS:',
    'dns__dns_rr_delete_non_removable' => 'Itens que não podem ser removidos',
    'dns__non_delete_rr' => 'Os seguintes registos DNS não podem ser removidos:',
    'dns__dns_rr_delete_confirm_message' => 'Confirme a remoção dos registos DNS',

    'site_apps__format_is_unsupported_broadcast_not_set' => 'O formato da aplicação web é desconhecido: a aplicação web pode estar indisponível para instalação e utilização.',

    '__php_handler_type_desc' => 'Correr PHP como',
    'sfdk_domain_sign__failed' => 'Ocorreu um erro não identificado quando tentava ligar a assinatura de email com DKIM no domínio. Veja o log de erros do servidor para mais informação.',

    // key management ported from cpp to php
    'pkey_notify__subj_update_success_notification' => 'Notificação de sucesso na atualização de chave do Plesk',
    'pkey_notify__subj_update_deferral_notification' => 'Aviso de deferimento na atualização da chave do Plesk',
    'pkey_notify__subj_update_error_notification' => 'Aviso de erro na atualização da chave do Plesk',
    'pkey_notify__update_successful' => '%1 actualização terminada com sucesso.',
    'pkey_notify__update_failed_no_more_try' => 'Impossível atualizar %1. A chave que está a tentar enviar é inválida. Já não pode tentar atualizá-la novamente.',
    'pkey_notify__update_failed_try_later' => 'Não é possível atualizar %1: ocorreu um erro ao processar a sua chave. Pode tentar obter manualmente a chave no Plesk (Ferramentas e Definições > Informações acerca de Licenças) ou permitir que o Plesk tente atualizar nas próximas 24 horas. Se não quiser voltar a receber esta notificação, remova esta chave do Plesk.',

    // Application vault/ application pool for admin mapping - TEMPORARY

    'rpt_reseller_section_full_domains' => 'Domínios',
    'rpt_reseller_dom_subdomains' => 'Sub-dom',
    'rpt_reseller_dom_domain_aliases' => 'Nomes alternativos',
    'rpt_reseller_dom_postboxes' => 'Cx.Mens',
    'rpt_reseller_dom_redirects' => 'Redirecionamentos',
    'rpt_reseller_dom_mail_groups' => 'Gr.e-mail',
    'rpt_reseller_dom_mail_resps' => 'Resp.Autom',
    'rpt_reseller_dom_mail_antispam' => 'Antispam',
    'rpt_reseller_dom_mail_antivirus' => 'Antivírus',
    'rpt_reseller_dom_mail_lists' => 'L.e-mail',
    'rpt_reseller_dom_web_users' => 'UtilizadoresW',
    'rpt_reseller_dom_data_bases' => 'DBMySQL',
    'rpt_reseller_dom_mssql_data_bases' => 'DBMSSQL',

    'rpt_reseller_section_full_clients' => 'Clientes',
    '__cl_name' => 'Nome de cliente',
    '__cl_creation_date' => 'Data de criação',
    '__clients_traffic' => 'Tráfego do cliente',
    'rpt_reseller_cl_mail_antispam' => 'Antispam',
    'rpt_reseller_cl_mail_antivirus' => 'Antivírus',

    // CONHELPS FOR HOME PAGE
    // common:
    'sitebuilder_not_installed' => 'O Presence Builder não está instalado.',
    'sitebuilder_disabled' => 'O Presence Builder está desligado.',
    'b_sitebuilder_disabled' => 'O Presence Builder está desligado.',
    'webmail_not_installed' => 'O software de webmail não está instalado.',
    'webmail_disabled' => 'Serviço de webmail está desligado.',
    'spamassassin_not_installed' => 'O SpamAssassin não está instalado.',
    // pfu:
    'anonymous_ftp_shared' => 'Impossível configurar o FTP anónimo: O tipo de endereço IP é partilhado.',
    'anonymous_ftp_used' => 'Impossível configurar o FTP anónimo: O endereço IP está a ser utilizado por outro domínio no serviço de FTP anónimo',
    // pfw:
    'aspdotnet_not_installed' => 'O ASP.NET não está instalado.',
    'site_builder_no_package' => 'O Presence Builder não está disponível. Por favor verifique se o Presence Builder está instalado e selecione-o como um componente ativo.',
    'site_builder_not_configured' => 'O Presence Builder não está configurado.',

    // various

    'disabled_by_admin' => 'Desactivado pelo administrador do servidor',

    '__not_allowed' => 'Não permitida',

    '__ip_addr_state_unknown' => "O endereço IP não está operativo agora porque o sistema ainda está a processar o seu pedido. Por favor espere um minuto.",

    'ip_addr__repair_is_not_allowed' => 'O endereço IP não pode ser reparado sob o ambiente do Virtuozzo.',

    'ippoolManager__ip_used_by_nohost_domain' => "O endereço %%ip%% não pode ser removido porque está a ser utilizado por um ou mais domínios sem alojamento.",
    'ippoolManager__ip_used_for_mail_service' => "O endereço %%ip%% não pode ser removido porque está a ser utilizado por um ou mais domínios para o endereço de IP do seu serviço de email.",
    'ippoolManager__ip_used_for_send_emails' => "O endereço IP %%ip%% não pode ser removido porque está a ser utilizado para enviar emails de um IP específico (consulte Definições do Servidor de Correio).",
    'ippoolManager__ip_used_in_dns_zone' => 'O endereço %%ip%% não pode ser removido porque está a ser utilizado na zona DNS de um ou mais domínios.',
    'ip_ctrl__cannot_manage_on_vz' => 'Esta instalação do Plesk está a funcionar no Virtuozzo containers. Só podem ser adicionados novos endereços IP pelo do nó do administrador do Virtuozzo containers.',

    'client_template__limits_auto_adjusted' => 'Os limites do modelo de cliente foram automaticamente ajustados.',

    '__entries' => 'Entradas',

    '__path_is_not_set' => 'O caminho não está especificado. Por favor especifique um caminho válido.',

    'defaultcomponents__imap_required' => '(O servidor de correio actual não suporta IMAP)',

    '__commercial_web_stats_not_installed' => 'Plesk suporta apenas softwares comerciais de estatísticas de rede para o cálculo das estatísticas do sub-domínio. Este software não está instalado no sistema.',


    'server_settings_invalid_traffic_statistics' => 'Parâmetro inválido de retenção de estatísticas de tráfego.',
    'server_settings_invalid_logrotate_period' => 'Parâmetro inválido do período de rotação de registo.',

    'spam_filter/address/file_size' => 'Impossível efetuar o carregamento do ficheiro. O tamanho máximo de um ficheiro a carregar é de %1.',
    'spam_filter/address/file_empty_content' => 'Ocorreu um problema ao ler endereços de e-mail do ficheiro. Certifique-se de que está a enviar um ficheiro com a codificação UTF-8 que contém um ou mais endereços de email e tente outra vez.',
    'spam_filter/address/addresses_empty_content' => 'Não existem endereços de e-mail na lista.',
    'spam_filter/address/addresses_available' => 'Só os primeiros %1 endereços de e-mail únicos serão adicionados.',
    'spam_filter/address/invalid_addresses' => 'Os seguintes endereços de e-mail são inválidos: %1.',

    'current_resources' => 'Recursos atuais',
    'plan_limitations' => 'Limitações do plano',
    'cannot_switch_plan' => 'Não é possível mudar para o plano selecionado, pois os seguintes recursos atuais ultrapassam as limitações do plano:',
];