<?php
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
// This file contains structured and commented locale keys for Plesk 9.x

global $PROD_NAME;

$GLOBALS['lmsg_arr'] += [
    ////
    //// LOGIN SCREEN
    ////

    'login_up__access_denied_account_disabled' => "Åtkomst nekad.  Ditt konto är tillfälligt upphävt.",
    'login_up__login_has_been_locked' => "Du har försökt logga in med hjälp av ett felaktigt lösenord för många gånger. Av säkerhetsskäl kommer du inte kunna logga in under detta användarnamn under en viss tid.",
    'login_up__unable_to_check_pass' => "Kan inte kontrollera lösenordet %1.",
    'login_up__warning_limits_licence_key' => "En av följande poster har överskridit gränsen som definieras med din licensnyckel: antal användarkonton, domäner, e-postkonton eller webbanvändare som använder din server.\nKontakta Plesk försäljningsavdelning för att koden som ger dig möjlighet att ha önskat antal användare och domäner. Kontakta Plesk tekniska supportavdelning om du tror att du har fått detta meddelande av misstag.\nDen licensierade gränsen för användarkonton/domäner/e-postkonton/webbanvändare/språkpaket: %2.\nAntalet användarkonton/domäner/e-postkonton/webbanvändare/språkpaket som tillåts för närvarande: %3.", // PFW
    'login_up__short_warning_limits_licence_key' => "Mängden resurser du kör med har överskridit gränserna som definieras av din aktuella produktlicens. Kontakta Plesk försäljningsavdelning och köp en ny licensnyckel.",
    'login_up__grace_period' => 'Du nyttjar för närvarande prövoperioden för din produktlicens. För att uppdatera din produktlicens, välj Hämta nycklar-alternativet på %1Licenshanteringssidan%2.',
    'login_up__partner_license_message' => 'Du för använder närvarande en begränsad produktlicens som kräver registrering innan den fullständiga uppsättningen funktioner aktiveras. För att uppdatera produktlicensen, välj Hämta nycklar-alternativet på %1Licenshanteringssidan%2.',
    'login_up__system_admin_disabled' => 'Superanvändaren (rot- eller administratörskontot) får inte logga in på Plesk av säkerhetsskäl.',

    ///
    /// Online help keys:
    ///

    'plesk_guide' => "Plesk administratörsguide",
    'plesk_guide_reseller' => "Plesk återförsäljarvägledning",
    'plesk_guide_client' => "Plesk kundvägledning",
    'plesk_guide_domain_admin' => "Plesk domänadministratörsguide",
    'plesk_guide_mailuser' => "Plesk e-post kundvägledning",

    ////
    //// COMMON KEYS FOR NAVIGATION THROUGHOUT PANEL
    ////

    ///
    /// NAVIGATION PANE
    ///

    'bt_search' => 'Sök', // multiple usage: TBI
    'nav__general' => 'Huvudmeny',
    '__home' => 'Hem',
    '__applications' => 'Program',
    '__settings' => 'Inställningar',
    'nav__system' => 'System',
    '__master' => 'Huvud',

    ///
    /// END OF NAVIGATION PANE
    ///

    ///
    /// NAVIGATION KEYS
    ///

    // up level
    'bt_up_level' => 'Upp nivå',

    // object switcher

    ///
    /// END OF NAVIGATION KEYS
    ///

    ///
    /// LISTS
    ///

    // common operations on list objects
    'bt_remove_selected' => 'Ta bort',
    'bt_make_default' => 'Ange som standard',

    // common list object search keys
    'bt_show_all' => "Återställ sökning",

    ///
    /// END OF LISTS
    ///

    ////
    //// KEYS FOR USER HOME PAGES
    ////

    ///
    /// COMMON HOME PAGE KEYS
    ///

    // business object controls
    '__object_on' => 'Aktiva',
    '__object_off' => 'Avstängd',

    '__home_description' => 'Tillbaka till startsidan.',
    'indicator_title' => '%1% använt, %2% fritt', // tooltip for visual stats area

    ///
    /// END OF COMMON HOME PAGE KEYS
    ///

    '__invalid_url_requested' => 'Felaktig URL har begärts.',

    // business objects
    'mn_list__mail_names_for_client' => 'E-postkonton under användarkonto %1',

    ///
    /// DOMAIN / DOMAIN ADMINISTRATOR
    ///

    // list objects filtering
    'domains_list__name__filter_title' => 'Namn',
    'domains_list__state__filter_title' => 'Resurs-användning',
    'domains_list__filter_state_any' => 'Valfri',
    'domains_list__filter_state_overuse' => 'Överanvändning',
    'domains_list__filter_state_normal' => 'Inom gränserna',
    'domains_list__status__filter_title' => 'Status',
    'domains_list__filter_status_any' => 'Valfri',
    'domains_list__filter_status_blocked' => 'Avstängd',
    'domains_list__filter_status_active' => 'Aktiva',
    'domains_list__subrows__filter_title' => 'Visa',
    'domains_list__subrows_off' => 'Domäner endast',
    'domains_list__subrows_subdomain_domainaliases' => 'Med subdomäner och alias',
    'domains_list__subrows_subdomain' => 'Med subdomäner',
    'domains_list__subrows_domainaliases' => 'Med alias',

    // objects list
    'domains_list__owner__title' => 'Ägare',

    ///
    /// END OF DOMAINS
    ///

    ////
    //// KEYS FOR APPLICATION VAULT AND WEB APPLICATION MANAGEMENT
    ////

    ///
    /// APPLICATION VAULT / APS CATALOG
    ///

    // Application Vault / APS Catalog promotional block
    'site_apps__promo_browse_for_applications' => "Bläddra efter program",
    'site_apps__promo_main_text' => "Programpaketets standardkatalog (APS) innehåller en förteckning över program som kan tillhandahållas till en domän eller ett webbutrymme. Om du vill tillhandahålla program som just nu inte finns i katalogen, kan du lätt göra det genom följande APS-förpackningssinstruktioner på www.apsstandard.com",
    'site_apps__promo_download_now' => "Ladda ner program:",
    'site_apps__promo_close' => "Stäng detta block",
    'site_apps__promo_preset__mostused' => '%1 Populärast',
    'site_apps__promo_preset__lessused' => '%1:e näst populärast',
    'site_apps__promo_preset__all' => "Alla",
    'site_apps__promo_disclaimer_note' => 'Observera att program som installeras från APS-katalogen tillhandahålls av tredje part och stöds inte av Plesk.',
    'site_apps__promo_preset__page_title' => '%1 APS-program',

    // Progress bar
    'site_apps__progress_initialization_message' => 'Lägger till program...',

    // Errors
    'site_apps__no_applications_for_update' => 'Du har inga applikationer installerade i applikationsvalvet.',
    'site_apps__incorrect_download_preset_configuration' => 'Fel hittades i konfigurationen av förinställningen av APS-katalognedladdningen.',
    'site_apps__aps_catalog_url_is_invalid' => 'Angiven URL är ogiltig.',
    'site_apps__no_updates_at_the_moment' => 'Det finns inga programuppdateringar tillgängliga just nu.',
    'site_apps__incorrect_content_returned_by_catalog' => 'Felaktig information har mottagits från APS-programkatalogen. Var god försök igen senare.',
    'site_apps__entered_aps_catalog_url_is_not_valid' => 'APS-kataloginställningarna har sparats, men Plesk kunde inte upprätta en anslutning till APS-katalogen som anges i APS-kataloginställningarna (%1). Se till att APS-katalogadressen är korrekt och att APS-katalogen på denna adress är aktiv.',
    'site_apps__cannot_retrieve_updates' => 'Kan inte ladda ner programuppdateringar just nu: kan inte upprätta anslutning till APS-katalogen (%1). Se till att APS-katalogadressen är korrekt och att APS-katalogen på denna adress är aktiv.',
    'site_apps__no_site_applications_in_client_pool_to_install' => 'Det finns inga webbprogram tillgängliga för installation.',
    'site_apps__site_applications_already_installed_in_root' => 'Andra webbprogram har redan installerats i rotkatalogerna i dessa virtuella värddatorer',
    'site_apps__dot_net_packages_not_supported_on_unix_platform' => ".NET-webbapplikationerna stöds inte på Unix-Linux-plattformen",
    'site_apps__server_wide_packages_not_supported' => 'Serveromfattande webbapplikatinoer stöds inte',
    'site_apps__applications_added_to_queue_for_adding_to_application_vault' => "%1 mer webbprogram är schemalagda för tillägg i applikationsvalvet.",
    'site_apps__applications_all_in_vault' => "Valda webbprogram finns redan i applikationsvalvet.",
    'site_apps__applications_already_in_download_queue' => "%1 valda webbapplikationer läggs till i applikationsvalvet just nu.",
    'site_apps__applications_already_in_valut' => "%1 valda webbprogram finns redan i applikationsvalvet.",

    // UI errors

    ///
    /// END OF APPLICATION VAULT / APS CATALOG
    ///

    ///
    /// APS CATEGORIES
    ///

    // General
    'site_apps__not_categorized' => 'Annat (ej kategoriserat)',

    // Errors
    'site_apps__no_applications_in_category' => 'Det finns inga tillgängliga applikationer i denna kategori. Välj en annan kategori.',
    'site_apps__no_category_selected__please_specify' => 'Välj en kategori i vänster meny. Alla applikationer som är tillgängliga i den valda kategorin kommer att listas i detta fönster.',

    // Category: Back office
    // Category: Collaboration
    // Category: Front Office
    // Category: Infrastructure
    // Category: Personal
    // Category: Web

    ///
    /// END OF APS CATEGORIES
    ///

    ////
    //// KEYS FOR SETTINGS PAGE
    ////

    ///
    /// SERVER ADMINISTRATOR SETTINGS
    ///

    'administrator_account' => 'Administratörskonto',
    // Personal data - HOME/SERVER ADMINISTRATOR/ACCOUNT
    // Change password - HOME/SERVER ADMINISTRATOR/ACCOUNT
    // Interface preferences - HOME/SERVER ADMINISTRATOR/ACCOUNT

    'general' => 'Allmänt',
    // Server settings - HOME/SERVER ADMINISTRATOR/SERVER
    'bt_change_hostname' => 'Ändra värddatornamn',
    // System time - HOME/SERVER ADMINISTRATOR/SERVER
    // IP addresses - HOME/SERVER ADMINISTRATOR/SERVER
    // Scheduled tasks - HOME/SERVER ADMINISTRATOR/SERVER
    // FTP settings - HOME/SERVER ADMINISTRATOR/SERVER    // PFW

    'security' => 'Säkerhet',
    'bt_setup_firewall' => 'Konfigurera brandvägg',
    'bt_manage_firewall_rules' => 'Hantera brandväggsregeln',
    'cu_firewall__rule' => 'Skapa en brandväggsregel',
    'cu_firewall__protocol' => 'Ställ in ett protokoll för regeln (\'TCP\' eller \'UDP\')',
    'cu_firewall__name' => "Ange ett regelnamn",
    'cu_firewall__disabled' => 'Om \'true\', inaktiveras regeln efter skapande',
    // Session idle time - HOME/SERVER ADMINISTRATOR/SECURITY
    // SSL/TLS certificates - HOME/SERVER ADMINISTRATOR/SECURITY
    // Shared SSL/TLS - HOME/SERVER ADMINISTRATOR/SECURITY    // PFW

    'dns' => 'DNS',
    'bt_select_dns_server' => 'Markera DNS-server', // PFW
    'bt_soa_records_template' => 'SOA-datamall',
    'bt_restrict_creation_of_subzones' => 'Begränsa skapande av subzoner',

    'databases' => 'Databaser',
    // Database hosting preferences - HOME/SERVER ADMINISTRATOR/SERVER

    'applications' => 'Program',
    // ASP.NET settings - HOME/SERVER ADMINISTRATOR/APPLICATIONS & SERVICES    // PFW
    // IIS application pool - HOME/SERVER ADMINISTRATOR/APPLICATIONS & SERVICES    // PFW
    // SiteBuilder settings - HOME/SERVER ADMINISTRATOR/APPLICATIONS & SERVICES

    'mail' => 'E-post',
    'bt_select_mailserver' => 'Markera e.postserver', // PFW
    // Mail server settings - HOME/SERVER ADMINISTRATOR/SERVER
    'bt_select_antivirus' => 'Välj antivirus', // PFW
    'bt_virus_protection_settings' => 'Inställningar för visursskydd',
    'bt_select_spamfilter' => 'Välj skräppostfilter', // PFW
    // Spam filter settings - HOME/SERVER ADMINISTRATOR/SERVER
    'bt_select_webmail' => 'Välj webbmail',
    // Set up mailing lists server - HOME/SERVER ADMINISTRATOR/SERVER    // PFU

    'logs_and_statistics' => 'Loggar & statistik',
    'bt_server_statistics_settings' => 'Inställningar för serverstatistik',
    'bt_select_web_statistics' => 'Tillgänglig webbstatistikmjukvara', // PFW
    // Action log - HOME/SERVER ADMINISTRATOR/LOGS & STATISTICS

    'control_panel_interface' => 'Plesk gränssnitt',

    'components_and_modules' => 'Komponenter & moduler',
    // Server components - HOME/SERVER ADMINISTRATOR/SERVER
    'bt_setup_vpn' => 'Ställ in VPN', // PFU
    'bt_setup_samba' => 'Konfigurera Samba',    // PFU

    ///
    /// END OF SERVER ADMINISTRATOR SETTINGS
    ///

    ///
    /// DOMAIN SETTINGS
    ///

    'domain_administrator_account' => 'Domänens administratörskonto',
    // Interface preferences - HOME/DOMAIN ADMINISTRATOR/DOMAIN
    'bt_account_settings' => 'Kontoinställningar',

    'domain' => 'Domän',
    'bt_dns_soa_records' => 'DNS SOA-poster',
    // Mail settings - HOME/DOMAIN ADMINISTRATOR/MAIL
    'bt_task_scheduler_settings' => 'Schemaläggarens inställningar',

    'website' => 'Webbplats',
    // Web hosting settings - HOME/DOMAIN ADMINISTRATOR/WEBSITE
    // Bandwidth limiting - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS
    'bt_web_users_scripting' => 'Scripting för webbanvändare',
    // Anonymous FTP - HOME/DOMAIN ADMINISTRATOR/FILES

    // Applications - SETTINGS/SERVER/APPLICATIONS    // PFW
    // ASP.NET settings - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS    // PFW
    // PHP settings - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS    // PFW
    // IIS application pool - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS    // PFW

    // Security - SETTINGS/SERVER/SECURITY
    'bt_select_ssl_certificate' => 'Välj SSL/TLS-certifikat',
    // Shared SSL/TLS - HOME/DOMAIN ADMINISTRATOR/ADDITIONAL TOOLS    // PFW

    // Logs & statistics - SETTINGS/SERVER/LOGS & STATISTICS
    'bt_web_statistics' => 'Webbstatistik',
    'bt_log_rotation_settings' => 'Inställningar för loggrotering',

    ///
    /// END OF DOMAIN SETTINGS
    ///

    ////
    //// KEYS FOR LIMITS AND PERMISSIONS
    ////

    ///
    /// LIMITS
    ///

    '__limits' => "Gränser", // template

    // overuse & oversell
    'limits__overuse_oversell_policy_legend' => "Överanvändnings- och överförsäljningspolicy",
    'limits__overuse_policy_legend' => "Överanvändning",
    'limits__oversell_policy_legend' => "Överförsäljning",
    'limits__reseller_overuse_description' => "Överanvändningspolicyn säger åt Plesk vad det ska göra när resurser överanvänds.",
    'limits__overuse_text' => "Överanvändningspolicy",

    // limit names
    'limit_group__disk_space_and_traffic' => 'Diskutrymme och trafik',
    'limit__disk_space' => 'Utrymme',
    'limit__max_traffic' => 'Trafik',
    'limit_group__client' => 'Kunder',
    'limit__max_cl' => 'Kunder',
    'limit_group__domain' => 'Domäner',
    'limit__max_dom' => 'Domäner',
    'limit__max_dom_powerUser' => 'Abonnemang',
    'limit__max_subdom' => 'Subdomäner',
    'limit__max_dom_aliases' => 'Domänalias',
    'limit__max_wu' => 'Webbanvändare',
    'limit__max_subftp_users' => 'Extra FTP-konton', // PFW
    'limit_group__mail' => 'E-post',
    'limit__max_box' => 'E-postlådor',
    'limit__mbox_quota' => 'Storlek på postlåda',
    'limit__total_mboxes_quota' => 'Total e-postkontokvot', // PFW
    'limit__max_maillists' => 'E-postlistor',
    'limit_group__database' => 'Databaser',
    'limit__max_mssql_db' => 'Microsoft SQL Server-databas', // PFW
    'limit__mssql_dbase_space' => 'Totalt MS SQL databasvärde', // PFW
    'limit__max_odbc' => 'ODBC-anslutningar', // PFW
    // limit__max_db - CONFLICTED
    'limit__mysql_dbase_space' => 'MariaDB/MySQL-databaskvot', // PFW
    'limit__pgsql_dbase_space' => 'PostgreSQL-databasvärde', // PFW
    'limit_group__application' => 'Program',
    'limit__max_iis_app_pools' => 'IIS-programpooler', // PFW
    'limit_group__security' => 'Säkerhet',
    'limit_group__validity' => 'Utgångsdatum',
    'limit__expiration' => 'Utgångsdatum',
    'limit__validity' => 'Giltighetsperiod',
    'limit__max_site_builder' => 'Webbplatser publicerade med Presence Builder',
    'limit__max_site' => 'Domäner',
    'limit__mssql_dbase_filesize' => 'MS SQL databasfilens storlek',
    'limit__mssql_dbase_log_filesize' => 'MS SQL databasloggfilens storlek',
    'limit__mssql_dbase_filesize_hint' => 'Den maximala storleken för en fil i en Microsoft SQL-databas.',
    'limit__mssql_dbase_log_filesize_hint' => 'Den maximala storleken för en loggfil i en Microsoft SQL-databas.',
    'limit__units_mssql_dbase_filesize' => "MB",
    'limit__units_mssql_dbase_log_filesize' => "MB",

    'dom_pref__invalid_max_site_limit' => 'Ogiltig domängräns. Minimivärde är 1.',

    'property__has_wrong_value' => 'Egenskapen %1  har ett felaktigt värde.',
    'property__name_outgoing_messages_domain_limit' => 'Anger gränsen på utgående meddelanden från ett domän (per timme). För att ange ett obegränsat värde, uppge "-1". Uppge "default" för att ange värdet specificerad i serveromfattande inställningar.',
    'property__name_outgoing_messages_mbox_limit' => 'Anger gränsen på utgående meddelanden från en postlåda (per timme). För att ange ett obegränsat värde, uppge "-1". Uppge "default" för att ange värdet specificerad i serveromfattande inställningar.',
    'property__name_outgoing_messages_subscription_limit' => 'Anger gränsen på utgående meddelanden från ett abonnemang (per timme). För att ange ett obegränsat värde, uppge "-1". Uppge "default" för att ange värdet specificerad i serveromfattande inställningar.',

    // for CLI report & email notifications
    '__resource_notify' => 'Meddela',
    '__general' => 'Allmänt',
    '__template_shared' => 'Delad mall',
    'limit__overuse' => 'Överanvändningspolicy',
    'limit__max_traffic_soft' => 'Meddela när trafikanvändningen når',
    'limit__disk_space_soft' => 'Meddela när användning av diskutrymme når',
    '__overuse' => 'Överanvändningspolicy',
    'performance__title' => 'Uppträdande',
    'performance__bandwidth' => 'Maximal bandbreddsanvändning (kB/s)',
    'performance__max_connections' => 'Begränsa anslutningar till',

    'gch__hosting_php_isapi' => 'Kör PHP som ett ISAPI-filnamnstillägg',
    'gch__hosting_ssi_html' => 'Använd SSI för *.htm- och *.html-filer',
    'gch__hosting_php_handler_type' => 'Kör PHP som',
    'gch__hosting_php_handler_id' => 'Kör PHP som',
    'gch__hosting_php_served_by_nginx' => 'PHP som servas av ngnix',
    'gch__hosting_unpaid_website_status' => 'Status för webbplatserna i abonnemang som upphävts tillfälligt',
    'gch__mn_no_autoresponder' => 'Det finns inga automatsvar inställda för e-postkontot.',
    'gch__no_clients_selected' => "Inga kundkonton har valts",
    'gch__no_domains_selected' => "Inga domäner utangiven",

    // limit units
    'limit__units_disk_space' => "MB",
    'limit__units_max_traffic' => "MB/månad",
    'limit__units_mbox_quota' => "KB",
    'limit__units_mysql_dbase_space' => "MB", // PFW
    'limit__units_mssql_dbase_space' => "MB", // PFW
    'limit__units_pgsql_dbase_space' => "MB", // PFW
    'limit__units_total_mboxes_quota' => "MB", // PFW

    // manipulations and statuses of limits
    '__resource_name' => 'Resursnamn',
    '__resource_usage' => 'Används',
    '__resource_limit' => 'Gräns',

    '__never_expires' => 'Upphör aldrig att gälla',
    '__resource_free' => '%1 ledigt av %2',
    '__resource_unlimited' => '%1 används av obegränsat',

    '__unlimited' => 'Obegränsat',
    '__increment' => "Öka (+)",
    '__decrement' => "Minska (-)",
    '__pt' => 'enheter',
    '__procent' => '%',
    '__overused' => 'Överanvänd',
    '__left' => 'vänster',
    '__available' => 'tillgängliga',
    '__not_available' => 'Ej inkluderat',

    ///
    /// END OF LIMITS
    ///


    ////
    //// KEYS FOR STATISTICS AND REPORTS
    ////

    ///
    /// SUMMARY / FULL REPORT
    ///

    // common full report
    'report__full_p' => 'P',
    'report__full_s' => 'S',
    'report__full_h' => 'H',
    'report__full_reseller_name' => 'Återförsäljarens namn', // reseller report
    'report__full_client_name' => 'Kundens namn', // customer report
    'report__full_domain_name' => 'Domännamn', // domain report
    'report__full_owner' => 'Ägare', // customer & domain reports
    'report__full_creation_date' => 'Skapandedatum',
    'report__full_size' => 'Storlek',
    'report__full_traffic' => 'Trafik',
    'report__full_active_clients' => 'Aktiva kunder', // reseller report
    'report__full_clients' => 'Kunder', // reseller report
    'report__full_active_domains' => 'Aktiva domäner', // reseller & customer reports
    'report__full_domains' => 'Domäner', // reseller & customer reports
    'report__full_subdomains' => 'Subdom',
    'report__full_mboxes' => 'MBoxes',
    'report__full_disk_space' => 'Utrymme',
    'report__full_mail_groups' => 'Vidarebef. e-post',
    'report__full_mail_autoresp' => 'Resp',
    'report__full_mail_antispam' => 'ASpam',
    'report__full_mail_antivirus' => 'AVir',
    'report__full_mail_lists' => 'E-postlist',
    'report__full_web_users' => 'WebUsr',
    'report__full_mysql_databases' => 'MariaDB/MySQL-DB',
    'report__full_mssql_databases' => 'MSSQL DB',
    'report__full_pgsql_databases' => 'PostgreSQL-DB',

    // common summary report
    'report__section_general' => 'Allmänt',
    'report__version' => 'Produktversion',
    'report__build' => 'Produkt-build',
    'report__status' => 'Status',
    'report__company_name' => 'Företagsnamn',
    'report__personal_name' => 'Namn',
    'report__login' => 'Användarnamn',
    'report__phone' => 'Telefon',
    'report__fax' => 'Fax',
    'report__email' => 'E-post',
    'report__address' => 'Adress',
    'report__city' => 'Stad',
    'report__state' => 'Län',
    'report__zip_code' => 'Postnummer',
    'report__country' => 'Land',
    'report__creation_date' => 'Skapandedatum',
    'report__expiration_date' => 'Utgångsdatum',
    'report__dumps_total_size' => 'Total filstorlek på säkerhetskopian',
    'report__section_resellers' => 'Återförsäljare',
    'report__active_resellers' => 'Återförsäljare med aktiva abonnemang',
    'report__resellers' => 'Återförsäljare',
    'report__section_full_resellers' => 'Återförsäljare',
    'report__section_clients' => 'Kunder',
    'report__active_clients' => 'Kunder med aktiva abonnemang',
    'report__clients' => 'Kunder',
    'report__section_full_clients' => 'Kunder',
    'report__section_personal_clients' => 'Egna kunder',
    'report__active_personal_clients' => 'Dina egna kunder med aktiva abonnemang',
    'report__personal_clients' => 'Egna kunder',
    'report__section_full_personal_clients' => 'Egna kunder',
    'report__section_domains' => 'Domäner',
    'report__disk_usage' => 'Diskanvändning',
    'report__traffic' => 'Trafik',
    'report__active_domains' => 'Aktiva domäner',
    'report__domains' => 'Domäner',
    'report__subdomains' => 'Subdomäner',
    'report__mboxes' => 'E-postlådor',
    'report__mail_groups' => 'Vidarebefordran av e-post',
    'report__mail_autoresp' => 'Autosvar',
    'report__mail_lists' => 'E-postlistor',
    'report__web_users' => 'Webbanvändare',
    'report__mysql_databases' => 'MariaDB/MySQL-databaser',
    'report__mssql_databases' => 'MSSQL-databaser',
    'report__pgsql_databases' => 'PostgreSQL-databaser',
    'report__section_full_domains' => 'Domäner',
    'report__section_personal_domains' => 'Personliga domäner',
    // keys here are the same as in report__section_domains section
    'report__section_full_personal_domains' => 'Personliga domäner',

    //New for Plesk 10
    'report__sitebuilder_sites' => 'Webbplatser publicerade med Presence Builder',
    'report__invalid_email' => 'Ange en giltig e-postadress.',


    // CLI-specific sections
    'report__section_hosting' => 'Värding',
    'report__section_webusers' => 'Webbanvändare',
    'report__section_mailnames' => 'E-postkonton',
    'report__section_maillists' => 'E-postlistor',
    'report__section_databases' => 'Databaser',
    'report__section_siteapps' => 'Webbapplikationer',
    'report__section_aspnetapps' => 'ASP.NET-tillämpningar', // PFW
    'report__owner_pname' => "Leverantörens personnamn",
    'report__owner_login' => "Leverantörens användarnamn",

    ///
    /// END OF SUMMARY / FULL REPORT
    ///

    ////
    //// KEYS FOR VARIOUS FEATURES
    ////

    ///
    /// SERVER INTERFACE
    ///

    // Locales
    // errors
    'locales__not_allowed' => 'Det specificerade språkpaketet är installerad, men inte aktiverad på systemet.',

    ///
    /// END OF SERVER INTERFACE
    ///

    ///
    /// HOME PAGE CUSTOMIZATION
    ///

    ///
    /// SESSIONS
    ///

    'forgery_token_expired' => 'Sessionstoken har gått ut.',

    ///
    /// END OF SESSIONS
    ///

    ///
    /// USER ACCOUNT CONVERSION
    ///

    //
    // USER ACCOUNT TYPE CHANGES
    //

    // resellers > customers
    'downgradeResellers__downgrade_resellers' => 'Följande återförsäljarkonton kommer att omvandlas till kundkonton',
    'downgradeResellers__downgrade' => 'Återförsäljarekonton som kommer att omvandlas',
    // controls
    'downgradeResellers__submit_downgrade' => 'Utför kontoomvandlingen.',
    'downgradeResellers__cancel_downgrade' => 'Radera kontoomvandlingen.',
    'downgradeResellers__confirm' => 'Bekräfta omräkning',
    'downgradeResellers__confirm_message' => 'Bekräfta kontoomvandlingen för att fortsätta',
    // errors

    // customers > resellers
    'upgradeClients__upgrade_clients' => 'Följande kundkonton kommer att omvandlas till återförsäljarkonton',
    'upgradeClients__upgrade' => 'Kundkonton som kommer att omvandlas',
    // controls
    'upgradeClients__submit_upgrade' => 'Utför kontoomvandlingen.',
    'upgradeClients__cancel_upgrade' => 'Radera kontoomvandlingen.',
    'upgradeClients__confirm' => 'Bekräfta omräkning',
    'upgradeClients__confirm_message' => 'Bekräfta kontoomvandlingen för att fortsätta',
    // errors
    'upgradeClient__user_is_already_reseller' => 'Kan inte ändra kontot \'%1\' ttill ett återförsäljarkonto: \'%1\' är redan en återförsäljare.',

    // domain administrators > customers
    'upgradeDomainUser__upgrade_domain_users' => 'Följande domänadministratörskonton kommer att omvandlas till kundkonton',
    'upgradeDomainUser__upgrade' => 'Domänadministratörskonton som kommer att omvandlas',
    // controls
    'upgradeDomainUser__submit_upgrade' => 'Utför kontoomvandlingen.',
    'upgradeDomainUser__cancel_upgrade' => 'Radera kontoomvandlingen.',
    'upgradeDomainUser__confirm' => 'Bekräfta omräkning',
    'upgradeDomainUser__confirm_message' => 'Bekräfta kontoomvandlingen för att fortsätta',
    // errors
    'upgradeDomainUser__non_upgradeable' => 'Domänadministratörskonton som inte kan omvandlas',
    'upgradeDomainUser__non_upgradeable_domain_users' => 'Följande Domänadministratörskonton kunde inte omvandlas till kundkonton:',
    'upgradeDomainUser__some_domains_were_not_converted' => 'Flera domänadministratörskonton kunde inte omvandlas till kundkonton. %%domainsList%%',
    'upgradeDomainUser__domain_user_does_not_exist' => 'Domänadministratörskontot finns inte',
    'upgradeDomainUser__domain_owner_must_be_a_reseller' => "Domänen ska direkt tillhöra serveradministratören eller en återförsäljare.",
    'upgradeDomainUser__all_logins_already_used' => 'Kan inte skapa ett konto för den resulterande kunden.',
    // notifications
    'upgradeDomainUser__upgrade_notification_subject' => 'Domänadministratörskontot har omvandlats',
    'upgradeDomainUser__upgrade_notification_body' => 'Ditt domänadministratörskonto har omvandlats till ett kundkonto med användarnamnet \'%%login%%\' och lösenordet \'%%password%%\'.',

    //
    // USER ACCOUNT OWNER CHANGES
    //

    // errors
    'clientOwnerChanger__owner_has_no_permission' => 'Den valde återförsäljaren har inte behörighet \'%1\', men några av kunderna har denna behörighet.',
    'clientOwnerChanger__application_not_allowed' => 'Programmet \'%1\' är inte tillgängligt för den valde återförsäljaren, men är tillgänglig för några av kunderna.',

    //
    // USER ACCOUNT STATE CHANGES
    //


    ///
    /// END OF USER ACCOUNT CONVERSION
    ///

    ///
    /// BANDWIDTH LIMITING
    ///

    'hosting_performance__traffic_bandwidth_label' => 'Maximal bandbreddsanvändning (%1)',
    'hosting_performance__max_connection_label' => 'Begränsa anslutningar till',
    'performance__invalid_value' => "Värdet är ogiltigt. Värdet måste vara i intervallet mellan %1 och %2.",

    ///
    /// END OF BANDWIDTH LIMITING
    ///

    ///
    /// WEBMAIL SELECTION (these keys are currently PfU-only)
    ///

    'webmail__server_legend' => 'Webbpost',
    'webmail__server_text' => 'Tillgängliga webbmailklienter',
    'webmail__none' => 'Ingen',

    ///
    /// END OF WEBMAIL SELECTION
    ///


    ////
    //// BACKUP/RESTORATION
    ////

    // random common keys:
    'backup__ip_mapping__server_ip' => 'Serverns IP-pool',

    ///
    /// END OF BACKUP MANAGER ACTIONS
    ///

    ///
    /// COMMON SCREENS
    ///

    // Back Up
    // Comments - __comments
    '__default_backup_comment_server' => "Säkerhetskopiering av server.",
    '__default_backup_comment_reseller' => "Säkerhetskopia av återförsäljarkontona skapades av %1.",
    '__default_backup_comment_client' => "Säkerhetskopia av kundkontona skapades av %1.",
    '__default_backup_comment_domain' => "Säkerhetskopia av abonnemangen skapades av %1.",

    // Restoration & backup information

    // IP mapping
    'backup__ip_mapping__clients_ip' => "IP-pool för kunden %1",
    'backup__ip_mapping__resellers_ip' => "IP-pool för återförsäljaren %1",

    // Conflicts occured
    'backup__restore__object_vhost' => 'Virtuell värd',
    'backup__restore__object_plesk_admin' => 'Plesk-administratör',
    'backup__restore__object_ftpuser' => 'FTP-konto',
    'backup__restore__object_frontpageuser' => 'FrontPage-konto',
    'backup__restore__object_webuser' => 'webbanvändare',
    'backup__restore__object_domain' => 'domän',
    'backup__restore__object_subdomain' => 'subdomän',
    'backup__restore__object_domainalias' => 'domänalias',
    'backup__restore__object_client' => 'kund',
    'backup__restore__object_reseller' => 'återförsäljare',
    'backup__restore__object_autoresponder' => 'autosvar',
    'backup__restore__object_mailalias' => 'e-post alias',
    'backup__restore__object_database' => 'databas',
    'backup__restore__object_mailname' => 'E-postkonto',
    'backup__restore__object_db_user' => 'databasanvändare',
    'backup__restore__object_ssl_certificate' => 'SSL/TLS-certifikat',
    'backup__restore__resellers_cannot_restore_converted_to_customers' => 'Följande återförsäljare kan inte återställas beroende på att de är omvandlade till kunder: \'%1\'.',
    'backup__restore__customers_cannot_restore_converted_to_resellers' => 'Följande kunder kan inte återställas beroende på att de är omvandlade till återförsäljare: \'%1\'.',
    'backup__restore__customers_cannot_restore_moved_to_another_owners' => 'Följande kunder kan inte återställas beroende på att de är flyttade till en annan ägare: \'%1\'.',

    // Before migration starts
    'backup__restore__capability_not_enough_disk_text' => 'Inte tillräckligt ledigt diskutrymme på målservern för att överföra alla valda abonnemang. Tillgängligt: %1 MB. Nödvändigt: %2 MB. Observera att det nödvändiga utrymmet beräknas som en summa av webb-, e-post- och databasinnehållet av domänerna. Det nödvändiga utrymmet beräknas en gång per dag och lagras i cache, så att den faktiska storleken av domänerna kan vara en annan än den beräknade storleken. Om du säkerställer att de valda domänerna inte upptar mer utrymme än det som är tillgänglig, kan du fortsätta med överföringen.',
    'backup__restore__capability_not_enough_disk_resolution' => 'Frigör diskutrymme på målservern.',
    'backup__restore__capability_source_not_enough_disk_text' => 'Inte tillräckligt ledigt diskutrymme på källservern för att lagra temporära filer för överföringen. Tillgängligt: %1 MB. Nödvändigt: %2 MB.',
    'backup__restore__capability_source_not_enough_disk_resolution' => 'Frigör diskutrymme på källservern.',
    'backup__restore__capability_not_enough_disk_resolution_url_text' => 'Serverinformation',

    'backup__restore__capability_not_installed_component_text' => 'Komponenten %1 har inte installerats i destinationens server. %1 kommer att vara otillgängligt för alla återställda objekt.',
    'backup__restore__capability_not_installed_component_resolution' => 'Installera %1. Det kan ta några minuter.',
    'backup__restore__capability_existing_sys_user_text' => 'En systemanvändare med namnet %1 finns redan på målservern.',
    'backup__restore__capability_existing_sys_user_resolution' => 'Ändra namn på den befintliga systemanvändaren på målservern.',
    'backup__restore__capability_license_usage_text' => 'Följande resursbegränsningar (definierade av licensnyckeln) kommer att överskridas på målservern efter dataöverföring:',
    'backup__restore__capability_license_usage_resolution' => 'Installera en annan licensnyckel på målservern som erbjuder den begärda mängden resurser.',
    'backup__restore__capability_max_allowed_packet_text' => "'max_allowed_packet'-parametern på källdatabasservern är %1, vilket är större än på målservern, där det är %2. Vissa databasobjekt för domänerna angivna nedan kanske inte återställs.",
    'backup__restore__capability_max_allowed_packet_resolution' => "Öka 'max_allowed_packet'-värdet på måldatabasservern.",

    'backup__restore__capability_postgres_to_lower_version_text' => 'Kan inte överföra PostgreSQL-databaser eftersom PostgreSQL-versionen på målservern är lägre än på källservern. Den aktuella versionen är %1, den begärda versionen är %2.',
    'backup__restore__capability_postgres_to_lower_version_text_resolution' => 'Installera den nödvändiga versionen av PostgreSQL på målservern.',
    'backup__restore__capability_db_server_connection_problems' => 'Det gick inte att ansluta till PostgreSQL-måldatabasservern. Databaser kommer inte att överföras om du inte återställer anslutningen.',
    'backup__restore__capability_db_server_connection_problems_resolution' => 'Kontrollera anslutningsinställningarna på måldatabasservern.',
    'backup__restore__capability_component_not_enabled_server_wide_text' => 'Komponenten %1 är avstängd på målservern.',
    'backup__restore__capability_component_not_enabled_server_wide_resolution' => 'Slå på %1 på målservern.',
    'backup__restore__capability_not_configured_component_text' => 'Komponenten %1 har inte konfigurerats i destinationens server.',
    'backup__restore__capability_not_configured_component_resolution' => 'Konfigurera %1 på sidn Verktyg & inställningar.',

    'backup__restore__capability_webmail_is_not_available' => '%1 webbpost-tjänster är inte tillgängliga i destinationens server. I stället använder Plesk följande webbpost-tjänst: %2.',
    'backup__restore__capability_webmail_is_not_available_resolution' => 'För att använda samma webbpost som i källservern, måste du installera den i denna server.',
    'backup__restore__capability_webmail_is_not_installed_resolution' => 'För att använda samma webbmail som på källservern, ska du installera det på målservern.',
    'backup__restore__capability_webmail_is_not_available_changed_on_subscriptions' => "'%1'-webbmailen är inte tillgänglig på målservern. I stället använder Plesk följande webbpost-tjänst: %2 i följande abonnemang: %3.",
    'backup__restore__capability_webmail_is_not_installed_custom_resolution' => 'Installera den nödvändiga webbmailen på målservern.',
    'backup__restore__capability_webmail_is_not_available_url_text' => 'Webbmailinställningar',

    'backup__restore__capability_shell_is_not_available' => 'Kommandoskalet %1 är inte tillgängligt i destinationens server. Ett av de tillgängliga skalprogram kommer att användas istället.',
    'backup__restore__capability_shell_is_not_available_resolution' => 'För att använda samma skalprogram som på källservern, ska du slå på det (in etc/shells) eller installera det på målservern.',

    'backup__restore__capability_acl_network_not_allowed_dns_template' => 'Destinationens DNS-server stödjer inte nätverk i Mallen för Överföringsbegränsningar. Posterna med nätverkets IP-adresser i DNS-överföringsrestriktioner kommer inte att återställas.',
    'backup__restore__capability_acl_network_not_allowed_dns_zone' => 'Destinationens DNS-server stödjer inte nätverk i Mallen för Överföringsbegränsningar, men vissa abonnemang har nätverk i DNS-överföringsbegränsningarna. Posterna med nätverkets IP-adresser i DNS-överföringsrestriktioner kommer inte att återställas.',

    'backup__restore__capability_wrong_php_handler_text' => 'PHP-hanteraren %1 är inte tillgänglig på målservern. Istället kommer Plesk använda följande PHP-hanterare: %2.',
    'backup__restore__capability_no_php_handler_text' => 'PHP-hanterare %1 är ej tillgänglig på målservern.',
    'backup__restore__capability_wrong_php_handler_resolution' => 'För att använda samma PHP-hanterare som på källservern, ska du starta den eller installera den på målservern.',
    'bu_conflict_resolver_php_handler_replaced_in_plans' => 'PHP-hanteraren %1 är inte tillgänglig. I stället använder Plesk %2 till följande serviceplaner: {{objects}}',
    'bu_conflict_resolver_php_handler_replaced_in_sites' => 'PHP-hanteraren %1 är inte tillgänglig. I stället använder Plesk %2 till följande webbplatser: {{objects}}',
    'bu_conflict_resolver_php_handler_not_allowed_in_sites' => 'PHP-hanteraren %1 är inte tillgänglig. Den kommer inte att finnas tillgänglig för följande webbplatser: {{objects}}',

    'backup__restore__capability_wrong_component_version_text' => 'Kommandoskalet %1 %2 är inte tillgängligt i destinationens server. Standardversionen kommer att användas istället.',
    'backup__restore__capability_wrong_component_version_resolution' => 'För att använda samma %1 som på källservern, ska du slå på det eller installera det på målservern.',

    'backup__restore__capability_antivirus_not_allowed_outgoing_text' => 'Denna antivirus-policy som används i destinationens server tillåter inte personliga antivirusinställningar (via e-post) för utgående e-post. De här inställningarna kommer inte att överföras.',
    'backup__restore__capability_antivirus_not_allowed_incoming_text' => 'En antivirus-policy som används i destinationens server tillåter inte personliga antivirusinställningar (via e-post) för inkommande e-post. De här inställningarna kommer inte att överföras.',
    'backup__restore__capability_antivirus_not_allowed_personal_settings_text' => 'Denna antivirus-policy som används i destinationens server tillåter inte personliga antivirusinställningar (via e-post). De här inställningarna kommer inte att överföras.',
    'backup__restore__capability_antivirus_not_allowed_personal_settings_resolution' => "För att överföra personliga antivirusinställningar (via e-post), aktivera motsvarande alternativ i Verktyg och inställningar > Antivirus-inställningar.",
    'backup__restore__capability_antivirus_not_active_text' => 'Ingen antivirus-mjukvara aktiverad. All antivirusinställningar från källservern kommer inte fungera förrän du väljer antivirusmjukvaran på målservern.',
    'backup__restore__capability_antivirus_not_active_resolution' => 'Välj antivirusmjukvara i avsnittet Verktyg & inställningar > Virusskyddsinställningar > Antivirusinställningar.',

    'backup__restore__capability_antivirus_another_active_text' => 'Antivirus-mjukvaran %2 är inte tillgänglig på målservern. %1 kommer att användas istället.',
    'backup__restore__capability_antivirus_another_active_resolution' => 'För att använda samma antivirus som på källservern, installera det och välj det i avsnittet Verktyg & inställningar > Virusskyddsinställningar > Antivirus-inställningar.',
    'backup__restore__capability_not_available_sni_text' => 'SNI är inte tillgängligt på målservern. Webbplatser som har samma IP-adress kommer inte att kunna använda individuella SSL/TLS-certifikat.',
    'backup__restore__capability_not_available_sni_resolution' => "Vänligen kontrollera att operativsystemet i destinationsservern stödjer SNI och att stödet för SNI är aktiverat på Plesk (kryssrutan 'Aktivera SNI-support, som tillåter individuella SSL/TLS-certifikat på webbplatser med samma IP-adress' i Verktyg och inställningar> Serverinställningar)",
    'backup__restore__capability_not_available_sni_resolution_url_text' => 'Serverinställningar',

    'backup__restore__capability_vhost_already_exists_text' => 'Webbplatsen %1 kan inte överföras: en webbplats med samma namn finns redan i destinationens server.',
    'backup__restore__capability_vhost_already_exists_resolution' => 'Byt namn eller ta bort webbplatsen med samma namn från servern.',
    'backup__restore__capability_removed_vhosts' => 'Följande abonnemang kommer inte att återställas eftersom de innehåller domännamn som redan finns på målservern: %1',
    'backup__restore__capability_duplicate_php_handler_text' => 'På källservern finns det %3 olika PHP-hanterare av typen %1 och versionen %2. Istället för dem, kommer en hanterare av lämplig typ och version att användas på målservern. Tänk på att PHP-inställningar på käll- och målserver kan vara olika.',

    'backup__restore__capability_not_installed_frontpage_resolution' => 'Plesk Installer stödjer inte Microsoft FrontPage.',
    'backup__restore__capability_not_installed_python_resolution' => 'Plesk Installer stödjer inte Python. Installera Python manuellt.',

    'backup__restore__capability_mail_spamfilter_domain_keys_resolution_url_text' => 'E-postinställningar',

    'backup__restore__capability_ftps_disabled' => 'Att använda säkra FTPS är tillåtet på källservern men förbjudet på målservern. Användares appar som använder FTP kanske inte fungerar korrekt.',
    'backup__restore__capability_ftps_required' => 'Att använda icke-säkra FTP är tillåtet på källservern men förbjudet på målservern. Användares appar som använder FTP kanske inte fungerar korrekt.',
    'backup__restore__capability_ftps_policy_resolution' => 'Ändra Säker FTP-policyn i Verktyg & inställningar > Säkerhetspolicy.',

    'backup__restore__capability_too_much_download_time_text' => '%1 megabyte data kommer att flyttas från källservern till målet under %2 timmar.',
    'backup__restore__capability_too_much_download_time_resolution' => 'För en snabbare överföring, kontrollera nätverksanslutningen mellan käll- och målserver och lös ev. problem.',
    'backup__restore__too_low_download_speed' => "mindre än 0,01",
    'backup__restore__capability_too_slow_download_speed_resolution' => 'För en snabbare överföring, kontrollera nätverksanslutningen mellan käll- och målserver och lös ev. problem.',
    'backup__restore__capability_zero_download_speed_text' => 'Den minsta acceptabla nedladdningshastigheten är %1 MBps. Nedladdningshastigheten mellan käll- och målservern är 0 MBps. Detta kan bero på anslutningsproblem i nätverket. Överföring är inte möjligt.',
    'backup__restore__capability_zero_download_speed_resolution' => 'Kontrollera din nätverksanslutning mellan käll- och destinationsservrarna och lös problem.',
    'backup__restore__capability_too_slow_download_speed_text' => 'Den minsta acceptabla nedladdningshastigheten är %2 MBps. Nedladdningshastigheten mellan käll- och målservern är %1 MBps. Detta kan öka överföringstiden. I din aktuella miljö kommer migrering av %3 MB till att ta %4 timmar.',
    'backup__restore__capability_too_slow_download_speed_text_without_diskusage' => 'Den minsta acceptabla nedladdningshastigheten är %2 MBps. Nedladdningshastigheten mellan käll- och målservern är %1 MBps. Detta kan öka överföringstiden.',

    'backup__restore__capability_remote_database_migration' => "Följande domäner använder fjärrdatabaser: %1",
    'backup__restore__capability_remote_database_migration_resolution' => "Ta inte bort dessa domäner från källservern efter överföringen, om Plesk-versionen på källserver är tidigare än 11.5! Stäng av dem istället. Om du tar bort domänerna, kommer databaserna att avlägsnas från fjärrservern. Notera: Dumpfilerna av fjärrdatabaser kommer att lagras på källservern i katalogen %1.",

    'backup__restore__capability_mysql_50_to_51_migration' => 'Säkerhetskopior av MySQL-databasservrar tidigare än 5.1 (%1) kan inte återställas på MySQL 5.1.x, eftersom MySQL 5.1.x hanterar Unicode-tecken annorlunda.',
    'backup__restore__capability_mysql_50_to_51_migration_resolution' => '',
    'backup__restore__capability_mysql_50_to_51_migration_kb_link_title' => 'Läs den relaterade kunskapsartikeln nr 136850',

    'backup__restore__capability_courier_not_installed_text' => 'Courier-IMAP har inte installerats på målservern.',
    'backup__restore__capability_courier_not_installed_resolution' => 'Installera Courier-IMAP genom att använda Plesk Installer.',
    'backup__restore__capability_dovecot_not_installed_text' => 'Dovecot har inte installerats på målserver.',
    'backup__restore__capability_dovecot_not_installed_resolution' => 'Installera Dovecot genom att använda Plesk Installer.',

    'backup__restore__wrong_stat_ttl_value_text' => 'Kvarhållningstiden för trafikstatistiken i konfigurationer av följande objekt är mindre än det serveromfattandet värdet på målservern.',
    'backup__restore__wrong_stat_ttl_value_resolution' => 'Ändra det serveromfattande värdet för kvarhållningstiden för statistik på målservern. Ställ in denna tid till lika med eller mindre än det minsta värdet i domänernas konfigurationer.',
    'bu_conflict_resolver_wrong_stat_ttl_value' => 'Kvarhållningstid för trafikstatistik på vissa domäner är mindre än det serveromfattandet värdet (%1). Värdet kommer att ändras till %1 för dessa domäner.',
    'bu_conflict_resolver_wrong_stat_ttl_template_value' => 'Trafikstatistikens kvarhållningstid i vissa abonnemangstyper är mindre än det serveromfattande värdet (%1). Värdet ändras till %1 för dessa abonnemangstyper.',

    'backup__ip_mapping__map_dedicated_to_shared_ip' => 'Mappning av en exklusiv IP-adress till en delad kommer att inaktivera anonym FTP och HTTPS (såvida inte SNI-stöd är aktiverat).',

    'backup__restore__no_postgresql_commands_text' => 'Abonnemanget använder en PostgreSQL fjärrdatabas, och den temporära säkerhetskopiefilen av denna kan inte skapas beroende på att pg_dump och psql kommandon saknas på källservern.',
    'backup__restore__no_postgresql_commands_resolution' => 'Installera en PostgreSQL-klientpaket som stödjer dessa kommandon.',
    'backup__restore__capability_apache_modules_disabled_text' => 'Följande Apache-moduler är inaktiverade på målservern: %1.',
    'backup__restore__capability_apache_modules_disabled_resolution' => 'Aktivera dessa moduler för att förhindra eventuella problem.',
    'backup__restore__capability_apache_modules_not_installed_text' => 'Följande Apache-moduler är inte installerade på målservern: %1.',
    'backup__restore__capability_apache_modules_not_installed_resolution' => 'Installera och aktivera dessa moduler för att förhindra eventuella problem.',

    'backup__restore__capability_license_not_supported_outgoing_antispam' => 'Begränsningen av utgående meddelanden stöds inte av din licens. De motsvarande  konfigurationställningarna kommer inte att överföras.',
    'backup__restore__capability_license_not_supported_outgoing_antispam_resolution' => 'Installera en annan licensnyckel på målservern som erbjuder den begärda mängden funktioner.',
    'backup__restore__capability_disabled_outgoing_antispam' => 'Begränsningen av utgående meddelanden är avstängd på målservern. De motsvarande  konfigurationställningarna kommer inte att överföras.',
    'backup__restore__capability_disabled_outgoing_antispam_resolution' => 'Slå på begränsningen av utgående meddelanden på målservern.',
    'backup__restore__capability_disabled_outgoing_antispam_resolution_url_text' => 'Serveromfattande e-postinställningar',

    'backup__restore__capability_outgoing_antispam_mbox_limit_not_supported' => 'Begränsningen av utgående meddelanden från en postlåda stöds inte av e-post servern som används på målservern. Värdet av denna gränsen kommer inte att överföras.',
    'backup__restore__capability_outgoing_antispam_mbox_limit_not_supported_resolution' => 'Ändra e-postservern till det samma som du använder på källservern.',
    'backup__restore__capability_outgoing_antispam_mbox_limit_not_supported_resolution_url_text' => 'Serveromfattande e-postinställningar',
    'backup__restore__capability_outgoing_antispam_domain_limit_not_supported' => 'Begränsningen av utgående meddelanden från en domän stöds inte av e-post servern som används på målservern. Värdet av denna gränsen kommer inte att överföras.',
    'backup__restore__capability_outgoing_antispam_domain_limit_not_supported_resolution' => 'Ändra e-postservern till det samma som du använder på källservern.',
    'backup__restore__capability_outgoing_antispam_domain_limit_not_supported_resolution_url_text' => 'Serveromfattande e-postinställningar',
    'backup__restore__capability_outgoing_antispam_subscription_limit_not_supported' => 'Begränsningen av utgående meddelanden från ett abonnemang stöds inte av e-post servern som används på målservern. Värdet av denna gränsen kommer inte att överföras.',
    'backup__restore__capability_outgoing_antispam_subscription_limit_not_supported_resolution' => 'Ändra e-postservern till det samma som du använder på källservern.',
    'backup__restore__capability_outgoing_antispam_subscription_limit_not_supported_resolution_url_text' => 'Serveromfattande e-postinställningar',

    'bu_conflict_resolver_absent_phosting' => 'Kan inte återställa de specificerade filerna beroende på att fysisk värdtjänst för att återställa dom inte finns. Skapa en domän med fysisk värdtjänst först och starta återställandet av säkerhetskopian igen.',
    'bu_conflict_resolver_resellers_management_is_not_supported' => 'Återförsäljarens uppgifter återställs inte eftersom det inte finns stöd för återsäljarhantering.',

    'backup__restore__capability_modsecurity_not_installed_text' => 'Komponenten ModSecurity har inte installerats i målservern.',
    'backup__restore__capability_modsecurity_not_installed_resolution' => 'Installera ModSecurity om du vill behålla webbprogram brandväggen i gång för de överförda webbplatserna. Observera att installationen kan ta några minuter.',
    'backup__restore__capability_modsecurity_not_installed_resolution_for_server' => 'Installera ModSecurity om du vill överföra inställningarna från webbprogram brandväggen. Observera att installationen kan ta några minuter.',
    'backup__restore__capability_modsecurity_not_configured_text' => 'Komponenten ModSecurity har inte konfigurerats i målservern.',
    'backup__restore__capability_modsecurity_not_configured_resolution' => 'Konfigurera ModSecurity om du vill behålla webbprogram brandväggen i gång för de överförda webbplatserna.',
    'backup__restore__capability_modsecurity_not_configured_resolution_url_text' => 'Webbprogram brandvägg (ModSecurity)',
    'backup__restore__capability_modsecurity_not_active_text' => 'ModSecurity är avstängd på målservern.',
    'backup__restore__capability_modsecurity_not_active_resolution' => 'Aktivera ModSecurity om du vill behålla webbprogram brandväggen i gång för de överförda webbplatserna.',
    'backup__restore__capability_modsecurity_not_active_resolution_url_text' => 'Webbprogram brandvägg (ModSecurity)',
    'bu_conflict_resolver_modsecurity_not_installed' => 'ModSecurity komponenten är inte installerat Webbprogram brandvägg inställningarna kommer inte att återställas för följande objekt: {{objects}}',
    'bu_conflict_resolver_absent_websites_subscription' => "Webbplatser kan inte återställas beroende på abonnemanget %1 som inte hittas i Plesk.",
    'backup__restore__capability_not_installed_dns_text' => 'Komponenten %1 har inte installerats i destinationens server. DNS-tjänsten är otillgänglig och DNS-inställningarna raderas, Alla kunders webbplatser stängs ner.',
    'bu_conflict_resolver_dns_not_installed' => 'DNS-tjänsten är inte installerad. DNS-inställningarna kommer inte att återställas för följande objekt: {{objects}}',
    'backup__restore__subscriptions_cannot_restore_moved_to_another_owners' => 'Följande abonnemang kan inte återställas beroende på att de är flyttade till andra ägare: \'%1\'',
    'backup__restore__subscriptions_cannot_restore_moved_to_another_vendors' => 'Följande abonnemang kan inte återställas beroende på att de är flyttade till andra leverantörer: \'%1\'',
    'bu_conflict_resolver_sitebuilder_restore_util_is_not_installed' => 'Kan inte hitta återställningsprogrammet för Web Presence Builder för att återställa uppgifterna för Web Presence Builder. Web Presence Builder har antagligen inte installerats.',
    'backup__restore__capability_renamed_db' => 'Databasnamnet "%1" används redan av ett annat abonnemang. Namnet på den återställda databasen ändras till "%2".',
    'backup__restore__capability_renamed_db_user' => 'Databasens användarnamn "%1" används redan av ett annat abonnemang. Namnet på den återställda databasen kommer att ändras till "%2".',
    'backup__restore__capability_not_installed_perl_resolution' => 'Plesk Installer stödjer inte Perl. Installera ActiveState Perl manuellt.',
    'backup__restore__capability_php_handler' => '%%version%% %%type%% (id=%%id%%)',
    'backup__restore__capability_php_handler_served_by_apache' => '%%version%% %%type%% som servas av Apache (id=%%id%%)',
    'backup__restore__capability_php_handler_served_by_nginx' => '%%version%% %%type%% som servas av ngnix (id=%%id%%)',


    '__sni' => 'SNI',
    '__kav' => 'Kaspersky Antivirus',
    '__drweb' => 'Odin Premium Antivirus',

    // Resource usage conflicts
    'backup__restore__resource_useage_conflicts' => 'Resursens användningskonflikter',
    'backup__restore__hint_resource_usage_conflicts' => 'Resursanvändningskonflikter inträffar när resursanvändningsgränserna för det återställda objektet överskrids vid återställningen.',
    'backup__restore__text_resource_usage_resolution_policy_overusage' => 'Tillåt överanvändning',
    'backup__restore__hint_resource_usage_resolution_policy_overusage' => 'Återställ objektet och tillåt det att använda fler resurser än som tillhandahålls initialt.',
    'backup__restore__text_resource_usage_resolution_policy_do_not_restore' => 'Återställ inte',
    'backup__restore__hint_resource_usage_resolution_policy_do_not_restore' => 'Återställ inte objekt som har resursanvändningskonflikter.',
    // Configuration conflicts
    'backup__restore__configuration_conflicts' => 'Konfigurationskonflikter',
    'backup__restore__hint_configuration_conflicts' => 'Konfigurationskonflikter uppstår när det återställda objektet har inställningar och webbprogram som inte är tillgängliga eller som är förbjudna av den aktuella servern eller objektägarens policy. Till exempel, konfigurationskonflikter uppstår om återställda e-postkonton har individuella skräppostsinställningar medan den aktuella serveromfattande policyn förbjuder e-postkonton med dessa inställningar.',
    'backup__restore__text_configuration_resolution_policy_automatic' => 'Automatisk',
    'backup__restore__hint_configuration_resolution_policy_automatic' => 'Återställ objekt och slå automatiskt på alla motstridiga konfigurationsalternativ som din behörighet låter dig hantera.',
    'backup__restore__text_configuration_resolution_policy_do_not_restore' => 'Återställ inte',
    'backup__restore__hint_configuration_resolution_policy_do_not_restore' => 'Återställ inte objekt som har konfigurationskonflikter.',

    'backup__restore__dedicated_app_pool_restore_to_shared_text' => 'Dedikerade IIS-programpooler är inte tillåtna i IIS-programpoolens inställningar.',
    'backup__restore__dedicated_app_pool_restore_to_shared_resolution' => 'Ändra dina IIS-programpoolinställningar i Verktyg och inställningar > IIS-programpool > Globala inställningar.',
    'backup__restore__shared_app_pool_restore_to_dedicated_text' => 'Delade IIS-programpooler är inte tillåtna i IIS-programpoolens inställningar.',
    'backup__restore__shared_app_pool_restore_to_dedicated_resolution' => 'Ändra dina IIS-programpoolinställningar i Verktyg och inställningar > IIS-programpool > Globala inställningar.',

    'backup__restore__unable_allow_short_pop3 _names_text' => 'Korta POP3/IMAP e-postkontonamn är inte tillåtna i destinationens server.',
    'backup__restore__unable_allow_short_pop3 _names_resolution' => 'Korta namn för e-postkonton kommer inte att vara tillgängliga efter dataåterställningen.',

    // Restore status messages & errors:
    'backup__unable_to_open_log_file' => 'Kan inte öppna loggfilen.',
    'backup__restore__customer_cannot_restore_nonexistent_subscription' => 'Kan inte återställa abonnemanget %1: det har tagits bort från kontot och Du saknar behörighet att skapa abonnemang. Om du behöver återställa det, kontakta din tjänsteleverantör.',

    'backup__error11' => 'Det finns inte tillräckligt med diskutrymme för säkerhetskopia.',
    'backup__error3011' => 'Anslutningen ble nekad: Ingen program lyssnar på den specificerade adress och port.',
    'backup__error3012' => 'Tidsgräns för anslutning.',
    'backup__error3013' => 'Nätverket kan inte nås.',
    'backup__error3014' => 'Ingen väg till värddatorn.',
    'backup__error3015' => 'Det gick inte att ansluta.',
    'backup__error3016' => 'Det gick inte att lösa värddatornamnet.',
    'backup__error3017' => 'Felaktigt användarnamn eller lösenord',
    'backup__error3018' => 'SSH-anslutningen har misslyckats.',

    'backup__error3110' => 'Det gick inte att ansluta till fjärr-migrationsagenten: Anslutning till värddatorn är inte tillgänglig.',
    'backup__error3111' => 'Migrationsagenten är låst av en migrationsuppgift som misslyckades eller är i bruk av en annan migrationsprocess. Starta om migrationsagenten på källservern.',
    'backup__error3112' => 'Det finns ingen tillgänglig anslutning till värddatorn, eller migrationsagenten körs inte på källvärden.',
    'backup__error3113' => 'Det går inte att distribuera migrationsagenten till en Linux värddator. Kontrollera SSH anslutningen till värddatorn.',
    'backup__error3114' => 'Det går inte att distribuera migrationsagenten till en Linux värddator: SSH anslutningen misslyckades.',
    'backup__error3115' => 'Felaktigt användarnamn eller lösenord',
    'backup__error3116' => 'Angiven användare har inte administrationsrättigheter.',

    'dns_t__unable_to_remove_ns_record' => 'Kan inte ta bort NS-data från DNS-mallen: varje DNS-zon måste ha minst en NS-uppgift.',
    'dns__unsupported_server_zone_transfer' => 'Kan inte överföra mallen med överföringsrestriktioner pga. den serveromfattande DNS-konfigurationen: i källtjänsten har följande nätverksadresser tillstånd till zonöverföring, men dessa adresser är förbjudna av Microsofts DNS-server: %1',
    'dns__unsupported_domain_zone_transfer' => 'Kan inte överföra mallen med överföringsrestriktioner pga. domänerna\' DNS-konfiguration: i vissa domäner har följande nätverksadresser tillstånd till zonöverföring, men dessa adresser är förbjudna av Microsofts DNS-server: %1',
    ///
    /// END OF COMMON SCREENS
    ///

    ///
    /// DATABASE BACKUP - PFW // TBD
    ///

    // Actions

    'dbbackup__check_network_settings_failed' => 'Kan inte få tillgång till den delade temporära nätverk katalogen för säkerhetskopierade filer. Kontrollera nätverk katalogen, användarnamn och lösenord inställningar. Fel: %1',

    'dbbackup__temp_dir_wrong_value' => 'Det ogiltiga värdet för den tillfälliga katalogen har angetts.',
    'dbbackup__network_temp_dir_wrong_value' => 'Det ogiltiga värdet för den tillfälliga nätverkskatalogen har angetts.',
    'dbbackup__server_backup_not_configured' => 'Databasens säkerhetskopieringsinställningar är inte konfigurerade på servern.',
    'dbbackup__temp_dir' => 'Temporär katalog',
    'dbbackup__temp_dir_hint' => 'Vägen till en fysisk mapp på fjärrservern där MS SQL-servern finns. MS SQL-servern måste kunna få tillgång till denna mapp för att läsa och skriva tillfälliga säkerhetskopierade filer. Till exempel, C:\\DirectoryPath',
    'dbbackup__network_temp_dir_hint' => 'Vägen till nätverksdelningen av mappen till den fysiska mappen som specificeras ovan. Plesk får åtkomst till den delade mappen för nerladdning och uppladdning av säkerhetskopierade filer. Till exempel, \\\\ServerName\\DirectoryPath',
    'dbbackup__network_user_hint' => 'Användarnamnet för en nätverksanvändare som skapats i fjärrservern. Till exempel, ServerName\\UserName. Användaren måste ha tillgång till den delade mappen som anges ovan.',
    'dbbackup__network_password_hint' => 'Nätverkets användarlösenord',

    'dbbackup__success_import_without_dublicate_users' => 'Följande användare importerades inte: %1. De finns redan i databasservern.',

    ///
    /// END OF DATABASE BACKUP
    ///

    ///
    /// LOGS & LOG ROTATION
    ///

    'log_rot__compress' => "Komprimera loggfilerna",
    'log_rot__log_rot_status' => "Loggrotationsstatus",
    'log_rot__log_rot_period' => "Loggroteringsvillkor",
    'log_rot__log_rot_size' => "efter storlek",
    'log_rot__log_rot_time' => "med tid",
    'log_rot__logrotation_enable' => "Slå på loggrotering",
    'log_rot__mail' => "Skicka bearbetade loggfiler till e-post",
    'log_rot__max_number_of_logfiles' => "Maximalt antal loggfiler",
    'log_rot__time_period' => "period",
    'log_rot__unable_turn_off' => 'Kan inte stänga av loggrotationen eftersom den är forcerad på servernivå',
    'log_rot__unable_set_period' => 'Kan inte ställa in loggrotationsperioder som skiljer sig från \'daily\', eftersom de är forcerade på servernivå',
    'log_rot__unable_set_max_log_files' => 'Kan inte ställa in maximalt antal loggfiler över servergränsen %1',

    /// action log
    // common/various
    'actionlog__digit_expected' => "Ett tal förväntas: %1",
    'actionlog__incorrect_rotation' => "Ogiltiga loggroteringsparametrar angivna: %1",
    'actionlog__unknown_rot_period' => "Okänd rotationsperiod: %1",
    'actionlog__unknown_rot_type' => "Okänd uppräkningstyp: %1",
    'actionlog__session_preferences' => 'Sessionsinställningar',
    'actionlog__nis2_delete_prohibited' => 'Att ta bort loggposter är förbjudet på grund av gällande begränsningar från NIS2-direktivet.',
    'actionlog__nis2_forbidden_rot_type' => "Loggrotationstypen \"%1\" kan inte användas på grund av gällande begränsningar från NIS2-direktivet.",
    // items (PFU schema)
    'actionlog__admin_info' => 'Administratörsinformation',
    'actionlog__admin_preferences' => "Administratörsinställningar",
    'actionlog__service' => 'Tjänst',
    'actionlog__ip_addr' => 'IP-adress',
    'actionlog__client' => 'Kund-ID',
    'actionlog__client_status' => 'Kundens kontostatus',
    'actionlog__client_preferences' => "Kundens gränssnittspreferenser",
    'actionlog__client_ip_pool' => "Kundens IP-pool",
    'actionlog__client_siteapp' => "Kundens webbprogrampool",
    'actionlog__client_guid' => "Kund-GUID",
    'actionlog__domain' => 'Standarddomän (den första domänen som lagts till ett abonnemang)',
    'actionlog__domain_owner' => 'Abonnemangets ägare',
    'actionlog__domain_plan' => 'Serviceplan för abonnemanget',
    'actionlog__domain_status' => 'Standarddomän, status',
    'actionlog__domain_dns' => 'Standarddomän, DNS-zon',
    'actionlog__subdomain' => 'Subdomän av en standarddomän',
    'actionlog__domain_alias' => 'Standarddomän, alias',
    'actionlog__domain_alias_dns' => 'Standarddomän, alias DNS-zon',
    'actionlog__site' => 'Domän',
    'actionlog__site_status' => 'Domänstatus',
    'actionlog__site_dns' => 'Domänens DNS-namn',
    'actionlog__site_guid' => 'Domän GUID',
    'actionlog__site_subdomain' => 'Subdomän',
    'actionlog__site_alias' => 'Domänalias',
    'actionlog__site_alias_dns' => 'Domänalias DNS-zon',
    'actionlog__domain_limits' => 'Abonnemangsbegränsningar',
    'actionlog__domain_limit_size' => 'Diskutrymmets gräns för abonnemanget',
    'actionlog__domain_limit_traffic' => 'Trafikgräns för abonnemanget',
    'actionlog__domain_limits_powerUser' => 'Abonnemangsbegränsningar',
    'actionlog__domain_limit_size_powerUser' => 'Diskutrymmets gräns för abonnemanget',
    'actionlog__domain_limit_traffic_powerUser' => 'Trafikgräns för abonnemanget',
    'actionlog__domain_guid' => "Standarddomän, GUID",
    'actionlog__cp_user' => 'Plesk användare',
    'actionlog__mailname' => 'E-postkonto',
    'actionlog__maillist' => 'E-postlista',
    'actionlog__phosting' => 'Värdtjänst-inställningar',
    'actionlog__forwarding' => 'Standard-värdtjänst eller bildvidarebefordran värdtjänst',
    'actionlog__webuser' => 'Webbanvändarkonto',
    'actionlog__site_application' => 'Webbprogram',
    'actionlog__license' => 'Licensnyckel',
    'actionlog__additional_license' => 'Extra licensnyckel',
    'actionlog__template_domain' => "Abonnemangstyp för återförsäljaren",
    'actionlog__template_admin' => "Abonnemangstyp för administratören",
    'actionlog__template_reseller' => 'Återförsäljarplan',
    'actionlog__admin_alias' => 'Extra administratörskonto', // PFW
    'actionlog__ftpuser' => 'Extra FTP-konto', // PFW
    'actionlog__db_server' => 'Databasserver',
    'actionlog__db' => 'Databas',
    'actionlog__db_user' => 'Databasens användarkonto',
    'actionlog__client_sapppkg_pool' => "Användarens webbprogram", // PFW, not used?
    'actionlog__remote_dns' => 'Fjärrstyrd status för DNS-servern', // PFW
    'actionlog__reseller' => 'ÅF-konto',
    'actionlog__reseller_guid' => 'Återförsäljar-GUID',
    'actionlog__reseller_ip_pool' => "Återförsäljarens IP-pool",
    'actionlog__reseller_limit_size' => 'Diskutrymmets gräns för återförsäljarkontot',
    'actionlog__reseller_limit_traffic' => 'Trafikgräns för återförsäljarkontot',
    'actionlog__reseller_limits' => 'Återförsäljarens kontogränser',
    'actionlog__reseller_permissions' => 'Återförsäljartillstånd',
    'actionlog__reseller_preferences' => "Återförsäljarens gränssnittspreferenser",
    'actionlog__reseller_siteapp' => "Webbapplikationer i återförsäljarpoolen",
    'actionlog__reseller_status' => 'Återförsäljarens kontostatus',
    'actionlog__health_status' => 'Serverns hälsotillstånd',
    // actions (PFU schema)
    'actionlog__limit_reached' => 'nådd',
    'actionlog__added' => 'tillagd',
    'actionlog__removed' => 'borttagen',
    'actionlog__change' => 'ändrad',
    'actionlog__update' => 'uppdaterad',
    'actionlog__move' => 'flyttad',
    'actionlog__upgrade' => 'uppgraderat', // PFU?
    'actionlog__update_or_add' => 'uppdaterat eller tillagt',
    'actionlog__expired' => 'avslutad',
    'actionlog__create' => 'skapad',
    'actionlog__delete' => 'borttaget',
    'actionlog__service_stop' => 'stoppad',
    'actionlog__service_restart' => 'omstartad',
    'actionlog__service_start' => 'startad',
    'actionlog__login' => 'inloggad',
    'actionlog__logout' => 'utloggad',
    'actionlog__install' => 'installerad',
    'actionlog__uninstall' => 'avinstallerat',
    'actionlog__reconfigure' => 'omkonfigurerad',
    // events (PFW schema)
    'actionlog__event_pw_reset' => 'Förfrågan om återställning av lösenord',
    'actionlog__event_admin_update' => 'Uppdaterad administrationsinformation',
    'actionlog__event_admin_preferences_update' => "Administratörspreferenser uppdaterade",
    'actionlog__event_service_restart' => 'Tjänsten har startats om',
    'actionlog__event_service_start' => 'Tjänsten har startats',
    'actionlog__event_service_stop' => 'Tjänsten har stoppats',
    'actionlog__event_ip_address_create' => 'IP-adress har skapats',
    'actionlog__event_ip_address_delete' => 'IP-adresstyp har raderats',
    'actionlog__event_ip_address_update' => 'IP-adresstyp har uppdaterats',
    'actionlog__event_client_create' => 'Kundens kontostatus har skapats',
    'actionlog__event_client_delete' => 'Kundens kontostatus har raderats',
    'actionlog__event_client_update' => 'Kundens konto uppdaterat',
    'actionlog__event_client_status_update' => 'Kundens kontostatus uppdaterad',
    'actionlog__event_client_preferences_update' => "Kundens gränssnittspreferenser uppdaterade",
    'actionlog__event_client_siteapp_added' => "Webbapplikation lagd till kundkontots applikationspool",
    'actionlog__event_client_siteapp_removed' => "Webbapplikation borttagen från kundkontots applikationspool",
    'actionlog__event_domain_limit_size_reached' => 'Diskutrymmets gräns för abonnemanget har nåtts',
    'actionlog__event_domain_limit_traffic_reached' => 'Trafikgräns för abonnemanget har nåtts',
    'actionlog__event_domain_limit_size_reached_powerUser' => 'Diskutrymmets gräns för abonnemanget har nåtts',
    'actionlog__event_domain_limit_traffic_reached_powerUser' => 'Trafikgräns för abonnemanget har nåtts',

    'actionlog__domain_limit_database' => 'Databasernas värde för abonnemanget',
    'actionlog__event_domain_limit_mysql_quota_reached' => 'MariaDB/MySQL databasvärde för abonnemanget har nåtts',
    'actionlog__event_domain_limit_mysql_soft_quota_reached' => 'MariaDB/MySQL databas mjukt värde för abonnemanget har nåtts',
    'actionlog__event_domain_limit_mssql_quota_reached' => 'Microsoft SQL serverdatabasvärden för abonnemanget har nåtts',
    'actionlog__event_domain_limit_mssql_soft_quota_reached' => 'Microsoft SQL serverdatabas mjuka värden för abonnemanget har nåtts',
    'actionlog__event_plesk_component_upgrade' => 'Plesk-komponenten har uppdaterats',
    'actionlog__event_plesk_component_install' => 'Plesk-komponenten har installerats',
    'actionlog__event_plesk_component_uninstall' => 'Plesk-komponenten har avinstallerats',
    'actionlog__event_domain_create' => 'Standarddomän (den första domänen som lagts till ett abonnemang) etablerad',
    'actionlog__event_domain_delete' => 'Standarddomän (den första domänen som lagts till ett abonnemang) raderad',
    'actionlog__event_domain_update' => 'Standarddomän (den första domänen som lagts till ett abonnemang) uppdaterad',
    'actionlog__event_domain_owner_change' => 'Abonnemangets ägare har ändrats',
    'actionlog__event_domain_plan_change' => 'Serviceplanen för abonnemanget har ändrats',
    'actionlog__event_domain_status_update' => 'Standarddomän, status uppdaterad',
    'actionlog__event_domain_dns_update' => 'Standarddomän, DNS-zon uppdaterad',
    'actionlog__event_subdomain_create' => 'Subdomän av en standarddomän skapad',
    'actionlog__event_subdomain_delete' => 'Subdomän av en standarddomän borttagen',
    'actionlog__event_subdomain_update' => 'Subdomän av en standarddomän uppdaterad',
    'actionlog__event_domain_alias_create' => 'Standarddomän, alias skapat',
    'actionlog__event_domain_alias_delete' => 'Standarddomän, alias borttaget',
    'actionlog__event_domain_alias_update' => 'Standarddomän, alias uppdaterat',
    'actionlog__event_domain_limits_update' => 'Abonnemang gränser uppdaterade',
    'actionlog__event_cp_user_login' => 'Plesk-användare inloggad',
    'actionlog__event_cp_user_logout' => 'Plesk-användare utloggad',
    'actionlog__event_mailname_create' => 'E-postkonto har skapats',
    'actionlog__event_mailname_delete' => 'E-postkonto har raderats',
    'actionlog__event_mailname_clear' => 'E-postkonto tömt',
    'actionlog__event_mailname_update' => 'E-postkonto har uppdaterats',
    'actionlog__event_maillist_create' => 'E-postlista skapad',
    'actionlog__event_maillist_delete' => 'E-postlista raderad',
    'actionlog__event_maillist_update' => 'E-postlista uppdaterad',
    'actionlog__event_phys_hosting_create' => 'Fysisk värdtjänst skapad',
    'actionlog__event_phys_hosting_delete' => 'Fysisk värdtjänst raderad',
    'actionlog__event_phys_hosting_update' => 'Fysisk värdtjänst uppdaterad',
    'actionlog__event_forwarding_create' => 'Standard-värdtjänst eller bildvidarebefordran skapad',
    'actionlog__event_forwarding_delete' => 'Standard-värdtjänst eller bildvidarebefordran raderad',
    'actionlog__event_forwarding_update' => 'Standard-värdtjänst eller bildvidarebefordran uppdaterad',
    'actionlog__event_webuser_create' => 'Webbanvändarkonto skapat',
    'actionlog__event_webuser_delete' => 'Webbanvändarkonto raderat',
    'actionlog__event_webuser_update' => 'Webbanvändarkonto uppdaterat',
    'actionlog__event_siteapp_install' => 'Webbprogram installerat',
    'actionlog__event_siteapp_reconfigure' => 'Webbprogram återkonfigurerat',
    'actionlog__event_siteapp_uninstall' => 'Webbprogram avinstallerat',
    'actionlog__event_license_update' => 'Licensnyckel har uppdaterats',
    'actionlog__event_admin_alias_create' => 'Extra administratörskonto skapat',
    'actionlog__event_admin_alias_delete' => 'Extra administratörskonto raderat',
    'actionlog__event_admin_alias_update' => 'Extra administratörskonto uppdaterat',
    'actionlog__event_ftpuser_create' => 'Extra FTP-konto har skapats',
    'actionlog__event_ftpuser_update' => 'Extra FTP-konto har uppdaterats',
    'actionlog__event_ftpuser_delete' => 'Extra FTP-konto har raderats',
    'actionlog__event_template_domain_create' => "Abonnemangstyp för återförsäljaren skapad",
    'actionlog__event_template_domain_update' => "Abonnemangstyp för återförsäljaren uppdaterad",
    'actionlog__event_template_domain_delete' => "Abonnemangstyp för återförsäljaren raderad",
    'actionlog__event_template_admin_create' => "Abonnemangstyp för administratören skapad",
    'actionlog__event_template_admin_update' => "Abonnemangstyp för administratören uppdaterad",
    'actionlog__event_template_admin_delete' => "Abonnemangstyp för administratören raderad",
    'actionlog__event_database_server_create' => 'Databasserver skapad',
    'actionlog__event_database_server_update' => 'Databasserver uppdaterad',
    'actionlog__event_database_server_delete' => 'Databasserver borttagen',
    'actionlog__event_remote_dns_status_update' => 'Status på DNS-fjärrservern uppdaterad',
    'actionlog__event_session_preferences_update' => 'Sessionens inställningar uppdaterade',
    'actionlog__event_domain_alias_dns_update' => 'Standarddomän, DNS-zon av domänalias uppdaterad',
    'actionlog__event_domain_move' => 'Standarddomänen flyttades till en ny prenumeration',
    'actionlog__event_site_move' => 'Domän flyttades till en ny prenumeration',
    'actionlog__event_site_subdomain_move' => 'Underdomän flyttades till en ny prenumeration',
    'actionlog__event_subdomain_move' => 'Underdomänen i en standarddomän flyttades till en ny prenumeration',
    'actionlog__event_license_expired' => 'Plesk-licensen har gått ut',
    'actionlog__event_database_create' => 'Databas skapad',
    'actionlog__event_database_delete' => 'Databas borttagen',
    'actionlog__event_database_user_create' => 'Databasens användarkonto skapat',
    'actionlog__event_database_user_update' => 'Databasens användarkontoinställningar uppdaterade',
    'actionlog__event_database_user_delete' => 'Databasens användarkonto borttaget',
    'actionlog__event_client_guid_update' => "Kund-GUID uppdaterad",
    'actionlog__event_domain_guid_update' => 'Standarddomän, GUID uppdaterad',
    'actionlog__event_reseller_create' => 'Återförsäljarkonto skapat',
    'actionlog__event_reseller_delete' => 'Återförsäljarkonto raderat',
    'actionlog__event_reseller_update' => 'Återförsäljarens konto uppdaterat',
    'actionlog__event_reseller_guid_update' => 'Återförsäljarens GUID uppdaterad',
    'actionlog__event_reseller_ip_pool_update' => "Återförsäljarens IP-pool uppdaterad",
    'actionlog__event_reseller_limit_size_reached' => 'Diskutrymmets gräns för återförsäljarkontot har nåtts',
    'actionlog__event_reseller_limit_traffic_reached' => 'Trafikgräns för återförsäljarkontot har nåtts',
    'actionlog__event_reseller_limits_update' => 'Återförsäljarens kontogränser uppdaterade',
    'actionlog__event_reseller_permissions_update' => 'Återförsäljarens behörigheter uppdaterade',
    'actionlog__event_reseller_preferences_update' => "Återförsäljarens gränssnittspreferenser uppdaterade",
    'actionlog__event_reseller_siteapp_added' => "Applikation lagd till återförsäljarkontots applikationspool",
    'actionlog__event_reseller_siteapp_removed' => "Applikation borttagen från återförsäljarkontots applikationspool",
    'actionlog__event_reseller_status_update' => 'Återförsäljarens kontostatus uppdaterad',
    'actionlog__event_template_reseller_create' => 'Återförsäljarplan skapat',
    'actionlog__event_template_reseller_delete' => 'Återförsäljarplan raderad',
    'actionlog__event_template_reseller_update' => 'Återförsäljarplan uppdaterad',
    'actionlog__event_health_status_change' => 'Serverns hälsotillstånd ändrades',
    'actionlog__event_siteapp_upgrade' => 'Webbapp uppgraderad',
    'actionlog__event_extension_install' => 'Ändelsen har installerats',
    'actionlog__event_extension_uninstall' => 'Ändelsen har avinstallerats',
    'actionlog__event_extension_upgrade' => 'Ändelsen har uppgraderats',
    'actionlog__event_extension_status_update' => 'Ändelsens status har uppdaterats',
    'actionlog__event_additional_license_expired' => 'Den extra licensen har löpt ut',
    'actionlog__event_hostname_changed' => 'Serverns värdnamn har ändrats',
    'actionlog__event_smb_user_create' => 'Extra användare skapad',
    'actionlog__event_smb_user_delete' => 'Extra användare raderad',
    'actionlog__event_smb_user_update' => 'Extra användare uppdaterad',
    'actionlog__dns_record' => 'DNS-post',
    'actionlog__dns_zone' => 'DNS-zon',

    // REMOTE SESSION
    'rsession_no_api_rpc_errmsg' => "Plesk API RPC har inte installerats på fjärrvärddatorn. Kontakta din serverleverantör för assistans.",
    'rsession_no_account_errmsg' => "Kan inte få tillgång till fjärrservern med dit tkonto. De flesta skälen är att tjänsten för ditt konto inte har aktiverats ännu. Vänta i ett antal minuter och försök sedan igen. Om du träffar på detta fel igen, kontakta systemadministratören.",
    'rsession_no_domain_errmsg' => "Kan inte få tillgång till fjärrtjänsten för denna domän. Den vanligaste orsaken är att tjänsten för denna domän inte har aktiverats ännu. Vänta i ett antal minuter och försök sedan igen. Om du träffar på detta fel igen, kontakta systemadministratören.",
    'rsession_unknown_errmsg' => "Fjärrservern har avvisat försöket att etablera en session. Kontakta din systemadministratör om du behöver hjälp. Felet var: %1",
    'rsession_unknown2_errmsg' => "Okänt fel medan man försökte upprätta en fjärrsession. Mest troligt svarar inte fjärrservern ordentligt eller svarar inte alls. Be din systemadministratör kontrollera felinformationen i webbserverns fellogg.",
    'rsession_no_connect_errmsg' => "Kan inte få tillgång till fjärrtjänsten: anslutningen till fjärrsessionen misslyckades. Kontakta din systemadministratör om du behöver hjälp.",

    // ANONYMOUS FTP
    'anonftp__allow_upload_incoming' => "Tillåt överföring till inkommande katalog",
    'anonftp__allow_create_dirs' => 'Tillåt skapande av kataloger i den inkommande katalogen',
    'anonftp__allow_download_incoming' => 'Tillåt nedladdning från den inkommande katalogen',
    'anonftp__display_login' => 'Visa inloggningsmeddelande',
    'anonftp__login_text' => 'Meddelandetext',
    'anonftp__limit_incoming_disk_space' => "Begränsa diskutrymmet i den inkommande katalogen",
    'anonftp__limit_maximum_bandwidth' => "Begränsa nerladdningsbandvidden för denna virtuella FTP-domän",
    'anonftp__limit_maximum_connections' => "Begränsa antalet samtidiga anslutningar",
    'anonftp__unable_init' => "Kan inte initialisera ett anonymt FTP-konto: %1",
    'anonftp__unable_set_quota' => "Kan inte ställa in diskutrymmesgräns för inkommande katalog: %1",
    'anonftp__unable_update' => "Kan inte uppdatera ett anonymt FTP-kontos egenskaper: %1",

    ///
    /// SSL/TLS CERTIFICATES
    ///

    // common keys
    '__certificates' => 'SSL/TLS-certifikat', // page title
    // errors
    'class_sslcertificate__ca_not_signs' => "CA-certifikatet matchar inte certifikatet",
    'class_sslcertificate__incompatible_pvt_key_cert' => "Inkompatibelt privat nyckel/certifikat-par.",
    'class_sslcertificate__invalid_cert_format' => "Ogiltigt format på certifikat.",
    'class_sslcertificate__invalid_private_key_format' => "Ogiltig format på den privata nyckeln.",
    'class_sslcertificate__prob_invalid_priv_key' => "Troligen är den privata nyckelns format ogiltigt.",

    ///
    ///END OF SSL/TLS CERTIFICATES
    ///

    ///
    /// ASSORTED COMMON KEYS / TBI
    ///

    // non-UI
    '__no_files_to_upload' => 'Inga filer att överföra.',
    'login_up__access_denied_no_permission' => "Åtkomst nekad.  Du saknar behörighet att hantera värdtjänstinställningarna.",
    'mail__unable_remove_pattern' => "Kan inte ta bort adress från serverns svarta lista: %1", // PFW
    'mail__incorrect_network_format' => 'Felaktigt nätverksformat: %1', // PFW
    'initconf__unable_change_passwd' => "Kan inte ändra administratörens lösenord: %1",
    'initconf__unable_get_passwd' => 'Kan inte få aktuellt administratörslösenord: %1 failed: %2',
    'initconf__invalid_hostname' => 'Fel i värdnamnet "%1"',
    'initconf__unable_reconfig' => 'Kan inte konfigurera Plesk: reconfig misslyckad: %1',
    'initconf__unable_update_admin' => 'Kan inte uppdatera administratörens kontaktinformation: %1',
    '__refresh' => 'Uppdatera',
    '__dalias_not_exist' => 'Domänaliasen finns inte.',
    '__bug146523_explanation' => 'Tidigare versioner av Plesk tilläts använda upp till 16 tecken för FTP-användarnamn. Denna version av Plesk begränsar det maximala antalet tecken som tillåts i FTP-användarnamn till 15. För att lösa detta problem, reducera FTP-användarnamnets längd till 15 tecken för de respektive FTP-användarnamnen och ändra minst ett tecken i dessa FTP-användarnamn, för att undvika problem med användarnamnskrockar. Vi beklagar de störningar denna förändring kan medföra.',
    'domain__cannot_change_webmail' => 'Kan inte ändra webbmail för domänen: %1',
    'sb_publish_disable_warning' => 'Om du stänger av webbplatsskapandet med Presence Builder, kommer webbplatsen som tidigare skapades i Presence Builder att tas bort och alla uppgifter påp webbplatsen kommer att försvinna. Klicka på OK för att fortsätta.',
    '__sbnet_client_use_sbnet' => "Skapa ett motsvarande användarkonto i Presence Builder",
    'mail_resp_activate' => 'Aktivera autosvar',
    'limitsManger__limit_available_error' => 'Kan inte tillldela begärd mängd resurser ("%%limitName%%"): endast %%available%% är tillgänglig fär ditt konto.',
    'limitsManger__limit_reserved_error' => 'Kan inte tilldela mindre resurser ("%%limitName%%") än som redan används.',
    'domain__unable_to_rename_vhost_dir_already_exists' => 'Kan inte byta namn på domänen: en virtuell katalog med det specificerade namnet finns redan.',
    'domain_unable_to_rename' => 'Kan inte byta namn på domänen.',

    // Greylisting
    'spamfilter__general_settings_legend' => 'Allmänt',
    'spamfilter__spamassassin_status_legend' => 'SpamAssassin skräppostfiltrering',
    'spamfilter__spamassassin_settings_legend' => 'SpamAssassin-inställningar',
    'spamfilter__spamassassin_server_status_legend' =>  "Slå på serveromfattande SpamAssassin-skräppostfiltrering",
    'spamfilter__spamassassin_user_status_legend' => 'Slå på SpamAssassin skräppostfiltrering',
    'spamfilter__greylisting_status_legend' => 'Aktivera ett serveromfattande grå lista-skräppostskydd',
    'spamfilter__personal_settings_not_allowed' => 'Användningen av individuella skräppostfiltreringsinställningar tillåts inte av systemets policy.',
    'spamfilter__required_score' => 'Poängen som ett meddelande måste få för att klassas som skräppost',
    'spamfilter__rewrite_header_subject' => 'Lägg till följande text till början av ämnet för varje meddelande som identifierats som skräppost',
    'spamfilter__use_mailuser_prefs' => 'Applicera individuella inställningar på skräppostfiltrering',
    'spamfilter__score_error' => 'Poängen ska inte vara negativ, delen före decimalpunkten måste vara mindre än 100 och den kan omfatta högst två siffror efter decimalpunkten.',
    'spamfilter__rewrite_header_error' => 'Meddelandets ämne kan innehålla alla utskrivbara tecken förutom fyrkant (#).',

    // template conflict keys
    'nonexistent_mail__mode_bounce' => 'Studsa',
    'nonexistent_mail__mode_discard' => 'Släng',
    'nonexistent_mail__mode_catch_addr' => 'Vidarebefordra till e-postadress',
    'nonexistent_mail__mode_catch_ip' => 'Vidarebefordra till IP',
    'nonexistent_mail__bounce_not_supported' => 'Studsläget stöds inte',
    'nonexistent_mail__discard_not_supported' => 'Bortkastningsläget stöds inte',
    'nonexistent_mail__catch_not_supported' => 'Vidarebefordran till e-postadress stöds inte',
    'nonexistent_mail__redirect_not_supported' => 'Vidarebefordran till IP stöds inte',
    'nonexistent_mail__ip_used_on_this_host' => 'IP-adressen kopplar till localhost',
    'nonexistent_mail_address_should_be_local_domain' => 'Eftersom funktionen för kontroll av utgående post är på, måste postadressen %1 för obefintliga mottagare tillhöra vald domän. Om så inte sker, kommer policyn "Avvisa" att tillämpas i stället för vidarebefordran.',
    'nonexistent_mail_address_should_be_local_domain_not_restricted' => 'Eftersom kontrollen för utgående post är på, ska e-postadressen som specificerats för vidarebefordran av e-post (%1) tillhöra den valda domänen. Om den inte gör det, kommer meddelanden som skickas till denna adress inte att ränkas i kontrollen för utgående e-post.',
    // mail acc extras
    '__antivirus' => "AntiVirus",

    // scripting languages errors
    'phosting__aspdotnet_not_enabled' => 'ASP-NET-stödet har stängts av för denna webbplats.',
    'phosting__php_forced_by_site_isolation' => 'Det går inte att ändra PHP-inställningarna: behörighet att åsidosätta den serveromfattande säkerhetsprincipen har inte getts.',
    'phosting__option_forced_by_site_isolation' => 'Det går inte att ändra %1-inställningarna: behörighet att åsidosätta den serveromfattande säkerhetsprincipen har inte getts.',
    'phosting__php_handler_id_not_registered' => 'PHP-hanteraren är inte tillåten i webbplatsens isoleringsinställningar. Standard-PHP-hanteraren kommer att användas.',
    'phosting__php_served_by_nginx_is_not_available' => 'PHP-hanteraren (FPM-applikation som servas av nginx) är inte tillåten i webbplatsens isoleringsinställningar. Standard-PHP-hanteraren kommer att användas.',

    // tooltips

    'b_get_password_cancel' => 'Återgå till föregående skärm utan att skicka e-postmeddelande.',
    'b_get_password_send' => 'Klicka på OK för att skicka ett meddelande om återställning av lösenordet till e-postadressen som registrerats i systemet.',

    'b_back' => 'Gå tillbaka till den föregående sidan.',
    'b_next' => 'Gå till nästa sida.',

    'b_dnsnstemplatelist_remove' => 'Ta bort de valda namnservrarna.',
    'b_dnsnstemplatelist_search' => 'Ange ett sökmönster och klicka för att hitta namnservrar.',
    'b_dnsnstemplatelist_show_all' => 'Visa alla namnservrar.',

    'l_dnsnstemplatelist_ns' => 'Sortera DNS-malluppgifter efter namnserver.',

    // filesharing management tool
    'cu__serverfilesharing_fsLinksAsHttps' => 'Generera säkra länkar till filer och mappar',
    'cu__serverfilesharing_fsPublicFolderEnabled' => 'Aktivera offentliga filer',
    'cu__serverfilesharing_fsPublicFolder' => 'Mapp för lagring av publika filer',
    'cu__serverfilesharing_fsPublicUrl' => 'URL för besöksåtkomst till offentliga filer',
    'cu__serverfilesharing_fsPartnerFolderEnabled' => 'Aktivera lösenordsskydd av publika filer',
    'cu__serverfilesharing_fsPartnerFolder' => 'Mapp för lösenordsskyddad fillagring',
    'cu__serverfilesharing_fsPartnersLogin' => 'Användarnamn för filåtkomst',
    'cu__serverfilesharing_fsPartnersPassword' => 'Lösenord för filåtkomst',
    'cu__serverfilesharing_fsDomain' => 'Webbmapprot-URL Domännamn',
    'cu__serverfilesharing_fsPrefix' => 'Webbmapprot-URL Prefix',
    'cu__serverfilesharing_commandUpdate' => 'Uppdatera fildelningsinställningar',
    'cu__serverfilesharing_commandInfo' => 'Visa aktuella fildelningsinställningar',
    'subscription_rename_is_forbidden' => 'Namnbyte på abonnemang tillåtes inte av den serveromfattande policyn.',
    ///
    /// END OF RANDOM COMMON KEYS
    ///
    ///

    //Additional FTP Accounts
    'ftp__management_domain' => "FTP-konton under domänen %1", // for Additional FTP Accounts
    '__ftp_users_list' => "FTP-konton",
    'ftp__user_name' => "FTP-kontonamnet",
    'ftp__user_home' => "Hemkatalog",
    'ftp__invalid_path' => "En ogiltig sökväg har angetts",
    'i_ftp_ses_sub_user' => 'FTP-kontosession.',
    '__new_passwd' => "Nytt %1 lösenord",

    ////
    //// Errors with custom template of Apache configuration
    ////

    'apacheConfigurationFailedMessageSubject' => 'Kan inte konfigurera en webbserver i värddatorn <%%host%%>',
    'apacheConfigurationFailedMessageBody' => "Kan inte generera webbserverns konfigurationsfil i serverdatorn <%%host%%> på grund av följande fel:\n\n%%error%%\n\nFörsök lösa felen i webbserverns konfigurationsmallar och generera filen igen.",

    'apacheConfigurationMessageAdminTitle' => 'Generering från webbserverkonfiguration misslyckades',
    'apacheConfigurationMessageClientTitle' => 'Varning',

    'apacheConfigurationFailedAdminHomeMessage' => 'Den nya konfigurationsfilen skapades inte på grund av fel i konfigurationsmallarna. Ett detaljerat felmeddelande skickades till din e-post, så kontrollera meddelandet, åtgärda felen och klicka på %1 för att försöka generera konfigurationen igen.',
    'apacheConfigurationFailedAdminHomeMessageLink' => 'här', //used on linked text in apacheConfigurationFailedAdminHomeMessage
    'apacheConfigurationFailedAdminDomainMessage' =>  'Den nya konfigurationen för domän %1 skapades inte på grund av fel i konfigurationsmallarna. Ett detaljerat felmeddelande skickades till din e-post, så kontrollera meddelandet, åtgärda felen och klicka på %2 för att försöka generera konfigurationen igen.',
    'apacheConfigurationFailedAdminDomainMessageLink' => 'här', //used on linked text in apacheConfigurationFailedAdminDomainMessage

    'apacheConfigurationFailedUserDomainMessage' => 'Webbserverkonfigurationen för domänen %1 kan vara inkonsekvent. Kontakta serveradministratören för att lösa detta problem.',

    'apacheConfigurationFailedAdminDomainsMessage' => 'Den nya konfigurationen för en del domäner skapades inte på grund av fel i konfigurationsmallarna. Ett detaljerat felmeddelande skickades till din e-post, så kontrollera meddelandet, åtgärda felen och klicka på %1 för att försöka generera konfigurationen igen.',
    'apacheConfigurationFailedAdminDomainsMessageLink' => 'här', //used on linked text in apacheConfigurationFailedAdminDomainsMessage

    'apacheConfigurationFailedUserDomainsMessage' => 'Webbserverkonfigurationen för vissa av dina domäner kan vara inkonsekvent. Kontakta serveradministratören för att lösa detta problem.',



    ///HOSTING PARAMETERS
    '__apache_errdocs' => "Anpassade feldokument",
    'dom_pref__webusers_script' => "Låt webbanvändare använda skript",
    '__seoRedirect' => 'Konfigurera den prioriterade domänen som',
    '__seoRedirectToLanding' => 'domain.tld',
    '__seoRedirectToWww' => 'www.domain.tld',
    '__seoRedirectNone' => 'Ingen',

    '__sites' => 'Domäner',
    'domain_plan__perm_denied_manage_phosting' => 'Du saknar behörighet att hantera värdtjänstinställningarna.',
    '__owned_by_client' => 'ägs av kunden',
    'backup__restore__object_client_template' => 'Kundmall',
    '__template_name' => 'Namn på servicenplan',
    'template__not_exists' => 'Det finns ingen sådan tjänsteplan',
    'template__exists' => 'En plan med namnet %1 existerar redan.',
    'clientOwnerChanger__ip_not_in_pool' => 'Den specificerade IP-adressen finns inte i återförsäljarens pool.',
    '__owner_name' => 'Ägare av tjänsteplan',

    'chown__error_check' => 'Några problem hittades när du försökte distribuera några av abonnemangen till en ny ägare.',

    '__redirect_hint' => 'Du omdirigeras till den nya adressen om 15 sekunder... Om du inte automatiskt kommer till den nya platsen, aktivera då javascript eller klicka på hyperlänken %%link%%.',

    'backup__restore__object_maillist' => 'E-postlista',
    'backup__restore__object_site' => 'Plats',
    'backup__restore__object_user' => 'Användare',
    'backup__restore__object_role' => 'Roll',

    'limit__name_max_site' => 'platser',

    'iis_pool__unable_rename_client' => "Kan inte byta namn på IIS programpool: %1",

    'anonftp__is_not_supported_for_addon_domains' => 'Den anonyma FTP-tjänsten stöds endast för huvuddomänen i abonnemanget.',
    'anonftp__is_not_supported_for_addon_domains_powerUser' => 'Den anonyma FTP-tjänsten stöds endast för huvuddomänen i abonnemanget.',

    '__gb' => 'GB',
    '__tb' => 'TB',
    '__gb_month' => 'GB/månad',
    '__tb_month' => 'TB/månad',

    '__customer_total' => 'Kundtotal',
    '__site' => 'Plats',
    '__def_site' => 'Standardplats',
    '__subscription_name' => 'Abonnemangsnamn',
    '__subscription_name_powerUser' => 'Abonnemangsnamn',

    'limit__units_max_traffic_suffix' => '/månad',

    'dom_pref__discard' => "Avvisa",

    'mail__pattern_already_exists' => 'Mönster "%1" finns redan på svarta listan.',

    '__not_supported' => 'Stöds inte',

    'plesk_key__sitebuilder' => 'Webbplatser publicerade med Presence Builder',
    'limit__name_max_site_builder' => 'Webbplatser publicerade med Presence Builder',
    'plesk_key__wpb-multi-language-sites-support' => 'Support för webbplatser på flera språk i Presence Builder',

    'login_up__access_denied_no_subscriptions' => "Åtkomst nekad.  Det finns inga abonnemang tillgängliga för detta konto.",

    'interval__day' => '%1 dag(ar)',
    'interval__hour' => '%1 timma(r)',
    'interval__minute' => '%1 minut(er)',
    'interval__second' => '%1 sekund(er)',

    ///License options
    'plesk_key__backward_incompatibility' => 'Du försöker använda en licensnyckel skapad för en annan version av Plesk. Kontakta Plesk säljare för att erhålla en riktig licensnyckel.',
    //Standalone or virtualization
    'virtualization_any' => "Fysisk server eller någon virtualiseringslösning",
    'virtualization_pvc' => "Virtuozzo-behållare",
    'virtualization_vmware' => "VMWare",
    'virtualization_hyperv' => "Microsoft Hyper-V",
    'virtualization_xen' => "Xen",
    'virtualization_kvm' => "KVM",
    'virtualization_parallels_server' => "Virtuozzo-server",
    'plesk_key__virtualization' => "Gäller för följande miljöer:",
    'plesk_key__virtualization_only_key' => 'Licensnyckeln är avsedd endast för användning med Plesk som fungerar i en %1 virtuell miljö.',
    'plesk_key__virtualizations_only_key' => 'Licensnyckeln är avsedd endast för användning med Plesk som fungerar i följande virtuella miljöer: %1.',
    //Language options
    'plesk_key__invalid_locale_signature' => 'Det är förbjudet att använda specialanpassade språkpaket.',
    'plesk_key__allowed-locales' => 'Tillgängliga språk',
    'plesk_key__allowed-locales-any' => 'Alla språk',

    /// Web hosting settings on domain/subdomain

    '__cgi_bin_mode' => 'cgi-bin-katalogen finns i',
    '_cgi_bin_mode_webspace' => 'rotkatalogen för prenumerationen',
    '_cgi_bin_mode_www_root' => 'dokumentroten för denna domän',

    /// Custom buttons
    'custom_button__sort_key' => 'Prioritet',
    'custom_button__place' => 'Plats',
    'custom_button__place_navigation' => 'Vanlig tillgång',
    'custom_button__place_admin' => 'Administratörens startsida',
    'custom_button__place_admin-settings' => 'Administratörssidan Verktyg & inställningar',
    'custom_button__place_reseller' => "Återförsäljarens startsida",
    'custom_button__place_reseller-settings' => 'Sida med återförsäljarens verktyg och hjälpprogram',
    'custom_button__place_client' => 'Kundens startsida',
    'custom_button__place_domain' => "Abonnemangsida för webbplatser och domäner",
    'custom_button__place_domain_powerUser' => "Abonnemangsida för webbplatser och domäner",
    'custom_button__place_domain-properties' => 'Webbplatsverktyg',
    'custom_button__private' => 'Visa endast för mig',
    'custom_button__image' => 'Bakgrundsbild',
    'custom_button__conhelp' => "Knappbeskrivningstext",
    'custom_button__edit' => "Inställningar för en länk till en extra tjänst",
    'custom_button__include_client_cname' => "Inkludera kundens företagsnamn",
    'custom_button__include_client_email' => "Inkludera kundens e-post",
    'custom_button__include_client_id' => "Inkludera kund-ID",
    'custom_button__include_client_pname' => "Inkludera kundens kontaktnamn",
    'custom_button__include_domain_id' => "Inkludera abonnemang ID, domän ID och domänalias ID",
    'custom_button__include_domain_id_powerUser' => "Inkludera abonnemang ID, domän ID och domänalias ID",

    'custom_button__include_domain_name' => "Inkludera primärt domännamn",
    'custom_button__include_ftp_user' => "Inkludera FTP-användarnamn",
    'custom_button__include_ftp_pass' => "Inkludera FTP-lösenord",
    'custom_button__internal_open' => "Öppna URL:en i Plesk",
    'custom_button__text' => "Knappetikett",
    'custom_button__url' => "URL",

    'custom_button__not_image' => 'Filen är inte en bildfil.',
    'custom_button__big_image' => 'Filstorleken ska inte överskrida 100 KB.',
    'custom_button__failed_copy_image' => 'Kan inte kopiera den filen: %1',


    'backup__restore__cannot_restore_non_power_user_dump_in_power_user_mode' => 'Kan inte återställa en icke-Power-User-säkerhetskopia i Power User-vyn.',
    '__unknown_network_interface' => 'Okänt nätverksgränssnitt',

    'init_conf__ip_address' => 'IP-adress',

    //Confirmation page
    'bt_confirm' => 'Bekräfta',
    'b_confirm' => 'Bekräfta ägarskap av dina siter.',

    'performance__iss_app_pool_forced_by_site_isolation' => 'Inställningarna för den dedikerade IIS-programpoolen ställs in enligt denserveromfattande säkerhetspolicyn (webbplatsens isolerinskonfiguration).',
    'performance__iss_app_pool_forced_by_server_wide_settings' => 'Inställningarna för den dedikerade IIS-programpoolen ställs in enligt de serveromfattande prestandainställningarna.',

    '__current' => 'Nuvarande',

    //// New Promos Block

    'promo__you_are_about_to_exceed_license_limit_max_dom' => 'Du har använt nästan alla domäner tillhandahållna genom din Plesk-licens (90 % eller fler).',
    'promo__you_are_about_to_exceed_license_limit_max_dom_title' => 'Du har använt nästan alla domäner.',
    'promo__you_are_about_to_exceed_license_limit_max_site_builder' => 'Du har använt nästan alla Presence Builder-siter tillhandahållna genom din Plesk-licens (90 % eller fler).',
    'promo__you_are_about_to_exceed_license_limit_max_site_builder_title' => 'Du har använt nästan alla Presence Builder-siter.',
    'promo__button_hide' => 'Dölj',
    'promo__button_next' => 'Nästa>>',
    'promo__button_prev' => '<< Föregående',
    'promo__button_license' => 'Uppdatera licens',

    'promo__google_integration_title' => 'Integrering med Google-tjänster',
    'promo__google_integration' => 'Konfigurera integreringen med Google-tjänster som AdSense, Google Apps och webbadministratörsverktyg.',
    'promo__google_integration_button' => 'Anpassa',

    'promo__button_learn_more' => 'Mer information',

    //// Plesk Branding in 10.1
    'panel_branding__description' => 'Du kan anpassa gränssnittsutseende och branding-inställningar genom egna anpassade teman. För instruktioner om att anpassa Plesk-teman, se %1.',
    'panel_branding__description_link' => 'följande dokument',

    ///// File Manager new buttons
    'bt_extract_archive' => 'Extrahera filer',
    'filemanager_error_extracting_files' => 'Det uppstod ett fel vid extrahering av arkivfilerna: %1',
    'filemanager_no_archive_files_specified' => 'Ange vilka filer du vill extrahera.',
    'filemanager_not_zip_archive_specified' => '%1 kan inte extraheras, det är inte ett ZIP-arkiv.',
    'filemanager_files_successfully_extracted' => 'Arkivfilerna har extraherats.',
    'filemanager_error_file_download' => 'Nedladdning av filen misslyckades: %1',
    'filemanager__user_poolgrp' => 'Programpool grupp',

    'loading' => 'Laddar…',
    'bt_create_archive' => 'Lägg till Arkiv',
    'filemanager__pack' => "Sökväg till arkivet: %1",
    'filemanager__archive_name' => 'Arkivera filnamnet',
    'filemanager__empty_filename' => 'Ange arkivets filnamn.',
    'filemanager_archive_created' => 'Arkivet har skapats korrekt.',
    'filemanager_error_creating_archive' => 'Det gick inte att skapa arkivet: %1',

    'cmd_dns__aaaa_dns_record_already_exist' => "AAAA-post står i strid med klisterposten för zonen.",
    'defaultcomponents__ftp_ipv6_hosting_not_supported' => "(FTP-servern stödjer inte IPv6-adresser.)",
    'cmd_dns__glue_dns_record_conflict' => 'Denna post står i strid med klisterposten för zonen \'%1\'.',
    '__ftp_ipv6_not_supported' => "(FTP-servern stödjer inte IPv6-adresser.)",
    '__ipv6_not_supported' => 'IPv6 stöds inte.',
    'mail__ipv6_not_supported' => 'IPv6 stöds inte av e-postservern.',
    'mail__relay_while_list_ipv6_not_supported' => 'IPv6-reläets vitlista stöds inte av e-postservern.',
    'mail__relay_while_list_ipv6_mask_mul_16' => 'Maskvärdet måste vara en multipel av 16.',
    'mail__ip_or_mask_is_invalid' => 'IP-adress eller masken är ogiltig.',
    'nonexistent_mail__redirect_ipv6_not_supported' => 'Vidarebefordran till IPv6 IP-adresser stöds inte.',
    'sa__invalid_trusted_networks' => 'Felaktigt angivna betrodda nätverk: %1',
    'dns_add__enter_ipv6_address' => "IPv6-adress",
    'license_trial_days_left' => 'Din Plesk körs med en testlicens som kommer att löpa ut om %1 dagar.',
    'excl_ipv6_num' => 'Dedikerad IPv6-adress',
    '__ip_mask' => "Subnätmask",
    '__ipv4_addr' => 'IPv4-adress',
    '__ipv6_addr' => 'IPv6-adress',
    'template__num_excl_ipv6s' => 'Allokera dedikerade IPv6-adresser till återförsäljaren',
    'anonftp__exclusive_ipv4_required' => 'En dedikerad IPv4-adress krävs för att ställa in och använda den anonyma FTP-tjänsten.',
    'anonftp__ipv4_already_used' => 'Du kan inte ställa in den anonyma FTP-tjänsten för denna webbplats eftersom den redan har konfigurerats i en annan domän på samma IPv4-adress.',


    'restart__kav' => "Kaspersky Antivirus",
    '__view_migration_log_detailed_info' => 'Visa loggen',

    'chown__error_ip_absent_in_ip_pool' => 'IP-adressen %1 finns inte i IP-poolen för målanvändaren.',
    'chown__error_ip_not_exist' => 'IP-adressen med ID \'%1\' finns inte.',
    'chown__error_domain_ip_not_selected' => 'Åtminstone en IP-adress för domänen %1 ska väljas. Kontrollera värdena som valts för IP-mappning.',

    'mail__ip_or_mask_is_invalid_ipv6' => 'IPv6-adress eller mask är ogiltig: IP-adressen ska vara en giltig unicast-adress.',

    '__subscriptions' => 'Abonnemang',

    '__owned_by_reseller' => 'ägs av återförsäljaren',
    '__owned_by_provider' => 'ägs av leverantören',

    'service_plan__anonymous' => 'Anpassad',
    'subscription_not_locked__change_limits_warning' => 'Abonnemanget är inte låst: gränserna för resursanvändning kommer att ändras under synkroniseringen med tjänsteplanen.',
    'subscription_not_locked__change_permissions_warning' => 'Abonnemanget är inte låst: behörigheterna  kommer att ändras under synkroniseringen med tjänsteplanen.',

    'subscription__conflict_resolution_policy' => 'Konfliktlösningspolicy',
    'subscription__conflict_resolution_policy_lock' => "Lås abonnemang",

    'backup__list__backup_warnings' => 'Varningar',
    'backup__list__backup_info' => 'Information',
    'backup__restore__object_reseller_template' => 'Återförsäljarens mall',
    'backup__restore__object_domain_template' => 'Domänmall',

    'subscription__unable_lock_anonymous' => 'Detta abonnemang är inte bundet till en tjänsteplan och kan därför inte låsas upp.',
    'subscription__unable_sync_anonymous' => 'Detta abonnemang är inte bundet till en tjänsteplan och kan därför inte synkroniseras.',
    'subscription__unable_sync_locked' => 'Detta abonnemang är bundet och kan därför inte synkroniseras.',
    'subscription__locked' => 'Abonnemanget är låst,',
    'component_name__urlrewrite' => "URL-omskrivning",
    '__quantity' => 'Kvantitet',
    'hst__www_root_dir_absent' =>  'Varning: Den specificerade katalogen som en dokumentrot finns inte.',
    'object_creation__domain_is_not_a_webspace' => 'Detta objekt kan skapas bara i en prenumeration.',
    'phosting__webspace_hosting_with_sites_cannot_be_deleted' => 'Prenumerationen innehåller webbplatser och därför kan du inte ändra hostingtyp eller radera den.',
    'phosting__apache_error_docs_are_not_enabled' => 'Anpassade feldokument är inte aktiverade på domänen.',
    'phosting__addon_domain_ip_must_match_webspace' => 'Fel: kunde inte uppdatera IP-adressen. TIlläggsdomäner kan inte tilldelas en IP-adress som inte tilldelats prenumerationens huvuddomän.',
    'domain_plan__unable_change' => 'Kan inte ändra abonnemangplan: %1.',
    'domain_plan__different_hosting_type' => 'Den aktuella typen av värdtjänst skiljer sig från typen som specificeras i serviceplanen.',
    'domain_plan__addon_text' => 'Tilläggsplan',
    'domain_plan__addon_description' => 'Tilläggsplanen används som tillägg till en värdtjänstplan.',
    'asp_net__managed_runtime_version' => 'ASP.NET-hanterad körningsmiljöversion',
    'plan__can_not_change_hosting_type' => 'Det är inte möjligt att ändra värdtjänsttyp när man redigerar en plan.',
    'plan__apply_problems' => 'Planen tillämpades inte på grund av problem med följande funktion: %1',
    'plan_save__subscription_update_problem' => 'Kan inte tillämpa planändringar på %1.',
    '__perm_denied_subscription_suspended_by_backuprestore' => "Abonnemanget är tillfälligt avbrutet tills säkerhetskopieringen eller återställningsprocessen har slutförts. Återkom senare.",
    '__login_incorrect_plain_shadow_password' => 'Du har angett fel lösenord för administratörskontot. Använd systemadministratörens (rot)-inloggningsuppgifter, eller erhåll ett korrekt lösenord. För mer information om att erhålla lösenordet, läs filen /etc/psa/README.psa.shadow.',

    '__perm_denied_ip' => 'Du kan inte skicka en IP-adress du inte äger',

    'dns__dns_zone_not_synchronized' => 'DNS-zonen modifierades. Om du vill tillämpa DNS-mallens ändringar till detta område klicka på knappen \'Tillämpa DNS-malländringar\' på denna sida eller välj alternativet \'Tillämpa ändringarna på alla områden\' på serveradministrationspanelen > Verktyg och inställningar > DNS-mallinställningar > Tillämpa DNS-malländringarna.',
    'dns__dns_zone_synchronize_link' => 'Klicka',
    'dns__dns_zone_synchronize_done' => 'DNS-zonen synkades med framgång.',

    'dns__dns_zone_template_error' => 'Det uppstod problem i synkroniseringen av DNS-zoner med DNS-mall.%1',

    'dns__soa_rname_type_owner' => 'Webbplatsägarens e-postadress',
    'dns__soa_rname_type_domain' => 'Domänens e-postadress',
    'dns__soa_rname_type_external' => 'Extern e-postadress',
    'dns__soa_rname_enforce_email' => 'Förbud att ändra RNAME e-postadressen per domänbas',
    'dns__soa_rname_label' => 'E-post (RNAME)',
    'dns__soa_rname_hint' => 'E-postadress till personen som ansvarar för domänens DNS-zon. Returnerad av DNS-servern som svar på SOA-frågor.',

    'dns__dns_zone_soa_sync_title' => 'Uteslut SOA-inställningarna för alla befintliga domäner',
    'dns__dns_zone_soa_sync_legend' => 'Bekräftelse krävs',
    'dns__dns_zone_soa_sync_text' => 'Uppdatera SOA-poster av alla värddomäner genom att använda de ändringar som gjorts i SOA-mallen?',

    'cu_db__repair_mysql_dbus' => "Reparera MariaDB/MySQL-användarlösenord. Denna åtgärd behövs om du uppgraderat till Plesk 11 från tidigare versioner.",

    'cu_scheduled_backup_comment' => 'Schemalagd säkerhetskopiering',
    'cu_scheduled_backup_error' => 'Ett fel inträffade under säkerhetskopieringen: %1',
    'cu_scheduled_backup_mail_subject' => '<%1> Ett fel inträffade under den schemalagda säkerhetskopieringen.',
    'cu_scheduled_backup_mail_message' => "%1\nPlesk-ingångspunkt: %2\n\nFöljande fel inträffade under den schemalagda säkerhetskopieringen:\n\n%3",

    'cu_scheduled_backup_hourly' => 'Timvis säkerhetskopiering',
    'cu_scheduled_backup_daily' => 'Daglig säkerhetskopiering',
    'cu_scheduled_backup_weekly' => 'Veckovis säkerhetskopiering',
    'cu_scheduled_backup_monthly' => 'Månatlig säkerhetskopiering',
    'cu_scheduled_backup_comment_backup_all' => '%1. All konfiguration och innehåll.',
    'cu_scheduled_backup_comment_backup_vhost' => '%1. All konfiguration och innehåll förutom e-postmeddelanden.',
    'cu_scheduled_backup_comment_backup_mail' => '%1. Endast konfiguration och e-postmeddelanden.',
    'cu_scheduled_backup_comment_backup_mail_file' => '%1. All konfiguration och innehåll föruitom användardatabaser.',
    'cu_scheduled_backup_comment_backup_mail_database' => '%1. All konfiguration och innehåll förutom användarfiler.',
    'cu_scheduled_backup_comment_backup_database' => '%1. Endast konfiguration och användardatabaser.',
    'cu_scheduled_backup_comment_backup_file' => '%1. Endast konfiguration och användarfiler',
    'cu_scheduled_backup_comment_backup_domain' => '%1. Domänkonfiguration.',

    'cu_scheduled_backup_to_cloud_not_allowed' => 'Att lagra schemalagda säkerhetskopior i molnlagring är en premiumfunktion. Kontakta ditt webbhotell för att låsa upp det.',

    'i_backup_invalid_file' => 'Detta är en ogiltig säkerhetskopia. Kan inte hämta data från den här filen. Klicka på säkerhetskopians namn för närmare uppgifter.',

    'filemanager_resulting_archive_exists' => 'Filen %1 finns redan i målkatalogen.',

    'agent_unable_to_connect' => 'Kunde inte ansluta till agenten i  \'%2\'. Vänligen se till att agenten är installerad och igång och att det inte finns anslutningsproblem till värddatorn \'%2\'.',
    'agent_test_connection_failed' => 'Anslutningen till agenten vid "%2" misslyckades.',

    'agent_unable_to_resolve_host' => 'Kan inte autentisera vid fjärrvärddatorn  \'%1\'. Se till att det inte finns några anslutningsproblem till värddatorn.',
    'agent_unknown_curl_error' => 'Felet \'%1\' uppstod under anslutningen till agenten vid \'%2\'.',
    'agent_unexpected_htp_code' => 'Den oväntade HTTP-koden \'%1\' mottogs på HTTP-begäran till agenten vid \'%2\'.',
    'agent_unable_to_auth' => 'Kan inte autentisera vid värddatorn \'%1\'. För att lösa detta problem, var god se instruktionerna på http://kb.plesk.com/116606.',
    'agent_internal_server_error' => 'Ett internt serverfel inträffade under kommandots utförande i fjärrservern \'%1\'.',
    'agent_response_is_empty' => 'Ett tomt svar mottogs på HTTP-begäran till agenten på \'%1\'.',

    'migration__disabled_due_to_local_file_does_not_exist' => 'Kan inte hitta Migration & Transfer Agent i lokal cache. Öppna Migration &Transfer Manager för att åtgärda problemet.',

    '__hosting_webdeploy' => "Web Deploy-publicering",
    'cu_domain__webdeploy' => "Web Deploy-publicering (standard: %1)",
    'cu_dom_tpl__webdeploy' => "Web Deploy-publicering (standard: %1)",
    'cu_subdomain__webdeploy' => "Web Deploy-publicering (standard: %1)",
    'webdeploy__not_installed' => "Microsoft Web Deploy har inte installerats på servern.",
    'webdeploy__forced_by_site_isolation' => "Kan inte förändra Web Deploy-publiceringsinställningarna: Du har inte tillstånd att överträda den serveromfattande säkerhetspolicyn. Kontakta din leverantör för detaljer.",



    'backup__restore_options__admin__server_configuration_license' => 'Licensnyckel',
    'migration_start_migrate_server_license' => 'Överför licensnyckel',

    'defaultcomponents__delegation_rule_not_exist' => '(den nödvändiga delegeringsregeln \'appPoolPipeline, appPoolNetFx\' finns inte)',

    '__o' => 'O',

    'i_backup_created_by_admin' => 'Säkerhetskopian skapades av administratören.',
    'i_backup_created_by_reseller' => 'En säkerhetskopia skapades av en återförsäljare.',
    'i_backup_created_by_client' => 'En säkerhetskopia skapades av en kund.',

    'migration__object_exists_on_target_host' => '(finns redan i målvärddatorn)',

    'cu_cl_pref__manage_website_maintenance' => 'Åtkomst till avancerade funktioner: Webbplatskopiering',
    'cu_cl_pref__manage_protected_dirs' => 'Hantering av lösenordsskyddade kataloger',
    'cu_cl_pref__manage_mail_settings' => 'Förmåga att ändra postinställningar',


    'cu__command_update_php_settings' => 'Uppdaterar PHP-inställningar.',
    'cu__php_settings_option' => 'Anger sökvägen till filen med  PHP-inställningar.',

    'cu__additional_php_settings_option' => 'Anger sökvägen till filen med ytterligare PHP-direktiv.',
    'cu__command_show_php_settings' => 'Visar de aktuella PHP-inställningarna.',
    'cu__general_settings' => 'Allmänna inställningar:',
    'cu__performance_settings' => 'Prestandainställningar:',
    'cu__php_fpm_settings' => 'PHP-FPM-inställningar',
    'cu__additional_directives' => 'Ytterligare direktiv:',

    'php_settings_permission_required' => 'Hantering av gemensamma PHP-inställningar',
    'php_settings_performance_permission_required' => 'Inställningshantering av värdtjänstprestanda',
    'php_settings_customized' => 'PHP-inställningar har anpassats.',
    'php_settings_synchronized_with_plan' => 'PHP-inställningarna måste synkroniseras med planen.',
    'phosting__unknown_shell_type' => 'Otillgängligt skal',

    'login_up__access_denied_subscription_deleted' => 'Åtkomst nekad: ditt abonnemang har tagits bort.',

    'role_restricted_to_subscription' => '(överförs med abonnemanget: %1)',

    'filemanager__extract' => "Extrahera filer till: %1",

    'cu__license_command_check_installed_license' => 'Kontrollera giltigheten av den installerade licensnyckeln (returnerar utgångskoden 0 om nyckeln är giltig och 1 om den är ogiltig)',

    'promo__mobile_manager_title' => 'Plesk Server Mobile Manager',
    'promo__mobile_manager' => "Utöka Plesk-funktioner till att kontrollera och övervaka servern från mobila enheter (BlackBerry, iPhone och Android).",
    'promo__mobile_monitor_title' => 'Plesk Server Mobile Monitor',
    'promo__mobile_monitor' => 'Få den viktigaste informationen om Plesk-servrar när och var som helst från en mobil enhet (BlackBerry, iPhone och Android).',
    'promo__mobile_button' => 'Mer information',

    'subDomainNameHint' => 'Ange * som ett subdomännamn för att skapa en jokerteckensubdomän. Sitebesökare omdirigeras till denna subdomän, oavsett vilket subdomännamn de anger i webbläsaren.',
    'subdomains__wildcard_name_invalid' => "Subdomänens namn är ogiltigt. Du kan endast använda alfanumeriska tecken, ett bindestreck (-), och en asterisk (*) som jokertecken för subdomännamn.",
    'subdomains__name_invalid' => "Subdomänens namn är ogiltigt. Du kan endast använda alfanumeriska tecken och ett bindestreck (-) för subdomännamn.",

    'domain__wildcard_no_www_prefix' => 'Det är inte möjligt att använda www-prefixet för jokertecken-subdomäner.',

    '__service_title__milter' => "Plesk Postfix milter",
    '__service_description__milter' => "Plesk Postfix e-postfilter",
    '__milter' => "Postfix milter",
    'restart__milter' => "Plesk milter (%1)",
    'restart__pop3' => "Courier POP3-server",
    'restart__pop3s' => "Courier POP3-server med SSL/TLS-stöd",
    'restart__imap' => "Courier IMAP-server",
    'restart__imaps' => "Courier IMAP-server med SSL/TLS-stöd",
    'restart__authdaemon' => "Courier IMAP-autentiseringsdaemon",
    'restart__imap-pop3' => "Dovecot IMAP och POP3-server",


    'addon_packages_not_supported' => 'Tilläggsprogram för APS-förpackade webappar stöds inte.',
    'cu_domain__unable_to_automaticaly_select_ip' => 'Kan inte automatiskt tilldela en IP-adress till domänen. Ange en IP-adress med hjälp av tilläggsalternativet -ip.',

    'plesk_key__mb_accounts' => 'Användarkonton (återförsäljare och kunder) i Customer & Business Manager',

    'actionlog__subdomain_dns' => 'Subdomän DNS-zon',
    'actionlog__site_subdomain_dns' => 'DNS-zon av en subdomän under en extra domän',

    // PfW only
    'actionlog__event_site_create' => 'Domän skapad',
    'actionlog__event_site_delete' => 'Domän som raderats',
    'actionlog__event_site_update' => 'Domän uppdaterad',

    'actionlog__event_site_status_update' => 'Domänstatus uppdaterad',
    'actionlog__event_site_dns_update' => 'Domänens DNS-namnzon uppdaterad',
    'actionlog__event_site_guid_update' => 'Domänens GUID uppdaterad',

    'actionlog__event_site_subdomain_create' => 'Subdomän skapad',
    'actionlog__event_site_subdomain_delete' => 'Subdomän borttagen',
    'actionlog__event_site_subdomain_update' => 'Subdomän uppdaterad',

    'actionlog__event_site_alias_create' => 'Domänalias skapat',
    'actionlog__event_site_alias_delete' => 'Domänalias har raderats',
    'actionlog__event_site_alias_update' => 'Domänalias uppdaterat',

    'actionlog__event_site_alias_dns_update' => 'DNS-zon av ett domänalias uppdaterad',
    'actionlog__event_subdomain_dns_update' => 'DNS-zon av en subdomän under standarddomänen uppdaterades',
    'actionlog__event_site_subdomain_dns_update' => 'DNS-zon av en subdomän uppdaterad',
    // End of PfW only

    'win_policy__bad_password' => 'Validering misslyckad. Lösenordet är ogiltigt.',
    'win_policy__password_too_short' => 'Validering misslyckad. Lösenordet uppfyller inte lösenordsprincipen eftersom det är för kort.',
    'win_policy__password_too_long' => 'Validering misslyckad. Lösenordet uppfyller inte lösenordskraven eftersom det är för långt.',
    'win_policy__password_not_complex_enough' => 'Validering misslyckades. Ditt lösenord är inte tillräckligt komplext och möter inte kraven hos lösenordspolicyn. Starka lösenord måste innehålla minst samtliga av följande: åtta tecken; ett versalt eller gement tecken; tre siffror och ett specialtecken (!, @, #, $, %, ^, &, *, ?, _, ~) eller en siffra och två specialtecken.',

    //// Activation Code feature
    'plesk_key__license_update_failed' => 'Kan inte uppdatera produktlicensen.',


    'filemanager__error_path_is_not_allowed' => 'Sökvägen är inte tillåten',
    'filemanager__error_path_is_invalid' => 'Sökvägen är ogiltig',
    'filemanager__error_path_not_found' => 'Sökvägen hittades inte',
    'filemanager__error_path_already_exists' => 'Sökvägen finns redan',
    'filemanager__error_access_is_denied' => 'Åtkomst nekad',
    'filemanager__error_directory_not_empty' => 'Mappen är inte tom',
    'filemanager__error_sharing_violation' => 'Fildelningsfel',
    'filemanager__error_not_same_device' => 'Målsökvägen är inte på samma enhet',
    'filemanager__unable_to_resolve_realpath' => "Det gick inte att hitta filen %1 på angiven plats",
    'filemanager__access_to_realpath_denied' => "Tillgång till realsökvägen nekad: %1 till %2.",
    'bt_exit' => 'Avsluta',

    'filemanager__copy_error__' => "Kan inte kopiera %1 %2: %3",
    'filemanager__copy_move' => "Kopiera (flytta) filer från %1",
    'filemanager__count_size__' => 'Vald storlek: %1',
    'filemanager__count_size_error__' => 'Kan inte beräkna storlek för %1: %2',
    'filemanager__create_dir_error__' => "Kan inte skapa katalog %1: %2",
    'filemanager__dir_not_exists' => "Katalogen %1 finns inte.",
    'filemanager__dirname' => "Katalognamn",
    'filemanager__filename' => "Filnamn",
    'filemanager__is_no_such' => "Det finns ingen fil eller katalog med namn %1",
    'filemanager__empty_selection' => "Ingen/a fil(er) har valts.",
    'filemanager__move_error__' => "Kan inte flytta %1 till %2: %3",
    'filemanager__not_allowed' => "Du har inte tillåtelse att ändra behörigheter för denna fil.",
    'filemanager__remove' => "Ta bort filer från %1",
    'filemanager__remove_error__' => "Kan inte ta bort filen %1: %2",
    'filemanager__set_win_permissions_dir' => "Ställ in behörighet för mapp %1",
    'filemanager__set_win_permissions_file' => "Ställ in behörighet för fil %1",
    'filemanager__touch_confirm' => "Är du säker på att du vill ändra tidsstämpeln för de valda filerna?",
    'filemanager__upload_error__' => "Kunde inte ladda upp %1 till %2: %3",
    'filemanager__upload_file' => "Ladda upp fil",
    'filemanager__upload_file_src' => "Sökväg till fil",
    'filemanager__max_image_size_exceeded' => 'Kan inte visa bilden.  Bildstorleken får inte vara större än %2 bytes',

    '__fastcgi_unix_support' => 'Snabb CGI-support',

    'dns__subdomain_dns_zone_parent' => 'DNS-posterna för denna subdomän är lagrade i föräldra-DNS-zonen. Du kan modifiera föräldrazonen %1 eller skapa en separat zon för subdomänen.',
    'dns__subdomain_dns_zone_parent_link' => 'här',
    'dns__no_dns_zone' => 'Ingen DNS-zon tilldelad med domänen. För att hantera DNS-zonen för din domän, tryck på knappen \' Återställ standardvärden\'.',
    'dns__unable_turn_on_subdomain_zone' => 'Kan inte sätta på underdomänens område, eftersom det finns en CNAME-post för denna underdomän i dess huvuddomäns område.',

    '__hosting_write_modify' => 'Ytterligare behörigheter för att skriva/ändra',

    'aspdotnet__group_framework_version' => "Framework-version",

    'bt_restore_default' => "Ställ in standardvärden",
    'b_autoinstaller' => 'Uppdatera Plesk eller dess komponenter.',
    'b_autoinstaller_configure' => 'Uppdatera inställningar.',
    'b_autoinstaller_install' => 'Installera valda komponenter.',

    '__iis_app_pool__use_dedicated' => 'Dedikerad IIS-programpool',
    '__iis_app_pool__use_dedicated_addons' => 'Dedikerad IIS-programpol för varje webbplats',
    '__iis_app_pool__enable_32bit_app_on_win64' => 'Aktivera 32-bitars applikationer',
    '__iis_app_pool__load_user_profile' => 'Ladda användarprofilen',
    'bt_iis_app_pool' => "IIS-programpool",

    'performance__cpu_usage' => 'Högsta CPU-användning (%)',
    'performance__cpu_usage_action' => 'Åtgärd vid gräns',
    'performance__cpu_usage_interval' => 'Gränsintervall (minuter)',
    'performance__cpu_usage_action_not_supported' => 'Den angivna åtgärden stöds inte av webbservern.',

    'performance__idle_timeout_action_not_supported' => 'Den angivna åtgärden vid tidsgräns för inaktivitet stöds inte av webbservern.',
    'performance__max_worker_processes' => 'Högsta antal arbetsprocesser',
    'performance__idle_timeout' => 'Tidsgräns för inaktivitet (minuter)',
    'performance__idle_timeout_action' => 'Åtgärd vid tidsgräns för inaktivitet',
    'performance__recycling_by_time' => 'Återvinning med regelbundna tidsintervall (minuter)',
    'performance__recycling_by_requests' => 'Återvinning när det maximala antalet förfrågningar är uppnådd.',
    'performance__recycling_by_virtual_memory' => 'Återvinning när maximal mängd virtuellt minne är förbrukad',
    'performance__recycling_by_private_memory' => 'Återvinning när maximal mängd privat minne är förbrukad',
    'performance__managed_pipeline_mode' => 'Förvaltat pipelineläge',
    'performance__managed_pipeline_mode_not_supported' => 'Det angivna läget stöds inte av webbservern.',

    'iis_app_pool' => 'IIS-programpoolhantering',
    'b_iis_app_pool' => 'Hantera IIS-programpoolen.',
    'iis_app_pool_cl_dom' => 'IIS-programpoolhantering',

    'bt_protect' => 'Skydda',
    'bt_unprotect' => 'Ta bort skydd',
    'bt_show_additional_users' => 'Visa flera användare',
    'bt_hide_additional_users' => 'Visa färre användare.',
    'error_doc__code_400' => 'Felaktig begäran',
    'error_doc__code_401' => 'Inte auktoriserad',
    'error_doc__code_401.1' => 'Obehörig - inloggningen misslyckades.',
    'error_doc__code_401.2' => 'Obehörig - inloggningen misslyckades till följd av serverkonfigurationen',
    'error_doc__code_401.3' => 'Obehörig - obehörig till följd av ACL på resurs',
    'error_doc__code_401.4' => 'Obehörig - auktoriseringen misslyckades pga. filter',
    'error_doc__code_401.5' => 'Obehörig - auktoriseringen misslyckades genom ISAPI/CGI-appen',
    'error_doc__code_401.7' => 'Obehörig - nekat till följd av URL-auktoriseringspolicyn',
    'error_doc__code_403' => 'Förbjuden',
    'error_doc__code_403.1' => 'Förbjudet - Åtkomst för utförande nekad',
    'error_doc__code_403.2' => 'Förbjudet - Åtkomst för läsning nekad',
    'error_doc__code_403.3' => 'Förbjudet - Åtkomst för skrivning nekad',
    'error_doc__code_403.4' => 'Förbjudet - SSL krävs',
    'error_doc__code_403.5' => 'Förbjudet - SSL 128 krävs',
    'error_doc__code_403.6' => 'Förbjudet - IP-adress avvisad',
    'error_doc__code_403.7' => 'Förbjudet - Klientcertifikat krävs',
    'error_doc__code_403.8' => 'Förbjudet - Åtkomst till webbplatsen nekad',
    'error_doc__code_403.9' => 'Förbjudet - För många användare',
    'error_doc__code_403.10' => 'Förbjudet - Ogiltig konfiguration',
    'error_doc__code_403.11' => 'Förbjudet - Lösenordsändring',
    'error_doc__code_403.12' => 'Förbjudet - Åtkomst för kartläggaren nekad',
    'error_doc__code_403.13' => 'Förbjudet - Klientcertifikat återkallat',
    'error_doc__code_403.14' => 'Förbjudet - Katalogbläddring nekas.',
    'error_doc__code_403.15' => 'Förbjudet - Kundens åtkomstlicenser har överskridits',
    'error_doc__code_403.16' => 'Förbjudet - Klientcertifikat obetrott eller felformaterat',
    'error_doc__code_403.17' => 'Ej tillåtet - Klientcertifikatet har förfallit eller är ännu inte giltigt',
    'error_doc__code_403.18' => 'Förbjudet - Kan inte utföra begäran från denna programpool',
    'error_doc__code_403.19' => 'Förbjudet - Åtkomst CGI nekad',
    'error_doc__code_403.20' => 'Förbjuden - Passinloggning misslyckades',
    'error_doc__code_404' => 'Hittades inte',
    'error_doc__code_404.2' => 'Kunde inte hittas - nekat till följd av låsningspolicy',
    'error_doc__code_404.3' => 'Kunde inte hittas - Nekat till följd av MIMEMAP-policy',
    'error_doc__code_405' => 'Metoden är inte tillåten',
    'error_doc__code_406' => 'Inte accepterat',
    'error_doc__code_407' => 'Proxy-autentisering krävs',
    'error_doc__code_408' => 'Anrops-timeout',
    'error_doc__code_412' => 'Precondition misslyckades',
    'error_doc__code_414' => 'Begärande-URI var för lång',
    'error_doc__code_415' => 'Medietypen stöds inte',
    'error_doc__code_431' => 'Rubrikfält för anrop för stora',
    'error_doc__code_500' => 'Internt serverfel',
    'error_doc__code_500.12' => 'Internt serverfel - Omstart av programmet',
    'error_doc__code_500.13' => 'Internt serverfel - Servern för upptagen.',
    'error_doc__code_500.15' => 'Internt serverfel - Direkta förfrågningar för GLOBAL.ASA förbjudna',
    'error_doc__code_500.16' => 'Internet serverfel - UNC-åtkomstfel',
    'error_doc__code_500.17' => 'Internt serverfel - URL-auktoriseringsarkiv hittades inte',
    'error_doc__code_500.18' => 'Internt serverfel - URL-auktoriseringsarkiv kan inte öppnas',
    'error_doc__code_500.19' => 'Internt serverfel - felaktig filmetadata',
    'error_doc__code_500.100' => 'Internt serverfel - ASP-fel',
    'error_doc__code_501' => 'Inte implementerad',
    'error_doc__code_502' => 'Felaktig gateway',
    'error_doc__code_503' => 'Tjänsten är inte tillgänglig för närvarande',

    'mimetype_edit__already_exists' => 'MIME-typen är redan definierad för detta tillägg.',
    'mimetype_edit__not_exists' => 'MIME-typen finns inte.',

    'php__group_php_version' => "PHP-version",

    'virtualdir__path' => 'Sökväg',
    'virtualdir__read' => 'Läsbehörighet',
    'virtualdir__read_short' => 'R',
    'virtualdir__write' => 'Skrivbehörighet',
    'virtualdir__write_short' => 'W',
    'virtualdir__source' => 'Script källa åtkomst',
    'virtualdir__source_short' => 'S',
    'virtualdir__browse' => 'Katalogsökning',
    'virtualdir__browse_short' => 'B',
    'virtualdir__script_execute' => 'Köra',
    'virtualdir__script_execute_short' => 'E',
    'virtualdir__log_visits' => 'Åtkomst till loggfil',
    'virtualdir__app_create' => 'Skapa program',
    'virtualdir__app_create_short' => 'A',
    'virtualdir__auth_anon' => 'Byter till anonym autentisering.',
    'virtualdir__auth_windows' => 'Sätter på Windows-autentisering.',
    'virtualdir__auth_not_enabled' => 'Anonym eller Windows-autentisering måste sättas på.',
    'virtualdir__require_ssl' => 'Kräv SSL/TLS',
    'virtualdir__enable_default_doc' => 'Använd standarddokument',
    'virtualdir__default_doc' => 'Sökordning standarddokument',
    'virtualdir__enable_parent_paths' => 'Tillåt föräldrasökvägar att användas',
    'virtualdir__execute_in_mta' => 'Tillåt programmets utförande i MTA-läget (Multi-Threaded Apartment)',
    'virtualdir_create__title' => 'Skapa virtuell katalog i %1',
    'virtualdir_edit__title' => 'Egenskaper för den virtuella katalogen %1',
    'virtualdir_edit__legend' => 'Virtuell katalog',
    'virtualdir_edit__application_legend' => 'Programinställningar',
    'virtualdir_edit__security_legend' => 'Katalogsäkerhet',
    'virtualdir_edit__documents_legend' => 'Dokument',
    'virtualdir_edit__list_legend' => 'Kapslade virtuella kataloger',
    'virtualdir_error__path_not_in__' => 'En ogiltig sökväg har angetts',
    'virtualdir_root' => 'Virtuella kataloger',
    'virtualdir_root__title' => 'Virtuella kataloger',
    'virtualdir_root__list_legend' => 'Virtuella kataloger',
    'virtualdir_se__none' => 'Ingen',
    'virtualdir_se__script' => 'Scripts bara',
    'virtualdir_se__script_execute' => 'Skript och körbara filer',
    'virtualdirs__title' => 'Virtuella kataloger',
    'virtualdirs__path_not_exists' => 'Ogiltig sökväg.',
    'virtualdirs__select_for_remove' => "Markera de virtuella kataloger som ska tas bort.",
    'virtualdirs_remove__title' => 'Ta bort virtuella kataloger',

    'asp_max_buffer_text' => 'Maximal storlek på ASP-bufferten (KB)',
    'asp_max_body_text' => 'Maximal storlek på enhetskroppen för en ASP-förfrågan (kB)',
    'asp_buffers_legend' => 'ASP-inställningar',
    'asp_client_debug_text' => 'Aktivera felsökning av ASP-klientskriptkörning',
    'asp_server_debug_text' => 'Aktivera felsökning av ASP-serverskriptkörning',

    'permissions__group_or_user_name' => 'Grupp- eller användarnamn',
    'permissions__FullControl' => 'Fullständig behörighet',
    'permissions__Modify' => 'Ändra',
    'permissions__ReadAndExecute' => 'Läsa och köra',
    'permissions__ListFolderContents' => 'Visa mappinnehåll',
    'permissions__Read' => 'Läsa',
    'permissions__Write' => 'Skriva',
    'permissions__ReadControl' => 'Läsa behörigheter',
    'permissions__WriteControl' => 'Skrivkontroll',
    'permissions__ExecuteControl' => 'Körkontroll',
    'permissions__TraverseFolderOrExecuteFile' => 'Bläddra mapp/köra fil',
    'permissions__ListFolderOrRead' => 'Lista mapp/läsa data',
    'permissions__CreateFilesOrWrite' => 'Skapa filer/skriva data',
    'permissions__CreateFoldersOrAppend' => 'Skapa mappar/lägga till data',
    'permissions__DeleteSubfoldersandFiles' => 'Ta bort undermappar och filer',
    'permissions__Delete' => 'Ta bort',
    'permissions__ChangePermissions' => 'Ändra behörigheter',
    'permissions__TakeOwnership' => 'Bli ägare',
    'permissions__inherited_from' => 'Ärvs från',
    'permissions__not_inherited' => '<ärvs inte>',
    'permissions__apply_to' => 'Använd för',
    'permissions__apply_onto' => 'Använd för:',
    'permissions__apply_onto1' => 'Endast den här mappen',
    'permissions__apply_onto2' => 'Endast undermappar',
    'permissions__apply_onto3' => 'Den här mappen och undermappar',
    'permissions__apply_onto4' => 'Endast filer',
    'permissions__apply_onto5' => 'Den här mappen och filer',
    'permissions__apply_onto6' => 'Endast undermappar och filer',
    'permissions__apply_onto7' => 'Den här mappen, undermappar och filer',

    'filemanager__not_allowed_dir' => "Det är inte tillåtet att ändra tillstånd för denna mapp.",

    'filemanager__allow' => "Tillåt",
    'filemanager__deny' => "Förneka",
    'filemanager__user_domusr' => 'Webbplatsens administratör',
    'filemanager__user_webusr' => 'Webbanvändare',
    'filemanager__user_admins' => 'Administreraistratörer',
    'filemanager__user_system' => 'SYSTEM',
    'filemanager__user_aspnet' => 'ASP.NET-användare',
    'filemanager__user_poolusr' => 'Programmets poolanvändare',
    'filemanager__user_sysaccount' => 'Ytterligare systemanvändare',

    'bt_permissions_advanced' => 'Avancerat',
    'b_permissions_advanced' => 'Klicka här för att visa och ange särskilda behörigheter.',

    'hotlink-protection_invalid_friend_domain' => 'Ogiltigt namn för vänlig domän.',
    'hotlink-protection_duplicate_friend_domain' => 'Dubblettnamn för vänlig domän.',
    'hotlink-protection_invalid_extensions' => 'Filnamnstillägget innehåller felaktiga tecken.',

    'i_domain_alias_status_on' => 'Domänalias är aktiverat.',
    'i_domain_alias_status_off' => 'Domänalias är inaktiverat.',
    'i_domain_alias_status_with_parent' => 'Domänalias är inaktiverat eftersom domänen är avstängd.',
    'i_domain_alias_turn_off' => 'Klicka för att inaktivera.',
    'i_domain_alias_turn_on' => 'Klicka för att aktivera.',

    'domain_alias__control_title' => 'Domänalias %1',
    'domain_alias__control_info_legend' => 'Info',
    'domain_alias__control_status_title' => 'S',
    'domain_alias__control_name_title' => 'Tjänstnamn',
    'domain_alias__control_details_title' => 'Detaljer',

    'domain_alias__invalid_values' => 'Domännamnet du har specificerat är ogiltigt. Domännamn kan omfatta bokstäver, siffror och bindestreck. Ingen del av domännamnet mellan punkter får överstiga 63 tecken.',
    'domain_alias__domain_already_exists' => "Oriktigt namn på domänalias %1. Domänen %1 finns redan.",
    'domain_alias__www_prefix_domain_already_exists' => "Oriktigt namn på domänaliaset www.%1. Detta alias är redan skapat för domänen %1.",
    'domain_alias__webmail_enabled_domain_already_exists' => 'Oriktigt namn på domänaliaswebbmail.%1. Detta alias är redan skapat för domänen %1.',
    'domain_alias__lists_enabled_domain_already_exists' => 'Oriktigt namn på domänaliaslistorna.%1. Detta alias är redan skapat för domänen %1.',
    'domain_alias__dns_record_already_exists' => 'Kan inte ställa in domänalias %1 eftersom en DNS-post som pekar på värddatorn %1 redan finns.',
    'domain_alias__domain_alias_already_exists' => "En domänalias med ett sådant namn finns redan.",
    'domain_aliases__mail_server_not_support_aliases' => 'E-postservern stödjer inte domänens alias-funktion Domänalias kanske inte fungerar korrekt.',
    'domain_alias__restrict_domain_creation' => 'Det specificerade namnet för ett domänalias är förbjudet av den serveromfattande policyn. Om detta domänaliaset tillhör dig, ta kontakt med din värdtjänstleverantör.',
    'domain_alias__restrict_creation_with_www' => 'Ange domännamnet utan prefixet \'www\'. WWW-prefixet för domänen läggs automatiskt till webbserverns konfiguration.',
    'domain_unable_to_set_name' => 'Felaktigt namn %1.',

    'domain_alias__domain_service_dns_disabled' => 'Denna domän betjänas av en annan DNS-server.',
    'domain_alias__domain_service_dns_enabled_master' => 'Denna DNS-server agerar primär namnserver för denna DNS-zon.',
    'domain_alias__domain_service_dns_enabled_slave' => 'Denna DNS-server agerar som en sekundär namnserver för denna DNS-zon.',
    'domain_alias__domain_service_mail_enabled' => 'Posttjänsten är påsatt för domänen.',
    'domain_alias__domain_service_mail_disabled' => 'Posttjänsten är avstängd för domänen.',
    'domain_alias__domain_service_mail_mx' => '%1 används som postserver.',

    'domain_alias__service_seoRedirect_hint' => 'När besökare öppnar aliasets URL, kommer de omdirigeras till URL:en för den primära domänen. Plesk använder sökmotorvänlig HTTP 301-omdirigering, vilket betyder att sökmotorrankningen inte kommer att delas mellan URL:erna.',

    'bt_task_run_now' => 'Kör nu',
    'ftp__read_perm' => "Läsbehörighet",
    'ftp__write_perm' => "Skrivbehörighet",

    'filemanager__upload_backup_file_hint' => 'Här kan du ladda upp säkerhetskopierade filer till Plesk-lagringen. Maximal filstorlek är begränsad till två gigabyte.',

    '__default_for_mssql' => 'standard för MS SQL',

    '__login_does_not_pass_validation' => "Användarnamnet är ogiltigt. Se till att det uppfyller följande krav: %1",
    '__login_allowed_symbols' => 'Bara alfanumeriska tecken inklusive punkter, streck och understrykningstecken är tillåtna. Det första tecknet ska vara alfanumeriskt.',

    'restart__nginx' => 'Reverse-proxyserver (nginx)',
    'restart__php-fpm' => 'PHP-FPM %1',

    'admin_ed__i_would_like_recieve_announce' => "Jag vill få allmän produktinformation och meddelanden från Plesk.",
    'admin_ed__i_would_like_recieve_tech_announce' => "Jag vill få säkerhetsrelaterad information och andra tekniska meddelanden från Plesk.",

    '__login_status_inactive' => 'Ditt konto är inaktivt. Kontakta Plesk-administratören.',

    'migration__task_keep_in_process' => 'OK',
    'migration__task_keep_in_process_conhelp' => 'Återgå till sidan Verktyg & inställningar. Migreringen fortsätter i bakgrunden.',

    'chk_js__warning_about_ftp_login_syntax' => "Du kan använda alfanumeriska tecken, bindestreck och understreck i användarnamnet.",
    'chk_js__warning_about_passwd_syntax' => "Använd inte citattecken, mellanslag och nationella bokstäver i ett lösenord.\nLösenordets längd bör vara mellan %1 och %2 tecken långt och bör inte innehålla användarnamnet.",
    'chk_js__warning_about_plesk_login_syntax' => "Du kan använda alfanumeriska gemener, punkt, bindestreck och understrykningstecken i användarnamnet.",
    'chk_js__warning_about_admin_passwd_syntax' => "Använd inte citationstecken, mellanslag, semikolon och nationella alfabetstecken i lösenordet.\nLösenordet ska vara mellan %1 och %2 tecken långt, och det ska inte innehålla användarnamnet.",

    'cmd_server__admin_alias_not_found' => "Kan inte hitta det extra administratörskontot.",

    'panel_branding__skins_already_exists' => "Obs: Temat '%1' finns redan. Det ersätts med det tema du nu installerar.",
    'panel_branding__skins_file_exists' => "Kan inte skapa en katalog för temat '%1': en fil med ett sådant namn finns redan.",

    'actionlog__login_failed' => 'lyckades inte logga in',
    'actionlog__event_cp_user_login_failed' => 'Plesk-användare lyckades inte logga in',
    'actionlog__api_login_failed' => 'Lyckades inte logga in genom API',
    'actionlog__event_cp_user_api_login_failed' => 'Plesk-användare lyckades inte logga in genom API',
    'actionlog__pw_reset' => 'begärde återställning av lösenord',
    'actionlog__pw_admin_force_reset' => 'bad om tvingad återställning av adminlösenord',

    'ch_pass_admin__email_subject' => "Plesk-lösenordspåminnelse",
    'ch_pass_admin__email_body' => "Hej, %1.\n\nAdministratörslösenord kan inte skickas via e-post av säkerhetsskäl.\n\nFör att logga in som 'admin', använd kommandot 'plesk login'.\n\nFör att ställa in ett nytt 'admin'-lösenord, använd kommandot 'plesk bin admin --set-password -passwd <new_password>'\n\n",
    'ch_pass_admin__message_send_error' => 'Kan inte skicka e-posten: %1',

    'ch_pass_by_secret__email_subject' => "Plesk-lösenordspåminnelse",
    'ch_pass_by_secret__email_body' => "Hej %2,\n\nFör att skapa ett nytt lösenord, följ länken: %1\n\nDin inloggning: %3",
    'ch_pass_by_secret__message_send_error' => 'Kunde inte skicka den hemliga koden: %1',
    'ch_pass_by_secret__title' => 'Ändra ditt lösenord',
    'ch_pass_by_secret__secret' => 'Hemlig kod',

    'custom_button__noframe' => "Använd inte ramar",

    'custom_button__internal_hint' => 'Ange huruvida URL:en ska öppnas på en Plesk-sida eller i ett nytt webbläsarfönster.',
    'custom_button__noframe_hint' => 'Om du lägger till en anpassad knapp som leder till ett Plesk-tillägg eller en app på Kundpanelen, kan du specificera hur denna ändelse/app ska visas: i en ram eller som en del av Plesk GUI.',


    'actionlog__patch' => 'Uppdatera',
    'actionlog__patch_available' => 'tillgängliga',
    'actionlog__event_patch_available' => 'Uppdatering tillgänglig',
    'actionlog__patch_installed' => 'installerad',
    'actionlog__event_patch_installed' => 'Uppdatering installerad',

    'actionlog__extension' => 'Anknytning',
    'actionlog__extension_status' => 'Ändelsens status',
    'actionlog__cloning' => 'Serverkloning',
    'actionlog__cloning_complete' => 'klar',
    'actionlog__event_cloning_complete' => 'Serverkloning klar',

    'actionlog__ssl_web_binding' => 'SSL/TLS certifikat på domänen',
    'actionlog__ssl_web_binding_update' => 'tilldelad/otilldelad',
    'actionlog__event_ssl_web_binding_update' => 'SSL/TLS-certifikat på domänen tilldelat/otilldelat',

    'actionlog__ssl_web_mail_binding' => 'SSL/TLS-certifikat på webbmail',
    'actionlog__ssl_web_mail_binding_update' => 'tilldelad/otilldelad',
    'actionlog__event_ssl_web_mail_binding_update' => 'SSL/TLS-certifikat på webbmail tilldelat/otilldelat',

    'actionlog__ssl_mail_binding' => 'SSL/TLS-certifikat på e-postservern',
    'actionlog__ssl_mail_binding_update' => 'tilldelad/otilldelad',
    'actionlog__event_ssl_mail_binding_update' => 'SSL/TLS-certifikat på e-postservern tilldelad/otilldelad',

    'actionlog__ssl_panel_binding' => 'SSL/TLS-certifikat på Plesk',
    'actionlog__ssl_panel_binding_update' => 'tilldelad/otilldelad',
    'actionlog__event_ssl_panel_binding_update' => 'SSL/TLS-certifikat på Plesk tilldelat/otilldelat',

    'actionlog__hostname' => 'Serverns värdnamn',
    'actionlog__hostname_changed' => 'ändrad',

    'actionlog__smb_user' => 'Extra användare',
    'actionlog__smb_user_create' => 'Extra användare skapad',
    'actionlog__smb_user_delete' => 'Extra användare raderad',
    'actionlog__smb_user_update' => 'Extra användare uppdaterad',

    'actionlog__event_mail_management_status_update' => 'Statusuppdatering för mail-hantering',
    'actionlog__mail_management' => 'Status för mail-hantering',
    'actionlog__mail_management_status_update' => 'uppdaterad',

    'virtualization_openvz' => 'OpenVZ',

    'passwordSecurityLevelCheckFailed' => 'Lösenordet är inte tillräckligt komplicerat. Enligt serverpolicyn är den minsta lösenordsstyrkan %1. För att förbättra lösenordsstyrkan, använd siffror, versaler och gemener och specialtecken som !,@,#,$,%,^,&,*,?,_,~',
    'passwordSecurityLevelCheckFailedVeryWeak' => 'Mycket svagt',
    'passwordSecurityLevelCheckFailedWeak' => 'Svagt',
    'passwordSecurityLevelCheckFailedMediocre' => 'Medium',
    'passwordSecurityLevelCheckFailedStrong' => 'Stark',
    'passwordSecurityLevelCheckFailedStronger' => 'Mycket starkt',

    'dns__dns_default_ipv4_modified' => 'Poster med denna IP-adress anses som användarmodifierade och synkroniseras inte med serveromfattande DNS-mallar.',
    'dns__dns_default_ipv6_modified' => 'Poster med denna IP-adress anses som användarmodifierade och synkroniseras inte med serveromfattande DNS-mallar.',

    'dns__view_dns_record_master_title' => 'Visa resursposter',
    'dns__view_dns_record_off_title' => 'Visa namnserverposter',
    'dns__view_dns_record_slave_title' => 'Visa primär DNS-server-poster',

    'dns_unable_to_resolve_hostname' => "Det går inte att lösa värdnamnet \"%1\": %2\nKontrollera att driftsystemets DNS-resolver är inställd och fungerar.",

    'no_database_server_available' => 'Det finns inga databasservrar tillgängliga för detta abonnemang.',

    'database_used_by_application_can_not_be_moved' => 'Kan inte flytta databasen: en webbplatsapplikation använder denna databas.',
    'database_user_update_orphaned_is_restricted' => 'Uppdatering av icke-relaterad databasers användarkonton är förbjuden. Du kan endast radera eller reparera dem.',

    'database_unable_to_get_max_filesize_default_message' => 'Kan inte bestämma den maximala filstorleken för databasen: \'%1\'',
    'database_unable_to_set_max_filesize_default_message' => 'Kan inte ställa in maximal filstorlek för databasen: \'%1\'',
    'database_unable_to_get_max_log_filesize_default_message' => 'Kan inte bestämma den maximala loggfilstorlek för databasen: \'%1\'',
    'database_unable_to_set_max_log_filesize_default_message' => 'Kan inte ställa in maximal loggfilstorlek för databasen: \'%1\'',

    'database_unable_to_get_max_filesize' => 'Kan inte bestämma den aktuella gränsen för filstorleken för Microsoft SQL-databas \'%1\'. Det går inte att ställa in en ny gräns.',
    'database_unable_to_set_max_filesize' => 'Kan inte ställa in gränsvärdet för filsstorleken för Microsoft SQL-databas \'%1\'.',
    'database_unable_to_get_max_log_filesize' => 'Kan inte bestämma den aktuella gränsen för loggfilstorleken för Microsoft SQL-databas \'%1\'. Det går inte att ställa in en ny gräns.',
    'database_unable_to_set_max_log_filesize' => 'Kan inte ställa in gränsvärdet för loggfilsstorleken för Microsoft SQL-databas \'%1\'.',

    'database_unable_to_create_because_max_filesize' => 'Kan inte skapa Microsoft SQL-databas \'%1\': dess filstorlek överstiger maximalt tillåten storlek.',
    'database_unable_to_move_because_max_filesize' => 'Kan inte flytta Microsoft SQL-databasen \'%1\': dess filstorlek överstiger maximalt tillåten storlek: %2.',
    'database_unable_to_create_because_max_log_filesize' => 'Kan inte skapa Microsoft SQL-databas \'%1\': dess loggfilstorlek är större än maximalt tillåten storlek.',
    'database_unable_to_move_because_max_log_filesize' => 'Kan inte flytta Microsoft SQL-databasen \'%1\': dess loggfilstorlek är större än maximalt tillåten storlek: %2.',
    'database_unable_to_restore_because_max_filesize' => 'Kan inte återställa Microsoft SQL-databasen \'%1\': dess filstorlek överstiger maximalt tillåten storlek.',

    'sandbox_mssql_server_registered_as_usual_db_server' => 'En identisk MS SQL-server har redan registrerats i Plesk. Specificera en annan MS SQL-server som sandlåda.',
    'database_server__mssql_server_registered_as_sandbox' => 'En identisk sandlåda MS SQL-server har redan registrerats i Plesk. Specificera en annan MS SQL-server som sandlåda.',

    'database_server_mysql_unable_to_connect_via_cli' => 'Kunde ej ansluta till servern via \'%1\': %2',

    'bu_conflict_resolver_feature_not_available' => 'Funktionen %1 stöds inte av följande tjänstenoder: %2. Denna funktion kommer att vara inaktiverad för alla objekt som har skapats i dessa noder.',
    'bu_conflict_resolver_feature_not_available_single_server' => 'Funktionen %1 stöds inte av denna server. Denna funktion kommer att inaktiveras för alla återställda objekt.',
    'bu_conflict_resolver_component_unavailable_in_sites' => 'Komponenten %1 har inte installerats. Den kommer inte att finnas tillgänglig för följande webbplatser:{{objects}}',
    'bu_conflict_resolver_component_replaced_in_sites' => 'Komponenten %1 har inte installerats. Den kommer att ersättas med %2 för följande webbplatser: {{objekt}}',

    'bu_conflict_resolver_restoration_of_object_end_to_dot_not_supported' => 'Aktuell Plesk-version stödjer inte användarnamn med punkt (.) tecken. Kunder och återförsäljare med sådana användarnamn kommer inte att återställas.',
    'bu_conflict_resolver_unable_to_find_backup_part' => 'Kan inte hitta en säkerhetskopia med datan för %1 %2. Datan för %1 %2 kommer inte att återställas.',

    'bu_conflict_resolver_zone_master_removed' => "Kan inte återställa den primära DNS-posten: posten i den sekundära zonen pekar till den befintliga IP-adressen %1. Den primära DNS-posten kommer att tas bort från den sekundära zonen.",
    'bu_conflict_resolver_dns_not_supported_https' => 'Stöd för HTTPS DNS-poster är inaktiverat. HTTPS-poster kommer inte att återställas för följande domäner: {{objects}}',

    'bu_conflict_resolver_not_available_scripting' => '%1 stöds inte.',
    'bu_conflict_resolver_not_available_scripting_in_sites' => '%1 stöds inte. Den kommer inte att finnas tillgänglig för följande webbplatser:{{objects}}',
    'bu_conflict_resolver_not_available_component' => 'Komponenten %1 har inte installerats.',
    'bu_conflict_resolver_disabled_in_multi_server' => 'Den kommer inte att finnas tillgänglig för följande servicenoder: {{objects}}',
    'bu_conflict_resolver_disabled_in_single_server' => 'Den kommer inte att finnas tillgänglig för följande objekt:{{objects}}',
    'bu_conflict_resolver_not_available_db' => 'Följande databasservrar är inte tillgängliga på denna server: %1.',

    'bu_conflict_resolver_smarthost_not_supported' => 'Smarthost-hantering stöds inte. Smarthost-inställningarna kommer inte att återställas.',

    'bu_conflict_resolver_mssql_native_dump_restore_not_available' => 'MS SQL-databasens säkerhetskopierade fil sparas i internt MS SQL-format, vilket kan återställas endast till den lokala MS SQL-servern eller till den fjärrstyrda MS SQL-servern med helt konfigurerade säkeringskopieringsinställningarna. Några av databaserna återställdes inte eftersom det inte finns någon lämplig MS SQL server registrerad i Plesk. Följande domäner påverkades: {{objects}}. Kontakta din värddatorleverantör.',

    'bu_conflict_resolver_not_available_webmail' => 'E-posttjänsten %1 är otillgänglig.  Den kommer att ersättas med %2 för följande objekt: {{objects}}',
    'bu_conflict_resolver_not_available_webmail_plan' => 'E-posttjänsten %1 är otillgänglig. Den kommer att ersättas med %2 för följande Abonnemangstyper: {{objekt}}',
    'bu_conflict_resolver_not_available_rename_db_user' => "Databaser av typen '%1' stödjer inte användarnamn som sammanfaller med databasnamn. Användaren '%2' kommer att byta namn till '%3' för databasen '%4'.",

    'bu_conflict_resolver_wrong_hard_quota_value' => 'Begränsningen av diskutrymmesanvändningen är inte angiven i målserverkonfigurationen. Värdet för denna inställning kommer att ändras till "Obegränsat".',
    'bu_conflict_resolver_wrong_max_connections_value' => 'Begränsningen av antalet anslutningar är inte angiven i målserverkonfigurationen. Värdet för denna inställning kommer att ändras till "Obegränsat".',
    'bu_conflict_resolver_wrong_traffic_bandwidth_value' => 'Begränsningen av trafikanvändning är inte angiven i målserverkonfigurationen. Värdet för denna inställning kommer att ändras till "Obegränsat".',
    'cu__pleskrestore_backup_file_extracted' => 'Säkerhetskopiefilen extraherades till "%1".',
    '__mod_bw_not_supported' => 'Modulen mod_bw för Apache-webbservern stöds inte till följd av filsystemets konfiguration. Gränserna för trafikanvändning och maximalt antal anslutningar kommer inte att fungera.',
    'bu_conflict_resolver_pop3_only_relay_auth_not_supported' => 'POP3-auktorisering för vidarebefordran av e-post stöds inte, POP3 kommer att användas i stället före SMTP-auktoriseringen. ({{objects}})',
    'bu_conflict_resolver_service_plan_name' => 'Abonnemangstyp \'%1\'',
    'bu_conflict_resolver_replaced_in_plans' => '%1 stöds inte. Den kommer att ersättas med %2 för följande Abonnemangstyper: {{objekt}}',
    'bu_conflict_resolver_replaced_in_sites' => '%1 stöds inte. Den kommer att ersättas med %2 för följande webbplatser: {{objekt}}',
    'bu_conflict_resolver_absent_objects_in_dump' => 'Det gick inte att hitta följande objekt i den säkerhetskopierade filen: %1',
    'bu_conflict_resolver_absent_domains' => 'Några objekt kan inte återställas beroende på att de tillhör följande domäner som inte hittas i Plesk: %1',
    'bu_conflict_resolver_absent_parent_domains' => "Några webbplatser kan inte återställas beroende på att de följande överordnade domänen inte hittas i Plesk:\n%1",
    'bu_conflict_resolver_dns_not_supported' => 'Kan inte återställa DNS-zonen: DNS-tjänsten är avstängd i serverkonfigurationen.',
    'bu_conflict_resolver_mail_not_supported' => 'Kan inte återställa e-postlådor: E-posttjänster är avstängd i serverkonfigurationen.',
    'bu_conflict_resolver__cpu_limit_action_not_supported' => 'Den specificerade CPU limit action stödjas inte av IIS webbservern. Värdet kommer att återställas till %1.',
    'bu_conflict_detector_server_ssl_cert_name' => 'server SSL/TLS-certifikat %1',
    'bu_conflict_detector_domain_ssl_cert_name' => 'SSL/TLS-certifikat %2 av domänen %1',
    'bu_conflict_detector_ssl_cert_name' => 'SSL/TLS-certifikat %1',
    'bu_conflict_resolver_absent_objects' => 'Innehållet av följande objekt kan inte återställas beroende på att objekten inte hittas i Plesk: %1',
    'bu_conflict_resolver_absent_objects_mailuser' => 'Innehållet av följande e-postlådor kan inte återställas beroende på att e-postlådorna inte hittas i Plesk: %1',
    'bu_conflict_resolver_absent_objects_maillist' => 'Innehållet av följande e-postlistor kan inte återställas beroende på att e-postlistorna inte hittas i Plesk: %1',
    'bu_conflict_resolver_absent_objects_database' => 'Innehållet av följande objekt kan inte återställas beroende på att objekten inte hittas i Plesk: %1',
    'bu_conflict_resolver__remove_conflicted_aps_app' => 'Återställningen av applikationen "%1" i "%2" misslyckades eftersom en annan applikation redan har installerats på "%3". Du kan ta bort den installerade applikationen och försöka igen.',
    'bu_conflict_resolver_not_available_mail_autoresponders' => 'Inget stöd för postens automatiska svarsfunktion.',
    'bu_conflict_resolver_not_available_mail_content' => 'Inget stöd för e-postens innehållsåterställning.',
    'bu_conflict_resolver_invalid_mail_name' => 'Följande e-postkonton har inte återställs, då underadresser är aktiverade och vissa e-postadresser innehåller tecknet "%1": %2',
    'bu_conflict_resolver_invalid_user_name' => 'Följande användare har inte återställs, då underadresser är aktiverade och vissa e-postadresser innehåller tecknet "%1": %2',
    'bu_conflict_resolver_licenses_expired' => 'Följande licenser har gått ut och kommer inte att återställas: {{objects}}',
    'bu_conflict_resolver_licenses_invalid' => 'Följande licenser är ogiltiga eller har gått ut och kommer inte att återställas: {{objects}}',
    'expiration_unsupported' => "Gränsen 'expiration' stöds inte.",

    'component_name__dbconnector' => "Databasanslutare",
    'component_name__mysqlserver' => 'MariaDB/MySQL-server',
    'component_name__troubleshooting' => 'Felsökning',
    'component_name__savi' => 'Sophos Anti-Virus gränssnitt',

    '__subscription_has_no_license_key' => 'Abonnemangsresurserna tillhandahålls av servicenoden #%1 som inte har någon tillhörande licensnyckel.',
    '__subscription_has_expired_license_key' => 'Abonnemangsresurserna tillhandahålls av servicenoden #%1 vars licensnyckel %2 har upphört att gälla.',

    '__cfgmonConfigurationFileSaveErrorSubject' => '<%%host%%> Kan inte spara konfigurationsfilerna',
    '__cfgmonConfigurationFileSaveErrorBody' => "Kan inte spara vissa konfigurationsfiler i värddatorn <%%host%%>: Följande fel inträffade:\n\n%%errors%%",

    'mail__enable_email_subaddressing_cli_desc' => 'Det här alternativet aktiverar möjlighet att konfigurera e-postadresser för e-postlistor av VERP-typ',
    'mail__enter_right_ip_mask' => "Ange IP-masken mellan 1 och 32",
    'mail__enter_right_ip_mask_24' => "Ange IP-masken mellan 24 och 32",
    'mail__invalid_dom_name' => "Domännamnet %1 är ogiltigt.",
    'mail__invalid_pop_lock_time' => "POP3-låstidpunkt är ogiltig.",
    'mail__invalid_rbl_server' => "DNS-zonnamnet är ogiltigt.",
    'mail__total_files_size' => "Total katalogstorlek: %1",
    'mail__filename_already_in_repository' => "En fil med samma namn finns redan i katalogen",
    'mail__no_white_list_mask_feature_24' => "Du ska använda ett maskvärde på 24 eller högre.\nDin e-postserver stöder inte inställningsmasker. Vi kan bara emulera inställningsmask för värden som inte är mindre än 24.",
    'mail__unable_add_new_mail_name' => "Kunde inte lägga till e-postkontot: %1",
    'mail_server_is_not_installed' => 'E-postservern (Postfix eller Qmail) har inte installerats. Installera den för att kunna fortsätta arbeta.',
    'mail_server_not_available' => 'Det finns inga e-postservrar som stöds tillgängliga i servicenoden.',
    '__not_installed' => '(inte installerad)',
    'mail__service_node_outgoing_messages_is_disabled' => 'Skräppostfiltrering för utgående e-postmeddelanden är inaktiverat.',
    'mail__service_node_does_not_support_outgoing_messages_domain_limit' => 'Tjänstenoden stödjer inte begränsning av antal utgående e-postmeddelanden från en domän för domänen %1.',
    'mail__service_node_does_not_support_outgoing_messages_mbox_limit' => 'Tjänstenoden stödjer inte begränsning av antal utgående e-postmeddelanden från en postlåda för domänen %1.',

    'mail__outgoing_email_mode_explicit_ip_unspecified' => 'Specificera en adress av åtminstone en typ (IPv4 eler IPv6).',

    'mail__outgoing_email_mode_invalid' => 'Ett ogiltig modus för utgående e-postmeddelanden angavs.',
    'mail__outgoing_email_mode_explicit_ip_v4_invalid' => 'En ogiltig IPv4 adress angavs.',
    'mail__outgoing_email_mode_explicit_ip_v6_invalid' => 'En ogiltig IPv6-adress angavs.',
    'mail__outgoing_email_mode_unavailable' => 'Ändringar av läget för utgående epost tillåts inte, antagligen eftersom Postfix-mailservern inte har installerats i denna server.',

    'mail__autoresponder_attachment_not_supported' => 'Den aktuellt använda e-postservern har inget stöd för den extra förvaltningen med automatisk svarsmekanism.',

    'mail__smtp_white_list_not_supported' => 'Den mail-server som nu används stödjer inte vitlistning av IP-adresser.',
    'mail__smtp_whitelist_cidr_not_supported' => 'CIDR-masker stöds inte av den mail-server som nu är vald. Ange IP-adress i formatet "192.*0.*".',
    'mail__smtp_whitelist_mask_not_supported' => 'IP-mönster med jokertecken stöds inte av den mail-server som nu är vald. Ange IP-adress i formatet "192.0.0.0/8".',

    'sfdk_server_wide_verify_failed' => 'Kan inte ändra inställningarna för DKIM kontrolltjänst',

    'sfdk_domain__serverwide_disabled' => 'Avstängd enligt serverns policy',
    'feature__domainkeys__serverwide_disabled' => 'Det serveromfattande DKIM-skräppostskyddet är avstängt',

    'defaultcomponents__error_set_default' => 'Kan inte ställa in %1 som standard %2: %3',
    'defaultcomponents__error_set_default_none' => 'Kan inte ställa in ingen standardkomponent för %1: %2',
    'defaultcomponents__required_package_not_default' => 'Komponenten %1 krävs för dess funktion är inte standard.',

    '__percentage' => '%',
    '__seconds' => 'Sekunder',
    '__resource_remain' => 'Återstående',

    '__not_registered' => '(inte registrerad)',
    '__php_handler_id' => 'PHP-version',
    '__php_handler_id_string' => 'PHP %1 (%2)',
    '__php_handler_not_registered' => 'PHP-hanteraren "%1" är inte registrerad. Den har troligen tagits bort från servern. Registrera en hanterare med samma egenskaper och försök igen.',
    '__php_handler_not_registered_on_domain' => 'Domän "%1": PHP-hanteraren "%2" är inte registrerad. Den har troligen tagits bort från servern. Registrera en hanterare med samma egenskaper och försök igen.',
    '__php_fpm_handler' => 'FPM-program',
    '__php_fpm-dedicated_handler' => 'Dedikerad FPM-applikation',

    'mailname_create_assigned_user_dublicate_error' => 'Kan inte skapa en användare för e-postlådan. Användaren med användarnamn %1 finns redan och har ett annat e-postkonto.',
    'mailname_create_assigned_user_role_absent_error' => 'Kan inte skapa en användare för e-postlådan. Standardrollen %1 för användaren finns inte.',

    'gphd__mime_types' => 'MIME-typer',
    'gphd__handlers' => 'Apache-hanterare',
    'gphd__ip_restrictions_allow' => 'Tillåt åtkomst till webbplatsen för specificerade värddatorer och nätverk (exklusive de som nekas)',
    'gphd__ip_restrictions_deny' => 'Neka åtkomst till webbplatsen för specificerade värddatorerna och nätverken',
    'gphd__directory_index' => 'Index-filer',
    'gphd__nginx_transparent_mode' => 'Det läge där Apache hanterar både statiskt och dynamiskt innehåll, medan nginx bara vidarebefordrar HTTP-förfrågningar och svar utan modifiering.',
    'gphd__nginx_serve_static' => 'Serva statiska filer direkt genom nginx',
    'gphd__nginx_static_extensions' => 'Statiska filtillägg som måste hanteras av: nginx',
    'gphd__nginx_serve_php' => 'Processa PHP-filer av nginx',
    'gphd__www_root' => 'WWW rotkatalog',

    'eol__none' => 'ändra inte',
    'eol__lf' => 'konvertera till Unix-stil',
    'eol__cr' => 'konvertera till MacOS-stil',
    'eol__crlf' => 'konvertera till Windows-stil',

    'ui__dns_bad_zone' => 'inkonsistent zon "%1":',
    'ui__dns_ns_has_no_address_records' => 'NS posten "%1" har ingen adresspost (A eller AAAA).',
    '__dns_bad_zone' => 'inkonsistent zon "%1":',
    '__dns_ns_has_no_address_records' => 'NS posten "%1" har ingen adresspost (A eller AAAA).',
    '__dns_ptr_is_wildcard' => 'PTR posten "%1" är ogiltig: Posten pekar till en joker-domän.',

    'firewall_database_user_remote_access_rule_name' => '[%1][%2] Tillåta fjärråtkomst för databasanvändare \'%3\' hos kunden \'%4\'',
    'firewall_database_user_remote_access_rule_name_removed' => '[%1][%2] %3',
    'firewall_database_user_remote_access_mssql_server_port_undefined' => 'Kan inte tillåta fjärranslutningar för databasanvändare \'%1\': Kan inte fastställa TCP port nummer användt av Microsoft SQL server \'%2\'. De möjliga orsakerna är följande: TCP/IP protokollet är inte aktiverad i server nätverk konfigurationen eller servern är konfigurerad till att använda dynamiska TCP protokoller. Konfigurera servern till att lyssna på en specificerad TCP port och försöka att tillåta fjärranslutningar igen.',

    'command__convertResellerHasCustomer' => 'Återförsäljarkontot  \'%1\' har en eller flera kundkonton. För att omvandla detta återförsäljarkonto till ett kundkonto ska du först överföra dessa kundkonton till en ny ägare eller omvandla dem till återförsäljarkonton.',
    'command__convertResellerNotReseller' => 'Bara återförsäljarkonton kan omvandlas till kundkonton \'%1\' är inte en återförsäljare.',
    'command__convertResellerToCustomerSubscriptionNotSynchronized' => 'Kunde inte synkronisera prenumerationen med serviceplanen. Följande inställningar av prenumerationen står i konflikt med serviceplanen: %%problems%%.',

    'moveCustomer__wrong_customer_type' => 'Kontot \'%1\' är en återförsäljarkonto. Återförsäjarkonton kan inte flyttas till en ny ägare eftersom de ägs av serveradministratören.',
    'moveCustomer__wrong_owner_type' => "Kundkontot  '%1' kan flyttas till en återförsäljare eller admin, inte till en annan kund.",
    'moveCustomer__customer_already_belongs_to_owner' => 'Kundkontot  \'%1\' tillhör redan den markerade ägaren.',
    'upgradeClient__user_is_admin' => 'Kontot \'%1\' kan inte ändras till ett återförsäljarkonto på grund av att det är ett administratörskonto.',

    'mail__error_setting_max_connections_courier' => 'Kan inte ställa in maximalt antal anslutningar (IMAP, POP3, IMAP över SSL/TLS, eller POP3 över SSL/TLS): %1',
    'mail__error_setting_max_connections_dovecot' => 'Kan inte ställa in maximalt antal anslutningar (IMAP, POP3, IMAP över SSL/TLS, eller POP3 över SSL/TLS): %1',
    'mail__error_setting_max_connections_per_ip_courier' => 'Kan inte ställa in maximalt antal anslutningar (IMAP, POP3, IMAP över SSL/TLS, eller POP3 över SSL/TLS) per IP adress: %1',
    'mail__error_setting_max_connections_per_ip_dovecot' => 'Kan inte ställa in maximalt antal anslutningar (IMAP, POP3, IMAP över SSL/TLS, eller POP3 över SSL/TLS) per IP adress för en specifik e-postanvändare: %1',
    'outgoing_messages_limit_value_invalid' => 'Värdet måste vara i området %%MIN%%..%%MAX%%. Bara Plesk administratören kan ändra denna inställningen.',
    'outgoing_messages_server_settings_catch_address_are_not_local' => "Följande domäner använder externa e-postadresser för vidarebefordran av e-post som skickats till adresser som inte finns. Meddelandena som skickas till dessa adresser kommer inte att räknas i kontrollen för utgående post:\n%1",
    'outgoing_messages_white_list_not_empty' => 'Gränserna för utgående post fungerar inte för e-postsändare vars IP-adresser fins på e-postserverns vita lista. Til exempel, om det finns en lokal värddator (127.0.0.0 / 8, ::1 / 128) i den vita listan, skickas alla e-postmeddelanden korrekt från den lokala servern oavsett begränsningarna. E-postsändare kan använda antingen lokala IP-adresser (webbplatser och anpassade script som finns i den lokala värddatorn) eller externa adresser (kunder som skickar e-post från e-postklienter som har installerats i deras datorer eller mobila enheter). För att gränserna ska fungera för alla e-postsändare (både lokala och externa), ta bort alla IP-adresser och nätverk från den vita listan. Observera att om du tar bort den lokala värddatorn (127.0.0.0 / 8, ::1 / 128) från den vita listan, kan åtgärden på webbplatser och script som skickar e-post från denna server avbrytas. För ytterligare detaljer om begränsningarna för utgående e-post, se Administratörsvägledningen, Skydd mot utgående spam.',
    'outgoing_messages_relay_open' => 'Huvudreläet är öppet: gränserna för utgående post fungerar inte.',

    'notification_aps_app_updates_available' => 'Uppdateringar finns tillgängliga för följande program:',
    'notification_aps_app_updates_installed' => 'Uppdateringar blev automatiskt installerade för följande program:',
    'notification_aps_app_updates_requirements' => 'Uppdateringar är tillgängliga för följande program men kan inte installeras beroende på att värdtjänst-inställningar för motsvarande webbplatser inte uppfyller installationskraven:',
    'notification_admin_aps_app_updates_available_item' => '%%name%% (%%url%%). installerat version %%from%%. Tillgänglig version: %%to%%.',
    'notification_admin_aps_app_updates_available_plugin_item' => 'Plugin "%%name%%" på %%parentName%% (%%url%%). installerat version %%from%%. Tillgänglig version: %%to%%.',
    'notification_admin_aps_app_updates_available_theme_item' => 'Tema "%%name%%" på %%parentName%% (%%url%%). installerat version %%from%%. Tillgänglig version: %%to%%.',
    'notification_reseller_aps_app_updates_available_item' => '%%name%% (%%url%%). installerat version %%from%%. Tillgänglig version: %%to%%.',
    'notification_reseller_aps_app_updates_available_plugin_item' => 'Plugin "%%name%%" på %%parentName%% (%%url%%). installerat version %%from%%. Tillgänglig version: %%to%%.',
    'notification_reseller_aps_app_updates_available_theme_item' => 'Tema "%%name%%" på %%parentName%% (%%url%%). installerat version %%from%%. Tillgänglig version: %%to%%.',
    'notification_client_aps_app_updates_available_item' => '%%name%% (%%url%%). Din version: %%from%%. Tillgänglig version: %%to%%.',
    'notification_client_aps_app_updates_available_plugin_item' => 'Plugin "%%name%%" på %%parentName%% (%%url%%). Din version: %%from%%. Tillgänglig version: %%to%%.',
    'notification_client_aps_app_updates_available_theme_item' => 'Tema "%%name%%" på %%parentName%% (%%url%%). Din version: %%from%%. Tillgänglig version: %%to%%.',
    'notification_admin_aps_app_updates_installed_item' => '%%name%% (%%url%%). Ny version: %%to%%. Tidigare version: %%from%%.',
    'notification_reseller_aps_app_updates_installed_item' => '%%name%% (%%url%%). Ny version: %%to%%. Tidigare version: %%from%%.',
    'notification_client_aps_app_updates_installed_item' => '%%name%% (%%url%%). Ny version: %%to%%. Tidigare version: %%from%%.',
    'notification_admin_aps_app_updates_requirements_item' => '%%name%% (%%url%%). installerat version %%from%%. Tillgänglig version: %%to%%.',
    'notification_reseller_aps_app_updates_requirements_item' => '%%name%% (%%url%%). installerat version %%from%%. Tillgänglig version: %%to%%.',
    'notification_client_aps_app_updates_requirements_item' => '%%name%% (%%url%%). Din version: %%from%%. Tillgänglig version: %%to%%.',
    'notification_aps_app_updates_no_installation_url' => 'extern app',

    'notification_outgoing_mail_exceeded_limits_domains' => 'Domäner',
    'notification_outgoing_mail_exceeded_limits_mails' => 'E-postadresser',
    'notification_outgoing_mail_exceeded_limits_subscriptions' => 'Abonnemang',
    'notification_outgoing_mail_exceeded_limits_limit_value' => '%1 meddelanden per timme',
    'notification_outgoing_mail_exceeded_limits_limit_value_unlimited' => 'Obegränsat',
    'notification_outgoing_mail_exceeded_limits_object' => '%1, gränsen är %2',
    'notification_outgoing_mail_exceeded_limits_attempt' => '%1 försök på att överskrida gränser från %2 till %3',
    'notification_outgoing_mail_exceeded_limits_attempt_still_exceeding' => '%1 försök på att överskrida gränser från %2 till nu',

    'restart__docker' => "Docker",
    'restart__fail2ban' => "Bannlysning av IP-adresser (Fail2ban)",

    'backup__restore__capability_fail2ban_not_installed_text' => 'Komponenten Fail2ban har inte installerats på målservern.',
    'backup__restore__capability_fail2ban_not_installed_resolution' => 'Installera Fail2ban. Observera att detta kan ta några minuter.',

    'plesk_key__no_reseller_support' => 'Du kan inte hantera återförsäljare på grund av licensbegränsningar.',
    'plesk_key__no_customers_support' => 'Du kan inte hantera kunder på grund av licensbegränsningar.',
    'panel_interface_uimodes__service_provider_view_not_allowed' => 'Kan inte växla till Internetleverantörens vy på grund av licensbegränsningar.',
    'plesk_key__no_security_core_support' => 'Centrala säkerhetsfunktioner (ModSecurity och Fail2Ban) är inte tillgängliga på grund av licensbegränsningar.',
    'plesk_key__outgoing-antispam' => 'Kontroll för utgående e-post',
    'plesk_key__security-core' => 'Säkerhetskärna (ModSecurity och Fail2Ban)',
    'plesk_key__can-manage-accounts' => 'Kontohantering',
    'plesk_key__can-manage-subscriptions' => 'Hantering av abonnemang',
    'plesk_key__can-manage-customers' => 'Kundhantering',
    'plesk_key__can-manage-resellers' => 'Hantering av återförsäljare',
    'plesk_key__can-manage-custom-view' => 'Begränsat läge tillgängligt',
    'plesk_key__limits_exceeded_no_subscriptions_management' => 'Hantering av abonnemang är stängd av men du har många abonnemang (%1).',
    'plesk_key__limits_exceeded_no_resellers_management' => 'Hantering av återförsäljare är stängd av men du har många återförsäljare (%1).',
    'plesk_key__limits_exceeded_no_customers_management' => 'Kundhanteringen är avstängd men du har många kunder (%1).',
    'plesk_key__limits_unlimited_subscriptions' => 'Vissa abonnemangsresurser som du inte längre kan hantera i Plesks gränssnitt (som begränsningar på inkorgar och domäners diskutrymme) är nu inställda som obegränsade.',
    'plesk_key__no_subscriptions_support' => 'Du kan inte hantera abonnemang på grund av licensbegränsningar.',
    'plesk_key__no_custom_view_support' => 'Du kan inte använda Begränsat läge på grund av licensbegränsningar.',
    'plesk_key__trial_forbidden_region' => 'Tyvärr, är Plesk för närvarande inte tillgängligt i din region.',
    'additional_key__main_key' => 'Nyckeln är en huvudnyckel: Du kan inte ladda upp en huvudnyckel som en tilläggsnyckel.',

    'gch__hosting_waf_rule_engine' => 'Webbprogram brandvägg modus',

    'backup__fieldset__restoration_options' => 'Återställningsalternativ',
    'backup__restore_options__restore' => 'Återställ',
    'backup__restore_options__domain__domain_configuration' => 'Domänkonfiguration',
    'backup__restore_options__domain__virtual_host_content' => 'Den virtuella värdsserverns innehåll',
    'backup__restore_options__domain__mail' => 'E-post',
    'backup__restore_options__domain__databases' => 'Databaser',
    'backup__restore_options__client__client_configuration' => 'Kundkontots konfiguration',
    'backup__restore_options__client__domains' => "Kundens domäner",
    'backup__restore_options__reseller__reseller_configuration' => 'Återförsäljarens kontokonfiguration',
    'backup__restore_options__reseller__personal_domains' => "Återförsäljarens domäner",
    'backup__restore_options__reseller__clients' => "Återförsäljarens kunder",
    'backup__restore_options__admin__server_configuration' => 'Serverinställningar',
    'backup__restore_options__admin__administrator_configuration' => 'Administratörskontots konfiguration',
    'backup__restore_options__admin__personal_domains' => "Administratörs domäner",
    'backup__restore_options__admin__personal_clients' => "Administratörens kunder",
    'backup__restore_options__admin__resellers' => 'Återförsäljare',

    'badge_new' => 'Ny',
    'upgrade_php_on_subscription' => 'Uppgradera PHP i ditt abonnemang till version 5.3.0 eller senare.',

    'pkey_notify__body_expiration_notification' => 'Licensnyckeln har slutat gälla. Vissa funktioner kanske är otillgängliga. Kontakta din värddatorleverantör.',

    'crontab__crontab_entry_exists' => "Den schemalagda aktiviteten finns redan.",
    'crontab__crontab_entry_not_exists' => "Den schemalagda aktiviteten finns inte.",
    'crontab__invalid_values_found' => "Felaktiga parametervärden.",
    'crontab__cmd_max_len' => "Kommandot får inte vara längre än %1 tecken.",

    'domain__domain_exists' => "Det finns en domän med 'www' prefix och samma namn: %1.%2.",
    'domain__subdomain_exists' => "Det finns en underdomän med 'www' prefix och samma namn: %1.%2.",
    'domain__dalias_exists' => "Det finns ett domänalias med 'www' prefix och samma namn: %1.%2.",
    'domain__record_exists' => "Det finns en DNS-post som pekar mot värden %1.%2.",

    'ip_addr__cannot_assign_certificate' => "Certifikatet '%1' kan inte ställas in som standardvärde: den privata koden saknas.",
    'ip_addr__update_dns_error' => 'Problem uppstod under uppdateringen av IP-adressen i DNS-zonerna. %1',
    'ip_addr__cannot_add_dhcp_enabled' => 'Kunde inte reparera IP-adressen. Detta nätverksgränssnitt får IP-adresser automatiskt.',
    'ip_addr__cannot_remove_dhcp_enabled' => 'Kan inte ta bort IP-adress %1. Detta nätverksgränssnitt får IP-adresser automatiskt.',
    'ip_addr__cannot_repair_dhcp_enabled' => 'Kunde inte reparera IP-adress %1. Detta nätverksgränssnitt får IP-adresser automatiskt.',
    'ip_addr__cannot_change_interface_dhcp_enabled' => 'Kan inte ändra gränssnittet för IP-adressen %1 eftersom nätverksgränssnittet %2 får IP-adresser automatiskt.',

    'shm_lmsg__limit_for_resource_exceeded' => 'Abonnemangets gräns på antalet %%type%% har överskridits. Gränsen är %%limit%%, och %%usage%% används för närvarande.',
    'shm_lmsg__resource_is_forbidden_for_creation' => 'Skapandet av %%type%% är inte tillåtet för detta abonnemang.',
    'shm_lmsg__resource_title__db-mysql' => 'MariaDB/MySQL-databaser',
    'shm_lmsg__resource_title__db-mssql' => 'MS SQL-databaser',
    'shm_lmsg__resource_title__db-postgresql' => 'PostgreSQL-databaser',
    'shm_lmsg__resource_title__db-user' => 'databasanvändare',
    'shm_lmsg__resource_title__iis-application-pool' => 'IIS-programpooler',
    'shm_lmsg__resource_title__additional-ftp-account' => 'Extra FTP-konton',

    'db_user_unable_remove_mysql_global_privileges' => 'Kan inte ta bort MariaDB/MySQL globala privilegier från databasanvändare %1. Skäl: %2',
    'report__client_description' => 'Beskrivning',

    'db__user_role_error' => 'Felaktig databas för användarens roll har specificerats: %1. Välj en av följande roller: %2.',

    'subscription_unable_to_set_max_filesize_warning' => 'Kan inte ställa in filens storleksgräns följande Microsoft SQL serverdatabaser eftersom det finns en större filsstorlek: %1.',
    'subscription_unable_to_set_max_log_filesize_warning' => 'Kan inte ställa in loggfilens storleksgräns följande Microsoft SQL serverdatabaser eftersom det finns en större loggfilsstorlek: %1.',
    'ipaddress__cannot_set_up_public_ip_need_ipaddress' => 'Kan inte ställa in en offentlig IP-adress: det måste finnas en privat adress.',
    'ipaddress__cannot_set_up_public_ip_need_ipv6' => 'Kan inte ställa in en offentlig IPv4-adress för IPv6-adressen.',
    'ipaddress__cannot_set_up_public_ip_need_ipv4' => 'Kan inte ställa in en offentlig IPv6-adress för IPv4-adressen.',
    'ipaddress__cannot_set_up_public_ip_invalid' => 'Kan inte ställa in en offentlig IP-adress: ogiltig IP-adress.',

    '__user_already_exists' => "Användare %1 finns redan.",
    '__user_name_is_empty' => "Ange ett användarnamn.",

    'upgrade_php_on_domain' => 'Kan inte hitta PHP-version 5.3.0 eller senare på någon av WordPress-domänerna. Försök att uppgradera PHP.',

    'component_name__waf' => 'Webbprogram brandvägg',
    'component_name__vcs' => 'Versionens kontrollsystem',

    'virtualization_lxc' => 'LXC',
    'virtualization_docker' => 'Docker',
    'possibleSpoofingDetected' => 'Ett möjligt försök till spoofing har detekterats: länken försökte visa irrelevant innehåll.',
    'forceResetPasswordUpdated' => 'Ditt lösenord har ändrats. Använd det nya lösenordet för att logga in på Plesk.',

    'php_handlers_error_no_available_instance' => 'Kan inte skapa en domän: det finns inga tillgängliga PHP-hanterare.',
    'domain_error_unable_to_apply_hosting_settings' => 'Kan inte tillämpa värdtjänstinställningarna: %1',

    'plesk_not_configured' => 'Plesk är inte konfigurerad. Gå till kontrollpanelen för att utföra konfigurationen av efterinstallationen.',
    'cmd_mail__mail_password_duplicated' => 'Det specificerade paret med e-postadress och lösenord finns redan på e-postservern. Specificera en annan e-postadress eller lösenord.',

    'extensionRequirementOs' => 'Operativsystemet (%1) stöds inte av paketet.',
    'extensionRequirementPleskMinVersion' => 'Plesk %1 är den tidigaste versionen som stöds av paketet.',
    'extensionRequirementPleskMaxVersion' => 'Versioner från och Plesk %1 stöds inte av paketet.',
    'extensionBlacklisted' => 'Ändelsen %1 är inte tillåten för installation.',
    'extensionDisabled' => 'Ändelsen är inaktiverad.',


    'optimization_settings__unable_set_mpm_event' => 'Det går inte att ställa in mpm_event-läge: det kräver att Apache PHP5-modulen är avstängd men denna modul används av domäner.',
    'optimization_settings__unable_turn_off_php' => 'Det går inte att stänga av Apache PHP5-modulen: den används av domäner.',

    'hst_def__fp_admin_login' =>  'FTP-användarnamn',
    'hst_def__fp_admin_passwd' =>  'FTP lösenord',

    'database_user_orphaned_old_password_wrong' => "Kan inte reparera en ensam användare \\’%1\\’: lösenordet är felaktigt.",
    'cannot_load_partner_central_property_key_no_exist' => "Kan inte hämta anpassade egenskaper: licensnyckeln finns inte.",
    'extensionScriptFailure' => "Utförandet av %1 misslyckades med följande meddelande:\n%3",
    '__ssl_redirect' => "Permanent SEO-säker 301 omdirigerad från HTTP till HTTPS",
    'component_name__dotnetcore' => '.NET kärna',
    'mail__dkim_not_supported' => 'DKIM-hantering stöds inte.',
    'mail__dmarc_not_supported' => 'DMARC-hantering stöds inte.',
    'mail__relay_white_list_not_supported' => 'Koppling till vitlistehanteringen stöds inte.',
    'mail__black_list_not_supported' => 'Svartlistehantering stöds inte.',
    'mail__autoresponder_not_supported' => 'Den automatiska svarshanteringen stöds inte.',
    'defaultcomponents__not_supported_version' => '(Versionen stöds inte)',
    'component_name__nodejs' => 'Node.js',

    'certificate__not_found' => 'Det gick inte att hitta certifikatet \'%1\'',
    'certificate__unable_setup_certificate' => 'Det gick inte att installera certifikatet: Den privata nyckeln och certifikatsinnehållet saknas.',
    'certificate__used_by_panel' => 'Ett av certifikaten du är på väg att ta bort används för att säkra Plesk.',
    'certificate__used_by_mail_server' => 'Ett av certifikaten du är på väg att ta bort används för att säkra postservern.',
    'certificate__used_by_domain_service' => 'Ett av certifikaten du är på väg att ta bort används av domäntjänsten.',
    'mail_server__not_installed' => 'Kan inte installera certifikatet för postservern eftersom postservern inte har installerats',

    'email_activation_mail_subject' => 'Aktivera ditt konto i Plesk',
    'email_activation_mail_body' => "Ett konto skapades på Pleskserver %1 \n\nKontouppgifter: \nNamn: %2 \nE-postadress: %3 \n\nOm denna information är korrekt och kontot har skapats för dig, aktivera det med följande länk: \n\n%4 \n\nGenom att aktivera kontot tillåter du serverinnehavaren att samla in, lagra, behandla och använda dina personuppgifter (namn och e-post) för att skapa och stödja ditt konto i enlighet med gällande lagar om skydd av personuppgifter som en del av ett kontrakt.",

    'backup_transport_permission_name' => '%1 hantering',
    'backup_transport_permission_description' => 'Gör att man kan använda %1 för att lagra säkerhetskopior.',

    'domain_move_err_target_no_hosting' => 'Det gick inte att flytta domänen till en prenumeration utan hosting.',
    'domain_move_err_already_in_target' => 'Domänen hör redan till målabonnemanget.',
    'domain_move_err_main_domain' => 'Huvuddomänen kan inte flyttas.',
    'domain_move_err_subdomain_without_parent' => 'Det går inte att flytta underdomänen %1 utan huvuddomänen %2.',
    'domain_move_err_root_exists' => 'Målvägen för www_root %1 finns redan.',
    'domain_move_err_nested_roots' => 'Det går inte att flytta domänen eftersom den delar dokumentroten med en annan domän: %1.',
    'domain_move_err_no_mail_service' => 'Kunde inte ta bort domänen eftersom posttjänsten inte är aktiv i målprenumerationen.',
    'domain_move_err_app' => "Programmet som är installerat i %1 flyttades inte till prenumerationen '%2\\’: %3",
    'domain_move_database_used_by_app' => "Databasen '%1' på %2 används av den flyttade applikationen. För att omfördela databasen för '%3', kör `plesk bin-databas --tilldela till prenumerationen`",
    'domain_move_target_locked' => "Målabonnemanget '%1' var låst för synkronisering.",
    'domain_move_filesharing_disabled' => 'Fildelning har inaktiverats.',
    'domain_move_website_preview_disabled' => 'Webbplatsens förhandsgranskning var inaktiverad.',
    'domain_move_additional_webserver_settings' => "Granska domänens ytterligare webbserverdirektiv för att förhindra en felaktig konfiguration.",
    'domain_move_no_permission' => "%1 tillåts inte för prenumerationen '%2'.",
    'domain_move_no_access' => "Ingen åtkomst till prenumerationen '%1'.",
    'domain_split_no_create_permission' => "Domänskapande är inte tillåtet.",
    'domain_split_empty_login' => 'Systemanvändarinloggning krävs.',
    'domain_split_empty_password' => 'Systemanvändarlösenordet krävs.',
    'domain_split_err_home_exists' => 'Domänen %1 kan inte flyttas eftersom målhemsidans sökväg redan finns i %2. Byt namn på domänen för att flytta den till en ny prenumeration.',
    'domain_split_err_no_hosting_subdomains' => 'Domänen kan inte flyttas till en ny prenumeration eftersom domänen inte är värdbefogenheter utan underdomäner. För att flytta domänen, ändra värdet "Typ av värddator" till "Webbhotell" (i värddatorinställningarna).',
    'domain_split_target_locked' => "Målabonnemanget '%1' är låst för synkronisering.",
    'domain_split_target_unsynced' => "Målprenumerationen '%1' synkroniserades inte med planen på grund av: %2.",
    'domain_merge_scheduled_backup_deactivated' => "Schemalagd säkerhetskopiering inaktiverades den '%1'.",
    'domain_merge_database_error' => "Databasen '%1' i %2 flyttades inte till prenumerationen '%3': %4",
    'domain_merge_anon_ftp_deactivated' => "Anonym FTP på '%1' stängdes av.",
    'domain_merge_smb_user_access' => "Den ytterligare användaren '%1' flyttades till prenumerationen '%2' men hans tillgång till prenumerationen drogs in.",
    'domain_merge_scheduled_tasks' => "Schemalagda uppgifter flyttades till målprenumerationen. Granska uppgiftskonfigurationen",
    'domain_merge_scheduled_tasks_deactivated' => "Schemalagda uppgifter flyttades till målprenumerationen och inaktiverades. Granska uppgiftskonfigurationen",
    'domain_merge_no_remove_permission' => "Det går inte att ta bort prenumerationer.",
    'domain_merge_err_has_addons' => 'Kan inte flytta huvuddomänen med extradomäner; flytta först %1 domän(er).',
    'domain_merge_err_has_webusers' => 'Kan inte flytta huvuddomänen med dess webbanvändare.',
    'domain_merge_err_root_exists' => 'Målsökvägen %1 finns redan.',

    'database_server_edit_used_for_psa' => 'Uppdatering av lokal MariaDB/MySQL-databasserver är inte tillåtet.',
    'suggest_repair_main_suggestion_ui' => '<b>Du kan åtgärda felet</b> med verktyget `plesk repair`.',
    'suggest_repair_main_suggestion_cli' =>  'Du kan åtgärda felet med verktyget `plesk repair`.',
    'suggest_repair_repair_kit_link_title' => 'gå till Diagnos & Reparation',
    'suggest_repair_using_cli_and_ui' => 'För att göra det anger du antingen kommandot `plesk repair %1` via CLI eller %2 klickar på Reparera intill “Pleskdatabas”',
    'suggest_repair_using_cli' => 'För att göra det anger du kommandot `plesk repair %1` via CLI',

    'backup__restore__capability_duplicate_php_handler_resolution' => '',
    'bu_conflict_resolver_dns_not_available' => 'DNS-tjänsten var inte tillgänglig när säkerhetskopian skapades. Det finns dock aktiva DNS-zoner i säkerhetkopian som kommer att aktiveras för följande objekt: {{objects}}',
    'plesk_key__system-resources-limits-enabled' => 'Resurskontrollenhet (Cgroups)',
    'plesk_key__remote-smartermail-enabled' => 'Stöd för fjärrstyrd SmarterMail',
    'plesk_key__complete-backup-solution' => 'Backup to Cloud Pro',
    'defaultcomponents__no_license' => '(inte tillåtet enligt licensnyckeln)',
    'plesk_key__validation_failed' => '%1 (Felkod: %2)',
    'promo__button_details' => 'Detaljer',
    'promo__extension_catalog_title' => 'Tilläggskatalog',
    'promo__extension_catalog_description' => 'Kolla in den nya tilläggskatalogen och superladda din Plesk med ett antal kraftfulla tillägg!',
    'promo__button_open_catalog' => 'Öppna katalogen',

    'backup__repository_check_login' => "Det gick inte att få åtkomst till lagringsutrymmet: %1 Kontrollera så att du har angett korrekt uppgifter.",
    'backup__repository_check_error_list' => "Det gick inte att få åtkomst till lagringsutrymmet: %1 Kontrollera så att du har korrekt inställningar.",
    'backup__repository_check_error_mkdir' => "Det gick inte att skapa katalogen: %1 Kontrollera så att du har rättigheter att skapa mappar i lagringsutrymmet.",
    'backup__repository_check_error_upload' => "Det gick inte att ladda upp filen: %1 Kontrollera så att du har rättigheter att ladda upp filer till lagringsutrymmet.",
    'backup__repository_check_error_download' => "Det gick inte att ladda ner filen från lagringen: %1 Kontrollera så att du har rättigheter att ladda upp och ner filer från lagringsutrymmet.",
    'backup__repository_check_error_resume-upload' => "Det gick inte att återuppta uppladdningen av filen: %1 Kontrollera så att du har rättigheter att återuppta uppladdningar.",
    'backup__repository_check_error_resume-download' => "Det gick inte att återuppta nedladdningen av filen: %1 Kontrollera så att du har rättigheter att återuppta nedladdningar.",
    'backup__repository_check_error_enable-utf8' => "Det gick inte att hantera lagringsutrymmet: %1 Kontrollera så att lagringen har stöd för UTF8-kodning.",
    'backup__repository_check_error_rm' => "Det gick inte att hantera lagringsutrymmet: %1 Kontrollera så att du har rättigheter att radera filer från lagringsutrymmet.",
    'backup__repository_check_error_rmdir' => "Det gick inte att hantera lagringsutrymmet: %1 Kontrollera så att du har rättigheter att radera mappar från lagringsutrymmet.",

    'backup__ftp_repository_check_login' => "%1 Du kan kontrollera dem oberoende med följande kommando: %2",
    'backup__ftp_repository_check_error_list' => "%1 Du kan kontrollera dem oberoende med följande kommando: %2",
    'backup__ftp_repository_check_error_mkdir' => "%1 Du kan kontrollera det oberoende med följande kommando: %2",
    'backup__ftp_repository_check_error_upload' => "%1 Du kan kontrollera det oberoende med följande kommandon: %2 %3",
    'backup__ftp_repository_check_error_download' => "%1 Du kan kontrollera det oberoende med följande kommandon: %2 %3",
    'backup__ftp_repository_check_error_resume-upload' => "%1 Du kan kontrollera det oberoende med följande kommandon: %2 %3 %4",
    'backup__ftp_repository_check_error_resume-download' => "%1 Du kan kontrollera det oberoende med följande kommandon: %2 %3",
    'backup__ftp_repository_check_error_enable-utf8' => "%1 Du kan kontrollera det oberoende med följande kommando: %2",
    'backup__ftp_repository_check_error_rm' => "%1 Du kan kontrollera det oberoende med följande kommandon: %2 %3",
    'backup__ftp_repository_check_error_rmdir' => "%1 Du kan kontrollera det oberoende med följande kommandon: %2 %3",

    'sfdmarc_server_wide_enable_failed' => 'Det fick inte att ändra inställningarna för DMARC. Aktivera DKIM och SPF-spamskydd för att aktivera det här alternativet.',
    'spf_server_wide_disable_failed' => 'Det gick inte att ändra inställningarna för SPF-spamskydd. För att inaktivera SPF, stäng av DMARC för inkommande e-post.',
    'sfdk_server_wide_verify_disable_failed' => 'Det gick inte att ändra inställningarna för DKIM-spamskydd. För att inaktivera DKIM, stäng av DMARC för inkommande e-post.',

    'ccs_not_supported' => 'IIS Central Certificate Store är inte konfigurerat på systemet.',
    'ccs_not_enabled' => 'IIS Central Certificate Store-hantering är inte aktiverad i Plesk.',
    'ad_not_supported' => 'Servern är inte kopplad till en domän.',

    'component_name__appinit' => "Applikationsinitiering",
    'component_name__cors' => "Ursprungsöverskridande resursdelning",
    'component_name__httpcompression' => 'Kompression av HTTP-innehåll',
    'common_feature_is_not_supported' => 'Den här funktionen stöds inte längre.',
    'common_feature_is_not_supported_in_proto' => 'Den här funktioner stöds inte för protokollversion %1.',
    'autoinstaller__plesk_component' => 'Plesk-komponent',
    'plesk_key__key_expired' => 'Din licens har löpt ut. För att fortsätta använda Plesk, %1.',
    'plesk_key__key_purchase' => 'köp en ny licens',
    'plesk_key__key_expired_period' => 'Din licensnyckel löpte ut för över %1 dagar sedan.',

    'sa_action_move' => 'Flytta spam till mappen "Skräppost"',

    'bu_conflict_resolver_tomcat_not_supported' => 'Java-program stöds inte längre. De kommer inte att finnas tillgängliga för följande webbplatser: {{objects}}',
    'bu_conflict_resolver_unity_mobile_not_supported' => 'Mobila versioner av webbplatser som körs med Unity Mobile stöds inte längre. De kommer att inte att finnas tillgängliga för följande webbplatser: {{objects}}',
    'bu_conflict_resolver_antivirus_personal_management_not_allowed' => 'Användarpolicyn för servern tillåter inte personliga inställningar för antivirus. De kommer att återstället helt för e-postkonton på följande domäner: {{objects}}',

    'module__not_installed' => "Tillägget %1 är inte installerat",

    'mail__mail_autodiscovery_server_error' => 'Ange ett anpassat domännamn på automatisk upptäckt för e-post',
    'mail__error_mail_autodiscovery_enable' => 'Det gick inte att ange automatisk upptäckt för e-post: %1',
    'mail__error_mail_autodiscovery_server' => 'Det gick inte att ange ett anpassat domännamn på automatisk upptäckt för e-post: %1',
    'mail__error_mail_autodiscovery_reconfigure_dns' => 'Det går inte att konfigurera om automatisk upptäckt för DNS-poster: %1',

    'mail__smarthost_not_configured_error' => 'Ingen smarthost är konfigurerad.',
    'mail__smarthost_attach_domains_error' => 'Koppling av domäner till smarthost utfördes med fel:',

    '__invalid_url' => 'URL-en "%1" är ogiltig',
    'actionlog__cloning_start' => 'starta',
    'actionlog__event_cloning_start' => 'Serverkloning inleds',

    '__UPLOAD_ERR_FORM_SIZE' => "Överförd fil överstiger tillåten storlek",
    '__UPLOAD_ERR_INI_SIZE' => "Överförd fil överstiger tillåten storlek",
    '__UPLOAD_ERR_NO_FILE' => "Ingen fil har tagits emot",
    '__UPLOAD_ERR_OK' => "Fil uppladdad",
    '__UPLOAD_ERR_PARTIAL' => "Fil uppladdad delvis, försök igen",
    '__UPLOAD_ERR_NO_TMP_DIR' => 'Tillfällig mapp saknas',
    '__UPLOAD_ERR_CANT_WRITE' => 'Lyckades inte skriva filen till disken',
    '__UPLOAD_ERR_UNKNOWN' => 'Ett okänt filöverföringsfel uppstod',
    '__accounts' => "Konton",
    '__access' => "Åtkomst",
    '__address' => "Adress",
    '__addresses' => "Adresser",
    '__acl_records' => 'ACL-poster',
    '__admin_repository' => "Adminsitratörsmagasin",
    '__all' => 'Alla',
    '__allowed' => "Tillåten",
    '__anonftp_status' => "Anonym FTP",
    '__antispam' => "Antispam",
    '__apache_restart' => "...%1-webbservern håller på att återstartas. Vänta...",
    '__asp' => "Microsoft ASP",
    '__asp_dot_net' => "Microsoft ASP.NET",
    '__asp_dot_net_support' => "Microsoft ASP.NET-support",
    '__asp_win_support' => "Microsoft ASP-stöd",
    '__attachments' => "Bilagor",
    '__attachments_list' => "Bilagor",
    '__author' => 'Författare',
    '__autoresp_name_already_exists' => "Autosvar med namnet %1 finns redan.",
    '__autoresponder' => "Autosvar",
    '__autoresponders' => "Autosvar",
    '__autoresponders_list' => "Autosvar",
    '__autoresponder_attachment_files' => "Bifogade filer till autosvar",
    '__auto_updates_list' => 'Tillgängliga uppdateringar',
    '__backup_utilites' => "Säkerhetskopieringsverktyg",
    '__bind_status' => "Status på DNS-servern",
    '__bu_is_not_installed' => "Tjänsten är inte tillgänglig för närvarande, eftersom nyttoprogrammen för säkerhetskopiering inte har installerats.",
    '__bu_not_support_in_key' => "Säkerhetskopiefunktionalitet stöds inte av licensnyckeln.",
    '__notifications_not_support_in_key' => 'Meddelanden stöds inte av licensnyckeln.',
    'disabled_by_key' => 'Stöds inte av licensnyckeln',
    '__bytes' => "byte",
    '__can_not_use_reserved_words' => "Du kan inte använda reserverade ord.",
    '__certificate' => "Certifikat",
    '__cgi_support' => "CGI-stöd",
    '__city' => "Stad",
    '__cl_not_exist' => "Kundens konto finns inte.",
    '__client' => 'Kund',
    '__client_card' => "Kundkort",
    '__client_contact_name' => "Kundens kontaktnamn",
    '__client_form' => "Personlig information",
    '__client_ip_pool' => "Kundens IP-pool",
    '__client_limits' => "Kundkontots gränser",
    '__client_permissions' => "Kundbehörigheter",
    '__client_preferences' => "Kundens preferenser",
    '__client_status' => "Kundens status",
    '__client_total' => "Kundtotal",
    '__client_with_login_name_already_exists' => "En användare med användarnamnet \"%1\" finns redan.",
    '__client_domuser_with_login_already_exists' => "Användarnamnet '%1' är redan i bruk av administratören av domän '%1'.",
    '__clients_global_changes' => "Modifiera markerade kundkonton.",
    '__cmd_not_found' => "Okänt kommando: %1",
    '__comments' => "Kommentarer",
    '__component_version' => "Komponentversion",
    '__component_not_installed' => "Komponenten %1 har inte installerats",
    '__confirm_overwrite' => "Bekräfta överskrivning.",
    '__confirm_stop' => "Du måste bekräfta stopp av processen.",
    '__confirm_passwd' => "Bekräfta lösenordet %1",
    '__conhelp' => "Beskrivning",
    '__contact_name' => "Kontakt namn",
    '__country' => "Land",
    '__countries' => 'Land',
    '__country_unknown' => 'Kunde inte känna igen landets underkod.',
    '__courier-imap' => 'Kurirserver',
    '__create_domain' => 'Skapa en domän',
    '__crypted' => 'krypterat',
    '__cp_access' => "Åtkomst till Plesk-tjänster",
    '__cp_user' => "Plesk användare",
    '__create' => "Skapa",
    '__create_client_template_without_template' => "Skapa användarkonto utan mall",
    '__create_domain_for' => "Skapa en domän för <b>%1</b>",
    '__create_domain_template_without_template' => "Skapa domän utan mall",
    '__creation_date' => "Skapandedatum",
    '__crontab_unix' => "Schemaläggare",
    '__crontab_win' => "Schemaläggare",
    '__ct_month_jan' => 'Januari',
    '__ct_month_feb' => 'Februari',
    '__ct_month_mar' => 'Mars',
    '__ct_month_apr' => 'April',
    '__ct_month_may' => 'Maj',
    '__ct_month_jun' => 'Juni',
    '__ct_month_jul' => 'Juli',
    '__ct_month_aug' => 'Augusti',
    '__ct_month_sep' => 'September',
    '__ct_month_oct' => 'Oktober',
    '__ct_month_nov' => 'November',
    '__ct_month_dec' => 'December',
    '__custom_button' => "Anpassad knapp",
    '__custom_buttons_list' => "Länkar till ytterligare tjänster",
    '__daily' => "Dagens",
    '__database_not_activated' => "%1 har inte aktiverats på serverns administrationssida.",
    '__database_not_installed' => "Databasen %1 har inte installerats.",
    '__database_not_run' => "Databasen %1 är inte igång.",
    '__database_is_corrupt' => "Plesk-databasen är korrupt. Starta omkonfigurator-verktyget för att åtgärda det.",
    '__databases' => "Databaser",
    '__databases_list' => "Databaser",
    '__database_type_not_supported_by_key' => 'För att använda %1 servern, måste du ha stöd för den i din licensnyckel. Kontakta din Plesk säljrepresentant.',
    '__date_immediately' => "idag",
    '__date_never' => "aldrig",
    '__day(s)' => "Dag(ar)",
    '__day0' => "Sön",
    '__day1' => "Mån",
    '__day2' => "Tis",
    '__day3' => "Ons",
    '__day4' => "Tor",
    '__day5' => "Fre",
    '__day6' => "Lör",
    '__days' => "%1 dag(ar)",
    '__db_admin_login_empty' => "Du har angett ett tomt användarnamn, och stänger så av kontrollen av %1 i gränssnittet. Vill du fortsätta?",
    '__db_unable_to_unregister' => 'Kan inte ta bort parametrar för databasanslutning',
    '__db_db_exists' => 'Det finns åtminstone en databas på servern',
    '__db_unable_to_change_server_name' => 'Namn för servern kan inte ändras',
    '__db_unable_to_change_port' => 'Port för servern kan inte ändras',
    '__db_already_exist' => "Databasen %1 finns redan.",
    '__db_credentials_invalid' => "Databasinloggningsuppgifterna är ogiltiga.",
    '__db_invalid_password_characters' => 'Lösenordet innehåller ogiltiga tecken',
    '__db_engine' => "Databasmotor", // indirect
    '__db_type' => "Databastyp",
    '__db_user' => "Databasanvändare",
    '__db_server' => 'Databasserver',
    '__def_domain' => "Standarddomän",
    '__default_for_mysql' => 'standard för MySQL',
    '__default_for_mariadb' => 'standard för MariaDB',
    '__default_for_percona' => 'standard för Percona',
    '__default_for_postgresql' => 'som standard för PostgreSQL',
    '__delete' => "Ta bort",
    '__demo' => "Den här funktionen är inte tillgänglig i demoversionen.",
    '__directory' => "Katalog",
    '__disable_lock_screen' => 'Förhindra användare att arbeta med Plesk innan gränssnittskärmarna är fullständigt laddade',
    '__dismiss_news?' => "Är du säker på att du vill stänga dessa nyhetsblock helt?\n\nDu kommer inte kunna besök nyhetsblocket förrän mer nyheter finns tillgängligt.",
    '__description' => "Beskrivning",
    '__disabled' => "avstängd",
    '__disk_space_limit' => "Disktutrymmets begränsning",
    '__cgroups_cpu_usage_limit' => 'CPU-användningsgräns',
    '__cgroups_ram_usage_limit' => 'RAM-användningsgräns',
    '__cgroups_disk_read_usage_limit' => 'Avläsning av skivans bandbreddsgräns',
    '__cgroups_disk_write_usage_limit' => 'Skrivning av skivans bandbreddsgräns',
    '__disk_usage_by' => "Diskutrymme som används av %1",
    '__dns' => "DNS",
    '__dns_record_already_exist' => "DNS-posten '%1' finns redan.",
    '__dns_master_should_be_remote' => "Du ska ha två olika auktoritativa namnservrar på separata värdar.",
    '__dns_record_not_exist' => "DNS-posten finns inte.",
    '__dns_server' => "DNS-server", // indirect
    '__dom_id_is_undefined' => "Domän-ID är odefinierat.",
    '__dom_name' => "Domännamn",
    '__dom_name_is_invalid' => "Felaktigt domännamn. Se till att ditt domännamn innefattar endast alfanumeriska tecken, punkt och bindestreck, samt inte är längre än 255 tecken långt. Ingen del av domännamnet mellan punkter får överstiga 63 tecken.",
    '__dom_not_exist' => "Domänen finns inte.",
    '__domain' => "Domän",
    '__domain_' => 'Domän: %1',
    '__domain_form' => "Domänformulär",
    '__domain_id' => "Domän-ID",
    '__domain_is_turned_off_for_backup' => "Webbplatsen %1 är tillfälligt avstängd för säkerhetskopiering eller återställning och är inte tillgänglig för närvarande.",
    '__domain_limits' => "Domängränser",
    '__domain_name' => "Domännamn",
    '__mail_name_in_ASCII_form' => "E-postkontonamnet i ASCII-format",
    '__message_error' => 'Fel',
    '__message_warning' => 'Varning',
    '__message_info' => 'Information',
    '__domain_name_in_ASCII_form' => "Domännamn i ASCII-format",
    '__domain_repository' => "Katalog för domän %1",
    '__domain_status' => "Domänstatus",
    '__domain_found_tech' => "Teknik upptäckt på domän",
    '__domain_dns' => 'Domänens DNS-namn',
    '__domain_total_powerUser' => "Totalt belopp för abonnemanget",
    '__domain_user' => "Domänadministratör",
    '__domains_global_changes' => "Ändra valda domäner",
    '__mailnames_global_changes' => "Modifiera markerade e-postkonton",
    '__backup_manager' => 'Hantering av säkerhetskopior',
    '__domains_list' => "Domäner",
    'domains_list__list_header' => "domäner",
    //this is a part of phrases like No domains (and others), so it should not be capitalized
    '__double_www_warning' => "Domännamnet börjar med www, även om WWW-prefixet används.\nFortsätt ändå?",
    '__dovecot' => 'Dovecot IMAP och POP3-server',
    '__dsmail' => "Posttjänst",
    '__dsmaillist' => "E-postlistans tjänst",
    '__dumps_tot_size' => "Total storlek på de säkerhetskopierade filerna i den lokala lagringen",
    '__email' => "E-post",
    '__email_addr_is_invalid' => "E-postadressen är ogiltig.",
    '__enabled' => "påkopplad",
    '__enter_cert_text' => "Ange certifikattext",
    '__enter_size' => "Ange storlek",
    '__exclusive' => "Dedikerad",
    '__expiration_date' => "Utgångsdatum",
    '__fax' => "Fax",
    '__file' => "Fil",
    '__file_is_empty' => "Filen är tom.",
    '__file_name' => "Filnamn",
    '__file_type' => 'Filtyp',
    '__filemanager' => "Filhanteraren",
    '__filepath_is_empty' => "Sökvägen till filen är tom",
    '__files_list' => "Filer",
    '__frontpage' => "Microsoft FrontPage",
    '__ftp' => "FTP", // +indirect
    '__ftp_settings' => "FTP-inställningar",
    '__ftp_serv' => "FTP-server", // indirect
    '__ftp_server_parameters_are_empty' => "Du måste först ställa in FTP-kontots egenskaper!",
    '__ftp_status' => "FTP-serverns status",
    '__full_day0' => "Söndag",
    '__full_day1' => "Måndag",
    '__full_day2' => "Tirsdag",
    '__full_day3' => "Onsdag",
    '__full_day4' => "Torsdag",
    '__full_day5' => "Fredag",
    '__full_day6' => "Lördag",
    '__full_month1' => "Januari",
    '__full_month10' => "Oktober",
    '__full_month11' => "November",
    '__full_month12' => "December",
    '__full_month2' => "Februari",
    '__full_month3' => "Mars",
    '__full_month4' => "April",
    '__full_month5' => "Maj",
    '__full_month6' => "Juni",
    '__full_month7' => "Juli",
    '__full_month8' => "Augusti",
    '__full_month9' => "September",
    '__giga' => "G",
    '__h' => "H",
    '__hard_disk_quota' => "Hårddiskkvot",
    '__hard_disk_quota_not_supported' => 'hårddiskkvot stöds inte till följd av konfigurationen av serverfilsystemet',
    '__help_topic_not_found' => 'Hjälpämnet du begärde (%1) finns inte.',
    '__hosting_ip_dns_ip_not_equiv' => "Ingen av de IP-adresser du specificerade i A DNS-post matchar IP-adressen som används för värdbaseringen.",
    '__hosting_scripting' => "Värdbaseringens skriptsupport",
    '__hosting_setup_page_title' => "Värdtjänsttypen för domän %1",
    '__hosting_title' => "Värdtjäns (%1)",
    '__hosting_type' => "Hosting typ",
    '__hostname_is_empty' => "Värdnamnet är tomt.",
    '__hour(s)' => 'Timmar',
    '__hst_type_incorrect' => "Värdtjänsttypen är felaktig.",
    '__http' => "HTTP", //indirect
    '__htype' => "H",
    '__idle_time' => "Inaktivitet",
    '__iface' => "Gränssnitt",
    '__image' => "Bild",
    '__imap_status' => "Status på IMAP-servern",
    '__incorrect_databases_login_pass' => "Inloggningsuppgifterna du angav för åtkomst till PostgreSQL är felaktiga.",
    '__incorrect_ip_or_network_address' => 'Felaktig IP-adress eller nätverk.',
    '__info' => 'Info',
    '__install' => "Installera",
    '__install_prefix' => "Installera prefix",
    '__invalid_cert_id' => "Ogiltiga certifikat-ID",
    '__invalid_context' => "Ogiltigt sammanhang: %1",
    '__invalid_db_usr_name' => "Databasens användarnamn är ogiltigt.",
    '__invalid_dir_name' => "Katalogens namn är ogiltigt",
    '__invalid_dom_name' => "Felaktigt domännamn.",
    '__invalid_filename' => "Ogiltigt filnamn. Använd inte enkla citattecken och/eller kombinationen \"../\".",
    '__invalid_id' => "Ogiltig identifierare.",
    '__invalid_lines_num' => "Felaktigt värde för antal rader, endast siffror är tillåtet.",
    '__invalid_max_letter_size' => "Största meddelandestorlek är ogiltig.",
    '__invalid_restart_apache_interval' => "Apache-omstartintervallet är ogiltigt.",
    '__invalid_tmpl_name' => "Mallens namn är ogiltigt.",
    '__invalid_value' => "Felaktigt värde.",
    '__ip_addr' => "IP-adress",
    '__ip_address_and_mask' => "IP-adress och nätmask",
    '__ip_alias__mask' => "IP-adress och nätmask",
    '__ip_addr_is_invalid' => "IP-adress är ogiltig.",
    '__ip_addr_list' => "IP-adresser",
    '__ip_address_and_mask_hint' => 'Till exempel, %1',
    '__is_owner' => "O",
    '__java_engine' => "Java", // indirect
    '__jdk' => "JDK",
    '__kb' => "KB",
    '__kbps' => "kB/s",
    '__kbytes' => "KByte",
    '__key_for_virtuozzo_only' => "Din licensnyckel är avsedd att användas enbart i Virtuozzo containers.",
    '__key_limits_exceeding' => "Denna åtgärd överskrider gränserna definierade av din mjukvarulicens. Om du fick detta meddelande kan du kontakta din leverantör eller tillverkare för att klargöra eller förlänga gränserna för denna licens.",
    '__kilo' => "K",
    '__keywords' => 'Nyckelord',
    '__lang_unknown' => 'Kan inte känna igen språket.',
    '__languages' => 'Språk',
    '__learn_more' => 'Läs mer',
    '__loading' => 'Laddar…',
    '__locales' => "Språkpaket",
    '__lists' => "E-postlistor",
    '__literal_bytes' => "B",
    '__processing' => "Väntar.<br>Läser in...",
    '__locale' => "Gränssnittsspråk",
    '__locale_is_not_defined' => "Gränssnittsspråk är inte definierat.",
    '__local_server_mysql' => 'Lokal MariaDB/MySQL-server',
    '__local_server_postgresql' => 'Lokal PostgreSQL-server',
    '__local_server_mssql' => 'Lokal MS SQL-server',
    '__log_and_statistics_files' => 'Loggfiler och statistiska rapporter',
    '__config_files' => 'Konfigurationsfiler',
    '__chroot_files' => 'Chrootad miljö',
    '__login' => "%1 inloggning",
    '__login1' => "Inloggning",
    '__login_disabled' => "Inloggning förbjudet",
    '__login_enabled' => "Inloggning tillåtet",
    '__login_incorrect' => "Du har angett ett felaktigt användarnamn eller lösenord.",
    '__login_name' => "%1 användarnamn",
    '__login_name_is_invalid' => "%1 användarnamnet är ogiltigt.",
    '__logon_time' => "Inloggningstid",
    '__ma' => "E-postaliaser",
    '__mail' => "E-post",
    '__mail_alias_name' => "E-postens aliasnamn",
    '__mail_autodiscovery' => 'Automatisk upptäckt för e-post',
    '__mail_exchanger_name_is_invalid' => "E-postutväxlarnamnet är ogiltigt.",
    '__mail_groups' => "E-postgrupper",
    '__mail_list_engine' => "E-postlista-mjukvara",
    '__mail_name' => "E-postkonto",
    '__mail_name_form' => "Egenskaper för e-postkonto",
    '__mail_names' => "E-postkonton",
    '__mail_serv' => "E-postserver",
    '__mail_user' => 'E-postanvändare',
    '__mailgroup' => "E-postgrupp",
    '__maillist' => "E-postlista",
    '__maillists' => "E-postlistor",
    '__maillist_member' => 'E-postlista-medlem',
    '__mailname' => "E-postkonto",
    '__mailname_redir_self' => "E-postkontot kan inte vidarebefordra meddelande till sig själv",
    '__max_dom_num_reached_for_cl' => "Gränsen för antalet domäner har nåtts för detta kundkonto.",
    '__max_file_size_available' => "Maximalt tillåten filstorlek %1",
    '__max_subdom_num_reached_for_cl' => "Gränsen för antalet underdomäner har nåtts för detta kundkonto.",
    '__max_subdom_num_reached_for_dom' => "Gränsen för antal subdomäner har nåtts för domänen.",
    '__max_subdom_num_reached_for_key' => "Gränsen för antalet subdomäner som tillåts av licensnyckeln har uppnåtts.",
    '__max_traffic_limit' => "Trafikgräns",
    '__maximum_excl_ip_num' => "E-postkonton",
    '__mb' => "MB",
    '__mbytes' => "MB",
    '__mb_month' => "MB/månad",
    '__mb_sec' => "MB/sek",
    '__gb_sec' => "GB/sek",
    '__tb_sec' => "TB/sek",
    '__mega' => "M",
    '__minute(s)' => 'Minute (s)',
    '__mls_not_in_key' => "Din produktnyckel stödjer inte flerspråkiga gränssnitt.",
    '__modification_date' => "Ändringsdatum",
    '__module' => "Anknytning",
    '__month' => "Månad",
    '__month(s)' => "Månad (s)",
    '__month1' => "Jan",
    '__month10' => "Okt",
    '__month11' => "Nov",
    '__month12' => "Dec",
    '__month2' => "Feb",
    '__month3' => "Mar",
    '__month4' => "April",
    '__month5' => "Maj",
    '__month6' => "Juni",
    '__month7' => "Juli",
    '__month8' => "Aug",
    '__month9' => "Sep",
    '__monthly' => "Månadsvis",
    '__months' => "Månader",
    '__moved_permanently' => 'Flyttades permanent',
    '__mssql' => "Microsoft SQL Server",
    '__mssql__server' => "Server",
    'mssql__server' => "Microsoft SQL Server-namn",
    'mssql__unable_to_change_server_name_db_exists' => "namnet för servern kan inte ändras: det finns åtminstone en databas på den.",
    '__mssql_status' => "Microsoft SQL serverstatus",
    '__multiply_login_deny' => "Kan inte logga in dig. En annan användare med samma användarnamn (%1) är redan inloggad på Plesk.",
    '__mysql' => "MySQL",
    '__mysql_status' => "MySQL-serverstatus",
    '__mysql_version' => "MySQL-version",
    '__mariadb' => "MariaDB",
    '__mariadb_status' => "MariaDB serverstatus",
    '__mariadb_version' => "MariaDB-version",
    '__percona' => "Percona",
    '__percona_status' => "Percona serverstatus",
    '__percona_version' => "Percona-version",
    '__name' => "Namn",
    '__name_invalid' => "Namnet är ogiltigt.",
    '__nameserver' => "namnserver",
    '__network' => "Nätverk",
    '__networks' => "Nätverk",
    '__no' => "Nej",
    '__no_ip_address_with_properly_type_available' => "Kan inte återställa den säkerhetskopierade datan eftersom det inte finns de lämpliga IP-adresser som krävs för återställning.",
    '__no_clients_specified' => "Inga kundkonton har specificerats",
    '__no_comments' => "Inga kommentarer.",
    '__nologin' => "Förbjuden",
    '__none' => "Ingen",
    '__not_configured' => "Inte konfigurerad",
    '__not_implemented_yet' => "Har inte implementerats ännu",
    '__not_supported_by_ftp' => "(stöds inte av FTP-servern)",
    '__notification' => "Anmälan",
    '__num_displayed' => "%1 av %2 visas",
    '__num_is_invalid' => "Siffran är ogiltig.",
    '__object_not_found' => 'Kan inte hitta objektet: %1',
    '__off' => "Av",
    '__ok' => "OK",
    '__old_passwd' => "Gammalt %1 lösenord",
    '__on' => "På",
    '__others' => "andra",
    '__other_ip__will_be_added' => 'Andra tillgängliga IP-adresser (läggs till i kundens IP-pool)',
    '__p' => "P",
    '__passwd' => "%1 lösenord",
    '__passwd_is_invalid' => "%1 Lösenordet är ogiltigt.",
    '__path' => "Sökväg",
    '__perl_unix_support' => "Perl-stöd",
    '__perl_win_support' => "Perl-stöd",
    '__perm_denied' => "Åtkomst nekad.",
    '__permissions' => "Behörigheter",
    '__personal_name' => "Namn",
    '__pg_admin_not_activated' => "PostgreSQL aktiverades inte på serverns administrationssida.",
    '__pg_not_inst' => "PostgreSQL installerades inte",
    '__pg_not_run_or_inst' => "PostgreSQL installerades inte eller körs inte.",
    '__pg_not_support_in_key' => "PostgreSQL stöds inte av licensnyckeln.",
    '__phone' => "Telefon",
    '__phosting' => "Fysisk hosting",
    '__php_support' => "PHP-stöd",
    '__php_run_as_isapi' => "Kör som ett ISAPI-tillägg",
    '__php_safe_mode' => "PHP 'safe_mode' på",
    '__php_version' => "PHP-version",
    '__physical' => "Fysisk hosting",
    '__plesk_stat_pdir' => "Skydda katalog '/plesk-stat/webstat/'",
    '__plesk_stat_dir_name' => "Domänstatistik",
    '__plesk_stat_protect' => "Skydda åtkomsten till webbstatistiken med användarens FTP-användarnamn och lösenord",
    '__plesk_stat_protect_install' => "åtkomligt via lösenordsskyddad katalog '/Plesk-stat/webstat/'",
    '__pop3_imap' => "POP3/IMAP", // indirect
    '__pop3_status' => "POP3-serverstatus",
    '__popen_error' => "Det uppstod ett fel när popen-funktionen återkallades.",
    '__port' => 'Port',
    '__postgres' => "PostgreSQL",
    '__postgresql' => "PostgreSQL",
    '__postgresql_status' => "PostgreSQL-status",
    '__preferences' => "Inställningar",
    '__account_preferences' => "Kontoinställningar",
    '__interface_preferences_general' => 'Allmänt',
    '__interface_preferences_default' => 'Standardgränssnittspreferenser',
    '__interface_preferences_admin' => "Administratörs gränssnittsinställningar",
    '__interface_template' => 'Mall för gränssnittsanpassning',
    '__interface_preferences' => "Gränssnittsinställningar",
    '__proceed?' => "Vill du fortsätta?",
    '__provider_contact_name' => "Ägarens kontaktnamn",
    '__python_unix_support' => "Python-stöd",
    '__python_win_support' => "Python-stöd",
    '__quota' => "Kvot",
    '__r' => "R",
    '__reconfigure' => "Omkonfigurera",
    '__record_type' => "Inlägg typ",
    '__release' => "Släppa",
    '__remote_db_not_supported_by_key' => 'Fjärrdatabasens värdtjänst stöds inte av din licensnyckel.',
    '__remove_protection' => 'Ta bort skydd',
    '__report' => "Rapport",
    '__report_size_na' => "Tjänsten är inte tillgänglig",
    '__reports_list' => "Rapporter",
    '__requested' => "Begärd",
    '__required_fields' => "Obligatoriska fält",
    '__resp_name_invalid' => "Autosvarets namn är ogiltigt. Använd endast alfanumeriska tecken, punkter, understreck och blanksteg.",
    '__c' => "A", // Access to panel
    '__s' => "S",
    '__server_name_is_invalid' => "Serverns namn är ogiltigt.",
    '__screenshots' => 'Skärmbilder',
    '__script_warning' => "Genom att ta bort scripting-förmågan från den här domänen, kommer alla påverkade skript att visas som oformaterad text när de anropas av en webbläsare. Det rekommenderas för administratören, att ta bort alla beroende skript från den givna domänen.",
    '__sec' => "Sekunder",
    '__second(s)' => "Sekund(er)",
    '__see_list_of_logged_in' => "Se listan över nu inloggade användare.",
    '__select_certs_to_remove' => "Markera det certifikat som ska tas bort",
    '__select_files_to_remove' => "Välj filer att ta bort.",
    '__select_ip' => "Tilldela IP-adress",
    '__select_ip_to_remove' => "Välj en IP-adress att ta bort.",
    '__select_domain_template' => "Använd domänens mallinställningar",
    '__select_templates_to_remove' => "Markera mallar att ta bort.",
    '__server' => "Server",
    '__service_title__plesk' => "Plesk",
    '__service_description__plesk' => "Plesk",
    '__service_title__mysql' => "MariaDB/MySQL-databasserver",
    '__service_description__mysql' => "MariaDB/MySQL-databasserver",
    '__service_title__web' => "Webbserver",
    '__service_description__web' => "Webbserver",
    '__service_title__smtp' => "SMTP-server",
    '__service_description__smtp' => "SMTP-server",
    '__service_title__mail' => "IMAP/POP3-server",
    '__service_description__mail' => "IMAP/POP3-server",
    '__service_title__dns' => "DNS-server",
    '__service_description__dns' => "DNS-server",
    '__service_title__postgresq' => "PostgreSQL-databasserver",
    '__service_description__postgresq' => "PostgreSQL-databasserver",
    '__service_title__spamassassin' => "SpamAssassin spamfiltretingstjänst",
    '__service_description__spamassassin' => "SpamAssassin spamfiltretingstjänst",
    '__all_services' => "Alla tjänster",
    '__sessions' => "Sessioner",
    'sessions__feature_ftp_session_manager_not_supported' => "FTP-sessionsfunktionen stöds inte av aktuell FTP-server.",
    '__sessions_list' => "Sessioner",
    '__set' => "Slå på",
    '__shared' => "Delad",
    '__shell_access_warning' => "Att tillåta skalåtkomst till systemet är mycket farligt för systemets säkerhet. Tillåt åtkomst till systemet endast om du verkligen vet vad du gör och endast till användare du litar på. Vill du verkligen tillåta åtkomst?",
    '__siteapp_not_support_in_key' => "Webbprogrammen stöds inte av licensnyckeln.",
    '__siteapp_cannot_reconfigure_with_remote_database' => 'Konfigurationen av detta webbprogram har ändrats manuellt. För att skydda de manuella modifieringarna, har omkonfiguration genom Plesk gjorts otillgängligt.',
    '__site_management' => "Webbpublicering", // indirect
    '__size' => "Storlek",
    '__skins' => 'Skalutseenden',
    '__smtp' => "SMTP", // indirect
    '__smtp_status' => "SMTP-serverns status",
    '__some_fields_are_empty_or_invalid' => "Vissa fält är tomma eller innehåller ett felaktigt värde.",
    '__no_email_addresses_selected' => 'Inga e-postadresser valdes.',
    '__unable_to_set_parameters' => "Kan inte ställa in komponentens parametrar.",
    '__spamassassin' => "Skräppostfilter",
    '__spamassassin_status' => "SpamAssassin-status",
    '__spamd_status' => 'Skräppostfilterstatus',
    '__splited_backup' => "(multivolym-säkerhetskopia)",
    '__split_backup_file' => "Skapa en säkerhetskopia med flera volymer",
    '__split_backup_size' => "Volymstorlek",
    '__split_backup_less_than_500' => "Volymstorlekar mindre än 500 MB stöds inte",
    '__ssi' => "SSI",
    '__ssi_support' => "SSI-stöd",
    '__ssi_with_html' => "Använd SSI för *.htm- och *.html-filer",
    '__ssl' => 'SSL/TLS',
    '__ssl_support' => "SSL/TLS-stöd",
    '__same_ssl' => "Använd en enda katalog för att lagra SSL/TLS- och icke-SSL/TLS-innehåll",
    '__same_ssl_cu' => "Gemensamt SSL/TLS- och icke-SSL/TLS-innehåll",
    '__state' => "Län",

    '__status__Active' => 'Aktiva',
    '__status__active' => 'aktiva',
    '__status__Passive' => 'Avstängd',
    '__status__passive' => 'avstängd',
    '__status__off' => 'avstängd',
    '__status__with_parent' => 'avstängd',
    '__status__backup_restore' => 'tillfälligt inaktiverad för säkerhetskopiering eller återställning',
    '__status__admin' => 'avstängt av serveradministratören',
    '__status__resseler' => 'upphävd av återförsäljaren',
    '__status__client' => 'upphävd av kunden',
    '__status__unknown' => 'Status är okänd',

    '__status_of' => "Status för %1",
    // end of akss part

    // shramko part

    '__stunnel' => "Stunnel",
    '__stunnel_server' => "Stunnel-server", // indirect
    '__subdomain' => "Subdomän",
    '__subdomain_name' => "Subdomän namn",
    '__subdomain_name_in_ASCII_form' => "Subdomännamn i ASCII-format",
    '__subdomains' => "Subdomäner",
    '__domainaliases' => "Domänalias",
    '__subdomains_list' => "Subdomäner",
    '__subdomains_not_support_in_key' => "Subdomänåtgärder stöds inte av licensnyckeln.",
    '__sys_user_type' => "FTP-användare",
    '__sys_user_type_main' => "Använd FTP-användarkontot i huvuddomänen",
    '__sys_user_type_native' => "Skapa ett separat FTP-användarkonto för denna underdomän",
    '__target_domain' => "Måldomän",
    '__template' => "Mall",
    '__template_not_accepted' => "Kan inte acceptera mallen: följande begränsningar har överskridits.",
    '__templates' => "Mallar",
    '__templates_list' => "Mallar",
    '__tera' => "T",
    '__title' => "Titel",
    '__total' => "Totalt %1",
    '__total_size' => "Total storlek",
    '__total_used' => "Totalt använt",
    '__traffic' => "Trafik",
    '__traffic_by_client' => "Trafik för kunden",
    '__traffic_by_domain' => "Trafik efter domän",
    '__traffic_by_service' => "Trafik för tjänsten",
    '__traffic_history' => "Trafikhistorik",
    '__unable_change_locale' => "Kan inte ändra gränssnittsspråk: %1",
    '__unable_create_new_dom' => "Kan inte skapa en domän: %1",
    '__unable_define_dom_name' => "Kan inte definiera domännamn: %1",
    '__unable_define_necessary_properties' => "Kan inte definiera allt obligatoriska egenskaper.",
    '__unable_define_properties' => "Kan inte definiera egenskaper: %1",
    '__unable_exec_util' => "Kan inte köra verktyg: %1",
    '__unable_get_dns_a_recs' => "Kan inte hämta IP-adresser för A DNS-data för detta värddatorkonto: %1",
    '__unable_get_mbox_quota' => "Det gick inte att hämta information om storlek på e-postkontot.",
    '__unable_redirect_to_myself' => "Kan inte vidarebefordra till samma konto.",
    '__unable_redirect_to_my_alias' => "Kan inte vidarebefordra e-posten till e-postmailalias.",
    '__default_domain_redirect_to_myself' => "Kan inte sätta domän som standard för IP-adress:\n omdirigering till sig själv upptäckt.",
    '__unable_remove_client' => "Kan inte ta bort kund: %1",
    '__unable_set_up_mbox_quota' => "Kan inte ange gräns för postlådestorlek för domänen: %1",
    '__unable_setup_pass' => "Kan inte ange lösenord: %1",
    '__unable_to_create_new_account' => "Kan inte skapa en konto: %1",
    '__unable_to_define_db_size' => "Kan inte definiera databasstorleken.",
    '__unable_to_enable_short_names' => "Kan inte tillåta användningen av korta e-postkontonamn för konton POP3/IMAP.",
    '__unable_to_fetch_data_from_submit' => "Kan inte hämta skickad data: %1",
    '__unable_to_open_file' => "Kan inte öppna filen %1: %2",
    '__unable_to_update_subdomain' => "Kan inte att göra ändringar av subdomänen: %1",
    '__unable_update_cl_data' => "Kan inte spara ändringarna i användarkontot: %1",
    '__unable_update_db_params' => "Det gick inte att uppdatera databasparametrarna: %1.",
    '__unable_update_dom_data' => "Kan inte uppdatera domändata: %1",
    '__undefined' => "odefinierad",
    '__uninstall' => "Avinstallera",
    '__unknown_error' => "Okänt fel",
    '__unlimited_lower' => "Obegränsat",
    '__unset' => "Stänga av",
    '__update' => "Uppdatera",
    '__uploaded_file_is_invalid' => "Överförd fil är ogiltig: %1",
    '__url' => "URL",
    '__usage' => "Diskanvändning",
    '__user_already_logged' => "En annan användare med samma användarnamn (%1) är redan inloggad på Plesk.",
    '__version' => "Version",
    '__aps_license' => "Licensnyckel",
    '__vh_type' => "Virtuell värddatortyp",
    '__vhosts_apache_status' => "Webbserverns status",
    '__wrong_charset_conversion' => 'Felaktig teckenuppsättning, omvandling från "%1" till "%2" är inte tillåtet',
    '__warning_' => "Varning!",
    '__warning_excl_ip_num' => "Dedikerad IP-adress",
    '__warning_expiration' => "Utgångsdatum",
    '__web_scripting' => "Skript för webben", // indirect
    '__web_serv' => "Webbserver", // indirect
    '__web_statistic' => "Webbstatistik", // indirect
    '__webmail' => "Webbpost", // +indirect
    '__webstat_not_installed' => "Webalizer har inte installerats på servern. Kontakta din tjänsteleverantör för assistans med Webaliser-installationen.",
    '__webstat_support' => "Webbstatistik",
    '__webstat_awstats_support' => "AWStats",
    '__webstat_webalizer_support' => "Webalizer",
    '__webstat_awstats' => "AWStats",
    '__webstat_webalizer' => "Webalizer",
    '__webstat_type_change_warning' => "När du växlar från ett statistikprogram till ett annat, raderas alla rapporter skapade av det tidigare använda statistikprogrammet och nya rapporter skapas i enlighet med informationen som läses från loggfiler som lagras på servern. Detta betyder att om du konfigurerat systemet (under Domäner > Domännamn > Logghanterare > Loggrotering) till att behålla Loggfiler endast för den senaste månaden, kommer webbstatistiken att vara tillgänglig endast för den senaste månaden. Vill du byta till ett annat statistikpaket?",
    '__webstat_perm_denied' => 'Du saknar behörighet att hantera webbstatistik.',
    '__webuser' => "Webbanvändare",
    '__sysusers_list' => "Systemanvändare",
    '__sysuser' => "Systemanvändare",
    '__weekly' => "Veckovis",
    '__whats_new_in_version' => "Vad är nytt i Plesk %1?",
    '__wrong_hosting_type__virtual_required' => "Denna åtgärd är tillgänglig endast för domäner med webbvärdbasering.",
    '__wrong_hosting_type__none' => 'Det finns ingen webbvärdbasering konfigurerad på domän %1.',
    '__wrong_hosting_type__std_fwd' => 'Domän %1 har konventionell vidarebefordring konfigurerat. Denna åtgärd är tillgänglig endast för domäner med webbvärdbasering.',
    '__wrong_hosting_type__frm_fwd' => 'Domän %1 har frame-vidarebefordring konfigurerat. Denna åtgärd är tillgänglig endast för domäner med webbvärdbasering.',
    '__wu' => "Webbanvändare",
    '__www' => "WWW",
    '__www_prefix_was_changed' => "WWW-prefix har ändrats. Se till att modifiera SSL/TLS-certifikat på motsvarande sätt.",
    '__year' => "År",
    '__year(s)' => "År",
    '__yes' => "Ja",
    '__you' => "Du",
    '__zip_code' => "Postnummer",
    '__form_normal' => "Normal",
    '__form_advanced' => "Avancerat",

    'admin_ed__edit_administrator_info' => "Redigera administratörsprofil",
    'admin_ed__create_default_client' => "Jag skulle vilja skapa ett standard kundkonto.",
    'admin_ed__unable_update' => "Kan inte uppdatera administratörsinformationen: %1.",

    'auth__update_admin_info' => "Ange administratörens information. Denna information krävs för att köra %1.",
    'auth__you_not_have_perm' => "Du har inte behörighet att hantera denna domän.",
    'auth__key_expired_admin' => 'Din Plesk-licens har gått ut. För att fortsätta använda Plesk, förnya din licens eller köp en ny.',
    'auth__key_expired_admin_restricted' => 'Din Plesk-licens har gått ut. Kontakta din tjänsteleverantör.',
    'auth__key_expired_client' => 'Plesk-licensen har gått ut. Kontakta din värddatorleverantör.',
    'autoinstaller__not_installed' => 'Autostaller-komponenten har inte installerats.',
    'autoinstaller__release_action' => 'Tillgängliga operationer',
    'autoinstaller__release_action_icon' => 'S',
    'autoinstaller__release_action_upgrade' => 'Uppgradera till den nya Plesk-versionen',
    'autoinstaller__release_action_update' => 'Uppdatera eller lägga till nya komponenter',
    'autoinstaller__release_action_up2date' => 'Du har en uppdaterad version',
    'autoinstaller__component_action' => 'Status',
    'autoinstaller__component_action_icon' => 'S',
    'autoinstaller__component_action_install' => 'Inte installerat',
    'autoinstaller__component_action_update' => 'Uppdateringar är tillgängliga',
    'autoinstaller__component_action_upgrade' => 'En uppdatering är tillgänglig',
    'autoinstaller__component_action_up2date' => 'Du har en uppdaterad version',
    'autoinstaller__component_action_error' => 'Uppdateringar är inte tillgängliga',
    'autoinstaller__component_serverbuildtime' => 'Senaste utgåva',
    'autoinstaller__component_localbuildtime' => 'Din utgåva',
    'autoinstaller__component_installed_version' => 'Din version',
    'autoinstaller__component_available_version' => 'Senaste versionen',
    'autoinstaller__component' => 'Komponent',
    'autoinstaller__components' => 'Komponenter',
    'autoinstaller__components_title' => '%1-komponenter',
    'autoinstaller__component_dependency_note' => 'krävs för installation av de komponenter du valt',
    'autoinstaller__install_confirm' => 'Ja, jag vill installera dessa komponenter',
    'autoinstaller__install_confirm_request' => 'Markera kryssrutan för att bekräfta',
    'autoinstaller__install_title' => 'Bekräfta installation av markerade komponenter',
    'autoinstaller__key_update_confirm' => 'Bekräfta att hoppa över nyckeluppdatering och installera standardnyckeln',
    'autoinstaller__key_update_confirm_request' => 'Markera kryssrutan för att bekräfta.',
    'autoinstaller__key_update_failed' => '<p>Plesk kan inte uppdatera din produktlicens.</p><p>%1</p><p>Att fortsätta med uppgradering utan att ha rätt produktlicens resulterar i installation av en standardlicens med begränsad funktion. Administratörer rekommenderas att först skaffa en lämplig licensnyckel innan de fortsätter med produktuppgraderingen.</p>',
    'autoinstaller__email' => 'Sänd meddelande till',
    'autoinstaller__email_admin' => "Administratörens e-post",
    'autoinstaller__email_email' => 'Anpassad e-postadress...',
    'autoinstaller__release' => 'Utgåvans namn',
    'autoinstaller__releases' => 'Tillgängliga utgåvor',
    'autoinstaller__releases_title' => 'Plesk Updater',
    'autoinstaller__select_components_to_install' => 'Markera de komponenter som ska installeras',
    'autoinstaller__status_error' => 'Fel: %1',
    'autoinstaller__status_install_error' => 'Installation kunde inte startas: %1',
    'autoinstaller__status_install_busy' => 'Installationen kunde inte startas: en annan installationsprocedur körs för närvarande.',
    'autoinstaller__status_install_ok' => 'Installationen startade. Du kommer att meddelas om installationsförloppet via e-post (%1).',
    'autoinstaller__status_query_busy' => 'Installationen pågår.',
    'autoinstaller__status_query_error' => 'Det gick inte att hämta installationsstatusen: %1',
    'autoinstaller__status_unknown' => 'Det gick inte att hämta autoinstallarens status.',
    'autoinstaller__status_busy' => 'Autoinstalleraren är upptagen, vänta.',
    'autoinstaller__configure_title' => 'Uppdaterarens inställningar',
    'autoinstaller__preferences_legend' => 'Inställningar',
    'autoinstaller__target' => 'Tillfällig katalog för hämtade filer',
    'autoinstaller__target_invalid' => "Ange absolut sökväg",
    'autoinstaller__check_updates' => 'Sök efter uppdateringar vid administratörsinloggning i Plesk',
    'autoinstaller__check_updates_warning' => 'Nya <a href="%1">uppdateringar</a> är tillgängliga för %2',
    'autoinstaller__source_type' => 'Källtyp',
    'autoinstaller__source' => 'Käll-URL',
    'autoinstaller_source__preferences_legend' => 'Inställningar',
    'autoinstaller_source__type' => 'Källtyp',
    'autoinstaller_source__url_invalid' => 'Ogiltig källa',
    'autoinstaller_source__url_invalid_network' => 'Ogiltig käll-URL (exempel: http://källa, ftp://källa)',
    'autoinstaller_source__url' => 'Käll-URL',
    'autoinstaller__source_invalid_network' => 'Du har angett en ogiltig nätverksadress',
    'backup__repository' => 'Säkerhetskopierade filernas lagringsplats',
    'backup__error_notify_email' => 'Om felet inträffar under säkerhetskopieringen, skicka meddelande till e-post',
    'backup__dump_info' => "Säkerhetskopieringsinformation",
    'backup__dump_file_name_not_defined' => "Den säkerhetskopierade filens namn har inte specificerats.",
    'backup__local_file' => 'Lokal säkerhetskopiefil',
    'backup__domain_ftp' => 'fjärr-FTP-server',
    'backup__wrong_path' => "Felaktig sökväg till de säkerhetskopierade filernas lagring: använd inte teckensekvensen ../../",
    'backup__unable_to_connect_to_ftp_server' => "Kunde inte ansluta till FTP-servern: %1",
    'backup__unable_to_read_file' => 'Kan inte läsa den säkerhetskopierade filen.',
    'backup__backup_task_does_not_exist' => "Säkerhetskopieringsaktiviteten finns inte, du ska skapa den innan du startar.",
    'backup__restore_params' => "Återställningsparametrar",
    'backup__confirmation' => "Varning: domänen kommer inte att vara tillgänglig under säkerhetskopiering/återställning.",
    'backup__backup_method' => 'Säkerhetskopieringsmetod',
    'backup__dumpfile_name' => "Den säkerhetskopierade filens namn",
    'backup__dumpfile_name_is_invalid' => "Säkerhetskopiefilens namn är ogiltigt: Använd endast alfanumeriska tecken, bindestreck, punkt och understreck. Använd inte namn som beskrivning.* som filnamn för säkerhetskopian.",
    'backup__email_required' => "Din e-postadress krävs för att hålla dig informerad om säkerhetskopieringen och återställningsförloppet. Specificera din e-post i kontodetaljerna.",
    'backup__error_during_backup' => "Kan inte skapa den säkerhetskopierade filen: %1",
    'backup__input_email_warning' => "Du måste antingen specificera en e-postadress för meddelande eller radera kryssrutan.",
    'backup__make_download' => "lagra inte den säkerhetskopierade filen i lagringen, ladda bara ner den",
    'backup__make_dump' => 'skapa säkerhetskopierad fil och lagra på lokalt lagringsställe',
    'backup__makedump_to_ftp' => 'Skapa säkerhetskopia och lagra på fjärr-FTP-server',
    'backup__restore_ip' => "IP-adress för återställning",
    'backup__select_dumpfile' => "Markera en säkerhetskopierad fil.",
    'backup__time' => "Säkerhetskopieringstid",
    'backup__day' => 'Säkerhetskopia dag',
    'backup__view_dump_info' => "Visa säkerhetskopieringsinformation för domän %1",
    'backup__wrong_domain_name' => "Säkerhetskopiefilen innehåller data för domän %1 och därför kan den inte återställas på domän %2",
    'backup__incorrect_ftp_user_or_passwd' => "Felaktig FTP-användare eller lösenord. Korrigera FTP-kontots egenskaper",
    'backup__access_denied' => "Åtkomst nekad. Korrigera FTP-kontots egenskaper",
    'backup__restore_from' => "Återställ %1",
    'backup__domain_session_failed' => 'Domän %1 har inte säkerhetskopierats',
    'backup__client_session_failed' => 'Kunden %1 har inte säkerhetskopierats',
    'backup__domain_session_restore_failed' => 'Domän %1 återställdes inte',
    'backup__client_session_restore_failed' => 'Kundkontot %1 har inte återställts.',
    'backup__domain_session_complete' => 'Domän %1 har säkerhetskopierats',
    'backup__domain_session_backup' => 'Säkerhetskopia av domän %1',
    'backup__client_session_backup' => 'Säkerhetskopiering av kund %1',
    'backup__domain_stop_title' => 'Avbryter säkerhetskopiering av domän %1',
    'backup__client_stop_title' => 'Radering av återställningen av kundkonto %1',
    'backup__domain_restore_stop_title' => 'Avbryter återställning av domän %1',
    'backup__client_restore_stop_title' => 'Radering av återställningen av kundkonto %1.',
    'backup__domain_session_backup_stop' => 'Följande aktiva säkerhetskopieringsförlopp kommer att avbrytas. Säkerhetskopia kommer inte att skapas.',
    'backup__backup_stop_confirm' => 'Ja, jag vill stoppa säkerhetskopieringsprocessen',
    'backup__restore_stop_confirm' => 'Ja, jag vill stoppa återställningsprocessen',
    'backup__domain_session_restore' => 'Återställning av domän %1',
    'backup__domain_session_restore_stop' => 'Du är i begrepp att avbryta den aktiva återställningsprocessen.',
    'backup__domain_backup_file_info' => 'Information om domänsäkerhetskopia',
    'backup__domain_backup_file_list' => 'befintliga säkerhetskopierade filer',
    'backup__domain_backup_progress' => 'Förlopp för säkerhetskopieringen av webbplatsen %1',
    'backup__domain_restore_progress' => 'Förlopp för återställningen av webbplatsen %1',
    'backup__domain_backup_progress_elapsed_time' => 'Tidsförbrukning: %1',
    'backup__domain_restore_progress_elapsed_time' => 'Tidsförbrukning: %1',
    'backup__domain_restore_session_complete' => 'Domän %1 återställs.',
    'backup__domain_restore_session_complete_message' => 'Domän %1 återställdes.',
    'backup__domain_backup_file_delete' => 'Följande säkerhetskopior kommer att tas bort:',
    'backup__domain_backup_file_for_remove' => 'Välj säkerhetskopiefiler du önskar ta bort',
    'backup__backup_overwrite_file_confirm' => 'Ersättningsbekräftelse',
    'backup__backup_overwrite_file_confirm_text' => 'Det finns redan en säkerhetskopierad fil med namnet "%1". Vill du ersätta den?',
    'backup__backup_confirm_overwrite' => 'Bekräfta filersättning',
    'backup__backup_overwrite_legeng' => 'Ersätt',
    'backup__backup_not_contain_domain' => 'Säkerhetskopiefilen innehåller inte information om domän %1',
    'backup__backup_not_contain_client' => 'Den säkerhetskopierade filen innehåller ingen information om kundkonto %1',
    'backup__backup_client_info' => "Säkerhetskopiera kundens inställningar och kontodetaljer",
    'backup__client_backup_progress' => 'Förlopp för säkerhetskopieringen av kundkontot %1',
    'backup__client_session_complete' => 'Kundkontot %1 har säkerhetskopierats',
    'backup__client_backup_file_info' => 'Information om kundens säkerhetskopierade fil',
    'backup__restore_client_info' => "Återställ kundens inställningar och kontodetaljer",
    'backup__client_session_restore' => 'Återställer kundkonto %1',
    'backup__client_db_server_map' => 'Databasservermappning',
    'backup__domain_db_server_map' => 'Databasservermappning',
    'backup__client_restore_session_complete_message' => 'Kundkontot %1 har återställts.',
    'backup__client_restore_session_complete' => 'Kundkontot %1 har återställts.',
    'backup__restore_select_some' => 'Välj objekt att återställa.',
    'backup__client_restore_progress' => 'Återställningsförlopp för kundkontot %1',
    'backup__new_backup' => 'Skapa ny säkerhetskopia',
    'backup__done' => 'Klart:',
    'backup__done_domains' => '%1 domän(er) av %2',
    'backup__done_clients' => '%1 kund(er) av %2',
    'backup__remaining' => 'Återstående:',
    'backup__remaining_domains' => '%1 domän(er)',
    'backup__remaining_clients' => '%1 kund(er)',
    'backup__overall_backup_progress' => 'Övergripande säkerhetskopieringsprocess',
    'backup__comment_n_a' => 'gäller inte',
    'backup__command_ignore' => 'Kommando "%1" är ignorerat',
    'backup__no_objects' => 'det finns inga objekt att säkerhetskopiera',
    'backup__cli_warning_not_enough_ip' => 'VARNING: inte tillräckligt med IP-adresser för att göra standard-IP-mappning:',
    'backup__local_repository' => "Plesk lagring",
    'backup__ftp_repository' => 'FTP-lagring',
    'backup__ftp_login' => 'Användarnamn',
    'backup__ftp_password' => 'Lösenord',
    'backup__ftp_account_settings' => 'FTP-kontoinställningar',
    'backup__ftp_account_preferences' => 'FTP-kontoinställningar',
    'backup__repository_not_exist' => 'Katalogen finns inte',
    'backup__repository_not_readable' => 'Den angivna katalogen kan inte läsas',
    'backup__ftp_repository_not_configure' => 'För att använda en FTP-säkerhetskopieringslagring, <a href="%1">specificera först FTP-kontot</a>',
    'backup__ftp_repository_list_not_configure' => 'Kontoinställningarna har inte specificerats',
    'backup__repository_list_unable_listing' => 'Kan inte hämta fillistan',
    'backup__ftp_repository_unable_listing' => 'Det gick inte att hämta förteckning över katalog "%1":',
    'backup__repository_legend' => 'Lagring för säkerhetskopierade filer',
    'backup__store_in_repository' => 'Lagra filer i',
    'backup__local_repository_lable' => 'Lokal lagring',
    'backup__ftp_repository_lable' => 'FTP-lagring',
    'backup__ftp_repository_not_configure_hint' => '(kontoinställningarna har inte specificerats)',
    'backup__ftp_repository_not_configure_or_forbidden_hint' => '(FTP-kontot har inte specificerats eller stöds inte)',
    'backup__other_user_process_modified' => 'En annan användare har stoppat säkerhetskopieringen eller migreringsprocessen.',
    'backup__another_user_exist' => 'Den pågående åtgärden initierades av en annan Plesk-användare. Denna användare är fortfarande inloggad i Plesk.',
    'backup__ftp_repository_wait' => 'Vänta under hämtning av information om FTP-lagringen',
    'backup__ftp_write_test_failed' => 'Kunde inte skriva testdata till FTP-kontot %1:',
    'backup__ftp_storage' => 'FTP(S)-lagring',
    'bt_upload_to_repository' => 'Ladda upp filer till lokal lagring',
    'bt_new_restore' => "Återställ",
    'bt_backup_schedule' => "Schemalagd säkerhetskopiering",
    'backup_exist_backups' => "Befintliga säkerhetskopierade filer",
    'backup_dialog__page_title' => "Skapa säkerhetskopierad fil.",
    'backup_dialog__please_wait' => "Säkerhetskopieringen är redo att påbörjas. Denna åtgärd kan ta en viss tid.  Var god vänta...",
    'backup_conf__page_title' => 'Konfigurera säkerhetskopiering',
    'bt_accept' => "Acceptera",
    'bt_access' => "Åtkomst",
    'bt_action_log' => "Åtgärdslogg",
    'bt_add' => "Lägg till",
    'bt_add_client' => "Tilldela till användare",
    'bt_database_server_add' => 'Lägg tilll databasserver',
    'bt_add_services' => "Lägg till tjänster",
    'bt_anonftp_stats' => "Anon.FTP-statistik",
    'bt_anonymous_ftp' => "Anonym FTP",
    'bt_aspdotnet' => "ASP.NET",
    'bt_attach' => "Bifoga",
    'bt_autoinstaller' => 'Uppdaterare',
    'bt_auto-updates' => 'Uppdaterare',
    'bt_back' => "<< Tillbaka",
    'bt_backup' => "Säkerhetskopiera",
    'bt_backup_configure' => "Inställningar för säkerhetskopiering",
    'bt_buy_certs' => "Köp certifikat",
    'bt_card' => "Kort",
    'bt_cert' => "Certifikat",
    'bt_certificates' => "Certifikat",
    'bt_change_passwd' => "Ändra lösenord",
    'bt_clear' => "Rensa",
    'bt_client_templates' => "Kundmallar",
    'bt_clients' => "Kunder",
    'bt_codepage_change' => 'Ändra Encoding',
    'bt_comp_info' => "Komponenthantering",
    'bt_configure_maillists' => "Konfigurera Mailman",
    'bt_configure' => 'Anpassa',
    'bt_copy' => "Kopiera",
    'bt_copy_move' => "Kopiera/flytta",
    'bt_create' => "Skapa",
    'bt_create_account' => "Skapa ett konto",
    'bt_create_dir' => "Lägga till en katalog",
    'bt_create_file' => "Lägg till fil",
    'bt_count_size' => "Beräkna storlek",
    'bt_crontab_unix' => "Schema",
    'bt_crontab_win' => "Schemaläggaren",
    'bt_custom_button_new' => "Lägg till en knapp",
    'bt_custom_buttons' => "Anpassade knappar",
    'bt_customize' => "Anpassa",
    'bt_databases' => "Databaser",
    'bt_database_servers' => 'Databasservrar',
    'bt_sqlservers' => "Databasservrar",
    'bt_db_usr_new' => "Lägg till en databasanvändare",
    'bt_db_new' => "Lägg till en databas",
    'bt_db_phpmyadmin' => "MySQL Admin",
    'bt_dbuser_default' => "Ange som standard för DB Webadmin",
    'bt_decline' => "Avböj",
    'bt_default' => "Standard",
    'bt_defaultcomponents' => "Tredje parts tjänster",
    'bt_defaults' => "Standard",
    'bt_delete' => "Ta bort",
    'bt_directories' => "Skyddade kataloger",
    'bt_disable' => "Stänga av",
    'bt_dns_zone_sync' => 'Tillämpa DNS-malländringarna',
    'bt_dnsrecord_add' => 'Lägg till post',
    'bt_do_backup' => "Säkerhetskopiera",
    'bt_do_restore' => "Återställ",
    'bt_do_upload' => "Ladda upp",
    'bt_domain_aliases' => "Domänalias",
    'bt_domain_templates' => "Domänmallar",
    'bt_domain_user' => "Domänadministratör",
    'bt_domain_user_passwd' => "Domänadministratörslösenord",
    'bt_domains' => "Domäner",
    'bt_domain_alias_add' => 'Lägg till domänalias',
    'bt_download' => "Hämta",
    'bt_edit' => "Redigera",
    'bt_enable' => "Slå på",
    'bt_export' => 'Exportera',
    'bt_extras' => "Tillägg",
    'bt_finish' => "Slutför",
    'bt_ftp_account' => "FTP-kontoegenskaper",
    'bt_forget_password' => "Glömt lösenordet?",
    'bt_fp_ssl_webadmin' => "FP-SSL/TLS Webadmin",
    'bt_fp_webadmin' => "FP Webadmin",
    'bt_ftp_stats' => "FTP-status",
    'bt_get_password' => "Hämta lösenord",
    'bt_global_changes' => "Ändra",
    'bt_help' => "Hjälp",
    'bt_hide_aliases' => "Dölj alias",
    'bt_hide_toolbar' => 'Dölj verktygsfält',
    'bt_hide_subdomains' => "Dölj subdomäner",
    'bt_hide_domainaliases' => "Dölj domänaliaser",
    'bt_home' => "Hem",
    'bt_hosting' => "Värding",
    'bt_icf' => 'Brandvägg',
    'bt_install' => "Installera",
    'bt_ip_aliasing' => "IP-adresser",
    'bt_ip_add' => "Lägg till IP-adress",
    'bt_ip_pool' => "IP-pool",
    'bt_key_info' => "Licensinformation",
    'bt_key_buyonline_addons' => 'Beställ Plesk-tillägg.',
    'bt_key_buyonline_upgrades' => 'Beställ Plesk-uppgraderingar.',
    'bt_key_buyonline_new' => 'Beställ ny nyckel',
    'bt_limits' => "Gränser",
    'bt_locale_add' => 'Lägg till språkversion',
    'bt_locales' => 'Språk',
    'bt_log_manager' => "Log Hanterare",
    'bt_login' => "Logga in",
    'bt_logo' => "Branding",
    'bt_logo_send_link' => "Bifoga länk",
    'bt_logo_send_logo' => "Bifoga logotyp",
    'bt_logout' => "Logga ut",
    'bt_logrotation' => "Loggrotering",
    'bt_mail' => "E-post",
    'bt_mail_alias_add' => "Lägg till e-postalias",
    'bt_mail_aliases' => "E-postaliaser",
    'bt_mail_group_add' => "Lägg till medlem",
    'bt_mail_groups' => "Grupper",
    'bt_mail_name_add' => "Lägg till E-postkonto",
    'bt_mail_preferences' => "Inställningar",
    'bt_mail_group' => "E-postgrupp",
    'bt_mail_mailbox' => "E-postkonto",
    'bt_mail_redirect' => "Sändare",
    'bt_mail_resp_add' => "Lägg till automatsvar",
    'bt_mail_resp_attach_add' => "Lägg till bifogad fil",
    'bt_mail_resp_files' => "Bifogade filer",
    'bt_mail_responders' => "Autosvar",
    'bt_mail_spamfilter' => "Skräppostfilter",
    'bt_mail_webmail' => "Webbpost",
    'bt_maillist_new' => "Lägg till e-postlista",
    'bt_maillists' => "E-postlistor",
    'bt_mailman' => "Mailman",
    'bt_make_dump' => "Skapa säkerhetskopia",
    'bt_manage' => "Hantera",
    'bt_master' => "Huvud",
    'bt_migrate' => 'Migrera',
    'bt_modules_add' => 'Lägg till ett tillägg',
    'bt_modules_manage' => 'Hantera tillägg',
    'bt_move' => "Flytta",
    'bt_new_client' => "Lägg till Kundkonto",
    'bt_new_domain' => "Lägg till domän",
    'bt_next' => "Nästa>>",
    'bt_next_page' => "Nästa",
    'bt_network_add' => "Lägg till nätverk",
    'bt_notifications' => "Meddelanden",
    'bt_off' => "Av",
    'bt_on' => "På",
    'bt_on_off' => "På/Av",
    'bt_performance' => 'Uppträdande',
    'bt_permissions' => "Behörigheter",
    'bt_phpmyadmin' => "PhpMyAdmin",
    'bt_postgre_sql' => "PostgreSQL",
    'bt_preferences' => "Inställningar",
    'bt_prev_page' => "Föreg",
    'bt_preview' => 'Förhandsgranska webplats',
    'bt_print' => "Skriv ut",
    'bt_reboot' => "Starta om",
    'bt_reload' => "Läsa in igen",
    'bt_refresh' => "Uppdatera",
    'bt_register' => "Registrera",
    'bt_remove' => "Ta bort",
    'bt_enable_selected' => 'Slå på',
    'bt_disable_selected' => 'Stänga av',
    'bt_repair_ip' => "Reparation IP",
    'bt_report' => "Rapport",
    'bt_report_new' => "Lägg till layout",
    'bt_reset' => "Återställ",
    'bt_restart_services' => "Tjänstehantering",
    'bt_save' => "Spara",
    'bt_send_by_email' => "Skicka med e-post",
    'bt_send_file' => "Skicka fil",
    'bt_send_mail' => "Skicka e-post",
    'bt_send_passwd' => "Skicka lösenord",
    'bt_send_text' => "Skicka Text",
    'bt_server' => "Server",
    'bt_server_add' => "Lägg till server",
    'bt_server_preferences' => "Serverinställningar",
    'bt_servers_list' => "Servrar",
    'bt_sessions' => "Sessioner",
    'bt_set' => "Ställ in",
    'bt_set_as_default' => "Ange som standard",
    'bt_setup' => 'Installation',
    'bt_show_aliases' => "Visa alias",
    'bt_show_subdomains' => "Visa subdomäner",
    'bt_show_domainaliases' => "Visa domänaliaser",
    'bt_shutdown' => "Stäng av",
    'bt_site_apppkgs' => "Applikationsvalv",
    'bt_site_apppool' => "applikation Pool",
    'bt_application-pool' => "Webbapplikationer",
    'bt_site_apps' => "Webbapplikationer",
    'bt_site_app_add' => "Installera applikationen",
    'bt_site_builder' => "Presence Builder-stöd",
    'bt_skeleton' => 'Virtuell värdsservers innehåll',
    'bt_skins' => 'Skalutseenden',
    'bt_skin_add' => 'Lägg till skal',
    'bt_skin_manual' => 'Referens för anpassade Plesk-skal', // not used
    'bt_skin_download' => 'Ladda ner skal',
    'bt_skin_replace' => 'Uppdatera skal',
    'bt_skip' => 'Hoppa över',
    'bt_spamassassin' => "Skräppostfilter",
    'bt_spamassassin_train' => "Utbildning",
    'bt_spamfilter' => "Skräppostfilter",
    'bt_start' => "Start",
    'bt_stop' => "Stopp",
    'bt_recycle' => "Återvinna",
    'bt_statistics' => "Statistik",
    'bt_subdomain_new' => "Lägg till subdomän",
    'bt_subdomains' => "Subdomäner",
    'bt_submit' => "Skicka",
    'bt_summary_report' => "Sammanfattningsrapport",
    'bt_support' => "Stöd",
    'bt_switch' => "Kontakt",
    'bt_system_time' => "Systemtid",
    'bt_task_new' => "Lägg till uppgift",
    'bt_dom_tmpl_add' => 'Lägg till Domänmall',
    'bt_cl_tmpl_add' => 'Lägg till kundmall',
    'bt_cron_backup' => 'Inställningar för schemalagd säkerhetskopiering',
    'bt_test' => "Test-anslutning",
    'bt_text' => "Text",
    'bt_touch' => "Ändra tidsstämpel",
    'bt_traffic' => "Trafik",
    'bt_traffic_history' => "Trafikhistorik",
    'bt_update' => "Uppdatera",
    'bt_upload' => "Ladda upp",
    'bt_upload_from_ftp' => "FTP-överföringar",
    'bt_virtualdirs' => 'Virtuella kataloger',
    'bt_virtualdir_new' => 'Lägg till Virtuell Katalog',
    'bt_virtualdir_add' => 'Lägg till Virtuell Katalog',
    'bt_web_app_new' => "Installera Java-program",
    'bt_web_stats' => "Webbstatistik",
    'bt_web_stats_ssl' => "Webbstatistik SSL/TLS",
    'bt_web_user_add' => "Lägg till webbanvändare",
    'bt_web_users' => "Webbanvändare",
    'bt_webadmin' => "Webadmin",
    'bt_webalizer' => "Webalizer",
    'bt_whats_new_full' => "Se fullständig lista över ändringar",
    'cert_add__unable_set_ca_cert' => "Det gick inte att ställa in CA-certifikatet: %1",
    'cert_add__unable_set_cert' => "Det gick inte att ställa in certifikatet: %1",
    'cert_add__unable_set_private_key' => "Det gick inte att ställa in den privata nyckeln: %1",
    'certificates_list__certificate_used_as_default' => "Ett av certifikaten du är på väg att ta bort används som standardcertifikat.",
    'certificates_list__certificates_assigned_on_ip' => "ett eller flera certifikat är tilldelade till IP-adresserna/domänerna.",
    'ch_pass__admin_pass' => "Ändra administratörens lösenord",
    'ch_pass__old_pass' => "Gammalt lösenord",
    'ch_pass__pass_confirm' => "Bekräfta",
    'ch_pass__unable_change_admin_pass' => "Kan inte ändra administratörens lösenord: %1",
    'check_mail_cycle__aliases' => "E-postcykling detekteras och adressen \"%1\" finns i aliaserna för detta e-postkonto.",
    'check_mail_cycle__autoresponders' => "E-postcykling detekteras och adressen \"%1\" finns i automatsvaret för detta e-postkonto.",
    'check_mail_cycle__mail_groups' => "E-postcykling detekteras och adressen \"%1\" finns i e-postgruppen för detta e-postkonto.",
    'check_mail_cycle__mail_name' => "E-postcykling detekteras och adressen \"%1\" sammanfaller detta e-postkonto.",
    'check_mail_cycle__redirect' => "E-postcykling detekteras och adressen \"%1\" sammanfaller med adressen för vidarebefordran för detta e-postkonto.",
    'check_mail_dup__redirect' => "En dubbel vidarebefordran detekteras och adressen \"%1\" sammanfaller med adressen för vidarebefordran för detta e-postkonto.",
    'check_mail_dup__mail_groups' => "En dubbel vidarebefordran detekteras och adressen \"%1\" finns i e-postgruppen för detta e-postkonto.",
    'check_maillist_cycle__admin' => "E-postcykling detekteras och administratörens e-postadress \"%1\" sammanfaller med adressen för e-postlistan.",
    'check_maillist_cycle__member' => "E-postcykling detekteras och adressen \"%1\" sammanfaller med adressen för e-postlistan.",

    // end of shramko part

    // serge part
    'cl_ed__edit_cl' => "%1 kontouppgifter",
    'cl_limits__cl' => "Kundens %1 gränser",
    'cl_logo__setup_logo_pref' => "Ställ in logoegenskaper för kund %1",
    'cl_new__enter_new_cl_data' => "Ange informationen om den nya kunden",
    'cl_new__unable_to_sent_notification' => 'Användarkontot har skapats, men sändningen av en avisering till kunden misslylckades: %1',
    'cl_perm__all_ip' => "Alla tillgängliga IP",
    'cl_perm__all_ip_based_hst_will_be_nb' => "Alla IP-baserade värdtjänstkonton för kunder kommer att överföras till namnbaserade.",
    'cl_perm__allow_client_create_domain' => "Fälten du försöker välja är endast tillämpbara på kunder som får skapa domäner.",
    'cl_perm__allow_create_nb_w_ip' => "Kunden kan skapa namnbaserad värdtjänst genom att använda %1",
    'cl_perm__allow_creation_ip_based_hosting' => "Tillåt IP-baserade värdtjänst-kontoskapanden",
    'cl_perm__available_ips' => "Tillgängliga IP:n",
    'cl_perm__change_limits' => "Gränsjusteringar",
    'cl_perm__cl_disk_space' => "Totalt tillgängligt diskutrymme",
    'cl_perm__cl_expiration' => "Kundkontots giltighetsperiod",
    'cl_perm__cl_max_box' => "E-postlådor",
    'cl_perm__cl_max_db' => "Databaser",
    'cl_perm__cl_max_dom' => "Domäner",
    'cl_perm__cl_max_maillists' => "E-postlistor",
    'cl_perm__cl_max_subdom' => "Subdomäner",
    'cl_perm__cl_max_traffic' => "Total mängd tillgänglig trafik",
    'cl_perm__cl_max_wu' => "Webbanvändare",
    'cl_perm__cl_mbox_quota' => "E-postlådans storleksgräns för detta användarkonto",
    'cl_perm__current_maximum_exp_date' => "Aktuellt maximalt värde för domänens giltighetsperiod är %1; begärt %2.",
    'cl_perm__current_maximum_mailbox_quota' => "Den aktuellt definierade gränsen för mängden diskutrymme som allokeras för e-postlådor i detta användarkonto är %1; begärt %2",
    'cl_perm__current_total_requested' => "Aktuellt totalt värde av domängränser för %1 är %2; begärt %3.",
    'cl_perm__current_total_requested_dom' => "Aktuellt antal %1 som tillhör denna kund är %2: begärt %3.",
    'cl_perm__disk_space' => "max mängd diskutrymme",
    'cl_perm__dashboard_stdgui' => 'Användargränssnitt',
    'cl_perm__dashboard' => 'Startsidevy',
    'cl_perm__stdgui' => 'Standardvy',
    'cl_perm__manage_dashboard' => 'Hantering av startsidan',
    'cl_perm__dashboard_and_stdgui' => 'Startsidevy och standardvy tillåts',
    'cl_perm__dashboard_only' => 'Endast Startsidevy tillåts',
    'cl_perm__stdgui_only' => 'Bara standardvy är tillåtet',
    'cl_perm__edit_cl' => "Kundens %1 behörigheter",
    'cl_perm__exp_date_exceeded' => "Giltighetsperioden du försöker ställa in överskrider den gräns som har specificerats inom de individuella domäner som gäller denna kund.",
    'cl_perm__invalid_value' => "Ogiltigt värde, bara siffror är tillåtet.",
    'cl_perm__limit_disk_space' => "%1 Begränsa den totala mängden diskutrymme",
    'cl_perm__limit_expiration' => "%1 Begränsa giltighetsperioden för kundkontot",
    'cl_perm__limit_max_box' => "%1 Begränsa maximalt antal e-postkonton",
    'cl_perm__limit_max_db' => "%1 Begränsa maximalt antal databaser",
    'cl_perm__limit_max_dom' => "%1 Begränsa maximalt antal domäner",
    'cl_perm__limit_max_maillists' => "%1 Begränsa maximalt antal e-postlistor",
    'cl_perm__limit_max_subdom' => "%1 Begränsa maximalt antal subdomäner",
    'cl_perm__limit_max_traffic' => "%1 Begränsa den totala mängden trafik",
    'cl_perm__limit_max_wu' => "%1 Begränsa maximalt antal webbanvändare",
    'cl_perm__limit_mbox_quota' => "%1 Ställ in e-postkvoten",
    'cl_perm__limits_exceeded' => "En eller flera gränser du försöker ställa in överskrider de gränser som har specificerats inom de individuella domäner som gäller denna kund.\nDen totala gränsen för kunden måste vara högre än eller lika med totalsumman för domängränserna som anges för detta kundkonto.",
    'cl_perm__mailbox_quota_exceeded' => "Gränsen för mängden diskutrymme som allokerats för e-postlådorna du försöker ställa in överskrider gränsen som definierats inom de individuella domäner som gäller detta kundkonto.",
    'cl_perm__mailbox_quota_exceeds_server_limit' => "Gränsen för mängden diskutrymme reserverat för e-postkonton som du försöker ställa in överstiger begränsningen som angetts på servernivån.",
    'cl_perm__make_dumps' => "Säkerhetskopiera och återställ datafiler",

    'cl_perm__max_box' => "maximalt antal e-postkonton",
    'cl_perm__max_db' => "maximalt antal databaser",
    'cl_perm__max_dom' => "domäner",
    'cl_perm__max_maillists' => "maximalt antal e-postlistor",
    'cl_perm__max_subdom' => "subdomäner",
    'cl_perm__max_traffic' => "maximal trafikmängd",
    'cl_perm__max_wu' => "maximalt antal webbanvändare",
    'cl_perm__max_dom_aliases' => "domänalias",
    'cl_perm__mbox_quota' => "e-postkvot",
    'cl_perm__not_allow_create_nb_hst' => "Kunden kan inte skapa namnbaserad värdtjänst.",
    'cl_perm__this_ip_used_vrt_hst' => "Denna IP-adress används av virtuell värdtjänst.\nFör att radera IP-adressen, ta bort värdtjänsttjänsten eller ändra dess typ till namnbaserad.",
    'cl_perm__unable_off_ipb_creating' => "Kunden har redan IP-baserad värdtjänsttjänst inställd. För att inaktivera denna funktion för kunden, radera kryssrutan \"Domänskapande\" eller ta bort alla IP-baserade värdtjänstkonton.",
    'cl_perm__unable_off_nb_creating' => "Kunden har redan en namnbaserad värdtjänsttjänst inställd. För att inaktivera denna funktion för kunden, radera kryssrutan \"Domänskapande\" eller ta bort alla namnbaserade värdtjänstkonton.",
    'cl_perm__unable_set_domain_limit' => "Kan inte begräns adet maximala antalet domäner: kunden har redan %1 domäner",
    'cl_perm__unable_update_client_limitations' => "Kan inte ändra gränserna för kundkontot: %1",
    'cl_pref__edit_cl' => "Kundens %1 preferenser",
    'class_anonftp__create_ftp_domain' => "Ingen virtuell FTP-domän för detta dom_id. Försök skapa det först.",
    'class_anonftp__incoming_disk_space_should_be_lower' => "Diskutrymmesgränsen som du försöker ange (%1) får inte överstiga den totala diskutrymmesgränsen definierad på domännivån (%2).",
    'class_anonftp__invalid_input_only_digits' => "Ogiltigt värde har angetts, bara siffror är tillåtet.",
    'class_anonftp__unable_change_ownerships' => "Kan inte ändra ägarskap eller behörigheter för kvotfilen: %1",
    'class_anonftp__unable_copy_quota_file' => "Kan inte kopiera den angivna filen: %1",
    'class_anonftp__unable_get_disk_usage' => "Det gick inte att hämta diskanvändningsinformation om den inkommande katalogen: %1",
    'class_anonftp__unable_parse_quota_file' => "Kan inte analysera kvotfilen.",
    'class_anonftp__unable_read_quota_file' => "Kan inte läsa kvotfilen: %1",
    'class_anonftp__unable_update_quota' => "Det gick inte att uppdatera kvoten: filerna i den inkommande katalogen använder %1 KB diskutrymme, vilket överstiger det nya kvotvärdet.",
    'class_anonftp__unable_write_temp_file' => "Kan inte skriva till den tillfälliga filen: %1",
    'class_bsdomain__warn_max_date__' => "Utgångsdatum har angetts till %1",
    'class_client__client_creation_notification' => "Kundens skapande av meddelande.",
    'class_client__client_with_contact_name_already_exists' => "Kunden med namnet %1 finns redan.",
    'class_client__disk_space' => "Utrymme",
    'class_client__invalid_max_dom' => "Ogiltigt värde för antal domäner, endast siffror är tillåtet.",
    'class_client__limit_exceed' => "Den begärda andelen för %1 kan inte tilldelas eftersom det gör att kundens tilldelning överskrids i %2 kontot (%3). Om du vill allokera flera resurser, gå till Kunder > kundnamn > Gränser och ändra tilldelningarna vid behov. Återgå sedan till denna skärm och försök justera tilldelningarna igen.",
    'class_client__limit_exceed_unlimited' => "Om du vill allokera en obegränsad mängd resurser (%1), ska du först gå till Kunder > kundnamn > Gränser och välja kryssrutan Obegränsad som motsvarar önskad resurstyp. Återgå sedan till denna skärm och försök justera tilldelningarna igen.",
    'class_client__max_box' => "E-postlådor",
    'class_client__max_db' => "Databaser",
    'class_client__max_maillists' => "E-postlistor",
    'class_client__max_subdom' => "Subdomäner",
    'class_client__max_traffic' => "Maximal trafik",
    'class_client__max_wu' => "Webbanvändare",
    'class_client__max_dom_aliases' => "Domänalias",
    'class_client__mbox_quota' => "E-postkvot",
    'class_client__unable_define_cl_status' => "Kan inte definiera status för kundkontot: %1",
    'class_client__unable_define_inactive_dom' => "Kan inte till definiera inaktiv domän %1.",
    'class_client__unable_del_ip' => "Kan inte ta bort IP: %1",
    'class_db__db_name_not_set' => "Databasens namn är inte angett.",
    'class_db__db_not_exist_for_curr_dom' => "Databasen finns inte för denna domän.",
    'class_db__invalid_db_or_dom_name' => "Domänen eller databas-ID är ogiltigt eller databasnamnet är inte definierat.",
    'class_db__invalid_pass' => "Lösenordet är ogiltigt.",
    'class_db__mailgrp_member_exist' => "E-postgruppens medlemm finns redan",
    'class_db__access_hosts_notsupport' => 'Åtkomsten till värdinställningen stöds inte för denna databastyp',
    'class_db__unable_add' => 'Det gick inte att lägga till åtkomstvärd-posten: %1',
    'class_db__unable_del' => 'Det gick inte att radera åtkomstvärd-posten: %1',
    'class_db__inc_user_not_exist' => 'Databasanvändaren "%1" finns inte',
    'class_db__inc_access_record_exist' => 'Denna åtkomstpost finns redan',
    'class_db__inc_access_record_not_exist' => 'Den givna åtkomstposten existerar inte',
    'class_db__inc_unable_del_last_record' => 'Kan inte radera den senaste åtkomstvärdens post',
    'class_domtmpleditform__dns_master' => "Primär",
    'class_domtmpleditform__dns_slave' => "Sekundär",
    'class_domtmpleditform__dns_type' => "Typ av domän-DNS-zon",
    'cmd_dns__a_dns_record_already_exist' => "A-post står i strid med klisterposten för zonen.",
    'cmd_dns__domain_last_ns' => 'Kan inte radera den senaste NS DNS-posten för domänen.',
    'cmd_dns__canonical_dom_name_is_invalid' => "Det kanoniska domännamnet är ogiltigt.",
    'cmd_dns__cname_dns_record_already_exist' => "CNAME-post står i strid med klisterposten för zonen.",
    'cmd_dns__cname_in_rr_combination' => 'Felaktig kombination av DNS-poster finns i DNS-zonen',
    'cmd_dns__cname_coexist_with_data' => 'CNAME DNS-zonposten kan inte samexistera med andra DNS-poster i samma zon.',
    'cmd_dns__dns_record_type_is_invalid' => "DNS-posttypen är ogiltig.",
    'cmd_dns__ext_host_is_not_resolved' => "Det kanoniska namnet %1 kan inte lösas med A eller AAAA uppgiften.",
    'cmd_dns__domain_restore_dns_zone_failed_add_record' => 'Kan inte lägga till uppgiften %1 till zonen %2: %3',
    'cmd_dns__mail_dom_name_is_invalid' => "E-postutväxlarnamnet är ogiltigt.",
    'cmd_dns__mx_priority_is_invalid' => "MX-prioriteten är ogiltig.",
    'cmd_dns__name_server_is_invalid' => "Namnserver är ogiltig.",
    'cmd_dns__network_mask_should_be_24_16_or_8' => "Nätverksmaskens värde ska vara 24, 16 eller 8.",
    'cmd_dns__this_dns_record_already_exists' => "En sådan DNS-post finns redan.",
    'cmd_dns__unable_add_record' => "Kan inte lägga till '%1'-posten: %2",
    'cmd_dns__unable_add_a_record' => "Kan inte lägga till A-posten: %1",
    'cmd_dns__unable_add_cname_record' => "Det gick inte att lägga till CNAME-posten: %1",
    'cmd_dns__unable_add_dns_record' => "Det gick inte att lägga till DNS-posten: %1",
    'cmd_dns__unable_add_ext_ns_record' => "Kan inte lägga till EXT_NS-posten: %1",
    'cmd_dns__unable_add_ns_record' => "Det gick inte att lägga till NS-posten: %1",
    'cmd_dns__unable_add_ptr_record' => "Det gick inte att lägga till PTR-posten: %1",
    'cmd_dns__unable_add_txt_record' => "Det gick inte att lägga till TXT-posten: %1",
    'cmd_dns__unable_create_dns_zone' => "Kan inte skapa DNS-zonen %1",
    'cmd_dns__unable_define_dns_record' => "Kan inte definiera DNS-posten %1.",
    'cmd_dns__unable_get_default_dns_zone_status_set_true' => "Det gick inte att hämta status för standard-DNS-zon: %1",
    'cmd_dns__unable_insert_a_record' => "Det gick inte att infoga A-post: %1",
    'cmd_dns__unable_insert_mx_record' => "Det gick inte att infoga MX-post: %1",
    'cmd_dns__unable_insert_ns_record' => "Det gick inte att infoga NS-post: %1",
    'cmd_dns__unable_set_dns_zone_status' => "Det gick inte att ange status för standard-DNS-zon: %1",
    'cmd_domains__dom_already_exists' => "Domänen %1 finns redan.",
    'cmd_domains__dns_record_already_exists' => "Kan inte skapa domänen %1 eftersom en DNS-post som pekar på värddatorn %1 redan finns.",
    'cmd_domains__dom_already_exists1' => "Det finns %2 subdomäner i denna domän. Domänen %1 finns redan.",
    'cmd_domains__dom_already_exists2' => "underdomänen %1 finns redan.",
    'cmd_domains__dalias_already_exists' => "Denna alias finns redan.",
    'cmd_domains__domain_alias_already_exists' => 'En domänalias med ett sådant namn finns redan.',
    'cmd_domains__unable_del_mail_for_dom' => "Kan inte radera e-posttjänsterna för domänen: %1",
    'cmd_domains__unable_delete_anonymous_ftp' => "Kan inte radera ett anonymt FTP-kontos egenskaper: %1",
    'cmd_domains__unable_update_dom_param' => "Det gick inte att uppdatera domänparametrarna: %1.",
    'cmd_domains__unable_rename_client_exist' => "domänens administratörsanvändarnamnet används redan.",
    'cmd_hosting__hst_type_is_not_physical_hst' => "Värdtjänsttypen är inte fysisk.",
    'cmd_hosting__unable_create_user' => "Kan inte skapa användare %2: %1",
    'cmd_hosting__unable_define_ip_addr_for_name_based_virtual_hosts' => "Kan inte definiera IP-adressen för namnbaserade virtuella värdar: %1",
    'cmd_hosting__unable_del_old_hst' => "Kan inte radera den tidigare inställda värdtjänsten: %1",
    'cmd_hosting__unable_del_protected_directory' => "Det går inte att ta bort skyddade katalog: %1.",
    'cmd_hosting__unable_del_web_user' => "Det går inte att ta bort webbanvändare: %1",
    'cmd_hosting__unable_make/update_virtual_host' => "Kan inte skapa eller uppdatera den virtuella värden: %1",
    'cmd_hosting__unable_make_frame_forward_hst' => "Kan inte ställa in ramens vidarebefordran-värdtjänst.",
    'cmd_hosting__unable_rebuild_ftp_config' => "Kan inte återuppbygga proftpd-konfigurationsfilen %1.",
    'cmd_hosting__unable_set_up_ssl' => "Det går inte att konfigurera SSL/TLS: %1.",
    'cmd_hosting__unable_unprotect_ssl_directory' => "Det går inte att ta bort skydd från SSL/TLS-katalog: %1",
    'cmd_hosting__unable_update_dest_url' => "Kan inte uppdatera destinations-URL %1.",
    'cmd_hosting__unable_update_dns_zone_for_dom_unable_exec_util' => "Det går inte att uppdatera DNS-zonen för domänen: verktygsexekveringen misslyckades.",
    'cmd_hosting__unable_update_ftp_passwd' => "Kan inte uppdatera FTP-lösenordet %1.",
    'cmd_hosting__unable_update_user' => "Kan inte uppdatera användare %2: %1",
    'cmd_hosting__unknown_hst_type' => "Okänd värdtjänsttyp.",
    'cmd_hosting__you_not_have_permission_del_hst' => "Du saknar behörighet att avsluta värdtjänsttjänsten.",
    'cmd_mail__autoresponder__not_configured' => "Autosvar för detta e-postkonto har inte konfigurerats.",
    'cmd_mail__addr_already_used_in_mail_redirect' => "Adressen %1 används redan för vidarebefordran av e-post.",
    'cmd_mail__alias_already_exists' => "alias finns redan.",
    'cmd_mail__autoresp_id_and_mailname_id_not_match' => "Autosvarets ID och e-postkontots ID matchar inte.",
    'cmd_mail__autoresp_id_is_undefined' => "Autosvar-ID är odefinierat.",
    'cmd_mail__mail_alias_already_exists_in_mail_name' => "E-postalias med ett sådant namn finns redan för e-postkonto %1.",
    'cmd_mail__mail_name_already_exists_in_maillists' => "E-postkontot %1 är redan abonnerat på denna utskickslista av e-post.",
    'cmd_mail__mail_name_alredy_exist_in_dom' => "E-postkontot %1 finns redan i denna domän.",
    'cmd_mail__mail_name_not_exist' => "E-postkontot finns inte.",
    'cmd_mail__mail_name_passwd_part' => "Lösenordet får inte innehålla e-postkontonamnet som en del av det.",
    'cmd_mail__maillist_already_exist_in_this_dom' => "E-postlista %1 finns redan på denna domän.",
    'cmd_mail__mailname_already_exist_in_mg' => "E-postkontot %1 är redan med i en e-postgrupp.",
    'cmd_mail__mailname_already_exist_in_this_dom' => "E-postkontot %1 finns redan i denna domän.",
    'cmd_mail__mailname_already_exists' => "E-postkontot finns redan.",
    'cmd_mail__mailname_is_invalid' => "E-postkontonamnet %1 är ogiltigt.",
    'cmd_mail__mailname_unable_update' => "Kan inte uppdatera e-postkontos egenskaper:",
    'cmd_mail__max_autoresp_reached_for_this_dom' => "Maximalt antal autosvar har nåtts för denna domän.",
    'cmd_mail__max_mail_groups_num_has_been_reached_for_this_dom' => "Maximalt antal e-postgrupper har nåtts för denna domän.",
    'cmd_mail__max_num_of_redirects_has_been_reached_for_this_dom' => "Maximalt antal vidarebefordrare har nåtts för denna domän.",
    'cmd_mail__max_postboxes_num_has_been_reached' => "Maximalt antal e-postlådor har nåtts.",
    'cmd_mail__no_members_specified' => "inga medlemmar har specificerats.",
    'cmd_mail__the_passwd_is_too_simple_choose_another' => "Lösenordet är för enkelt, välj ett annat.",
    'cmd_mail__this_addr_already_exist_in_mg_or_mn' => "Denna e-postadress används redan.",
    'cmd_mail__unable_define_autoresp_id' => "Kan inte definiera autosvar-ID: %1.",
    'cmd_mail__unable_update_mail_for_dom' => "Kunde inte radera e-posttjänsterna för domänen: %1",
    'cmd_mail__unable_del_mail_for_dom' => "Kan inte ta bort e-posttjänsten från domänen: %1.",
    'cmd_mail__unable_del_mail_redirection' => "Kan inte ta bort e-postsändningstjänsten %1",
    'cmd_mail__unable_remove_autoresp' => "Kan inte ta bort autosvar: %1",
    'cmd_mail__unable_remove_mail_group_members' => "Kan inte ta bort e-postgruppmedlemmarna: %1",
    'cmd_mail__unable_turn_off_mail_group' => "Klicka för att stänga av e-postgruppen: %1",
    'cmd_mail__unable_update_mail_redirect' => "Kan inte omkonfigurera e-postsändningstjänsten %1",
    'cmd_mail__uploaded_file_is_too_big' => "Den uppladdade filstorleken är för stor.",
    'cmd_mail__additionally' => "Dessutom:",
    'cmd_pd__invalid_login' => "Felaktigt användarnamn.",
    'cmd_pd__this_user_already_exist' => "Denna användaren finns redan.",
    'cmd_pd__unable_define_hst_type' => "Kan inte definiera värdtjänsttyp.",
    'cmd_pd__unable_upd_pd_usr' => "Kan inte uppdatera egenskaper för skyddad katalog-användare: %1.",
    'cmd_pd__user_is_undefined' => "Användaren är odefinierad.",
    'cmd_server__no_enough_free_disk_space' => "Det finns inte tillräckligt med ledigt diskutrymme.",
    'cmd_server__old_passwd_is_incorrect_please_try_again' => "det gamla lösenordet är felaktigt. Försök igen.",
    'cmd_web_usr__max_web_users_reached_for_this_dom' => "gräns för maximalt antal webbanvändare har nåtts för denna domän.",
    'cmd_web_usr__unable_create_user' => "kan inte skapa systemanvändare: %1",
    'cmd_web_usr__unable_define_max_web_users_limit' => "kan inte definiera gräns för maximalt antal webbanvändare: %1",
    'cmd_web_usr__user_already_exists' => "Användaren finns redan.",
    'cmd_web_usr__web_user_name_is_invalid' => "webbanvändarnamnet %1 är ogiltigt.",
    'cmd_web_usr__web_user_not_exist' => "webbanvändaren finns inte.",
    'common_func__exec_bad_argument' => "exec-argumentet ska inte innehålla enkelt citattecken.",
    '__eol' => 'Radbrytningar',
    'eol__binary_file' => 'Kan inte ändra radbrytningsstil i binär fil.',
    'cp_access_admin_deny' => "Åtkomst för administratören från adressen '%1'  är begränsad enligt IP-åtkomstens begränsningspolicy som tillämpas för närvarande.",
    'create_domain_warn__' => "Följande undantag gjordes under domänskapande:",
    'create_domain__client_select' => 'Markera kunden du vill skapa domänen för',

    'dashboard__nav_button_name' => "Hem",
    'dalias__list_title' => 'Domänalias för domänen %1',
    'dalias__list_legend' => 'Domänalias',
    'dalias__list_header' => 'Domänalias',
    'dalias__list_status' => 'S',
    'dalias__list_name' => 'Domänens aliasnamn',
    'dalias__list_ascii_name' => 'I ASCII-format',
    'dalias__remove_title' => 'Följande domänalias för domänen %1 kommer att tas bort:',
    'dalias__select_domain_aliases_to_remove' => 'Välj domänalias som ska tas bort.',
    'dalias__mail_turn_on_failed' => 'Kan inte aktivera e-posttjänsten: %1',
    'dalias__web_turn_on_failed' => 'Kan inte aktivera webbtjänsten: %1',
    'db_usr_edit__db_usr_name_old' => "Den tidigare databasens användarnamn",
    'database_server_edit_form__cannot_infer_type' => 'Kan inte känna av anslutningsmetod baserat på angiven data. Ange "127.0.0.1" som värdnamn för databasservernm för att ansluta över TCP/IP med angiven port, eller lämna portfältet tomt för att använda Unix-socket "%1".',
    'database_server_edit_form__duplicate' => 'En databasserver med denna kombination av värddatoradresser och portnummer har redan registrerats.',
    'database_server_edit_form__host_is_invalid' => 'Angivet värdnamn är inte giltigt.',
    'database_server_edit_form__port_is_invalid' => 'Angivet portnummer är inte giltigt.',
    'database_server_error__consult_admin' => 'Kontakta serveradministratören.',
    'database_server_error__last__connection_failed' => 'Det senaste försöket att kontrollera denna databasserver misslyckades till följd av nätproblem.',
    'database_server_error__last__permission_denied' => 'Det senaste försöket att kontrollera denna databassserver misslyckades på grund av att kontot ifråga inte har administrativa behörigheter.',
    'database_server_error__last__credentials_not_set' => "Det senaste försöket att ansluta till denna server misslyckades eftersom giltigt användarnamn och lösenord för administratören ej angetts.",
    'database_server_error__last__other_error' => 'Det senaste försöket att kontrollera denna databasserver misslyckades.',
    'database_server_error__real__connection_failed' => 'Anslutningen till databasservern misslyckades till följd av nätverksproblem:',
    'database_server_error__real__permission_denied' => 'Anslutningen till databasservern misslyckades eftersom kontot ifråga inte har administrativa behörigheter.',
    'database_server_error__real__duplicate_object' => 'Anslutningen till databasservern misslyckades till följd av en namnkonflikt',
    'database_server_error__real__unacceptable_name' => 'Anslutningen till databasservern misslyckades till följd av ett ogiltigt objektsnamn:',
    'database_server_error__real__unacceptable_password' => 'Anslutningen till databasservern misslyckades till följd av ett icke godkänt lösenord:',
    'database_server_error__real__credentials_not_set' => "Plesk kan inte ansluta till databasservern eftersom giltigt användarnamn och lösenord för administratören ej angetts.",
    'database_server_error__real__other_error' => 'Anslutningen till databasservern misslyckades:',
    'database_server_error__test__connection_failed' => 'Testanslutningen till databasservern misslyckades till följd av nätverksproblem:',
    'database_server_error__test__permission_denied' => 'Testanslutningen till databasservern misslyckades eftersom kontot ifråga inte har administrativa behörigheter:',
    'database_server_error__test__duplicate_object' => 'Testanslutningen till databasservern misslyckades till följd av en namnkonflikt:',
    'database_server_error__test__unacceptable_name' => 'Testanslutningen till databasservern misslyckades till följd av ett ogiltigt objektsnamn:',
    'database_server_error__test__unacceptable_password' => 'Testanslutningen till databasservern misslyckades till följd av ett icke godkänt lösenord:',
    'database_server_error__test__credentials_not_set' => "Testanslutningen till denna server misslyckades eftersom giltigt användarnamn och lösenord för administratören ej angetts.",
    'database_server_error__test__other_error' => 'Testanslutningen till databasservern misslyckades:',

    'db__create_new_db' => "Lägg till en databas",
    'db__db_add' => "Lägg till databas",
    'db__db_for_dom' => "Databaser på webbplatsen %1",
    'db__db_id_undefined' => "Databas-ID är odefinierat.",
    'db__db_name' => "Databasnamn",
    'db__db_not_exist' => "Databasen finns inte.",
    'db__db_type' => "Typ",
    'db__db_server' => "Databasserver",
    'db_server_not_exist' => "Databasservern finns inte.",
    'db__db_user_not_exist' => "Databasanvändaren finns inte.",
    'db__domain_not_exist' => "Domänen finns inte.",
    'db__enter_db_name' => "Ange den nya databasens namn.",
    'db__invalid_db_id' => "Databasidentifierare är ogiltig.",
    'db__invalid_db_name' => "Databasens namn är ogiltigt. Databasens namn får bara innehålla latinska bokstäver, siffror, understreck och bindestreck. Det kan blev inte längre än 63 symboler.",
    'db__max_db_reached_for_dom' => "Gränsen för antalet databaser har nåtts för denna domän.",
    'db__max_mssql_db_reached_for_dom' => "Gränsen för antalet Microsoft SQL Server-databaser har nåtts för denna domän.",
    'db__postgres_not_connect_for_admin' => "Kan inte ansluta till PostgreSQL. Slå på PostgreSQL-stöd på serveradministrationssidan.",
    'db__postgres_not_connect_for_client' => "Kan inte ansluta till PostgreSQL. Kontakta din systemadministratör om du behöver hjälp.",
    'db__remove_db_on_domain' => "Följande databaser för webbplats %2 som ägs av kunden %1 kommer att tas bort:",
    'db__remove_db_on_domain_of_cl' => "Följande databaser för domän %2 som ägs av kunden %1 kommer att tas bort:",
    'db__remove_db_linked_resource' => 'Denna databas används i ett webbprogram. Den kan tas bort endast efter avinstallationen av detta webbprogram.',
    'db__remove_db_users' => "Följande användare av databasen %3 på webbplats %2 som ägs av kunden %1 kommer att tas bort:",
    'db__remove_db_users_of_cl' => "Följande användare av databasen %3 på webbplats %2 som ägs av kunden %1 kommer att tas bort:",
    'db__select_db_for_remove' => "Markera de databaser som ska tas bort.",
    'db__select_db_users_for_remove' => "Välj de databasanvändare som ska tas bort.",
    'db__unable_create_db_user' => "Kan inte skapa databasanvändare: %1",
    'db__unable_define_db_name' => "Kan inte definiera databasnamnet: %1.",
    'db__unable_define_db_user' => "Kan inte definiera databasanvändaren: %1",
    'db__unable_define_db_users' => "Kan inte definiera databasanvändarna: %1.",
    'db__unable_select_dom_name' => "Kan inte välja domännamn: %1",
    'db_edit__db_for_dom' => "Användare för databas %1 på domän %2",
    'db_edit__invalid_db_name' => "Databasens namn är ogiltigt.",
    'db_edit__no_users' => "Det finns inga användare med inloggningsuppgifter för denna databas.",
    'db_edit__unable_define_db_usrs' => "Kan inte definiera databasanvändarna: %1",
    'db_edit__unable_select_db_usr' => "Kan inte markera databasanvändare.",
    'db_edit__db_user_password_for_' => "Skriv in lösenordet för att logga in som databasanvändare %1",
    'db_list__tab_title_db_type' => "T",
    'db_usr_edit__add_db_usr' => "Lägg en databasanvändare",
    'db_usr_edit__db_usr_name' => "Databas användarnamn",
    'db_usr_edit__edit_db_usr' => "Ställ in autentiseringsuppgifter för databassens användarkonto",
    'db_usr_edit__for_db' => ": %1 databasen",
    'db_usr_edit__not_create_pass' => "Denna åtgärd leder till att ett användarkonto skapas i databasen utan lösenord.\nVill du skapa användare utan att tilldela ett lösenord?",
    'dbuser__only_one_user_can_be_default' => "Endast en användare kan ställas in som standard.",
    'db_server__cannot_delete_default' => "Standard databasservern kan inte raderas.",
    'db_server__cannot_delete_local' => "Den lokala databasen kan inte tas bort.",
    'db_server__cannot_delete_used' => 'En databasserver kan inte raderas när det finns databaser eller dataanvändare hostade på den.',
    'demo__disabled_in_demo' => "Denna åtgärd stöds inte i demo-versionen.",
    'defaultcomponents__title' => "Välja standardkomponenter",
    'defaultcomponents__select_default' => "Välj standard %1-komponent", //to check
    'defaultcomponents__not_installed' => "(inte installerad)",
    'defaultcomponents__not_configured' => "(inte konfigurerat)", // to check
    'defaultcomponents__not_opted_to_install_support_files' => "Vissa tjänstekategorier innehåller ogiltiga markeringar eller inga markeringar har gjorts.",
    'defaultcomponents__depends_on' => "(kräver %1 )",
    'defaultcomponents__parameters' => "Parametrar för %1",
    'component_name__antivirus' => "Antivirus",
    'component_name__database' => "SQL Server",
    'component_name__sqladmin' => "MySQL Webadmin",
    'component_name__sqladminmysql' => "MySQL Webadmin",
    'component_name__dnsserver' => "DNS-server",
    'component_name__firewall' => "Brandvägg",
    'component_name__ftpserver' => "FTP server",
    'component_name__java' => "Java",
    'component_name__mailserver' => "E-postserver",
    'component_name__local_mailserver' => "Lokal-e-postserver",
    'component_name__psa' => "Plesk",
    'component_name__script' => "Skript för webben",
    'component_name__spamfilter' => "Skräppostfilter",
    'component_name__stats' => "Webbstatistik",
    'component_name__stunnel' => "SSL/TLS Wrapper",
    'component_name__webmail' => "Webbpost",
    'component_name__webpublish' => "Webbpublicering",
    'component_name__webserver' => "Webbserver",
    'dns__dns_record_invalid_values' => 'Felaktiga DNS-post värden har angetts: %1: %2',
    'dns__dns_record_not_found' => 'DNS-post hittades inte',
    'dns__dns_zone_invalid_values' => 'Felaktiga DNS-zonsparametrar har angetts.',

    'dns__soa_mname_title' => 'Primär Namnserver',
    'dns__soa_mname_legend' => 'Namnserver',
    'dns__soa_mname_autoselect' => '(Automatiskt val)',

    'dns__dns_zone_off_remove_title' => "Följande resursposter kommer att tas bort från zonen %1:",
    'dns__dns_zone_master_remove_title' => "Tar bort resursposter från DNS-zonen %1",
    'dns__dns_zone_slave_remove_title' => "Följande primära namnserverposter för %1 kommer att tas bort:",
    'dns_add__param_ttl' => "TTL",
    'dns_add__enter_spf' => 'Ange en strängpost',
    'dns_add__is_spf_syntax' => 'SPF-post',
    'dns_add__spf_value_is_invalid' => "SPF-postens värde är fel, det måste börja med 'v=spf'",
    'dns__dns_zone_status' => "DNS-zonens status.",
    'dns__invalid_ip_address' => "IP-adressen till den nya primära DNS-servern är ogiltig eller tom.",
    'dns__ip_address' => "IP-adress",
    'dns__master_dns_type' => "är en primär DNS-server",
    'dns__masters' => "primära DNS-servrar",
    'dns__soa_minimum_too_large' => 'Att cachelagra negativa svar i mer än tre timmar rekommenderas inte.',
    'dns__select_masters_to_remove' => "Välj primära DNS-servrar som ska tas bort.",
    'dns__select_template_record_to_remove' => 'Markera DNS-mallposter att ta bort.',
    'dns__nameservers_for_domain' => "Namnservrar för domänen",
    'dns__remove_dns_zone_of_domain__' => "DNS-postborttagande från domän %1",
    'dns__remove_dns_zone_template__' => "Följande DNS-poster kommer att tas bort från mallen:",
    'dns__remove_this_dns_record?' => "Är du säker på att du vill ta bort DNS-posten?",
    'dns__restore_default' => "Återställning av DNS-zonen via mallen.",
    'dns__restore_default_confirm' => "Återställning av DNS-zonen kommer att rensa den aktuella DNS-zonkonfigurationen. Fortsätt ändå?",
    'dns__restore_default_error' => "Fel vid återställning av DNS-zon:",
    'dns__slave_dns_type' => "är en sekundär DNS-server",
    'dns__subdomain_dns_rec_removed' => "A-posten har tagits bort från subdomänzonen %1.",
    'dns__zone_switched_off_no_ns' => "Zonen kan inte slås på eftersom det inte finns någon NS-post %1, vilket måste finnas i zonen.  För att lägga till posten till zonen, klicka på Lägg till post-knappen.",
    'dns__cant_switch_on_no_ns' => "Zonen kan inte slås på eftersom det inte finns någon NS-post %1, vilket måste finnas i zonen. För att lägga till posten till zonen, klicka på Lägg till post-knappen.",
    'dns__unable_activate/deactivate_dns' => "Kan inte aktivera/inaktivera DNS: %1",
    'dns__unable_add_dns_master_duplicate_entry' => "Kan inte lägga till primär DNS-server: dubblettpost.",
    'dns__unable_add_dns_master_local_ip' => "Kan inte lägga till IP-adress för primär DNS-server: denna post bör skapas på en fjärrserver.",
    'dns__unable_define_dns_record' => "Kan inte definiera DNS-posten: %1",
    'dns__unable_get_dns_template_status' => "Kan inte hämta DNS-mallstatusen.",
    'dns__unable_remove_dns_rec' => "Kan inte ta bort DNS-posten: %1",
    'dns__warnings__' => "Resultatet av DNS-zonmodifiering:",
    'dns__you_not_have_perm_manage_dns' => "Du har inte behörighet att hantera DNS-zonen för denna domän.",
    'dns__cant_create_record_with_server_ip' => "Kan inte lägga till denna IP-adress eftersom den matchar IP-adressen för denna Plesk-hanterade servern.",

    'dns__tabs_acl' => "Zonöverföringar",
    'dns__acl_add_network_legend' => "Lägg till nätverk",
    'dns__acl_add_ip_legend' => "Lägg till IP-adress",
    'dns__acl_network_not_allowed' => "Denna nätverksadress tillåts inte av DNS i Windows.",
    'dns__acl_enter_ip_address_with_mask' => "IP-adress/mask",
    'dns__acl_enter_ip_address' => "IP-adress",
    'dns__acl_list_network_legend' => "Nätverk tillåtna att få en kopia av DNS-zon",
    'dns__acl_list_ip_legend' => "IP-adresser tillåtna att få en kopia av DNS-zon",
    'bt_dns_acl_add_network' => "Lägg till nätverk",
    'bt_dns_acl_add_ip' => "Lägg till IP-adress",

    'dns_add__add_rec_for_zone' => "Lägg till %1 för zon %2",
    'dns_add__canonical_dom_name_is_invalid' => "Det kanoniska domännamnet är ogiltigt.",
    'dns_add__enter_canonical_name' => "Canonical namn",
    'dns_add__enter_dom_name' => "Domännamn",
    'dns_add__enter_ip_address' => "IP-adress",
    'dns_add__enter_ip_mask' => "IP-adress och nätverksmask",
    'dns_add__enter_mail_domain' => "E-postdomän",
    'dns_add__enter_mail_exchanger' => "E-postutväxlingsserver",
    'dns_add__enter_nameserver' => "Namnserver",
    'dns_add__enter_txt_record' => "TXT-post",
    'dns_add__enter_service_name' => "Tjänstnamn",
    'dns_add__hint_service_name' => "Exempel: SIP (utan symbol för understreck)",
    'dns_add__enter_protocol' => "Protokoll",
    'dns_add__hint_protocol_name' => "Exempel: TCP (utan symbol för understreck)",
    'dns_add__protocol_tcp' => "TCP",
    'dns_add__protocol_udp' => "UDP",
    'dns_add__enter_srv_priority' => "Prioritet",
    'dns_add__specify_weight_of_service' => "Relativ vikt för poster med samma prioritet",
    'dns_add__enter_target_host' => "Målvärddator",
    'dns_add__hint_target_host' => "Exempel: exemple.com",
    'dns_add__enter_target_port' => "Målport",
    'dns_add__caa_tag' => "Tag",
    'dns_add__caa_value' => "Värde",
    'dns_add-invalid-A_ip' => "IP-adress är ogiltig.",
    'dns_add-invalid-AAAA_ip' => "IP-adress är ogiltig.",
    'dns_add-invalid-PTR_ip_mask' => "Ogiltig IP-adress/nätmaskpar.",
    'dns_add-invalid-SRV_service_name' => "Ogiltigt tjänstenamn",
    'dns_add-invalid-SRV_protocol_name' => "Ogiltigt protokoll",
    'dns_add-invalid-SRV_target_port' => "Ogiltig målport",

    'dns_add__invalid_ip' => "IP-adress är ogiltig.",
    'dns_add__low' => "låg",
    'dns_add__mail_dom_name_is_invalid' => "E-postens domännamn är ogiltigt.",
    'dns_add__nameserver_is_invalid' => "Namnserver är ogiltig.",
    'dns_add__record' => "%1 post",
    'dns_add__select_prefer_for_mail_exchange_server' => "Specificera prioritet för e-postutväxlingsservern",
    'dns_add__unable_insert_new_dns_rec' => "Det gick inte att infoga ny DNS-post: %1",
    'dns_add__very_high' => "Mycket hög",
    'dom_ctrl__allowed' => "Tillåten",
    'dom_ctrl__db' => "MariaDB/MySQL-databaser",
    'dom_ctrl__mssql_db' => "MS SQL-databaser",
    'dom_ctrl__disk_space' => "Utrymme",
    'dom_ctrl__dom_adm' => "Domän %1 av %2",
    'dom_ctrl__dom_cl' => "Domän: %1",
    'dom_ctrl__domain_has_forwarding_with_undefined_fwd_url' => "Domän har vidarebefordring konfigurerat med odefinierad vidarebefordrings-URL",
    'dom_ctrl__domain_has_frame_forwarding' => "Domän har frame-vidarebefordran till URL:en %1",
    'dom_ctrl__domain_has_no_hosting' => "Domänen har ingen värdtjänst konfigurerad",
    'dom_ctrl__domain_has_physical_hosting' => "Webbvärdtjänsten konfigureras för denna domän på IP-adress %1",
    'dom_ctrl__domain_has_standard_forwarding' => "Domän har standard-vidarebefordran till URL:en %1",
    'dom_ctrl__maillists' => "E-postlistor",
    'dom_ctrl__mboxes' => "E-postlådor",
    'dom_ctrl__mg' => "Vidarebefordran av e-post",
    'dom_ctrl__resource_name' => "Resurs",
    'dom_ctrl__resp' => "Autosvar",
    'dom_ctrl__subdom' => "Subdomäner",
    'dom_ctrl__dom_aliases' => "Domänalias",
    'dom_ctrl__traffic' => "Trafik",
    'dom_ctrl__unable_activate/deactivate_dom' => "Kan inte aktivera/inaktivera domän: %1",
    'dom_ctrl__used' => "Används",
    // end of serge part

    // maverick part
    'dom_ctrl__wu' => "Webbanvändare",
    'dom_pref__bounce_with_phrase' => "Returnera med meddelande",
    'dom_pref__bounce' => "Studsa",
    'dom_pref__catch_addr' => "Vidarebefordra till adressen",
    'dom_pref__reject' => 'Avvisa',
    'dom_pref__confirm_domain_removing' => "Glöm inte att informera domänbesökare om domännamnsförändringen. Är du säker på att du vill byta namn på domänen?",
    'dom_pref__db_inconsystency' => "databasinkonsekvens.",
    'dom_pref__dbs' => "databaser",
    'dom_pref__delete_traffic_stat' => "Behåll webb- och trafikstatistik",
    'dom_pref__delete_traffic_stat_older' => "Behåll webb- och trafikstatistik",
    'dom_pref__dom_level_name_conflict' => "Domänadministratörens användarnamn är i konflikt med ett användarnamn för en av kunderna.",
    'dom_pref__invalid_disk_space_limit' => "Ogiltig diskutrymmesgräns. Maxvärde: %1",
    'dom_pref__invalid_expiration_date_limit' => "Ogiltig giltighetsperiod.",
    'dom_pref__invalid_max_traffic_limit' => "Ogiltig trafikgräns. Maxvärde: %1",
    'dom_pref__limits_of_dom' => "Gränser för domän %1",
    'dom_pref__mail_grps' => "e-postgrupper",
    'dom_pref__mail_nonexistent_user' => "Vad gör man med e-post som skickas till obefintliga användare",
    'dom_pref__mail_redirs' => "e-postsändare",
    'dom_pref__mail_resps' => "automatsvar för e-post",
    'dom_pref__max_limit_is_invalid' => "%1 är ogiltig.",
    'dom_pref__max_num_of_%objects_is_invalid' => "Maximalt antal för %1 är ogiltigt.",
    'dom_pref__new_limit_less_currently_used' => "%1: begärt - %2, för närvarande använt - %3",
    'dom_pref__older_that' => "för",
    'dom_pref__postboxes' => "E-postkonton",
    'dom_pref__preferences_of_dom' => "Inställningar för domän %1",
    'dom_pref__redirect_to_itself' => "Domänen kommer att ha vidarebefordringen inställd till sig själv",
    'dom_pref__traffic_logging_period_couldnt_be_lower' => "Du har angett lagringstiden för domäntrafikstatistik till mindre än det totala värdet som är definierat för servern (%1 månad(er)). Statistiklagringstiden är angiven till samma som standardvärdet för servern (%1 månad(er)).",
    'dom_pref__unable_add_www_prefix_in_dom' => "Kan inte lägga till ett www-prefix till domän: %1",
    'dom_pref__unable_define_physical_hst_param' => "Kan inte definiera fysiska värdtjänstparametrar: %1",
    'dom_pref__unable_rename_domain' => "Kan inte döpa om domänen %1: %2",
    'dom_pref__unable_set_up_mbox_quota' => "Kan inte ställa in e-postkvot för denna domän: %1",
    'dom_pref__unable_set_up_web_user_script' => "Kan inte konfigurera scripting för webbanvändare: %1",
    'dom_pref__unlimited' => "Obegränsat",
    'dom_pref__web_usrs' => "webbanvändare",
    'dom_pref__you_already_have_%object' => "Du har redan %1",
    'cu_domain__error_unable_update_ftp_users' => 'Kunde inte uppdatera domäns FTP-användare: %1',
    'dom_cli__warning_ignore_quota' => 'VARNING!: Alternativet "-hard_quota" ignoreras: hårddiskkvot stöds inte',
    'dom_user_client_login_exist' => "Kan inte ge domänadministratörens åtkomst till Plesk i domänen %1: detta användarnamn används redan.",
    'domain__unable_to_turn_on_service' => "Kunde inte växla till tjänsten %1.",
    'domains__change_the_status_of_domain?' => "Är du säker på att du vill ändra tidsstämpeln för den valda domänen %1?",
    'domains__unable_to_change_client_status' => "Kan inte ändra kundens kontostatus: %1",
    'domains__unable_update_apache_settings' => "Kan inte uppdatera Apache-inställningarna.",
    'domains__you_do_not_have_permissions_to_delete_domains' => "Du har inte behörighet att radera domäner.",
    'domains_list__unable_remove_doms' => "Kan inte ta bort domäner: %1",

    'domain_aliases_remove__select_domain_aliases_for_remove' => 'Välj domänalias som ska tas bort.',
    'domain_aliases_remove__title' => 'Ta bort domänalias',
    'domain_aliases__max_aliases_reached_for_dom' => "Gränsen för antalet alias har nåtts för denna domän.",
    'domain_edit__edit_title' => 'Redigera domänaliasnamn',
    'domain_alias_edit__type' => 'Domänens aliastyp',
    'domain_aliases__list_header' => 'Domänalias',
    'domain_aliases__name' => 'Namn',
    'domain_aliases__type' => 'Typ',
    'domain_aliases__type_full' => 'Webb+FTP+e-post',
    'domain_aliases__type_web_ftp' => 'Web+FTP',
    'domain_aliases__page_title' => 'Domänalias',
    'domain_aliases__legend' => 'Domänalias',
    'domain_alias__domain_exists' => 'Domän med ett sådant namn finns redan',
    'domain_alias__subdomain_exists' => 'Underdomän med ett sådant namn finns redan',
    'domain_alias__dns_record_exists' => 'DNS-post med angett domänaliasnamn finns redan',
    'domain_alias__domain_alias_exists' => "Domänalias med ett sådant namn finns redan.",
    'domain_alias__invalid_type_full' => 'E-postservern stödjer inte domänens aliaser',
    'domain_alias__redirect_exists' => 'Omdirigering till sig själv upptäcktes.',

    'ds__anonymous_ftp' => "Anonym FTP",
    'drweb__pagetitle' => 'Antivirusinställningar',
    'drweb__drweb' => 'Antivirus e-postkontroll',
    'drweb__drweb_direction' => 'Kontrollera om det finns virus i e-posten',
    'drweb__drweb_direction_off' => 'Sök inte efter virus',
    'drweb__drweb_direction_any' => 'Inkommande och utgåend e-post.',
    'drweb__drweb_direction_from' => 'Endast utgående e-post',
    'drweb__drweb_direction_to' => 'Endast inkommande e-post',
    'drweb__disable_reason_key' => 'Antivirus stöds inte av licensnyckeln.',
    'drweb__disable_reason_perm' => 'Du har inte tillstånd att hantera antivirus.',
    'drweb__disable_reason_install' => 'Antivirus är inte installerat.',
    'drweb__filters' => 'Antivirus-filter',
    'ds__dns' => "DNS-zon",
    'ds__mail' => "E-post",
    'dumps_list__deletion_page_title' => "Följande säkerhetskopiefiler för domänen %1 kommer att tas bort:",
    'dumps_list__dumpfile_is_invalid' => "Filen %1 är inte en giltig domänsäkerhetskopierad fil.",
    'dumps_list__page_title' => "Lagring för säkerhetskopierade filer",
    'dumps_upload__page_title' => "Ladda upp säkerhetskopierade filer till lagringen",
    'dumps_list__repository_is_not_exist' => "Lagringen för säkerhetskopierade filer finns inte.",
    'dumps_list__unable_to_remove' => "Kan inte ta bort den säkerhetskopierade filen: %1.",
    'dumps_list__dumpfile_can_conflict' => "Filnamnet du angett står i konflikt med filen %1. Ange ett annat filnamn.",
    'dusr_ed__allow_dl_usr_access' => "Tillåt domänadministratörens åtkomst",
    'dusr_ed__information' => "Egenskaper för domänen %1s administratör",
    'dusr_ed__locale' => "Domänadministratörens språk",
    'dusr_ed__skin' => "Domänadministratörs gränssnittsskal",
    'dusr_ed__personal_information' => 'Personlig information',
    'ess__error' => "Fel",
    'example__' => "Exempelvärde: %1",
    'extras__allow_certificate_purchasing' => "Tillåt certifikatköp",
    'extras__allow_domain_registration' => "Tillåt domänregistrering",
    'extras__allow_extras' => "Tillåt extratjänster",
    'extras__buy_new_key' => "Din aktuella licens tillåter inte att du modifierar dessa objekt.",
    'extras__setup_services' => "Ställ in extratjänster",

    'ruleeditform__error' => 'Kan inte uppdatera brandväggsregel.',
    'ruleeditform__name_is_required' => 'Specificera regelnamnet.',
    'ruleeditform__profiles_is_required' => 'Välj minst en profil.',
    'ruleeditform__invalid_ip' => 'Den angivna P-adress eller nätverk är ogiltig.',
    'ruleeditform__invalid_port' => 'Den specificerade porten är ogiltig. Möjliga värden är 1000 eller 1000-1051',

    'get_password__encrypted_password' => "Kan inte sända lösenordsinformationen: lösenordet är lagrat i krypterad form.",
    'get_password__mail_error' => "Ett fel inträffade under försöket att skicka lösenordet till e-postadressen %1: %2",
    'get_password__mail_ok' => "Lösenordet skickades korrekt till e-posten: %1",
    'get_password__message' => "Ditt användarnamn för åtkomst till systemet: %1\nDitt lösenord är %2",
    'get_password__subject' => "Lösenord för åtkomst till systemet",
    'groups__available' => "Tillgängliga e-postgrupper",
    'groups__groups_for_mailname' => "E-postgrupper som e-postkontot %1 abonnerar på",
    'groups__member_of' => "Medlemmar av följande e-postgrupper",
    'help__help_area' => "Hjälpområde.",
    'hst_def__auth_disabled' => "förbjuden",
    'hst_def__auth_enabled' => "tillåten",
    'hst_def__change_curr_dns_ip' => "Aktuell IP-adress för A DNS-posten kommer att ändras",
    'hst_def__cr_hosting_ip_dns_ip_not_equiv' => "Inga av IP-adresserna för A DNS-posten matchar med IP-adressen som tilldelats värdtjänstkontot som nyss skapats",
    'hst_def__dest_url' => "Destinationsadress",
    'hst_def__disk_quota' => "Diskkvot",
    'hst_def__disk_space_limit_exceed_incoming_quota' => "Diskutrymmesgränsen du försöker ställa in överskrids av diskutrymmesgränsen i den ingående anonym-FTP-katalogen. Diskutrymmesgränsen i den ingående anonym-FTP-katalogen får inte överstiga domänens diskutrymmesgräns.",
    'hst_def__frame_forwarding_definition' => "Frame-vidarebefordransuppdrag för domän %1",
    'hst_def__ftpuser_for_hst_not_exist_in_system' => "Varning: FTP-användare %1 används i värdtjänst-kontoinställningarna men den finns inte i systemet.",
    'hst_def__hst_type_is_not_defined' => "Värdtjänsttypen är inte definierad.",
    'hst_def__ip_based' => "IP-baserade",
    'hst_def__name_based_power_anonymous_ftp_down' => "Överföringen av detta värdtjänstkonto till delad IP-adress gör att den anonyma FTP-tjänsten blir otillgänglig på denna domän. Fortsätt ändå?",
    'hst_def__password_is_invalid_password_syntax' => "Lösenordet är ogiltigt.\nAnvänd inte enkla citationstecken och nationella alfabetstecken i lösenordet.\nLösenordets längd ska vara mellan 5 och 14 tecken. Lösenordet ska inte innehålla användarnamnet.",
    'hst_def__shell' => "SSH-åtkomsten till serverskalet under abonnemangets systemanvändare",
    'hst_def__shell_windows' => "Fjärråtkomsten till servern under abonnemangets systemanvändare",
    'hst_def__standard_forwarding_definition' => "Standardvidarebefordran-uppdrag för domän %1",
    'hst_def__title_name_based' => "Namnbaserat",
    'hst_def__unable_create/update_physic_hst' => "Kan inte skapa/uppdatera den fysiska värdtjänsten: %1",
    'hst_def__unable_create/update_std_fwd' => "Kan inte skapa/uppdatera standardvidarebefordran: %1",
    'hst_def__unable_create_forwarding_myself' => "Kan inte skapa vidarebefordran till domänen självt.",
    'hst_def__unable_turn_same_ssl_while_ssl_off' => "Kan inte tillåta användning av en enskild katalog för att lagra SSL/TLS- och icke-SSL/TLS-innehåll: SSL/TLS-stöd är inte påslaget.",
    'hst_def__unable_turn_on_ssl_cert_not_defined' => "Kan inte slå på SSL/TLS-stöd: Inget SSL/TLS-certifikat installerat.",
    'hst_def__url_is_invalid' => "Webbadressen är ogiltig.",
    'hst_def__virtual_host_access' => "Virtuell värddator för åtkomst till domän %1",
    'hst_def__virtual_host_uses_non_existed_ip_address' => "VARNING. Denna virtuella värddator använder en obefintlig IP-adress för värdtjänsten.",
    'hst_def__you_have_no_ips' => "Du har inga IP-adresser tillgängliga och du får inte skapa namnbaserada värdtjänster.",
    'hst_sel__header' => "För att få en webbplats värdbaserad på denna server, välj den fysiska värdtjänsten.\n För att ställa in domän-vidarebefordran till en site på en annan maskin, välj alternativen Frame- eller Standard-vidarebefordran.\nMed standard-vidarebefordran, omdirigeras en användare till denna site och den faktiska sitens URL visas i användarens webbläsare, så att användaren vet om omdirigeringen. Med frame-vidarebefordran, omdirigeras en användare till siten utan att märka att siten faktiskt ligger på en annan plats.",
    'hst_sel__physical_hst' => "Fysisk hosting",
    'hst_sel__select_hst_type' => "Markera typ av värdtjänst för domänen",
    'hst_sel__select_hst_type_warning' => "Markera typ av värdtjänst för domänen",
    'hst_sel__hosting_exists' => "Kan inte skapa värdtjänst, eftersom den redan är konfigurerad för denna domän. Du kommer att omdirigeras till värdtjänstens hanteringssida.",
    'hst_sel__standard_frw' => "Standard vidarebefordran",
    'hst_sel__frame_frw' => "Frame vidarebefordran",
    '__frame_frw' => "Frame vidarebefordran",
    '__hosting_exists' => "Kan inte skapa värdtjänst, eftersom den redan är konfigurerad för denna domän. Du kommer att omdirigeras till värdtjänstens hanteringssida.",
    '__choose_hst_type' => "Markera den önskade värdtjänsttypen.",
    '__no_hst_conf' => "Det finns ingen värdtjänst konfigurerad för din domän.",
    '__physical_hst' => "Fysisk hosting",
    '__select_hst_type' => "Markera typ av värdtjänst för domänen",
    '__standard_frw' => "Standard vidarebefordran",
    '__warning' => "Varning! Alla de tidigare angivna parametrarna kommer att ignoreras. Vill du verkligen ändra markerad värdtjänsttyp?",
    'i_cl_off' => "Kunden är inaktiv.",
    'i_cl_off_by_admin' => "Kundkontot har tillfälligt upphävts av serveradministratören.",
    'i_cl_off_expired' => "Kundkontot har löpt ut.",
    'i_cl_on' => "Kunden är aktiv.",

    'icf__title' => 'Inställningar för brandväggen',
    'icf__if_legend' => 'Gränssnitt',
    'icf__mode' => 'Läge',

    'invalid_value' => 'Värdet är ogiltigt',

    'ip_addr__already_exists' => "IP-adressen %1 finns redan.",
    'ip_addr__cant_add' => "IP %1 finns inte eller tillhör en IP-pool för en annan kund",
    'ip_alias__interface' => "Gränssnitt",
    'ip_alias__invalid_ip_nm_bsd_vrt_hsts' => "%1 IP-adress för en namnbaserad virtuell värdtjänst är ogiltig.",
    'ip_alias__invalid_ip_or_netmask' => "Ogiltig IP-adress/nätmaskpar.",
    'ip_alias__orig_ip_can_not_be_deleted' => "IP-adressen %1 är originalserverns IP, så du kan inte ta bort den.",
    'ip_alias__ip_is_invalid' => "%1 IP-adressen är ogiltig.",
    'ip_alias__ip_mask_is_invalid' => "IP-mask %1 är ogiltig.",
    'ip_alias__ip_not_exist' => "IP-adressen %1 finns inte.",
    'ip_alias__ip_address_and_mask' => 'IP-adress och nätmask',
    'ip_alias__mask' => "Subnätmask",
    'ip_alias__remove_selected_ip_aliases?' => "Är du säker på att du vill ta bort angivna IP-adresser?",
    'ip_alias__select_ip' => "Markera minst en IP-adress i listan för att ta bort den.",
    'ip_alias__this_ip_used_for_domain' => "(%1) denna IP-adress används för domän %2.",
    'ip_alias__this_ip_used_for_nm_bsd_vrt_hsts' => "(%1) denna IP-adress används till en namnbaserad virtuell värdtjänst.",
    'ip_alias__unable_add_ip' => "Det gick inte att lägga till IP: %1",
    'ip_alias__unable_remove_ip' => "Kan inte ta bort IP: %1",
    'ip_ctrl__anonymous_ftp_exists_in_domain' => "Du kan inte ändra IP-adresstypen till delad, då det kommer att göra anonym FTP för domänen '%1' otillgänglig.",
    'ip_ctrl__ip_addr' => "IP-adress %2 på gränssnitt %1",
    'ip_ctrl__ip_exists_many_pools' => "Du kan inte ändra IP-typen. Denna IP-adress tillhör poolerna för flera användare samtidigt.",
    'ip_ctrl__ssl_cert' => "SSL/TLS-certifikat",
    'limit__date_in_past' => "Giltighetsperioden är ogiltig. %1 har passerats.",
    'limit__enter_date' => "Ange datum",
    'limit__max_db' => "Databaser",
    'limit__name_disk_space' => "diskutrymme",
    'limit__name_max_box' => "E-postkonton",
    'limit__name_max_db' => "MariaDB/MySQL-databaser",
    'limit__name_max_dom' => "domäner",
    'limit__name_max_maillists' => "E-postlistor",
    'limit__name_max_subdom' => "subdomäner",
    'limit__name_max_traffic' => "trafik",
    'limit__name_max_wu' => "webbanvändare",
    'limit__name_mbox_quota' => "e-postkvot",
    'limit__name_max_mn' => "E-postkonton",
    'limit__name_max_cl' => 'klienter',
    'limit__name_total_mboxes_quota' => "total kvot för e-postlådan",
    'limit__name_mysql_dbase_space' => "MariaDB/MySQL-databasutrymme",
    'limit__name_mssql_dbase_space' => "MSSQL-databasutrymme",
    'limit__name_pgsql_dbase_space' => "PostgreSQL-databasutrymme",
    'limit__name_expiration' => 'utgångsdatum',

    'locale_upload__unable_to_install' => 'Kan inte installera språkpaketfilen',
    'locale_upload__wrong_package' => 'Filen du laddade upp innehåller inte ett giltigt språkpaket för denna Plesk-version.',
    'locale_upload__wrong_locale' => 'Filen du laddade upp innehåller inte ett giltigt språkpaket.',

    'ma__create_title' => 'Skapa e-postalias för %1',
    'ma__edit_title' => "Redigera e-postalias %1",
    'ma__enter_new_alias' => "Ange ny alias",
    'ma__invalid_alias' => "Ogiltig e-postalias",
    'ma__mail_aliases_mailname' => "E-postaliaser för e-postkonto %1",
    'ma__mailname_does_not_exist' => "E-postkontot finns inte.",
    'ma__select_ma_for_remove' => "Markera e-postalias som ska tas bort.",
    'ma__unable_to_add_new_ma' => "Kan inte lägga till e-postalias: %1",

    'mail_queue__not_allowed_by_license_key' => 'E-postköhantering tillåts inte av licensnyckeln.',
    'maillist__' => "E-postlista %1",
    'maillist__already_exists' => "E-postlista finns redan.",
    'maillist__mail_alias_already_exists_in_this_domain' => "E-postalias %1 finns redan i denna domän.",
    'maillists__' => "E-postlistor %1",
    'maillists__limit_cl_max_maillists' => "Gränsen för antalet e-postlistor har nåtts för kunden (gräns: %1, använt: %2)",
    'maillists__limit_dom_max_maillists' => "Gränsen för antal e-postlistor har nåtts för domänen.",
    'maillists__list' => "E-postlistor",
    'maillists__mailman_not_installed_or_conf' => "\nMailman-servertillägg är för närvarande inte installerade eller konfigurerade\npå servern. Kontakta serveradministratören för att få Mailman-servertillägg installerade eller ordentligt konfigurerade.",
    'maillists__status' => "E-postlistans tjänst är påsatt",
    'maillists__unable_to_delete__' => "Det går inte att ta bort e-postlistan: %1",
    'maillists__disabled_text' => 'Du kan inte hantera e-postlistor eftersom Mailmans serverkomponent e-postlistor inte är installerad eller konfigurerat.',
    'maillist_member__already_exists' => 'E-postlisteabonnent finns redan.',
    'maillist_member__not_exists' => 'En sådan användare finns inte på e-postlistan.',
    'mailserver_switching_warning' => "Varning!\n\nÄndring av e-postservern är avedd endast för den inledande inställningen och, om servern redan används, leder den till följande problem: förlust av inställningar och e-postlådornas innehåll och, i fall när servern du byter till redan har konfigurerats, olika konflikter.\nOm denna server används nu och du är säker på att byta till en annan, kan du meddela dina kunder om åtgärden så att de kan ladda ner och spara e-posten.",
    'manager__access_denied' => "Åtkomst nekad: %1",
    'manager__admin' => "Administratör",
    'manager__client' => 'Kund',
    'manager__domain' => "Domän",
    'manager__domain_cl_limit_exceeding' => "Gränsen för antalet domäner nås för detta kundkonto.",
    'manager__domain_is_not_yours' => "Domänen %1 tillhör inte dig.",
    'manager__domain_key_limit_exceeding' => "Gränsen för domänskapande som definieras av din licensnyckel är nådd.",
    'manager__no_perm_to_call' => "Du saknar behörighet att ringa %1.",
    'manager__no_perm_to_create_domains' => "Du saknar behörighet att skapa domäner.",
    'manager__no_perm_to_modify_domain' => "Du saknar behörighet att modifiera domänen %1.",
    'manager__no_perm_to_modify_domains' => "Du saknar behörighet att modifiera domäner.",
    'manager__no_perm_to_remove_domain' => "Du saknar behörighet att ta bort domänen %1.",
    'manager__no_perm_to_remove_domains' => "Du saknar behörighet att ta bort domäner.",
    'manager__node_doesnt_exist' => "%1 finns inte.",
    'manager__user_disabled' => "Ditt kontot upphävs tillfälligt. Du kan inte använda systemet.",
    'mail_quota_unsupported' => "stöds inte av e-postservern",
    'mbox_quota_unsupported' => "stöds inte av e-postservern",
    'mn__create_title' => "Skapa e-postkonto",
    'mn__edit_title' => "Inställningar",
    'mn__files_list_title' => "Bifogade filer",
    'mn__files_remove' => "Ta bort filer från bilagskatalogen. Dessa filer används eventuellt av autosvar. De kommer att tas bort både från katalogen och autosvaren som använder dem.",
    'mn__files_select_for_remove' => "Välj filer att ta bort.",
    'mn__mail_alias_form' => "E-postens aliasform",
    'mn__mail_aliases_list' => "E-postaliaser",
    'mn__mailbox' => "E-postkontohantering",
    'mn__unable_define_mn' => "Kan inte ställa in e-postkonton: %1",
    'mn__unable_remove_mbox_quota' => "Kan inte ta bort e-postkvot: %1",
    'mn__upload_file' => "Ladda upp fil",
    'mn_edit__attach_filename_changed' => 'Den överförda filen %1 har döpts om till %2 eftersom dess namn innehöll icke-ASCII-tecken.',
    'mn_edit__add_mail_group_members_or_turn_off_box' => "Du ska lägga till en e-postgruppmedlem innan du aktiverar e-postgruppen.",
    'mn_edit__add_resp_or_turn_off_box' => "Du måste lägga till autosvar eller rensa autosvar-kryssrutan.",
    'mn_edit__attachments' => "Bilagor",
    'mn_edit__dom_quota_less_then_quota' => "Storlek på detta e-postkonto får inte överstiga gränsen för mängden tilldelat diskutrymme för e-postkonton på denna domän.",
    'mn_edit__enter_external_rcpnt_email' => "Ange den externa e-postgruppmedlemmens e-post",
    'mn_edit__enter_mail_redir_or_turn_off_box' => "Skriv en adress för vidarebefordran av e-post eller avmarkera kryssrutan.",
    'mn_edit__ext_rcpnt_email_invalid' => "Externa mottagarens e-postadressen är ogiltig.",
    'mn_edit__file_exists' => "Filen finns. Skriva över?",
    'mn_edit__files_deld_from_repository' => "Dessa filer kommer att raderas från katalogen och autosvaren som de innehåller. Vill du fortsätta?",
    'mn_edit__mail_name' => "E-postkonto",
    'mn_edit__mail_name_invalid' => "E-postkontonamnet är ogiltigt.",
    'mn_edit__mail_redir' => "E-postsändare",
    'mn_edit__mail_redir_add' => "Lägg till e-postgruppmedlem",
    'mn_edit__mail_resps' => "Automatsvar för e-post",
    'mn_edit__mailbox' => "E-postkonto",
    'mn_edit__enable_mailbox' => "E-postkonto",
    'mn_edit__mailgroup' => "E-postgrupp",
    'mn_edit__mailgroup_addresses' => "E-postgruppmedlemmar",
    'mn_edit__mailgroup_disabled' => "Tillgänglig endast om e-postkontot redan har tillagts.",
    'mn_edit__max_dom_quota' => "Standard för domänen (%1)",
    'mn_edit__mbox_quota_invalid' => "Inkorrekt storlek på postlådan angiven.",
    'mn_edit__new_resp_name' => "Nytt autosvarnamn",
    'mn_edit__no_autoresponders' => "Du bör välja minst ett autosvar innan du sätter på/stänger av autosvartjänsten.",
    'mn_edit__no_file_sel' => "Inga filer har valts.",
    'mn_edit__no_mail_addresses' => "Inga e-postadresser har specificerats eller valts.",
    'mn_edit__none' => "Ingen",
    'mn_edit__not_create_pass' => "Det skapar inte ett lösenord för detta konto.\nUtan lösenord, kommer användaren inte att kunna visa och skicka e-post.",
    'mn_edit__redir_email_invalid' => "Adressen för vidarebefordran är ogiltig.",
    'mn_edit__redirect_addr' => "Adress för vidarebefordran",
    'mn_edit__remove_autoresp?' => "Vill du verkligen ta bort autosvar?",
    'mn_edit__remove_rcpnts?' => "Vill du verkligen ta bort dessa mottagare?",
    'mn_edit__repository' => "Repository",
    'mn_edit__resps_attach' => "Bifogade filer till autosvar",
    'mn_edit__select_rcpnt_from_list' => "Markera minst en mottagare i listan för att ta bort den.",
    'mn_edit__select_registered_users' => "Välj registrerade användare",
    'mn_edit__selected_postbox_have_not_setup_passwd' => "Du har valt att ha ett e-postkonto, men har inte konfigurerat lösenordet för det.",
    'mn_edit__unable_act_deact_mail_group' => "Kan inte aktivera eller inaktivera e-postgruppen: %1",
    'mn_edit__unable_act_deact_mail_redir' => "Kan inte aktivera eller inaktivera vidarebefordran av e-post: %1",
    'mn_edit__unable_act_deact_postbox' => "Kan inte aktivera eller inaktivera e-postkonto: %1",
    'mn_edit__unable_act_deact_resp' => "Kan inte aktivera eller inaktivera autosvar: %1",
    'mn_edit__unable_add_attach' => "Det gick inte att lägga till filen: %1",
    'mn_edit__unable_add_mail_group_member' => "Kan inte lägga till e-postgruppmedlem: %1",
    'mn_edit__unable_add_resp' => "Kan inte lägga till autosvar: %1",
    'mn_edit__unable_change_mail_name' => "Kan inte ändra e-postkontonamn: %1",
    'mn_edit__unable_deactivate_mail_group' => "Kan inte inaktivera e-postgruppen: %1",
    'mn_edit__unable_deactivate_resp' => "Kan inte inaktivera e-postens autosvar: %1",
    'mn_edit__unable_define_resp_id' => "Kan inte definiera autosvar-ID: %1",
    'mn_edit__unable_remove_attach' => "Kan inte ta bort den temporära filbilagan(-orna): %1",
    'mn_edit__unable_remove_autoresp' => "Kan inte ta bort autosvar: %1",
    'mn_edit__unable_remove_mail_group_member' => "Kan inte ta bort e-postgruppmedlem: %1",
    'mn_edit__wrong_way' => 'Meddelanden som är adresserade till %1 kommer inte att levereras eftersom detta e-postkonto inte har en postlåda eller postsändningen är aktiverad.',
    'mn_edit__mailbox_is_disabled_mail_not_removed' => 'Brevlådan på adressen %1 har kopplats från. Meddelandena i brevlådan har inte tagits bort, men du kommer inte att kunna hämta dem genom IMAP- eller POP3-protokollet.',
    'mn_list__mail_names_for_domain' => "E-postkonton under domänen %1",
    'mn_list__sa_cannot_unable' => "Kan inte slå på skräppostfiltrering",
    'mn_list__tab_cp_access' => "L",
    'mn_list__tab_title_client' => 'Kund',
    'mn_list__tab_title_domain' => 'Domän',
    'mn_list__tab_title_autoresp' => "A",
    'mn_list__tab_title_box' => "B",
    'mn_list__tab_title_group' => "G",
    'mn_list__tab_title_name' => "Namn",
    'mn_list__tab_title_redirect' => "F",
    'mn_list__tab_title_spamfilter' => "S",
    'mn_list__tab_title_virusfilter' => 'AV',
    'mn_list__tab_title_drweb' => 'AV',
    'mn_list__unable_remove_mns' => "Kan inte ta bort e-postkonton %1",
    'module_upload__module_was_installed' => 'Den här modulen är redan installerad. Om du vill installera en nyare version av denna modul, avinstallera modulen genom Plesk och försök sedan installera den.',
    'module_upload__unable_to_install' => 'Kan inte installera modulpaketfilen',
    'module_upload__wrong_package' => 'Den överförda filen är inte ett modulpaket som stöds.',
    'module_upload__wrong_module' => 'Den uppladdade filen innehåller inte ett modulpaket.',

    'news_articles_title' => 'Plesk News',
    'notification_text__invalid_subject_length' => "Ogiltig längd på meddelandets ämne. Ska vara från 1 till 255 tecken.",
    'notification_text__invalid_text_length' => "Ogiltig meddelandetextlängd. Ska vara från 1 till 65533 tecken.",
    'notification_text__subject' => "Meddelandets ämne",
    'notification_text__text' => "Notistext",
    'notification_text__title' => "Redigera meddelande",
    'notification_text__unable_set_text' => "Kan inte modifiera meddelandetext:",

    'odbc__cant_add_dsn' => "Det gick inte att lägga till DSN %1: %2",
    'odbc__cant_connect' => "Det gick inte att ansluta till datakällan med hjälp av de definierade inställningarna. Servern har returnerat: %1",
    'odbc__cant_delete_dsn' => "Det gick inte att radera DSN %1: %2",
    'odbc__cant_get_drivers_info' => "Kan inte få information om drivers.",
    'odbc__cant_get_drivers' => "Det gick inte att hämta en lista över ODBC-driver: %1",
    'odbc__cant_open_info_file' => "Det går inte att öppna filen med ODBC-drivrutinsinformation.",
    'odbc__cant_parse_string' => "Kan inte parsa anslutningssträngen.",
    'odbc__driver_not_set' => "Drivrutinen är inte inställd",
    'odbc__driver_or_name_not_set' => "Drivrutin eller namn på ODBC-anslutning har inte angetts",
    'odbc__dsn_already_exists' => "Det finns redan en DSN med namnet %1 i systemet.",
    'odbc__dsn_not_exists' => "Denna DSN finns inte",
    'odbc__enter_dsn_name' => "Ange DSN-namnet",
    'odbc__invalid_dsn_name' => "Fel syntax för ODBC-anslutningsnamn (%1): använd endast alfanumeriska tecken.",
    'odbc__no_such_driver' => "En ODBC-drivrutin med sådant namn (%1) stöds inte.",
    'odbc__unknown_driver' => "Okänd drivernamn (%1).",
    'odbc_dsn_system' => "System-DSN",

    'pb__aliases' => "Alias",
    'pb__anonftp' => "Anonym FTP",
    'pb__autoinstaller_releases' => 'Uppdaterare',
    'pb__cert' => "Certifikat",
    'pb__cl_pool' => "IP-adresser",
    'pb__cl_pool_ctrl' => "%1",
    'pb__cl_pref' => "Inställningar",
    'pb__cl_rpt' => "Rapport",
    'pb__cl_rpt_list' => "Anpassa",
    'pb__cl_templates' => "Kundmallar",
    'pb__cl_traffic' => "Trafik",
    'pb__cl_traffic_history' => "Trafikhistorik",
    'pb__cl_traffic_of' => "Trafik för %1",
    'pb__client' => "%1",
    'pb__clients' => "Kunder",
    'pb__comp_info' => "Serverkomponenter",
    'pb__common_acl' => 'Tillåt överföring ACL',
    'pb__cp_access' => "Åtkomst",
    'pb__crontab' => "Schemaläggare",
    'pb__scheduler' => "Schemaläggare",
    'pb__custom_buttons' => "Anpassade knappar",
    'pb__databases_db' => 'Databaser',
    'pb__sqlservers_db' => 'SQL-servrar', //to check
    'pb__db' => "Databaser",
    'pb__db_edit' => "%1",
    'pb__db_server_edit' => '%1',
    'pb__db_servers' => 'Databasservrar',
    'pb__dl_usr_ed' => "Domänadministratör",
    'pb__dns' => "DNS",
    'pb__dns_template' => "DNS",
    'pb__dns_t' => "DNS",
    'pb__dom_ctrl' => "%1",
    'pb__dom_lim' => "Domängränser",
    'pb__dom_pref' => "Inställningar",
    'pb__dom_sum_report' => "Domänsammanfattningsrapport",
    'pb__dom_templates' => "Domänmallar",
    'pb__dom_traffic' => "Trafik för %1",
    'pb__domains' => "Domäner",
    'pb__domain_aliases' => 'Domänalias',
    'pb__dumps_list' => "Lagring för säkerhetskopierade filer",
    'pb__forwarding_setup' => "Vidarebefordranskonfiguration",
    'pb__filemanager' => "Filhanteraren",
    'pb__ip_aliasing' => "IP-adresser",
    'pb__ip_clients' => "IP-adressborttagning",
    'pb__license_management' => 'Licensinformation',
    'pb__locales' => 'Språk',
    'pb__log_files' => "Loggfiler",
    'pb__mail' => 'E-post',
    'pb__mail_name_files' => "Bifogade filer",
    'pb__mail_name_redirects' => "E-postsändare",
    'pb__mail_name_resp_attach_add' => "Ny bilaga",
    'pb__mail_name_resp_edit' => "%1",
    'pb__mail_name_responders' => "Automatsvar för e-post",
    'pb__mail_names' => "E-post",
    'pb__maillists' => "E-postlistor",
    'pb__modules' => 'Moduler',
    'pb__modules_management' => 'Hantera moduler',
    'pb__notifications' => "Meddelanden",
    'pb__odbc' => "ODBC",
    'pb__phosting_setup' => "Fysisk värdtjänst inställning",
    'pb__prtd_dirs' => "Skyddade kataloger",
    'pb__prtdir_edit' => "%1",
    'pb__report_list' => "Anpassa",
    'pb__server' => "Server",
    'pb__sessions' => "Sessioner",
    'pb__sapp_pool' => "Webbprogramspool",
    'pb__siteapp_install' => 'Webbprogramsinstallation',
    'pb__site_app_pkgs' => 'Webbapplikationer',
    'pb__site_apps' => "Webbapplikationer",
    'pb__additional_key_info' => 'Nyckelegenskaper',
    'pb__additional_key_properties' => 'Nyckelegenskaper',
    'pb__skins' => 'Skalutseenden',
    'pb__skin_info' => '%1',
    'pb__spamassassin' => "Skräppostfilter",
    'pb__statistics' => "Statistik",
    'pb__subdom_ctrl' => "%1",
    'pb__subdomains' => "Subdomäner",
    'pb__templates' => "Mallar",
    'pb__virtualdirs' => 'Virtuella kataloger',
    'pb__web_users' => "Webbanvändare",
    'pdir__invalid_hst' => "Värdtjänsttypen är ogiltig. Måste vara fysisk.",
    'pdir__pd_id_is_undefined' => "Skyddad katalog-ID är odefinierad.",
    'pdir__pdir_exist' => "Katalog med detta namn är redan skyddat.",
    'pdir__pdir_not_exist' => "Den skyddade katalogen finns inte.",
    'pdir__pdir_usr_not_exist' => "Skyddad katalog-användare finns inte.",
    'pdir__remove_pdir_usrs' => "Följande användare av skyddad katalog %2 under webbplatsen %1 kommer att tas bort:",
    'pdir__remove_pdir_usrs_on_subdom' => "Följande användare av skyddad katalog %2 under subdomän %1 kommer att tas bort:",
    'pdir__select_pdir_usrs_for_remove' => "Välj de skyddad katalog-användare som ska tas bort.",
    'pdir__select_pdirs_to_remove' => "Välj kataloger att ta bort skydd från.",
    'pdir__unable_define_pdir_users' => "Kan inte definiera användarna av den skyddade katalogen.",
    'pdir__unable_define_pdirs_properties' => "Kan inte ställa in egenskaperna för skyddade kataloger: %1",
    'pdir__unable_select_dom_param' => "Kan inte välja domänparametrar: %1",
    'pdir_ed__dir_already_protect' => "Denna katalog är redan skyddad.",
    'pdir_ed__invalid_login' => "Du angav felaktigt användarnamn.",
    'pdir_ed__login_exists' => "Denna användare finns redan. Försök specificera annat användarnamn.",
    'pdir_ed__pdir_users' => "Skyddad katalog-användare",
    'pdir_ed__ssl' => "SSL/TLS",
    'pdir_ed__ssl_or_nonssl_should_be_checked' => "Minst en kryssruta ska väljas av kryssrutorna SSL/TLS och icke-SSL/TLS.",
    'pdir_ed__unable_cr_pdir_usr' => "Kan inte skapa skyddad katalog-användaren: %1",
    'pdir_ed__unable_create_pdir' => "Kan inte ta bort den skyddade katalogen: %1.",
    'pdir_ed__unable_define_hst_type' => "Kan inte definiera värdtjänsttyp.",
    'pdir_ed__unable_update_pdir' => "Det gick inte att spara inställningarna för den skyddade katalogen: %1",
    'pdir_ed__wrong_symbol_in_header' => "Använd inte tecknet %1 i katalogtiteln.",
    'pdir_usr_ed__not_create_pass' => "Detta kommer inte att skapa ett lösenord för den nya skyddad katalog-användaren.\nUtan lösenord kommer användaren inte kunna logga in.",
    'pdir_usr_ed__unable_select_pdir_usr' => "Kan inte välja skyddad katalog-användaren: %1",
    'pdir_usrs_list__unable_define_pdir_usrs' => "Kan inte definiera användarna av den skyddade katalogen: %1",
    'pdir_usrs_list__unable_remove_pd_usrs' => "Kan inte ta bort användarna av den skyddade katalogen: %1",
    'phosting__anonftp_encrypt' => 'Lösenordet för FTP-användaren är krypterat och kan därför inte användas för att skydda katalogen /plesk-stat/webstat/. Ange ditt FTP-lösenord, eller avmarkera alternativet " \'/Plesk-stat/webstat/\'" som nås via lösenordsskyddad katalog',
    'phosting__hosting_and_dns_ip_difference_warning' => "Domännamnet %%domain_name%% kopplar till IP-adressen %%dns_ip_address%%. Din webbplats tilldelas IP-adress %%värdtjänst_ip_address%%. Om din webbplats inte öppnas i en webbläsare när du hänvisar till den med dess domännamn, gå till DNS-hanteringsskärmen (Domäner > Domännamn > DNS) och ändra egenskaperna för resursposten: tilldela IP-adressen %%värdtjänst_ip_address%% till domännamnet %%domain_name%%.",
    'phosting__ip_change_warning' => "IP-adressen har ändrats. De motsvarande ändringarna har också gjorts i domänens DNS-zon.",
    'phosting__other_hosting_exists_on_ip' => "Kan inte ändra certifikatet eftersom denna IP-adress används på ett eller flera värdtjänstkonton.",
    'phosting__unable_to_change_certificate' => "Det gick inte att installera certifikatet %1",
    'phosting__unable_to_change_ip_address' => "Kan inte ändra IP-adressen: %1",
    'phosting__unable_to_set_cert' => "Kan inte ställa in SSL/TLS-certifikatet: %1",
    'phosting__unable_update' => "Kan inte uppdatera värdtjänstinställningarna: %1",
    'phosting__unable_manage' => "Kan inte hantera värdtjänster: %1",
    'phosting__failed_to_add_logs_fail2ban' => "Kunde inte konfigurera fail2ban för att spåra domänens loggar. Loggar kommer spåras automatiskt nästa gång fail2ban-tjänsten startar om.\n%1",

    'picker_acl_record__tittle' => 'Välj en ACL-post',
    'picker_autoresponder__title' => 'Välj ett autosvar',
    'picker_black_list__domain_name' => 'Välj ett domännamn',
    'picker_certificate' => 'Välj ett SSL/TLS-certifikat',

    'picker_dns_zone_template__title' => 'Välj en resurspost',
    'picker_domain__title' => 'Markera en webbplats',
    'picker_domain_alias__title' => 'Markera en domänalias',
    'picker_resource_record__title' => 'Välj en resurspost',
    'picker_disabled_resource_record__title' => 'Markera en namnserver',
    'picker_ip_address__title' => 'Markera en IP-adress',
    'picker_ip_address_clients__title' => 'Markera kunder som använder denna IP-adress',
    'picker_mail_queue' => 'Markera e-postmeddelanden',
    'picker_site_application__title' => 'Välj ett webbprogram',
    'picker_subdomain__title' => 'Välj en subdomän',
    'picker_web_user__title' => 'Markera en webbanvändare',
    'picker_custom_button__title' => 'Markera en anpassad knapp',
    'picker_license_key__title' => "Licensnyckelns val",
    'picker_spamfilter_address__title' => 'Välj en skräppostfilteradress',
    'picker_white_list__networks' => 'Val av nätverk',

    'plesk_key__action_logs' => "Loggning av åtgärder utförda av Plesk-användare.",
    'plesk_key__app_vault' => "Applikationsvalv",
    'plesk_key__backup' => "Säkerhetskopierings- och återställningsfunktioner",
    'plesk_key__client_templs' => "Hantering av tjänsteplaner",
    'plesk_key__clients' => "Användarkonton (återförsäljare och kunder)",
    'plesk_key__resellers_only' => "Användarkonton (återförsäljare)",
    'plesk_key__customers_only' => "Användarkonton (kunder)",
    'plesk_key__domains' => "Domäner",
    'plesk_key__domain_aliases' => "Domänalias",
    'plesk_key__subdomains_limit' => "Subdomäner",
    'plesk_key__databases' => "Databaser",
    'plesk_key__mssql_databases' => "MS SQL-databaser",
    'plesk_key__manage_dashboard' => 'Anapssning av startsidan',
    'plesk_key__drweb' => "Antivirushantering",
    'plesk_key__event_manager' => "Händelsehanterare",
    'plesk_key__expirations' => "Hantering av kontots förfallodatum",
    'plesk_key__group_ops' => "Modifiering av flera objekt på en gång",
    'plesk_key__expiration' => "Nyckelns förfallodatum",
    'plesk_key__edition_name' => "Plesk-utgåva",
    'plesk_key__key_number' => "Nyckelnummer",
    'plesk_key__languages' => "Språkpaket",
    'plesk_key__mailnames' => "E-postkonton",
    'plesk_key__migration_manager' => "Migration & Transfer Manager",
    'plesk_key__mssql' => "Microsoft SQL Server-support",
    'plesk_key__myplesk_func' => "Länkar för att köpa SSL/TLS-certifikat och domänregistreringstjänster",
    'plesk_key__myplesk_server_id' => "MPC slavserveridentifierare",
    'plesk_key__notifications' => "Meddelandehantering",
    'plesk_key__postgresql' => "PostgreSQL databasserverstöd",
    'plesk_key__qmail_queue' => 'Hantering av e-postkö',
    'plesk_key__remote_db' => 'Fjärrdatabasvärdtjänst',
    'plesk_key__slave_servers' => "Slavservrar",
    'plesk_key__spamassassin' => "Skräppostfilterhantering",
    'plesk_key__subdomains' => "Subdomänhantering",
    'plesk_key__sys_access' => "Hantering av åtkomst till servern",
    'plesk_key__traffic_reports' => "Trafikanvändningsrapporter",
    'plesk_key__tts' => "Help Desk",
    'plesk_key__virtuozzo' => "Gäller enbart för Virtuozzo containers",
    'plesk_key__webusers' => "Webbanvändare",
    'plesk_key__cpu_cores' => 'CPU-kärnor',
    'plesk_key__ram' => 'Minne',
    'plesk_key__license_update_date' => 'Nästa licensnyckeluppdatering',
    'plesk_key__autoinstaller_config' => 'Hantering av uppdaterarinställningar',
    'plesk_key__check_wrong' => "Licensnyckeln är ogiltig. För att använda Plesk, hämta och installera en ny giltig licensnyckel.",
    'plesk_key__upload_check_wrong' => 'Den uppladdade licensnyckeln är ogiltig.',
    'plesk_key__revert_check_wrong' => 'Den tidigare installerade licensnyckeln är ogiltig.',
    'plesk_key__viruozzo_only_key' => 'Licensnyckeln är enbart avsedd för användning med Plesk som körs inuti Virtuozzo containers.',
    'plesk_key__ip_ranges_exceeded' => 'Du kan använda denna licensierade Plesk-kopia enbart med följande IP-adresser: %2. Följande IP-adresser täcks inte av din licens: %1.', //%1 not allowed addresses list separated by comma, %2 allowed IP addresses list separated by comma
    'plesk_key__limits_exceeded' => 'Antalet resurser som används för närvarande överstiger gränserna som definieras av din licens.',
    'plesk_key__wp-toolkit-deluxe' => 'WP Toolkit Deluxe',
    // For the keys below: %1 limit value, %2 used value, %3 delta value
    'plesk_key__limits_exceeded_lim_dom' => 'Antalet webbplatser som är värdbaserade på servern överskrider gränserna som definieras av din licens. Du har %2 värdbaserade webbplatser: din licens tillåter värdtjänst endast för %1 webbplatser.',
    'plesk_key__limits_exceeded_lim_domain_aliases' => 'Antalet domänalias på servern överstiger de gränser som definieras av din licens. Du har %2 domänaliaser: din licens tillåter värdtjänst endast för %1 domänaliaser.',
    'plesk_key__limits_exceeded_lim-subdom' => 'Antalet subdomäner på servern överskrider gränserna som definieras av din licens. Du har %2 subdomän(er); din licens tillåter värdtjänst endast för %1 underdomän(er).',
    'plesk_key__limits_exceeded_lim-db' => 'Antalet databaser på servern överskrider gränserna som definieras av din licens. Du har %2 databas(er); din licens tillåter värdtjänst endast för %1 databas(er).',
    'plesk_key__limits_exceeded_lim-mssql-db' => 'Antalet MS SQL-databaser på servern överskrider gränserna som definieras av din licens. Du har %2 databaser; din licens tillåter värdtjänst endast för %1 databaser.',
    'plesk_key__limits_exceeded_lim_cl' => 'Antalet betjänade kundkonton överstiger de gränser som fastställts för din licens. Du har %2 kundkonton som betjänas för närvarande; din licens tillåter betjäning av endast %1 kundkonton.',
    'plesk_key__limits_exceeded_lim_mn' => 'Antalet betjänade e-postkonton överstiger de gränser som fastställts för din licens. Du har %2 e-postkonton som betjänas för närvarande; din licens tillåter betjäning av endast %1 e-postkonton.',
    'plesk_key__limits_exceeded_lim_wu' => 'Antalet betjänade webbanvändarkonton överstiger de gränser som fastställts för din licens. Du har %2 webbanvändarkonton som betjänas för närvarande; din licens tillåter betjäning av endast %1 webbanvändarkonton.',
    'plesk_key__limits_exceeded_MLS' => 'Antalet för närvarande installerade språkpaket överstiger gränserna som definieras av din licens. Det finns %2 språkpaket installerade; din licens tillåter installation av endast %1 språkpaket.',
    'plesk_key__wrong_version' => 'Du försöker använda en licensnyckel skapad för en annan version av Plesk. Kontakta Plesk säljare för att erhålla rätt licensnyckel.',
    'plesk_key__other_product' => 'Du försöker använda en licensnyckel skapad för en annan produkt. Kontakta Plesk säljare för att erhålla rätt licensnyckel.',
    'plesk_key__invalid_machine_id_trial' => 'Din nuvarande licens är inte giltig eftersom den redan har aktiverats på en annan Plesk-server. För att fortsätta använda Plesk måste du antingen installera en ny licens eller återigen installera din nuvarande licens genom att ange dess aktiveringskod (om du har en).',
    'plesk_key__invalid_machine_id_retail' => 'Din nuvarande licens är inte giltig eftersom den redan har aktiverats på en annan Plesk-server. WebPros användarvillkor (https://www.plesk.com/legal/) förbjuder användning av singellicenser på två eller flera servrar på samma gång. För att fortsätta använda Plesk måste du antingen installera en ny licens eller återigen installera din nuvarande licens genom att ange dess aktiveringskod. Den skickades till dig via e-post när du köpte licensen.<br>Hittar du inte aktiveringskoden? Du kan hämta den med hjälp av Plesk 360. För att göra det, logga in på https://platform360.io/ med e-postadressen du använde för att köpa licensen, gå till fliken "Licenses" och se din licens aktiveringskod. Alternativt kan du kontakta Plesks licens- och köpsupport med onlineformuläret (https://www.plesk.com/licensing-and-purchase-support/). Kom ihåg att nämna ditt licensnummer i sektionen "How can we help you?" på formuläret.',
    'plesk_key__limits_exceeded_error' => 'Kan inte installera licensnyckeln: den för närvarande använda mängden resurser överstiger gränserna som definieras i den uppladdade licensnyckeln.',
    'plesk_key__limits_exceeded_note' => 'Den för närvarande använda mängden resurser överstiger gränserna som definieras i den uppladdade licensnyckeln.',
    'plesk_key__hardware_limits_exceeded' => 'Hårdvarukonfigurationen överskrider gränserna som anges av din Plesk-licens.',
    'plesk_key__hardware_limits_exceeded_lim-ram' => 'Servern har %1 minne installerat, men din licens tillåter inte mer än %2.',
    'plesk_key__hardware_limits_exceeded_lim-cpu-cores' => 'Servern har %1 CPU-kärnor installerade, men din licens tillåter inte fler än %2.',
    'plesk_key__key_file_invalid' => 'Den uppladdade nyckelfilen är ogiltig eller innehåller inte en licensnyckel.',
    'plesk_key__server_request_error' => 'Kunde inte uppdatera licensen. Kontrollera att anslutningar till licensservern ka.plesk.com på TCP-porten %1 inte har blockerats. <a href="https://support.plesk.com/hc/en-us/articles/12388137260695" target="_blank">Se hur man gör</a>.',
    'key__no_key_file_in_zip' => 'Den uppladdade .zip-filen innehåller inte nyckelfilen',
    'key__key_upload' => 'Licensnyckel-installation',
    'additional_key__prop_name' => 'Egenskap',
    'additional_key__prop_value' => 'Värde',
    'additional_key__descr_name' => 'Nyckelnamn',
    'additional_key__descr_key_number' => 'Nyckelnummer',
    'additional_key__descr_key_vz' => "Denna licensnyckel är avsedd att användas enbart i Virtuozzo containers.",
    'additional_key__descr_key_mailboxes' => 'E-postlådor',
    'additional_key__descr_lim_date' => 'Utgångsdatum',
    'additional_key__descr_license_update_date' => 'Nästa licensnyckeluppdatering',
    'additional_key__file_invalid' => 'Den uppladdade nyckelfilen är ogiltig eller innehåller inte en licensnyckel.',
    'additional_key__file_incompatible' => 'Den uppladdade nyckelfilen gäller inte för detta program.',
    'additional_key__not_exists' => 'Ingen licensnyckel installerad.',
    'additional_key_update__result_response' => 'Licensierande serversvar: %1',
    'additional_key_update__result_network' => 'Kan inte ansluta till licensieringsservern. Se till att ditt nätverk tillåter kommunikation till %1: %2.',
    'additional_key_update__result_lock' => 'Nyckeluppdatering pågår redan',
    'additional_key_update__result_internal_error' => 'Fel uppstod medan licensnyckeln uppdaterades: %1',

    'proceed_to_cl_pool' => "Sätt igång med konfigurationen av kundens IP-pool",
    'proceed_to_hosting_setup' => "Gå vidare till värdtjänstens inställning",
    'removeCerts__remove_certificates_cp' => "Följande certifikat kommer att tas bort:",
    'removeCerts__remove_certificates_domain' => "Följande certifikat som ägs av %1 kommer att tas bort:",
    'removeClientsIP_remove_clients_ip' => "Denna IP-adress kommer att tas bort från poolerna för följande kunder:",
    'removeMailAliases__remove_mail_aliases' => "Följande e-postaliaser för e-postkonto %1 kommer att tas bort:",
    'removeMailNames__remove_mailnames' => "Följande e-postkonton och aliaser kommer att tas bort från domänen %1:",
    'removeMailNames__remove_mailnames_of_cl' => "Följande e-postkonton och aliaser kommer att tas bort från domänen %2 som ägs av kunden %1:",
    'removeMailNames__these_mailnames_will_not_delete' => "Dessa e-postkonton kommer inte att raderas.",
    'removeFtpSessions__remove_title' => "Följande FTP-sessioner kommer att avslutas:",
    'removeTemplates__remove_templates' => "Följande mallar kommer att tas bort:",
    'resp_edit__always_respond' => "alltid svara",
    'resp_edit__reply_subject' => "Svarsämne",
    'resp_edit__answer_subject' => "Svara med ämne",
    'resp_edit__answer_txt' => "Svara med text",
    'resp_edit__attach' => "Bifoga filer",
    'resp_edit__default_subject' => "Re: %1",
    'resp_edit__for' => "för",
    'resp_edit__frw_rqst_email' => "Vid automatsvar, vidarebefordra originalmeddelandet till den specifika e-posten",
    'resp_edit__fwd_email_invalid' => "Destinationens e-postadress är ogiltig.",
    'resp_edit__in_body' => "när angivna ord finns i meddelandetexten",
    'resp_edit__in_subject' => "när angivna ord finns i meddelandets ämnesrad",
    'resp_edit__invalid_resp_freq' => "Svarsfrekvensen är ogiltig.",
    'resp_edit__invalid_rqst_txt' => "Ogiltig textbegäran.",
    'resp_edit__invalid_store_lim_num' => "Gränsvärdet är ogiltigt.",
    'resp_edit__limits_title' => "Gränser",
    'resp_edit__maximum_allowed_resp_freq_reached' => "Maximalt antal svar per dag överstiger definierad siffra. Tillåtet: %1, begärt: %2",
    'resp_edit__no_files_sel' => "Inga filer har valts.",
    'resp_edit__no_txt_supplied' => "Ingen text tillhandahållen.",
    'resp_edit__reply_title' => "Svara",
    'resp_edit__reply_to_address' => "Avsändaradress",
    'resp_edit__reply_to_invalid' => "Returadressen är ogiltig.",
    'resp_edit__reply_uniq_email' => "Svar på den unika e-postadressen under",
    'resp_edit__conditions_title' => "Villkor",
    'resp_edit__request_title' => "Begära",
    'resp_edit__resp' => "Autosvar",
    'resp_edit__resp_name' => "Autosvar-namn",
    'resp_edit__resp_not_exist' => "Autosvar finns inte.",
    'resp_edit__resp_status' => "Autosvar-status",
    'resp_edit__rqst_txt' => 'Ange villkor för detta autosvar',
    'resp_edit__select_files_on_server_for_attach' => "Markera vilka filer som ska bifogas",
    'resp_edit__store_up_to' => "Lagra upp till",
    'resp_edit__subj_line_invalid' => "Ämnesraden är felaktig.",
    'resp_edit__text_too_big' => "Svarsmeddelandetexten är för stor.",
    'resp_edit__times_in_a_day' => "gånger per dag.",
    'resp_edit__unable_define_resp_cond' => "Kan inte definiera autosvar-villkor: %1",
    'resp_edit__unable_define_resp_status' => "Kan inte definiera autosvar-status: %1",
    'resp_edit__unable_turn_on_resp' => "Kan inte slå på autosvaret: %1",
    'resp_edit__uniq_email' => "unika e-postadresser",
    'resp_edit__content_type' => 'Format på e-postmeddelande',
    'resp_edit__content_type_text' => 'Oformaterad text',
    'resp_edit__content_type_html' => 'HTML',
    'resp_edit__charset' => 'Kodning',
    'restart__dns' => 'DNS-server (%1)',
    'restart__drweb' => 'Plesk Premium Antivirus',
    'restart__mail' => "IMAP/POP3-server (%1)",
    'restart__mssql' => "Microsoft SQL Server",
    'restart__mysql' => "MariaDB/MySQL-server",
    'restart__postgresql' => "PostgreSQL",
    'restart__psa' => "Tjänster",
    'restart__smtp' => "SMTP-server (%1)",
    'restart__spamd' => "Skräppostfilter",
    'restart__spamassassin' => "SpamAssassin",
    'restart__stunnel' => "Stunnel",
    'restart__web' => "Webbserver (%1)",
    'restart__ftp' => "FTP-server (%1)",
    'restart__service_start' => 'Lämna lite tid för att tjänsten ska starta.',
    'restart__service_stop' => 'Lämna lite tid för att tjänsten ska stoppa.',
    'restart__service_restart' => 'Lämna lite tid för att tjänsten ska starta om.',
    'rm_domains__some_domains_are_not_exist' => "Några av de angivna domänerna finns inte. Eventuellt har de tagits bort av en annan användare.",
    'rpt_cl_dom_data_bases' => "DBMySQL",
    'rpt_cl_dom_mssql_data_bases' => "DBMSSQL",
    'rpt_cl_dom_mail_groups' => "MGroups",
    'rpt_cl_dom_mail_lists' => "MLists",
    'rpt_cl_dom_mail_resps' => "AResp.",
    'rpt_cl_dom_mail_antispam' => "Antispam",
    'rpt_cl_dom_mail_antivirus' => "Antivirus",
    'rpt_cl_dom_postboxes' => "MBoxes",
    'rpt_cl_dom_redirects' => "Vidarebefordrare",
    'rpt_cl_dom_subdomains' => "Subdom",
    'rpt_cl_dom_domain_aliases' => "DAliases",
    'rpt_cl_dom_web_users' => "WUsers",
    'rpt_cl_report_for_admin__' => "Rapport till administratören %1",
    'rpt_cl_report_for_reseller__' => "Rapport till återförsäljaren %1",
    'rpt_cl_report_for_cl__' => "Rapport om kunden %1",
    'rpt_cl_section_domains' => "Domäner",
    'rpt_cl_section_full_domains' => "Domäner",
    'rpt_cl_section_general' => "Allmänt",
    'rpt_create' => "Skapa rapport",
    'rpt_empty' => "Rapporten måste innehålla minst ett avsnitt",
    'rpt_dom_report_for_dom__' => "Domänrapport för %1",
    'rpt_dom_section_databases' => "Databaser",
    'rpt_dom_section_full_databases' => "Databaser",
    'rpt_dom_section_full_maillists' => "E-postlistor",
    'rpt_dom_section_full_mailnames' => "E-postkonton",
    'rpt_dom_section_full_webusers' => "Webbanvändare",
    'rpt_dom_section_full_siteapps' => 'Webbapplikationer',
    'rpt_dom_section_full_aspnetapps' => 'ASP.NET webbprogram',
    'rpt_dom_section_general' => "Allmänt",
    'rpt_dom_section_hosting' => "Värding",
    'rpt_dom_section_maillists' => "E-postlistor",
    'rpt_dom_section_mailnames' => "E-postkonton",
    'rpt_dom_section_siteapps' => 'Webbapplikationer',
    'rpt_dom_section_aspnetapps' => 'ASP.NET webbprogram',
    'rpt_dom_section_webusers' => "Webbanvändare",
    'rpt_dom_title_wa_status' => "S",
    'rpt_edit__' => "Redigera rapport %1.",
    'rpt_enter_email_address' => "Ange e-postadressen som rapporten ska levereras till.",
    'rpt_list' => "Layouter för anpassade rapporter",
    'rpt_section_full' => "Full",
    'rpt_section_none' => "Ingen",
    'rpt_section_summary' => "Sammanfattning",
    'rpt_default_full' => 'Fullständig rapport',
    'rpt_default_summary' => 'Sammanfattningsrapport',

    // end of kooper part

    // pit part

    'rpt_send_report_by_email_error__' => "Fel när rapporten skulle skickas: %1",
    'rpt_send_report_by_email_ok__' => "Rapporten skickades till %1",
    'sa_action' => "Action",
    'sa_action_del' => "Ta bort",
    'sa_action_desc' => "Vad man gör med skräppost",
    'sa_action_save' => "Markera som skräppost och lagra i mailboxen",
    'sa_admin_blacklist' => "Administratörs svarta lista",
    'sa_admin_whitelist' => "Administratörs vita lista",
    'sa_db_del_confirm' => "Är du säker på att du vill radera spamfiltrets databas?",
    'sa_eml_in_ignorelist' => "E-posten finns i ignogeringslistan",
    'sa_empty_email' => "Kan inte lägga till tomma e-postmönster",
    'sa_exists_email' => "Sådana e-postmönsteer finns redan.",
    'sa_disabled__mailname_not_filtering' => "De aktuella serverinställningarna tillåter inte användning av e-postfiltrering för detta e-postkonto",
    'sa_disabled__filtering_is_disabled' => 'Skräppostfiltreringen har stängts av av serveradministratören',
    'sa_disabled__hasnt_mailbox' => "Omöjligt att slå på skräppostfiltrering utan en mailbox",
    'sa_enable_filter' => "Slå på skräppostfiltrering",
    'sa_forget' => "Glöm",
    'sa_from' => "Från",
    'sa_ham' => "ham",
    'sa_pattern_is_invalid' => "Mönstret är ogiltigt.",
    'sa_spam' => "skräppost",
    'sa_trainer__page_title' => 'Skräppostfilter-upplärning',
    'sa_trainer__tools_legend' => 'Verktyg',
    'sa_trainer__info_legend' => 'Info',
    'sa_trainer__messages_list_legend' => 'Meddelanden i din e-postlåda',
    'sa_trainer__c' => 'T',
    'sa_trainer__l' => 'L',
    'sa_trainer__subject' => 'Ämne',
    'sa_trainer__from' => 'Från',
    'sa_trainer__date' => 'Datum',
    'sa_trainer__info_text' => 'Inlärda meddelanden: %1 som skräpppost, %2 som icke-skräppost, %3 totalt.',
    'sa_trainer__messages' => 'meddelande (n)',
    'sa_trainer__select__all' => 'Alla',
    'sa_trainer__select__spam_only' => 'Skräppost',
    'sa_trainer__select__ham_only' => 'Ej skräppost',
    'sa_trainer__select__unknown_only' => 'Okänt',
    'sa_trainer__cannot_remove_messages' => 'Kan inte ta bort markerade meddelanden från e-postlådan.',
    'sa_trainer__remove_messages_confirm' => 'Är du säker på att du vill ta bort markerade mönster från e-postlådan?',
    'sa_subj' => "Ämne",
    'sa_training' => "Skräppostfilter-upplärning",
    'sa_training_legend' => "Bayesiskt filter-upplärning",
    'sa_use_srv_settings' => "Använd serveromfattande inställningar",
    'sa_user_blacklist' => "Användares svarta lista",
    'sa_user_whitelist' => "Användares vita lista",
    'sa_usr_disabled_by_srv' => "Individuella skräppostfiltreringsinställningar tillåts inte av serveradministratören",
    'sa_usr_no_postbox' => "Kan inte aktivera spamfiltrering eftersom brevlådan är avstängd för detta e-postkonto.",
    'sa_filters' => 'Skräppostfilter',
    'spamfilter__tools_legend' => 'Verktyg',
    'spamfilter__prefs_legend' => 'Inställningar',
    'spamfilter__max_children' => 'Maximalt antal worker spamd-processer att köra',
    'spamfilter__rewrite_header_subject_hint' => 'Lämna detta fält tomt om du inte vill lägga till valfri text. Skriv _SCORE_ om du vill inkludera poängen i meddelandets ämnesrad.',
    'spamfilter__reject_spam' => 'Radera skräppost när den kommer till brevlådan',
    'spamfilter__enabled' => 'Påkopplad',
    'spamfilter_addresses_list__items' => 'adresser',
    'spamfilter_addresses__remove_title' => 'Följande adresser kommer att tas bort ur listan:',
    'spamfilter_addresses__empty_selection' => 'Inga adresser valda.',
    'server__admin_info' => "Administratörsinformation",
    'server__ctrl_panel' => "Plesk",
    'server__enter_bug_essence_below' => "Ange beskrivning av buggen nedan",
    'server__power_management' => "Energisparfunktioner",
    'server__services' => "Tjänster",
    'server__system' => "System",
    'server__title' => "Serveradministration",
    'server_preferences__admin_skin' => "Administratörs gränssnittsskal",
    'server_preferences__default_language' => "Grundspråk",
    'server_preferences__default_skin' => "Standardskal",
    'server_preferences__restart_apache_interval' => "Apache omstartintervall",
    'server_preferences__system' => 'Systeminställningar',
    'mail__tabs_preferences' => "Inställningar",
    'mail__tabs_white_list' => "White List",
    'mail__tabs_smarthost' => "Smarthost",
    'server_preferences__use_vocabulary' => "Kontrollera lösenorden för e-postkonton i ordlistan",
    'sessions__agreement' => "Ja, jag vill avsluta dessa sessioner.",
    'sessions__select_sessions_for_remove' => "Markera sessioner som ska avslutas.",
    'sessions__tabs_cp_sessions' => 'Plesk-sessioner',
    'sessions__tabs_ftp_sessions' => 'FTP-sessioner',
    'sessions__ftp_sessions_login' => 'FTP-kontots användarnamn',
    'sessions__ftp_sessions_domain' => 'Domännamn',
    'sessions__ftp_sessions_path' => 'Aktuell plats',
    'sessions__ftp_sessions_file' => 'Filnamn',
    'sessions__ftp_sessions_action' => 'Status',
    'sessions__ftp_sessions_speed' => 'Hastighet, KB/S',
    'sessions__ftp_sessions_comp' => 'Förlopp, %',

    'site_apps__access_level' => 'Åtkomstnivå',
    'site_apps__access_level_commercial' => 'Kommersiell',
    'site_apps__access_level_free' => 'Gratis',
    'site_apps__action_installer' => "Webbprogramsinstallation",
    'site_apps__action_reconfigure' => "Webbprogram håller på att återkonfigureras",
    'site_apps__custom_button_level' => 'Vill du skapa en anpassad knapp för åtkomst till detta program?',
    'site_apps__custom_button_level_false_domain_user_only' => 'Nej',
    'site_apps__custom_button_level_domain_user_only' => 'Ja',
    'site_apps__custom_button_level_false' => 'Nej',
    'site_apps__custom_button_level_domain' => 'Ja, och gör den tillgänglig endast för den aktuella domänen',
    'site_apps__custom_button_level_client' => 'Ja, och gör den tillgänglig för alla kundens domäner',
    'site_apps__custom_button_level_admin' => 'Ja, och gör den tillgänglig för alla domäner',
    'site_apps__description' => "Beskrivning",
    'site_apps__dir_used_by_sapp__' => "Katalogen \"%1\" används av ett annat webbprogram",
    'site_apps__dir_used_by_unknown__' => "Katalogen %1 finns redan. Dess innehåll kommer att skrivas över om du fortsätter",
    'site_apps__dir_invalid_name__' => "Katalognamnet %1 är felaktigt",
    'site_apps__file_name' => 'Webbprogrammets filnamn',
    'site_apps__invalid_install_prefix' => "Ogiltigt installationsprefix",
    'site_apps__invalid_package' => "Webbprogrammet är ogiltigt",
    'site_apps__key_status' => 'Licensiering',
    'site_apps__key_status_free' => 'Fritt distribuerade. Ingen licensnyckel krävs',
    'site_apps__key_status_ok' => 'Den nödvändiga licensnyckeln är installerad',
    'site_apps__key_status_problem' => 'Den nödvändiga licensnyckeln är inte installerad',
    'site_apps__name' => "Namn",
    'site_apps__no_domains' => 'Webbprogrammet kan inte installeras. Det finns redan ett annat webbprogram installerat i rotkatalogen på denna domän. Överväg att skapa en underdomän för webbprogrammet.',
    'site_apps__package_info_' => "Information för webbprogram",
    'site_apps__package_integrated' => "inbyggt program, kan inte tas bort",
    'site_apps__pool_select_packages_to_add' => 'Markera webbprogrammen du vill lägga till i poolen',
    'site_apps__release' => "Släppa",
    'site_apps__resource_used_by_sapp' => "Denna resurs används av ett installerat webbprogram",
    'site_apps__root_used_by_sapp' => "Denna resurs används av ett instalelrat webbprogram",
    'site_apps__these_domains_will_not_delete' => 'Dessa (sub)domäner kommer inte att raderas',
    'site_apps__upload_site_app_pkg_title' => 'Ladda upp ett nytt webbprogram',
    'site_apps__version' => "Version",
    'site_apps__access_to' => "Åtkomst toill %1",
    'site_builder_requires' => '%1 - %3',
    'skeleton__archiver_not_installed' => "Kan inte packa upp arkivet. Arkiveraren är eventuellt inte installerad på servern. Kontakta {$PROD_NAME}-administratör för att låta installera arkiverar-mjukvaran.",
    'skeleton__archive_corrupted' => "Arkivkontrollen upptäckte att arkivfilen är antingen korrupt eller att denna arkivtyp inte stöds.",
    'skeleton__archive_too_large' => "Arkivkontrollen upptäckte att arkivfilen är för stor.",
    'skeleton__not_supported_archive_type' => "Denna filtyp (fil %1) tillåts inte.",
    'skin_download__title' => 'Ladda ner skal',
    'skin_download_now__title' => 'Skalnedladdning pågår',
    'skin_download_now__text' => 'Skalpaketskapande pågår.<br>Denna procedur kan ta lite tid.<br> När dialogfönstret visas, kan du fortsätta arbeta med Plesk.',
    'skin_file__help_for_using_types' => "Använd skalarkiven i något av följande format:",
    'skin_info__title' => 'Skalegenskaper',
    'skin_mng_err__rpm_not_skin' => 'Detta RPM är inte ett Plesk-skalpaket',
    'skin_mng_err__psa_install_noreloc' => 'Kunde inte installera det rpm-baserade skalet på angiven position.',
    'skin_mng_err__already_exists' => 'Skalinstallationskatalogen finns redan, och det finns ett skalpaket publicerat.',
    'skin_mng_err__rpm_upgrade_nonrpm' => 'Den uppladdade filen är inte ett giltigt RPM-skalpaket.',
    'skin_mng_err__rpm_upgrade_noskin' => 'Den uppladdade filen är inte ett giltigt skalpaket.',
    'skin_mng_err__rpm_upgrade_base' => "Den uppladdade filen är inte ett giltigt {$PROD_NAME}-skalpaket.",
    'skin_mng_err__rpm_upgrade_other' => 'Kan inte installera skalet: ogiltigt skalformat.',
    'skin_mng_err__no_a_skin' => "Den uppladdade filen är inte ett giltigt {$PROD_NAME}-skalpaket.",
    'skin_upload__title' => 'Ladda upp nytt skal',
    'skin_upload__already_exists' => "Skalet %1 finns redan.",
    'skin_upload__unable_to_apply' => "Den uppladdade filen innehåller inte ett Plesk-skal, eller så stöds inte arkiveringsformatet.",
    'skin_upload__unable_to_rename__' => "Kan inte ändra namn på skal %2 till %1: %3.",
    'skin_upload__file_name' => 'Sökväg till skalpaketfilen',
    'skins_list__title' => 'Skalkatalog',
    'skins_remove__title' => 'Skalborttagande',
    'skins_remove__select_skins_for_remove' => 'Välj de skal som ska tas bort.',

    'spf__unable_update' => 'Det gick inte att uppdatera SPF-parametrar',
    'statistics__active_domains' => "Aktiva domäner",
    'statistics__clients' => "Kunder",
    'statistics__subdomains' => "Subdomäner",
    'statistics__cpu' => "CPU",
    'statistics__databases' => "Databaser",
    'statistics__db_users' => "Databasanvändare",
    'statistics__dirs' => "Skyddade kataloger",
    'statistics__dom_active' => "Aktiva",
    'statistics__dom_passive' => "Passiv",
    'statistics__dom_problem' => "Problem",
    'statistics__domains' => "Domäner",
    'statistics__domains_with_host' => "Domäner med värdtjänst",
    'statistics__doms' => "Domäner",
    'statistics__filesystem' => "Filsystem",
    'statistics__general' => "Allmänt",
    'statistics__hdd_available' => "Tillgänglig",
    'statistics__hdd_capacity' => "Kapacitet",
    'statistics__hdd_total' => "Totalt",
    'statistics__hdd_usage' => "Hårddiskanvändning",
    'statistics__hdd_used' => "Används",
    'statistics__ip' => "IP-adress",
    'statistics__key_number' => "Nyckelnummer",
    'statistics__l1' => "Den senaste minuten",
    'statistics__l15' => "De senaste 15 minuterna",
    'statistics__l5' => "De senaste 5 minuterna",
    'statistics__la' => "CPU-användning",
    'statistics__mail_autoresponders' => "Autosvar",
    'statistics__mail_boxes' => "E-postlådor",
    'statistics__mail_groups' => "E-postgrupper",
    'statistics__mail_lists' => "E-postlistor",
    'statistics__mail_redirects' => "E-postsändare",
    'statistics__mem' => "Minnesanvändning",
    'statistics__mem_usage' => "Användning",
    'statistics__memory_available' => "Tillgänglig",
    'statistics__memory_buffer' => "Buffert",
    'statistics__memory_cached' => "Cachelagrad",
    'statistics__memory_free' => "Ledigt",
    'statistics__memory_shared' => "Delad",
    'statistics__memory_total' => "Totalt",
    'statistics__memory_used' => "Används",
    'statistics__os' => "OS",
    'statistics__problem_clients' => "Problemkunder",
    'statistics__problem_domains' => "Problemdomäner",
    'statistics__swap' => "Växlingsanvändning",
    'statistics__swap_free' => "Ledigt",
    'statistics__swap_total' => "Totalt",
    'statistics__swap_usage' => "Användning",
    'statistics__swap_used' => "Används",
    'statistics__system_stat' => "Serverinformation",
    'statistics__unable_define_active_doms' => "Kan inte fastställa antalet aktiva domäner: %1",
    'statistics__unable_define_inactive_doms' => "Kan inte fastställa antalet inaktiva domäner: %1",
    'statistics__failed_define_swap_usage' => 'Kunde inte definiera växlingsanvändning',
    'statistics__failed_define_load_averages' => 'Kunde inte definiera snittbelastning',
    'statistics__up_time' => "Systemtillänglighet:",
    'statistics__ver' => "Version",
    'statistics__web_users' => "Webbanvändare",
    'statistics__mem_win' => "Användning av fysiskt minne",
    'statistics__memory_total_win' => "Totalt",
    'statistics__memory_used_win' => "Används",
    'statistics__memory_free_win' => "Tillgänglig",
    'statistics__swap_win' => "Användning av virtuellt minne",
    'statistics__swap_total_win' => "Totalt",
    'statistics__swap_used_win' => "Används",
    'statistics__swap_free_win' => "Tillgänglig",
    'status__domain_has_reasons_to_be_off' => "Domänen är fortfarande inaktiverad av följande orsak: %1",
    'subdomain__create__' => "Skapa en subdomän i domänen %1",
    'subdomain__edit__' => "Hantera subdomän %1",
    'subdomain__invalid_name' => "Ogiltigt subdomännamn: använd endast alfanumeriska tecken och bindestreck.",
    'subdomain__incorrect_name' => "Ogiltigt underdomännamn.",
    'subdomains__maillists_enabled_in_domain' => "Felaktiga subdomännamnlistor.%1: detta domännamn används redan av e-postlistor under domänen %1.",
    'subdomains__dalias_exists' => 'En domänalias med ett sådant namn finns redan.',
    'subdomains__name_exists' => "En underdomän med ett sådant namn finns redan",
    'subdomains__regular_domain_exists' => "Domän med ett sådant namn finns redan",
    'subdomains__domain_alias_exists' => 'En domänalias med ett sådant namn finns redan.',
    'subdomains__remove_subdomains_on_domain' => "Följande subdomäner för domän %1 kommer att tas bort:",
    'subdomains__select_subdomains_for_remove' => "Markera de underdomäner som ska tas bort.",
    'subdomains__webmail_enabled_in_domain' => "Felaktigt subdomännamn webbmail.%1: Detta domännamn används för åtkomst till webbmail under domänen %1.",
    'subdomains__dns_record_already_exists' => 'Kan inte skapa underdomänen %1 eftersom det redan finns en DNS-post som pekar mot värddator %1.',
    'subdomains__www_prefix_in_domain' => "Felaktigt subdomännamn www.%1: domänen %1 har redan WWW-prefixet.",
    'subdomains__user_type_quota_exceeds' => 'Kan inte ändra användarkontot eftersom det skulle leda till att det tilldelade diskutrymmet överskrids.',
    'subdomains__creation_in_dns_slave' => "Plesk-namnservern agerar som en sekundär namnserver för denna domän. För att din subdomän ska adresseras ordentligt, se till att zonfilen på den primära servern innehåller posten %1.",
    'sys_user__attributes_not_changed' => "\nFöljande systemanvändaregenskaper ändrades inte: %1",
    'sys_user__no_access_without_password' => "Du angav inget lösenord. Systemanvändaren kommer att skapas, men kommer inte att kunna logga in på systemet förrän hon får ett lösenord. Vill du fortsätta?",
    'sys_user__no_hard_quota' => "stöds inte",
    'sysuser__zero_quota_is_unlimited' => "0 för obegränsat",
    'template__num_excl_ips' => "Allokera dedikerade IP-adresser till kunden",
    'template__sel_sh_ips' => "Valda delade IP-adresser",
    'template__av_sh_ips' => "Tillgängliga delade IP-adresser",
    'template__up_to_excl_ip' => "Upp till %1 IP-adresser",
    'templates__all_clients' => "alla kunder",
    'templates__cl_domain_templates' => "Mallar för %1",
    'templates__cl_templates' => "Kundmallar",
    'time__invalid_ip' => "Ogiltig IP-adress eller domännamn.",
    '__please_select_country' => 'Välj land',
    'time__unable_set_time' => "Det gick inte att ange systemtiden: %1",
    'time__sinchronization_setup_error' => 'Kunde inte ställa in tidssynkronisering: timemng misslyckades: %1',
    'time__sinchronization_disable_error' => 'Kunde inte inaktivera tidssynkronisering: timemng misslyckades: %1',
    'tmpl__create' => "Skapa mall",
    'tmpl__edit__' => 'Mall %1',
    'tmpl__logrotation_warn' => "Loggrotation på domänen som skapats med denna mall kommer att utföra endast vid efterföljande fysiskt värdbaserat konto som skapats för detta.",
    'tmpl__name' => "Mallnamn",
    'tmpl__dom_exist' => "En domänmall med ett sådant namn finns redan i administratörens eller kundens mallpool.",
    'tmpl__name_invalid' => "Mallnamnet är tomt eller ogiltigt.",
    'tmpl__use_next_ip_addr' => "Nästa lediga IP-adress kommer att användas",
    'tmpl_name_already_exists' => "En mall med namnet  '%1'  finns redan.",

    'vh_based__no_free_ip_for_vh' => "Det finns inga lediga IP-adresser för den IP-baserade virtuella webbtjänsten. Ange en IP-adress.",

    'wu__at_domains_text' => "Tillåt webuser@%1 åtkomstformat",
    'wu__unable_create' => "Kan inte skapa en webbplatsanvändare: %1",
    'wu_edit__disk_quota' => "Diskkvot",
    'wu_edit__invalid_pass' => "Lösenordet är ogiltigt.",
    'wu_edit__invalid_quota' => "Det angivna utrymmeskvotvärdet är ogiltigt. Ange ett positivt heltal.",
    'wu_edit__invalid_quota_value' => "Den angivna utrymmeskvoten är mindre än vad som för närvarande används (%1 MB). Viss funktionalitet kan bli otillgänglig. Är du säker på att du vill fortsätta?",
    'wu_edit__not_create_pass' => "Denna åtgärd kommer inte skapa ett lösenord för den nya webbanvändaren.\nUtan lösenord kommer användaren inte kunna logga in.",
    'wu_edit__unable_update' => "Det gick inte att uppdatera webbanvändaregenskapen: %1",

    'dns__tabs_general' => 'Zon Inställningar',
    'dns__tabs_zone_settings' => 'SOA-poster',
    'soa__seconds' => 'sekunder',
    'soa__minutes' => 'minuter',
    'soa__hours' => 'timmar',
    'soa__days' => 'dagar',

    'DomainSubdirectory' => 'Målunderkatalog',

    'filemanager__select_codepage' => 'Välj kodsida:',

    'bt_server_app_add' => 'Lägg till serverprogram',
    'packages_list' => 'Serverprogram',

    'bt_packages_management' => 'Pakethantering',
    'pb__packages_management' => 'Applikationshantering',
    'bt_package_new' => 'Lägg till program',
    '__packages' => 'Serverprogram',

    'dom_ctrl__mysql_dbase_space' => 'Totalt MariaDB/MySQL-databasvärde',
    'dom_ctrl__mssql_dbase_space' => 'Totalt MS SQL databasvärde',

    'dns_add__enter_ixfr_path' => 'Ange IXFR-sökväg',

    'cmd_dns__txt_dns_record_already_exist' => 'SPF TXT-post finns redan. Det kan bara finnas en SPF-post. För att lägga till en post, ta bort den befintliga först.',

    'component_name__network' => 'Nätverk',
    'component_name__sitebuilder' => 'Presence Builder',

    'bt_skin_set' => 'Ange skal',
    'bt_set_skin' => 'Ange skal',
    'firewall__rule_already_exists' => 'En regel med namnet "%1" finns redan',
    'firewall__rule_readonly' => 'Regel "%1" är skrivskyddad',
    'pb__firewall' => 'Brandvägg',

    '__webstat_smarterstats' => 'SmarterStats',

    'mn_list__tab_title_antivirus' => 'AV',

    'bt_antivirus' => 'Antivirus',
    'antivirus__antivirus' => 'Antivirus-skydd',
    'antivirus__antivirus_direction_off' => 'Avstängd',
    'antivirus__antivirus_direction_any' => 'Inkommande och utgåend e-post.',
    'antivirus__antivirus_direction_from' => 'Endast utgående e-post',
    'antivirus__antivirus_direction_to' => 'Endast inkommande e-post',
    'antivirus__unable_to_update_settings' => 'Kan inte ändra antivirusinställningarna: %1',




    '__normal' => 'Normal',
    '__low' => 'Låg',
    '__high' => 'Hög',

    'mail__antivirus' => "Intern mailservers antivirus",
    'mail__use_internal_antivirus' => 'Använd interna antivirus',

    'sa__tabs_blacklist' => 'Svarta listan',

    '__mysql_databases' => 'MariaDB/MySQL-databaser',

    'cl_perm__mysql_dbase_space' => 'Totalt MariaDB/MySQL-databasvärde',
    'cl_perm__mssql_dbase_space' => 'Totalt MS SQL databasvärde',
    'cl_perm__max_mssql_db' => 'Maximalt antal Microsoft SQL Server-databaser',
    'cl_perm__total_mboxes_quota' => 'Total e-postkontokvot',

    'i_i_cl_on' => 'Kundens konto är aktivt.',
    'i_i_cl_off_by_admin' => 'Kundkontot har tillfälligt upphävts av administratören.',

    'sa_exists_tn' => 'Nätverket finns redan i listan.',

    'defaultcomponents__not_activated' => 'inte aktiverad',

    'bt_traffic_at_domains' => 'Trafik',

    '__awstats_perl_warning' => 'Utan Perl installerat, kommer AWStats inte låta användare att kontrollera statistiken för föregående år.',

    'class_client__mysql_dbase_space' => 'Värdet överskrider kundens gräns.',
    'class_client__mssql_dbase_space' => 'Värdet överskrider kundens gräns.',
    'class_client__max_mssql_db' => 'Värdet överskrider kundens gräns.',

    'dns__remove_transfer_restrictions_list_items' => 'Följande nätverk kommer att tas bort ur åtkomstkontrollistan:',

    'bt_up' => "Upp",
    'bt_down' => "Ner",

    'bt_install_selected' => 'Installera valda licensnycklar', // SELECTED


    'dom_pref__the_domain_resolves_to_another_ip_address' => 'Domänen kopplar till en annan IP-adress: (%1). Korrigera DNS-inställningarna.',

    'mn_edit__mailbox_enable_if_mailgroup_enabled' => 'E-postservern som används för närvarande stödjer inte både e-postlådan och e-postgrupperna som sätts på samtidigt. Tryck på OK för att sätta på brevlådan på bekostnad av avstängningen av e-postgrupperna. Tryck på Avbryt för att lämna allting som det är.',

    'mn_edit__mailgroup_enable_if_mailbox_enabled' => 'E-postservern som används för närvarande stödjer inte både e-postlådan och e-postgrupperna som sätts på samtidigt. Tryck på OK för att sätta på e-postgrupper på bekostnad av avstängningen av brevlådan. Tryck på Avbryt för att lämna allting som det är.',

    'mysql_dbase_space_limit' => 'MariaDB/MySQL-databasutrymmesgräns',
    'mysql_dbase_usage' => 'MariaDB/MySQL-databasutrymmesanvändning',
    'mssql_dbase_space_limit' => 'Microsoft SQL Server-databasutrymmesgräns',
    'mssql_dbase_usage' => 'Microsoft SQL Server-databasutrymmesanvändning',

    '__statistics' => "statistik", //indirect

    'dns__soa_minimum_value_is_big' => 'Om du ställer in minimi-TTL-värdet till mer än 3 timmar kan detta göra dina domäner otillgängliga för några av domänadministratörerna. Det rekommenderas att ställa in ett sådant värde endast om din domännamnsregistrator insisterar på det.',

    'virusfilter__interface_not_available' => 'Inga virusfilter är tillgängliga.',
    'virusfilter__none_virus_filter' => 'Ingen',
    'virusfilter__mailname_status_text' => 'Antivirus (%1)',
    'virusfilter__status_none' => 'avstängd',
    'virusfilter__status_any' => 'inkommande och utgåend e-post.',
    'virusfilter__status_outgoing' => 'endast utgående e-post',
    'virusfilter__status_incoming' => 'endast inkommande e-post',

    'visibility__root_override_parse_error' => 'Det finns ett syntaxfel i fil %1 på rad %2.',

    'sb__not_support_publishing_api' => "Publiceringsautomation stöds inte av komponenten",

    'component_name__cphosting' => "Plesk Hosting",

    'dom_pref__unable_set_up_total_mboxes_quota' => 'Inställning av e-postlådans kvot stöds inte av den aktuella e-postservern.',
    '__unable_get_total_mboxes_quota' => 'Inställning av e-postlådans kvot stöds inte av den aktuella e-postservern.',

    'install_prefix__parent_not_exists' => "Huvudkatalogen finns inte.",

    'bt_change_version' => 'Ändra version',
    'pb__aspdotnet' => 'ASP.NET',

    '__check_all' => "Markera alla",
    '__uncheck_all' => "Radera alla",

    'dns__editing_domain_controller_zone' => "Redigering av DNS-zonposter för domäncontrollern kan orsaka problem för domänens funktion",

    'pb__interface_management' => "Gränssnittshantering",
    'interface_management__tabs_skins' => "Skalutseenden",
    'interface_management__tabs_interface_templates' => "Gränssnittsmallar",
    'interface_management__tabs_locales' => "Språk",
    'locales_list__title' => "Språkpaketskatalog",
    'locales_list__legend' => "Tillgängliga språk",
    'locales_list__active_title' => "S",
    'locales_list__locale_title' => "Språkpaket",
    'locales_list__lang_title' => "Språk",
    'locales_list__country_title' => "Land",
    'locales_list__used_title' => "Används",

    'backup__suspend_warning_during_backup' => "Domänen kommer att vara otillgänglig under säkerhetskopieringsprocessen",
    'backup__suspend_warning_during_restore' => "Domänen kommer att vara otillgänglig under återställningssprocessen",
    'backup__suspend_domain' => "Stäng av domän",

    'locales_list__mls_limit' => "Din aktuella Plesk-licens möjliggör användning av %2 språk. För ögonblicket, har du %1 språk angivna som tillgängliga för användare, vilket överstiger antalet som medges av licensen. Välj %2 språk som du vill använda, och gör resten otillgängliga för användare genom att klicka på deras ikoner i kolumnen 'S'.",

    'bt_change_owner' => 'Tilldela ny ägare',
    'chown__limit_name' => 'Resursnamn',
    'chown__error_limits' => "Kan inte fortsätta med abonnemangsöverföringen: detta abonnemang kräver mer resurser än vad den nya ägarens leverantör kan tillhandahålla.",
    'chown__error_empty_ip_pool' => "Kan inte fortsätta med abonnemangsöverföringen: IP-poolen för den nya ägarens leverantör är tom. Se till att leverantören har minst en IP-adress i poolen.",

    'backup__backup_time' => 'Säkerhetskopieringstid',
    'backup__backup_time_hour' => 'timmar',
    'backup__backup_time_minute' => 'minuter',
    'backup__every' => 'var',
    'backup__day_of_month' => 'Dag i månad',

    'subdomain__select_hst_type' => 'Markera typ av värdtjänst för underdomänen',
    'hst_sel__subdom_subfolder_hst' => 'Subdomän på undermapp',
    'subdomain__www_root_folder_not_exists' => 'Webbplatsens katalogen %1 finns inte',
    '__site_home_dir' => 'Webbplatsens startkatalog',
    'subdomain__aspnet_disabled_domain' => 'avstängt av domän',

    'domains__remove_description' => 'Alla domändata, inklusive domän och respelktive underdomänsinnehåll och inställningar, webbprogramdata, e-postlådans innehåll, e-post, antivirus- och spam-filterinställningar, loggfiler, domänens säkerhetskopieringskatalogs data och SSL/TLS-certifikaten raderas. Om du inte har en säkerhetskopia på dina lokala dator, kommer all data att gå förlorad permanent.',
    'subdomains__remove_description' => 'Alla underdomänuppgifter, inklusive sekundärdomänens innehåll och inställningar, webbprogramuppgifter och loggfiler kommer att raderas. Om du inte har en säkerhetskopia på dina lokala dator, kommer all data att gå förlorad permanent.',

    'mail__tabs_spam_filtering' => 'Skräppostfiltrering',
    'mail__tabs_antivirus' => 'Antivirus',
    'antivirus__use_server_settings_scan' => 'Använd serveromfattande standardinställningar (scanna)',
    'antivirus__use_server_settings_no_scan' => 'Använd serveromfattande standardinställningar (scanna inte)',
    'antivirus__check_for_viruses' => 'Scanna efter virus',
    'antivirus__dont_check_for_viruses' => 'Scanna inte efter virus',
    'antivirus__incoming_mail' => 'Inkommande',
    'antivirus__outgoing_mail' => 'Utgående post',

    'domain_alias__CNAME_dns_record_exists' => 'DNS CNAME-post med sådant namn finns redan',
    'domain_alias__A_dns_record_exists' => 'DNS A-post med ett sådant namn finns redan.',
    'domain_alias__bad_prefix' => 'Felaktigt prefix för domänalias',
    'domain_alias__domain_doesnt_exist' => "Domänen finns inte",

    'dns__zone_ttl_message_info' => 'Om TTL-värdet inte anges så kommer TTL-värdet i SOA-postmallen (%1) att användas för denna DNS-post.',

    '__webalizer_support' => 'Webalizer',
    '__awstats_support' => 'AWStats',
    '__smarterstats_support' => 'SmarterStats',

    'site_apps__make_default_warning_message' => "En fil med namnet index.html kommer att skapas för omdirigering till valt webbprogram. Om en fil kallad index.html redan finns, kommer den att säkerhetskopieras som index.html.old och ersättas av den nya. Tryck på OK för att bekräfta",

    'bt_ftp_ctrl' => "Extra FTP-konton",
    'ftp_users_no_permission' => "Du har inte behörighet att hantera FTP-konton för denna domän.",
    'ftp_users_limit_reached' => "FTP-kontogränsen har nåtts för denna domän",
    'pb__ftp_ctrl' => "FTP-hantering",
    'class_client__max_subftp_users' => "Extra FTP-konton",

    '__client_form_settings' => "Kundinställningar",
    '__sbnet_client_keep_sbnet' => "Behåll motsvarande användarkonto i Presence Builder",
    '__sbnet_cant_add_more_sites' => "Gränsen för antalet webbplatser som kan använda Presence Builder har nåtts för denna kund",
    '__sbnet_legend_text' => "Presence Builder-integration",
    '__sbnet_synchronize_user_with_sbnet' => "Skapa ett motsvarande användarkonto i Presence Builder",
    '__sbnet_client_warning_delete_sb_user' => "Du försöker ta bort ett Presence Builder-användarkonto som är associerat med denna kund. Detta raderar alla användarens webbplatser och alla andra relevanta inställningar från Presence Builder-systemet för att ta bort förmågan att redigera befintliga webbplatser genom Presence Builder, även om du sätter på detta tillval igen senare. Om du skapar ett Presence Builder-användarkonto igen senare, måste du skapa och publicera alla webbplatser från början. Vill du stänga av webbplatsskapandet och publicera via Presence Builder?",
    'sb__build_site_with_subdomains' => "Skapa blogg- och fotogallerisubdomäner",
    '__sbnet_client_dont_have_sbuser' => "Kan inte skapa och publicera webbplatsen med hjälp av Presence Builder: Presence Builder-användaren finns inte",

    '__component_disabled' => "Komponent avstängd",

    'subdomains__physical_path_not_exist' => "Det finns subdomäner länkade till ej existerande fysiska kataloger",

    'dnsserver_bind_to_msdns_switching_warning' => "Varning: endast de första 254 IP-adresserna av subnätet med /8 och /16 masker i Åtkomstkontrollistan kommer att överföras. De överförs som separata IP-adresser. Vill du fortsätta?",

    '__sbnet_net_framework_required_for_site' => "Presence Builder-siter kan behöva ASP.NET 2.0 stöd på din domän. Vi rekommenderar att aktivera ASP.NET 2.0-stöd om du använder Presence Builder.",

    'subdomain_auto_create_dir' => "Skapa fysisk katalog för subdomän",

    'sa_trainer__unable_to_get_messages_list' => "Kan inte få listan med meddelanden i e-postlådan: %1",
    'sa_trainer__pass_doesnt_exist' => "Lösenordet för detta e-postkonto saknas",

    '__sitebuilder_error' => "Ett fel inträffade under anslutningsförsöket till Presence Builder. Kontakta din serverleverantör för assistans.",
    'wsb_error_user_not_exist' => "Detta Presence Builder-användarkonto finns inte.",
    'wsb_error_site_already_exist' => "Denna site finns redan i Presence Builder.",
    'wsb_error_site_limit_reached' => "Gränsen för antal Presence Builder-siter har nåtts.",
    'wsb_error_internal_error' => "Internt Presence Builder-fel uppstod: Kontakta din serverleverantör för assistans.",
    'wsb_error_user_already_exist' => "Presence Builder-användare med sådant namn finns redan i Presence Builder.",
    'sb_error_user_not_exist' => "Presence Builder-användaren finns inte.",
    'wsb_error_object_not_found' => "Presence Builder kunde inte hitta korrekt värddatoringång.",

    'mg_no_mail_groups' => "Inga e-postgrupper",

    'drweb__drweb_incoming' => 'Antiviruskontroll för inkommande e-post',
    'drweb__drweb_outgoing' => 'Antiviruskontroll för utgående e-post',
    'drweb__disable_reason_serv' => 'E-postservern stödjer inte antivirusfilterinställningarna på e-postlådenivå',

    'vz_sitebuilder3_client_cant_be_created' => "Kan inte skapa kundkonto: SiteBuilder version 3.1 eller senare har inte installerats",

    // new limits

    'class_client__max_odbc' => "ODBC-anslutningar",
    'cl_perm__max_odbc' => "maximalt antal ODBC-anslutningar",

    // domain aliases DNS
    'domain_alias__list_status' => 'S',
    'domain_alias__list_name' => 'Domänens aliasnamn',
    'domain_alias__list_ascii_name' => 'I ASCII-format',


    // Interface Customization Templates
    'interface_preferences' => 'Gränssnittshantering',
    'pb__interface_templates' => 'Gränssnittshantering',
    'pb__interface_clients' => 'Kunder som använder %1',

    // service management
    'bt_service_showall' => "Visa alla",
    'bt_service_hideall' => "Dölj alla",
    'bt_service_start' => "Start",
    'bt_service_stop' => "Stopp",
    'bt_service_restart' => "Omstart",
    'bt_service_disable' => "Stänga av",
    'bt_service_manual' => "Manuell",
    'bt_service_auto' => "Auto",
    'service_startup_auto' => 'Automatisk',
    'service_startup_manual' => 'Manuell',
    'service_startup_disabled' => 'Avstängd',
    'service_action_ok' => "Åtgärden med %1 tjänsten slutfördes korrekt",
    'service_action_failed_disabled_service' => "Kunde inte slutföra åtgärden med %1 tjänsten eftersom den är avstängd",
    'service_action_failed_error' => "Det gick inte att slutföra åtgärden: %1",
    'service_group_action_ok' => "Åtgärden med följande tjänster slutfördes korrekt: \n %1",
    'service_group_action_disabled' => "Kunde inte slutföra åtgärden med följande tjänster eftersom de är avstängda: \n %1",
    'service_group_action_failed' => "Kan inte slutföra åtgärden med följande tjänster: \n %1. \nFör att ta emot detaljerad felinformation, utför åtgärden med varje tjänst separat",

    // php 4vs5
    'bt_php' => "PHP-inställningar",

    'bt_insert' => "Infoga",

    // wsb integration
    'wsb_error_sitebuilder_database_error' => "Presence Builder-fel uppstod. Kontakta din serverleverantör för assistans.",
    'wsb_error_sitebuilder_access_denied_error' => "Kan inte få tillgång til filen: Presence Builder har inga åtkomsträttigheter till den begärda filen eller mappen. Kontakta din serverleverantör för assistans.",
    'wsb_error_sitebuilder_connection_failed' => "Det gick inte att ansluta till Presence Builder eftersom anslutningen bröts. Kontakta din serverleverantör för assistans.",
    'wsb_error_critical_during_operation' => "Kritiskt Presence Builder-fel uppstod:\n%1",
    'wsb_error_license_during_operation' => "Presence Builder-fel uppstod:\n%1",
    'wsb_error_during_operation' => "Presence Builder-fel uppstod:\n%1",
    'wsb_error_license_error' => "Presence Builder-licensbegränsning hittades.",

    // Other
    '__confrim_service_stop' => "Varning! Om du avbryter tjänsten %1, kan Plesk upphöra att fungerar. Är du säker på att du vill stoppa tjänsten %1?",
    'index_redirect_help_text' => 'Nu kommer du automatiskt att omdirigeras till begärd webbplats. Om webbläsaren inte stödjer omdirigering, klicka på %1 här %2',
    'bt_default_settings' => "Återställ standardvärden",
    'logfiles__remove_failed' => "Kan inte radera fil %1: filen är låst av ett annat program. Försök igen senare",
    'subdomain__invalid_homedirectory' => "Den specificerade underdomänens startkatalog är ogiltig",
    'scheduler_item__empty_filename' => "Specificera den utförbara filen att köra",
    'subdomains__overlapped_domain_exists' => 'Subdomän överlappas av DNS-zon av domän %1',
    'subdomains__overlapped_domain_alias_exists' => 'Subdomän överlappas av DNS-zon av domänalias %1',
    'services_action_none_selected' => 'Kunde inte slutföra åtgärdemn: välj begärda tjänster',
    'cl_perm__max_subftp_users' => "maximalt antal extra FTP-konton",
    'login_up__access_denied_no_cp_access' => 'Åtkomst nekad. Du saknar behörighet att söka åtkomst till Plesk.',
    'drweb__disable_reason_admin' => "Antivirusfilterinställningar på e-postkontonivå tillåts inte av serverpolicyn.",

    '__use_default' => 'Använd standard',

    'webalizer_hidden_referrer__already_exist' => 'En sådan post finns redan.',
    'webalizer_group_referrer__already_exist' => 'En grupphänvisning med samma namn finns redan.',

    'pb__dashboard' => 'Hem',

    'server_interface__page_title' => 'Servergränssnittsinställningar',
    'server_interface__tabs_locales' => 'Språk',
    'server_interface__tabs_skins' => 'Skalutseenden',
    'server_interface__tabs_interface_templates' => 'Gränssnittsmallar',
    'bt_server_interface' => 'Gränssnittsinställningar',
    'pb__server_interface' => 'Gränssnittsinställningar',

    'bt_wizard_next' => 'Nästa>>',
    'bt_wizard_prev' => '<< Tillbaka',

    '__limit_exceeded_max_dom_server' => 'Du kan inte värdbasera fler domäner i denna server eftersom gränsen för antalet domäner som tillåts i servern av licensnyckeln har nåtts. Kontakta din serviceleverantör för att lösa detta problem.',
    '__limit_exceeded_max_subdom_server' => 'Du kan inte vara värd för fler underdomäner på denna server. Kontakta din internetleverantör.',
    '__limit_exceeded_max_dom_aliases_server' => 'Du kan inte konfigurera fler domänalias på den här servern. Kontakta din internetleverantör.',
    '__limit_exceeded_max_wu_server' => 'Du kan inte skapa fler webbanvändare eftersom gränsen för antal webbanvändare som tillåts på servern av licensnyckeln har uppnåtts. Kontakta din serviceleverantör för att lösa detta problem.',
    '__limit_exceeded_max_mn_server' => 'Du kan inte skapa fler e-postkonton eftersom gränsen för antalet e-postkonton som tillåts av licensnyckeln har nåtts. Kontakta din serviceleverantör för att lösa detta problem.',

    '__limit_exceeded_max_cl_useradmin' => 'Du har nått gränsen för antalet kundkonton som definieras av din licensnyckel (%2)',
    '__limit_exceeded_max_dom_useradmin' => 'Du har nått den gräns för antalet domäner som definieras av din licensnyckel (%2)',
    '__limit_exceeded_max_subdom_useradmin' => 'Du har nått den gräns för antal subdomäner som definieras av din licensnyckel (%2)',
    '__limit_exceeded_max_dom_aliases_useradmin' => 'Du har nått gränsen för antalet dmänalias som definieras av din licensnyckel (%2)',
    '__limit_exceeded_disk_space_useradmin' => 'Du har inget ledigt diskutrymme kvar',
    '__limit_exceeded_max_wu_useradmin' => 'Du har nått gränsen för antalet webbanvändarkonton som definieras av din licensnyckel (%2)',
    '__limit_exceeded_max_db_useradmin' => 'Du har nått den gräns för antalet databaser som definieras av din licensnyckel (%2)',
    '__limit_exceeded_max_box_useradmin' => 'Du har nått gränsen för antalet e-postlådor som definieras av din licensnyckel (%2)',
    '__limit_exceeded_max_mn_useradmin' => 'Du har nått gränsen för antalet e-postkonton som definieras av din licensnyckel (%2)',
    '__limit_exceeded_max_maillists_useradmin' => 'Du har nått den gräns för antalet e-postlistor som definieras av din licensnyckel (%2)',

    '__limit_exceeded_max_dom_userclient' => 'Du har nått gränsen för antalet domäner (%2).',
    '__limit_exceeded_max_subdom_userclient' => 'Du har nått gränsen för antalet underdomäner (%2) som tillåts av din tjänsteleverantör',
    '__limit_exceeded_max_dom_aliases_userclient' => 'Du har nått gränsen för antal dmänalias (%2)',
    '__limit_exceeded_disk_space_userclient' => 'Du har nått diskutrymmets användningsgräns (%2)',
    '__limit_exceeded_max_traffic_userclient' => 'Du har nått gränsen för bandbreddsanvändning per månad (%2)',
    '__limit_exceeded_max_wu_userclient' => 'Du har nått gränsen för antalet webbanvändare (%2) som tillåts av din tjänsteleverantör.',
    '__limit_exceeded_max_db_userclient' => 'Du har nått gränsen för antalet databaser (%2).',
    '__limit_exceeded_max_box_userclient' => 'Du har nått gränsen för antalet brevlådor %2.',
    '__limit_exceeded_max_maillists_userclient' => 'Du har nått gränsen för antal e-postlistor (%2)',
    '__limit_exceeded_expiration_userclient' => 'Ditt konto gick ut den %2',

    '__limit_exceeded_max_subdom_userdomain' => 'Du har nått gränsen för antalet underdomäner (%2) som tillåts av din tjänsteleverantör',
    '__limit_exceeded_max_dom_aliases_userdomain' => 'Du har nått gränsen för antal dmänalias (%2)',
    '__limit_exceeded_disk_space_userdomain' => 'Du har nått diskutrymmets användningsgräns (%2)',
    '__limit_exceeded_max_traffic_userdomain' => 'Du har nått gränsen för använd bandbredd per månad (%2)',
    '__limit_exceeded_max_wu_userdomain' => 'Du har nått gränsen för antalet webbanvändarkonton /(%2)',
    '__limit_exceeded_max_db_userdomain' => 'Du har nått gränsen för antalet databaser (%2).',
    '__limit_exceeded_max_box_userdomain' => 'Du har nått gränsen för antalet brevlådor %2.',
    '__limit_exceeded_max_maillists_userdomain' => 'Du har nått gränsen för antal e-postlistor (%2)',
    '__limit_exceeded_expiration_userdomain' => 'Ditt konto gick ut den %2',

    'sapp_error_validation_not_found' => 'Kan inte validera webbprogrammet eftersom en av de begärda filerna (%1) inte hittades. Kontakt din tekniska supportrepresentant för hjälp.',
    'sapp_error_validation_spec_failed' => 'Det uppladdade webbprogrammet uppfyller inte specifikationerna för AppPacks: %1.',
    'sapp_error_validation_register' => 'Kan inte registrera webbprogrammet i katalogen "%1": %2 Du ska ta bort webbprogrammet från servern eftersom det inte kommer att fungera riktigt.',

    'sapp__install_failed' => 'Webbprogrammets installation misslyckades: %1',
    'sapp__install_res_failed' => 'Det gick inte att skapa begärd resurs.',

    'server_preferences__subdomains_blog_and_photo' => 'Skapa blogg- och fotogallerisubdomäner som standard',
    'plesk_key__blog_and_photo' => 'Förmåga att hantera standardtillståndet för Skapa blogg- och Fotogalleri-subdomänkryssrutan',
    'ip_ctrl__cannot_make_exclusive_ip_with_more_than_one_client' => 'Kan inte ändra IP-adresstypen till dedikerad, eftersom den är tilldelad fler än en användare.',

    // 8.1.1

    '__write_modify_warning' => 'När du väljer ytterligare skriv-/ändringstillstånd kommer vissa webbapplikationer att fungera riktigt, men ökar också säkerhetsriskerna betydligt',
    '__write_modify_subdomain_warning' => 'När du väljer ytterligare skriv-/ändringstillstånd kommer vissa webbapplikationer att fungera riktigt, men ökar också säkerhetsriskerna betydligt',

    'phosting__php_incorrect_version_used' => "PHP-versionsproblem detekterade. För att lösa dessa problem, markera kryssrutan med nödvändig PHP-version nedan och klicka på OK. För att stänga av PHP på denna domän, klicka på OK utan att välja PHP-version",
    'fp__mail_preferences' => 'Inställningar för e-post',

    'mail__invalid_white_pattern' => 'Den angivna värdet är ogiltigt. Använd följande format: mail@example.com för e-postadresser, example.com för domäner.',
    'mail__invalid_black_pattern' => 'Den angivna värdet är ogiltigt. Använd följande format: mail@example.com för e-postadresser, example.com för domäner.',

    'resp_edit__reply_as_html' => 'Skicka som HTML',
    'exception__path_very_long' => "Sökvägen är för lång. Se till att det finns färre än %1 tecken i sökvägen.",

    // 8.2


    //SAPP
    'sapp_on' => 'På',
    'sapp_off' => 'Av',
    'sapp_directive_aspect' => 'Obligatoriskt',
    'sapp_databases_num' => 'Databaser',
    'sapp_db_required' => 'Obligatoriskt',
    'sapp_Required' => 'Obligatoriskt',
    'sapp_Variant' => 'Variant',
    'sapp_db_id' => 'Databas-ID',
    'sapp_db_id_type' => 'DB (id: %1) typ',
    'sapp_db_id_min_version' => 'DB (id: %1) min.-version',
    'sapp_db_id_table_prefix' => 'DB (id: %1) tabellprefix',
    'sapp_Default' => 'Standardvärde',
    'sapp_apache_mod_req' => 'Apache-modul',
    'sapp_dbtype_not_installed' => 'inte installerat',
    'sapp_apache_mod_not_installed' => 'inte installerat',
    'sapp_error_invalid_type' => 'Programmet "%1" stödjer inte begärd åtgärd.',
    'sapp_error_unknown_app_type' => 'Inget stöd för applikationstypen: %1.',
    'sapp__ssl_text' => 'Installera programmet i "http://" eller "https://" virtuell värddator?',
    'sapp__app_to_upgrade' => 'Program att uppgradera',
    'sapp__upgrade_apps_title' => 'Uppgradera program',
    'sapp__upgrade_to_ver' => 'Uppgradera till version',
    'sapp__choose_pkg_ver' => 'Markera ett paket...',
    'sapp__pkg_cant_upgrade_pkg' => 'Paketet "%1" kan inte användas för uppgradering av webbprogrammet "%2".',
    'sapp__app_ugrade_error' => 'Kan inte uppgradera programmet: %1. Kontakta din systemadministratör.',
    'sapp__no_suitable_db_found' => 'Ingen lämplig databas hittades.',
    'sapp__upgrade_success' =>  'Programmet har uppgraderats korrekt.',
    'sapp__pkg_info_changelog' => 'Ändringshistorik',
    'sapp_requirement_legend' => 'Värdtjänstfunktioner som krävs av programmet',

    // other
    'bt_apply' => 'Använd',
    'mn_edit__add_alias_if_mailbox_disabled' => 'För att skapa en e-postalias, måste e-postlådan sättas på i detta e-postkonto. Slå på e-postkontot?',
    'mn_edit__mailbox_disable_if_has_alias' => 'Avstängningen av e-postlådan kommer att ta bort e-postaliaserna eftersom de kommer att sluta fungera. Stänga av e-postkontot?',
    'antivirus__disable_reason_install' => 'Du kan inte hantera antivirus eftersom det inte är installerat.',
    'antivirus__disable_reason_key' => 'Du kan inte hantera antivirus eftersom det inte är aktiverat med en korrekt licensnyckel.',
    'antivirus__disable_reason_deny_personal_settings' => 'Du kan inte hantera antivirus eftersom serverpolicyn förbjuder individuella antivirus-inställningar.',
    'change_foreign_user_password' => 'Ändra lösenord',
    'change_foreign_user_password_hint' => "Användaren tillhör inte programmet. Klicka på länken för att gå till ett annat program och ändra användarlösenordet där. För att göra det, måste du ha rätt behörigheter i programmet.",
    'cf_url_text' => 'JDBC URL',
    'cf_sendStringParametersAsUnicode_text' => 'Strängformat',
    'lang_unknown' => 'Okänt språk',
    'pb__cl_ed' => 'Kundinformation',
    'pb__actionlog' => 'Åtgärdslogg',
    'pb__cl_limits' => 'Kundgränser',
    'pb__edit' => 'Redigera',
    'pb__subdom_edit' => 'Värdtjänst-inställningar',

    // NEW 8.3 FEATURES

    'backup_mail_content' => 'Säkerhetskopiera innehållet på e-postkonton',

    'maillist_import_result' => "\nTotalt antal e-postadresser i filen: %1\nmängd importerade e-postadresser: %2\nmängd redan befintliga e-postadresser: %3\nmängd duplicerade e-postadresser i den specificerade filen: %4\nmängd ogiltiga e-postadresser i filen: %5",
    'maillist_import_error' => 'Kan inte importera e-postadresslistan',

    //  spaw

    'spaw__unable_to_edit_no_body' => "Filen du valt är antingen tom eller inte ett giltigt HTML-dokument i den valda kodningen. Välj rätt kodning eller lägg bara till innehåll till filen.",

    'dom_pref__external_mail_srv' => "Omdirigera till extern e-postserver med IP-adress:",
    'mn_edit__store_messages' => 'E-postkonto',

    // aps

    'sapp__before_upgrade_notice' => 'Det rekommenderas att backa upp programmet och användaruppgifterna innan du startar uppgraderingsprocessen.',
    'sapp__application_properties' => 'Programegenskaper',
    'sapp__application_root_descr' => 'Programmets huvudsida',

    'sapp__aps_license_invalid_id' => 'Licensnyckeln har ogiltigt ID: %1.',
    'sapp__aps_lic_key_alredy_exists' => 'Licens med nyckelnumret %1 finns redan i databasen.',
    'sapp__aps_lic_del_used' => 'Kan inte radera licensnyckeln. Den används av ett installerat program.',
    'sapp__aps_lic_del_unknown' => 'Det går inte att ta bort licensnyckeln: %1',
    'sapp__aps_cappi_duplicate' => "Detta program finns redan i kundens programpool",
    'sapp__appi_not_shared_no_install' => "Det finns inget sådant program i kundens programpool. Om du vill installera detta program på din webbpats, ska du först lägga till programmet till kundens programpool.",
    'sapp__appi_shared_not_client' => "Det finns inget sådant program i kundens programpool. Om du vill uppgradera programmet till den specificerade versionen, ska du först lägga till programmet till kundens programpool.",
    'sapp__apply_license_script_not_found' => 'Kan inte hitta skriptet "tillämpa licens" för detta webbprogram.',
    'sapp__unable_to_activate_key' => 'Ett fel uppstod under ett försök att aktivera en licensnyckel: %1',
    'sapp__unable_to_delete_ai_instances_exists' => 'Det finns installerade webbprogram som kräver att detta webbprogram finns i systemet.',
    'sapp__unable_to_delete_ai_in_pool' => 'Detta program finns redan i kundens pool Om du vill ta bort detta program, måste du först ta bort det från alla kunders programpooler eller göra den gratis.',
    'sapp__unable_to_delete_app_template' => 'Kan inte ta bort Java-programmet #%1: %2',
    'sapp__limit_exceeded_client' => 'Du har nått gränsen för antalet gånger du kan installera detta webbprogram (%2).',


    // atis module

    '_week_on' => 'vecka på',
    '__week_first' => 'första',
    '__week_second' => 'sekund',
    '__week_third' => 'tredje',
    '__week_fourth' => 'fjärde',
    '__week_last' => 'sist',
    '__not_started' => 'Väntar',
    '__started' => 'Körs',
    '__cancel_pending' => 'Raderar',
    '__canceled' => 'Avbruten',
    '__error' => 'Fel',
    '__done' => 'Klart',

    '__php_cgi_handler' => 'CGI-program',
    '__php_isapi_handler' => 'ISAPI-tillägg',
    '__php_fastcgi_handler' => 'FastCGI-program',
    '__php_module_handler' => 'mod_php',
    '__php_run_as' => 'Kör som',

    'cf_dbfolder_text' => 'Databasmapp',
    'cf_isnewdb_text' => 'Skapa databas',
    'cf_isnewdb_title' => 'Markera kryssrutan om databasen måste skapas.',

    'pb__site_apps_upgrade' => 'Webbprogram uppgradering',

    'detach' => 'Koppla från',
    'preferences' => "Ändra lösenord",

    'toolsbar__switch_user?' => "Är du säker på att du vill logga in till en annan användares kontot?",
    '__aps_left' => 'Installationer kvar',
    'aps__license_key' => 'Licensnyckel',
    'aps__download_code' => 'Licensnyckelnedladdning och aktiveringskod',
    'aps__license_key_hint' => 'Hämta från licensieringsservern med aktiveringskoden',
    'aps__database_not_available' => 'inte tillgänglig, vänligen kontrollera domänen eller kundgränserna',
    'aps__yes' => 'ja',
    'aps__no' => 'nej',
    '__click_to_enlarge' => 'Klicka om du vill förstora',
    'site_apps__back_to_list' => 'Tillbaka till listan',
    'sapp__pkg_info_installation_requirements' => 'Installationskrav',
    '__close_window' => 'Stäng',

    //SAPP END

    'skin_info__already_default' => 'Skalet är redan satt som standard.',

    //move this to other file after splitting drweb to module
    'drweb:virus_filter_full_name' => 'Plesk Premium Antivirus',
    'drweb:properties_page_title' => 'Plesk Premium Antivirus-inställningar för %1',
    'drweb:properties_legend' => 'Inställningar',
    'drweb:status' => 'Kontrollera om det finns virus i e-posten',

    // sb integration
    'sitebuilder_wizard' => 'Presence Builder-installationsguide',
    'dom_site_builder' => 'Klicka för att öppna Presence Builder-guiden.',
    'sb_plesk_admin_url' => 'Presence Builders server-URL. Säkerställ att denna adress kopplar ordentligt i DNS',
    'sb_plesk_admin_login' => 'Användarnamn för serveradministratörinloggning i Presence Builder',
    'sb_plesk_admin_password' => 'Administratörslösenord',
    'sb_sitebuilder_preferences' => 'Presence Builder-administratörens inloggningsuppgifter',
    'sb__server' => 'Presence Builder systemadministratörsinställningar',
    'sb__sitebuilder_support' => 'Presence Builder-stöd',
    'sb_keep_sb_user' => 'Behåll motsvarande användarkonto i Presence Builder',
    'sb_create_sb_user' => 'Skapa ett motsvarande användarkonto i Presence Builder',
    'sb__build_site_using_sitebuilder' => "Skapa en webbplats med Presence Builder",
    'sb_no_current_sb_server_set' => 'Anslutningen till Presence Builder har inte konfigurerats ännu: du behöver lägga till en A-post i DNS zonmallen som pekar mot Presence Builder-servern.',
    'sb_unable_update_sb_server_sb_return_message' => "Det gick inte att hämta informationen från Presence Builder-systemet:\n%1",
    'sb_unable_connect_sb_wrong_con_params' => "Det gick inte att ansluta till Presence Builder: Fel användarnamn eller lösenord.",
    'sb_init_sb_manager' => "Initierar Presence Builder manager: %1",
    'sb_err_couldnt_connect_sb' => "Lyckades inte ansluta till Presence Builder-systemet.",
    'sb_err_client_dont_have_sbuser' => "Denna kund har inget användarkonto i Presence Builder.",
    'sb_err_sitebuilder_not_configured' => "Presence Builder är inte konfigurerat.",
    'sb_err_you_dont_have_sbaccount' => "Lyckades inte ge dig behörighet i Presence Builder.",
    'sb_error_critical_during_operation' => "Följande fel uppstod i Presence Builder:\n%1",
    'sb_err_sso_is_not_enabled' => "Stöd för enkel inloggning är inte påslaget i Plesk.",

    'warning__super_zone_exist' => "Zonen %1 skapades, men detta zonnamn är en undderzon för en redan existerande zon %2, sm tillhör en annan användare %3. Det är möjligt, men se till att du har valt korrekt användarkonto.",
    'error__super_zone_exist' => "Kan inte skapa DNS-zonen eftersom dess superzone tillhör en annan användare.",

    'locales__files_not_exits' => 'Kan inte ändra språkversion: det angivna gränssnittsspråkets paketfiler finns inte i systemet.',
    'locales__unavailable' => 'Kan inte ändra språkversion: det angivna gränssnittsspråkets paketfiler är inte tillgängliga.',

    // DB BU

    'pb__dbbackup_list' => 'Databasens säkerhetskopierade filer',
    // server
    'dbbackup__server_backup_settings' => 'Backup',
    'dbbackup__network_temp_dir' => 'Temporär nätverkskatalog',
    'dbbackup__network_user' => 'Användarnamn',
    'dbbackup__network_pass' => 'Lösenord',
    // domain
    'dbbackup__add_database_legend' => 'Återställ säkerhetskopierad databas',
    'dbbackup__add_database_restore' => 'Återställ databas från säkerhetskopiefil.',
    'dbbackup__add_database_file' => 'Databassäkerhetskopia',
    'dbbackup__add_database_user' => 'Standardanvändarnamn',
    'dbbackup__add_database_pass' => 'Standardlösenord för användaren',
    'dbbackup__add_database_pass2' => 'Lösenordsbekräftelse standardanvändare',

    'bt_dbbackup_now' => 'Säkerhetskopiera',

    'bt_repair' => 'Reparera',

    'dbbackup__mssql_dump_upload_not_allowed' => 'Uppladdning av SQL Server-databasdumpar är förbjuden av värddatorleverantören.',

    // APS categories

    'cf_invalid_password' => 'Lösenordet får inte vara längre än 16 tecken.',
    'cf_invalid_description_length' => 'Beskrivningen får inte vara längre än 256 symboler',
    'ip_addr__ip_used_by_external_mail_server' => 'IP-adress %1 används redan av en extern e-postserver',

    // 8.4.1

    '__ftp_login_is_invalid' => 'FTP-kontots användarnamn eller lösenord är ogiltigt. Ange rätt inloggningsuppgifter för FTP-användare.',

    // 8.6

    'dns__dns_serial_update_limit_warning' => 'Gränsen för serienumemrändringar har nåtts. Inga fler DNS-zonsändringar kan utföras i dag.',
    'dns__zone_apply_changes' => 'Förändringar gjorda på DNS-poster är inte sparade än. De gjorda ändringarna är markerade nedan. Klicka på Ändra för att tillämpa ändringarna på DNS-zonen eller klicka på Återställ för att annullera ändringarna.',
    'dns__update_dns_zone' => 'Klicka för att spara ändringar gjorda på DNS-poster',
    'dns__revert_dns_zone' => 'Klicka för att avbryta ändringar gjorda på DNS-poster',
    'bt_revert' => 'Återställ',
    'dns__dns_zone_has_beed_updated' => 'Förändringar gjorda av DNS-poster har sparats',
    'dns__dns_zone_has_beed_reverted' => 'Förändringar gjorda av DNS-poster har annullerats',
    'db__nondefault_server_not_allowed' => 'Användning av icke-standard-databasserver är inte tillåtet',

    'site_apps__non_removable' => 'Poster som det inte går att ta bort',
    'site_apps__non_removable_items' => 'Följande webbprogram kunde inte tas bort:',

    'rpt_reseller_section_general' => 'Allmänt',
    'rpt_reseller_section_domains' => 'Domäner',
    'rpt_reseller_section_clients' => 'Kunder',
    'statistics__cl_active_domains' => "Aktiva domäner",
    'rpt_reseller_cl_domains' => "Domäner",
    'rpt_reseller_cl_subdomains' => "Subdomäner",
    'by__cl_domains' => "klients domäner",
    'dom_ctrl__cl_mboxes' => "E-postlådor",
    'rpt_reseller_cl_redirects' => "Vidarebefordrare",
    'rpt_reseller_cl_mail_groups' => "E-postgrupper",
    'rpt_reseller_cl_mail_resps' => "Autosvar",
    'rpt_reseller_cl_mail_lists' => "E-postlistor",
    'rpt_reseller_cl_web_users' => "Webbanvändare",
    'rpt_reseller_cl_data_bases' => "Databaser",

    'statistics__active_clients' => 'Kunder med aktiva abonnemang',
    'statistics__clients_active_domains' => 'Aktiva domäner',
    'statistics__clients_doms' => 'Domäner',
    'statistics__cl_doms' => 'Domäner',
    '__clients_subdomains' => 'Subdomäner',
    '__clients_domains' => 'Domäner',
    'dom_ctrl__clients_mboxes' => 'E-postlådor',
    'dom_ctrl__clients_redir' => 'Vidarebefordrare',
    'dom_ctrl__clients_mg' => 'E-postgrupper',
    'dom_ctrl__clients_resp' => 'Autosvar',
    'dom_ctrl__clients_maillists' => 'E-postlistor',
    'dom_ctrl__clients_wu' => 'Webbanvändare',
    'dom_ctrl__clients_db' => 'Databaser',

    'dom_ctrl__cl_redir' => 'Vidarebefordrare', // to resolve!
    'dom_ctrl__cl_mg' => 'E-postgrupper', // to resolve!
    'dom_ctrl__cl_resp' => 'Autosvar', // to resolve!
    'dom_ctrl__cl_maillists' => 'E-postlistor', // to resolve!
    'dom_ctrl__cl_wu' => 'Webbanvändare', // to resolve!
    'dom_ctrl__cl_db' => 'Databaser', // to resolve!

    'rpt_cl_section_clients' => 'Kunder',

    'rpt_admin_section_general' => 'Allmänt',
    'rpt_admin_section_resellers' => 'Återförsäljare',
    'rpt_admin_section_clients' => 'Kunder',
    'rpt_admin_section_personal_clients' => 'Egna kunder',
    'rpt_admin_section_domains' => 'Domäner',
    'rpt_admin_section_personal_domains' => 'Personliga domäner',

    'rpt_reseller_section_personal_domains' => 'Personliga domäner',

    // RESELLERS

    // Resellers > Reseller Account Templates > Create Reseller Account Template
    'limits__oversell_text' => "Tillåt överförsäljning",
    'limits__reseller_oversell_description' => "Översäljning gör att återförsäljaren kan sälja mer resurser än vad som faktiskt allokerats honom eller henne. Om översäljning tillåts, styrs en återförsäljare av faktisk resursanvändning i stället för inledande resursallokering.",
    'limits__overuse_block_text' => "Överanvändningspolicy",
    'limits__overuse_block_true_text' => "Överanvändning är inte tillåtet",
    'limits__reseller_overuse_block_true_description' => "Blockera överanvändning av resurser. Faktisk resursanvändning kan inte överstiga den ursprungliga resursallokeringen",
    'limits__overuse_block_false_text' => "Överanvändning är tillåtet",
    'limits__reseller_overuse_block_false_description' => "Blockera inte överanvändningen av resurser för att låta återförsäljaren använda mer resurser än vad som gavs till en början. Faktisk resursanvändning kan överstiga den ursprungliga resursallokeringen",
    'limits__reseller_overuse_notify_text' => "Meddela återförsäljalren om hur man når resursgränserna",
    'reseller_perm__manage_sh_access_disabled' => "Återförsäljaren kan inte tillåta eller förbjuda skalåtkomst",
    'reseller_perm__manage_sh_access_chrooted' => "Återförsäljare kan tillåta åtkomst endast till en chrootad miljö",
    'reseller_perm__manage_sh_access_any' => "Återförsäljare kan tillåta åtkomst till vilken typ av skal som helst",
    'template__reseller_num_excl_ips' => "Allokera dedikerade IP-adresser till återförsäljaren",

    // Reseller's Home page
    'domains__reseller_info' => "%1 kunder, %2 domäner, %3 diskutrymme som används, %4 data som överförts.",
    'domains__reseller_info_hiding_traffic' => "%1 kunder, %2 domäner, %3 diskutrymme som används.",

    // Reseller's session in the Customer Panel - Home page

    'feature__aps_categories__reseller' => "Alla webbprogram sorteras nu efter kategori, vilket gör det lättar att välja rätt proram att installera.",
    'feature__domainkeys__reseller' => "Du kan använda DKIM autentiseringsmekanism för e-postavsändare för att minska antalet spam och phising-mail.",

    '__reseller_form' => "Återförsäljarformulär",

    // Reseller's session in the control panel - Home page > Create Customer Template
    'template__shared_text' => "Gör denna mall tillgänglig för andra användare",
    'template__shared_description' => "Markera detta alternativ om du vill att dina kunder ska kunna använda denna mall.",

    // DOMAINS

    // Domain > Domain Admin Permissions

    'domain_perm__manage_sh_access_disabled' => "Domänadministratören kan inte tillåta eller förbjuda skalåtkomst",
    'domain_perm__manage_sh_access_chrooted' => "Domänadministratören kan tillåta åtkomst endast till en chrootad miljö",
    'domain_perm__manage_sh_access_any' => "Domänadministratören kan tillåta åtkomst till vilken typ av skal som helst",

    // APS Catalog
    'bt_add_to_vault' => "Lägg till i valvet",
    'bt_hide_updates' => "Dölj tillgängliga uppdateringar",
    'bt_show_updates' => "Visa tillgängliga uppdateringar",

    '__site_apps__applications' => "Program",
    //search elements
    // Application; Vendor; Packager; Certification level;

    '__site_apps__apps_selected_to_add_to_vault' => "Program som har markerats för tillägg till valvet",
    'site_apps__application_selected' => "Markerad",
    'site_apps__currently_in_vault' => "Andra versioner finns redan i valvet:",
    'site_apps__new_versions' => "Nya versioner:",
    'site_apps__patches' => "Patchar:",
    'site_apps__applications_have_been_scheduled_for_adding_to_application_vault' => "Antalet program som har schemalagts för tillägg till valvet: %1",
    'site_apps__applications_downloading_now' => "Följande program håller på att laddas ner: %1", // temporary workaround string, to be removed later

    'site_apps__package_already_exist_in_vault' => "Redan i valvet",

    // Server > Action Log
    'bt_skin_edit' => "Redigera skalets beskrivning",
    'limits__oversell_legend' => "Överförsäljning",
    'limitsManager__limit_available_error' => "Kan inte allokera begärd mängd resurser (%%quantity%% %%limitName%%). Bara %%available%% %%limitName%% är tillgängligt.",
    'limitsManager__limit_reserved_error' => "Kan inte ställa in begärd resursanvändningsgräns (%%quantity%% %%limitName%%) eftersom det nya värdet är mindre än antalet resurser som reserverats för dina kunder eller används av dig (%%reserved%% %%limitName%%).",
    'limitsManager__limit_used_error' => "Kan inte ställa in begärd resursanvändningsgräns (%%quantity%% %%limitName%%) eftersom det nya värdet är mindre än den faktiska resursmängd som redan används av ditt konto och dina webbpaltser (%%used%% %%limitName%%).",

    'domains_list__resource__filter_title' => "Resurs-användning",

    // APS CATALOG
    'site_apps__application_catalog_preferences' => "APS-programmens katalog",
    'site_apps__applications_have_updates' => "Det finns uppdaterade versioner av följande program tillgängliga:\n%1\nFör att visa uppdateringarna, se till att Sökområdet är synbart, välj <b>Visa kryssrutan endast uppdateringar</b> och sök efter programmen du behöver.",
    'site_apps__progress_adding_to_vault' => "Lägga till i valvet:",
    'site_apps__progress_done_message' => "Förlopp:",
    'site_apps__progress_applications_left' => "%1 av %2 program kvar",
    'site_apps__download_item_long_task_title' => "Ladda ner APS-programmet (%1)",
    'site_apps__download_transaction_long_task_title' => "Ladda ner APS-program från APS-katalogen",
    'site_apps__last_check_for_updates' => "senaste kontrollen efter uppdateringar: %1",
    'site_apps__all_sucessfully_added_to_app_vault' => "Alla schemalagda program har lagts till korrekt till programvalvet",
    'site_apps__number_of_apps_sucessfully_added_to_app_vault' => "%1 schemalagda program har lagts till korrekt till programvalvet.",
    'site_apps__no_search_results' => 'Inga ansökningar funna. Försök med en annan sökbegäran eller bläddra i programmen efter kategori .',
    'site_apps__search_results_title' => 'Sökresultat',
    '__site_apps__search_by_application' => 'Programnamn',
    '__site_apps__search_by_vendor' => 'Leverantör',
    '__site_apps__search_by_vendor__all' => 'Alla leverantörer',
    '__site_apps__search_by_packager' => 'Paketeraren',
    '__site_apps__search_by_certification_level' => 'Certifieringsnivå',
    '__site_apps__search_by_cert__any' => 'Valfri',
    '__site_apps__search_by_cert__silver_and_higher' => 'Silver och högre',
    '__site_apps__search_by_cert__gold_and_higher' => 'Guld och högre',
    '__retry' => 'Försök igen',
    'site_apps__application_packager_site' => 'Paketeraren',
    'site_apps__add_to_pool_message' => "Programm som är markerade som \"tillgängliga för alla\" distribueras automatiskt till alla återförsäljare och kunder med ett obegränsat antal installationer. Begränsade program distribueras till alla återförsäljare och kunder manuellt på en individuell basis med uttryckligt specificerat antal tillgängliga installationer.",
    'site_apps__make_available_for_all' => "Gör valda program tillgängliga för alla användare",

    'site_apps__broadcast_app_text' => "Programm som är markerade som \"tillgängliga för alla\" distribueras automatiskt till alla återförsäljare och kunder med ett obegränsat antal installationer. Begränsade program distribueras till alla återförsäljare och kunder manuellt på en individuell basis med uttryckligt specificerat antal tillgängliga installationer.",
    'site_apps__broadcast_app_name' => 'Gör programmet tillgängligt för alla användare',

    // User Application Pool per application
    'site_apps__available_clients' => 'Tillgängliga användare',
    'site_apps__no_more_clients_to_add_to_pool' => 'Det finns inga fler användarkonton som du kan tillhandahålla detta program till',

    // Installed application instances
    'site_apps__installations' => 'Anläggningar',

    // Hosting setup redesign
    '__domain_name_and_ip_address' => "Domännamn och IP-adress",
    '__assign_ip_address' => "Tilldela IP-adress",
    '__switch_on_service' => "Sätt på tjänsten",
    '__hosting_configuration' => "Hosting konfiguration",
    '__vrt_hst' => "Webbplatshosting",
    '__vrt_hst_hint' => "Värdbasera en webbplats på denna server.",
    '__fwd' => "Vidarebefordran",
    '__web_hosting_settings' => "Värdtjänst-inställningar",
    '__fwd_hint' => "Omdirigera besökare till en annan webbplats.",
    '__none_hint' => "Webbasera ingen webbplats just nu.",
    '__login_hint' => "Detta användarnamn används för tillgång till webbplatsen via FTP",
    '__password_hint' => "Detta lösenord används för tillgång till webbplatsen via FTP",
    '__advanced_hosting_setup' => "Konfigurera den avancerade webbplatsens värdtjänstinställningar.",
    '__domain_creation_successful' => "Domänen har skapats.",
    'bt_hosting_settings' => "Värdtjänst-inställningar",
    '__change_hosting_type' => "Ändra värdtjänsttypen för domän %1",
    '__hosting_type_change_warning' => "När du ändrar värdtjänsttyp till vidarebefordran eller ingen värdtjänst, kommer alla filer och kataloger som gäller din webbplats att tas bort ur servern. Se till att spara en lokal kopia av din site.",
    '__current_hosting_type' => "Aktuell värdtjänsttyp",
    '__new_hosting_type' => "Ny värdtjänsttyp",
    '__fwd_settings' => "Vidarekopplingsinställningar",
    '__fwd_settings_legend' => "Vidarekopplingsinställningar",
    '__fwd_destination_url' => "Destinationsadress",
    '__fwd_type' => "Vidarebefordringstyp",
    '__fwd_type_standart' => "Standard vidarebefordran",
    '__fwd_type_standart_hint' => "Omdirigera webbplatsbesökare till en annan webbplats, och visa dem destinationsadressen så att de får reda på omdirigeringen.",
    '__fwd_type_frame' => "Frame vidarebefordran",
    '__fwd_type_frame_hint' => "Omdirigera webbplatsbesökare till en annan webbplats, men visa dem inte destinationsadressen så att de inte får reda på omdirigeringen.",
    '__hosting_type_template_warning' => "Den typ av värdtjänst du väljer skiljer sig från den typ som specificeras i mallen. Om du fortsätter, kommer webbvärdtjänstens inställningar i den valda mallen att ignoreras. Vill du verkligen ställa in markerad värdtjänsttyp?",

    '__no_resellers_selected' => "Du måste välja minst ett återförsäljarkonto.",

    'ippool_Manager__no_available_ips' => "Det finns inga lediga IP-adresser i IP-poolen.",
    'ippool_Manager__ip_shared' => "delad",
    'ippool_Manager__ip_exclusive' => "dedikerad",

    'ippoolManager__ip_shared' => "delad",
    'ippoolManager__ip_exclusive' => "dedikerad",

    '__users_list' => "Användare",
    '__users' => "Användare",
    '__user_name' => "Användarens namn",

    'limit__name_max_dom_aliases' => "domänalias",
    'limit__name_max_subftp_users' => "Extra FTP-konton",
    'limit__name_max_mssql_db' => "Microsoft SQL Server-databas",
    'limit__name_max_iis_app_pools' => "IIS-programpooler",
    'limit__name_max_odbc' => "ODBC-anslutningar",
    'total_mboxes_quota_unsupported' => 'stöds inte av e-postservern',
    'limit_soft__disk_space' => 'Meddela när diskutrymme nås',
    'limit_soft__max_traffic' => 'Meddela när trafik nås',
    'limitsManager__commit_failed' => "Kan inte ändra resursgränserna.",
    'limitsManager__date_in_past' => "Felaktigt utgångsdatum %1",
    'limitsManager__limit_not_supported' => "Gränser för resurstypen %1 kan inte anges.",
    'limitsManager__limit_oversell_inconsistency' => "Kan inte allokera angiven mängd resurser med överförsäljning avstängt.",
    'limitsManager__limit_overuse_inconsistency' => "Resursanvändningen överstiger de definierade gränserna.",
    'limitsManager__no_resource_available' => "Det finns inga tillgängliga resurser av denna typ (%%limitName%%) kvar. Begärt: %%quantity%%; tillgängligt: %%unused%%.",
    'limitsManager__no_total_resource_available' => "Det finns inga resurser av denna typ (%%limitName%%) som är tillgängliga från din tjänsteleverantör. Begärt: %%quantity%%; tillgängligt: %%unused%%.",
    'limitsManager__invalid_expiration_limit' => "Utgångsdatumet måste vara mindre än eller lika med %1.",
    'limitsManager__invalid_disk_space_limit' => "Mängden diskutrymme måste vara mindre än eller lika med %1.",
    'limitsManager__invalid_max_traffic_limit' => "Mängden trafik måste vara mindre än eller lika med %1.",
    'ippoolManager__ip_has_suballocations' => "Kan inte ändra typen av IP-adress som redan tilldelats en användare. IP-adress %%ip%% är redan tilldelad användare som %%reserved%% IP-adress.",
    'ippoolManager__ip_is_already_in_pool' => "Denna IP-adress är redan tilldelad användaren.",
    'ippoolManager__ip_is_not_in_pool' => "Det finns ingen IP-adress %%ip%% konfigurerad i poolen.",
    'ippoolManager__can_not_allocate_ip' => "IP-adressen %%ip%% är tillgänglig bara som %%available%%.",
    'ippoolManager__unable_to_set_default_type' => "IP-adressen %%ip%% kan inte allokeras eller dedikeras.",
    'ippoolManager__ip_used_by_hst_or_frw' => "IP-adressen %%ip%% används redan för värdtjänster.",
    'ippoolManager__active_anon_ftp_on_ip' => "En anonym FTP-åtkomst är redan påsatt för IP-adress %%ip%%",
    'ippoolManager__no_vacant_ips' => "Det finns inga lediga IP-adresser.",
    'ippoolManager__no_available_ips' => "Det finns inga tillgängliga IP-adresser.",
    'templates__dublicate_name' => "En mall med ett sådant namn finns redan. Markera ett annat namn för denna mall.",
    'cl_perm__client_limits_exceeded' => "De specificerade resursgränsvärdena överskrider värdena som tillåts av din värdtjänstplan och dessa värden ger mindre resurser än vad som normalt används av dina webbplatser.",
    'cl_perm__reseller_limits_exceeded' => "De specificerade resursgränsvärdena överskrider värdena som tillåts av din värdtjänstplan eller dessa värden ger mindre resurser än vad som normalt används av användarens konton och webbplatser.",

    'site_apps__preferences_show_all_versions_title' => "Visa en fullständig lista över versioner för varje program som du hämtat ur katalogen",
    'site_apps__preferences_show_all_versions_hint' => "Om du väljer detta alternativ, kan det ta lång tid att hämta alla versioner av varje program varje gånd du öppnar katalogen. Om detta alternativ inte är markerat, visas bara de senaste versionerna.",
    '__select_user_template' => "Skapa användarkonto baserat på en mall",
    'ip_already_added_to_all_clients' => "Denna IP-adress är redan tilldelad alla användare.",

    'site_apps__cancelled_apps' => "Du har avbrutit tillägget av följande program: %2",

    'sb_url_is_not_resolved' => 'URL kan inte kopplas: kontrollera dina DNS-inställningar. URL %1 måste kopplas i serverns IP-adress med den installerade Presence Builder.',

    'ip_addr__is_last_on_interface' => 'Kan inte ta bort IP-adressen %%ip%% eftersom det är den sista IP-adress som finns på ett nätverksgränssnitt.',
    'ip_addr__used_for_current_session' => 'Kan inte ta bort IP-adressen %%ip%% eftersom den används av en aktiv session.',
    'ip_addr__used_for_hosting' => 'Kan inte ta bort IP-adressen %%ip%% eftersom den används för värdbasering för en webbplats.',
    'ip_addr__is_main' => 'Kan inte ta bort IP-adressen %%ip%% eftersom det är den primära IP-adressen till ett nätverksgränssnitt.',
    'ip_addr__ip_used_by_message_submission' => 'Kan inte ta bort IP-adressen %%ip%% eftersom den används för att skicka e-postmeddelanden',

    // RESELLER ACTION LOG

    '__cl_domains' => 'domäner av kunder',
    'excl_ip_num' => 'Dedikerad IP-adress',

    'sb_err_sitebuilder_not_installed' => 'Presence Builder är inte installerat.',

    '__perm_allow_oversell_can_not_be_revoked' => 'Behörighet att tillåta överförsäljning kan inte återkallas från användaren eftersom användaren redan har allokerat mer resurser än tillgängligt, och övergått till överförsäljningsläge.',
    'limitsManager__invalid_limit_value' => 'Ogiltigt värde %%value%% angivet för gränsen %%limit_name%%',
    'limit__max_mn' => 'Maximalt antal e-postkonton',

    'limits__client_overuse_description' => 'Överanvändningspolicyn anger vad Plesk ska göra när resursanvändningen överstiger den ursprungliga resursallokeringen.',
    'limits__client_overuse_block_true_description' => 'Blockera överanvändning av resurser. Faktisk resursanvändning kan inte överstiga den ursprungliga resursallokeringen',
    'limits__client_overuse_block_false_description' => 'blockera inte överanvändningen av resurser för att låta kunden använda mer resurser än vad som gavs till en början. Faktisk resursanvändning kan överstiga den ursprungliga resursallokeringen',
    'limits__client_overuse_notify_text' => 'Meddela kunden om hur man når resursgränserna',

    'limits__domain_overuse_description' => 'Överanvändningspolicyn anger vad Plesk ska göra när resursanvändningen överstiger den ursprungliga resursallokeringen.',
    'limits__domain_overuse_block_true_description' => 'Överanvändningspolicyn säger åt Plesk vad det ska göra när resurser överanvänds.',
    'limits__domain_overuse_block_false_description' => 'Blockera inte överanvändning av resurser, vilket tillåter domänen att använda mer resurser än som initialt tillhandahållits. Faktisk resursanvändning kan överstiga den ursprungliga resursallokeringen',
    'limits__domain_overuse_notify_text' => 'Meddela domänägaren om att resursbegränsningarna nåtts',

    'dns__dns_rr_delete' => 'Element som kommer att tas bort',
    'dns__delete_rr' => 'Följande DNS-poster kommer att avlägsnas från DNS-zonen:',
    'dns__dns_rr_delete_non_removable' => 'Poster som det inte går att ta bort',
    'dns__non_delete_rr' => 'Följande DNS-poster kunde inte tas bort:',
    'dns__dns_rr_delete_confirm_message' => 'Bekräfta borttagande av DNS-poster',

    'site_apps__format_is_unsupported_broadcast_not_set' => 'Okänt webbprogramformat: webbprogrammet kanske inte är tillgängligt för installation och användning.',

    '__php_handler_type_desc' => 'Kör PHP som',
    'sfdk_domain_sign__failed' => 'Ett oidentifierat fel inträffade när du försökte sätta på signering av e-post med DKIM på domänen. Se serverns fellogg för mer information.',

    // key management ported from cpp to php
    'pkey_notify__subj_update_success_notification' => 'Meddelande om lyckad Plesk-nyckeluppdatering',
    'pkey_notify__subj_update_deferral_notification' => 'Meddelande om uppskjutande av Plesk-nyckeluppdatering',
    'pkey_notify__subj_update_error_notification' => 'Meddelande om fel på Plesk-nyckeluppdatering',
    'pkey_notify__update_successful' => '%1 uppdateringen har slutförts riktigt.',
    'pkey_notify__update_failed_no_more_try' => 'Det gick inte att uppdatera %1. Nyckeln du försöker sända är ogiltig. Försök inte uppdatera denna nyckel längre.',
    'pkey_notify__update_failed_try_later' => 'Kunde inte uppdatera %1: ett fel uppstod under behandlingen av din nyckel. Du kan försöka hämta nyckeln manuellt i Plesk (Verktyg och inställningar > Licensinformation) eller låta Plesk försöka uppdatera den under de kommande 24 timmarna. Om du inte längre vill få detta meddelande, ta bort denna nyckel från Plesk.',

    // Application vault/ application pool for admin mapping - TEMPORARY

    'rpt_reseller_section_full_domains' => 'Domäner',
    'rpt_reseller_dom_subdomains' => 'Subdom',
    'rpt_reseller_dom_domain_aliases' => 'DAliases',
    'rpt_reseller_dom_postboxes' => 'MBoxes',
    'rpt_reseller_dom_redirects' => 'Vidarebefordrare',
    'rpt_reseller_dom_mail_groups' => 'MGroups',
    'rpt_reseller_dom_mail_resps' => 'AResp.',
    'rpt_reseller_dom_mail_antispam' => 'Antispam',
    'rpt_reseller_dom_mail_antivirus' => 'Antivirus',
    'rpt_reseller_dom_mail_lists' => 'MLists',
    'rpt_reseller_dom_web_users' => 'WUsers',
    'rpt_reseller_dom_data_bases' => 'DBMySQL',
    'rpt_reseller_dom_mssql_data_bases' => 'DBMSSQL',

    'rpt_reseller_section_full_clients' => 'Kunder',
    '__cl_name' => 'Kundens namn',
    '__cl_creation_date' => 'Skapandedatum',
    '__clients_traffic' => 'Kundtrafik',
    'rpt_reseller_cl_mail_antispam' => 'Antispam',
    'rpt_reseller_cl_mail_antivirus' => 'Antivirus',

    // CONHELPS FOR HOME PAGE
    // common:
    'sitebuilder_not_installed' => 'Presence Builder är inte installerat.',
    'sitebuilder_disabled' => 'Presence Builder är avstängt.',
    'b_sitebuilder_disabled' => 'Presence Builder är avstängt.',
    'webmail_not_installed' => 'Webbmailmjukvaran är inte installerad.',
    'webmail_disabled' => 'Webbposttjänsten är avstängd.',
    'spamassassin_not_installed' => 'SpamAssassin är inte installerat.',
    // pfu:
    'anonymous_ftp_shared' => 'Kan inte konfigurera anonym FTP: delad IP-adresstyp.',
    'anonymous_ftp_used' => 'Kan inte ställa in anonym FTP: IP-adressen används av en annan domän för anonym FTP-tjänst.',
    // pfw:
    'aspdotnet_not_installed' => 'ASP.NET är inte installerat.',
    'site_builder_no_package' => 'Presence Builder är inte tillgängligt. Kontrollera att Presence Builder är installerat och valt som en aktiv komponent.',
    'site_builder_not_configured' => 'Presence Builder är inte konfigurerat.',

    // various

    'disabled_by_admin' => 'Inaktiverad av serveradministratör',

    '__not_allowed' => 'Tillåts inte',

    '__ip_addr_state_unknown' => "IP-adressen är inte operativ nu, eftersom systemet fortfarande bearbetar din begäran. Vänta en minut.",

    'ip_addr__repair_is_not_allowed' => 'IP-adressen kan inte repareras under Virtuozzo-miljön.',

    'ippoolManager__ip_used_by_nohost_domain' => "IP-adressen %%ip%% kan inte tas bort eftersom den används av en eller flera domäner utan hosting.",
    'ippoolManager__ip_used_for_mail_service' => "IP-adressen %%ip%% kan inte tas bort eftersom den används av en eller flera domäner som deras e-posttjänsts IP-adress.",
    'ippoolManager__ip_used_for_send_emails' => "IP-adressen %%ip%% kan inte tas bort eftersom den används för att skicka e-post från specifik IP (se inställningar för e-postserver).",
    'ippoolManager__ip_used_in_dns_zone' => 'IP-adress %%ip%% kan inte tas bort eftersom den används av DNS-zonen för en eller flera domän.',
    'ip_ctrl__cannot_manage_on_vz' => 'Denna installation av Plesk fungerar under Virtuozzo containers. Nya IP-adresser kan läggas till bara av Virtuozzo containers-nodadministratör.',

    'client_template__limits_auto_adjusted' => 'Gränser från kundmallen har justerats automatiskt.',

    '__entries' => 'Poster',

    '__path_is_not_set' => 'Sökvägen har inte specificerats. Specificera en giltig sökväg.',

    'defaultcomponents__imap_required' => '(Den aktuella e-postservern stöder inte IMAP)',

    '__commercial_web_stats_not_installed' => 'Plesk stödjer bara kommersiell webbstatistikmjukvara för subdomänstatistikberäkning. Ingen sådan programvara har för närvarande installerats i systemet.',


    'server_settings_invalid_traffic_statistics' => 'Ogiltig parameter för behåll trafikstatistik.',
    'server_settings_invalid_logrotate_period' => 'Ogiltig parameter för loggrotationsperiod.',

    'spam_filter/address/file_size' => 'Kan inte ladda filen. Den maximala storleken för en fil som kan laddas upp är %1.',
    'spam_filter/address/file_empty_content' => 'Fel uppstod vid läsning av e-postadresser från filen. Se till att du laddar upp en fil med UTF-8-kodning som innehåller en eller fler e-postadress och försök igen.',
    'spam_filter/address/addresses_empty_content' => 'Det finns inga e-postadresser i listan.',
    'spam_filter/address/addresses_available' => 'Endast %1 första unika e-postadresser kommer att läggas till.',
    'spam_filter/address/invalid_addresses' => 'Följande e-postadresser är ogiltiga: %1.',

    'current_resources' => 'Nuvarande resurser',
    'plan_limitations' => 'Planbegränsningar',
    'cannot_switch_plan' => 'Kan inte byta till vald plan eftersom följande nuvarande resurser överskrider planens begränsningar:',
];